export declare type AuthMode = 'email' | 'signup' | 'signin' | 'forgot' | 'confirmation' | 'none';
export declare type ValidAuthState = 'signin' | 'signup' | 'none' | 'forgot';
export declare const modes: {
    LOGIN: string;
    FORGOT: string;
};
export declare class AuthBaseState {
    constructor();
    authMode: ValidAuthState;
    showAgeGate: boolean | null;
    signUpEmail: string;
    is21: boolean;
    loginFormData: any;
    forgotFormData: any;
    error: string;
    isLoading: boolean;
    currentMode: string;
    invalidFields: any[];
    requiredFields: Array<{
        name: string;
        validIf: string;
    }>;
    reward: string;
}
export interface IAuthBaseProps {
    signUpEmail?: string;
}
export interface ISignUpProps {
    email: string;
    onHide: () => {};
    show: boolean;
    signupPromo: string;
}
export interface ISignUpState {
    error: string;
    isLoading: boolean;
    formData: any;
    invalidFields: any[];
    requiredFields: any[];
    firstName: string;
    lastName: string;
    email: string;
    password: string;
}
