"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const validation_1 = require("./validation");
exports.modes = {
    LOGIN: 'LOGIN',
    FORGOT: 'FORGOT',
};
class AuthBaseState {
    constructor() {
        this.authMode = 'none';
        this.showAgeGate = true;
        this.signUpEmail = '';
        this.is21 = false;
        this.loginFormData = {};
        this.forgotFormData = {};
        this.error = '';
        this.isLoading = false;
        this.currentMode = exports.modes.LOGIN;
        this.invalidFields = [];
        this.requiredFields = [
            { name: 'loginEmail', validIf: validation_1.validationTypes.IS_EMAIL },
            { name: 'loginPassword', validIf: validation_1.validationTypes.NOT_EMPTY },
            { name: 'forgotEmail', validIf: validation_1.validationTypes.IS_EMAIL },
        ];
        this.reward = '';
    }
}
exports.AuthBaseState = AuthBaseState;
//# sourceMappingURL=auth.js.map