export * from './credit-card';
export * from './defaults';
export * from './error';
export * from './states';
export * from './validation';
export * from './util';
export * from './checkout-util';
export * from './promises';
export * from './auth';
export declare const URL_BASE = "https://www.undergroundcellar.com/";
export declare const WINE_IMG_URL_BASE: string;
export declare const DETAIL_BASE_URL = "/wine-deals/";
export declare const wineSizes: string[];
export declare function getWineSize(id: number): string;
export declare const VarietalDictionary: {
    ['Value Cabernet']: {
        title: string;
        desc: string;
    };
    ['Premium Cabernet']: {
        title: string;
        desc: string;
    };
    ['Sparkling Wine']: {
        title: string;
        desc: string;
    };
    ['Red Wine Only']: {
        title: string;
        desc: string;
    };
    ['White Wine Only']: {
        title: string;
        desc: string;
    };
    ['Mixed Varietals']: {
        title: string;
        desc: string;
    };
    ['Special']: {
        title: string;
        desc: string;
    };
};
export { AbandonedCloudStat, AbandonedOrderStat, AbandonedSearchModel, AbandonedUserModel, AccessLogModel, AdminOfferOverviewItem, AdminOfferOverviewModel, AdminReferralModel, AdminSkuDelivery, Animation, ApiBillingModelWithCardNumber, ApiResultAbandonedUserModel, ApiResultApiBillingModelWithAuthnet, ApiResultAttributedItemList, ApiResultAutoSubscribeWithUserModel, ApiResultBoolean, ApiResultBottleRedeem, ApiResultCheckoutPromoCodeModel, ApiResultCloudCart, ApiResultCloudCheckoutModel, ApiResultCreditOrderResult, ApiResultDateTime, ApiResultDecimal, ApiResultGeniusExcl, ApiResultIEnumerableGuid, ApiResultIEnumerableShippingModel, ApiResultInt32, ApiResultInviteByEmailModel, ApiResultItemDetailEntity, ApiResultListAbandonedUserModel, ApiResultListApiBillingModelWithCardNumber, ApiResultListAutoSubscribeWithUserModel, ApiResultListChargebackSearchResult, ApiResultListCheckoutPromoCodeModel, ApiResultListCloudCheckoutItem, ApiResultListCommentJsonObject, ApiResultListFeatureRestriction, ApiResultListGeniusGuess, ApiResultListGuid, ApiResultListInviteByEmailModel, ApiResultListItemDetailEntity, ApiResultListKpiItem, ApiResultListLinkInvoiceItem, ApiResultListLinkTransferItem, ApiResultListMarketingExpiringCredits, ApiResultListMisallocation, ApiResultListNhAddressModel, ApiResultListNhCreditModel, ApiResultListNhInvoice, ApiResultListNhItemGroupViewEntity, ApiResultListNhOrderModel, ApiResultListNhTransfer, ApiResultListNhUserModel, ApiResultListNhUserOrderCohort, ApiResultListOfferV2AdminManifest, ApiResultListOfferV2Entity, ApiResultListOrderGeniusState, ApiResultListPage, ApiResultListParsedShipmentEmail, ApiResultListPaymentWithAddressModel, ApiResultListPgCloudCellarRecord, ApiResultListPurchaseOrderModel, ApiResultListShippingModel, ApiResultListSkuBackup, ApiResultListSkuEntity, ApiResultListSkuSale, ApiResultListString, ApiResultListTaxReportRecord, ApiResultListTransactionalEmailModel, ApiResultListUserCreditViewModel, ApiResultListUserModelExtended, ApiResultListUserReferralModel, ApiResultListWineGeniusMessage, ApiResultListWineGeniusVacation, ApiResultListWineryModel, ApiResultManifestList, ApiResultNhAddressModel, ApiResultNhCreditModel, ApiResultNhInvoice, ApiResultNhInvoiceItem, ApiResultNhItemGroupEntity, ApiResultNhOrderModel, ApiResultNhPromoCodeModel, ApiResultNhTransfer, ApiResultNhTransferItem, ApiResultNhUserEmailPreference, ApiResultNhUserModel, ApiResultOfferCheckoutModel, ApiResultOfferV2Entity, ApiResultOrderListModel, ApiResultOrderViewModel, ApiResultPage, ApiResultPasswordChangeModel, ApiResultPaymentWithAddressModel, ApiResultPromoResult, ApiResultPurchaseOrderModel, ApiResultSendEmailModel, ApiResultShippingModel, ApiResultSkuBackup, ApiResultSkuEntity, ApiResultSkuHistory, ApiResultSkuSwapModel, ApiResultString, ApiResultSupportRequest, ApiResultSupportTicket, ApiResultTimeSeriesCohortSummary, ApiResultTransactionalEmailModel, ApiResultUserAuthResultModel, ApiResultUserModelExtended, ApiResultWineGeniusData, ApiResultWineGeniusMessage, ApiResultWineGeniusVacation, ApiResultWineryModel, Audio, BottleRedeem, CallbackQuery, CampaignApiModel, CampaignEntryModel, ChangeEmailModel, ChargebackSearchResult, Chat, ChatPhoto, CheckoutPromoCodeModel, ChosenInlineResult, CloudCart, CloudCheckoutModel, CommentJsonObject, Contact, CreditCheckoutModel, CreditOrderResult, DecoderFallback, Document, EncoderFallback, Encoding, FeatureRestriction, FilterBoolean, FilterDate, FilterDecimal, FilterGuid, FilterInt32, FilterString, Game, GeniusExcl, GeniusGuess, IBulkItemDetail, IContentNegotiator, IRequiredMemberSelector, InlineQuery, InviteByEmailModel, Invoice, ItemDetailBulkUpdate, KpiItem, LinkInvoiceItem, LinkTransferItem, LiveFeedItem, Location, ManifestFilter, ManifestSwapAction, MarketingCreditExpiry, MarketingExpiringCredits, MaskPosition, MediaTypeFormatter, MediaTypeHeaderValue, MediaTypeMapping, Message, MessageEntity, Misallocation, NameValueHeaderValue, NewUserCheckoutModel, NhAdjustment, NhAdjustmentItem, NhCohort, NhInvoice, NhInvoiceItem, NhItemGroupEntity, NhItemGroupViewEntity, NhPromoCodeModel, NhReferModel, NhSkuDelivery, NhSkuDeliveryItem, NhUserEmailPreference, NhWordGamePrize, OfferCheckoutModel, OfferSearch, OfferV2AdminManifest, OfferV2Entity, OfferV2ItemEntity, OkNegotiatedContentResultApiResultBoolean, OrderGeniusState, OrderInfo, OrderListModel, OverallPlan, Page, ParsedShipmentEmail, PasswordChangeModel, PasswordResetAdminModel, PasswordResetModel, PaymentWithAddressModel, PhotoSize, PreCheckoutQuery, PrizeModel, PromoAllowed, PromoResult, PurchaseOrderItem, PurchaseOrderModel, RangeFilterDecimal, RangeFilterInt32, SendEmailModel, SessionEventModel, SessionTrackModel, ShipOrderResult, ShipmentSearch, ShippingAddress, ShippingMethodModel, ShippingQuery, SkuBackup, SkuPlan, SkuSale, SkuSwapModel, Sticker, SuccessfulPayment, SupportRequest, SupportTicket, SurplusItemDateTime, SurplusItemString, TaxInfo, TaxReportRecord, TimeSeriesCohort, TimeSeriesCohortSummary, TupleStringInt32, TupleStringInt32String, Update, UpgradeOrderResult, User, UserAuthModel, UserAuthResultModel, UserCreditViewModel, UserModelExtended, UserPlan, UserReferralModel, ValidationResult, Venue, Video, VideoNote, Voice, WineGenius, WineGeniusData, WineGeniusExclusionItem, WineGeniusMessage, WineGeniusVacation, WineryModel, WordGame, AbandonedUserApi, AccessLogApi, AddressApi, AdjustmentApi, AdminDeliveryApi, AdminOrderApi, AdminPromoCodeApi, AdminReferralApi, CampaignApi, CheckoutApiApi, DebugApi, EmailMarketingApi, InviteApi, InvoiceApi, ItemDetailApi, KeyMetricsApi, ManifestAdminApi, MidtierCloudCellarApi, OfferApi, OfferDetailApi, OrderStatusApi, PageApi, PaymentApi, PromoGroupApi, PurchaseOrderApi, SessionApi, ShipManagerApi, SkuApi, SubscriptionApi, TelegramBotApi, TransactionalEmailApi, TransferApi, UserApi, UserAdminApi, V2GroupApi, WineGeniusApi, WineryApi, } from './api';
export { FetchAPI, FetchArgs, BaseAPI, AddressPhone, AddressPhoneListApiResult, AddressValidationResult, AddressValidationResultApiResult, AdminCloudRecord, AdminCloudRecordListApiResult, AdminCloudRecordSku, ApiBillingModelWithAuthnet, AttributedItemList, AutoSubscribeModel, AutoSubscribeModelApiResult, AutoSubscribeModelListApiResult, AutoSubscribeWithUserModel, AutoSubscribeWithUserModelListApiResult, BasicUserInfo, Batch, BatchInfo, BatchInfoListApiResult, BatchListApiResult, BooleanApiResult, BooleanFilter, ChargebackModel, ChargebackModelListApiResult, CloudCellarV2, CloudCellarV2ApiResult, CloudCheckoutItem, CloudCheckoutItemListApiResult, CloudGroup, CloudRecordGroup, CloudShipmentSimple, CodeWithOrder, CodeWithOrderListApiResult, CreditTime, CustomerSupportAction, CustomerSupportActionListApiResult, DecimalFilter, EmailCampaign, EmailCampaignListApiResult, EmailCapture, FacilityQty, GroupItemEntity, GuidTrackingInfoDictionaryApiResult, IdentifyIdentifierPayload, Int32Filter, Inventory, InventoryHoldingShipment, InventoryHoldingShipmentListApiResult, InventoryListApiResult, ItemDetailEntity, ManifestAllocation, ManualShipmentModel, NhAddressModel, NhAddressModelListApiResult, NhAdjViewRecord, NhCreditModel, NhCreditModelListApiResult, NhOrderModel, NhTransfer, NhTransferApiResult, NhTransferItem, NhTransferListApiResult, NhUserModel, NhUserOrderCohort, NhUserOrderCohortListApiResult, NpsScore, NpsScoreListApiResult, OfferInfo, OfferInfoListApiResult, OfferV2Base, OfferV2ManifestEntity, OfferV2ManifestEntityListApiResult, OrderTime, OrderViewModel, OrderViewModelListApiResult, PgCloudCellarRecord, PromoBase, PurchMetric, PurchMetricListApiResult, QrEmailTemplateModel, QtyComment, Replacement, SessionModel, SessionModelApiResult, ShipAdminSetting, ShipAdminSettingListApiResult, ShipmentId, ShipmentIdListApiResult, ShipmentInventory, ShipmentInventoryItem, ShipmentInventoryListApiResult, ShipmentReportingWeek, ShipmentReportingWeekListApiResult, ShippingModel, ShippingModelListApiResult, SkuEntity, SkuEntityListApiResult, SkuHistory, SkuHistoryListApiResult, SkuReserved, SkuReservedListApiResult, SkuSearch, Stack, StockBalanceModel, StockBalanceModelListApiResult, StringDecimalDictionaryApiResult, StringListApiResult, StringPersonalizedValue, StringPersonalizedValueListApiResult, StringStringArrayDictionaryApiResult, Subinventory, Supplier, SupplierItemV2, SupplierItemV2ApiResult, SupplierItemV2ListApiResult, SupplierListApiResult, SupplierV2, SupplierV2ApiResult, SupplierV2ListApiResult, TrackingEvent, TrackingInfo, TrackingInfoListApiResult, TransactionalEmailModel, TransactionalEmailModelListApiResult, AddInventoryAndLinkToTransferApi, AddressPreValidateApi, AdminCloudViewApi, AdminGetShipmentInventoryApi, AdminShipmentBatchApi, AdminSkuListAsyncApi, AdminUpdateShipmentApi, BalanceStockAnalyzeApi, BalanceStockExecApi, BlingApi, BulkAddToCloudcellarApi, BulkCreateCreditsApi, CaptureEmailApi, CartExpressPreviewApi, ClickUpWebhookApi, CloudCartServerlessDEPRECATED_DO_NOT_USEApi, CloudCartServerlessV2Api, CloudCellarApi, CompShipmentApi, CreateManualShipmentApi, CreateOrUpdateSubscriptionApi, DotmailerCampaignsDataApi, FinalizeBatchApi, FindChargebackApi, GetAddressesByUserGuidOrEmailApi, GetAdminGiftListApi, GetDotdigitalTriggeredCampaignExamplePayloadApi, GetGenericPeriodReportApi, GetMetricsForMonthApi, GetSessionGiftListApi, GetShipmentsByUserApi, GetShippingKeyMetricsWeeklyApi, GetSubscriptionFromOrderApi, GetSubscriptionsByUserApi, GetSupplierApi, GetTopPromoCreditUsersApi, GetUpdatedTrackingApi, GetUsersMatchingBucketApi, HandleBatchApi, HandleCmsApi, HandleInventoryApi, HandleInventoryHoldingShipmentApi, HandleNpsApi, IdentifyIdentifierApi, InventoryPerShipmentIdApi, InventoryTransferApi, LinkHistoryItemApi, MakeSiteMapApi, OfferLambdaApi, OffersReservingSkuApi, RedeemGiftCardsApi, RemoveManifestsFromShipmentApi, SendDotmailerEmailTestApi, SendQrEmailApi, SessionFuncsGetApi, SetAddressPhoneApi, SetInventoryHoldForShipmentApi, ShipEngineWebhookApi, ShipmentPostFinancialsApi, SkuGetComplianceAddressesApi, SkuGetLocationOverviewApi, SupplierItemV2Api, SupplierItemV2OneApi, SupplierItemsForSkuApi, SupplierV2Api, SupplierV2OneApi, TrackingWebhookApi, VstsWebhookApi, WhoUsedPromoGroupApi, } from './serverless';
