/**
 * UCMidtier Serverless
 * java -jar ../swagger-codegen-cli.jar generate -i http://localhost:7071/azapi/swagger/v1 -l typescript-fetch -o .\tmp
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export interface FetchAPI {
    (url: string, init?: any): Promise<any>;
}
export declare const BASE_PATH: string;
export interface FetchArgs {
    url: string;
    options: any;
}
export declare class BaseAPI {
    basePath: string;
    fetch: FetchAPI;
    constructor(fetch?: FetchAPI, basePath?: string);
}
export declare type ActionTypes = "GiveCredit" | "RemoveCredit" | "AddSku" | "GiveRandomLetters" | "RejectOrder" | "SuspendManifest" | "SwapManifest";
export interface AddressPhone {
    "addressGuid"?: string;
    "phoneNumber"?: string;
}
export interface AddressPhoneListApiResult {
    "value"?: Array<AddressPhone>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface AddressValidationResult {
    "isValid"?: boolean;
    "validationMessages"?: Array<string>;
    "avsResult"?: string;
    "suggestedAddress"?: NhAddressModel;
}
export interface AddressValidationResultApiResult {
    "value"?: AddressValidationResult;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface AdminCloudRecord {
    "itemOrdered"?: AdminCloudRecordSku;
    "fulfilledWith"?: AdminCloudRecordSku;
    "retailPrice"?: number;
    "manifestId"?: string;
    "pricePaid"?: number;
    "swappedWith"?: Replacement;
    "suspendedDt"?: Date;
    "replacesManifestId"?: string;
    "inventoryNotIncludingHolds"?: {
        [key: string]: QtyComment;
    };
    "shipment"?: CloudShipmentSimple;
    "inventoryReserved"?: boolean;
    "totalHoldsForPendingShipments"?: number;
    "adminComment"?: string;
    "orderGuid"?: string;
    "orderDate"?: Date;
    "orderStatus"?: string;
    "paymentStatus"?: string;
    "isCanceled"?: boolean;
    "offerRef"?: OfferV2Base;
    "swapReason"?: string;
}
export interface AdminCloudRecordListApiResult {
    "value"?: Array<AdminCloudRecord>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface AdminCloudRecordSku {
    "sku"?: string;
    "displayName"?: string;
    "varietal"?: string;
    "region"?: string;
    "qtyOnActiveXfer"?: number;
    "cacheSurplus"?: number;
    "qtyOwed"?: number;
    "qtyInStock"?: number;
}
export interface ApiBillingModelWithAuthnet {
    "userGuid"?: string;
    "authNetUserProfileId"?: string;
    "authNetUserId"?: string;
    "authNetPaymentProfileId"?: string;
    "authNetShippingProfileId"?: string;
    "isDeleted"?: boolean;
    "isTest"?: boolean;
    "creationIp"?: string;
    "zipCode"?: string;
    "paymentMethodId"?: string;
    "billingAddressId"?: string;
    "cvv": string;
    "firstName": string;
    "lastName": string;
    "dateAdded"?: Date;
    "expiryYear"?: number;
    "expiryMonth"?: number;
    "cardNumber"?: string;
    "id"?: string;
    "isDefault"?: boolean;
    "cardType"?: string;
}
export interface AttributedItemList {
    "bottleCount"?: number;
    "addOnCount"?: number;
    "itemCount"?: number;
    "items"?: Array<CloudRecordGroup>;
    "varietals"?: Array<CloudGroup>;
    "regions"?: Array<CloudGroup>;
    "countries"?: Array<CloudGroup>;
    "subregions"?: Array<CloudGroup>;
    "appellations"?: Array<CloudGroup>;
    "types"?: Array<CloudGroup>;
    "producers"?: Array<CloudGroup>;
    "shipStatus"?: Array<CloudGroup>;
    "prices"?: Array<CloudGroup>;
}
export interface AutoSubscribeModel {
    "subscriptionId"?: string;
    "userGuid": string;
    "dateCreated": Date;
    "dateCanceled": Date;
    "lastRenew": Date;
    "nextRenew": Date;
    "intervalDay": number;
    "intervalMth": number;
    "renewAmtMaxDollars": number;
    "renewAmtMaxQty": number;
    "subscriptionBucket": string;
    "subscriptionPaymentId": string;
}
export interface AutoSubscribeModelApiResult {
    "value"?: AutoSubscribeModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface AutoSubscribeModelListApiResult {
    "value"?: Array<AutoSubscribeModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface AutoSubscribeWithUserModel {
    "firstName"?: string;
    "lastName"?: string;
    "email"?: string;
    "totalQty"?: number;
    "lifeSpend"?: number;
    "lastPurchaseDate"?: Date;
    "subscriptionId"?: string;
    "userGuid": string;
    "dateCreated": Date;
    "dateCanceled": Date;
    "lastRenew": Date;
    "nextRenew": Date;
    "intervalDay": number;
    "intervalMth": number;
    "renewAmtMaxDollars": number;
    "renewAmtMaxQty": number;
    "subscriptionBucket": string;
    "subscriptionPaymentId": string;
}
export interface AutoSubscribeWithUserModelListApiResult {
    "value"?: Array<AutoSubscribeWithUserModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface BasicUserInfo {
    "id"?: string;
    "firstName"?: string;
    "lastName"?: string;
    "eMail"?: string;
}
export interface Batch {
    "batchId"?: string;
    "shipmentGuids"?: Array<string>;
    "shipmentOrders"?: Array<OrderViewModel>;
    "isFinal"?: boolean;
    "isAlmostFinal"?: boolean;
    "canPrint"?: boolean;
}
export interface BatchInfo {
    "batchId"?: string;
    "batchCreated"?: Date;
    "batchPrintDate"?: Date;
    "batchComment"?: string;
    "batchFlag"?: number;
}
export interface BatchInfoListApiResult {
    "value"?: Array<BatchInfo>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface BatchListApiResult {
    "value"?: Array<Batch>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface BooleanApiResult {
    "value"?: boolean;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface BooleanFilter {
    "filterActive"?: boolean;
    "filterValue"?: boolean;
}
export interface ChargebackModel {
    "orderTimestamp"?: Date;
    "cardNo"?: string;
    "cardTyp"?: string;
    "cardFname"?: string;
    "cardLname"?: string;
    "orderTotalPrice"?: number;
    "orderUserNth"?: number;
    "xUserEmail"?: string;
    "userGuid"?: string;
    "orderGuid"?: string;
    "orderStatus"?: string;
    "orderPaymentStatus"?: string;
}
export interface ChargebackModelListApiResult {
    "value"?: Array<ChargebackModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface CloudCellarV2 {
    "firstName"?: string;
    "biography"?: string;
    "url"?: string;
    "userName"?: string;
    "lifetimeValueSpent"?: number;
    "lifetimeUpgradeReceived"?: number;
    "shippingSavings"?: number;
    "allItems"?: AttributedItemList;
    "userImg"?: string;
    "signupDate"?: Date;
}
export interface CloudCellarV2ApiResult {
    "value"?: CloudCellarV2;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface CloudCheckoutItem {
    "sku"?: string;
    "isQuick"?: boolean;
    "qty"?: number;
    "isShipAlone"?: boolean;
    "cloudItemDetail"?: PgCloudCellarRecord;
    "slotType"?: string;
    "partitionKey"?: string;
    "rowKey"?: string;
    "timestamp"?: Date;
    "eTag"?: string;
}
export interface CloudCheckoutItemListApiResult {
    "value"?: Array<CloudCheckoutItem>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface CloudGroup {
    "item1"?: string;
    "item2"?: number;
}
export interface CloudRecordGroup {
    "item"?: PgCloudCellarRecord;
    "paid"?: Array<number>;
    "wdQty"?: number;
    "qtyShipped"?: number;
    "qtyEnRoute"?: number;
    "qtyOffsite"?: number;
    "qtyManual"?: number;
    "qtyInCart"?: number;
    "qtySuspended"?: number;
    "qty"?: number;
    "isVip"?: boolean;
}
export interface CloudShipmentSimple {
    "shipmentId"?: string;
    "status"?: string;
    "dateRequested"?: Date;
    "dateDelivered"?: Date;
    "dateProcessed"?: Date;
    "tracking"?: string;
}
export interface CodeWithOrder {
    "code"?: PromoBase;
    "usedWithOrders"?: Array<OrderTime>;
    "redeemedForCredit"?: Array<CreditTime>;
    "isReferral"?: boolean;
    "isRedeemed"?: boolean;
    "dateRedeemed"?: Date;
}
export interface CodeWithOrderListApiResult {
    "value"?: Array<CodeWithOrder>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface CreditTime {
    "creditId"?: string;
    "creditDate"?: Date;
    "dateUsed"?: Date;
    "originalAmt"?: number;
}
export interface CustomerSupportAction {
    "id"?: string;
    "idType"?: IdTypes;
    "supportedActions"?: Array<ActionTypes>;
    "action"?: ActionTypes;
    "user"?: NhUserModel;
    "order"?: NhOrderModel;
    "manifest"?: OfferV2ManifestEntity;
    "shipment"?: ShippingModel;
}
export interface CustomerSupportActionListApiResult {
    "value"?: Array<CustomerSupportAction>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface DecimalFilter {
    "filterActive"?: boolean;
    "filterValue"?: number;
}
export interface EmailCampaign {
    "emailType"?: EmailType;
    "campaignId"?: number;
    "testEmail"?: string;
    "inputData"?: {
        [key: string]: string;
    };
}
export interface EmailCampaignListApiResult {
    "value"?: Array<EmailCampaign>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface EmailCapture {
    "email"?: string;
    "favoriteVarietal"?: string;
}
export declare type EmailType = "OrderConfirmation" | "FirstOrderConfirmation" | "NewUserWithNoPurchase" | "NoticeCloudcellarHas12Bottles" | "ShipmentConfirmation" | "WelcomeEmail" | "ClaimScramblePrize" | "ClaimScrambleLetters";
export interface FacilityQty {
    "facility"?: string;
    "qtyInStock"?: number;
    "qtyIn"?: number;
    "qtyOut"?: number;
    "qtyAvailableNow"?: number;
    "qtySelected"?: number;
    "qtyOnPendingShipment"?: number;
}
export declare type FreightCarrierEnum = "HANSON_TRUCKING" | "PACIFIC_COAST_TRANSPORT" | "GSO" | "KREITZ" | "SUPPLIER" | "DJK_IMPORTS" | "PHOENO_WINE_COMPANY" | "VIN2GLASS" | "K_AND_S" | "NWDS" | "ADVANTAGE" | "FEDEX";
export interface GroupItemEntity {
    "groupItemId"?: string;
    "referenceIdentity"?: string;
    "groupName"?: string;
    "groupType"?: GroupItemType;
    "dateAdded"?: Date;
}
export declare type GroupItemType = "promoGroup" | "emailGroup" | "utmGroup";
export interface GuidTrackingInfoDictionaryApiResult {
    "value"?: {
        [key: string]: TrackingInfo;
    };
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export declare type IdTypes = "Unknown" | "Order" | "User" | "Manifest" | "Shipment";
export interface IdentifyIdentifierPayload {
    "ids"?: Array<string>;
}
export interface Int32Filter {
    "filterActive"?: boolean;
    "filterValue"?: number;
}
export interface Inventory {
    "sku"?: string;
    "subinventory"?: Array<Subinventory>;
    "totals"?: Subinventory;
}
export interface InventoryHoldingShipment {
    "sku"?: string;
    "varietal"?: string;
    "srp"?: number;
    "friendlyName"?: string;
    "lastStockQty"?: number;
    "qtyOnHold"?: number;
    "numShipmentsAffected"?: number;
    "shipmentsAffected"?: Array<string>;
    "whereToFind"?: {
        [key: string]: number;
    };
}
export interface InventoryHoldingShipmentListApiResult {
    "value"?: Array<InventoryHoldingShipment>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface InventoryListApiResult {
    "value"?: Array<Inventory>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ItemDetailEntity {
    "itemDetailGuid"?: string;
    "fancifulName"?: string;
    "region"?: string;
    "appel"?: string;
    "subAppel"?: string;
    "varietal"?: string;
    "vintage"?: number;
    "abv"?: number;
    "ml"?: number;
    "wineTastingNotes"?: string;
    "winemakerNotes"?: string;
    "retailPrice"?: number;
    "wineryGuid"?: string;
    "urlKey"?: string;
    "brand"?: string;
    "countryCode"?: string;
    "upc"?: string;
    "isWine"?: boolean;
    "isBeer"?: boolean;
    "isLiquor"?: boolean;
    "isSparkling"?: boolean;
    "isSmallProduction"?: boolean;
    "isCult"?: boolean;
    "ctWineId"?: number;
    "ctProducerId"?: number;
    "ctLikes"?: number;
    "ctTastingNotes"?: number;
    "ctReview"?: number;
    "ctCommunityScore"?: number;
    "ctQty"?: number;
    "wineVineyard"?: string;
    "wineDrinkStart"?: number;
    "wineDrinkEnd"?: number;
    "redirectTo"?: string;
    "priceBucket"?: string;
    "shipWeight"?: number;
    "category"?: string;
    "createdOn"?: Date;
    "createdBy"?: string;
    "opName"?: string;
    "displayDesc"?: string;
    "bottleImgCsv"?: string;
    "labelImgCsv"?: string;
    "displayName"?: string;
    "bottleImg"?: Array<string>;
    "labelImg"?: Array<string>;
}
export interface ManifestAllocation {
    "id"?: string;
    "createdAt"?: Date;
    "manifestId"?: string;
    "category"?: string;
    "type"?: string;
    "amount"?: number;
}
export interface ManualShipmentModel {
    "manifestGuids"?: Array<string>;
    "userGuid"?: string;
    "addressGuid"?: string;
    "addIcePack"?: boolean;
    "giftMessage"?: string;
}
export declare type MfBottleOwner = "phoeno" | "uc";
export interface NhAddressModel {
    "id"?: string;
    "firstName"?: string;
    "lastName"?: string;
    "companyName"?: string;
    "address1"?: string;
    "address2"?: string;
    "address3"?: string;
    "city"?: string;
    "isDefault"?: boolean;
    "cplId"?: string;
    "isDeleted"?: boolean;
    "avsResult"?: string;
    "avsResultCode"?: string;
    "state"?: string;
    "carrierPreference"?: string;
    "zip"?: string;
    "phone"?: string;
    "dateAdded"?: Date;
}
export interface NhAddressModelListApiResult {
    "value"?: Array<NhAddressModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface NhAdjViewRecord {
    "adjMfId"?: string;
    "adjOrder"?: string;
    "adjMfIdShipped"?: string;
    "adjMfIdAdded"?: string;
    "adjMfIdRemoved"?: string;
    "adjSku"?: string;
    "adjMfIdReplaced"?: string;
    "adjCreditIssuedId"?: string;
    "adjCreditIssuedAmt"?: number;
    "adjUser"?: string;
    "adjTaxAlloc"?: number;
    "adjTaxValue"?: number;
}
export interface NhCreditModel {
    "creditId"?: string;
    "comment"?: string;
    "creditAmt"?: number;
    "creditForReferredUser"?: string;
    "date"?: Date;
    "dateUsed"?: Date;
    "expiry"?: Date;
    "originalAmt"?: number;
    "isSuspended"?: boolean;
    "warningSent"?: Date;
    "creditForManifest"?: string;
    "creditForGiftCard"?: string;
    "splitFrom"?: string;
    "usedWithOrder"?: string;
    "refundForOrder"?: string;
    "usedWithShipment"?: string;
    "taxRefundState"?: string;
    "canUseUpgrade"?: boolean;
    "canUseShipment"?: boolean;
    "canUseSingle"?: boolean;
    "creditReason"?: string;
    "ownerUser"?: string;
}
export interface NhCreditModelListApiResult {
    "value"?: Array<NhCreditModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface NhOrderModel {
    "refundTransactionId"?: string;
    "isPromoEligible"?: boolean;
    "revealDate"?: Date;
    "isRevealed"?: boolean;
    "isTest"?: boolean;
    "nhUserGuid"?: string;
    "xUserEmail"?: string;
    "orderRejectDate"?: Date;
    "orderRecur"?: number;
    "cohortUserFirstPurchase"?: Date;
    "cohortUserMonth"?: number;
    "monthSinceFirstPurchase"?: number;
    "previousOrder"?: string;
    "paymentIntentId"?: string;
    "orderType"?: string;
    "orderBillingGuid"?: string;
    "billing"?: ApiBillingModelWithAuthnet;
    "skuList"?: string;
    "bottleList"?: string;
    "paymentAuthCode"?: string;
    "paymentAuthDate"?: Date;
    "transactionId"?: string;
    "promoCode"?: string;
    "allItems"?: AttributedItemList;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "orderGuid"?: string;
    "totalQuantity"?: number;
    "totalPrice"?: number;
    "discount"?: number;
    "creditDiscount"?: number;
    "tax"?: number;
    "timestamp"?: Date;
    "orderStatus"?: string;
    "paymentStatus"?: string;
    "offerId"?: string;
    "userNthOrder"?: number;
    "unitPrice"?: number;
    "mailChimpEId"?: string;
    "mailChimpCId"?: string;
    "orderSubscriptionId"?: string;
    "netsuiteSyncedAt"?: Date;
}
export interface NhTransfer {
    "xferGuid"?: string;
    "xferLabel"?: string;
    "xferSourceFacility"?: string;
    "xferDestinationFacility"?: string;
    "xferCreated"?: Date;
    "xferDue"?: Date;
    "xferCompleted"?: Date;
    "xferItems"?: Array<NhTransferItem>;
    "isComplete"?: boolean;
}
export interface NhTransferApiResult {
    "value"?: NhTransfer;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface NhTransferItem {
    "xiGuid"?: string;
    "xiSku"?: string;
    "xiLabel"?: string;
    "xiQtyOrdered"?: number;
    "xiQtyReceived"?: number;
    "xiQtyRemoved"?: number;
    "xiDue"?: Date;
    "xiComment"?: string;
    "xiLinkedSkuHistory"?: Array<SkuHistory>;
    "xiUnlinkedItemsIn"?: Array<SkuHistory>;
    "xiUnlinkedItemsOut"?: Array<SkuHistory>;
    "isLinked"?: boolean;
    "xInvoiceGuid"?: string;
    "distanceFromTarget"?: number;
}
export interface NhTransferListApiResult {
    "value"?: Array<NhTransfer>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface NhUserModel {
    "cacheAchievementPoints"?: number;
    "dotmailerId"?: number;
    "normalizedEmail"?: string;
    "xOrderCount"?: number;
    "xLifeSpend"?: number;
    "xLifeCredit"?: number;
    "xLifeQty"?: number;
    "xLifeDiscount"?: number;
    "suspendedAt"?: Date;
    "isAdmin"?: boolean;
    "userName"?: string;
    "lastOrder"?: Date;
    "profileImageUrl"?: string;
    "isPrivate"?: boolean;
    "defaultAddressId"?: string;
    "defaultPaymentId"?: string;
    "defaultShip"?: number;
    "defaultIce"?: boolean;
    "signupDate"?: Date;
    "lastLoginDate"?: Date;
    "lastPurchaseDate"?: Date;
    "outreachDate"?: Date;
    "sessionId"?: string;
    "password": string;
    "passwordV2"?: string;
    "facebookAccessToken"?: string;
    "facebookUserId"?: number;
    "googleUserId"?: string;
    "referralString"?: string;
    "is21"?: boolean;
    "referralGroup"?: GroupItemEntity;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "referralCloudcellarName"?: string;
    "referralDomain"?: string;
    "userGuid"?: string;
    "email": string;
    "firstName": string;
    "lastName": string;
    "profileUrl"?: string;
    "birthday"?: Date;
    "isTestAccount"?: boolean;
}
export interface NhUserOrderCohort {
    "orderGuid"?: string;
    "userEmail"?: string;
    "orderQty"?: number;
    "unitPrice"?: number;
    "creditDiscount"?: number;
    "orderDiscount"?: number;
    "totalPrice"?: number;
    "orderUserNth"?: number;
    "orderPQ"?: number;
    "daysSinceSignup"?: number;
    "daysSinceFirstPurchase"?: number;
    "orderOfferGuid"?: string;
    "orderTax"?: number;
    "orderUtmSource"?: string;
    "orderUtmMedium"?: string;
    "orderUtmCampaign"?: string;
    "lastPurchaseDate"?: Date;
    "firstPurchaseDate"?: Date;
}
export interface NhUserOrderCohortListApiResult {
    "value"?: Array<NhUserOrderCohort>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface NpsScore {
    "surveyId"?: string;
    "score"?: number;
    "comment"?: string;
    "userId"?: string;
    "email"?: string;
    "timestamp"?: Date;
    "partition"?: string;
}
export interface NpsScoreListApiResult {
    "value"?: Array<NpsScore>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface OfferInfo {
    "offerGuid"?: string;
    "title"?: string;
    "subtitle"?: string;
    "offerImgCsv"?: string;
    "offerContent"?: string;
    "lifecycleUrl"?: string;
    "wineryNotes"?: string;
    "wineryName"?: string;
    "wineryAbout"?: string;
    "shippingAvailability"?: string;
    "minQtyAllow"?: number;
    "maxQtyAllow"?: number;
    "pricePerBottle"?: number;
    "expiryDate"?: Date;
    "plannedExpiryDate"?: Date;
    "startDate"?: Date;
    "url"?: string;
    "dateCreated"?: Date;
    "isApproved"?: boolean;
    "isSideDeal"?: boolean;
    "isFeatured"?: boolean;
    "priority"?: number;
    "metaTitle"?: string;
    "metaDescription"?: string;
    "metaKeywords"?: string;
    "buyText"?: string;
    "enableDoubleDown"?: boolean;
    "enableAutobuy"?: boolean;
    "adminNotes"?: string;
    "offerItemName"?: string;
    "offerItemNamePlural"?: string;
    "capturedDate"?: string;
    "enablePromo"?: boolean;
    "enableCredit"?: boolean;
    "enableTax"?: boolean;
    "scrambleRatio"?: number;
    "brandingPartner"?: string;
    "bottlesRemaining"?: number;
    "offerTotal"?: number;
    "offerTax"?: number;
    "offerPq"?: number;
    "offerDisc"?: number;
    "offerCred"?: number;
    "offerUniq"?: number;
    "cacheRefreshTime"?: Date;
    "allowRecurrence"?: boolean;
    "isClosed"?: boolean;
    "primaryVarietal"?: string;
    "primaryType"?: string;
    "secondaryType"?: string;
}
export interface OfferInfoListApiResult {
    "value"?: Array<OfferInfo>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface OfferV2Base {
    "lifecycleUrl"?: string;
    "offerGuid"?: string;
    "url"?: string;
    "title"?: string;
    "startDate"?: Date;
    "expiryDate"?: Date;
    "plannedExpiryDate"?: Date;
    "isApproved"?: boolean;
    "isClosed"?: boolean;
}
export interface OfferV2ManifestEntity {
    "manifestId"?: string;
    "sku"?: string;
    "retailPrice"?: number;
    "cashCollected"?: number;
    "taxableValue"?: number;
    "estimatedTaxAllocated"?: number;
    "shippingCaseGuid"?: string;
    "isCanceled"?: boolean;
    "itemGroupId"?: string;
    "pickIndex"?: number;
    "replacementForManifestGuid"?: string;
    "campaignId"?: number;
    "creditedForGuid"?: string;
    "unitDiscount"?: number;
    "suspendDate"?: Date;
    "addDate"?: Date;
    "mfOfferV2Id"?: string;
    "orderGuid"?: string;
    "fulfilledSku"?: string;
    "wasQuickShip"?: boolean;
    "adminComment"?: string;
    "reserveInventory"?: boolean;
    "swapReason"?: string;
    "bottleOwner"?: MfBottleOwner;
    "isSuspended"?: boolean;
    "friendlyName"?: string;
    "allocations"?: Array<ManifestAllocation>;
}
export interface OfferV2ManifestEntityListApiResult {
    "value"?: Array<OfferV2ManifestEntity>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface OrderTime {
    "orderGuid"?: string;
    "timestamp"?: Date;
}
export interface OrderViewModel {
    "orderId"?: string;
    "orderType"?: string;
    "offerSef"?: string;
    "offerTitle"?: string;
    "userEmail"?: string;
    "cplId"?: string;
    "date"?: Date;
    "credit"?: number;
    "discount"?: number;
    "subtotal"?: number;
    "tax"?: number;
    "amtCharged"?: number;
    "status"?: string;
    "paymentStatus"?: string;
    "unitPrice"?: number;
    "totalQty"?: number;
    "isRevealed"?: boolean;
    "cardNum"?: string;
    "cardType"?: string;
    "promo"?: string;
    "xTracking"?: string;
    "allItems"?: AttributedItemList;
    "adjustments"?: Array<NhAdjViewRecord>;
    "address"?: NhAddressModel;
    "shippingMethod"?: string;
    "dateProcessed"?: Date;
    "dateDelivered"?: Date;
    "giftMessage"?: string;
    "icePackQty"?: number;
    "packedAt"?: Date;
    "netSuiteSyncedAt"?: Date;
}
export interface OrderViewModelListApiResult {
    "value"?: Array<OrderViewModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export declare type PaymentTermsEnum = "N30S60" | "N30S60S90" | "N30S60S90S120" | "N30S60S90S120S150S180" | "CUSTOM" | "NET30" | "NET45" | "NET60" | "NET90" | "NET120" | "INSTALLMENTS" | "CC" | "COD";
export interface PgCloudCellarRecord {
    "isCounted"?: boolean;
    "varietal"?: string;
    "region"?: string;
    "appel"?: string;
    "states"?: Array<string>;
    "itemDetailGuid"?: string;
    "sku"?: string;
    "urlKey"?: string;
    "retailPrice"?: number;
    "qtyInStock"?: number;
    "qtyOffsite"?: number;
    "qtyVip"?: number;
    "isManual"?: boolean;
    "eta"?: Date;
    "isClearance"?: boolean;
    "isSuspended"?: boolean;
    "shipIncentive"?: number;
    "category"?: string;
    "skus"?: Array<SkuEntity>;
    "manifestGuid"?: string;
    "taxValue"?: number;
    "taxAllocated"?: number;
    "orderGuid"?: string;
    "winnerGuid"?: string;
    "orderDate"?: Date;
    "orderStatus"?: string;
    "paymentStatus"?: string;
    "offerGuid"?: string;
    "offerSef"?: string;
    "wineDrinkEnd"?: Date;
    "isAutographed"?: boolean;
    "isWine"?: boolean;
    "isBeer"?: boolean;
    "isCult"?: boolean;
    "shipAlone"?: boolean;
    "shipCase"?: string;
    "shipMethod"?: string;
    "shipPrice"?: number;
    "tracking"?: Array<TrackingInfo>;
    "shipDate"?: Date;
    "itemGroupId"?: string;
    "fancifulName"?: string;
    "brand"?: string;
    "vintage"?: number;
    "wineVineyard"?: string;
    "ml"?: number;
    "backupSku"?: string;
    "skuReplacementForManifestGuid"?: string;
    "suspendDate"?: Date;
    "slotType"?: string;
    "displayDesc"?: string;
    "bottleImgCsv"?: string;
    "labelImgCsv"?: string;
    "displayName"?: string;
    "bottleImg"?: Array<string>;
    "labelImg"?: Array<string>;
}
export interface PromoBase {
    "promoCode"?: string;
    "promoAmount"?: number;
    "date"?: Date;
    "startDate"?: Date;
    "expiry"?: Date;
    "amtPaid"?: number;
    "isExpired"?: boolean;
}
export interface PurchMetric {
    "lastOrder"?: Date;
    "range"?: string;
    "pq"?: number;
    "numFirstOrders"?: number;
    "numActiveBuyers"?: number;
    "totalQty"?: number;
    "totalDiscount"?: number;
    "totalCreditRdmp"?: number;
    "totalTax"?: number;
    "comment"?: string;
}
export interface PurchMetricListApiResult {
    "value"?: Array<PurchMetric>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface QrEmailTemplateModel {
    "firstName"?: string;
    "shipmentId"?: string;
    "trackingNumber"?: string;
    "templateId"?: string;
    "email"?: string;
    "bottleArray"?: {
        [key: string]: number;
    };
    "bottleCount"?: number;
}
export interface QtyComment {
    "qty"?: number;
    "comment"?: string;
}
export interface Replacement {
    "sku"?: string;
    "manifestId"?: string;
    "retailPrice"?: number;
}
export interface SessionModel {
    "sessionId"?: string;
    "sessionExpiration"?: Date;
    "sessionLastPage"?: string;
    "sessionFbrLhState"?: string;
    "sessionUserGuid"?: string;
    "sessionUserName"?: string;
    "sessionUserFname"?: string;
    "sessionUserImageurl"?: string;
    "sessionUserBalance"?: number;
    "sessionUserUrlProfile"?: string;
    "sessionUserReferralCloudName"?: string;
    "sessionLastQty"?: number;
    "sessionIsBeta"?: number;
    "sessionEmail"?: string;
    "sessionUserAgent"?: string;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "sessionUtmSite"?: string;
}
export interface SessionModelApiResult {
    "value"?: SessionModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ShipAdminSetting {
    "shipmentGuid"?: string;
    "newShipMethod"?: string;
    "newComment"?: string;
    "refundFees"?: boolean;
    "setAdminHold"?: boolean;
    "setAdminHoldValue"?: boolean;
    "setAddressId"?: string;
    "setAddressPhone"?: string;
    "setWillCall"?: boolean;
    "setDateReturned"?: Date;
    "setPriority"?: number;
    "setTrackingNumber"?: string;
    "sendTrackingNumberEmail"?: boolean;
}
export interface ShipAdminSettingListApiResult {
    "value"?: Array<ShipAdminSetting>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ShipmentId {
    "shippingCaseGuid"?: string;
}
export interface ShipmentIdListApiResult {
    "value"?: Array<ShipmentId>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ShipmentInventory {
    "shipmentId"?: string;
    "shipmentItems"?: Array<ShipmentInventoryItem>;
    "canFulfillFrom"?: Array<string>;
}
export interface ShipmentInventoryItem {
    "sku"?: string;
    "qtyOnShipment"?: number;
    "qtyAvailable"?: number;
    "locations"?: Array<FacilityQty>;
    "canFulfillFrom"?: Array<string>;
}
export interface ShipmentInventoryListApiResult {
    "value"?: Array<ShipmentInventory>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ShipmentReportingWeek {
    "from"?: Date;
    "to"?: Date;
    "requested"?: Array<CloudShipmentSimple>;
    "batched"?: Array<CloudShipmentSimple>;
    "delivered"?: Array<CloudShipmentSimple>;
    "avgDaysToBatch"?: number;
    "avgDaysToDeliver"?: number;
    "minDaysToBatch"?: number;
    "maxDaysToBatch"?: number;
    "minDaysToDeliver"?: number;
    "maxDaysToDeliver"?: number;
    "numRequested"?: number;
    "numDelivered"?: number;
    "numBatched"?: number;
}
export interface ShipmentReportingWeekListApiResult {
    "value"?: Array<ShipmentReportingWeek>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ShippingModel {
    "shippingPrice"?: number;
    "tax"?: number;
    "iceGelPackPrice"?: number;
    "cplOrderId"?: string;
    "shippingCaseGuid"?: string;
    "shippingMethod"?: string;
    "shippingStatus"?: string;
    "replaceShipment"?: string;
    "tracking"?: Array<TrackingInfo>;
    "date"?: Date;
    "dateProcessed"?: Date;
    "dateDelivered"?: Date;
    "dateSuspended"?: Date;
    "dateReturned"?: Date;
    "shippedManifests"?: Array<OfferV2ManifestEntity>;
    "payment"?: ApiBillingModelWithAuthnet;
    "giftMessage"?: string;
    "qty"?: number;
    "transactionId"?: string;
    "isAdminHold"?: boolean;
    "willCall"?: boolean;
    "isTest"?: boolean;
    "weight"?: number;
    "shipCogs"?: number;
    "firstName"?: string;
    "lastName"?: string;
    "address1"?: string;
    "address2"?: string;
    "city"?: string;
    "state"?: string;
    "zip"?: string;
    "phone"?: string;
    "email"?: string;
    "requestedShipDate"?: Date;
    "xItemCount"?: number;
    "xTotalTax"?: number;
    "xTotalTaxValue"?: number;
    "shipEngineId"?: string;
    "shipEngineLabelId"?: string;
    "comment"?: string;
    "userId"?: string;
    "countSparkles"?: number;
    "cohortUserFirstPurchase"?: Date;
    "cohortUserMonth"?: number;
    "monthSinceFirstPurchase"?: number;
    "daysSinceFirstPurchase"?: number;
    "daysSinceLastPurchase"?: number;
    "daysSinceSignup"?: number;
    "priority"?: number;
    "discount"?: number;
    "discountCodeUsed"?: string;
    "packedAt"?: Date;
    "netSuiteSyncedAt"?: Date;
    "paymentIntentId"?: string;
    "totalPrice"?: number;
}
export interface ShippingModelListApiResult {
    "value"?: Array<ShippingModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface SkuEntity {
    "sku"?: string;
    "suggestedPrice"?: number;
    "supplierGuid"?: string;
    "isAutographed"?: boolean;
    "isDeprecated"?: boolean;
    "isTaxable"?: boolean;
    "isCountedInShipment"?: boolean;
    "isPalletProgram"?: boolean;
    "cacheLatestOrderDate"?: Date;
    "cacheNextDelivery"?: Date;
    "cacheNumAvailable"?: number;
    "scrambleLetters"?: string;
    "scrambleQtyAllowed"?: number;
    "allowedStatesCsv"?: string;
    "comment"?: string;
    "cogsUnit"?: number;
    "taxSetId"?: string;
    "velocity"?: number;
    "isDropShip"?: boolean;
    "shipAlone"?: boolean;
    "canBottleShop"?: boolean;
    "qtyOnPendingShipment"?: number;
    "nSuppliers"?: number;
    "allowedStates"?: Array<string>;
    "cacheNumOwed"?: number;
    "cacheNumShipped"?: number;
    "cacheSurplus"?: number;
    "margin"?: number;
    "numberOnActiveXfer"?: number;
    "qtyVip"?: number;
    "friendlyName"?: string;
    "qtyOffsite"?: number;
    "qtyReserved"?: number;
    "preSwap"?: string;
    "backupSwap"?: string;
    "fulfillQtyLo"?: number;
    "fulfillQtyHi"?: number;
    "xVarietal"?: string;
    "xRegion"?: string;
    "itemDetailGuid"?: string;
    "itemDetail"?: ItemDetailEntity;
    "skuWasSwap"?: boolean;
    "isInWineDirect"?: boolean;
    "category"?: string;
    "unlimitedAllocationUntil"?: Date;
    "dontBuyAfter"?: Date;
    "packSize"?: number;
    "createdOn"?: Date;
    "createdById"?: string;
    "createdBy"?: BasicUserInfo;
    "allocationStart"?: Date;
    "allocationTotal"?: number;
    "allocationRemaining"?: number;
    "allocationEnd"?: Date;
}
export interface SkuEntityListApiResult {
    "value"?: Array<SkuEntity>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface SkuHistory {
    "skuHistoryId"?: string;
    "sku"?: string;
    "snapshotTime"?: Date;
    "available"?: number;
    "owed"?: number;
    "dAvailable"?: number;
    "dOwed"?: number;
    "shipped"?: number;
    "dShipped"?: number;
    "loc"?: string;
    "xiGuid"?: string;
}
export interface SkuHistoryListApiResult {
    "value"?: Array<SkuHistory>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface SkuReserved {
    "offerGuid"?: string;
    "offerTitle"?: string;
    "sku"?: string;
    "displayName"?: string;
    "qtyReserved"?: number;
    "startingOn"?: Date;
    "endingOn"?: Date;
}
export interface SkuReservedListApiResult {
    "value"?: Array<SkuReserved>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface SkuSearch {
    "skip"?: number;
    "take"?: number;
    "search"?: string;
    "orderBy"?: string;
    "includeItemDetails"?: boolean;
    "minPrice"?: DecimalFilter;
    "maxPrice"?: DecimalFilter;
    "minStockQty"?: Int32Filter;
    "maxStockQty"?: Int32Filter;
    "minReservQty"?: Int32Filter;
    "maxReservQty"?: Int32Filter;
    "minSurplus"?: Int32Filter;
    "maxSurplus"?: Int32Filter;
    "allowedVarietals"?: Array<string>;
    "orderDescending"?: boolean;
    "hasComment"?: BooleanFilter;
    "zeroes"?: BooleanFilter;
    "pallet"?: BooleanFilter;
    "deprecated"?: BooleanFilter;
    "minNumOnActiveTransfers"?: Int32Filter;
    "minVelocity"?: DecimalFilter;
    "maxVelocity"?: DecimalFilter;
    "minOffsite"?: Int32Filter;
    "maxOffsite"?: Int32Filter;
    "belowLoThreshold"?: BooleanFilter;
    "aboveHiThreshold"?: BooleanFilter;
    "maxVip"?: Int32Filter;
    "minVip"?: Int32Filter;
    "allowedCategories"?: Array<string>;
}
export interface Stack {
    "in"?: string;
    "at"?: string;
}
export interface StockBalanceModel {
    "sku"?: string;
    "displayName"?: string;
    "size"?: string;
    "qtyOwed"?: number;
    "qtyOffsite"?: number;
    "qtyAvailable"?: number;
    "qtyPendingXfer"?: number;
    "sourceFacilityOptions"?: Array<FacilityQty>;
    "sourceFacilitySelected"?: FacilityQty;
    "targetFacilitySelected"?: FacilityQty;
    "targetQtyLo"?: number;
    "targetQtyHi"?: number;
    "retailPrice"?: number;
    "varietal"?: string;
}
export interface StockBalanceModelListApiResult {
    "value"?: Array<StockBalanceModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface StringDecimalDictionaryApiResult {
    "value"?: {
        [key: string]: number;
    };
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface StringListApiResult {
    "value"?: Array<string>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface StringPersonalizedValue {
    "name"?: string;
    "value"?: string;
}
export interface StringPersonalizedValueListApiResult {
    "value"?: Array<StringPersonalizedValue>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface StringStringArrayDictionaryApiResult {
    "value"?: {
        [key: string]: Array<string>;
    };
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface Subinventory {
    "loc"?: string;
    "asOf"?: Date;
    "qtyAvail"?: number;
    "qtyComingIn"?: number;
    "qtyShip"?: number;
    "comment"?: string;
    "id"?: string;
    "qtyReserv"?: number;
    "friendlyName"?: string;
}
export interface Supplier {
    "supplierGuid"?: string;
    "supplierName"?: string;
    "supplierContactName1"?: string;
    "supplierContactAlternateName"?: string;
    "supplierContact"?: string;
    "supplierPreferredPayment"?: string;
    "supplierPreferredCourier"?: string;
}
export interface SupplierItemV2 {
    "id"?: string;
    "createdOn"?: Date;
    "createdBy"?: string;
    "deprecatedOn"?: Date;
    "deprecatedBy"?: string;
    "supplier"?: string;
    "supplierName"?: string;
    "sku"?: string;
    "cogs"?: number;
    "srp"?: number;
    "url"?: string;
    "priority"?: number;
    "minimumOrderQty"?: number;
    "description"?: string;
}
export interface SupplierItemV2ApiResult {
    "value"?: SupplierItemV2;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface SupplierItemV2ListApiResult {
    "value"?: Array<SupplierItemV2>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface SupplierListApiResult {
    "value"?: Array<Supplier>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export declare type SupplierType = "UNKNOWN" | "WINERY_DIRECT" | "DISTRIBUTOR" | "BROKER" | "RETAILER" | "AUCTION";
export interface SupplierV2 {
    "id"?: string;
    "createdOn"?: Date;
    "createdBy"?: string;
    "deprecatedOn"?: Date;
    "deprecatedBy"?: string;
    "name"?: string;
    "type"?: SupplierType;
    "url"?: string;
    "onlineRetailer"?: boolean;
    "brokerPrimary"?: string;
    "brokerSecondary"?: string;
    "prioritizeBroker"?: boolean;
    "address"?: string;
    "city"?: string;
    "state"?: string;
    "zip"?: string;
    "contactFirstName"?: string;
    "contactLastName"?: string;
    "contactEmail"?: string;
    "contactPhone"?: string;
    "contactFirstNameSecondary"?: string;
    "contactLastNameSecondary"?: string;
    "contactEmailSecondary"?: string;
    "contactPhoneSecondary"?: string;
    "pickupBusinessName"?: string;
    "pickupAddress"?: string;
    "pickupCity"?: string;
    "pickupState"?: string;
    "pickupZip"?: string;
    "pickupFirstName"?: string;
    "pickupLastName"?: string;
    "pickupEmail"?: string;
    "pickupPhone"?: string;
    "freightCarrier"?: FreightCarrierEnum;
    "daysToShip"?: number;
    "buyerToPickUpInventory"?: boolean;
    "supplierPaysShipCost"?: boolean;
    "paymentTerms"?: PaymentTermsEnum;
    "paymentTermsCustom"?: string;
    "taxExempt"?: boolean;
    "notes"?: string;
    "netsuiteSynced"?: Date;
    "companyOwner"?: string;
    "billingFirstName"?: string;
    "billingLastName"?: string;
    "billingEmail"?: string;
    "billingPhone"?: string;
    "supplierCompletedOnBoarding"?: boolean;
    "rollupSupplier"?: string;
    "creditLimit"?: number;
}
export interface SupplierV2ApiResult {
    "value"?: SupplierV2;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface SupplierV2ListApiResult {
    "value"?: Array<SupplierV2>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface TrackingEvent {
    "timestamp"?: Date;
    "city"?: string;
    "stateOrProvince"?: string;
    "description"?: string;
}
export interface TrackingInfo {
    "id"?: string;
    "status"?: string;
    "events"?: Array<TrackingEvent>;
}
export interface TrackingInfoListApiResult {
    "value"?: Array<TrackingInfo>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface TransactionalEmailModel {
    "emailBody"?: string;
    "emailSubject"?: string;
    "comment"?: string;
    "testUserOnly"?: boolean;
    "partitionKey"?: string;
    "rowKey"?: string;
    "timestamp"?: Date;
    "eTag"?: string;
}
export interface TransactionalEmailModelListApiResult {
    "value"?: Array<TransactionalEmailModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
/**
 * AddInventoryAndLinkToTransferApi - fetch parameter creator
 */
export declare const AddInventoryAndLinkToTransferApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param sku
     * @param qty
     * @param xiGuid
     */
    apiSkuAddInventoryGet(params: {
        "authToken"?: string;
        "sku"?: string;
        "qty"?: string;
        "xiGuid"?: string;
    }, options?: any): FetchArgs;
};
/**
 * AddInventoryAndLinkToTransferApi - functional programming interface
 */
export declare const AddInventoryAndLinkToTransferApiFp: {
    /**
     *
     * @param authToken
     * @param sku
     * @param qty
     * @param xiGuid
     */
    apiSkuAddInventoryGet(params: {
        "authToken"?: string;
        "sku"?: string;
        "qty"?: string;
        "xiGuid"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryListApiResult>;
};
/**
 * AddInventoryAndLinkToTransferApi - object-oriented interface
 */
export declare class AddInventoryAndLinkToTransferApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param sku
     * @param qty
     * @param xiGuid
     */
    apiSkuAddInventoryGet(params: {
        "authToken"?: string;
        "sku"?: string;
        "qty"?: string;
        "xiGuid"?: string;
    }, options?: any): Promise<InventoryListApiResult>;
}
/**
 * AddInventoryAndLinkToTransferApi - factory interface
 */
export declare const AddInventoryAndLinkToTransferApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param sku
     * @param qty
     * @param xiGuid
     */
    apiSkuAddInventoryGet(params: {
        "authToken"?: string;
        "sku"?: string;
        "qty"?: string;
        "xiGuid"?: string;
    }, options?: any): Promise<InventoryListApiResult>;
};
/**
 * AddressPreValidateApi - fetch parameter creator
 */
export declare const AddressPreValidateApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAddressPreValidatePost(params: {
        "authToken"?: string;
        "body"?: NhAddressModel;
    }, options?: any): FetchArgs;
};
/**
 * AddressPreValidateApi - functional programming interface
 */
export declare const AddressPreValidateApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAddressPreValidatePost(params: {
        "authToken"?: string;
        "body"?: NhAddressModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AddressValidationResultApiResult>;
};
/**
 * AddressPreValidateApi - object-oriented interface
 */
export declare class AddressPreValidateApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAddressPreValidatePost(params: {
        "authToken"?: string;
        "body"?: NhAddressModel;
    }, options?: any): Promise<AddressValidationResultApiResult>;
}
/**
 * AddressPreValidateApi - factory interface
 */
export declare const AddressPreValidateApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAddressPreValidatePost(params: {
        "authToken"?: string;
        "body"?: NhAddressModel;
    }, options?: any): Promise<AddressValidationResultApiResult>;
};
/**
 * AdminCloudViewApi - fetch parameter creator
 */
export declare const AdminCloudViewApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     * @param includeVirtual
     * @param includeGift
     */
    apiXAdminCloudViewGet(params: {
        "id"?: string;
        "authToken"?: string;
        "search"?: string;
        "varietal"?: string;
        "region"?: string;
        "appellation"?: string;
        "shipStatus"?: string;
        "includeVirtual"?: string;
        "includeGift"?: string;
    }, options?: any): FetchArgs;
};
/**
 * AdminCloudViewApi - functional programming interface
 */
export declare const AdminCloudViewApiFp: {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     * @param includeVirtual
     * @param includeGift
     */
    apiXAdminCloudViewGet(params: {
        "id"?: string;
        "authToken"?: string;
        "search"?: string;
        "varietal"?: string;
        "region"?: string;
        "appellation"?: string;
        "shipStatus"?: string;
        "includeVirtual"?: string;
        "includeGift"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AdminCloudRecordListApiResult>;
};
/**
 * AdminCloudViewApi - object-oriented interface
 */
export declare class AdminCloudViewApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     * @param includeVirtual
     * @param includeGift
     */
    apiXAdminCloudViewGet(params: {
        "id"?: string;
        "authToken"?: string;
        "search"?: string;
        "varietal"?: string;
        "region"?: string;
        "appellation"?: string;
        "shipStatus"?: string;
        "includeVirtual"?: string;
        "includeGift"?: string;
    }, options?: any): Promise<AdminCloudRecordListApiResult>;
}
/**
 * AdminCloudViewApi - factory interface
 */
export declare const AdminCloudViewApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     * @param includeVirtual
     * @param includeGift
     */
    apiXAdminCloudViewGet(params: {
        "id"?: string;
        "authToken"?: string;
        "search"?: string;
        "varietal"?: string;
        "region"?: string;
        "appellation"?: string;
        "shipStatus"?: string;
        "includeVirtual"?: string;
        "includeGift"?: string;
    }, options?: any): Promise<AdminCloudRecordListApiResult>;
};
/**
 * AdminGetShipmentInventoryApi - fetch parameter creator
 */
export declare const AdminGetShipmentInventoryApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminGetShipmentInventoryPost(params: {
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): FetchArgs;
};
/**
 * AdminGetShipmentInventoryApi - functional programming interface
 */
export declare const AdminGetShipmentInventoryApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminGetShipmentInventoryPost(params: {
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentInventoryListApiResult>;
};
/**
 * AdminGetShipmentInventoryApi - object-oriented interface
 */
export declare class AdminGetShipmentInventoryApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminGetShipmentInventoryPost(params: {
        "authToken"?: string;
        "body"?: Array<ShipmentId>;
    }, options?: any): Promise<ShipmentInventoryListApiResult>;
}
/**
 * AdminGetShipmentInventoryApi - factory interface
 */
export declare const AdminGetShipmentInventoryApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminGetShipmentInventoryPost(params: {
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): Promise<ShipmentInventoryListApiResult>;
};
/**
 * AdminShipmentBatchApi - fetch parameter creator
 */
export declare const AdminShipmentBatchApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchDelete(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchGet(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPost(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPut(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): FetchArgs;
};
/**
 * AdminShipmentBatchApi - functional programming interface
 */
export declare const AdminShipmentBatchApiFp: {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchDelete(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchGet(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPost(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPut(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchListApiResult>;
};
/**
 * AdminShipmentBatchApi - object-oriented interface
 */
export declare class AdminShipmentBatchApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchDelete(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: Array<ShipmentId>;
    }, options?: any): Promise<BatchListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchGet(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: Array<ShipmentId>;
    }, options?: any): Promise<BatchListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPost(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: Array<ShipmentId>;
    }, options?: any): Promise<BatchListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPut(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: Array<ShipmentId>;
    }, options?: any): Promise<BatchListApiResult>;
}
/**
 * AdminShipmentBatchApi - factory interface
 */
export declare const AdminShipmentBatchApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchDelete(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): Promise<BatchListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchGet(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): Promise<BatchListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPost(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): Promise<BatchListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPut(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): Promise<BatchListApiResult>;
};
/**
 * AdminSkuListAsyncApi - fetch parameter creator
 */
export declare const AdminSkuListAsyncApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAsyncSkuListPost(params: {
        "authToken"?: string;
        "body"?: SkuSearch;
    }, options?: any): FetchArgs;
};
/**
 * AdminSkuListAsyncApi - functional programming interface
 */
export declare const AdminSkuListAsyncApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAsyncSkuListPost(params: {
        "authToken"?: string;
        "body"?: SkuSearch;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SkuEntityListApiResult>;
};
/**
 * AdminSkuListAsyncApi - object-oriented interface
 */
export declare class AdminSkuListAsyncApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAsyncSkuListPost(params: {
        "authToken"?: string;
        "body"?: SkuSearch;
    }, options?: any): Promise<SkuEntityListApiResult>;
}
/**
 * AdminSkuListAsyncApi - factory interface
 */
export declare const AdminSkuListAsyncApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAsyncSkuListPost(params: {
        "authToken"?: string;
        "body"?: SkuSearch;
    }, options?: any): Promise<SkuEntityListApiResult>;
};
/**
 * AdminUpdateShipmentApi - fetch parameter creator
 */
export declare const AdminUpdateShipmentApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminUpdateShipmentPost(params: {
        "authToken"?: string;
        "body"?: ShipAdminSetting[];
    }, options?: any): FetchArgs;
};
/**
 * AdminUpdateShipmentApi - functional programming interface
 */
export declare const AdminUpdateShipmentApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminUpdateShipmentPost(params: {
        "authToken"?: string;
        "body"?: ShipAdminSetting[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipAdminSettingListApiResult>;
};
/**
 * AdminUpdateShipmentApi - object-oriented interface
 */
export declare class AdminUpdateShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminUpdateShipmentPost(params: {
        "authToken"?: string;
        "body"?: Array<ShipAdminSetting>;
    }, options?: any): Promise<ShipAdminSettingListApiResult>;
}
/**
 * AdminUpdateShipmentApi - factory interface
 */
export declare const AdminUpdateShipmentApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminUpdateShipmentPost(params: {
        "authToken"?: string;
        "body"?: ShipAdminSetting[];
    }, options?: any): Promise<ShipAdminSettingListApiResult>;
};
/**
 * BalanceStockAnalyzeApi - fetch parameter creator
 */
export declare const BalanceStockAnalyzeApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param facilityToEmpty
     * @param excludeDays
     */
    apiSkuBalancerAnalyzeGet(params: {
        "authToken"?: string;
        "facilityToEmpty"?: string;
        "excludeDays"?: string;
    }, options?: any): FetchArgs;
};
/**
 * BalanceStockAnalyzeApi - functional programming interface
 */
export declare const BalanceStockAnalyzeApiFp: {
    /**
     *
     * @param authToken
     * @param facilityToEmpty
     * @param excludeDays
     */
    apiSkuBalancerAnalyzeGet(params: {
        "authToken"?: string;
        "facilityToEmpty"?: string;
        "excludeDays"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StockBalanceModelListApiResult>;
};
/**
 * BalanceStockAnalyzeApi - object-oriented interface
 */
export declare class BalanceStockAnalyzeApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param facilityToEmpty
     * @param excludeDays
     */
    apiSkuBalancerAnalyzeGet(params: {
        "authToken"?: string;
        "facilityToEmpty"?: string;
        "excludeDays"?: string;
    }, options?: any): Promise<StockBalanceModelListApiResult>;
}
/**
 * BalanceStockAnalyzeApi - factory interface
 */
export declare const BalanceStockAnalyzeApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param facilityToEmpty
     * @param excludeDays
     */
    apiSkuBalancerAnalyzeGet(params: {
        "authToken"?: string;
        "facilityToEmpty"?: string;
        "excludeDays"?: string;
    }, options?: any): Promise<StockBalanceModelListApiResult>;
};
/**
 * BalanceStockExecApi - fetch parameter creator
 */
export declare const BalanceStockExecApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSkuBalancerExecPost(params: {
        "authToken"?: string;
        "body"?: StockBalanceModel[];
    }, options?: any): FetchArgs;
};
/**
 * BalanceStockExecApi - functional programming interface
 */
export declare const BalanceStockExecApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSkuBalancerExecPost(params: {
        "authToken"?: string;
        "body"?: StockBalanceModel[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhTransferListApiResult>;
};
/**
 * BalanceStockExecApi - object-oriented interface
 */
export declare class BalanceStockExecApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSkuBalancerExecPost(params: {
        "authToken"?: string;
        "body"?: Array<StockBalanceModel>;
    }, options?: any): Promise<NhTransferListApiResult>;
}
/**
 * BalanceStockExecApi - factory interface
 */
export declare const BalanceStockExecApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSkuBalancerExecPost(params: {
        "authToken"?: string;
        "body"?: StockBalanceModel[];
    }, options?: any): Promise<NhTransferListApiResult>;
};
/**
 * BlingApi - fetch parameter creator
 */
export declare const BlingApiFetchParamCreator: {
    /**
     *
     */
    apiBlingGet(options?: any): FetchArgs;
};
/**
 * BlingApi - functional programming interface
 */
export declare const BlingApiFp: {
    /**
     *
     */
    apiBlingGet(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * BlingApi - object-oriented interface
 */
export declare class BlingApi extends BaseAPI {
    /**
     *
     */
    apiBlingGet(options?: any): Promise<any>;
}
/**
 * BlingApi - factory interface
 */
export declare const BlingApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     */
    apiBlingGet(options?: any): Promise<any>;
};
/**
 * BulkAddToCloudcellarApi - fetch parameter creator
 */
export declare const BulkAddToCloudcellarApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiBulkAddToCloudcellarPost(params: {
        "authToken"?: string;
        "body"?: any;
    }, options?: any): FetchArgs;
};
/**
 * BulkAddToCloudcellarApi - functional programming interface
 */
export declare const BulkAddToCloudcellarApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiBulkAddToCloudcellarPost(params: {
        "authToken"?: string;
        "body"?: any;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StringStringArrayDictionaryApiResult>;
};
/**
 * BulkAddToCloudcellarApi - object-oriented interface
 */
export declare class BulkAddToCloudcellarApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiBulkAddToCloudcellarPost(params: {
        "authToken"?: string;
        "body"?: any;
    }, options?: any): Promise<StringStringArrayDictionaryApiResult>;
}
/**
 * BulkAddToCloudcellarApi - factory interface
 */
export declare const BulkAddToCloudcellarApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiBulkAddToCloudcellarPost(params: {
        "authToken"?: string;
        "body"?: any;
    }, options?: any): Promise<StringStringArrayDictionaryApiResult>;
};
/**
 * BulkCreateCreditsApi - fetch parameter creator
 */
export declare const BulkCreateCreditsApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminBulkCreateCreditsPost(params: {
        "authToken"?: string;
        "body"?: NhCreditModel[];
    }, options?: any): FetchArgs;
};
/**
 * BulkCreateCreditsApi - functional programming interface
 */
export declare const BulkCreateCreditsApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminBulkCreateCreditsPost(params: {
        "authToken"?: string;
        "body"?: NhCreditModel[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhCreditModelListApiResult>;
};
/**
 * BulkCreateCreditsApi - object-oriented interface
 */
export declare class BulkCreateCreditsApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminBulkCreateCreditsPost(params: {
        "authToken"?: string;
        "body"?: Array<NhCreditModel>;
    }, options?: any): Promise<NhCreditModelListApiResult>;
}
/**
 * BulkCreateCreditsApi - factory interface
 */
export declare const BulkCreateCreditsApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminBulkCreateCreditsPost(params: {
        "authToken"?: string;
        "body"?: NhCreditModel[];
    }, options?: any): Promise<NhCreditModelListApiResult>;
};
/**
 * CaptureEmailApi - fetch parameter creator
 */
export declare const CaptureEmailApiFetchParamCreator: {
    /**
     *
     * @param body
     */
    apiMcsubscribePost(params: {
        "body"?: EmailCapture;
    }, options?: any): FetchArgs;
};
/**
 * CaptureEmailApi - functional programming interface
 */
export declare const CaptureEmailApiFp: {
    /**
     *
     * @param body
     */
    apiMcsubscribePost(params: {
        "body"?: EmailCapture;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult>;
};
/**
 * CaptureEmailApi - object-oriented interface
 */
export declare class CaptureEmailApi extends BaseAPI {
    /**
     *
     * @param body
     */
    apiMcsubscribePost(params: {
        "body"?: EmailCapture;
    }, options?: any): Promise<BooleanApiResult>;
}
/**
 * CaptureEmailApi - factory interface
 */
export declare const CaptureEmailApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param body
     */
    apiMcsubscribePost(params: {
        "body"?: EmailCapture;
    }, options?: any): Promise<BooleanApiResult>;
};
/**
 * CartExpressPreviewApi - fetch parameter creator
 */
export declare const CartExpressPreviewApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param qty
     */
    apiCartExpressPreviewGet(params: {
        "authToken"?: string;
        "qty"?: string;
    }, options?: any): FetchArgs;
};
/**
 * CartExpressPreviewApi - functional programming interface
 */
export declare const CartExpressPreviewApiFp: {
    /**
     *
     * @param authToken
     * @param qty
     */
    apiCartExpressPreviewGet(params: {
        "authToken"?: string;
        "qty"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult>;
};
/**
 * CartExpressPreviewApi - object-oriented interface
 */
export declare class CartExpressPreviewApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param qty
     */
    apiCartExpressPreviewGet(params: {
        "authToken"?: string;
        "qty"?: string;
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
}
/**
 * CartExpressPreviewApi - factory interface
 */
export declare const CartExpressPreviewApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param qty
     */
    apiCartExpressPreviewGet(params: {
        "authToken"?: string;
        "qty"?: string;
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
};
/**
 * ClickUpWebhookApi - fetch parameter creator
 */
export declare const ClickUpWebhookApiFetchParamCreator: {
    /**
     *
     */
    apiClickupPost(options?: any): FetchArgs;
};
/**
 * ClickUpWebhookApi - functional programming interface
 */
export declare const ClickUpWebhookApiFp: {
    /**
     *
     */
    apiClickupPost(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * ClickUpWebhookApi - object-oriented interface
 */
export declare class ClickUpWebhookApi extends BaseAPI {
    /**
     *
     */
    apiClickupPost(options?: any): Promise<any>;
}
/**
 * ClickUpWebhookApi - factory interface
 */
export declare const ClickUpWebhookApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     */
    apiClickupPost(options?: any): Promise<any>;
};
/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - fetch parameter creator
 */
export declare const CloudCartServerlessDEPRECATED_DO_NOT_USEApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessGet(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem;
    }, options?: any): FetchArgs;
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessPut(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem;
    }, options?: any): FetchArgs;
};
/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - functional programming interface
 */
export declare const CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessGet(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult>;
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessPut(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult>;
};
/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - object-oriented interface
 */
export declare class CloudCartServerlessDEPRECATED_DO_NOT_USEApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessGet(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem;
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessPut(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem;
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
}
/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - factory interface
 */
export declare const CloudCartServerlessDEPRECATED_DO_NOT_USEApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessGet(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem;
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessPut(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem;
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
};
/**
 * CloudCartServerlessV2Api - fetch parameter creator
 */
export declare const CloudCartServerlessV2ApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Get(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem[];
    }, options?: any): FetchArgs;
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Put(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem[];
    }, options?: any): FetchArgs;
};
/**
 * CloudCartServerlessV2Api - functional programming interface
 */
export declare const CloudCartServerlessV2ApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Get(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult>;
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Put(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult>;
};
/**
 * CloudCartServerlessV2Api - object-oriented interface
 */
export declare class CloudCartServerlessV2Api extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Get(params: {
        "authToken"?: string;
        "body"?: Array<CloudCheckoutItem>;
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Put(params: {
        "authToken"?: string;
        "body"?: Array<CloudCheckoutItem>;
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
}
/**
 * CloudCartServerlessV2Api - factory interface
 */
export declare const CloudCartServerlessV2ApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Get(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem[];
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Put(params: {
        "authToken"?: string;
        "body"?: CloudCheckoutItem[];
    }, options?: any): Promise<CloudCheckoutItemListApiResult>;
};
/**
 * CloudCellarApi - fetch parameter creator
 */
export declare const CloudCellarApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     */
    apiCloudCellarGet(params: {
        "id"?: string;
        "authToken"?: string;
        "search"?: string;
        "varietal"?: string;
        "region"?: string;
        "appellation"?: string;
        "shipStatus"?: string;
    }, options?: any): FetchArgs;
};
/**
 * CloudCellarApi - functional programming interface
 */
export declare const CloudCellarApiFp: {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     */
    apiCloudCellarGet(params: {
        "id"?: string;
        "authToken"?: string;
        "search"?: string;
        "varietal"?: string;
        "region"?: string;
        "appellation"?: string;
        "shipStatus"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCellarV2ApiResult>;
};
/**
 * CloudCellarApi - object-oriented interface
 */
export declare class CloudCellarApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     */
    apiCloudCellarGet(params: {
        "id"?: string;
        "authToken"?: string;
        "search"?: string;
        "varietal"?: string;
        "region"?: string;
        "appellation"?: string;
        "shipStatus"?: string;
    }, options?: any): Promise<CloudCellarV2ApiResult>;
}
/**
 * CloudCellarApi - factory interface
 */
export declare const CloudCellarApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     */
    apiCloudCellarGet(params: {
        "id"?: string;
        "authToken"?: string;
        "search"?: string;
        "varietal"?: string;
        "region"?: string;
        "appellation"?: string;
        "shipStatus"?: string;
    }, options?: any): Promise<CloudCellarV2ApiResult>;
};
/**
 * CompShipmentApi - fetch parameter creator
 */
export declare const CompShipmentApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiCompShipmentGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * CompShipmentApi - functional programming interface
 */
export declare const CompShipmentApiFp: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiCompShipmentGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StringListApiResult>;
};
/**
 * CompShipmentApi - object-oriented interface
 */
export declare class CompShipmentApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiCompShipmentGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<StringListApiResult>;
}
/**
 * CompShipmentApi - factory interface
 */
export declare const CompShipmentApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     */
    apiCompShipmentGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<StringListApiResult>;
};
/**
 * CreateManualShipmentApi - fetch parameter creator
 */
export declare const CreateManualShipmentApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCreateManualShipmentPost(params: {
        "authToken"?: string;
        "body"?: ManualShipmentModel;
    }, options?: any): FetchArgs;
};
/**
 * CreateManualShipmentApi - functional programming interface
 */
export declare const CreateManualShipmentApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCreateManualShipmentPost(params: {
        "authToken"?: string;
        "body"?: ManualShipmentModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult>;
};
/**
 * CreateManualShipmentApi - object-oriented interface
 */
export declare class CreateManualShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCreateManualShipmentPost(params: {
        "authToken"?: string;
        "body"?: ManualShipmentModel;
    }, options?: any): Promise<BooleanApiResult>;
}
/**
 * CreateManualShipmentApi - factory interface
 */
export declare const CreateManualShipmentApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCreateManualShipmentPost(params: {
        "authToken"?: string;
        "body"?: ManualShipmentModel;
    }, options?: any): Promise<BooleanApiResult>;
};
/**
 * CreateOrUpdateSubscriptionApi - fetch parameter creator
 */
export declare const CreateOrUpdateSubscriptionApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPost(params: {
        "authToken"?: string;
        "orderGuid"?: string;
        "body"?: AutoSubscribeModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPut(params: {
        "authToken"?: string;
        "orderGuid"?: string;
        "body"?: AutoSubscribeModel;
    }, options?: any): FetchArgs;
};
/**
 * CreateOrUpdateSubscriptionApi - functional programming interface
 */
export declare const CreateOrUpdateSubscriptionApiFp: {
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPost(params: {
        "authToken"?: string;
        "orderGuid"?: string;
        "body"?: AutoSubscribeModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeModelApiResult>;
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPut(params: {
        "authToken"?: string;
        "orderGuid"?: string;
        "body"?: AutoSubscribeModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeModelApiResult>;
};
/**
 * CreateOrUpdateSubscriptionApi - object-oriented interface
 */
export declare class CreateOrUpdateSubscriptionApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPost(params: {
        "authToken"?: string;
        "orderGuid"?: string;
        "body"?: AutoSubscribeModel;
    }, options?: any): Promise<AutoSubscribeModelApiResult>;
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPut(params: {
        "authToken"?: string;
        "orderGuid"?: string;
        "body"?: AutoSubscribeModel;
    }, options?: any): Promise<AutoSubscribeModelApiResult>;
}
/**
 * CreateOrUpdateSubscriptionApi - factory interface
 */
export declare const CreateOrUpdateSubscriptionApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPost(params: {
        "authToken"?: string;
        "orderGuid"?: string;
        "body"?: AutoSubscribeModel;
    }, options?: any): Promise<AutoSubscribeModelApiResult>;
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPut(params: {
        "authToken"?: string;
        "orderGuid"?: string;
        "body"?: AutoSubscribeModel;
    }, options?: any): Promise<AutoSubscribeModelApiResult>;
};
/**
 * DotmailerCampaignsDataApi - fetch parameter creator
 */
export declare const DotmailerCampaignsDataApiFetchParamCreator: {
    /**
     *
     * @param authToken
     */
    apiV3AdminDotmailerCampaignsGet(params: {
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * DotmailerCampaignsDataApi - functional programming interface
 */
export declare const DotmailerCampaignsDataApiFp: {
    /**
     *
     * @param authToken
     */
    apiV3AdminDotmailerCampaignsGet(params: {
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<EmailCampaignListApiResult>;
};
/**
 * DotmailerCampaignsDataApi - object-oriented interface
 */
export declare class DotmailerCampaignsDataApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiV3AdminDotmailerCampaignsGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<EmailCampaignListApiResult>;
}
/**
 * DotmailerCampaignsDataApi - factory interface
 */
export declare const DotmailerCampaignsDataApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     */
    apiV3AdminDotmailerCampaignsGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<EmailCampaignListApiResult>;
};
/**
 * FinalizeBatchApi - fetch parameter creator
 */
export declare const FinalizeBatchApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminFinalizeBatchPost(params: {
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): FetchArgs;
};
/**
 * FinalizeBatchApi - functional programming interface
 */
export declare const FinalizeBatchApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminFinalizeBatchPost(params: {
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentIdListApiResult>;
};
/**
 * FinalizeBatchApi - object-oriented interface
 */
export declare class FinalizeBatchApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminFinalizeBatchPost(params: {
        "authToken"?: string;
        "body"?: Array<ShipmentId>;
    }, options?: any): Promise<ShipmentIdListApiResult>;
}
/**
 * FinalizeBatchApi - factory interface
 */
export declare const FinalizeBatchApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminFinalizeBatchPost(params: {
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): Promise<ShipmentIdListApiResult>;
};
/**
 * FindChargebackApi - fetch parameter creator
 */
export declare const FindChargebackApiFetchParamCreator: {
    /**
     *
     * @param search
     * @param authToken
     */
    apiFindChargebackGet(params: {
        "search"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * FindChargebackApi - functional programming interface
 */
export declare const FindChargebackApiFp: {
    /**
     *
     * @param search
     * @param authToken
     */
    apiFindChargebackGet(params: {
        "search"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ChargebackModelListApiResult>;
};
/**
 * FindChargebackApi - object-oriented interface
 */
export declare class FindChargebackApi extends BaseAPI {
    /**
     *
     * @param search
     * @param authToken
     */
    apiFindChargebackGet(params: {
        "search"?: string;
        "authToken"?: string;
    }, options?: any): Promise<ChargebackModelListApiResult>;
}
/**
 * FindChargebackApi - factory interface
 */
export declare const FindChargebackApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param search
     * @param authToken
     */
    apiFindChargebackGet(params: {
        "search"?: string;
        "authToken"?: string;
    }, options?: any): Promise<ChargebackModelListApiResult>;
};
/**
 * GetAddressesByUserGuidOrEmailApi - fetch parameter creator
 */
export declare const GetAddressesByUserGuidOrEmailApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetAddressesByUserGuidOrEmailApi - functional programming interface
 */
export declare const GetAddressesByUserGuidOrEmailApiFp: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhAddressModelListApiResult>;
};
/**
 * GetAddressesByUserGuidOrEmailApi - object-oriented interface
 */
export declare class GetAddressesByUserGuidOrEmailApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<NhAddressModelListApiResult>;
}
/**
 * GetAddressesByUserGuidOrEmailApi - factory interface
 */
export declare const GetAddressesByUserGuidOrEmailApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<NhAddressModelListApiResult>;
};
/**
 * GetAdminGiftListApi - fetch parameter creator
 */
export declare const GetAdminGiftListApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param id
     */
    apiGetAdminGiftListGet(params: {
        "authToken"?: string;
        "id"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetAdminGiftListApi - functional programming interface
 */
export declare const GetAdminGiftListApiFp: {
    /**
     *
     * @param authToken
     * @param id
     */
    apiGetAdminGiftListGet(params: {
        "authToken"?: string;
        "id"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CodeWithOrderListApiResult>;
};
/**
 * GetAdminGiftListApi - object-oriented interface
 */
export declare class GetAdminGiftListApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     */
    apiGetAdminGiftListGet(params: {
        "authToken"?: string;
        "id"?: string;
    }, options?: any): Promise<CodeWithOrderListApiResult>;
}
/**
 * GetAdminGiftListApi - factory interface
 */
export declare const GetAdminGiftListApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param id
     */
    apiGetAdminGiftListGet(params: {
        "authToken"?: string;
        "id"?: string;
    }, options?: any): Promise<CodeWithOrderListApiResult>;
};
/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - fetch parameter creator
 */
export declare const GetDotdigitalTriggeredCampaignExamplePayloadApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param id
     * @param emailType
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params: {
        "authToken"?: string;
        "id"?: string;
        "emailType"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - functional programming interface
 */
export declare const GetDotdigitalTriggeredCampaignExamplePayloadApiFp: {
    /**
     *
     * @param authToken
     * @param id
     * @param emailType
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params: {
        "authToken"?: string;
        "id"?: string;
        "emailType"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StringPersonalizedValueListApiResult>;
};
/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - object-oriented interface
 */
export declare class GetDotdigitalTriggeredCampaignExamplePayloadApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     * @param emailType
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params: {
        "authToken"?: string;
        "id"?: string;
        "emailType"?: string;
    }, options?: any): Promise<StringPersonalizedValueListApiResult>;
}
/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - factory interface
 */
export declare const GetDotdigitalTriggeredCampaignExamplePayloadApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param id
     * @param emailType
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params: {
        "authToken"?: string;
        "id"?: string;
        "emailType"?: string;
    }, options?: any): Promise<StringPersonalizedValueListApiResult>;
};
/**
 * GetGenericPeriodReportApi - fetch parameter creator
 */
export declare const GetGenericPeriodReportApiFetchParamCreator: {
    /**
     *
     * @param report
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportGenericPeriodReportGet(params: {
        "report"?: string;
        "period"?: string;
        "nPeriods"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetGenericPeriodReportApi - functional programming interface
 */
export declare const GetGenericPeriodReportApiFp: {
    /**
     *
     * @param report
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportGenericPeriodReportGet(params: {
        "report"?: string;
        "period"?: string;
        "nPeriods"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<PurchMetricListApiResult>;
};
/**
 * GetGenericPeriodReportApi - object-oriented interface
 */
export declare class GetGenericPeriodReportApi extends BaseAPI {
    /**
     *
     * @param report
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportGenericPeriodReportGet(params: {
        "report"?: string;
        "period"?: string;
        "nPeriods"?: string;
        "authToken"?: string;
    }, options?: any): Promise<PurchMetricListApiResult>;
}
/**
 * GetGenericPeriodReportApi - factory interface
 */
export declare const GetGenericPeriodReportApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param report
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportGenericPeriodReportGet(params: {
        "report"?: string;
        "period"?: string;
        "nPeriods"?: string;
        "authToken"?: string;
    }, options?: any): Promise<PurchMetricListApiResult>;
};
/**
 * GetMetricsForMonthApi - fetch parameter creator
 */
export declare const GetMetricsForMonthApiFetchParamCreator: {
    /**
     *
     * @param period
     * @param authToken
     */
    apiApiAdminReportMonthlyNorthStarGet(params: {
        "period"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetMetricsForMonthApi - functional programming interface
 */
export declare const GetMetricsForMonthApiFp: {
    /**
     *
     * @param period
     * @param authToken
     */
    apiApiAdminReportMonthlyNorthStarGet(params: {
        "period"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StringDecimalDictionaryApiResult>;
};
/**
 * GetMetricsForMonthApi - object-oriented interface
 */
export declare class GetMetricsForMonthApi extends BaseAPI {
    /**
     *
     * @param period
     * @param authToken
     */
    apiApiAdminReportMonthlyNorthStarGet(params: {
        "period"?: string;
        "authToken"?: string;
    }, options?: any): Promise<StringDecimalDictionaryApiResult>;
}
/**
 * GetMetricsForMonthApi - factory interface
 */
export declare const GetMetricsForMonthApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param period
     * @param authToken
     */
    apiApiAdminReportMonthlyNorthStarGet(params: {
        "period"?: string;
        "authToken"?: string;
    }, options?: any): Promise<StringDecimalDictionaryApiResult>;
};
/**
 * GetSessionGiftListApi - fetch parameter creator
 */
export declare const GetSessionGiftListApiFetchParamCreator: {
    /**
     *
     * @param authToken
     */
    apiGetSessionGiftListGet(params: {
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetSessionGiftListApi - functional programming interface
 */
export declare const GetSessionGiftListApiFp: {
    /**
     *
     * @param authToken
     */
    apiGetSessionGiftListGet(params: {
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CodeWithOrderListApiResult>;
};
/**
 * GetSessionGiftListApi - object-oriented interface
 */
export declare class GetSessionGiftListApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiGetSessionGiftListGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<CodeWithOrderListApiResult>;
}
/**
 * GetSessionGiftListApi - factory interface
 */
export declare const GetSessionGiftListApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     */
    apiGetSessionGiftListGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<CodeWithOrderListApiResult>;
};
/**
 * GetShipmentsByUserApi - fetch parameter creator
 */
export declare const GetShipmentsByUserApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetShipmentsByUserGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetShipmentsByUserApi - functional programming interface
 */
export declare const GetShipmentsByUserApiFp: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetShipmentsByUserGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OrderViewModelListApiResult>;
};
/**
 * GetShipmentsByUserApi - object-oriented interface
 */
export declare class GetShipmentsByUserApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetShipmentsByUserGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<OrderViewModelListApiResult>;
}
/**
 * GetShipmentsByUserApi - factory interface
 */
export declare const GetShipmentsByUserApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetShipmentsByUserGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<OrderViewModelListApiResult>;
};
/**
 * GetShippingKeyMetricsWeeklyApi - fetch parameter creator
 */
export declare const GetShippingKeyMetricsWeeklyApiFetchParamCreator: {
    /**
     *
     * @param startDate
     * @param detailed
     * @param authToken
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params: {
        "startDate"?: string;
        "detailed"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetShippingKeyMetricsWeeklyApi - functional programming interface
 */
export declare const GetShippingKeyMetricsWeeklyApiFp: {
    /**
     *
     * @param startDate
     * @param detailed
     * @param authToken
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params: {
        "startDate"?: string;
        "detailed"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentReportingWeekListApiResult>;
};
/**
 * GetShippingKeyMetricsWeeklyApi - object-oriented interface
 */
export declare class GetShippingKeyMetricsWeeklyApi extends BaseAPI {
    /**
     *
     * @param startDate
     * @param detailed
     * @param authToken
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params: {
        "startDate"?: string;
        "detailed"?: string;
        "authToken"?: string;
    }, options?: any): Promise<ShipmentReportingWeekListApiResult>;
}
/**
 * GetShippingKeyMetricsWeeklyApi - factory interface
 */
export declare const GetShippingKeyMetricsWeeklyApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param startDate
     * @param detailed
     * @param authToken
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params: {
        "startDate"?: string;
        "detailed"?: string;
        "authToken"?: string;
    }, options?: any): Promise<ShipmentReportingWeekListApiResult>;
};
/**
 * GetSubscriptionFromOrderApi - fetch parameter creator
 */
export declare const GetSubscriptionFromOrderApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionFromOrderGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetSubscriptionFromOrderApi - functional programming interface
 */
export declare const GetSubscriptionFromOrderApiFp: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionFromOrderGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeModelApiResult>;
};
/**
 * GetSubscriptionFromOrderApi - object-oriented interface
 */
export declare class GetSubscriptionFromOrderApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionFromOrderGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<AutoSubscribeModelApiResult>;
}
/**
 * GetSubscriptionFromOrderApi - factory interface
 */
export declare const GetSubscriptionFromOrderApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionFromOrderGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<AutoSubscribeModelApiResult>;
};
/**
 * GetSubscriptionsByUserApi - fetch parameter creator
 */
export declare const GetSubscriptionsByUserApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionsByUserGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetSubscriptionsByUserApi - functional programming interface
 */
export declare const GetSubscriptionsByUserApiFp: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionsByUserGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeModelListApiResult>;
};
/**
 * GetSubscriptionsByUserApi - object-oriented interface
 */
export declare class GetSubscriptionsByUserApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionsByUserGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<AutoSubscribeModelListApiResult>;
}
/**
 * GetSubscriptionsByUserApi - factory interface
 */
export declare const GetSubscriptionsByUserApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionsByUserGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<AutoSubscribeModelListApiResult>;
};
/**
 * GetSupplierApi - fetch parameter creator
 */
export declare const GetSupplierApiFetchParamCreator: {
    /**
     *
     * @param authToken
     */
    apiV3AdminSupplierGet(params: {
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetSupplierApi - functional programming interface
 */
export declare const GetSupplierApiFp: {
    /**
     *
     * @param authToken
     */
    apiV3AdminSupplierGet(params: {
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierListApiResult>;
};
/**
 * GetSupplierApi - object-oriented interface
 */
export declare class GetSupplierApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiV3AdminSupplierGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<SupplierListApiResult>;
}
/**
 * GetSupplierApi - factory interface
 */
export declare const GetSupplierApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     */
    apiV3AdminSupplierGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<SupplierListApiResult>;
};
/**
 * GetTopPromoCreditUsersApi - fetch parameter creator
 */
export declare const GetTopPromoCreditUsersApiFetchParamCreator: {
    /**
     *
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportPromoCreditUsersGet(params: {
        "period"?: string;
        "nPeriods"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetTopPromoCreditUsersApi - functional programming interface
 */
export declare const GetTopPromoCreditUsersApiFp: {
    /**
     *
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportPromoCreditUsersGet(params: {
        "period"?: string;
        "nPeriods"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<PurchMetricListApiResult>;
};
/**
 * GetTopPromoCreditUsersApi - object-oriented interface
 */
export declare class GetTopPromoCreditUsersApi extends BaseAPI {
    /**
     *
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportPromoCreditUsersGet(params: {
        "period"?: string;
        "nPeriods"?: string;
        "authToken"?: string;
    }, options?: any): Promise<PurchMetricListApiResult>;
}
/**
 * GetTopPromoCreditUsersApi - factory interface
 */
export declare const GetTopPromoCreditUsersApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportPromoCreditUsersGet(params: {
        "period"?: string;
        "nPeriods"?: string;
        "authToken"?: string;
    }, options?: any): Promise<PurchMetricListApiResult>;
};
/**
 * GetUpdatedTrackingApi - fetch parameter creator
 */
export declare const GetUpdatedTrackingApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param id
     */
    apiV3AdminGetUpdatedTrackingGet(params: {
        "authToken"?: string;
        "id"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetUpdatedTrackingApi - functional programming interface
 */
export declare const GetUpdatedTrackingApiFp: {
    /**
     *
     * @param authToken
     * @param id
     */
    apiV3AdminGetUpdatedTrackingGet(params: {
        "authToken"?: string;
        "id"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<GuidTrackingInfoDictionaryApiResult>;
};
/**
 * GetUpdatedTrackingApi - object-oriented interface
 */
export declare class GetUpdatedTrackingApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     */
    apiV3AdminGetUpdatedTrackingGet(params: {
        "authToken"?: string;
        "id"?: string;
    }, options?: any): Promise<GuidTrackingInfoDictionaryApiResult>;
}
/**
 * GetUpdatedTrackingApi - factory interface
 */
export declare const GetUpdatedTrackingApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param id
     */
    apiV3AdminGetUpdatedTrackingGet(params: {
        "authToken"?: string;
        "id"?: string;
    }, options?: any): Promise<GuidTrackingInfoDictionaryApiResult>;
};
/**
 * GetUsersMatchingBucketApi - fetch parameter creator
 */
export declare const GetUsersMatchingBucketApiFetchParamCreator: {
    /**
     *
     * @param search
     * @param authToken
     */
    apiGetUsersMatchingBucketGet(params: {
        "search"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * GetUsersMatchingBucketApi - functional programming interface
 */
export declare const GetUsersMatchingBucketApiFp: {
    /**
     *
     * @param search
     * @param authToken
     */
    apiGetUsersMatchingBucketGet(params: {
        "search"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeWithUserModelListApiResult>;
};
/**
 * GetUsersMatchingBucketApi - object-oriented interface
 */
export declare class GetUsersMatchingBucketApi extends BaseAPI {
    /**
     *
     * @param search
     * @param authToken
     */
    apiGetUsersMatchingBucketGet(params: {
        "search"?: string;
        "authToken"?: string;
    }, options?: any): Promise<AutoSubscribeWithUserModelListApiResult>;
}
/**
 * GetUsersMatchingBucketApi - factory interface
 */
export declare const GetUsersMatchingBucketApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param search
     * @param authToken
     */
    apiGetUsersMatchingBucketGet(params: {
        "search"?: string;
        "authToken"?: string;
    }, options?: any): Promise<AutoSubscribeWithUserModelListApiResult>;
};
/**
 * HandleBatchApi - fetch parameter creator
 */
export declare const HandleBatchApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchGet(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchPost(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): FetchArgs;
};
/**
 * HandleBatchApi - functional programming interface
 */
export declare const HandleBatchApiFp: {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchGet(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchInfoListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchPost(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchInfoListApiResult>;
};
/**
 * HandleBatchApi - object-oriented interface
 */
export declare class HandleBatchApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchGet(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): Promise<BatchInfoListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchPost(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): Promise<BatchInfoListApiResult>;
}
/**
 * HandleBatchApi - factory interface
 */
export declare const HandleBatchApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchGet(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): Promise<BatchInfoListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchPost(params: {
        "id"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): Promise<BatchInfoListApiResult>;
};
/**
 * HandleCmsApi - fetch parameter creator
 */
export declare const HandleCmsApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param body
     */
    apiContentGet(params: {
        "id"?: string;
        "body"?: TransactionalEmailModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     * @param body
     */
    apiContentPost(params: {
        "id"?: string;
        "body"?: TransactionalEmailModel;
    }, options?: any): FetchArgs;
};
/**
 * HandleCmsApi - functional programming interface
 */
export declare const HandleCmsApiFp: {
    /**
     *
     * @param id
     * @param body
     */
    apiContentGet(params: {
        "id"?: string;
        "body"?: TransactionalEmailModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<TransactionalEmailModelListApiResult>;
    /**
     *
     * @param id
     * @param body
     */
    apiContentPost(params: {
        "id"?: string;
        "body"?: TransactionalEmailModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<TransactionalEmailModelListApiResult>;
};
/**
 * HandleCmsApi - object-oriented interface
 */
export declare class HandleCmsApi extends BaseAPI {
    /**
     *
     * @param id
     * @param body
     */
    apiContentGet(params: {
        "id"?: string;
        "body"?: TransactionalEmailModel;
    }, options?: any): Promise<TransactionalEmailModelListApiResult>;
    /**
     *
     * @param id
     * @param body
     */
    apiContentPost(params: {
        "id"?: string;
        "body"?: TransactionalEmailModel;
    }, options?: any): Promise<TransactionalEmailModelListApiResult>;
}
/**
 * HandleCmsApi - factory interface
 */
export declare const HandleCmsApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param body
     */
    apiContentGet(params: {
        "id"?: string;
        "body"?: TransactionalEmailModel;
    }, options?: any): Promise<TransactionalEmailModelListApiResult>;
    /**
     *
     * @param id
     * @param body
     */
    apiContentPost(params: {
        "id"?: string;
        "body"?: TransactionalEmailModel;
    }, options?: any): Promise<TransactionalEmailModelListApiResult>;
};
/**
 * HandleInventoryApi - fetch parameter creator
 */
export declare const HandleInventoryApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryGet(params: {
        "id"?: string;
        "authToken"?: string;
        "stockUpdateMode"?: string;
        "backgroundJob"?: string;
        "body"?: Inventory[];
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryPost(params: {
        "id"?: string;
        "authToken"?: string;
        "stockUpdateMode"?: string;
        "backgroundJob"?: string;
        "body"?: Inventory[];
    }, options?: any): FetchArgs;
};
/**
 * HandleInventoryApi - functional programming interface
 */
export declare const HandleInventoryApiFp: {
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryGet(params: {
        "id"?: string;
        "authToken"?: string;
        "stockUpdateMode"?: string;
        "backgroundJob"?: string;
        "body"?: Inventory[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryPost(params: {
        "id"?: string;
        "authToken"?: string;
        "stockUpdateMode"?: string;
        "backgroundJob"?: string;
        "body"?: Inventory[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryListApiResult>;
};
/**
 * HandleInventoryApi - object-oriented interface
 */
export declare class HandleInventoryApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryGet(params: {
        "id"?: string;
        "authToken"?: string;
        "stockUpdateMode"?: string;
        "backgroundJob"?: string;
        "body"?: Array<Inventory>;
    }, options?: any): Promise<InventoryListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryPost(params: {
        "id"?: string;
        "authToken"?: string;
        "stockUpdateMode"?: string;
        "backgroundJob"?: string;
        "body"?: Array<Inventory>;
    }, options?: any): Promise<InventoryListApiResult>;
}
/**
 * HandleInventoryApi - factory interface
 */
export declare const HandleInventoryApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryGet(params: {
        "id"?: string;
        "authToken"?: string;
        "stockUpdateMode"?: string;
        "backgroundJob"?: string;
        "body"?: Inventory[];
    }, options?: any): Promise<InventoryListApiResult>;
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryPost(params: {
        "id"?: string;
        "authToken"?: string;
        "stockUpdateMode"?: string;
        "backgroundJob"?: string;
        "body"?: Inventory[];
    }, options?: any): Promise<InventoryListApiResult>;
};
/**
 * HandleInventoryHoldingShipmentApi - fetch parameter creator
 */
export declare const HandleInventoryHoldingShipmentApiFetchParamCreator: {
    /**
     *
     * @param authToken
     */
    apiSkuHandleInventoryHoldingShipmentGet(params: {
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * HandleInventoryHoldingShipmentApi - functional programming interface
 */
export declare const HandleInventoryHoldingShipmentApiFp: {
    /**
     *
     * @param authToken
     */
    apiSkuHandleInventoryHoldingShipmentGet(params: {
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryHoldingShipmentListApiResult>;
};
/**
 * HandleInventoryHoldingShipmentApi - object-oriented interface
 */
export declare class HandleInventoryHoldingShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiSkuHandleInventoryHoldingShipmentGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<InventoryHoldingShipmentListApiResult>;
}
/**
 * HandleInventoryHoldingShipmentApi - factory interface
 */
export declare const HandleInventoryHoldingShipmentApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     */
    apiSkuHandleInventoryHoldingShipmentGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<InventoryHoldingShipmentListApiResult>;
};
/**
 * HandleNpsApi - fetch parameter creator
 */
export declare const HandleNpsApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param body
     */
    apiNpsGet(params: {
        "id"?: string;
        "body"?: NpsScore;
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     * @param body
     */
    apiNpsPost(params: {
        "id"?: string;
        "body"?: NpsScore;
    }, options?: any): FetchArgs;
};
/**
 * HandleNpsApi - functional programming interface
 */
export declare const HandleNpsApiFp: {
    /**
     *
     * @param id
     * @param body
     */
    apiNpsGet(params: {
        "id"?: string;
        "body"?: NpsScore;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NpsScoreListApiResult>;
    /**
     *
     * @param id
     * @param body
     */
    apiNpsPost(params: {
        "id"?: string;
        "body"?: NpsScore;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NpsScoreListApiResult>;
};
/**
 * HandleNpsApi - object-oriented interface
 */
export declare class HandleNpsApi extends BaseAPI {
    /**
     *
     * @param id
     * @param body
     */
    apiNpsGet(params: {
        "id"?: string;
        "body"?: NpsScore;
    }, options?: any): Promise<NpsScoreListApiResult>;
    /**
     *
     * @param id
     * @param body
     */
    apiNpsPost(params: {
        "id"?: string;
        "body"?: NpsScore;
    }, options?: any): Promise<NpsScoreListApiResult>;
}
/**
 * HandleNpsApi - factory interface
 */
export declare const HandleNpsApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param body
     */
    apiNpsGet(params: {
        "id"?: string;
        "body"?: NpsScore;
    }, options?: any): Promise<NpsScoreListApiResult>;
    /**
     *
     * @param id
     * @param body
     */
    apiNpsPost(params: {
        "id"?: string;
        "body"?: NpsScore;
    }, options?: any): Promise<NpsScoreListApiResult>;
};
/**
 * IdentifyIdentifierApi - fetch parameter creator
 */
export declare const IdentifyIdentifierApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiIdentifyIdentifierPost(params: {
        "authToken"?: string;
        "body"?: IdentifyIdentifierPayload;
    }, options?: any): FetchArgs;
};
/**
 * IdentifyIdentifierApi - functional programming interface
 */
export declare const IdentifyIdentifierApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiIdentifyIdentifierPost(params: {
        "authToken"?: string;
        "body"?: IdentifyIdentifierPayload;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CustomerSupportActionListApiResult>;
};
/**
 * IdentifyIdentifierApi - object-oriented interface
 */
export declare class IdentifyIdentifierApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiIdentifyIdentifierPost(params: {
        "authToken"?: string;
        "body"?: IdentifyIdentifierPayload;
    }, options?: any): Promise<CustomerSupportActionListApiResult>;
}
/**
 * IdentifyIdentifierApi - factory interface
 */
export declare const IdentifyIdentifierApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiIdentifyIdentifierPost(params: {
        "authToken"?: string;
        "body"?: IdentifyIdentifierPayload;
    }, options?: any): Promise<CustomerSupportActionListApiResult>;
};
/**
 * InventoryPerShipmentIdApi - fetch parameter creator
 */
export declare const InventoryPerShipmentIdApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiInventoryPerShipmentIdGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * InventoryPerShipmentIdApi - functional programming interface
 */
export declare const InventoryPerShipmentIdApiFp: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiInventoryPerShipmentIdGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SkuHistoryListApiResult>;
};
/**
 * InventoryPerShipmentIdApi - object-oriented interface
 */
export declare class InventoryPerShipmentIdApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiInventoryPerShipmentIdGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<SkuHistoryListApiResult>;
}
/**
 * InventoryPerShipmentIdApi - factory interface
 */
export declare const InventoryPerShipmentIdApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     */
    apiInventoryPerShipmentIdGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<SkuHistoryListApiResult>;
};
/**
 * InventoryTransferApi - fetch parameter creator
 */
export declare const InventoryTransferApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferGet(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: NhTransfer;
    }, options?: any): FetchArgs;
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferPost(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: NhTransfer;
    }, options?: any): FetchArgs;
};
/**
 * InventoryTransferApi - functional programming interface
 */
export declare const InventoryTransferApiFp: {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferGet(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: NhTransfer;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhTransferApiResult>;
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferPost(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: NhTransfer;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhTransferApiResult>;
};
/**
 * InventoryTransferApi - object-oriented interface
 */
export declare class InventoryTransferApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferGet(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: NhTransfer;
    }, options?: any): Promise<NhTransferApiResult>;
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferPost(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: NhTransfer;
    }, options?: any): Promise<NhTransferApiResult>;
}
/**
 * InventoryTransferApi - factory interface
 */
export declare const InventoryTransferApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferGet(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: NhTransfer;
    }, options?: any): Promise<NhTransferApiResult>;
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferPost(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: NhTransfer;
    }, options?: any): Promise<NhTransferApiResult>;
};
/**
 * LinkHistoryItemApi - fetch parameter creator
 */
export declare const LinkHistoryItemApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryDelete(params: {
        "authToken"?: string;
        "xiGuid"?: string;
        "skuHistoryGuid"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryGet(params: {
        "authToken"?: string;
        "xiGuid"?: string;
        "skuHistoryGuid"?: string;
    }, options?: any): FetchArgs;
};
/**
 * LinkHistoryItemApi - functional programming interface
 */
export declare const LinkHistoryItemApiFp: {
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryDelete(params: {
        "authToken"?: string;
        "xiGuid"?: string;
        "skuHistoryGuid"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult>;
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryGet(params: {
        "authToken"?: string;
        "xiGuid"?: string;
        "skuHistoryGuid"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult>;
};
/**
 * LinkHistoryItemApi - object-oriented interface
 */
export declare class LinkHistoryItemApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryDelete(params: {
        "authToken"?: string;
        "xiGuid"?: string;
        "skuHistoryGuid"?: string;
    }, options?: any): Promise<BooleanApiResult>;
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryGet(params: {
        "authToken"?: string;
        "xiGuid"?: string;
        "skuHistoryGuid"?: string;
    }, options?: any): Promise<BooleanApiResult>;
}
/**
 * LinkHistoryItemApi - factory interface
 */
export declare const LinkHistoryItemApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryDelete(params: {
        "authToken"?: string;
        "xiGuid"?: string;
        "skuHistoryGuid"?: string;
    }, options?: any): Promise<BooleanApiResult>;
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryGet(params: {
        "authToken"?: string;
        "xiGuid"?: string;
        "skuHistoryGuid"?: string;
    }, options?: any): Promise<BooleanApiResult>;
};
/**
 * MakeSiteMapApi - fetch parameter creator
 */
export declare const MakeSiteMapApiFetchParamCreator: {
    /**
     *
     */
    apiSitemapXmlGet(options?: any): FetchArgs;
};
/**
 * MakeSiteMapApi - functional programming interface
 */
export declare const MakeSiteMapApiFp: {
    /**
     *
     */
    apiSitemapXmlGet(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * MakeSiteMapApi - object-oriented interface
 */
export declare class MakeSiteMapApi extends BaseAPI {
    /**
     *
     */
    apiSitemapXmlGet(options?: any): Promise<any>;
}
/**
 * MakeSiteMapApi - factory interface
 */
export declare const MakeSiteMapApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     */
    apiSitemapXmlGet(options?: any): Promise<any>;
};
/**
 * OfferLambdaApi - fetch parameter creator
 */
export declare const OfferLambdaApiFetchParamCreator: {
    /**
     *
     * @param offerSef
     * @param skip
     * @param take
     * @param forcePopulate
     * @param filter
     * @param authToken
     * @param body
     */
    apiV4offerGet(params: {
        "offerSef"?: string;
        "skip"?: string;
        "take"?: string;
        "forcePopulate"?: string;
        "filter"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): FetchArgs;
};
/**
 * OfferLambdaApi - functional programming interface
 */
export declare const OfferLambdaApiFp: {
    /**
     *
     * @param offerSef
     * @param skip
     * @param take
     * @param forcePopulate
     * @param filter
     * @param authToken
     * @param body
     */
    apiV4offerGet(params: {
        "offerSef"?: string;
        "skip"?: string;
        "take"?: string;
        "forcePopulate"?: string;
        "filter"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferInfoListApiResult>;
};
/**
 * OfferLambdaApi - object-oriented interface
 */
export declare class OfferLambdaApi extends BaseAPI {
    /**
     *
     * @param offerSef
     * @param skip
     * @param take
     * @param forcePopulate
     * @param filter
     * @param authToken
     * @param body
     */
    apiV4offerGet(params: {
        "offerSef"?: string;
        "skip"?: string;
        "take"?: string;
        "forcePopulate"?: string;
        "filter"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): Promise<OfferInfoListApiResult>;
}
/**
 * OfferLambdaApi - factory interface
 */
export declare const OfferLambdaApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param offerSef
     * @param skip
     * @param take
     * @param forcePopulate
     * @param filter
     * @param authToken
     * @param body
     */
    apiV4offerGet(params: {
        "offerSef"?: string;
        "skip"?: string;
        "take"?: string;
        "forcePopulate"?: string;
        "filter"?: string;
        "authToken"?: string;
        "body"?: BatchInfo;
    }, options?: any): Promise<OfferInfoListApiResult>;
};
/**
 * OffersReservingSkuApi - fetch parameter creator
 */
export declare const OffersReservingSkuApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiOffersReservingSkuGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * OffersReservingSkuApi - functional programming interface
 */
export declare const OffersReservingSkuApiFp: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiOffersReservingSkuGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SkuReservedListApiResult>;
};
/**
 * OffersReservingSkuApi - object-oriented interface
 */
export declare class OffersReservingSkuApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiOffersReservingSkuGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<SkuReservedListApiResult>;
}
/**
 * OffersReservingSkuApi - factory interface
 */
export declare const OffersReservingSkuApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     */
    apiOffersReservingSkuGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<SkuReservedListApiResult>;
};
/**
 * RedeemGiftCardsApi - fetch parameter creator
 */
export declare const RedeemGiftCardsApiFetchParamCreator: {
    /**
     *
     * @param authToken
     */
    apiRedeemGiftCardsGet(params: {
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * RedeemGiftCardsApi - functional programming interface
 */
export declare const RedeemGiftCardsApiFp: {
    /**
     *
     * @param authToken
     */
    apiRedeemGiftCardsGet(params: {
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferV2ManifestEntityListApiResult>;
};
/**
 * RedeemGiftCardsApi - object-oriented interface
 */
export declare class RedeemGiftCardsApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiRedeemGiftCardsGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<OfferV2ManifestEntityListApiResult>;
}
/**
 * RedeemGiftCardsApi - factory interface
 */
export declare const RedeemGiftCardsApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     */
    apiRedeemGiftCardsGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<OfferV2ManifestEntityListApiResult>;
};
/**
 * RemoveManifestsFromShipmentApi - fetch parameter creator
 */
export declare const RemoveManifestsFromShipmentApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiRemoveManifestsFromShipmentPost(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: ShipmentId[];
    }, options?: any): FetchArgs;
};
/**
 * RemoveManifestsFromShipmentApi - functional programming interface
 */
export declare const RemoveManifestsFromShipmentApiFp: {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiRemoveManifestsFromShipmentPost(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: ShipmentId[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentIdListApiResult>;
};
/**
 * RemoveManifestsFromShipmentApi - object-oriented interface
 */
export declare class RemoveManifestsFromShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiRemoveManifestsFromShipmentPost(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: Array<ShipmentId>;
    }, options?: any): Promise<ShipmentIdListApiResult>;
}
/**
 * RemoveManifestsFromShipmentApi - factory interface
 */
export declare const RemoveManifestsFromShipmentApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiRemoveManifestsFromShipmentPost(params: {
        "authToken"?: string;
        "id"?: string;
        "body"?: ShipmentId[];
    }, options?: any): Promise<ShipmentIdListApiResult>;
};
/**
 * SendDotmailerEmailTestApi - fetch parameter creator
 */
export declare const SendDotmailerEmailTestApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSendDotmailerEmailTestPost(params: {
        "authToken"?: string;
        "body"?: EmailCampaign[];
    }, options?: any): FetchArgs;
};
/**
 * SendDotmailerEmailTestApi - functional programming interface
 */
export declare const SendDotmailerEmailTestApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSendDotmailerEmailTestPost(params: {
        "authToken"?: string;
        "body"?: EmailCampaign[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult>;
};
/**
 * SendDotmailerEmailTestApi - object-oriented interface
 */
export declare class SendDotmailerEmailTestApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSendDotmailerEmailTestPost(params: {
        "authToken"?: string;
        "body"?: Array<EmailCampaign>;
    }, options?: any): Promise<BooleanApiResult>;
}
/**
 * SendDotmailerEmailTestApi - factory interface
 */
export declare const SendDotmailerEmailTestApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSendDotmailerEmailTestPost(params: {
        "authToken"?: string;
        "body"?: EmailCampaign[];
    }, options?: any): Promise<BooleanApiResult>;
};
/**
 * SendQrEmailApi - fetch parameter creator
 */
export declare const SendQrEmailApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSendQrEmailPost(params: {
        "authToken"?: string;
        "body"?: QrEmailTemplateModel;
    }, options?: any): FetchArgs;
};
/**
 * SendQrEmailApi - functional programming interface
 */
export declare const SendQrEmailApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSendQrEmailPost(params: {
        "authToken"?: string;
        "body"?: QrEmailTemplateModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult>;
};
/**
 * SendQrEmailApi - object-oriented interface
 */
export declare class SendQrEmailApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSendQrEmailPost(params: {
        "authToken"?: string;
        "body"?: QrEmailTemplateModel;
    }, options?: any): Promise<BooleanApiResult>;
}
/**
 * SendQrEmailApi - factory interface
 */
export declare const SendQrEmailApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSendQrEmailPost(params: {
        "authToken"?: string;
        "body"?: QrEmailTemplateModel;
    }, options?: any): Promise<BooleanApiResult>;
};
/**
 * SessionFuncsGetApi - fetch parameter creator
 */
export declare const SessionFuncsGetApiFetchParamCreator: {
    /**
     *
     * @param authToken
     */
    apiSessionGet(params: {
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * SessionFuncsGetApi - functional programming interface
 */
export declare const SessionFuncsGetApiFp: {
    /**
     *
     * @param authToken
     */
    apiSessionGet(params: {
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SessionModelApiResult>;
};
/**
 * SessionFuncsGetApi - object-oriented interface
 */
export declare class SessionFuncsGetApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiSessionGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<SessionModelApiResult>;
}
/**
 * SessionFuncsGetApi - factory interface
 */
export declare const SessionFuncsGetApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     */
    apiSessionGet(params: {
        "authToken"?: string;
    }, options?: any): Promise<SessionModelApiResult>;
};
/**
 * SetAddressPhoneApi - fetch parameter creator
 */
export declare const SetAddressPhoneApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3SetAddressPhonePost(params: {
        "authToken"?: string;
        "body"?: AddressPhone[];
    }, options?: any): FetchArgs;
};
/**
 * SetAddressPhoneApi - functional programming interface
 */
export declare const SetAddressPhoneApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3SetAddressPhonePost(params: {
        "authToken"?: string;
        "body"?: AddressPhone[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AddressPhoneListApiResult>;
};
/**
 * SetAddressPhoneApi - object-oriented interface
 */
export declare class SetAddressPhoneApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3SetAddressPhonePost(params: {
        "authToken"?: string;
        "body"?: Array<AddressPhone>;
    }, options?: any): Promise<AddressPhoneListApiResult>;
}
/**
 * SetAddressPhoneApi - factory interface
 */
export declare const SetAddressPhoneApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3SetAddressPhonePost(params: {
        "authToken"?: string;
        "body"?: AddressPhone[];
    }, options?: any): Promise<AddressPhoneListApiResult>;
};
/**
 * SetInventoryHoldForShipmentApi - fetch parameter creator
 */
export declare const SetInventoryHoldForShipmentApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminInventoryHoldPost(params: {
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): FetchArgs;
};
/**
 * SetInventoryHoldForShipmentApi - functional programming interface
 */
export declare const SetInventoryHoldForShipmentApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminInventoryHoldPost(params: {
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentIdListApiResult>;
};
/**
 * SetInventoryHoldForShipmentApi - object-oriented interface
 */
export declare class SetInventoryHoldForShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminInventoryHoldPost(params: {
        "authToken"?: string;
        "body"?: Array<ShipmentId>;
    }, options?: any): Promise<ShipmentIdListApiResult>;
}
/**
 * SetInventoryHoldForShipmentApi - factory interface
 */
export declare const SetInventoryHoldForShipmentApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminInventoryHoldPost(params: {
        "authToken"?: string;
        "body"?: ShipmentId[];
    }, options?: any): Promise<ShipmentIdListApiResult>;
};
/**
 * ShipEngineWebhookApi - fetch parameter creator
 */
export declare const ShipEngineWebhookApiFetchParamCreator: {
    /**
     *
     */
    apiShipEngineWebhookPost(options?: any): FetchArgs;
};
/**
 * ShipEngineWebhookApi - functional programming interface
 */
export declare const ShipEngineWebhookApiFp: {
    /**
     *
     */
    apiShipEngineWebhookPost(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * ShipEngineWebhookApi - object-oriented interface
 */
export declare class ShipEngineWebhookApi extends BaseAPI {
    /**
     *
     */
    apiShipEngineWebhookPost(options?: any): Promise<any>;
}
/**
 * ShipEngineWebhookApi - factory interface
 */
export declare const ShipEngineWebhookApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     */
    apiShipEngineWebhookPost(options?: any): Promise<any>;
};
/**
 * ShipmentPostFinancialsApi - fetch parameter creator
 */
export declare const ShipmentPostFinancialsApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiShipmentPostFinancialsPost(params: {
        "authToken"?: string;
        "body"?: ShippingModel[];
    }, options?: any): FetchArgs;
};
/**
 * ShipmentPostFinancialsApi - functional programming interface
 */
export declare const ShipmentPostFinancialsApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiShipmentPostFinancialsPost(params: {
        "authToken"?: string;
        "body"?: ShippingModel[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShippingModelListApiResult>;
};
/**
 * ShipmentPostFinancialsApi - object-oriented interface
 */
export declare class ShipmentPostFinancialsApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiShipmentPostFinancialsPost(params: {
        "authToken"?: string;
        "body"?: Array<ShippingModel>;
    }, options?: any): Promise<ShippingModelListApiResult>;
}
/**
 * ShipmentPostFinancialsApi - factory interface
 */
export declare const ShipmentPostFinancialsApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiShipmentPostFinancialsPost(params: {
        "authToken"?: string;
        "body"?: ShippingModel[];
    }, options?: any): Promise<ShippingModelListApiResult>;
};
/**
 * SkuGetComplianceAddressesApi - fetch parameter creator
 */
export declare const SkuGetComplianceAddressesApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiSkuGetComplianceAddressesGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * SkuGetComplianceAddressesApi - functional programming interface
 */
export declare const SkuGetComplianceAddressesApiFp: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiSkuGetComplianceAddressesGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhAddressModelListApiResult>;
};
/**
 * SkuGetComplianceAddressesApi - object-oriented interface
 */
export declare class SkuGetComplianceAddressesApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiSkuGetComplianceAddressesGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<NhAddressModelListApiResult>;
}
/**
 * SkuGetComplianceAddressesApi - factory interface
 */
export declare const SkuGetComplianceAddressesApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     */
    apiSkuGetComplianceAddressesGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<NhAddressModelListApiResult>;
};
/**
 * SkuGetLocationOverviewApi - fetch parameter creator
 */
export declare const SkuGetLocationOverviewApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param search
     */
    apiSkuGetLocationOverviewGet(params: {
        "authToken"?: string;
        "search"?: string;
    }, options?: any): FetchArgs;
};
/**
 * SkuGetLocationOverviewApi - functional programming interface
 */
export declare const SkuGetLocationOverviewApiFp: {
    /**
     *
     * @param authToken
     * @param search
     */
    apiSkuGetLocationOverviewGet(params: {
        "authToken"?: string;
        "search"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryListApiResult>;
};
/**
 * SkuGetLocationOverviewApi - object-oriented interface
 */
export declare class SkuGetLocationOverviewApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param search
     */
    apiSkuGetLocationOverviewGet(params: {
        "authToken"?: string;
        "search"?: string;
    }, options?: any): Promise<InventoryListApiResult>;
}
/**
 * SkuGetLocationOverviewApi - factory interface
 */
export declare const SkuGetLocationOverviewApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param search
     */
    apiSkuGetLocationOverviewGet(params: {
        "authToken"?: string;
        "search"?: string;
    }, options?: any): Promise<InventoryListApiResult>;
};
/**
 * SupplierItemV2Api - fetch parameter creator
 */
export declare const SupplierItemV2ApiFetchParamCreator: {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): FetchArgs;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): FetchArgs;
};
/**
 * SupplierItemV2Api - functional programming interface
 */
export declare const SupplierItemV2ApiFp: {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ListApiResult>;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ListApiResult>;
};
/**
 * SupplierItemV2Api - object-oriented interface
 */
export declare class SupplierItemV2Api extends BaseAPI {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierV2ListApiResult>;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierV2ListApiResult>;
}
/**
 * SupplierItemV2Api - factory interface
 */
export declare const SupplierItemV2ApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierV2ListApiResult>;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierV2ListApiResult>;
};
/**
 * SupplierItemV2OneApi - fetch parameter creator
 */
export declare const SupplierItemV2OneApiFetchParamCreator: {
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): FetchArgs;
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): FetchArgs;
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): FetchArgs;
};
/**
 * SupplierItemV2OneApi - functional programming interface
 */
export declare const SupplierItemV2OneApiFp: {
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierItemV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierItemV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierItemV2ApiResult>;
};
/**
 * SupplierItemV2OneApi - object-oriented interface
 */
export declare class SupplierItemV2OneApi extends BaseAPI {
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierItemV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierItemV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierItemV2ApiResult>;
}
/**
 * SupplierItemV2OneApi - factory interface
 */
export declare const SupplierItemV2OneApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierItemV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierItemV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params: {
        "supplierId": string;
        "supplierItemId": string;
        "authToken"?: string;
        "body"?: SupplierItemV2;
    }, options?: any): Promise<SupplierItemV2ApiResult>;
};
/**
 * SupplierItemsForSkuApi - fetch parameter creator
 */
export declare const SupplierItemsForSkuApiFetchParamCreator: {
    /**
     *
     * @param sku
     * @param authToken
     */
    apiV3AdminSkuSkuSupplieritemGet(params: {
        "sku": string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * SupplierItemsForSkuApi - functional programming interface
 */
export declare const SupplierItemsForSkuApiFp: {
    /**
     *
     * @param sku
     * @param authToken
     */
    apiV3AdminSkuSkuSupplieritemGet(params: {
        "sku": string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierItemV2ListApiResult>;
};
/**
 * SupplierItemsForSkuApi - object-oriented interface
 */
export declare class SupplierItemsForSkuApi extends BaseAPI {
    /**
     *
     * @param sku
     * @param authToken
     */
    apiV3AdminSkuSkuSupplieritemGet(params: {
        "sku": string;
        "authToken"?: string;
    }, options?: any): Promise<SupplierItemV2ListApiResult>;
}
/**
 * SupplierItemsForSkuApi - factory interface
 */
export declare const SupplierItemsForSkuApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sku
     * @param authToken
     */
    apiV3AdminSkuSkuSupplieritemGet(params: {
        "sku": string;
        "authToken"?: string;
    }, options?: any): Promise<SupplierItemV2ListApiResult>;
};
/**
 * SupplierV2Api - fetch parameter creator
 */
export declare const SupplierV2ApiFetchParamCreator: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Get(params: {
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): FetchArgs;
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Post(params: {
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): FetchArgs;
};
/**
 * SupplierV2Api - functional programming interface
 */
export declare const SupplierV2ApiFp: {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Get(params: {
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ListApiResult>;
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Post(params: {
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ListApiResult>;
};
/**
 * SupplierV2Api - object-oriented interface
 */
export declare class SupplierV2Api extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Get(params: {
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ListApiResult>;
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Post(params: {
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ListApiResult>;
}
/**
 * SupplierV2Api - factory interface
 */
export declare const SupplierV2ApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Get(params: {
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ListApiResult>;
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Post(params: {
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ListApiResult>;
};
/**
 * SupplierV2OneApi - fetch parameter creator
 */
export declare const SupplierV2OneApiFetchParamCreator: {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdDelete(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): FetchArgs;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdGet(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): FetchArgs;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdPut(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): FetchArgs;
};
/**
 * SupplierV2OneApi - functional programming interface
 */
export declare const SupplierV2OneApiFp: {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdDelete(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdGet(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdPut(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ApiResult>;
};
/**
 * SupplierV2OneApi - object-oriented interface
 */
export declare class SupplierV2OneApi extends BaseAPI {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdDelete(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdGet(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdPut(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ApiResult>;
}
/**
 * SupplierV2OneApi - factory interface
 */
export declare const SupplierV2OneApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdDelete(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdGet(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ApiResult>;
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdPut(params: {
        "supplierId": string;
        "authToken"?: string;
        "body"?: SupplierV2;
    }, options?: any): Promise<SupplierV2ApiResult>;
};
/**
 * TrackingWebhookApi - fetch parameter creator
 */
export declare const TrackingWebhookApiFetchParamCreator: {
    /**
     *
     */
    apiTrackingWebhookPost(options?: any): FetchArgs;
};
/**
 * TrackingWebhookApi - functional programming interface
 */
export declare const TrackingWebhookApiFp: {
    /**
     *
     */
    apiTrackingWebhookPost(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<TrackingInfoListApiResult>;
};
/**
 * TrackingWebhookApi - object-oriented interface
 */
export declare class TrackingWebhookApi extends BaseAPI {
    /**
     *
     */
    apiTrackingWebhookPost(options?: any): Promise<TrackingInfoListApiResult>;
}
/**
 * TrackingWebhookApi - factory interface
 */
export declare const TrackingWebhookApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     */
    apiTrackingWebhookPost(options?: any): Promise<TrackingInfoListApiResult>;
};
/**
 * VstsWebhookApi - fetch parameter creator
 */
export declare const VstsWebhookApiFetchParamCreator: {
    /**
     *
     */
    apiVstsPost(options?: any): FetchArgs;
};
/**
 * VstsWebhookApi - functional programming interface
 */
export declare const VstsWebhookApiFp: {
    /**
     *
     */
    apiVstsPost(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * VstsWebhookApi - object-oriented interface
 */
export declare class VstsWebhookApi extends BaseAPI {
    /**
     *
     */
    apiVstsPost(options?: any): Promise<any>;
}
/**
 * VstsWebhookApi - factory interface
 */
export declare const VstsWebhookApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     */
    apiVstsPost(options?: any): Promise<any>;
};
/**
 * WhoUsedPromoGroupApi - fetch parameter creator
 */
export declare const WhoUsedPromoGroupApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiWhoUsedPromoGroupGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): FetchArgs;
};
/**
 * WhoUsedPromoGroupApi - functional programming interface
 */
export declare const WhoUsedPromoGroupApiFp: {
    /**
     *
     * @param id
     * @param authToken
     */
    apiWhoUsedPromoGroupGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhUserOrderCohortListApiResult>;
};
/**
 * WhoUsedPromoGroupApi - object-oriented interface
 */
export declare class WhoUsedPromoGroupApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiWhoUsedPromoGroupGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<NhUserOrderCohortListApiResult>;
}
/**
 * WhoUsedPromoGroupApi - factory interface
 */
export declare const WhoUsedPromoGroupApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param authToken
     */
    apiWhoUsedPromoGroupGet(params: {
        "id"?: string;
        "authToken"?: string;
    }, options?: any): Promise<NhUserOrderCohortListApiResult>;
};
