"use strict";
/**
 * UCMidtier Serverless
 * java -jar ../swagger-codegen-cli.jar generate -i http://localhost:7071/azapi/swagger/v1 -l typescript-fetch -o .\tmp
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const url = require("url");
const assign = require('object-assign');
const isomorphicFetch = fetch;
function gBasePath() {
    let basePath = '';
    if (typeof process.env.PROD === 'string' && process.env.PROD.toLowerCase() === 'true') {
        basePath = 'https://www.undergroundcellar.com'; // Server-side
    }
    if (typeof process.env.BASE_PATH_AZAPI === 'string') {
        basePath = process.env.BASE_PATH_AZAPI; // Come from nextjs config
    }
    else if (typeof location === 'undefined' || !location) {
        basePath = 'http://localhost:7071'; // Server-side/localhost
    }
    else if (location.href.indexOf("localhost:") !== -1) {
        basePath = "http://localhost:7071"; // Client-side/localhost
    }
    return basePath;
}
exports.BASE_PATH = gBasePath();
class BaseAPI {
    constructor(fetch = isomorphicFetch, basePath = exports.BASE_PATH) {
        this.basePath = basePath;
        this.fetch = fetch;
    }
}
exports.BaseAPI = BaseAPI;
;
/**
 * AddInventoryAndLinkToTransferApi - fetch parameter creator
 */
exports.AddInventoryAndLinkToTransferApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param sku
     * @param qty
     * @param xiGuid
     */
    apiSkuAddInventoryGet(params, options) {
        const baseUrl = `/azapi/sku/addInventory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "sku": params["sku"],
            "qty": params["qty"],
            "xiGuid": params["xiGuid"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AddInventoryAndLinkToTransferApi - functional programming interface
 */
exports.AddInventoryAndLinkToTransferApiFp = {
    /**
     *
     * @param authToken
     * @param sku
     * @param qty
     * @param xiGuid
     */
    apiSkuAddInventoryGet(params, options) {
        const fetchArgs = exports.AddInventoryAndLinkToTransferApiFetchParamCreator.apiSkuAddInventoryGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AddInventoryAndLinkToTransferApi - object-oriented interface
 */
class AddInventoryAndLinkToTransferApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param sku
     * @param qty
     * @param xiGuid
     */
    apiSkuAddInventoryGet(params, options) {
        return exports.AddInventoryAndLinkToTransferApiFp.apiSkuAddInventoryGet(params, options)(this.fetch, this.basePath);
    }
}
exports.AddInventoryAndLinkToTransferApi = AddInventoryAndLinkToTransferApi;
;
/**
 * AddInventoryAndLinkToTransferApi - factory interface
 */
exports.AddInventoryAndLinkToTransferApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param sku
         * @param qty
         * @param xiGuid
         */
        apiSkuAddInventoryGet(params, options) {
            return exports.AddInventoryAndLinkToTransferApiFp.apiSkuAddInventoryGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * AddressPreValidateApi - fetch parameter creator
 */
exports.AddressPreValidateApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAddressPreValidatePost(params, options) {
        const baseUrl = `/azapi/AddressPreValidate`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AddressPreValidateApi - functional programming interface
 */
exports.AddressPreValidateApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAddressPreValidatePost(params, options) {
        const fetchArgs = exports.AddressPreValidateApiFetchParamCreator.apiAddressPreValidatePost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AddressPreValidateApi - object-oriented interface
 */
class AddressPreValidateApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAddressPreValidatePost(params, options) {
        return exports.AddressPreValidateApiFp.apiAddressPreValidatePost(params, options)(this.fetch, this.basePath);
    }
}
exports.AddressPreValidateApi = AddressPreValidateApi;
;
/**
 * AddressPreValidateApi - factory interface
 */
exports.AddressPreValidateApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiAddressPreValidatePost(params, options) {
            return exports.AddressPreValidateApiFp.apiAddressPreValidatePost(params, options)(fetch, basePath);
        },
    };
};
/**
 * AdminCloudViewApi - fetch parameter creator
 */
exports.AdminCloudViewApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     * @param includeVirtual
     * @param includeGift
     */
    apiXAdminCloudViewGet(params, options) {
        const baseUrl = `/azapi/x-admin-cloud-view`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
            "search": params["search"],
            "varietal": params["varietal"],
            "region": params["region"],
            "appellation": params["appellation"],
            "shipStatus": params["shipStatus"],
            "includeVirtual": params["includeVirtual"],
            "includeGift": params["includeGift"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdminCloudViewApi - functional programming interface
 */
exports.AdminCloudViewApiFp = {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     * @param includeVirtual
     * @param includeGift
     */
    apiXAdminCloudViewGet(params, options) {
        const fetchArgs = exports.AdminCloudViewApiFetchParamCreator.apiXAdminCloudViewGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdminCloudViewApi - object-oriented interface
 */
class AdminCloudViewApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     * @param includeVirtual
     * @param includeGift
     */
    apiXAdminCloudViewGet(params, options) {
        return exports.AdminCloudViewApiFp.apiXAdminCloudViewGet(params, options)(this.fetch, this.basePath);
    }
}
exports.AdminCloudViewApi = AdminCloudViewApi;
;
/**
 * AdminCloudViewApi - factory interface
 */
exports.AdminCloudViewApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         * @param search
         * @param varietal
         * @param region
         * @param appellation
         * @param shipStatus
         * @param includeVirtual
         * @param includeGift
         */
        apiXAdminCloudViewGet(params, options) {
            return exports.AdminCloudViewApiFp.apiXAdminCloudViewGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * AdminGetShipmentInventoryApi - fetch parameter creator
 */
exports.AdminGetShipmentInventoryApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminGetShipmentInventoryPost(params, options) {
        const baseUrl = `/azapi/v3/admin/AdminGetShipmentInventory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdminGetShipmentInventoryApi - functional programming interface
 */
exports.AdminGetShipmentInventoryApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminGetShipmentInventoryPost(params, options) {
        const fetchArgs = exports.AdminGetShipmentInventoryApiFetchParamCreator.apiV3AdminAdminGetShipmentInventoryPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdminGetShipmentInventoryApi - object-oriented interface
 */
class AdminGetShipmentInventoryApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminGetShipmentInventoryPost(params, options) {
        return exports.AdminGetShipmentInventoryApiFp.apiV3AdminAdminGetShipmentInventoryPost(params, options)(this.fetch, this.basePath);
    }
}
exports.AdminGetShipmentInventoryApi = AdminGetShipmentInventoryApi;
;
/**
 * AdminGetShipmentInventoryApi - factory interface
 */
exports.AdminGetShipmentInventoryApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiV3AdminAdminGetShipmentInventoryPost(params, options) {
            return exports.AdminGetShipmentInventoryApiFp.apiV3AdminAdminGetShipmentInventoryPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * AdminShipmentBatchApi - fetch parameter creator
 */
exports.AdminShipmentBatchApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchDelete(params, options) {
        const baseUrl = `/azapi/v3/admin/shipmentBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchGet(params, options) {
        const baseUrl = `/azapi/v3/admin/shipmentBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPost(params, options) {
        const baseUrl = `/azapi/v3/admin/shipmentBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPut(params, options) {
        const baseUrl = `/azapi/v3/admin/shipmentBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdminShipmentBatchApi - functional programming interface
 */
exports.AdminShipmentBatchApiFp = {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchDelete(params, options) {
        const fetchArgs = exports.AdminShipmentBatchApiFetchParamCreator.apiV3AdminShipmentBatchDelete(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchGet(params, options) {
        const fetchArgs = exports.AdminShipmentBatchApiFetchParamCreator.apiV3AdminShipmentBatchGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPost(params, options) {
        const fetchArgs = exports.AdminShipmentBatchApiFetchParamCreator.apiV3AdminShipmentBatchPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPut(params, options) {
        const fetchArgs = exports.AdminShipmentBatchApiFetchParamCreator.apiV3AdminShipmentBatchPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdminShipmentBatchApi - object-oriented interface
 */
class AdminShipmentBatchApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchDelete(params, options) {
        return exports.AdminShipmentBatchApiFp.apiV3AdminShipmentBatchDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchGet(params, options) {
        return exports.AdminShipmentBatchApiFp.apiV3AdminShipmentBatchGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPost(params, options) {
        return exports.AdminShipmentBatchApiFp.apiV3AdminShipmentBatchPost(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiV3AdminShipmentBatchPut(params, options) {
        return exports.AdminShipmentBatchApiFp.apiV3AdminShipmentBatchPut(params, options)(this.fetch, this.basePath);
    }
}
exports.AdminShipmentBatchApi = AdminShipmentBatchApi;
;
/**
 * AdminShipmentBatchApi - factory interface
 */
exports.AdminShipmentBatchApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         * @param body
         */
        apiV3AdminShipmentBatchDelete(params, options) {
            return exports.AdminShipmentBatchApiFp.apiV3AdminShipmentBatchDelete(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         * @param authToken
         * @param body
         */
        apiV3AdminShipmentBatchGet(params, options) {
            return exports.AdminShipmentBatchApiFp.apiV3AdminShipmentBatchGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         * @param authToken
         * @param body
         */
        apiV3AdminShipmentBatchPost(params, options) {
            return exports.AdminShipmentBatchApiFp.apiV3AdminShipmentBatchPost(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         * @param authToken
         * @param body
         */
        apiV3AdminShipmentBatchPut(params, options) {
            return exports.AdminShipmentBatchApiFp.apiV3AdminShipmentBatchPut(params, options)(fetch, basePath);
        },
    };
};
/**
 * AdminSkuListAsyncApi - fetch parameter creator
 */
exports.AdminSkuListAsyncApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAsyncSkuListPost(params, options) {
        const baseUrl = `/azapi/async-sku-list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdminSkuListAsyncApi - functional programming interface
 */
exports.AdminSkuListAsyncApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAsyncSkuListPost(params, options) {
        const fetchArgs = exports.AdminSkuListAsyncApiFetchParamCreator.apiAsyncSkuListPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdminSkuListAsyncApi - object-oriented interface
 */
class AdminSkuListAsyncApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiAsyncSkuListPost(params, options) {
        return exports.AdminSkuListAsyncApiFp.apiAsyncSkuListPost(params, options)(this.fetch, this.basePath);
    }
}
exports.AdminSkuListAsyncApi = AdminSkuListAsyncApi;
;
/**
 * AdminSkuListAsyncApi - factory interface
 */
exports.AdminSkuListAsyncApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiAsyncSkuListPost(params, options) {
            return exports.AdminSkuListAsyncApiFp.apiAsyncSkuListPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * AdminUpdateShipmentApi - fetch parameter creator
 */
exports.AdminUpdateShipmentApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminUpdateShipmentPost(params, options) {
        const baseUrl = `/azapi/v3/admin/AdminUpdateShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdminUpdateShipmentApi - functional programming interface
 */
exports.AdminUpdateShipmentApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminUpdateShipmentPost(params, options) {
        const fetchArgs = exports.AdminUpdateShipmentApiFetchParamCreator.apiV3AdminAdminUpdateShipmentPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdminUpdateShipmentApi - object-oriented interface
 */
class AdminUpdateShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminAdminUpdateShipmentPost(params, options) {
        return exports.AdminUpdateShipmentApiFp.apiV3AdminAdminUpdateShipmentPost(params, options)(this.fetch, this.basePath);
    }
}
exports.AdminUpdateShipmentApi = AdminUpdateShipmentApi;
;
/**
 * AdminUpdateShipmentApi - factory interface
 */
exports.AdminUpdateShipmentApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiV3AdminAdminUpdateShipmentPost(params, options) {
            return exports.AdminUpdateShipmentApiFp.apiV3AdminAdminUpdateShipmentPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * BalanceStockAnalyzeApi - fetch parameter creator
 */
exports.BalanceStockAnalyzeApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param facilityToEmpty
     * @param excludeDays
     */
    apiSkuBalancerAnalyzeGet(params, options) {
        const baseUrl = `/azapi/sku/balancer/analyze`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "facilityToEmpty": params["facilityToEmpty"],
            "excludeDays": params["excludeDays"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * BalanceStockAnalyzeApi - functional programming interface
 */
exports.BalanceStockAnalyzeApiFp = {
    /**
     *
     * @param authToken
     * @param facilityToEmpty
     * @param excludeDays
     */
    apiSkuBalancerAnalyzeGet(params, options) {
        const fetchArgs = exports.BalanceStockAnalyzeApiFetchParamCreator.apiSkuBalancerAnalyzeGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * BalanceStockAnalyzeApi - object-oriented interface
 */
class BalanceStockAnalyzeApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param facilityToEmpty
     * @param excludeDays
     */
    apiSkuBalancerAnalyzeGet(params, options) {
        return exports.BalanceStockAnalyzeApiFp.apiSkuBalancerAnalyzeGet(params, options)(this.fetch, this.basePath);
    }
}
exports.BalanceStockAnalyzeApi = BalanceStockAnalyzeApi;
;
/**
 * BalanceStockAnalyzeApi - factory interface
 */
exports.BalanceStockAnalyzeApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param facilityToEmpty
         * @param excludeDays
         */
        apiSkuBalancerAnalyzeGet(params, options) {
            return exports.BalanceStockAnalyzeApiFp.apiSkuBalancerAnalyzeGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * BalanceStockExecApi - fetch parameter creator
 */
exports.BalanceStockExecApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSkuBalancerExecPost(params, options) {
        const baseUrl = `/azapi/sku/balancer/exec`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * BalanceStockExecApi - functional programming interface
 */
exports.BalanceStockExecApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSkuBalancerExecPost(params, options) {
        const fetchArgs = exports.BalanceStockExecApiFetchParamCreator.apiSkuBalancerExecPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * BalanceStockExecApi - object-oriented interface
 */
class BalanceStockExecApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSkuBalancerExecPost(params, options) {
        return exports.BalanceStockExecApiFp.apiSkuBalancerExecPost(params, options)(this.fetch, this.basePath);
    }
}
exports.BalanceStockExecApi = BalanceStockExecApi;
;
/**
 * BalanceStockExecApi - factory interface
 */
exports.BalanceStockExecApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiSkuBalancerExecPost(params, options) {
            return exports.BalanceStockExecApiFp.apiSkuBalancerExecPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * BlingApi - fetch parameter creator
 */
exports.BlingApiFetchParamCreator = {
    /**
     *
     */
    apiBlingGet(options) {
        const baseUrl = `/azapi/bling`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * BlingApi - functional programming interface
 */
exports.BlingApiFp = {
    /**
     *
     */
    apiBlingGet(options) {
        const fetchArgs = exports.BlingApiFetchParamCreator.apiBlingGet(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * BlingApi - object-oriented interface
 */
class BlingApi extends BaseAPI {
    /**
     *
     */
    apiBlingGet(options) {
        return exports.BlingApiFp.apiBlingGet(options)(this.fetch, this.basePath);
    }
}
exports.BlingApi = BlingApi;
;
/**
 * BlingApi - factory interface
 */
exports.BlingApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         */
        apiBlingGet(options) {
            return exports.BlingApiFp.apiBlingGet(options)(fetch, basePath);
        },
    };
};
/**
 * BulkAddToCloudcellarApi - fetch parameter creator
 */
exports.BulkAddToCloudcellarApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiBulkAddToCloudcellarPost(params, options) {
        const baseUrl = `/azapi/BulkAddToCloudcellar`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * BulkAddToCloudcellarApi - functional programming interface
 */
exports.BulkAddToCloudcellarApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiBulkAddToCloudcellarPost(params, options) {
        const fetchArgs = exports.BulkAddToCloudcellarApiFetchParamCreator.apiBulkAddToCloudcellarPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * BulkAddToCloudcellarApi - object-oriented interface
 */
class BulkAddToCloudcellarApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiBulkAddToCloudcellarPost(params, options) {
        return exports.BulkAddToCloudcellarApiFp.apiBulkAddToCloudcellarPost(params, options)(this.fetch, this.basePath);
    }
}
exports.BulkAddToCloudcellarApi = BulkAddToCloudcellarApi;
;
/**
 * BulkAddToCloudcellarApi - factory interface
 */
exports.BulkAddToCloudcellarApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiBulkAddToCloudcellarPost(params, options) {
            return exports.BulkAddToCloudcellarApiFp.apiBulkAddToCloudcellarPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * BulkCreateCreditsApi - fetch parameter creator
 */
exports.BulkCreateCreditsApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminBulkCreateCreditsPost(params, options) {
        const baseUrl = `/azapi/v3/admin/BulkCreateCredits`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * BulkCreateCreditsApi - functional programming interface
 */
exports.BulkCreateCreditsApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminBulkCreateCreditsPost(params, options) {
        const fetchArgs = exports.BulkCreateCreditsApiFetchParamCreator.apiV3AdminBulkCreateCreditsPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * BulkCreateCreditsApi - object-oriented interface
 */
class BulkCreateCreditsApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminBulkCreateCreditsPost(params, options) {
        return exports.BulkCreateCreditsApiFp.apiV3AdminBulkCreateCreditsPost(params, options)(this.fetch, this.basePath);
    }
}
exports.BulkCreateCreditsApi = BulkCreateCreditsApi;
;
/**
 * BulkCreateCreditsApi - factory interface
 */
exports.BulkCreateCreditsApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiV3AdminBulkCreateCreditsPost(params, options) {
            return exports.BulkCreateCreditsApiFp.apiV3AdminBulkCreateCreditsPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * CaptureEmailApi - fetch parameter creator
 */
exports.CaptureEmailApiFetchParamCreator = {
    /**
     *
     * @param body
     */
    apiMcsubscribePost(params, options) {
        const baseUrl = `/azapi/mcsubscribe`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CaptureEmailApi - functional programming interface
 */
exports.CaptureEmailApiFp = {
    /**
     *
     * @param body
     */
    apiMcsubscribePost(params, options) {
        const fetchArgs = exports.CaptureEmailApiFetchParamCreator.apiMcsubscribePost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CaptureEmailApi - object-oriented interface
 */
class CaptureEmailApi extends BaseAPI {
    /**
     *
     * @param body
     */
    apiMcsubscribePost(params, options) {
        return exports.CaptureEmailApiFp.apiMcsubscribePost(params, options)(this.fetch, this.basePath);
    }
}
exports.CaptureEmailApi = CaptureEmailApi;
;
/**
 * CaptureEmailApi - factory interface
 */
exports.CaptureEmailApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param body
         */
        apiMcsubscribePost(params, options) {
            return exports.CaptureEmailApiFp.apiMcsubscribePost(params, options)(fetch, basePath);
        },
    };
};
/**
 * CartExpressPreviewApi - fetch parameter creator
 */
exports.CartExpressPreviewApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param qty
     */
    apiCartExpressPreviewGet(params, options) {
        const baseUrl = `/azapi/CartExpressPreview`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "qty": params["qty"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CartExpressPreviewApi - functional programming interface
 */
exports.CartExpressPreviewApiFp = {
    /**
     *
     * @param authToken
     * @param qty
     */
    apiCartExpressPreviewGet(params, options) {
        const fetchArgs = exports.CartExpressPreviewApiFetchParamCreator.apiCartExpressPreviewGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CartExpressPreviewApi - object-oriented interface
 */
class CartExpressPreviewApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param qty
     */
    apiCartExpressPreviewGet(params, options) {
        return exports.CartExpressPreviewApiFp.apiCartExpressPreviewGet(params, options)(this.fetch, this.basePath);
    }
}
exports.CartExpressPreviewApi = CartExpressPreviewApi;
;
/**
 * CartExpressPreviewApi - factory interface
 */
exports.CartExpressPreviewApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param qty
         */
        apiCartExpressPreviewGet(params, options) {
            return exports.CartExpressPreviewApiFp.apiCartExpressPreviewGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * ClickUpWebhookApi - fetch parameter creator
 */
exports.ClickUpWebhookApiFetchParamCreator = {
    /**
     *
     */
    apiClickupPost(options) {
        const baseUrl = `/azapi/clickup`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * ClickUpWebhookApi - functional programming interface
 */
exports.ClickUpWebhookApiFp = {
    /**
     *
     */
    apiClickupPost(options) {
        const fetchArgs = exports.ClickUpWebhookApiFetchParamCreator.apiClickupPost(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * ClickUpWebhookApi - object-oriented interface
 */
class ClickUpWebhookApi extends BaseAPI {
    /**
     *
     */
    apiClickupPost(options) {
        return exports.ClickUpWebhookApiFp.apiClickupPost(options)(this.fetch, this.basePath);
    }
}
exports.ClickUpWebhookApi = ClickUpWebhookApi;
;
/**
 * ClickUpWebhookApi - factory interface
 */
exports.ClickUpWebhookApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         */
        apiClickupPost(options) {
            return exports.ClickUpWebhookApiFp.apiClickupPost(options)(fetch, basePath);
        },
    };
};
/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - fetch parameter creator
 */
exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessGet(params, options) {
        const baseUrl = `/azapi/CloudCartServerless`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessPut(params, options) {
        const baseUrl = `/azapi/CloudCartServerless`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - functional programming interface
 */
exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessGet(params, options) {
        const fetchArgs = exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApiFetchParamCreator.apiCloudCartServerlessGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessPut(params, options) {
        const fetchArgs = exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApiFetchParamCreator.apiCloudCartServerlessPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - object-oriented interface
 */
class CloudCartServerlessDEPRECATED_DO_NOT_USEApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessGet(params, options) {
        return exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp.apiCloudCartServerlessGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessPut(params, options) {
        return exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp.apiCloudCartServerlessPut(params, options)(this.fetch, this.basePath);
    }
}
exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApi = CloudCartServerlessDEPRECATED_DO_NOT_USEApi;
;
/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - factory interface
 */
exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiCloudCartServerlessGet(params, options) {
            return exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp.apiCloudCartServerlessGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param authToken
         * @param body
         */
        apiCloudCartServerlessPut(params, options) {
            return exports.CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp.apiCloudCartServerlessPut(params, options)(fetch, basePath);
        },
    };
};
/**
 * CloudCartServerlessV2Api - fetch parameter creator
 */
exports.CloudCartServerlessV2ApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Get(params, options) {
        const baseUrl = `/azapi/CloudCartServerlessV2`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Put(params, options) {
        const baseUrl = `/azapi/CloudCartServerlessV2`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CloudCartServerlessV2Api - functional programming interface
 */
exports.CloudCartServerlessV2ApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Get(params, options) {
        const fetchArgs = exports.CloudCartServerlessV2ApiFetchParamCreator.apiCloudCartServerlessV2Get(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Put(params, options) {
        const fetchArgs = exports.CloudCartServerlessV2ApiFetchParamCreator.apiCloudCartServerlessV2Put(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CloudCartServerlessV2Api - object-oriented interface
 */
class CloudCartServerlessV2Api extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Get(params, options) {
        return exports.CloudCartServerlessV2ApiFp.apiCloudCartServerlessV2Get(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param authToken
     * @param body
     */
    apiCloudCartServerlessV2Put(params, options) {
        return exports.CloudCartServerlessV2ApiFp.apiCloudCartServerlessV2Put(params, options)(this.fetch, this.basePath);
    }
}
exports.CloudCartServerlessV2Api = CloudCartServerlessV2Api;
;
/**
 * CloudCartServerlessV2Api - factory interface
 */
exports.CloudCartServerlessV2ApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiCloudCartServerlessV2Get(params, options) {
            return exports.CloudCartServerlessV2ApiFp.apiCloudCartServerlessV2Get(params, options)(fetch, basePath);
        },
        /**
         *
         * @param authToken
         * @param body
         */
        apiCloudCartServerlessV2Put(params, options) {
            return exports.CloudCartServerlessV2ApiFp.apiCloudCartServerlessV2Put(params, options)(fetch, basePath);
        },
    };
};
/**
 * CloudCellarApi - fetch parameter creator
 */
exports.CloudCellarApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     */
    apiCloudCellarGet(params, options) {
        const baseUrl = `/azapi/CloudCellar`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
            "search": params["search"],
            "varietal": params["varietal"],
            "region": params["region"],
            "appellation": params["appellation"],
            "shipStatus": params["shipStatus"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CloudCellarApi - functional programming interface
 */
exports.CloudCellarApiFp = {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     */
    apiCloudCellarGet(params, options) {
        const fetchArgs = exports.CloudCellarApiFetchParamCreator.apiCloudCellarGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CloudCellarApi - object-oriented interface
 */
class CloudCellarApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param search
     * @param varietal
     * @param region
     * @param appellation
     * @param shipStatus
     */
    apiCloudCellarGet(params, options) {
        return exports.CloudCellarApiFp.apiCloudCellarGet(params, options)(this.fetch, this.basePath);
    }
}
exports.CloudCellarApi = CloudCellarApi;
;
/**
 * CloudCellarApi - factory interface
 */
exports.CloudCellarApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         * @param search
         * @param varietal
         * @param region
         * @param appellation
         * @param shipStatus
         */
        apiCloudCellarGet(params, options) {
            return exports.CloudCellarApiFp.apiCloudCellarGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * CompShipmentApi - fetch parameter creator
 */
exports.CompShipmentApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiCompShipmentGet(params, options) {
        const baseUrl = `/azapi/CompShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CompShipmentApi - functional programming interface
 */
exports.CompShipmentApiFp = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiCompShipmentGet(params, options) {
        const fetchArgs = exports.CompShipmentApiFetchParamCreator.apiCompShipmentGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CompShipmentApi - object-oriented interface
 */
class CompShipmentApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiCompShipmentGet(params, options) {
        return exports.CompShipmentApiFp.apiCompShipmentGet(params, options)(this.fetch, this.basePath);
    }
}
exports.CompShipmentApi = CompShipmentApi;
;
/**
 * CompShipmentApi - factory interface
 */
exports.CompShipmentApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         */
        apiCompShipmentGet(params, options) {
            return exports.CompShipmentApiFp.apiCompShipmentGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * CreateManualShipmentApi - fetch parameter creator
 */
exports.CreateManualShipmentApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCreateManualShipmentPost(params, options) {
        const baseUrl = `/azapi/CreateManualShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CreateManualShipmentApi - functional programming interface
 */
exports.CreateManualShipmentApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCreateManualShipmentPost(params, options) {
        const fetchArgs = exports.CreateManualShipmentApiFetchParamCreator.apiCreateManualShipmentPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CreateManualShipmentApi - object-oriented interface
 */
class CreateManualShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiCreateManualShipmentPost(params, options) {
        return exports.CreateManualShipmentApiFp.apiCreateManualShipmentPost(params, options)(this.fetch, this.basePath);
    }
}
exports.CreateManualShipmentApi = CreateManualShipmentApi;
;
/**
 * CreateManualShipmentApi - factory interface
 */
exports.CreateManualShipmentApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiCreateManualShipmentPost(params, options) {
            return exports.CreateManualShipmentApiFp.apiCreateManualShipmentPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * CreateOrUpdateSubscriptionApi - fetch parameter creator
 */
exports.CreateOrUpdateSubscriptionApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPost(params, options) {
        const baseUrl = `/azapi/CreateOrUpdateSubscription`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "orderGuid": params["orderGuid"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPut(params, options) {
        const baseUrl = `/azapi/CreateOrUpdateSubscription`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "orderGuid": params["orderGuid"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CreateOrUpdateSubscriptionApi - functional programming interface
 */
exports.CreateOrUpdateSubscriptionApiFp = {
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPost(params, options) {
        const fetchArgs = exports.CreateOrUpdateSubscriptionApiFetchParamCreator.apiCreateOrUpdateSubscriptionPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPut(params, options) {
        const fetchArgs = exports.CreateOrUpdateSubscriptionApiFetchParamCreator.apiCreateOrUpdateSubscriptionPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CreateOrUpdateSubscriptionApi - object-oriented interface
 */
class CreateOrUpdateSubscriptionApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPost(params, options) {
        return exports.CreateOrUpdateSubscriptionApiFp.apiCreateOrUpdateSubscriptionPost(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param authToken
     * @param orderGuid
     * @param body
     */
    apiCreateOrUpdateSubscriptionPut(params, options) {
        return exports.CreateOrUpdateSubscriptionApiFp.apiCreateOrUpdateSubscriptionPut(params, options)(this.fetch, this.basePath);
    }
}
exports.CreateOrUpdateSubscriptionApi = CreateOrUpdateSubscriptionApi;
;
/**
 * CreateOrUpdateSubscriptionApi - factory interface
 */
exports.CreateOrUpdateSubscriptionApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param orderGuid
         * @param body
         */
        apiCreateOrUpdateSubscriptionPost(params, options) {
            return exports.CreateOrUpdateSubscriptionApiFp.apiCreateOrUpdateSubscriptionPost(params, options)(fetch, basePath);
        },
        /**
         *
         * @param authToken
         * @param orderGuid
         * @param body
         */
        apiCreateOrUpdateSubscriptionPut(params, options) {
            return exports.CreateOrUpdateSubscriptionApiFp.apiCreateOrUpdateSubscriptionPut(params, options)(fetch, basePath);
        },
    };
};
/**
 * DotmailerCampaignsDataApi - fetch parameter creator
 */
exports.DotmailerCampaignsDataApiFetchParamCreator = {
    /**
     *
     * @param authToken
     */
    apiV3AdminDotmailerCampaignsGet(params, options) {
        const baseUrl = `/azapi/v3/admin/DotmailerCampaigns`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * DotmailerCampaignsDataApi - functional programming interface
 */
exports.DotmailerCampaignsDataApiFp = {
    /**
     *
     * @param authToken
     */
    apiV3AdminDotmailerCampaignsGet(params, options) {
        const fetchArgs = exports.DotmailerCampaignsDataApiFetchParamCreator.apiV3AdminDotmailerCampaignsGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * DotmailerCampaignsDataApi - object-oriented interface
 */
class DotmailerCampaignsDataApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiV3AdminDotmailerCampaignsGet(params, options) {
        return exports.DotmailerCampaignsDataApiFp.apiV3AdminDotmailerCampaignsGet(params, options)(this.fetch, this.basePath);
    }
}
exports.DotmailerCampaignsDataApi = DotmailerCampaignsDataApi;
;
/**
 * DotmailerCampaignsDataApi - factory interface
 */
exports.DotmailerCampaignsDataApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         */
        apiV3AdminDotmailerCampaignsGet(params, options) {
            return exports.DotmailerCampaignsDataApiFp.apiV3AdminDotmailerCampaignsGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * FinalizeBatchApi - fetch parameter creator
 */
exports.FinalizeBatchApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminFinalizeBatchPost(params, options) {
        const baseUrl = `/azapi/v3/admin/finalizeBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * FinalizeBatchApi - functional programming interface
 */
exports.FinalizeBatchApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminFinalizeBatchPost(params, options) {
        const fetchArgs = exports.FinalizeBatchApiFetchParamCreator.apiV3AdminFinalizeBatchPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * FinalizeBatchApi - object-oriented interface
 */
class FinalizeBatchApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminFinalizeBatchPost(params, options) {
        return exports.FinalizeBatchApiFp.apiV3AdminFinalizeBatchPost(params, options)(this.fetch, this.basePath);
    }
}
exports.FinalizeBatchApi = FinalizeBatchApi;
;
/**
 * FinalizeBatchApi - factory interface
 */
exports.FinalizeBatchApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiV3AdminFinalizeBatchPost(params, options) {
            return exports.FinalizeBatchApiFp.apiV3AdminFinalizeBatchPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * FindChargebackApi - fetch parameter creator
 */
exports.FindChargebackApiFetchParamCreator = {
    /**
     *
     * @param search
     * @param authToken
     */
    apiFindChargebackGet(params, options) {
        const baseUrl = `/azapi/FindChargeback`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * FindChargebackApi - functional programming interface
 */
exports.FindChargebackApiFp = {
    /**
     *
     * @param search
     * @param authToken
     */
    apiFindChargebackGet(params, options) {
        const fetchArgs = exports.FindChargebackApiFetchParamCreator.apiFindChargebackGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * FindChargebackApi - object-oriented interface
 */
class FindChargebackApi extends BaseAPI {
    /**
     *
     * @param search
     * @param authToken
     */
    apiFindChargebackGet(params, options) {
        return exports.FindChargebackApiFp.apiFindChargebackGet(params, options)(this.fetch, this.basePath);
    }
}
exports.FindChargebackApi = FindChargebackApi;
;
/**
 * FindChargebackApi - factory interface
 */
exports.FindChargebackApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param search
         * @param authToken
         */
        apiFindChargebackGet(params, options) {
            return exports.FindChargebackApiFp.apiFindChargebackGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetAddressesByUserGuidOrEmailApi - fetch parameter creator
 */
exports.GetAddressesByUserGuidOrEmailApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params, options) {
        const baseUrl = `/azapi/v3/GetAddressesByUserGuidOrEmail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetAddressesByUserGuidOrEmailApi - functional programming interface
 */
exports.GetAddressesByUserGuidOrEmailApiFp = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params, options) {
        const fetchArgs = exports.GetAddressesByUserGuidOrEmailApiFetchParamCreator.apiV3GetAddressesByUserGuidOrEmailGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetAddressesByUserGuidOrEmailApi - object-oriented interface
 */
class GetAddressesByUserGuidOrEmailApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params, options) {
        return exports.GetAddressesByUserGuidOrEmailApiFp.apiV3GetAddressesByUserGuidOrEmailGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetAddressesByUserGuidOrEmailApi = GetAddressesByUserGuidOrEmailApi;
;
/**
 * GetAddressesByUserGuidOrEmailApi - factory interface
 */
exports.GetAddressesByUserGuidOrEmailApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         */
        apiV3GetAddressesByUserGuidOrEmailGet(params, options) {
            return exports.GetAddressesByUserGuidOrEmailApiFp.apiV3GetAddressesByUserGuidOrEmailGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetAdminGiftListApi - fetch parameter creator
 */
exports.GetAdminGiftListApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param id
     */
    apiGetAdminGiftListGet(params, options) {
        const baseUrl = `/azapi/GetAdminGiftList`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetAdminGiftListApi - functional programming interface
 */
exports.GetAdminGiftListApiFp = {
    /**
     *
     * @param authToken
     * @param id
     */
    apiGetAdminGiftListGet(params, options) {
        const fetchArgs = exports.GetAdminGiftListApiFetchParamCreator.apiGetAdminGiftListGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetAdminGiftListApi - object-oriented interface
 */
class GetAdminGiftListApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     */
    apiGetAdminGiftListGet(params, options) {
        return exports.GetAdminGiftListApiFp.apiGetAdminGiftListGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetAdminGiftListApi = GetAdminGiftListApi;
;
/**
 * GetAdminGiftListApi - factory interface
 */
exports.GetAdminGiftListApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param id
         */
        apiGetAdminGiftListGet(params, options) {
            return exports.GetAdminGiftListApiFp.apiGetAdminGiftListGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - fetch parameter creator
 */
exports.GetDotdigitalTriggeredCampaignExamplePayloadApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param id
     * @param emailType
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options) {
        const baseUrl = `/azapi/v3/admin/GetDotdigitalTriggeredCampaignExamplePayload`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
            "emailType": params["emailType"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - functional programming interface
 */
exports.GetDotdigitalTriggeredCampaignExamplePayloadApiFp = {
    /**
     *
     * @param authToken
     * @param id
     * @param emailType
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options) {
        const fetchArgs = exports.GetDotdigitalTriggeredCampaignExamplePayloadApiFetchParamCreator.apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - object-oriented interface
 */
class GetDotdigitalTriggeredCampaignExamplePayloadApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     * @param emailType
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options) {
        return exports.GetDotdigitalTriggeredCampaignExamplePayloadApiFp.apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetDotdigitalTriggeredCampaignExamplePayloadApi = GetDotdigitalTriggeredCampaignExamplePayloadApi;
;
/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - factory interface
 */
exports.GetDotdigitalTriggeredCampaignExamplePayloadApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param id
         * @param emailType
         */
        apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options) {
            return exports.GetDotdigitalTriggeredCampaignExamplePayloadApiFp.apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetGenericPeriodReportApi - fetch parameter creator
 */
exports.GetGenericPeriodReportApiFetchParamCreator = {
    /**
     *
     * @param report
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportGenericPeriodReportGet(params, options) {
        const baseUrl = `/azapi/api/admin/report/generic-period-report`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "report": params["report"],
            "period": params["period"],
            "nPeriods": params["nPeriods"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetGenericPeriodReportApi - functional programming interface
 */
exports.GetGenericPeriodReportApiFp = {
    /**
     *
     * @param report
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportGenericPeriodReportGet(params, options) {
        const fetchArgs = exports.GetGenericPeriodReportApiFetchParamCreator.apiApiAdminReportGenericPeriodReportGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetGenericPeriodReportApi - object-oriented interface
 */
class GetGenericPeriodReportApi extends BaseAPI {
    /**
     *
     * @param report
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportGenericPeriodReportGet(params, options) {
        return exports.GetGenericPeriodReportApiFp.apiApiAdminReportGenericPeriodReportGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetGenericPeriodReportApi = GetGenericPeriodReportApi;
;
/**
 * GetGenericPeriodReportApi - factory interface
 */
exports.GetGenericPeriodReportApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param report
         * @param period
         * @param nPeriods
         * @param authToken
         */
        apiApiAdminReportGenericPeriodReportGet(params, options) {
            return exports.GetGenericPeriodReportApiFp.apiApiAdminReportGenericPeriodReportGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetMetricsForMonthApi - fetch parameter creator
 */
exports.GetMetricsForMonthApiFetchParamCreator = {
    /**
     *
     * @param period
     * @param authToken
     */
    apiApiAdminReportMonthlyNorthStarGet(params, options) {
        const baseUrl = `/azapi/api/admin/report/monthly-north-star`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "period": params["period"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetMetricsForMonthApi - functional programming interface
 */
exports.GetMetricsForMonthApiFp = {
    /**
     *
     * @param period
     * @param authToken
     */
    apiApiAdminReportMonthlyNorthStarGet(params, options) {
        const fetchArgs = exports.GetMetricsForMonthApiFetchParamCreator.apiApiAdminReportMonthlyNorthStarGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetMetricsForMonthApi - object-oriented interface
 */
class GetMetricsForMonthApi extends BaseAPI {
    /**
     *
     * @param period
     * @param authToken
     */
    apiApiAdminReportMonthlyNorthStarGet(params, options) {
        return exports.GetMetricsForMonthApiFp.apiApiAdminReportMonthlyNorthStarGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetMetricsForMonthApi = GetMetricsForMonthApi;
;
/**
 * GetMetricsForMonthApi - factory interface
 */
exports.GetMetricsForMonthApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param period
         * @param authToken
         */
        apiApiAdminReportMonthlyNorthStarGet(params, options) {
            return exports.GetMetricsForMonthApiFp.apiApiAdminReportMonthlyNorthStarGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetSessionGiftListApi - fetch parameter creator
 */
exports.GetSessionGiftListApiFetchParamCreator = {
    /**
     *
     * @param authToken
     */
    apiGetSessionGiftListGet(params, options) {
        const baseUrl = `/azapi/GetSessionGiftList`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetSessionGiftListApi - functional programming interface
 */
exports.GetSessionGiftListApiFp = {
    /**
     *
     * @param authToken
     */
    apiGetSessionGiftListGet(params, options) {
        const fetchArgs = exports.GetSessionGiftListApiFetchParamCreator.apiGetSessionGiftListGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetSessionGiftListApi - object-oriented interface
 */
class GetSessionGiftListApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiGetSessionGiftListGet(params, options) {
        return exports.GetSessionGiftListApiFp.apiGetSessionGiftListGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetSessionGiftListApi = GetSessionGiftListApi;
;
/**
 * GetSessionGiftListApi - factory interface
 */
exports.GetSessionGiftListApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         */
        apiGetSessionGiftListGet(params, options) {
            return exports.GetSessionGiftListApiFp.apiGetSessionGiftListGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetShipmentsByUserApi - fetch parameter creator
 */
exports.GetShipmentsByUserApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetShipmentsByUserGet(params, options) {
        const baseUrl = `/azapi/GetShipmentsByUser`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetShipmentsByUserApi - functional programming interface
 */
exports.GetShipmentsByUserApiFp = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetShipmentsByUserGet(params, options) {
        const fetchArgs = exports.GetShipmentsByUserApiFetchParamCreator.apiGetShipmentsByUserGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetShipmentsByUserApi - object-oriented interface
 */
class GetShipmentsByUserApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetShipmentsByUserGet(params, options) {
        return exports.GetShipmentsByUserApiFp.apiGetShipmentsByUserGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetShipmentsByUserApi = GetShipmentsByUserApi;
;
/**
 * GetShipmentsByUserApi - factory interface
 */
exports.GetShipmentsByUserApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         */
        apiGetShipmentsByUserGet(params, options) {
            return exports.GetShipmentsByUserApiFp.apiGetShipmentsByUserGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetShippingKeyMetricsWeeklyApi - fetch parameter creator
 */
exports.GetShippingKeyMetricsWeeklyApiFetchParamCreator = {
    /**
     *
     * @param startDate
     * @param detailed
     * @param authToken
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options) {
        const baseUrl = `/azapi/api/admin/report/shipping-key-metrics-weekly`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "startDate": params["startDate"],
            "detailed": params["detailed"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetShippingKeyMetricsWeeklyApi - functional programming interface
 */
exports.GetShippingKeyMetricsWeeklyApiFp = {
    /**
     *
     * @param startDate
     * @param detailed
     * @param authToken
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options) {
        const fetchArgs = exports.GetShippingKeyMetricsWeeklyApiFetchParamCreator.apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetShippingKeyMetricsWeeklyApi - object-oriented interface
 */
class GetShippingKeyMetricsWeeklyApi extends BaseAPI {
    /**
     *
     * @param startDate
     * @param detailed
     * @param authToken
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options) {
        return exports.GetShippingKeyMetricsWeeklyApiFp.apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetShippingKeyMetricsWeeklyApi = GetShippingKeyMetricsWeeklyApi;
;
/**
 * GetShippingKeyMetricsWeeklyApi - factory interface
 */
exports.GetShippingKeyMetricsWeeklyApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param startDate
         * @param detailed
         * @param authToken
         */
        apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options) {
            return exports.GetShippingKeyMetricsWeeklyApiFp.apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetSubscriptionFromOrderApi - fetch parameter creator
 */
exports.GetSubscriptionFromOrderApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionFromOrderGet(params, options) {
        const baseUrl = `/azapi/GetSubscriptionFromOrder`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetSubscriptionFromOrderApi - functional programming interface
 */
exports.GetSubscriptionFromOrderApiFp = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionFromOrderGet(params, options) {
        const fetchArgs = exports.GetSubscriptionFromOrderApiFetchParamCreator.apiGetSubscriptionFromOrderGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetSubscriptionFromOrderApi - object-oriented interface
 */
class GetSubscriptionFromOrderApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionFromOrderGet(params, options) {
        return exports.GetSubscriptionFromOrderApiFp.apiGetSubscriptionFromOrderGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetSubscriptionFromOrderApi = GetSubscriptionFromOrderApi;
;
/**
 * GetSubscriptionFromOrderApi - factory interface
 */
exports.GetSubscriptionFromOrderApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         */
        apiGetSubscriptionFromOrderGet(params, options) {
            return exports.GetSubscriptionFromOrderApiFp.apiGetSubscriptionFromOrderGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetSubscriptionsByUserApi - fetch parameter creator
 */
exports.GetSubscriptionsByUserApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionsByUserGet(params, options) {
        const baseUrl = `/azapi/GetSubscriptionsByUser`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetSubscriptionsByUserApi - functional programming interface
 */
exports.GetSubscriptionsByUserApiFp = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionsByUserGet(params, options) {
        const fetchArgs = exports.GetSubscriptionsByUserApiFetchParamCreator.apiGetSubscriptionsByUserGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetSubscriptionsByUserApi - object-oriented interface
 */
class GetSubscriptionsByUserApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiGetSubscriptionsByUserGet(params, options) {
        return exports.GetSubscriptionsByUserApiFp.apiGetSubscriptionsByUserGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetSubscriptionsByUserApi = GetSubscriptionsByUserApi;
;
/**
 * GetSubscriptionsByUserApi - factory interface
 */
exports.GetSubscriptionsByUserApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         */
        apiGetSubscriptionsByUserGet(params, options) {
            return exports.GetSubscriptionsByUserApiFp.apiGetSubscriptionsByUserGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetSupplierApi - fetch parameter creator
 */
exports.GetSupplierApiFetchParamCreator = {
    /**
     *
     * @param authToken
     */
    apiV3AdminSupplierGet(params, options) {
        const baseUrl = `/azapi/v3/admin/supplier`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetSupplierApi - functional programming interface
 */
exports.GetSupplierApiFp = {
    /**
     *
     * @param authToken
     */
    apiV3AdminSupplierGet(params, options) {
        const fetchArgs = exports.GetSupplierApiFetchParamCreator.apiV3AdminSupplierGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetSupplierApi - object-oriented interface
 */
class GetSupplierApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiV3AdminSupplierGet(params, options) {
        return exports.GetSupplierApiFp.apiV3AdminSupplierGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetSupplierApi = GetSupplierApi;
;
/**
 * GetSupplierApi - factory interface
 */
exports.GetSupplierApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         */
        apiV3AdminSupplierGet(params, options) {
            return exports.GetSupplierApiFp.apiV3AdminSupplierGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetTopPromoCreditUsersApi - fetch parameter creator
 */
exports.GetTopPromoCreditUsersApiFetchParamCreator = {
    /**
     *
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportPromoCreditUsersGet(params, options) {
        const baseUrl = `/azapi/api/admin/report/promo-credit-users`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "period": params["period"],
            "nPeriods": params["nPeriods"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetTopPromoCreditUsersApi - functional programming interface
 */
exports.GetTopPromoCreditUsersApiFp = {
    /**
     *
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportPromoCreditUsersGet(params, options) {
        const fetchArgs = exports.GetTopPromoCreditUsersApiFetchParamCreator.apiApiAdminReportPromoCreditUsersGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetTopPromoCreditUsersApi - object-oriented interface
 */
class GetTopPromoCreditUsersApi extends BaseAPI {
    /**
     *
     * @param period
     * @param nPeriods
     * @param authToken
     */
    apiApiAdminReportPromoCreditUsersGet(params, options) {
        return exports.GetTopPromoCreditUsersApiFp.apiApiAdminReportPromoCreditUsersGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetTopPromoCreditUsersApi = GetTopPromoCreditUsersApi;
;
/**
 * GetTopPromoCreditUsersApi - factory interface
 */
exports.GetTopPromoCreditUsersApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param period
         * @param nPeriods
         * @param authToken
         */
        apiApiAdminReportPromoCreditUsersGet(params, options) {
            return exports.GetTopPromoCreditUsersApiFp.apiApiAdminReportPromoCreditUsersGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetUpdatedTrackingApi - fetch parameter creator
 */
exports.GetUpdatedTrackingApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param id
     */
    apiV3AdminGetUpdatedTrackingGet(params, options) {
        const baseUrl = `/azapi/v3/admin/GetUpdatedTracking`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetUpdatedTrackingApi - functional programming interface
 */
exports.GetUpdatedTrackingApiFp = {
    /**
     *
     * @param authToken
     * @param id
     */
    apiV3AdminGetUpdatedTrackingGet(params, options) {
        const fetchArgs = exports.GetUpdatedTrackingApiFetchParamCreator.apiV3AdminGetUpdatedTrackingGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetUpdatedTrackingApi - object-oriented interface
 */
class GetUpdatedTrackingApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     */
    apiV3AdminGetUpdatedTrackingGet(params, options) {
        return exports.GetUpdatedTrackingApiFp.apiV3AdminGetUpdatedTrackingGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetUpdatedTrackingApi = GetUpdatedTrackingApi;
;
/**
 * GetUpdatedTrackingApi - factory interface
 */
exports.GetUpdatedTrackingApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param id
         */
        apiV3AdminGetUpdatedTrackingGet(params, options) {
            return exports.GetUpdatedTrackingApiFp.apiV3AdminGetUpdatedTrackingGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * GetUsersMatchingBucketApi - fetch parameter creator
 */
exports.GetUsersMatchingBucketApiFetchParamCreator = {
    /**
     *
     * @param search
     * @param authToken
     */
    apiGetUsersMatchingBucketGet(params, options) {
        const baseUrl = `/azapi/GetUsersMatchingBucket`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * GetUsersMatchingBucketApi - functional programming interface
 */
exports.GetUsersMatchingBucketApiFp = {
    /**
     *
     * @param search
     * @param authToken
     */
    apiGetUsersMatchingBucketGet(params, options) {
        const fetchArgs = exports.GetUsersMatchingBucketApiFetchParamCreator.apiGetUsersMatchingBucketGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * GetUsersMatchingBucketApi - object-oriented interface
 */
class GetUsersMatchingBucketApi extends BaseAPI {
    /**
     *
     * @param search
     * @param authToken
     */
    apiGetUsersMatchingBucketGet(params, options) {
        return exports.GetUsersMatchingBucketApiFp.apiGetUsersMatchingBucketGet(params, options)(this.fetch, this.basePath);
    }
}
exports.GetUsersMatchingBucketApi = GetUsersMatchingBucketApi;
;
/**
 * GetUsersMatchingBucketApi - factory interface
 */
exports.GetUsersMatchingBucketApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param search
         * @param authToken
         */
        apiGetUsersMatchingBucketGet(params, options) {
            return exports.GetUsersMatchingBucketApiFp.apiGetUsersMatchingBucketGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * HandleBatchApi - fetch parameter creator
 */
exports.HandleBatchApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchGet(params, options) {
        const baseUrl = `/azapi/batch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchPost(params, options) {
        const baseUrl = `/azapi/batch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * HandleBatchApi - functional programming interface
 */
exports.HandleBatchApiFp = {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchGet(params, options) {
        const fetchArgs = exports.HandleBatchApiFetchParamCreator.apiBatchGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchPost(params, options) {
        const fetchArgs = exports.HandleBatchApiFetchParamCreator.apiBatchPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * HandleBatchApi - object-oriented interface
 */
class HandleBatchApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchGet(params, options) {
        return exports.HandleBatchApiFp.apiBatchGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     * @param authToken
     * @param body
     */
    apiBatchPost(params, options) {
        return exports.HandleBatchApiFp.apiBatchPost(params, options)(this.fetch, this.basePath);
    }
}
exports.HandleBatchApi = HandleBatchApi;
;
/**
 * HandleBatchApi - factory interface
 */
exports.HandleBatchApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         * @param body
         */
        apiBatchGet(params, options) {
            return exports.HandleBatchApiFp.apiBatchGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         * @param authToken
         * @param body
         */
        apiBatchPost(params, options) {
            return exports.HandleBatchApiFp.apiBatchPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * HandleCmsApi - fetch parameter creator
 */
exports.HandleCmsApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param body
     */
    apiContentGet(params, options) {
        const baseUrl = `/azapi/content`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     * @param body
     */
    apiContentPost(params, options) {
        const baseUrl = `/azapi/content`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * HandleCmsApi - functional programming interface
 */
exports.HandleCmsApiFp = {
    /**
     *
     * @param id
     * @param body
     */
    apiContentGet(params, options) {
        const fetchArgs = exports.HandleCmsApiFetchParamCreator.apiContentGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     * @param body
     */
    apiContentPost(params, options) {
        const fetchArgs = exports.HandleCmsApiFetchParamCreator.apiContentPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * HandleCmsApi - object-oriented interface
 */
class HandleCmsApi extends BaseAPI {
    /**
     *
     * @param id
     * @param body
     */
    apiContentGet(params, options) {
        return exports.HandleCmsApiFp.apiContentGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     * @param body
     */
    apiContentPost(params, options) {
        return exports.HandleCmsApiFp.apiContentPost(params, options)(this.fetch, this.basePath);
    }
}
exports.HandleCmsApi = HandleCmsApi;
;
/**
 * HandleCmsApi - factory interface
 */
exports.HandleCmsApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param body
         */
        apiContentGet(params, options) {
            return exports.HandleCmsApiFp.apiContentGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         * @param body
         */
        apiContentPost(params, options) {
            return exports.HandleCmsApiFp.apiContentPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * HandleInventoryApi - fetch parameter creator
 */
exports.HandleInventoryApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryGet(params, options) {
        const baseUrl = `/azapi/sku/inventory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
            "stockUpdateMode": params["stockUpdateMode"],
            "backgroundJob": params["backgroundJob"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryPost(params, options) {
        const baseUrl = `/azapi/sku/inventory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
            "stockUpdateMode": params["stockUpdateMode"],
            "backgroundJob": params["backgroundJob"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * HandleInventoryApi - functional programming interface
 */
exports.HandleInventoryApiFp = {
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryGet(params, options) {
        const fetchArgs = exports.HandleInventoryApiFetchParamCreator.apiSkuInventoryGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryPost(params, options) {
        const fetchArgs = exports.HandleInventoryApiFetchParamCreator.apiSkuInventoryPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * HandleInventoryApi - object-oriented interface
 */
class HandleInventoryApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryGet(params, options) {
        return exports.HandleInventoryApiFp.apiSkuInventoryGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     * @param authToken
     * @param stockUpdateMode
     * @param backgroundJob
     * @param body
     */
    apiSkuInventoryPost(params, options) {
        return exports.HandleInventoryApiFp.apiSkuInventoryPost(params, options)(this.fetch, this.basePath);
    }
}
exports.HandleInventoryApi = HandleInventoryApi;
;
/**
 * HandleInventoryApi - factory interface
 */
exports.HandleInventoryApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         * @param stockUpdateMode
         * @param backgroundJob
         * @param body
         */
        apiSkuInventoryGet(params, options) {
            return exports.HandleInventoryApiFp.apiSkuInventoryGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         * @param authToken
         * @param stockUpdateMode
         * @param backgroundJob
         * @param body
         */
        apiSkuInventoryPost(params, options) {
            return exports.HandleInventoryApiFp.apiSkuInventoryPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * HandleInventoryHoldingShipmentApi - fetch parameter creator
 */
exports.HandleInventoryHoldingShipmentApiFetchParamCreator = {
    /**
     *
     * @param authToken
     */
    apiSkuHandleInventoryHoldingShipmentGet(params, options) {
        const baseUrl = `/azapi/sku/HandleInventoryHoldingShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * HandleInventoryHoldingShipmentApi - functional programming interface
 */
exports.HandleInventoryHoldingShipmentApiFp = {
    /**
     *
     * @param authToken
     */
    apiSkuHandleInventoryHoldingShipmentGet(params, options) {
        const fetchArgs = exports.HandleInventoryHoldingShipmentApiFetchParamCreator.apiSkuHandleInventoryHoldingShipmentGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * HandleInventoryHoldingShipmentApi - object-oriented interface
 */
class HandleInventoryHoldingShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiSkuHandleInventoryHoldingShipmentGet(params, options) {
        return exports.HandleInventoryHoldingShipmentApiFp.apiSkuHandleInventoryHoldingShipmentGet(params, options)(this.fetch, this.basePath);
    }
}
exports.HandleInventoryHoldingShipmentApi = HandleInventoryHoldingShipmentApi;
;
/**
 * HandleInventoryHoldingShipmentApi - factory interface
 */
exports.HandleInventoryHoldingShipmentApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         */
        apiSkuHandleInventoryHoldingShipmentGet(params, options) {
            return exports.HandleInventoryHoldingShipmentApiFp.apiSkuHandleInventoryHoldingShipmentGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * HandleNpsApi - fetch parameter creator
 */
exports.HandleNpsApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param body
     */
    apiNpsGet(params, options) {
        const baseUrl = `/azapi/nps`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     * @param body
     */
    apiNpsPost(params, options) {
        const baseUrl = `/azapi/nps`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * HandleNpsApi - functional programming interface
 */
exports.HandleNpsApiFp = {
    /**
     *
     * @param id
     * @param body
     */
    apiNpsGet(params, options) {
        const fetchArgs = exports.HandleNpsApiFetchParamCreator.apiNpsGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     * @param body
     */
    apiNpsPost(params, options) {
        const fetchArgs = exports.HandleNpsApiFetchParamCreator.apiNpsPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * HandleNpsApi - object-oriented interface
 */
class HandleNpsApi extends BaseAPI {
    /**
     *
     * @param id
     * @param body
     */
    apiNpsGet(params, options) {
        return exports.HandleNpsApiFp.apiNpsGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     * @param body
     */
    apiNpsPost(params, options) {
        return exports.HandleNpsApiFp.apiNpsPost(params, options)(this.fetch, this.basePath);
    }
}
exports.HandleNpsApi = HandleNpsApi;
;
/**
 * HandleNpsApi - factory interface
 */
exports.HandleNpsApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param body
         */
        apiNpsGet(params, options) {
            return exports.HandleNpsApiFp.apiNpsGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         * @param body
         */
        apiNpsPost(params, options) {
            return exports.HandleNpsApiFp.apiNpsPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * IdentifyIdentifierApi - fetch parameter creator
 */
exports.IdentifyIdentifierApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiIdentifyIdentifierPost(params, options) {
        const baseUrl = `/azapi/identifyIdentifier`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * IdentifyIdentifierApi - functional programming interface
 */
exports.IdentifyIdentifierApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiIdentifyIdentifierPost(params, options) {
        const fetchArgs = exports.IdentifyIdentifierApiFetchParamCreator.apiIdentifyIdentifierPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * IdentifyIdentifierApi - object-oriented interface
 */
class IdentifyIdentifierApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiIdentifyIdentifierPost(params, options) {
        return exports.IdentifyIdentifierApiFp.apiIdentifyIdentifierPost(params, options)(this.fetch, this.basePath);
    }
}
exports.IdentifyIdentifierApi = IdentifyIdentifierApi;
;
/**
 * IdentifyIdentifierApi - factory interface
 */
exports.IdentifyIdentifierApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiIdentifyIdentifierPost(params, options) {
            return exports.IdentifyIdentifierApiFp.apiIdentifyIdentifierPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * InventoryPerShipmentIdApi - fetch parameter creator
 */
exports.InventoryPerShipmentIdApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiInventoryPerShipmentIdGet(params, options) {
        const baseUrl = `/azapi/InventoryPerShipmentId`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * InventoryPerShipmentIdApi - functional programming interface
 */
exports.InventoryPerShipmentIdApiFp = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiInventoryPerShipmentIdGet(params, options) {
        const fetchArgs = exports.InventoryPerShipmentIdApiFetchParamCreator.apiInventoryPerShipmentIdGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * InventoryPerShipmentIdApi - object-oriented interface
 */
class InventoryPerShipmentIdApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiInventoryPerShipmentIdGet(params, options) {
        return exports.InventoryPerShipmentIdApiFp.apiInventoryPerShipmentIdGet(params, options)(this.fetch, this.basePath);
    }
}
exports.InventoryPerShipmentIdApi = InventoryPerShipmentIdApi;
;
/**
 * InventoryPerShipmentIdApi - factory interface
 */
exports.InventoryPerShipmentIdApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         */
        apiInventoryPerShipmentIdGet(params, options) {
            return exports.InventoryPerShipmentIdApiFp.apiInventoryPerShipmentIdGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * InventoryTransferApi - fetch parameter creator
 */
exports.InventoryTransferApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferGet(params, options) {
        const baseUrl = `/azapi/inventoryTransfer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferPost(params, options) {
        const baseUrl = `/azapi/inventoryTransfer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * InventoryTransferApi - functional programming interface
 */
exports.InventoryTransferApiFp = {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferGet(params, options) {
        const fetchArgs = exports.InventoryTransferApiFetchParamCreator.apiInventoryTransferGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferPost(params, options) {
        const fetchArgs = exports.InventoryTransferApiFetchParamCreator.apiInventoryTransferPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * InventoryTransferApi - object-oriented interface
 */
class InventoryTransferApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferGet(params, options) {
        return exports.InventoryTransferApiFp.apiInventoryTransferGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiInventoryTransferPost(params, options) {
        return exports.InventoryTransferApiFp.apiInventoryTransferPost(params, options)(this.fetch, this.basePath);
    }
}
exports.InventoryTransferApi = InventoryTransferApi;
;
/**
 * InventoryTransferApi - factory interface
 */
exports.InventoryTransferApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param id
         * @param body
         */
        apiInventoryTransferGet(params, options) {
            return exports.InventoryTransferApiFp.apiInventoryTransferGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param authToken
         * @param id
         * @param body
         */
        apiInventoryTransferPost(params, options) {
            return exports.InventoryTransferApiFp.apiInventoryTransferPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * LinkHistoryItemApi - fetch parameter creator
 */
exports.LinkHistoryItemApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryDelete(params, options) {
        const baseUrl = `/azapi/transferItem/linkHistory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "xiGuid": params["xiGuid"],
            "skuHistoryGuid": params["skuHistoryGuid"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryGet(params, options) {
        const baseUrl = `/azapi/transferItem/linkHistory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "xiGuid": params["xiGuid"],
            "skuHistoryGuid": params["skuHistoryGuid"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * LinkHistoryItemApi - functional programming interface
 */
exports.LinkHistoryItemApiFp = {
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryDelete(params, options) {
        const fetchArgs = exports.LinkHistoryItemApiFetchParamCreator.apiTransferItemLinkHistoryDelete(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryGet(params, options) {
        const fetchArgs = exports.LinkHistoryItemApiFetchParamCreator.apiTransferItemLinkHistoryGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * LinkHistoryItemApi - object-oriented interface
 */
class LinkHistoryItemApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryDelete(params, options) {
        return exports.LinkHistoryItemApiFp.apiTransferItemLinkHistoryDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param authToken
     * @param xiGuid
     * @param skuHistoryGuid
     */
    apiTransferItemLinkHistoryGet(params, options) {
        return exports.LinkHistoryItemApiFp.apiTransferItemLinkHistoryGet(params, options)(this.fetch, this.basePath);
    }
}
exports.LinkHistoryItemApi = LinkHistoryItemApi;
;
/**
 * LinkHistoryItemApi - factory interface
 */
exports.LinkHistoryItemApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param xiGuid
         * @param skuHistoryGuid
         */
        apiTransferItemLinkHistoryDelete(params, options) {
            return exports.LinkHistoryItemApiFp.apiTransferItemLinkHistoryDelete(params, options)(fetch, basePath);
        },
        /**
         *
         * @param authToken
         * @param xiGuid
         * @param skuHistoryGuid
         */
        apiTransferItemLinkHistoryGet(params, options) {
            return exports.LinkHistoryItemApiFp.apiTransferItemLinkHistoryGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * MakeSiteMapApi - fetch parameter creator
 */
exports.MakeSiteMapApiFetchParamCreator = {
    /**
     *
     */
    apiSitemapXmlGet(options) {
        const baseUrl = `/azapi/sitemap.xml`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * MakeSiteMapApi - functional programming interface
 */
exports.MakeSiteMapApiFp = {
    /**
     *
     */
    apiSitemapXmlGet(options) {
        const fetchArgs = exports.MakeSiteMapApiFetchParamCreator.apiSitemapXmlGet(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * MakeSiteMapApi - object-oriented interface
 */
class MakeSiteMapApi extends BaseAPI {
    /**
     *
     */
    apiSitemapXmlGet(options) {
        return exports.MakeSiteMapApiFp.apiSitemapXmlGet(options)(this.fetch, this.basePath);
    }
}
exports.MakeSiteMapApi = MakeSiteMapApi;
;
/**
 * MakeSiteMapApi - factory interface
 */
exports.MakeSiteMapApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         */
        apiSitemapXmlGet(options) {
            return exports.MakeSiteMapApiFp.apiSitemapXmlGet(options)(fetch, basePath);
        },
    };
};
/**
 * OfferLambdaApi - fetch parameter creator
 */
exports.OfferLambdaApiFetchParamCreator = {
    /**
     *
     * @param offerSef
     * @param skip
     * @param take
     * @param forcePopulate
     * @param filter
     * @param authToken
     * @param body
     */
    apiV4offerGet(params, options) {
        const baseUrl = `/azapi/v4offer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "offerSef": params["offerSef"],
            "skip": params["skip"],
            "take": params["take"],
            "forcePopulate": params["forcePopulate"],
            "filter": params["filter"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * OfferLambdaApi - functional programming interface
 */
exports.OfferLambdaApiFp = {
    /**
     *
     * @param offerSef
     * @param skip
     * @param take
     * @param forcePopulate
     * @param filter
     * @param authToken
     * @param body
     */
    apiV4offerGet(params, options) {
        const fetchArgs = exports.OfferLambdaApiFetchParamCreator.apiV4offerGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * OfferLambdaApi - object-oriented interface
 */
class OfferLambdaApi extends BaseAPI {
    /**
     *
     * @param offerSef
     * @param skip
     * @param take
     * @param forcePopulate
     * @param filter
     * @param authToken
     * @param body
     */
    apiV4offerGet(params, options) {
        return exports.OfferLambdaApiFp.apiV4offerGet(params, options)(this.fetch, this.basePath);
    }
}
exports.OfferLambdaApi = OfferLambdaApi;
;
/**
 * OfferLambdaApi - factory interface
 */
exports.OfferLambdaApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param offerSef
         * @param skip
         * @param take
         * @param forcePopulate
         * @param filter
         * @param authToken
         * @param body
         */
        apiV4offerGet(params, options) {
            return exports.OfferLambdaApiFp.apiV4offerGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * OffersReservingSkuApi - fetch parameter creator
 */
exports.OffersReservingSkuApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiOffersReservingSkuGet(params, options) {
        const baseUrl = `/azapi/OffersReservingSku`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * OffersReservingSkuApi - functional programming interface
 */
exports.OffersReservingSkuApiFp = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiOffersReservingSkuGet(params, options) {
        const fetchArgs = exports.OffersReservingSkuApiFetchParamCreator.apiOffersReservingSkuGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * OffersReservingSkuApi - object-oriented interface
 */
class OffersReservingSkuApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiOffersReservingSkuGet(params, options) {
        return exports.OffersReservingSkuApiFp.apiOffersReservingSkuGet(params, options)(this.fetch, this.basePath);
    }
}
exports.OffersReservingSkuApi = OffersReservingSkuApi;
;
/**
 * OffersReservingSkuApi - factory interface
 */
exports.OffersReservingSkuApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         */
        apiOffersReservingSkuGet(params, options) {
            return exports.OffersReservingSkuApiFp.apiOffersReservingSkuGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * RedeemGiftCardsApi - fetch parameter creator
 */
exports.RedeemGiftCardsApiFetchParamCreator = {
    /**
     *
     * @param authToken
     */
    apiRedeemGiftCardsGet(params, options) {
        const baseUrl = `/azapi/RedeemGiftCards`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * RedeemGiftCardsApi - functional programming interface
 */
exports.RedeemGiftCardsApiFp = {
    /**
     *
     * @param authToken
     */
    apiRedeemGiftCardsGet(params, options) {
        const fetchArgs = exports.RedeemGiftCardsApiFetchParamCreator.apiRedeemGiftCardsGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * RedeemGiftCardsApi - object-oriented interface
 */
class RedeemGiftCardsApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiRedeemGiftCardsGet(params, options) {
        return exports.RedeemGiftCardsApiFp.apiRedeemGiftCardsGet(params, options)(this.fetch, this.basePath);
    }
}
exports.RedeemGiftCardsApi = RedeemGiftCardsApi;
;
/**
 * RedeemGiftCardsApi - factory interface
 */
exports.RedeemGiftCardsApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         */
        apiRedeemGiftCardsGet(params, options) {
            return exports.RedeemGiftCardsApiFp.apiRedeemGiftCardsGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * RemoveManifestsFromShipmentApi - fetch parameter creator
 */
exports.RemoveManifestsFromShipmentApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiRemoveManifestsFromShipmentPost(params, options) {
        const baseUrl = `/azapi/RemoveManifestsFromShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * RemoveManifestsFromShipmentApi - functional programming interface
 */
exports.RemoveManifestsFromShipmentApiFp = {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiRemoveManifestsFromShipmentPost(params, options) {
        const fetchArgs = exports.RemoveManifestsFromShipmentApiFetchParamCreator.apiRemoveManifestsFromShipmentPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * RemoveManifestsFromShipmentApi - object-oriented interface
 */
class RemoveManifestsFromShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param id
     * @param body
     */
    apiRemoveManifestsFromShipmentPost(params, options) {
        return exports.RemoveManifestsFromShipmentApiFp.apiRemoveManifestsFromShipmentPost(params, options)(this.fetch, this.basePath);
    }
}
exports.RemoveManifestsFromShipmentApi = RemoveManifestsFromShipmentApi;
;
/**
 * RemoveManifestsFromShipmentApi - factory interface
 */
exports.RemoveManifestsFromShipmentApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param id
         * @param body
         */
        apiRemoveManifestsFromShipmentPost(params, options) {
            return exports.RemoveManifestsFromShipmentApiFp.apiRemoveManifestsFromShipmentPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * SendDotmailerEmailTestApi - fetch parameter creator
 */
exports.SendDotmailerEmailTestApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSendDotmailerEmailTestPost(params, options) {
        const baseUrl = `/azapi/v3/admin/SendDotmailerEmailTest`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SendDotmailerEmailTestApi - functional programming interface
 */
exports.SendDotmailerEmailTestApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSendDotmailerEmailTestPost(params, options) {
        const fetchArgs = exports.SendDotmailerEmailTestApiFetchParamCreator.apiV3AdminSendDotmailerEmailTestPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SendDotmailerEmailTestApi - object-oriented interface
 */
class SendDotmailerEmailTestApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSendDotmailerEmailTestPost(params, options) {
        return exports.SendDotmailerEmailTestApiFp.apiV3AdminSendDotmailerEmailTestPost(params, options)(this.fetch, this.basePath);
    }
}
exports.SendDotmailerEmailTestApi = SendDotmailerEmailTestApi;
;
/**
 * SendDotmailerEmailTestApi - factory interface
 */
exports.SendDotmailerEmailTestApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiV3AdminSendDotmailerEmailTestPost(params, options) {
            return exports.SendDotmailerEmailTestApiFp.apiV3AdminSendDotmailerEmailTestPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * SendQrEmailApi - fetch parameter creator
 */
exports.SendQrEmailApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSendQrEmailPost(params, options) {
        const baseUrl = `/azapi/SendQrEmail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SendQrEmailApi - functional programming interface
 */
exports.SendQrEmailApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSendQrEmailPost(params, options) {
        const fetchArgs = exports.SendQrEmailApiFetchParamCreator.apiSendQrEmailPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SendQrEmailApi - object-oriented interface
 */
class SendQrEmailApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiSendQrEmailPost(params, options) {
        return exports.SendQrEmailApiFp.apiSendQrEmailPost(params, options)(this.fetch, this.basePath);
    }
}
exports.SendQrEmailApi = SendQrEmailApi;
;
/**
 * SendQrEmailApi - factory interface
 */
exports.SendQrEmailApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiSendQrEmailPost(params, options) {
            return exports.SendQrEmailApiFp.apiSendQrEmailPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * SessionFuncsGetApi - fetch parameter creator
 */
exports.SessionFuncsGetApiFetchParamCreator = {
    /**
     *
     * @param authToken
     */
    apiSessionGet(params, options) {
        const baseUrl = `/azapi/session`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SessionFuncsGetApi - functional programming interface
 */
exports.SessionFuncsGetApiFp = {
    /**
     *
     * @param authToken
     */
    apiSessionGet(params, options) {
        const fetchArgs = exports.SessionFuncsGetApiFetchParamCreator.apiSessionGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SessionFuncsGetApi - object-oriented interface
 */
class SessionFuncsGetApi extends BaseAPI {
    /**
     *
     * @param authToken
     */
    apiSessionGet(params, options) {
        return exports.SessionFuncsGetApiFp.apiSessionGet(params, options)(this.fetch, this.basePath);
    }
}
exports.SessionFuncsGetApi = SessionFuncsGetApi;
;
/**
 * SessionFuncsGetApi - factory interface
 */
exports.SessionFuncsGetApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         */
        apiSessionGet(params, options) {
            return exports.SessionFuncsGetApiFp.apiSessionGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * SetAddressPhoneApi - fetch parameter creator
 */
exports.SetAddressPhoneApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3SetAddressPhonePost(params, options) {
        const baseUrl = `/azapi/v3/setAddressPhone`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SetAddressPhoneApi - functional programming interface
 */
exports.SetAddressPhoneApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3SetAddressPhonePost(params, options) {
        const fetchArgs = exports.SetAddressPhoneApiFetchParamCreator.apiV3SetAddressPhonePost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SetAddressPhoneApi - object-oriented interface
 */
class SetAddressPhoneApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3SetAddressPhonePost(params, options) {
        return exports.SetAddressPhoneApiFp.apiV3SetAddressPhonePost(params, options)(this.fetch, this.basePath);
    }
}
exports.SetAddressPhoneApi = SetAddressPhoneApi;
;
/**
 * SetAddressPhoneApi - factory interface
 */
exports.SetAddressPhoneApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiV3SetAddressPhonePost(params, options) {
            return exports.SetAddressPhoneApiFp.apiV3SetAddressPhonePost(params, options)(fetch, basePath);
        },
    };
};
/**
 * SetInventoryHoldForShipmentApi - fetch parameter creator
 */
exports.SetInventoryHoldForShipmentApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminInventoryHoldPost(params, options) {
        const baseUrl = `/azapi/v3/admin/inventoryHold`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SetInventoryHoldForShipmentApi - functional programming interface
 */
exports.SetInventoryHoldForShipmentApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminInventoryHoldPost(params, options) {
        const fetchArgs = exports.SetInventoryHoldForShipmentApiFetchParamCreator.apiV3AdminInventoryHoldPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SetInventoryHoldForShipmentApi - object-oriented interface
 */
class SetInventoryHoldForShipmentApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminInventoryHoldPost(params, options) {
        return exports.SetInventoryHoldForShipmentApiFp.apiV3AdminInventoryHoldPost(params, options)(this.fetch, this.basePath);
    }
}
exports.SetInventoryHoldForShipmentApi = SetInventoryHoldForShipmentApi;
;
/**
 * SetInventoryHoldForShipmentApi - factory interface
 */
exports.SetInventoryHoldForShipmentApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiV3AdminInventoryHoldPost(params, options) {
            return exports.SetInventoryHoldForShipmentApiFp.apiV3AdminInventoryHoldPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * ShipEngineWebhookApi - fetch parameter creator
 */
exports.ShipEngineWebhookApiFetchParamCreator = {
    /**
     *
     */
    apiShipEngineWebhookPost(options) {
        const baseUrl = `/azapi/ShipEngineWebhook`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * ShipEngineWebhookApi - functional programming interface
 */
exports.ShipEngineWebhookApiFp = {
    /**
     *
     */
    apiShipEngineWebhookPost(options) {
        const fetchArgs = exports.ShipEngineWebhookApiFetchParamCreator.apiShipEngineWebhookPost(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * ShipEngineWebhookApi - object-oriented interface
 */
class ShipEngineWebhookApi extends BaseAPI {
    /**
     *
     */
    apiShipEngineWebhookPost(options) {
        return exports.ShipEngineWebhookApiFp.apiShipEngineWebhookPost(options)(this.fetch, this.basePath);
    }
}
exports.ShipEngineWebhookApi = ShipEngineWebhookApi;
;
/**
 * ShipEngineWebhookApi - factory interface
 */
exports.ShipEngineWebhookApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         */
        apiShipEngineWebhookPost(options) {
            return exports.ShipEngineWebhookApiFp.apiShipEngineWebhookPost(options)(fetch, basePath);
        },
    };
};
/**
 * ShipmentPostFinancialsApi - fetch parameter creator
 */
exports.ShipmentPostFinancialsApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiShipmentPostFinancialsPost(params, options) {
        const baseUrl = `/azapi/ShipmentPostFinancials`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * ShipmentPostFinancialsApi - functional programming interface
 */
exports.ShipmentPostFinancialsApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiShipmentPostFinancialsPost(params, options) {
        const fetchArgs = exports.ShipmentPostFinancialsApiFetchParamCreator.apiShipmentPostFinancialsPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * ShipmentPostFinancialsApi - object-oriented interface
 */
class ShipmentPostFinancialsApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiShipmentPostFinancialsPost(params, options) {
        return exports.ShipmentPostFinancialsApiFp.apiShipmentPostFinancialsPost(params, options)(this.fetch, this.basePath);
    }
}
exports.ShipmentPostFinancialsApi = ShipmentPostFinancialsApi;
;
/**
 * ShipmentPostFinancialsApi - factory interface
 */
exports.ShipmentPostFinancialsApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiShipmentPostFinancialsPost(params, options) {
            return exports.ShipmentPostFinancialsApiFp.apiShipmentPostFinancialsPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * SkuGetComplianceAddressesApi - fetch parameter creator
 */
exports.SkuGetComplianceAddressesApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiSkuGetComplianceAddressesGet(params, options) {
        const baseUrl = `/azapi/SkuGetComplianceAddresses`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SkuGetComplianceAddressesApi - functional programming interface
 */
exports.SkuGetComplianceAddressesApiFp = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiSkuGetComplianceAddressesGet(params, options) {
        const fetchArgs = exports.SkuGetComplianceAddressesApiFetchParamCreator.apiSkuGetComplianceAddressesGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SkuGetComplianceAddressesApi - object-oriented interface
 */
class SkuGetComplianceAddressesApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiSkuGetComplianceAddressesGet(params, options) {
        return exports.SkuGetComplianceAddressesApiFp.apiSkuGetComplianceAddressesGet(params, options)(this.fetch, this.basePath);
    }
}
exports.SkuGetComplianceAddressesApi = SkuGetComplianceAddressesApi;
;
/**
 * SkuGetComplianceAddressesApi - factory interface
 */
exports.SkuGetComplianceAddressesApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         */
        apiSkuGetComplianceAddressesGet(params, options) {
            return exports.SkuGetComplianceAddressesApiFp.apiSkuGetComplianceAddressesGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * SkuGetLocationOverviewApi - fetch parameter creator
 */
exports.SkuGetLocationOverviewApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param search
     */
    apiSkuGetLocationOverviewGet(params, options) {
        const baseUrl = `/azapi/SkuGetLocationOverview`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "search": params["search"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SkuGetLocationOverviewApi - functional programming interface
 */
exports.SkuGetLocationOverviewApiFp = {
    /**
     *
     * @param authToken
     * @param search
     */
    apiSkuGetLocationOverviewGet(params, options) {
        const fetchArgs = exports.SkuGetLocationOverviewApiFetchParamCreator.apiSkuGetLocationOverviewGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SkuGetLocationOverviewApi - object-oriented interface
 */
class SkuGetLocationOverviewApi extends BaseAPI {
    /**
     *
     * @param authToken
     * @param search
     */
    apiSkuGetLocationOverviewGet(params, options) {
        return exports.SkuGetLocationOverviewApiFp.apiSkuGetLocationOverviewGet(params, options)(this.fetch, this.basePath);
    }
}
exports.SkuGetLocationOverviewApi = SkuGetLocationOverviewApi;
;
/**
 * SkuGetLocationOverviewApi - factory interface
 */
exports.SkuGetLocationOverviewApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param search
         */
        apiSkuGetLocationOverviewGet(params, options) {
            return exports.SkuGetLocationOverviewApiFp.apiSkuGetLocationOverviewGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * SupplierItemV2Api - fetch parameter creator
 */
exports.SupplierItemV2ApiFetchParamCreator = {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options) {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemGet");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem`
            .replace(`{${"supplierId"}}`, `${params["supplierId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options) {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemPost");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem`
            .replace(`{${"supplierId"}}`, `${params["supplierId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SupplierItemV2Api - functional programming interface
 */
exports.SupplierItemV2ApiFp = {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options) {
        const fetchArgs = exports.SupplierItemV2ApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options) {
        const fetchArgs = exports.SupplierItemV2ApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SupplierItemV2Api - object-oriented interface
 */
class SupplierItemV2Api extends BaseAPI {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options) {
        return exports.SupplierItemV2ApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options) {
        return exports.SupplierItemV2ApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options)(this.fetch, this.basePath);
    }
}
exports.SupplierItemV2Api = SupplierItemV2Api;
;
/**
 * SupplierItemV2Api - factory interface
 */
exports.SupplierItemV2ApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param supplierId
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options) {
            return exports.SupplierItemV2ApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param supplierId
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options) {
            return exports.SupplierItemV2ApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * SupplierItemV2OneApi - fetch parameter creator
 */
exports.SupplierItemV2OneApiFetchParamCreator = {
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options) {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete");
        }
        // verify required parameter "supplierItemId" is set
        if (params["supplierItemId"] == null) {
            throw new Error("Missing required parameter supplierItemId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem/{supplierItemId}`
            .replace(`{${"supplierId"}}`, `${params["supplierId"]}`)
            .replace(`{${"supplierItemId"}}`, `${params["supplierItemId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options) {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet");
        }
        // verify required parameter "supplierItemId" is set
        if (params["supplierItemId"] == null) {
            throw new Error("Missing required parameter supplierItemId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem/{supplierItemId}`
            .replace(`{${"supplierId"}}`, `${params["supplierId"]}`)
            .replace(`{${"supplierItemId"}}`, `${params["supplierItemId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options) {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut");
        }
        // verify required parameter "supplierItemId" is set
        if (params["supplierItemId"] == null) {
            throw new Error("Missing required parameter supplierItemId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem/{supplierItemId}`
            .replace(`{${"supplierId"}}`, `${params["supplierId"]}`)
            .replace(`{${"supplierItemId"}}`, `${params["supplierItemId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SupplierItemV2OneApi - functional programming interface
 */
exports.SupplierItemV2OneApiFp = {
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options) {
        const fetchArgs = exports.SupplierItemV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options) {
        const fetchArgs = exports.SupplierItemV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options) {
        const fetchArgs = exports.SupplierItemV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SupplierItemV2OneApi - object-oriented interface
 */
class SupplierItemV2OneApi extends BaseAPI {
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options) {
        return exports.SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options) {
        return exports.SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param supplierId
     * @param supplierItemId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options) {
        return exports.SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options)(this.fetch, this.basePath);
    }
}
exports.SupplierItemV2OneApi = SupplierItemV2OneApi;
;
/**
 * SupplierItemV2OneApi - factory interface
 */
exports.SupplierItemV2OneApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param supplierId
         * @param supplierItemId
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options) {
            return exports.SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options)(fetch, basePath);
        },
        /**
         *
         * @param supplierId
         * @param supplierItemId
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options) {
            return exports.SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param supplierId
         * @param supplierItemId
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options) {
            return exports.SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options)(fetch, basePath);
        },
    };
};
/**
 * SupplierItemsForSkuApi - fetch parameter creator
 */
exports.SupplierItemsForSkuApiFetchParamCreator = {
    /**
     *
     * @param sku
     * @param authToken
     */
    apiV3AdminSkuSkuSupplieritemGet(params, options) {
        // verify required parameter "sku" is set
        if (params["sku"] == null) {
            throw new Error("Missing required parameter sku when calling apiV3AdminSkuSkuSupplieritemGet");
        }
        const baseUrl = `/azapi/v3/admin/sku/{sku}/supplieritem`
            .replace(`{${"sku"}}`, `${params["sku"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SupplierItemsForSkuApi - functional programming interface
 */
exports.SupplierItemsForSkuApiFp = {
    /**
     *
     * @param sku
     * @param authToken
     */
    apiV3AdminSkuSkuSupplieritemGet(params, options) {
        const fetchArgs = exports.SupplierItemsForSkuApiFetchParamCreator.apiV3AdminSkuSkuSupplieritemGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SupplierItemsForSkuApi - object-oriented interface
 */
class SupplierItemsForSkuApi extends BaseAPI {
    /**
     *
     * @param sku
     * @param authToken
     */
    apiV3AdminSkuSkuSupplieritemGet(params, options) {
        return exports.SupplierItemsForSkuApiFp.apiV3AdminSkuSkuSupplieritemGet(params, options)(this.fetch, this.basePath);
    }
}
exports.SupplierItemsForSkuApi = SupplierItemsForSkuApi;
;
/**
 * SupplierItemsForSkuApi - factory interface
 */
exports.SupplierItemsForSkuApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sku
         * @param authToken
         */
        apiV3AdminSkuSkuSupplieritemGet(params, options) {
            return exports.SupplierItemsForSkuApiFp.apiV3AdminSkuSkuSupplieritemGet(params, options)(fetch, basePath);
        },
    };
};
/**
 * SupplierV2Api - fetch parameter creator
 */
exports.SupplierV2ApiFetchParamCreator = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Get(params, options) {
        const baseUrl = `/azapi/v3/admin/supplierv2`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Post(params, options) {
        const baseUrl = `/azapi/v3/admin/supplierv2`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SupplierV2Api - functional programming interface
 */
exports.SupplierV2ApiFp = {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Get(params, options) {
        const fetchArgs = exports.SupplierV2ApiFetchParamCreator.apiV3AdminSupplierv2Get(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Post(params, options) {
        const fetchArgs = exports.SupplierV2ApiFetchParamCreator.apiV3AdminSupplierv2Post(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SupplierV2Api - object-oriented interface
 */
class SupplierV2Api extends BaseAPI {
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Get(params, options) {
        return exports.SupplierV2ApiFp.apiV3AdminSupplierv2Get(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2Post(params, options) {
        return exports.SupplierV2ApiFp.apiV3AdminSupplierv2Post(params, options)(this.fetch, this.basePath);
    }
}
exports.SupplierV2Api = SupplierV2Api;
;
/**
 * SupplierV2Api - factory interface
 */
exports.SupplierV2ApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2Get(params, options) {
            return exports.SupplierV2ApiFp.apiV3AdminSupplierv2Get(params, options)(fetch, basePath);
        },
        /**
         *
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2Post(params, options) {
            return exports.SupplierV2ApiFp.apiV3AdminSupplierv2Post(params, options)(fetch, basePath);
        },
    };
};
/**
 * SupplierV2OneApi - fetch parameter creator
 */
exports.SupplierV2OneApiFetchParamCreator = {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdDelete(params, options) {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdDelete");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}`
            .replace(`{${"supplierId"}}`, `${params["supplierId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdGet(params, options) {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdGet");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}`
            .replace(`{${"supplierId"}}`, `${params["supplierId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdPut(params, options) {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdPut");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}`
            .replace(`{${"supplierId"}}`, `${params["supplierId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SupplierV2OneApi - functional programming interface
 */
exports.SupplierV2OneApiFp = {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdDelete(params, options) {
        const fetchArgs = exports.SupplierV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdDelete(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdGet(params, options) {
        const fetchArgs = exports.SupplierV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdPut(params, options) {
        const fetchArgs = exports.SupplierV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SupplierV2OneApi - object-oriented interface
 */
class SupplierV2OneApi extends BaseAPI {
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdDelete(params, options) {
        return exports.SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdGet(params, options) {
        return exports.SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param supplierId
     * @param authToken
     * @param body
     */
    apiV3AdminSupplierv2SupplierIdPut(params, options) {
        return exports.SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdPut(params, options)(this.fetch, this.basePath);
    }
}
exports.SupplierV2OneApi = SupplierV2OneApi;
;
/**
 * SupplierV2OneApi - factory interface
 */
exports.SupplierV2OneApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param supplierId
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2SupplierIdDelete(params, options) {
            return exports.SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdDelete(params, options)(fetch, basePath);
        },
        /**
         *
         * @param supplierId
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2SupplierIdGet(params, options) {
            return exports.SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param supplierId
         * @param authToken
         * @param body
         */
        apiV3AdminSupplierv2SupplierIdPut(params, options) {
            return exports.SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdPut(params, options)(fetch, basePath);
        },
    };
};
/**
 * TrackingWebhookApi - fetch parameter creator
 */
exports.TrackingWebhookApiFetchParamCreator = {
    /**
     *
     */
    apiTrackingWebhookPost(options) {
        const baseUrl = `/azapi/TrackingWebhook`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * TrackingWebhookApi - functional programming interface
 */
exports.TrackingWebhookApiFp = {
    /**
     *
     */
    apiTrackingWebhookPost(options) {
        const fetchArgs = exports.TrackingWebhookApiFetchParamCreator.apiTrackingWebhookPost(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * TrackingWebhookApi - object-oriented interface
 */
class TrackingWebhookApi extends BaseAPI {
    /**
     *
     */
    apiTrackingWebhookPost(options) {
        return exports.TrackingWebhookApiFp.apiTrackingWebhookPost(options)(this.fetch, this.basePath);
    }
}
exports.TrackingWebhookApi = TrackingWebhookApi;
;
/**
 * TrackingWebhookApi - factory interface
 */
exports.TrackingWebhookApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         */
        apiTrackingWebhookPost(options) {
            return exports.TrackingWebhookApiFp.apiTrackingWebhookPost(options)(fetch, basePath);
        },
    };
};
/**
 * VstsWebhookApi - fetch parameter creator
 */
exports.VstsWebhookApiFetchParamCreator = {
    /**
     *
     */
    apiVstsPost(options) {
        const baseUrl = `/azapi/vsts`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * VstsWebhookApi - functional programming interface
 */
exports.VstsWebhookApiFp = {
    /**
     *
     */
    apiVstsPost(options) {
        const fetchArgs = exports.VstsWebhookApiFetchParamCreator.apiVstsPost(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * VstsWebhookApi - object-oriented interface
 */
class VstsWebhookApi extends BaseAPI {
    /**
     *
     */
    apiVstsPost(options) {
        return exports.VstsWebhookApiFp.apiVstsPost(options)(this.fetch, this.basePath);
    }
}
exports.VstsWebhookApi = VstsWebhookApi;
;
/**
 * VstsWebhookApi - factory interface
 */
exports.VstsWebhookApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         */
        apiVstsPost(options) {
            return exports.VstsWebhookApiFp.apiVstsPost(options)(fetch, basePath);
        },
    };
};
/**
 * WhoUsedPromoGroupApi - fetch parameter creator
 */
exports.WhoUsedPromoGroupApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiWhoUsedPromoGroupGet(params, options) {
        const baseUrl = `/azapi/WhoUsedPromoGroup`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * WhoUsedPromoGroupApi - functional programming interface
 */
exports.WhoUsedPromoGroupApiFp = {
    /**
     *
     * @param id
     * @param authToken
     */
    apiWhoUsedPromoGroupGet(params, options) {
        const fetchArgs = exports.WhoUsedPromoGroupApiFetchParamCreator.apiWhoUsedPromoGroupGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * WhoUsedPromoGroupApi - object-oriented interface
 */
class WhoUsedPromoGroupApi extends BaseAPI {
    /**
     *
     * @param id
     * @param authToken
     */
    apiWhoUsedPromoGroupGet(params, options) {
        return exports.WhoUsedPromoGroupApiFp.apiWhoUsedPromoGroupGet(params, options)(this.fetch, this.basePath);
    }
}
exports.WhoUsedPromoGroupApi = WhoUsedPromoGroupApi;
;
/**
 * WhoUsedPromoGroupApi - factory interface
 */
exports.WhoUsedPromoGroupApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param authToken
         */
        apiWhoUsedPromoGroupGet(params, options) {
            return exports.WhoUsedPromoGroupApiFp.apiWhoUsedPromoGroupGet(params, options)(fetch, basePath);
        },
    };
};
//# sourceMappingURL=serverless.js.map