/**
 * UCMidtier
 * java -jar ../swagger-codegen-cli.jar generate -i http://localhost:7071/azapi/swagger/v1 -l typescript-fetch -o .\tmp
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
export interface FetchAPI {
    (url: string, init?: any): Promise<any>;
}
export declare const BASE_PATH: string;
export interface FetchArgs {
    url: string;
    options: any;
}
export declare class BaseAPI {
    basePath: string;
    fetch: FetchAPI;
    constructor(fetch?: FetchAPI, basePath?: string);
}
export interface AbandonedCloudStat {
    "qtyInStock"?: number;
    "qtyEnRoute"?: number;
    "qtyShipped"?: number;
    "srpInStock"?: number;
    "srpEnRoute"?: number;
    "srpShipped"?: number;
}
export interface AbandonedOrderStat {
    "qty"?: number;
    "revenue"?: number;
}
export interface AbandonedSearchModel {
    "lifeSpend"?: RangeFilterDecimal;
    "yearSpend"?: RangeFilterDecimal;
    "lastPurchaseDaysAgoMin"?: number;
    "skip"?: number;
    "take"?: number;
    "excludeVip"?: boolean;
    "test"?: boolean;
    "qtyEnRoute"?: RangeFilterInt32;
    "qtyShipped"?: RangeFilterInt32;
    "qtyReady"?: RangeFilterInt32;
    "valueEnRoute"?: RangeFilterDecimal;
    "valueShipped"?: RangeFilterDecimal;
    "valueReady"?: RangeFilterDecimal;
}
export interface AbandonedUserModel {
    "abandonedUserGuid"?: string;
    "abandonedUserEmail"?: string;
    "cloudCloudStats"?: AbandonedCloudStat;
    "monthStat"?: AbandonedOrderStat;
    "yearStat"?: AbandonedOrderStat;
    "totalStat"?: AbandonedOrderStat;
    "lastPurchaseYm"?: string;
    "lastPurchaseDaysAgo"?: number;
    "userLastNotified"?: Date;
    "userLastNotifiedDaysAgo"?: number;
}
export interface AccessLogModel {
    "acType"?: string;
    "acUrl"?: string;
    "acIpv6"?: string;
    "acOffersef"?: string;
    "acQsEmail"?: string;
    "acQsFname"?: string;
    "acQsLname"?: string;
    "acReferrer"?: string;
    "acSessionid"?: string;
}
export interface AdminOfferOverviewItem {
    "status"?: string;
    "dueDate"?: Date;
}
export interface AdminOfferOverviewModel {
    "offerStartDate"?: Date;
    "items"?: {
        [key: string]: AdminOfferOverviewItem;
    };
}
export interface AdminReferralModel {
    "userEmail"?: string;
    "referredUserEmail"?: string;
}
export interface AdminSkuDelivery {
    "items"?: string;
    "arrivalId"?: string;
    "offerId"?: string;
    "eta"?: Date;
    "invoiceLink"?: string;
    "comments"?: string;
    "deliveryCost"?: number;
    "isReceived"?: boolean;
    "receivedDate"?: Date;
    "enteredDate"?: Date;
}
export interface Animation {
    "fileId": string;
    "thumb"?: PhotoSize;
    "fileName"?: string;
    "mimeType"?: string;
    "fileSize"?: number;
}
export interface ApiBillingModelWithAuthnet {
    "userGuid"?: string;
    "authNetUserProfileId"?: string;
    "authNetUserId"?: string;
    "authNetPaymentProfileId"?: string;
    "authNetShippingProfileId"?: string;
    "isDeleted"?: boolean;
    "isTest"?: boolean;
    "creationIp"?: string;
    "zipCode"?: string;
    "paymentMethodId"?: string;
    "billingAddressId"?: string;
    "cvv": string;
    "firstName": string;
    "lastName": string;
    "dateAdded"?: Date;
    "expiryYear"?: number;
    "expiryMonth"?: number;
    "cardNumber"?: string;
    "id"?: string;
    "isDefault"?: boolean;
    "cardType"?: string;
}
export interface ApiBillingModelWithCardNumber {
    "billingAddressId"?: string;
    "cvv": string;
    "firstName": string;
    "lastName": string;
    "dateAdded"?: Date;
    "expiryYear"?: number;
    "expiryMonth"?: number;
    "cardNumber"?: string;
    "id"?: string;
    "isDefault"?: boolean;
    "cardType"?: string;
}
export interface ApiResultAbandonedUserModel {
    "value"?: AbandonedUserModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultApiBillingModelWithAuthnet {
    "value"?: ApiBillingModelWithAuthnet;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultAttributedItemList {
    "value"?: AttributedItemList;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultAutoSubscribeWithUserModel {
    "value"?: AutoSubscribeWithUserModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultBoolean {
    "value"?: boolean;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultBottleRedeem {
    "value"?: BottleRedeem;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultCheckoutPromoCodeModel {
    "value"?: CheckoutPromoCodeModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultCloudCart {
    "value"?: CloudCart;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultCloudCheckoutModel {
    "value"?: CloudCheckoutModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultCreditOrderResult {
    "value"?: CreditOrderResult;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultDateTime {
    "value"?: Date;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultDecimal {
    "value"?: number;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultGeniusExcl {
    "value"?: GeniusExcl;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultIEnumerableGuid {
    "value"?: Array<string>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultIEnumerableShippingModel {
    "value"?: Array<ShippingModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultInt32 {
    "value"?: number;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultInviteByEmailModel {
    "value"?: InviteByEmailModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultItemDetailEntity {
    "value"?: ItemDetailEntity;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListAbandonedUserModel {
    "value"?: Array<AbandonedUserModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListApiBillingModelWithCardNumber {
    "value"?: Array<ApiBillingModelWithCardNumber>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListAutoSubscribeWithUserModel {
    "value"?: Array<AutoSubscribeWithUserModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListChargebackSearchResult {
    "value"?: Array<ChargebackSearchResult>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListCheckoutPromoCodeModel {
    "value"?: Array<CheckoutPromoCodeModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListCloudCheckoutItem {
    "value"?: Array<CloudCheckoutItem>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListCommentJsonObject {
    "value"?: Array<CommentJsonObject>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListFeatureRestriction {
    "value"?: Array<FeatureRestriction>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListGeniusGuess {
    "value"?: Array<GeniusGuess>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListGuid {
    "value"?: Array<string>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListInviteByEmailModel {
    "value"?: Array<InviteByEmailModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListItemDetailEntity {
    "value"?: Array<ItemDetailEntity>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListKpiItem {
    "value"?: Array<KpiItem>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListLinkInvoiceItem {
    "value"?: Array<LinkInvoiceItem>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListLinkTransferItem {
    "value"?: Array<LinkTransferItem>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListMarketingExpiringCredits {
    "value"?: Array<MarketingExpiringCredits>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListMisallocation {
    "value"?: Array<Misallocation>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListNhAddressModel {
    "value"?: Array<NhAddressModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListNhCreditModel {
    "value"?: Array<NhCreditModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListNhInvoice {
    "value"?: Array<NhInvoice>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListNhItemGroupViewEntity {
    "value"?: Array<NhItemGroupViewEntity>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListNhOrderModel {
    "value"?: Array<NhOrderModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListNhTransfer {
    "value"?: Array<NhTransfer>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListNhUserModel {
    "value"?: Array<NhUserModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListNhUserOrderCohort {
    "value"?: Array<NhUserOrderCohort>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListOfferV2AdminManifest {
    "value"?: Array<OfferV2AdminManifest>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListOfferV2Entity {
    "value"?: Array<OfferV2Entity>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListOrderGeniusState {
    "value"?: Array<OrderGeniusState>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListPage {
    "value"?: Array<Page>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListParsedShipmentEmail {
    "value"?: Array<ParsedShipmentEmail>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListPaymentWithAddressModel {
    "value"?: Array<PaymentWithAddressModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListPgCloudCellarRecord {
    "value"?: Array<PgCloudCellarRecord>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListPurchaseOrderModel {
    "value"?: Array<PurchaseOrderModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListShippingModel {
    "value"?: Array<ShippingModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListSkuBackup {
    "value"?: Array<SkuBackup>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListSkuEntity {
    "value"?: Array<SkuEntity>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListSkuSale {
    "value"?: Array<SkuSale>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListString {
    "value"?: Array<string>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListTaxReportRecord {
    "value"?: Array<TaxReportRecord>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListTransactionalEmailModel {
    "value"?: Array<TransactionalEmailModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListUserCreditViewModel {
    "value"?: Array<UserCreditViewModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListUserModelExtended {
    "value"?: Array<UserModelExtended>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListUserReferralModel {
    "value"?: Array<UserReferralModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListWineGeniusMessage {
    "value"?: Array<WineGeniusMessage>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListWineGeniusVacation {
    "value"?: Array<WineGeniusVacation>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultListWineryModel {
    "value"?: Array<WineryModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultManifestList {
    "value"?: Array<OfferV2ManifestEntity>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhAddressModel {
    "value"?: NhAddressModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhCreditModel {
    "value"?: NhCreditModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhInvoice {
    "value"?: NhInvoice;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhInvoiceItem {
    "value"?: NhInvoiceItem;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhItemGroupEntity {
    "value"?: NhItemGroupEntity;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhOrderModel {
    "value"?: NhOrderModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhPromoCodeModel {
    "value"?: NhPromoCodeModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhTransfer {
    "value"?: NhTransfer;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhTransferItem {
    "value"?: NhTransferItem;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhUserEmailPreference {
    "value"?: NhUserEmailPreference;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultNhUserModel {
    "value"?: NhUserModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultOfferCheckoutModel {
    "value"?: OfferCheckoutModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultOfferV2Entity {
    "value"?: OfferV2Entity;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultOrderListModel {
    "value"?: OrderListModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultOrderViewModel {
    "value"?: OrderViewModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultPage {
    "value"?: Page;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultPasswordChangeModel {
    "value"?: PasswordChangeModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultPaymentWithAddressModel {
    "value"?: PaymentWithAddressModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultPromoResult {
    "value"?: PromoResult;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultPurchaseOrderModel {
    "value"?: PurchaseOrderModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultSendEmailModel {
    "value"?: SendEmailModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultShippingModel {
    "value"?: ShippingModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultSkuBackup {
    "value"?: SkuBackup;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultSkuEntity {
    "value"?: SkuEntity;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultSkuHistory {
    "value"?: SkuHistory;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultSkuSwapModel {
    "value"?: SkuSwapModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultString {
    "value"?: string;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultSupportRequest {
    "value"?: SupportRequest;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultSupportTicket {
    "value"?: SupportTicket;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultTimeSeriesCohortSummary {
    "value"?: TimeSeriesCohortSummary;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultTransactionalEmailModel {
    "value"?: TransactionalEmailModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultUserAuthResultModel {
    "value"?: UserAuthResultModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultUserModelExtended {
    "value"?: UserModelExtended;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultWineGeniusData {
    "value"?: WineGeniusData;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultWineGeniusMessage {
    "value"?: WineGeniusMessage;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultWineGeniusVacation {
    "value"?: WineGeniusVacation;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface ApiResultWineryModel {
    "value"?: WineryModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}
export interface AttributedItemList {
    "bottleCount"?: number;
    "addOnCount"?: number;
    "itemCount"?: number;
    "items"?: Array<CloudRecordGroup>;
    "varietals"?: Array<CloudGroup>;
    "regions"?: Array<CloudGroup>;
    "countries"?: Array<CloudGroup>;
    "subregions"?: Array<CloudGroup>;
    "appellations"?: Array<CloudGroup>;
    "types"?: Array<CloudGroup>;
    "producers"?: Array<CloudGroup>;
    "shipStatus"?: Array<CloudGroup>;
    "prices"?: Array<CloudGroup>;
}
export interface Audio {
    "duration": number;
    "performer"?: string;
    "title"?: string;
    "mimeType"?: string;
    "fileId": string;
    "fileSize"?: number;
}
export interface AutoSubscribeWithUserModel {
    "firstName"?: string;
    "lastName"?: string;
    "email"?: string;
    "totalQty"?: number;
    "lifeSpend"?: number;
    "lastPurchaseDate"?: Date;
    "subscriptionId"?: string;
    "userGuid": string;
    "dateCreated": Date;
    "dateCanceled": Date;
    "lastRenew": Date;
    "nextRenew": Date;
    "intervalDay": number;
    "intervalMth": number;
    "renewAmtMaxDollars": number;
    "renewAmtMaxQty": number;
    "subscriptionBucket": string;
    "subscriptionPaymentId": string;
}
export interface BasicUserInfo {
    "id"?: string;
    "firstName"?: string;
    "lastName"?: string;
    "eMail"?: string;
}
export interface BottleRedeem {
    "toRedeem"?: Array<CloudRecordGroup>;
    "creditsIssued"?: Array<NhCreditModel>;
}
export interface CallbackQuery {
    "id": string;
    "from": User;
    "message"?: Message;
    "inlineMessageId"?: string;
    "chatInstance": string;
    "data"?: string;
    "gameShortName"?: string;
}
export interface CampaignApiModel {
    "title"?: string;
    "landingHtml"?: string;
    "shareTitle"?: string;
    "shareDescription"?: string;
    "endDate"?: Date;
    "prize"?: Array<PrizeModel>;
    "additionalDetails"?: string;
    "type"?: CampaignApiModelTypeEnum;
    "landingPages"?: Array<any>;
    "userEntries"?: number;
    "invitedByUser"?: number;
    "totalEntries"?: number;
    "userInCampaign"?: boolean;
    "isActive"?: boolean;
}
export declare type CampaignApiModelTypeEnum = "hTML" | "cONTEST";
export interface CampaignEntryModel {
    "userId"?: number;
    "campaignId"?: number;
    "invitedByUserId"?: number;
}
export interface ChangeEmailModel {
    "userGuid"?: string;
    "oldUserEmail"?: string;
    "newUserEmail"?: string;
}
export interface ChargebackSearchResult {
    "timestamp"?: Date;
    "cardNo"?: string;
    "cardType"?: string;
    "firstName"?: string;
    "lastName"?: string;
    "totalPrice"?: number;
    "orderUserNth"?: number;
    "email"?: string;
    "userGuid"?: string;
    "orderGuid"?: string;
    "orderStatus"?: string;
    "paymentStatus"?: string;
    "isShipment"?: boolean;
}
export interface Chat {
    "id": number;
    "type": ChatTypeEnum;
    "title"?: string;
    "username"?: string;
    "firstName"?: string;
    "lastName"?: string;
    "allMembersAreAdministrators"?: boolean;
    "photo"?: ChatPhoto;
    "description"?: string;
    "inviteLink"?: string;
    "pinnedMessage"?: Message;
    "stickerSetName"?: string;
    "canSetStickerSet"?: boolean;
}
export declare type ChatTypeEnum = "private" | "group" | "channel" | "supergroup";
export interface ChatPhoto {
    "bigFileId": string;
    "smallFileId": string;
}
export interface CheckoutPromoCodeModel {
    "code"?: string;
    "error"?: CheckoutPromoCodeModelErrorEnum;
    "discountApplied"?: number;
    "minSubtotal"?: number;
    "minBottleQty"?: number;
}
export declare type CheckoutPromoCodeModelErrorEnum = "usageLimitExceeded" | "missingPromoTypeId" | "validFirstOrderOnly" | "expired" | "invalid" | "oK" | "orderMinNotSatisfied" | "promoNotAllowed" | "btlCountMinNotMet";
export interface ChosenInlineResult {
    "resultId": string;
    "from": User;
    "location"?: Location;
    "inlineMessageId"?: string;
    "query": string;
}
export interface CloudCart {
    "regularItems"?: Array<CloudCheckoutItem>;
    "oversizeItems"?: Array<CloudCheckoutItem>;
    "otherItems"?: Array<CloudCheckoutItem>;
}
export interface CloudCellarV2 {
    "firstName"?: string;
    "biography"?: string;
    "url"?: string;
    "userName"?: string;
    "lifetimeValueSpent"?: number;
    "lifetimeUpgradeReceived"?: number;
    "shippingSavings"?: number;
    "shipments"?: any;
    "allItems"?: AttributedItemList;
    "userImg"?: string;
    "signupDate"?: Date;
}
export interface CloudCheckoutItem {
    "sku"?: string;
    "isQuick"?: boolean;
    "qty"?: number;
    "isShipAlone"?: boolean;
    "cloudItemDetail"?: PgCloudCellarRecord;
    "slotType"?: string;
    "partitionKey"?: string;
    "rowKey"?: string;
    "timestamp"?: Date;
    "eTag"?: string;
}
export interface CloudCheckoutModel {
    "shippingMethod"?: CloudCheckoutModelShippingMethodEnum;
    "icePack"?: boolean;
    "giftMessage"?: string;
    "bottles"?: Array<CloudCheckoutItem>;
    "additionalItems"?: Array<CloudCheckoutItem>;
    "qty"?: number;
    "replaceShipment"?: string;
    "userGuid": string;
    "creditCardId": string;
    "shippingAddressId": string;
    "promoCode": Array<CheckoutPromoCodeModel>;
    "appId"?: string;
    "useAccountCredit"?: boolean;
    "result"?: ShipOrderResult;
    "noAuthAddress"?: NhAddressModel;
    "validationWarnings"?: Array<ValidationResult>;
    "validationErrors"?: Array<ValidationResult>;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmDevice"?: string;
    "sessionUtmPlacement"?: string;
    "mailChimpEId"?: string;
    "mailChimpCId"?: string;
}
export declare type CloudCheckoutModelShippingMethodEnum = "0" | "1" | "2" | "3" | "4";
export interface CloudGroup {
    "item1"?: string;
    "item2"?: number;
}
export interface CloudRecordGroup {
    "item"?: PgCloudCellarRecord;
    "paid"?: Array<number>;
    "wdQty"?: number;
    "qtyShipped"?: number;
    "qtyEnRoute"?: number;
    "qtyOffsite"?: number;
    "qtyManual"?: number;
    "qtyInCart"?: number;
    "qtySuspended"?: number;
    "qty"?: number;
    "isVip"?: boolean;
}
export interface CommentJsonObject {
    "commentId"?: string;
    "commentTime"?: Date;
    "commentText"?: string;
    "sendEmail"?: boolean;
}
export interface Contact {
    "phoneNumber": string;
    "firstName": string;
    "lastName"?: string;
    "userId"?: number;
}
export interface CreditCheckoutModel {
    "qty"?: number;
    "amt"?: number;
    "friendEmail"?: string;
    "userGuid": string;
    "creditCardId": string;
    "shippingAddressId": string;
    "promoCode": Array<CheckoutPromoCodeModel>;
    "appId"?: string;
    "useAccountCredit"?: boolean;
    "result"?: CreditOrderResult;
    "noAuthAddress"?: NhAddressModel;
    "validationWarnings"?: Array<ValidationResult>;
    "validationErrors"?: Array<ValidationResult>;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmDevice"?: string;
    "sessionUtmPlacement"?: string;
    "mailChimpEId"?: string;
    "mailChimpCId"?: string;
}
export interface CreditOrderResult {
    "promoCodeCreated"?: string;
    "promotionsUsed"?: Array<CheckoutPromoCodeModel>;
    "promoValue"?: number;
    "accountBalanceUsed"?: number;
    "accountBalanceAvailable"?: number;
    "taxComputed"?: TaxInfo;
    "totalPrice"?: number;
    "subtotal"?: number;
}
export interface DecoderFallback {
    "maxCharCount"?: number;
}
export interface Document {
    "thumb"?: PhotoSize;
    "fileName"?: string;
    "mimeType"?: string;
    "fileId": string;
    "fileSize"?: number;
}
export interface EncoderFallback {
    "maxCharCount"?: number;
}
export interface Encoding {
    "bodyName"?: string;
    "encodingName"?: string;
    "headerName"?: string;
    "webName"?: string;
    "windowsCodePage"?: number;
    "isBrowserDisplay"?: boolean;
    "isBrowserSave"?: boolean;
    "isMailNewsDisplay"?: boolean;
    "isMailNewsSave"?: boolean;
    "isSingleByte"?: boolean;
    "encoderFallback"?: EncoderFallback;
    "decoderFallback"?: DecoderFallback;
    "isReadOnly"?: boolean;
    "codePage"?: number;
}
export interface FeatureRestriction {
    "featureGuid"?: string;
    "featureName"?: string;
    "restrictUtm"?: string;
    "requireTest"?: number;
    "releaseDate"?: Date;
    "endDate"?: Date;
    "allowedUserEmails"?: string;
    "deniedUserEmails"?: string;
    "isAllowed"?: boolean;
    "isPublic"?: boolean;
    "partitionKey"?: string;
    "rowKey"?: string;
    "timestamp"?: Date;
    "eTag"?: string;
}
export interface FilterBoolean {
    "filterActive"?: boolean;
    "filterValue"?: boolean;
}
export interface FilterDate {
    "filterActive"?: boolean;
    "filterValue"?: string;
}
export interface FilterDecimal {
    "filterActive"?: boolean;
    "filterValue"?: number;
}
export interface FilterGuid {
    "filterActive"?: boolean;
    "filterValue"?: string;
}
export interface FilterInt32 {
    "filterActive"?: boolean;
    "filterValue"?: number;
}
export interface FilterString {
    "filterActive"?: boolean;
    "filterValue"?: string;
}
export interface Game {
    "title": string;
    "description": string;
    "photo": Array<PhotoSize>;
    "text"?: string;
    "textEntities"?: Array<MessageEntity>;
    "animation"?: Animation;
}
export interface GeniusExcl {
    "include"?: Array<WineGeniusExclusionItem>;
    "exclude"?: Array<WineGeniusExclusionItem>;
}
export interface GeniusGuess {
    "userGuid"?: string;
    "email"?: string;
    "qty"?: number;
    "match"?: string;
    "lifeOrderValue"?: number;
    "lifeQty"?: number;
    "userLastPurchaseDate"?: Date;
}
export interface GroupItemEntity {
    "groupItemId"?: string;
    "referenceIdentity"?: string;
    "groupName"?: string;
    "groupType"?: GroupItemEntityGroupTypeEnum;
    "dateAdded"?: Date;
}
export declare type GroupItemEntityGroupTypeEnum = "promoGroup" | "emailGroup" | "utmGroup";
export interface IBulkItemDetail {
    "region"?: string;
    "appel"?: string;
    "varietal"?: string;
    "vintage"?: number;
    "brand"?: string;
    "countryCode"?: string;
    "fancifulName"?: string;
}
export interface IContentNegotiator {
}
export interface IRequiredMemberSelector {
}
export interface InlineQuery {
    "id": string;
    "from": User;
    "query": string;
    "location"?: Location;
    "offset": string;
}
export interface InviteByEmailModel {
    "userUrlProfile"?: string;
    "newUserEmail"?: string;
    "newUserName"?: string;
}
export interface Invoice {
    "title": string;
    "description": string;
    "startParameter": string;
    "currency": string;
    "totalAmount": number;
}
export interface ItemDetailBulkUpdate {
    "detailIds"?: Array<string>;
    "bulkDetails"?: IBulkItemDetail;
}
export interface ItemDetailEntity {
    "itemDetailGuid"?: string;
    "fancifulName"?: string;
    "region"?: string;
    "appel"?: string;
    "subAppel"?: string;
    "varietal"?: string;
    "vintage"?: number;
    "abv"?: number;
    "ml"?: number;
    "wineTastingNotes"?: string;
    "winemakerNotes"?: string;
    "retailPrice"?: number;
    "wineryGuid"?: string;
    "urlKey"?: string;
    "brand"?: string;
    "countryCode"?: string;
    "upc"?: string;
    "isWine"?: boolean;
    "isBeer"?: boolean;
    "isLiquor"?: boolean;
    "isSparkling"?: boolean;
    "isSmallProduction"?: boolean;
    "isCult"?: boolean;
    "ctWineId"?: number;
    "ctProducerId"?: number;
    "ctLikes"?: number;
    "ctTastingNotes"?: number;
    "ctReview"?: number;
    "ctCommunityScore"?: number;
    "ctQty"?: number;
    "wineVineyard"?: string;
    "wineDrinkStart"?: number;
    "wineDrinkEnd"?: number;
    "redirectTo"?: string;
    "priceBucket"?: string;
    "shipWeight"?: number;
    "category"?: string;
    "createdOn"?: Date;
    "createdBy"?: string;
    "opName"?: string;
    "displayDesc"?: string;
    "bottleImgCsv"?: string;
    "labelImgCsv"?: string;
    "displayName"?: string;
    "bottleImg"?: Array<string>;
    "labelImg"?: Array<string>;
}
export interface KpiItem {
    "timestamp"?: Date;
    "newUsers"?: number;
    "totalUsers"?: number;
    "newCustomers"?: number;
    "totalCustomers"?: number;
    "newOrders"?: number;
    "totalOrders"?: number;
    "newBottles"?: number;
    "totalBottles"?: number;
    "newSalesRevenue"?: number;
    "totalSalesRevenue"?: number;
    "directShippingRevenue"?: number;
    "cloudShippingRevenue"?: number;
    "totalShippingRevenue"?: number;
    "orderTaxRevenue"?: number;
    "creditsUsed"?: number;
    "promoCodeValueUsed"?: number;
}
export interface LinkInvoiceItem {
    "invItem"?: NhInvoiceItem;
    "onInvoice"?: string;
    "onInvoiceMemo"?: string;
    "onTransfer"?: string;
    "canLinkTransfer"?: Array<NhTransferItem>;
}
export interface LinkTransferItem {
    "xferItem"?: NhTransferItem;
    "onTransfer"?: string;
    "onInvoice"?: string;
    "canLinkInvoice"?: Array<NhInvoiceItem>;
    "canLinkHistory"?: Array<SkuHistory>;
}
export interface LiveFeedItem {
    "quantity"?: number;
    "name"?: string;
    "url"?: string;
    "imageUrl"?: string;
}
export interface Location {
    "longitude": number;
    "latitude": number;
}
export interface ManifestAllocation {
    "id"?: string;
    "createdAt"?: Date;
    "manifestId"?: string;
    "category"?: string;
    "type"?: string;
    "amount"?: number;
}
export interface ManifestFilter {
    "skip"?: number;
    "take"?: number;
    "search"?: string;
    "orderGuid"?: FilterGuid;
    "userGuid"?: FilterGuid;
    "shippingCaseGuid"?: FilterGuid;
    "isCloudCellar"?: FilterBoolean;
    "isEnRoute"?: FilterBoolean;
    "isOffsite"?: FilterBoolean;
    "isShipped"?: FilterBoolean;
    "isSuspended"?: FilterBoolean;
}
export interface ManifestSwapAction {
    "action"?: string;
    "msOfferSef"?: string;
    "msOfferGuid"?: string;
    "email"?: string;
    "manifestId"?: string;
    "sku"?: string;
    "retailPrice"?: number;
    "cashCollected"?: number;
    "taxableValue"?: number;
    "estimatedTaxAllocated"?: number;
    "shippingCaseGuid"?: string;
    "isCanceled"?: boolean;
    "itemGroupId"?: string;
    "pickIndex"?: number;
    "replacementForManifestGuid"?: string;
    "campaignId"?: number;
    "creditedForGuid"?: string;
    "unitDiscount"?: number;
    "suspendDate"?: Date;
    "addDate"?: Date;
    "mfOfferV2Id"?: string;
    "orderGuid"?: string;
    "fulfilledSku"?: string;
    "wasQuickShip"?: boolean;
    "adminComment"?: string;
    "reserveInventory"?: boolean;
    "swapReason"?: string;
    "bottleOwner"?: ManifestSwapActionBottleOwnerEnum;
    "isSuspended"?: boolean;
    "friendlyName"?: string;
    "allocations"?: Array<ManifestAllocation>;
}
export declare type ManifestSwapActionBottleOwnerEnum = "phoeno" | "uc";
export interface MarketingCreditExpiry {
    "creditAmt"?: number;
    "expiry"?: Date;
}
export interface MarketingExpiringCredits {
    "email"?: string;
    "firstName"?: string;
    "lastName"?: string;
    "userCredits"?: Array<MarketingCreditExpiry>;
}
export interface MaskPosition {
    "point": MaskPositionPointEnum;
    "xShift": number;
    "yShift": number;
    "scale": number;
}
export declare type MaskPositionPointEnum = "forehead" | "eyes" | "mouth" | "chin";
export interface MediaTypeFormatter {
    "supportedMediaTypes"?: Array<MediaTypeHeaderValue>;
    "supportedEncodings"?: Array<Encoding>;
    "mediaTypeMappings"?: Array<MediaTypeMapping>;
    "requiredMemberSelector"?: IRequiredMemberSelector;
}
export interface MediaTypeHeaderValue {
    "charSet"?: string;
    "parameters"?: Array<NameValueHeaderValue>;
    "mediaType"?: string;
}
export interface MediaTypeMapping {
    "mediaType"?: MediaTypeHeaderValue;
}
export interface Message {
    "messageId": number;
    "from"?: User;
    "date": Date;
    "chat": Chat;
    "forwardFrom"?: User;
    "forwardFromChat"?: Chat;
    "forwardFromMessageId"?: number;
    "forwardSignature"?: string;
    "forwardDate"?: Date;
    "replyToMessage"?: Message;
    "editDate"?: Date;
    "mediaGroupId"?: string;
    "authorSignature"?: string;
    "text"?: string;
    "entities"?: Array<MessageEntity>;
    "captionEntities"?: Array<MessageEntity>;
    "audio"?: Audio;
    "document"?: Document;
    "game"?: Game;
    "photo"?: Array<PhotoSize>;
    "sticker"?: Sticker;
    "video"?: Video;
    "voice"?: Voice;
    "videoNote"?: VideoNote;
    "caption"?: string;
    "contact"?: Contact;
    "location"?: Location;
    "venue"?: Venue;
    "newChatMembers"?: Array<User>;
    "leftChatMember"?: User;
    "newChatTitle"?: string;
    "newChatPhoto"?: Array<PhotoSize>;
    "deleteChatPhoto"?: boolean;
    "groupChatCreated"?: boolean;
    "supergroupChatCreated"?: boolean;
    "channelChatCreated"?: boolean;
    "migrateToChatId"?: number;
    "migrateFromChatId"?: number;
    "pinnedMessage"?: Message;
    "invoice"?: Invoice;
    "successfulPayment"?: SuccessfulPayment;
    "connectedWebsite"?: string;
}
export interface MessageEntity {
    "type": MessageEntityTypeEnum;
    "offset": number;
    "length": number;
    "url"?: string;
    "user"?: User;
}
export declare type MessageEntityTypeEnum = "mention" | "hashtag" | "bot_command" | "url" | "email" | "bold" | "italic" | "code" | "pre" | "text_link" | "text_mention";
export interface Misallocation {
    "orderId"?: string;
    "offerId"?: string;
    "userEmail"?: string;
    "qtyExpected"?: number;
    "qtyAllocated"?: number;
    "paymentStatus"?: string;
    "buyPrice"?: number;
    "replacementCredit"?: number;
    "bottleCacheJson"?: string;
    "canFix"?: boolean;
    "error"?: string;
    "replacements"?: Array<NhItemGroupViewEntity>;
}
export interface NameValueHeaderValue {
    "name"?: string;
    "value"?: string;
}
export interface NewUserCheckoutModel {
    "newUserCheckout"?: OfferCheckoutModel;
    "newUser"?: NhUserModel;
    "newPayment"?: PaymentWithAddressModel;
}
export interface NhAddressModel {
    "id"?: string;
    "firstName"?: string;
    "lastName"?: string;
    "companyName"?: string;
    "address1"?: string;
    "address2"?: string;
    "address3"?: string;
    "city"?: string;
    "isDefault"?: boolean;
    "cplId"?: string;
    "isDeleted"?: boolean;
    "avsResult"?: string;
    "avsResultCode"?: string;
    "state"?: string;
    "carrierPreference"?: string;
    "zip"?: string;
    "phone"?: string;
    "dateAdded"?: Date;
}
export interface NhAdjViewRecord {
    "adjMfId"?: string;
    "adjOrder"?: string;
    "adjMfIdShipped"?: string;
    "adjMfIdAdded"?: string;
    "adjMfIdRemoved"?: string;
    "adjSku"?: string;
    "adjMfIdReplaced"?: string;
    "adjCreditIssuedId"?: string;
    "adjCreditIssuedAmt"?: number;
    "adjUser"?: string;
    "adjTaxAlloc"?: number;
    "adjTaxValue"?: number;
}
export interface NhAdjustment {
    "userId"?: string;
    "adjustmentId"?: string;
    "items"?: Array<NhAdjustmentItem>;
    "adjutmentCreateTime"?: Date;
    "adjustmentExecTime"?: Date;
}
export interface NhAdjustmentItem {
    "adjustmentItemId"?: string;
    "add"?: boolean;
    "sku"?: string;
    "manifestUpdated"?: OfferV2ManifestEntity;
    "manifestCreated"?: OfferV2ManifestEntity;
    "legacyManifestUpdated"?: string;
    "legacyManifestCreated"?: string;
    "parentAdjustmentId"?: string;
}
export interface NhCohort {
    "cohortPeriod"?: string;
    "cohortSize"?: number;
    "totalQty"?: number;
    "totalOrders"?: number;
    "totalRev"?: number;
    "totalCogs"?: number;
    "totalDiscount"?: number;
    "totalCreditRdmp"?: number;
    "totalTax"?: number;
    "totalNetRev"?: number;
}
export interface NhCreditModel {
    "creditId"?: string;
    "comment"?: string;
    "creditAmt"?: number;
    "creditForReferredUser"?: string;
    "date"?: Date;
    "dateUsed"?: Date;
    "expiry"?: Date;
    "originalAmt"?: number;
    "isSuspended"?: boolean;
    "warningSent"?: Date;
    "creditForManifest"?: string;
    "creditForGiftCard"?: string;
    "splitFrom"?: string;
    "usedWithOrder"?: string;
    "refundForOrder"?: string;
    "usedWithShipment"?: string;
    "taxRefundState"?: string;
    "canUseUpgrade"?: boolean;
    "canUseShipment"?: boolean;
    "canUseSingle"?: boolean;
    "creditReason"?: string;
    "ownerUser"?: string;
}
export interface NhInvoice {
    "invGuid"?: string;
    "invCreated"?: Date;
    "invDue"?: Date;
    "invWineryGuid"?: string;
    "invSupplierName"?: string;
    "invOfferGuid"?: string;
    "invMemo"?: string;
    "invItems"?: Array<NhInvoiceItem>;
    "invItemCount"?: number;
    "invItemQty"?: number;
    "invXferQty"?: number;
    "invRecvQty"?: number;
    "invExt"?: number;
    "recvExt"?: number;
    "xferExt"?: number;
    "countLinkableSkuHistory"?: number;
    "minMargin"?: number;
    "maxMargin"?: number;
}
export interface NhInvoiceItem {
    "liGuid"?: string;
    "liSortOrder"?: number;
    "liDescription"?: string;
    "liSkuLink"?: string;
    "liQty"?: number;
    "liUnitPrice"?: number;
    "liExt"?: number;
    "liMargin"?: number;
    "liLinkXferQty"?: number;
    "liTransferItems"?: Array<NhTransferItem>;
}
export interface NhItemGroupEntity {
    "parentOffer"?: OfferV2Entity;
    "itemList"?: Array<OfferV2ItemEntity>;
    "qtyInsideGroup"?: number;
    "isValid"?: boolean;
    "retailPrice"?: number;
    "estChance"?: number;
    "itemGroupGuid"?: string;
    "pickQty"?: number;
    "pickRoundRobin"?: boolean;
    "qtyOfGroup"?: number;
    "urlKey"?: string;
    "isUpgrade"?: boolean;
    "flag"?: boolean;
    "type"?: string;
    "availableUntil"?: Date;
    "orderMinimumQty"?: number;
    "onTop"?: boolean;
    "displayDesc"?: string;
    "bottleImgCsv"?: string;
    "labelImgCsv"?: string;
    "displayName"?: string;
    "bottleImg"?: Array<string>;
    "labelImg"?: Array<string>;
}
export interface NhItemGroupViewEntity {
    "itemDetailGuid"?: string;
    "sku"?: string;
    "isSuspended"?: boolean;
    "lastStockQty"?: number;
    "type"?: string;
    "availableUntil"?: Date;
    "orderMinimumQty"?: number;
    "onTop"?: boolean;
    "estChance"?: number;
    "retailPrice"?: number;
    "itemGroupGuid"?: string;
    "pickQty"?: number;
    "pickRoundRobin"?: boolean;
    "qtyOfGroup"?: number;
    "urlKey"?: string;
    "isUpgrade"?: boolean;
    "flag"?: boolean;
    "displayDesc"?: string;
    "bottleImgCsv"?: string;
    "labelImgCsv"?: string;
    "displayName"?: string;
    "bottleImg"?: Array<string>;
    "labelImg"?: Array<string>;
}
export interface NhOrderModel {
    "refundTransactionId"?: string;
    "isPromoEligible"?: boolean;
    "revealDate"?: Date;
    "isRevealed"?: boolean;
    "isTest"?: boolean;
    "nhUserGuid"?: string;
    "xUserEmail"?: string;
    "orderRejectDate"?: Date;
    "orderRecur"?: number;
    "cohortUserFirstPurchase"?: Date;
    "cohortUserMonth"?: number;
    "monthSinceFirstPurchase"?: number;
    "previousOrder"?: string;
    "paymentIntentId"?: string;
    "orderType"?: string;
    "orderBillingGuid"?: string;
    "billing"?: ApiBillingModelWithAuthnet;
    "skuList"?: string;
    "bottleList"?: string;
    "paymentAuthCode"?: string;
    "paymentAuthDate"?: Date;
    "transactionId"?: string;
    "promoCode"?: string;
    "allItems"?: AttributedItemList;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "orderGuid"?: string;
    "totalQuantity"?: number;
    "totalPrice"?: number;
    "discount"?: number;
    "creditDiscount"?: number;
    "tax"?: number;
    "timestamp"?: Date;
    "orderStatus"?: string;
    "paymentStatus"?: string;
    "offerId"?: string;
    "userNthOrder"?: number;
    "unitPrice"?: number;
    "mailChimpEId"?: string;
    "mailChimpCId"?: string;
    "orderSubscriptionId"?: string;
    "netsuiteSyncedAt"?: Date;
}
export interface NhPromoCodeModel {
    "onlyAllowUserGuid"?: Array<PromoAllowed>;
    "isPercent"?: boolean;
    "minBottlesQty"?: number;
    "minSubtotal"?: number;
    "promoEnabled"?: boolean;
    "redemptionsAllowedPerUser"?: number;
    "promoGroupName"?: string;
    "firstOrderOnly"?: boolean;
    "leftOverCredit"?: boolean;
    "redemptionsAllowedOverall"?: number;
    "createdFromManifest"?: string;
    "issuedToUser"?: string;
    "isRefundable"?: boolean;
    "restrictOffer"?: string;
    "applyRulesToGroup"?: boolean;
    "allowOnShipping"?: boolean;
    "promoType"?: string;
    "promoCode"?: string;
    "promoAmount"?: number;
    "date"?: Date;
    "startDate"?: Date;
    "expiry"?: Date;
    "amtPaid"?: number;
    "isExpired"?: boolean;
}
export interface NhReferModel {
    "referEntityGuidDoNotUse"?: string;
    "referUserGuid"?: string;
    "date"?: Date;
    "referNewEmail"?: string;
    "referNewFirstName"?: string;
    "referNewLastName"?: string;
    "referNewUserGuid"?: string;
    "referNewOrderGuid"?: string;
    "referCreditGuid"?: string;
}
export interface NhSkuDelivery {
    "items"?: Array<NhSkuDeliveryItem>;
    "arrivalId"?: string;
    "offerId"?: string;
    "eta"?: Date;
    "invoiceLink"?: string;
    "comments"?: string;
    "deliveryCost"?: number;
    "isReceived"?: boolean;
    "receivedDate"?: Date;
    "enteredDate"?: Date;
}
export interface NhSkuDeliveryItem {
    "arrivalItemId"?: string;
    "arrivalItemSku"?: string;
    "unitCost"?: number;
    "arrivalQtyExpected"?: number;
    "arrivalQtyActual"?: number;
}
export interface NhTransfer {
    "xferGuid"?: string;
    "xferLabel"?: string;
    "xferSourceFacility"?: string;
    "xferDestinationFacility"?: string;
    "xferCreated"?: Date;
    "xferDue"?: Date;
    "xferCompleted"?: Date;
    "xferItems"?: Array<NhTransferItem>;
    "isComplete"?: boolean;
}
export interface NhTransferItem {
    "xiGuid"?: string;
    "xiSku"?: string;
    "xiLabel"?: string;
    "xiQtyOrdered"?: number;
    "xiQtyReceived"?: number;
    "xiQtyRemoved"?: number;
    "xiDue"?: Date;
    "xiComment"?: string;
    "xiLinkedSkuHistory"?: Array<SkuHistory>;
    "xiUnlinkedItemsIn"?: Array<SkuHistory>;
    "xiUnlinkedItemsOut"?: Array<SkuHistory>;
    "isLinked"?: boolean;
    "xInvoiceGuid"?: string;
    "distanceFromTarget"?: number;
}
export interface NhUserEmailPreference {
    "preferenceId"?: string;
    "email"?: string;
    "sendAbandonedCheckoutEmail"?: boolean;
    "sendOrderConfirmation"?: boolean;
    "sendOrderCancellation"?: boolean;
    "sendReferralNotice"?: boolean;
    "sendCloudcellarReminder"?: boolean;
    "sendCreditReminder"?: boolean;
    "sendSystemNotice"?: boolean;
    "emailedInvited10"?: Date;
    "emailedCredits"?: Date;
    "emailedHeavyBuyer"?: Date;
    "emailedStagnant"?: Date;
    "emailedAbandonedCheckout"?: Date;
    "emailedCreditReminder"?: Date;
    "emailedCloudcellarReminder"?: Date;
    "unsubCampaignTitle"?: string;
    "unsubCampaignId"?: string;
    "unsubReason"?: string;
    "unsubTime"?: Date;
    "verifyStatus"?: string;
    "verifyDetail"?: string;
}
export interface NhUserModel {
    "cacheAchievementPoints"?: number;
    "dotmailerId"?: number;
    "normalizedEmail"?: string;
    "xOrderCount"?: number;
    "xLifeSpend"?: number;
    "xLifeCredit"?: number;
    "xLifeQty"?: number;
    "xLifeDiscount"?: number;
    "suspendedAt"?: Date;
    "isAdmin"?: boolean;
    "userName"?: string;
    "lastOrder"?: Date;
    "profileImageUrl"?: string;
    "isPrivate"?: boolean;
    "defaultAddressId"?: string;
    "defaultPaymentId"?: string;
    "defaultShip"?: number;
    "defaultIce"?: boolean;
    "signupDate"?: Date;
    "lastLoginDate"?: Date;
    "lastPurchaseDate"?: Date;
    "outreachDate"?: Date;
    "sessionId"?: string;
    "password": string;
    "passwordV2"?: string;
    "facebookAccessToken"?: string;
    "facebookUserId"?: number;
    "googleUserId"?: string;
    "referralString"?: string;
    "is21"?: boolean;
    "referralGroup"?: GroupItemEntity;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "referralCloudcellarName"?: string;
    "referralDomain"?: string;
    "userGuid"?: string;
    "email": string;
    "firstName": string;
    "lastName": string;
    "profileUrl"?: string;
    "birthday"?: Date;
    "isTestAccount"?: boolean;
}
export interface NhUserOrderCohort {
    "orderGuid"?: string;
    "userEmail"?: string;
    "orderQty"?: number;
    "unitPrice"?: number;
    "creditDiscount"?: number;
    "orderDiscount"?: number;
    "totalPrice"?: number;
    "orderUserNth"?: number;
    "orderPQ"?: number;
    "daysSinceSignup"?: number;
    "daysSinceFirstPurchase"?: number;
    "orderOfferGuid"?: string;
    "orderTax"?: number;
    "orderUtmSource"?: string;
    "orderUtmMedium"?: string;
    "orderUtmCampaign"?: string;
    "lastPurchaseDate"?: Date;
    "firstPurchaseDate"?: Date;
}
export interface NhWordGamePrize {
    "prize"?: string;
    "sku"?: string;
    "numRemaining"?: number;
    "canClaim"?: boolean;
    "hasClaimed"?: boolean;
    "scrambleGuid"?: string;
    "scrambleItemGroupGuid"?: string;
    "displayDesc"?: string;
    "bottleImgCsv"?: string;
    "labelImgCsv"?: string;
    "displayName"?: string;
    "bottleImg"?: Array<string>;
    "labelImg"?: Array<string>;
}
export interface OfferCheckoutModel {
    "repeatOrder"?: number;
    "qty"?: number;
    "isTest"?: boolean;
    "subscriptionId"?: string;
    "offerGuid"?: string;
    "offerSef"?: string;
    "bottlesQty"?: number;
    "specificItems"?: Array<string>;
    "revealDate"?: Date;
    "doubleDownTime"?: number;
    "previousOrder"?: string;
    "userGuid": string;
    "creditCardId": string;
    "shippingAddressId": string;
    "promoCode": Array<CheckoutPromoCodeModel>;
    "appId"?: string;
    "useAccountCredit"?: boolean;
    "result"?: UpgradeOrderResult;
    "noAuthAddress"?: NhAddressModel;
    "validationWarnings"?: Array<ValidationResult>;
    "validationErrors"?: Array<ValidationResult>;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmDevice"?: string;
    "sessionUtmPlacement"?: string;
    "mailChimpEId"?: string;
    "mailChimpCId"?: string;
}
export interface OfferSearch {
    "skip"?: number;
    "take"?: number;
    "search"?: string;
    "category"?: string;
    "subEnabled"?: boolean;
    "maxExpiryDate"?: string;
    "minExpiryDate"?: string;
    "minRevenue"?: number;
    "maxRevenue"?: number;
    "minPercentSold"?: number;
    "maxPercentSold"?: number;
}
export interface OfferV2AdminManifest {
    "manifestId"?: string;
    "name"?: string;
    "price"?: number;
    "sku"?: string;
    "isSuspended"?: boolean;
    "winnerGuid"?: string;
    "xWinnerEmail"?: string;
    "qtyInStock"?: number;
    "shippingCaseGuid"?: string;
    "paymentStatus"?: string;
    "orderStatus"?: string;
    "orderGuid"?: string;
    "orderDate"?: Date;
    "requestDate"?: Date;
    "cogs"?: number;
    "pricePaid"?: number;
}
export interface OfferV2Entity {
    "subtitle"?: string;
    "offerImgCsv"?: string;
    "offerImg"?: Array<string>;
    "minPrice"?: number;
    "maxPrice"?: number;
    "minQtyAllow"?: number;
    "maxQtyAllow"?: number;
    "pricePerBottle"?: number;
    "bottlesRemaining"?: number;
    "soldPercent"?: number;
    "offerRevenue"?: number;
    "offerTotal"?: number;
    "offerStatus"?: number;
    "sellerGuid"?: string;
    "buyText"?: string;
    "states"?: Array<string>;
    "isFeatured"?: boolean;
    "isDirectShip"?: boolean;
    "wineryName"?: string;
    "wineryNotes"?: string;
    "wineryAbout"?: string;
    "metaDescription"?: string;
    "metaKeywords"?: string;
    "metaTitle"?: string;
    "numberOfUpgradesGuaranteed"?: Array<number>;
    "wineryImages"?: Array<string>;
    "offerItemName"?: string;
    "offerItemNamePlural"?: string;
    "offerContent"?: string;
    "shippingAvailability"?: string;
    "dateCreated"?: Date;
    "isSideDeal"?: boolean;
    "priority"?: number;
    "enablePromo"?: boolean;
    "enableCredit"?: boolean;
    "enableDoubleDown"?: boolean;
    "enableAutobuy"?: boolean;
    "enableTax"?: boolean;
    "adminNotes"?: string;
    "capturedDate"?: Date;
    "offerTax"?: number;
    "offerPq"?: number;
    "offerDisc"?: number;
    "offerCred"?: number;
    "offerUniq"?: number;
    "scrambleRatio"?: number;
    "allowRecurrence"?: boolean;
    "brandingPartner"?: string;
    "primaryVarietal"?: string;
    "primaryType"?: string;
    "secondaryType"?: string;
    "evalUnlisted"?: boolean;
    "evalLive"?: boolean;
    "evalClosed"?: boolean;
    "evalSoldOut"?: boolean;
    "itemGroupsFlat"?: Array<NhItemGroupViewEntity>;
    "doubleDownMinCount"?: number;
    "plannedTopUpgradeSrp"?: number;
    "plannedTopUpgradeVarietal"?: string;
    "plannedItemQty"?: number;
    "lowBottleThreshold"?: number;
    "showSocialProof"?: boolean;
    "featuredItemgroupBase"?: string;
    "featuredItemgroupUpgrade"?: string;
    "lifecycleUrl"?: string;
    "offerGuid"?: string;
    "url"?: string;
    "title"?: string;
    "startDate"?: Date;
    "expiryDate"?: Date;
    "plannedExpiryDate"?: Date;
    "isApproved"?: boolean;
    "isClosed"?: boolean;
}
export interface OfferV2ItemEntity {
    "itemId"?: string;
    "parentItemGroup"?: NhItemGroupEntity;
    "sku"?: SkuEntity;
    "qty"?: number;
    "draftName"?: string;
    "draftPrice"?: number;
    "draftCogs"?: number;
    "flag"?: boolean;
    "type"?: string;
}
export interface OfferV2ManifestEntity {
    "manifestId"?: string;
    "sku"?: string;
    "retailPrice"?: number;
    "cashCollected"?: number;
    "taxableValue"?: number;
    "estimatedTaxAllocated"?: number;
    "shippingCaseGuid"?: string;
    "isCanceled"?: boolean;
    "itemGroupId"?: string;
    "pickIndex"?: number;
    "replacementForManifestGuid"?: string;
    "campaignId"?: number;
    "creditedForGuid"?: string;
    "unitDiscount"?: number;
    "suspendDate"?: Date;
    "addDate"?: Date;
    "mfOfferV2Id"?: string;
    "orderGuid"?: string;
    "fulfilledSku"?: string;
    "wasQuickShip"?: boolean;
    "adminComment"?: string;
    "reserveInventory"?: boolean;
    "swapReason"?: string;
    "bottleOwner"?: OfferV2ManifestEntityBottleOwnerEnum;
    "isSuspended"?: boolean;
    "friendlyName"?: string;
    "allocations"?: Array<ManifestAllocation>;
}
export declare type OfferV2ManifestEntityBottleOwnerEnum = "phoeno" | "uc";
export interface OkNegotiatedContentResultApiResultBoolean {
    "content"?: ApiResultBoolean;
    "contentNegotiator"?: IContentNegotiator;
    "request"?: any;
    "formatters"?: Array<MediaTypeFormatter>;
}
export interface OrderGeniusState {
    "cancelBy"?: Date;
    "orderEntity"?: Array<NhOrderModel>;
}
export interface OrderInfo {
    "name"?: string;
    "phoneNumber"?: string;
    "email"?: string;
    "shippingAddress"?: ShippingAddress;
}
export interface OrderListModel {
    "orders"?: Array<OrderViewModel>;
    "totalCount"?: number;
}
export interface OrderViewModel {
    "orderId"?: string;
    "orderType"?: string;
    "offerSef"?: string;
    "offerTitle"?: string;
    "userEmail"?: string;
    "cplId"?: string;
    "date"?: Date;
    "credit"?: number;
    "discount"?: number;
    "subtotal"?: number;
    "tax"?: number;
    "amtCharged"?: number;
    "status"?: string;
    "paymentStatus"?: string;
    "unitPrice"?: number;
    "totalQty"?: number;
    "isRevealed"?: boolean;
    "cardNum"?: string;
    "cardType"?: string;
    "promo"?: string;
    "xTracking"?: string;
    "allItems"?: AttributedItemList;
    "adjustments"?: Array<NhAdjViewRecord>;
    "address"?: NhAddressModel;
    "shippingMethod"?: string;
    "dateProcessed"?: Date;
    "dateDelivered"?: Date;
    "giftMessage"?: string;
    "icePackQty"?: number;
    "packedAt"?: Date;
    "netSuiteSyncedAt"?: Date;
}
export interface OverallPlan {
    "canFree"?: Array<SkuPlan>;
    "userPlan"?: {
        [key: string]: number;
    };
    "inactiveUserPlan"?: {
        [key: string]: number;
    };
}
export interface Page {
    "id"?: string;
    "section"?: string;
    "url"?: string;
    "title"?: string;
    "main"?: string;
    "topImage"?: string;
    "sideImage"?: string;
    "sideText"?: string;
    "sideLinkUrl"?: string;
    "sideLinkText"?: string;
    "fileAttachUrl"?: string;
    "fileAttachText"?: string;
    "publishDate"?: Date;
    "expiryDate"?: Date;
}
export interface ParsedShipmentEmail {
    "track"?: string;
    "address"?: string;
    "body"?: string;
    "emailTime"?: Date;
}
export interface PasswordChangeModel {
    "oldPassword": string;
    "newPassword": string;
    "confirmNewPassword": string;
}
export interface PasswordResetAdminModel {
    "userGuid"?: string;
    "newPassword"?: string;
}
export interface PasswordResetModel {
    "email": string;
    "resetToken"?: string;
    "newPassword"?: string;
}
export interface PaymentWithAddressModel {
    "payment"?: ApiBillingModelWithAuthnet;
    "address"?: NhAddressModel;
}
export interface PgCloudCellarRecord {
    "isCounted"?: boolean;
    "varietal"?: string;
    "region"?: string;
    "appel"?: string;
    "states"?: Array<string>;
    "itemDetailGuid"?: string;
    "sku"?: string;
    "urlKey"?: string;
    "retailPrice"?: number;
    "qtyInStock"?: number;
    "qtyOffsite"?: number;
    "qtyVip"?: number;
    "isManual"?: boolean;
    "eta"?: Date;
    "isClearance"?: boolean;
    "isSuspended"?: boolean;
    "shipIncentive"?: number;
    "category"?: string;
    "skus"?: Array<SkuEntity>;
    "manifestGuid"?: string;
    "taxValue"?: number;
    "taxAllocated"?: number;
    "orderGuid"?: string;
    "winnerGuid"?: string;
    "orderDate"?: Date;
    "orderStatus"?: string;
    "paymentStatus"?: string;
    "offerGuid"?: string;
    "offerSef"?: string;
    "wineDrinkEnd"?: Date;
    "isAutographed"?: boolean;
    "isWine"?: boolean;
    "isBeer"?: boolean;
    "isCult"?: boolean;
    "shipAlone"?: boolean;
    "shipCase"?: string;
    "shipMethod"?: string;
    "shipPrice"?: number;
    "tracking"?: Array<TrackingInfo>;
    "shipDate"?: Date;
    "itemGroupId"?: string;
    "fancifulName"?: string;
    "brand"?: string;
    "vintage"?: number;
    "wineVineyard"?: string;
    "ml"?: number;
    "backupSku"?: string;
    "skuReplacementForManifestGuid"?: string;
    "suspendDate"?: Date;
    "slotType"?: string;
    "displayDesc"?: string;
    "bottleImgCsv"?: string;
    "labelImgCsv"?: string;
    "displayName"?: string;
    "bottleImg"?: Array<string>;
    "labelImg"?: Array<string>;
}
export interface PhotoSize {
    "width": number;
    "height": number;
    "fileId": string;
    "fileSize"?: number;
}
export interface PreCheckoutQuery {
    "id": string;
    "from": User;
    "currency": string;
    "totalAmount": number;
    "invoicePayload": string;
    "shippingOptionId"?: string;
    "orderInfo"?: OrderInfo;
}
export interface PrizeModel {
    "title"?: string;
    "image"?: string;
    "details"?: string;
}
export interface PromoAllowed {
    "userGuid"?: string;
    "isAllowed"?: boolean;
}
export interface PromoResult {
    "refundAmt"?: number;
    "creditAmt"?: number;
    "orderUpdated"?: NhOrderModel;
}
export interface PurchaseOrderItem {
    "sku"?: string;
    "cogs"?: number;
    "orderQty"?: number;
}
export interface PurchaseOrderModel {
    "items"?: Array<PurchaseOrderItem>;
    "deliveryDate"?: Date;
    "deliveryCost"?: number;
    "cplId"?: string;
    "offerGuid"?: string;
    "approvedBy"?: string;
    "poGuid"?: string;
}
export interface RangeFilterDecimal {
    "filterActive"?: boolean;
    "filterValueMin"?: number;
    "filterValueMax"?: number;
}
export interface RangeFilterInt32 {
    "filterActive"?: boolean;
    "filterValueMin"?: number;
    "filterValueMax"?: number;
}
export interface SendEmailModel {
    "sendTo"?: Array<string>;
    "email"?: TransactionalEmailModel;
}
export interface SessionEventModel {
    "eventMd5"?: string;
    "eventString"?: string;
}
export interface SessionModel {
    "sessionId"?: string;
    "sessionExpiration"?: Date;
    "sessionLastPage"?: string;
    "sessionFbrLhState"?: string;
    "sessionUserGuid"?: string;
    "sessionUserName"?: string;
    "sessionUserFname"?: string;
    "sessionUserImageurl"?: string;
    "sessionUserBalance"?: number;
    "sessionUserUrlProfile"?: string;
    "sessionUserReferralCloudName"?: string;
    "sessionLastQty"?: number;
    "sessionIsBeta"?: number;
    "sessionEmail"?: string;
    "sessionUserAgent"?: string;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "sessionUtmSite"?: string;
}
export interface SessionTrackModel {
    "sessionTrackId"?: string;
    "trackEvent"?: SessionEventModel;
    "trackDt"?: Date;
    "trackExtra"?: string;
}
export interface ShipOrderResult {
    "cplId"?: string;
    "shippingCaseGuid"?: string;
    "bottles"?: Array<OfferV2ManifestEntity>;
    "totalTax"?: number;
    "taxAlreadyPaid"?: number;
    "taxChargedOrRefunded"?: number;
    "protectShipmentValue"?: number;
    "shipMethods"?: Array<ShippingMethodModel>;
    "iceAvailable"?: boolean;
    "icePrice"?: number;
    "resolvedAddress"?: NhAddressModel;
    "resolvedPayment"?: ApiBillingModelWithCardNumber;
    "promotionsUsed"?: Array<CheckoutPromoCodeModel>;
    "promoValue"?: number;
    "accountBalanceUsed"?: number;
    "accountBalanceAvailable"?: number;
    "taxComputed"?: TaxInfo;
    "totalPrice"?: number;
    "subtotal"?: number;
}
export interface ShipmentSearch {
    "skip"?: number;
    "take"?: number;
    "search"?: string;
    "adminHold"?: FilterBoolean;
    "willCall"?: FilterBoolean;
    "startDate"?: FilterDate;
    "endDate"?: FilterDate;
    "backorder"?: FilterBoolean;
    "batch"?: FilterString;
    "shippingStatus"?: FilterString;
    "exceptionsOnly"?: FilterBoolean;
    "shipOrderCol"?: string;
    "shipOrderAsc"?: boolean;
}
export interface ShippingAddress {
    "countryCode": string;
    "state"?: string;
    "city": string;
    "streetLine1": string;
    "streetLine2": string;
    "postCode": string;
}
export interface ShippingMethodModel {
    "name"?: string;
    "description"?: string;
    "price"?: number;
    "guaranteedBy"?: Date;
    "value"?: ShippingMethodModelValueEnum;
}
export declare type ShippingMethodModelValueEnum = "0" | "1" | "2" | "3" | "4";
export interface ShippingModel {
    "shippingPrice"?: number;
    "tax"?: number;
    "iceGelPackPrice"?: number;
    "cplOrderId"?: string;
    "shippingCaseGuid"?: string;
    "shippingMethod"?: string;
    "shippingStatus"?: string;
    "replaceShipment"?: string;
    "tracking"?: Array<TrackingInfo>;
    "date"?: Date;
    "dateProcessed"?: Date;
    "dateDelivered"?: Date;
    "dateSuspended"?: Date;
    "dateReturned"?: Date;
    "shippedManifests"?: Array<OfferV2ManifestEntity>;
    "payment"?: ApiBillingModelWithAuthnet;
    "giftMessage"?: string;
    "qty"?: number;
    "transactionId"?: string;
    "isAdminHold"?: boolean;
    "willCall"?: boolean;
    "isTest"?: boolean;
    "weight"?: number;
    "shipCogs"?: number;
    "firstName"?: string;
    "lastName"?: string;
    "address1"?: string;
    "address2"?: string;
    "city"?: string;
    "state"?: string;
    "zip"?: string;
    "phone"?: string;
    "email"?: string;
    "requestedShipDate"?: Date;
    "xItemCount"?: number;
    "xTotalTax"?: number;
    "xTotalTaxValue"?: number;
    "shipEngineId"?: string;
    "shipEngineLabelId"?: string;
    "comment"?: string;
    "userId"?: string;
    "countSparkles"?: number;
    "cohortUserFirstPurchase"?: Date;
    "cohortUserMonth"?: number;
    "monthSinceFirstPurchase"?: number;
    "daysSinceFirstPurchase"?: number;
    "daysSinceLastPurchase"?: number;
    "daysSinceSignup"?: number;
    "priority"?: number;
    "discount"?: number;
    "discountCodeUsed"?: string;
    "packedAt"?: Date;
    "netSuiteSyncedAt"?: Date;
    "paymentIntentId"?: string;
    "totalPrice"?: number;
}
export interface ShippingQuery {
    "id": string;
    "from": User;
    "invoicePayload": string;
    "shippingAddress": ShippingAddress;
}
export interface SkuBackup {
    "skuBackupId"?: string;
    "originalSku"?: string;
    "newSku"?: string;
    "useAllQtyInStock"?: boolean;
    "newSkuComment"?: string;
    "newSkuQtyAvailable"?: number;
    "newSkuQtyOwed"?: number;
}
export interface SkuEntity {
    "sku"?: string;
    "suggestedPrice"?: number;
    "supplierGuid"?: string;
    "isAutographed"?: boolean;
    "isDeprecated"?: boolean;
    "isTaxable"?: boolean;
    "isCountedInShipment"?: boolean;
    "isPalletProgram"?: boolean;
    "cacheLatestOrderDate"?: Date;
    "cacheNextDelivery"?: Date;
    "cacheNumAvailable"?: number;
    "scrambleLetters"?: string;
    "scrambleQtyAllowed"?: number;
    "allowedStatesCsv"?: string;
    "comment"?: string;
    "cogsUnit"?: number;
    "taxSetId"?: string;
    "velocity"?: number;
    "isDropShip"?: boolean;
    "shipAlone"?: boolean;
    "canBottleShop"?: boolean;
    "qtyOnPendingShipment"?: number;
    "nSuppliers"?: number;
    "allowedStates"?: Array<string>;
    "cacheNumOwed"?: number;
    "cacheNumShipped"?: number;
    "cacheSurplus"?: number;
    "margin"?: number;
    "numberOnActiveXfer"?: number;
    "qtyVip"?: number;
    "friendlyName"?: string;
    "qtyOffsite"?: number;
    "qtyReserved"?: number;
    "preSwap"?: string;
    "backupSwap"?: string;
    "fulfillQtyLo"?: number;
    "fulfillQtyHi"?: number;
    "xVarietal"?: string;
    "xRegion"?: string;
    "itemDetailGuid"?: string;
    "itemDetail"?: ItemDetailEntity;
    "skuWasSwap"?: boolean;
    "isInWineDirect"?: boolean;
    "category"?: string;
    "unlimitedAllocationUntil"?: Date;
    "dontBuyAfter"?: Date;
    "packSize"?: number;
    "createdOn"?: Date;
    "createdById"?: string;
    "createdBy"?: BasicUserInfo;
    "allocationStart"?: Date;
    "allocationTotal"?: number;
    "allocationRemaining"?: number;
    "allocationEnd"?: Date;
}
export interface SkuHistory {
    "skuHistoryId"?: string;
    "sku"?: string;
    "snapshotTime"?: Date;
    "available"?: number;
    "owed"?: number;
    "dAvailable"?: number;
    "dOwed"?: number;
    "shipped"?: number;
    "dShipped"?: number;
    "loc"?: string;
    "xiGuid"?: string;
}
export interface SkuPlan {
    "sku"?: string;
    "usersNeeded"?: Array<UserPlan>;
}
export interface SkuSale {
    "sku"?: string;
    "price"?: number;
    "name"?: string;
    "varietal"?: string;
    "qtyInOffer"?: number;
    "qtySold"?: number;
    "qtyInStock"?: number;
    "buyInPrice"?: number;
    "cogs"?: number;
}
export interface SkuSearch {
    "skip"?: number;
    "take"?: number;
    "search"?: string;
    "orderBy"?: string;
    "includeItemDetails"?: boolean;
    "minPrice"?: FilterDecimal;
    "maxPrice"?: FilterDecimal;
    "minStockQty"?: FilterInt32;
    "maxStockQty"?: FilterInt32;
    "minReservQty"?: FilterInt32;
    "maxReservQty"?: FilterInt32;
    "minSurplus"?: FilterInt32;
    "maxSurplus"?: FilterInt32;
    "allowedVarietals"?: Array<string>;
    "orderDescending"?: boolean;
    "hasComment"?: FilterBoolean;
    "zeroes"?: FilterBoolean;
    "pallet"?: FilterBoolean;
    "deprecated"?: FilterBoolean;
    "minNumOnActiveTransfers"?: FilterInt32;
    "minVelocity"?: FilterDecimal;
    "maxVelocity"?: FilterDecimal;
    "minOffsite"?: FilterInt32;
    "maxOffsite"?: FilterInt32;
    "belowLoThreshold"?: FilterBoolean;
    "aboveHiThreshold"?: FilterBoolean;
    "maxVip"?: FilterInt32;
    "minVip"?: FilterInt32;
    "allowedCategories"?: Array<string>;
}
export interface SkuSwapModel {
    "eligibleSkuSwapFrom"?: Array<string>;
    "eligibleSkuSwapTo"?: Array<string>;
    "selectedSkuSwapFrom"?: string;
    "selectedSkuSwapTo"?: Array<string>;
    "eligibleOfferSefToSwapIn"?: Array<string>;
    "selectedOfferSefToSwap"?: string;
    "credit"?: boolean;
    "creditFullValue"?: boolean;
    "qtyToSwap"?: number;
    "swapReason"?: string;
    "sendEmail"?: boolean;
    "manifestsAffected"?: Array<ManifestSwapAction>;
}
export interface Stack {
    "in"?: string;
    "at"?: string;
}
export interface Sticker {
    "width": number;
    "height": number;
    "thumb"?: PhotoSize;
    "emoji"?: string;
    "setName"?: string;
    "maskPosition"?: MaskPosition;
    "fileId": string;
    "fileSize"?: number;
}
export interface SuccessfulPayment {
    "currency": string;
    "totalAmount": number;
    "invoicePayload": string;
    "shippingOptionId"?: string;
    "orderInfo"?: OrderInfo;
    "telegramPaymentChargeId": string;
    "providerPaymentChargeId": string;
}
export interface SupportRequest {
    "userGuid"?: string;
    "orderGuid"?: string;
    "skuList"?: Array<string>;
    "orderLines"?: Array<OrderViewModel>;
    "manifestIds"?: Array<string>;
    "didntLike"?: boolean;
    "damaged"?: boolean;
    "inaccurate"?: boolean;
    "comment"?: string;
    "enRoute"?: boolean;
    "problemType"?: string;
    "requestTime"?: Date;
    "requestId"?: string;
    "zendeskId"?: string;
    "attachment"?: string;
    "partitionKey"?: string;
    "rowKey"?: string;
    "timestamp"?: Date;
    "eTag"?: string;
}
export interface SupportTicket {
    "id"?: string;
    "subject"?: string;
    "description"?: string;
    "status"?: string;
    "priority"?: string;
    "requesterName"?: string;
    "requesterEmail"?: string;
    "zendeskId"?: string;
    "zendeskUrl"?: string;
    "systemResponse"?: string;
}
export interface SurplusItemDateTime {
    "key"?: Date;
    "surplusQty"?: number;
    "surplusValue"?: number;
    "deficitQty"?: number;
    "deficitValue"?: number;
    "numAvailable"?: number;
    "numOwed"?: number;
}
export interface SurplusItemString {
    "key"?: string;
    "surplusQty"?: number;
    "surplusValue"?: number;
    "deficitQty"?: number;
    "deficitValue"?: number;
    "numAvailable"?: number;
    "numOwed"?: number;
}
export interface TaxInfo {
    "taxRate"?: number;
    "regionName"?: string;
    "orderTaxAmt"?: number;
}
export interface TaxReportRecord {
    "period"?: string;
    "region"?: string;
    "totalTaxValue"?: number;
    "totalTaxAllocated"?: number;
    "skuPrefix"?: string;
}
export interface TimeSeriesCohort {
    "data"?: {
        [key: string]: NhCohort;
    };
    "totalPq"?: number;
    "totalOrder"?: number;
    "totalQty"?: number;
    "timeToFirstPurchase"?: number;
}
export interface TimeSeriesCohortSummary {
    "cohorts"?: {
        [key: string]: TimeSeriesCohort;
    };
    "avgPq"?: number;
    "avgOrder"?: number;
    "avgQty"?: number;
    "sumByKey"?: TimeSeriesCohort;
}
export interface TrackingEvent {
    "timestamp"?: Date;
    "city"?: string;
    "stateOrProvince"?: string;
    "description"?: string;
}
export interface TrackingInfo {
    "id"?: string;
    "status"?: string;
    "events"?: Array<TrackingEvent>;
}
export interface TransactionalEmailModel {
    "emailBody"?: string;
    "emailSubject"?: string;
    "comment"?: string;
    "testUserOnly"?: boolean;
    "partitionKey"?: string;
    "rowKey"?: string;
    "timestamp"?: Date;
    "eTag"?: string;
}
export interface TupleStringInt32 {
    "item1"?: string;
    "item2"?: number;
}
export interface TupleStringInt32String {
    "item1"?: string;
    "item2"?: number;
    "item3"?: string;
}
export interface Update {
    "updateId": number;
    "message"?: Message;
    "editedMessage"?: Message;
    "inlineQuery"?: InlineQuery;
    "chosenInlineResult"?: ChosenInlineResult;
    "callbackQuery"?: CallbackQuery;
    "channelPost"?: Message;
    "editedChannelPost"?: Message;
    "shippingQuery"?: ShippingQuery;
    "preCheckoutQuery"?: PreCheckoutQuery;
}
export interface UpgradeOrderResult {
    "basePrice"?: number;
    "allItems"?: AttributedItemList;
    "orderGuid"?: string;
    "orderUserNth"?: number;
    "promotionsUsed"?: Array<CheckoutPromoCodeModel>;
    "promoValue"?: number;
    "accountBalanceUsed"?: number;
    "accountBalanceAvailable"?: number;
    "taxComputed"?: TaxInfo;
    "totalPrice"?: number;
    "subtotal"?: number;
}
export interface User {
    "id": number;
    "isBot": boolean;
    "firstName": string;
    "lastName"?: string;
    "username"?: string;
    "languageCode"?: string;
}
export interface UserAuthModel {
    "sessionId"?: string;
    "password": string;
    "passwordV2"?: string;
    "facebookAccessToken"?: string;
    "facebookUserId"?: number;
    "googleUserId"?: string;
    "referralString"?: string;
    "is21"?: boolean;
    "referralGroup"?: GroupItemEntity;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "referralCloudcellarName"?: string;
    "referralDomain"?: string;
    "userGuid"?: string;
    "email": string;
    "firstName": string;
    "lastName": string;
    "profileUrl"?: string;
    "birthday"?: Date;
    "isTestAccount"?: boolean;
}
export interface UserAuthResultModel {
    "emailOk"?: boolean;
    "isAuthenticated"?: boolean;
    "hasEmail"?: boolean;
    "hasPassword"?: boolean;
    "hasFbToken"?: boolean;
    "session"?: SessionModel;
    "user"?: UserAuthModel;
}
export interface UserCreditViewModel {
    "userEmail"?: string;
    "userGuid"?: string;
    "event"?: string;
    "eventDate"?: Date;
    "amount"?: number;
    "balance"?: number;
    "creditComment"?: string;
    "creditUsedWithOrders"?: string;
    "creditRefundForOrder"?: string;
    "creditGuid"?: string;
    "creditForManifest"?: string;
    "creditForGiftCard"?: string;
    "creditForShipment"?: string;
    "upgradeEligible"?: boolean;
    "shipmentEligible"?: boolean;
    "itemEligible"?: boolean;
    "chMd5"?: string;
}
export interface UserModelExtended {
    "userName"?: string;
    "lastOrder"?: Date;
    "profileImageUrl"?: string;
    "isPrivate"?: boolean;
    "defaultAddressId"?: string;
    "defaultPaymentId"?: string;
    "defaultShip"?: number;
    "defaultIce"?: boolean;
    "signupDate"?: Date;
    "lastLoginDate"?: Date;
    "lastPurchaseDate"?: Date;
    "outreachDate"?: Date;
    "sessionId"?: string;
    "password": string;
    "passwordV2"?: string;
    "facebookAccessToken"?: string;
    "facebookUserId"?: number;
    "googleUserId"?: string;
    "referralString"?: string;
    "is21"?: boolean;
    "referralGroup"?: GroupItemEntity;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "referralCloudcellarName"?: string;
    "referralDomain"?: string;
    "userGuid"?: string;
    "email": string;
    "firstName": string;
    "lastName": string;
    "profileUrl"?: string;
    "birthday"?: Date;
    "isTestAccount"?: boolean;
}
export interface UserPlan {
    "userEmail"?: string;
    "userGuid"?: string;
    "tryToShip"?: Array<TupleStringInt32String>;
}
export interface UserReferralModel {
    "referredUserEmail"?: string;
    "referredUserFname"?: string;
    "referredUserGuid"?: string;
    "referredUserSignupOrInviteDt"?: Date;
    "firstOrderPlaced"?: Date;
    "firstOrderGuid"?: string;
    "referringUserGuid"?: string;
    "referringUserEmail"?: string;
    "creditAmt"?: number;
    "creditDate"?: Date;
    "creditOriginalAmount"?: number;
    "creditId"?: string;
}
export interface ValidationResult {
    "memberNames"?: Array<string>;
    "errorMessage"?: string;
}
export interface Venue {
    "location": Location;
    "title": string;
    "address": string;
    "foursquareId"?: string;
}
export interface Video {
    "width": number;
    "height": number;
    "duration": number;
    "thumb"?: PhotoSize;
    "mimeType"?: string;
    "fileId": string;
    "fileSize"?: number;
}
export interface VideoNote {
    "length": number;
    "duration": number;
    "thumb"?: PhotoSize;
    "fileId": string;
    "fileSize"?: number;
}
export interface Voice {
    "duration": number;
    "mimeType"?: string;
    "fileId": string;
    "fileSize"?: number;
}
export interface WineGenius {
    "name"?: string;
    "image"?: string;
    "desc"?: string;
    "overallSweet"?: number;
    "overallSour"?: number;
    "overallSalty"?: number;
    "overallBitter"?: number;
    "overallTexture"?: number;
}
export interface WineGeniusData {
    "coffeeBlack"?: boolean;
    "coffeeCream"?: boolean;
    "coffeeCreamSugar"?: boolean;
    "coffeeFrappuccino"?: boolean;
    "saltyPopcorn"?: boolean;
    "charcuterie"?: boolean;
    "applesAndPeanutButter"?: boolean;
    "fruitSmoothie"?: boolean;
    "teriyaki"?: boolean;
    "mushroom"?: boolean;
    "risotto"?: boolean;
    "pastaWithArugula"?: boolean;
    "lemonSorbet"?: boolean;
    "caramelIceCream"?: boolean;
    "darkChocolateMousse"?: boolean;
    "olives"?: boolean;
    "level"?: string;
    "redWhitePosition"?: number;
    "redMin"?: string;
    "redMax"?: string;
    "whiteMin"?: string;
    "whiteMax"?: string;
    "bottlesPerWeek"?: number;
    "sparkling"?: boolean;
    "largeFormat"?: boolean;
    "rare"?: boolean;
    "autographed"?: boolean;
    "highValue"?: boolean;
    "smallProduction"?: boolean;
    "cult"?: boolean;
    "international"?: boolean;
    "firstTrait"?: string;
    "secondTrait"?: string;
    "lastTrait"?: string;
    "budget"?: number;
    "paymentGuid"?: string;
    "surveyDate"?: Date;
    "traits"?: Array<TupleStringInt32>;
    "genius"?: WineGenius;
    "overallSweet"?: number;
    "overallSour"?: number;
    "overallSalty"?: number;
    "overallBitter"?: number;
    "overallTexture"?: number;
}
export interface WineGeniusExclusionItem {
    "userGuid"?: string;
    "email"?: string;
}
export interface WineGeniusMessage {
    "userGuid"?: string;
    "from"?: string;
    "message"?: string;
    "messageDate"?: Date;
}
export interface WineGeniusVacation {
    "dateSet"?: Date;
    "suspendOn"?: Date;
    "resumeOn"?: Date;
    "vacationGuid"?: string;
}
export interface WineryModel {
    "wineryId"?: string;
    "winerySef"?: string;
    "wineryAddress"?: string;
    "wineryCity"?: string;
    "wineryFax"?: string;
    "wineryZip"?: string;
    "wineryCountry"?: string;
    "wineryWebsite"?: string;
    "wineryOwners"?: string;
    "wineryWinemakers"?: string;
    "wineryArea"?: string;
    "wineryTourInfo"?: string;
    "wineryHours"?: string;
    "wineryDescription"?: string;
    "wineryLogo"?: string;
    "wineryMainImage"?: string;
    "wineryName"?: string;
    "wineryPublicPhone"?: string;
    "wineryPublicEmail"?: string;
    "wineryDateEstablished"?: Date;
    "wineryPopularVarietals"?: string;
    "wineryContactName"?: string;
    "wineryContactPhone"?: string;
    "wineryContactEmail"?: string;
    "wineryExpectation"?: string;
    "wineryAgreementUrl"?: string;
    "wineryAgreementDocusign"?: string;
    "winerySkuPrefix"?: string;
    "wineryInternalNotes"?: string;
    "wineryUsername"?: string;
    "wineryPasswordHash"?: string;
    "wineryContactedDate"?: Date;
    "wineryState": string;
    "visible"?: boolean;
}
export interface WordGame {
    "letters"?: Array<string>;
    "prizes"?: Array<NhWordGamePrize>;
}
/**
 * AbandonedUserApi - fetch parameter creator
 */
export declare const AbandonedUserApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Reclaim(params: {
        "sessionId": string;
        "model": AbandonedUserModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Search(params: {
        "sessionId": string;
        "model": AbandonedSearchModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Warn(params: {
        "sessionId": string;
        "model": AbandonedUserModel;
    }, options?: any): FetchArgs;
};
/**
 * AbandonedUserApi - functional programming interface
 */
export declare const AbandonedUserApiFp: {
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Reclaim(params: {
        "sessionId": string;
        "model": AbandonedUserModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultAbandonedUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Search(params: {
        "sessionId": string;
        "model": AbandonedSearchModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListAbandonedUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Warn(params: {
        "sessionId": string;
        "model": AbandonedUserModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultAbandonedUserModel>;
};
/**
 * AbandonedUserApi - object-oriented interface
 */
export declare class AbandonedUserApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Reclaim(params: {
        "sessionId": string;
        "model": AbandonedUserModel;
    }, options?: any): Promise<ApiResultAbandonedUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Search(params: {
        "sessionId": string;
        "model": AbandonedSearchModel;
    }, options?: any): Promise<ApiResultListAbandonedUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Warn(params: {
        "sessionId": string;
        "model": AbandonedUserModel;
    }, options?: any): Promise<ApiResultAbandonedUserModel>;
}
/**
 * AbandonedUserApi - factory interface
 */
export declare const AbandonedUserApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Reclaim(params: {
        "sessionId": string;
        "model": AbandonedUserModel;
    }, options?: any): Promise<ApiResultAbandonedUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Search(params: {
        "sessionId": string;
        "model": AbandonedSearchModel;
    }, options?: any): Promise<ApiResultListAbandonedUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Warn(params: {
        "sessionId": string;
        "model": AbandonedUserModel;
    }, options?: any): Promise<ApiResultAbandonedUserModel>;
};
/**
 * AccessLogApi - fetch parameter creator
 */
export declare const AccessLogApiFetchParamCreator: {
    /**
     *
     * @param lead
     */
    accessLogLog(params: {
        "lead": AccessLogModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param lead
     */
    accessLogPostLead(params: {
        "lead": SessionTrackModel;
    }, options?: any): FetchArgs;
};
/**
 * AccessLogApi - functional programming interface
 */
export declare const AccessLogApiFp: {
    /**
     *
     * @param lead
     */
    accessLogLog(params: {
        "lead": AccessLogModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param lead
     */
    accessLogPostLead(params: {
        "lead": SessionTrackModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * AccessLogApi - object-oriented interface
 */
export declare class AccessLogApi extends BaseAPI {
    /**
     *
     * @param lead
     */
    accessLogLog(params: {
        "lead": AccessLogModel;
    }, options?: any): Promise<any>;
    /**
     *
     * @param lead
     */
    accessLogPostLead(params: {
        "lead": SessionTrackModel;
    }, options?: any): Promise<any>;
}
/**
 * AccessLogApi - factory interface
 */
export declare const AccessLogApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param lead
     */
    accessLogLog(params: {
        "lead": AccessLogModel;
    }, options?: any): Promise<any>;
    /**
     *
     * @param lead
     */
    accessLogPostLead(params: {
        "lead": SessionTrackModel;
    }, options?: any): Promise<any>;
};
/**
 * AddressApi - fetch parameter creator
 */
export declare const AddressApiFetchParamCreator: {
    /**
     *
     * @summary Deletes a user's stored address.
     * @param sessionId
     * @param addressId Address id to delete.
     */
    addressSessionDeleteAddress(params: {
        "sessionId": string;
        "addressId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressDictionary(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList3(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Adds an address to a user's account
     * @param sessionId User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressSessionPostAddress3(params: {
        "sessionId": string;
        "address": NhAddressModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Updates a user's stored address.
     * @param sessionId Session id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressSessionPutAddress(params: {
        "sessionId": string;
        "addressId": string;
        "address": NhAddressModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Deletes a user's stored address.
     * @param userGuid Id of the user to delete the address from (for verification against the owner of the address Id,  specified in the request body &#39;address&#39;)
     * @param addressId Address id to delete.
     */
    addressUserDeleteAddress(params: {
        "userGuid": string;
        "addressId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param userGuid Id of the user to get addresses from.
     */
    addressUserGetAddressDictionary(params: {
        "userGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Adds an address to a user's account
     * @param userGuid User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressUserPostAddress(params: {
        "userGuid": string;
        "address": NhAddressModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Updates a user's stored address.
     * @param userGuid User id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressUserPutAddress(params: {
        "userGuid": string;
        "addressId": string;
        "address": NhAddressModel;
    }, options?: any): FetchArgs;
};
/**
 * AddressApi - functional programming interface
 */
export declare const AddressApiFp: {
    /**
     *
     * @summary Deletes a user's stored address.
     * @param sessionId
     * @param addressId Address id to delete.
     */
    addressSessionDeleteAddress(params: {
        "sessionId": string;
        "addressId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressDictionary(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<{
        [key: string]: NhAddressModel;
    }>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhAddressModel[]>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList3(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhAddressModel>;
    /**
     *
     * @summary Adds an address to a user's account
     * @param sessionId User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressSessionPostAddress3(params: {
        "sessionId": string;
        "address": NhAddressModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhAddressModel>;
    /**
     *
     * @summary Updates a user's stored address.
     * @param sessionId Session id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressSessionPutAddress(params: {
        "sessionId": string;
        "addressId": string;
        "address": NhAddressModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhAddressModel>;
    /**
     *
     * @summary Deletes a user's stored address.
     * @param userGuid Id of the user to delete the address from (for verification against the owner of the address Id,  specified in the request body &#39;address&#39;)
     * @param addressId Address id to delete.
     */
    addressUserDeleteAddress(params: {
        "userGuid": string;
        "addressId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param userGuid Id of the user to get addresses from.
     */
    addressUserGetAddressDictionary(params: {
        "userGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<{
        [key: string]: NhAddressModel;
    }>;
    /**
     *
     * @summary Adds an address to a user's account
     * @param userGuid User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressUserPostAddress(params: {
        "userGuid": string;
        "address": NhAddressModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @summary Updates a user's stored address.
     * @param userGuid User id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressUserPutAddress(params: {
        "userGuid": string;
        "addressId": string;
        "address": NhAddressModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * AddressApi - object-oriented interface
 */
export declare class AddressApi extends BaseAPI {
    /**
     *
     * @summary Deletes a user's stored address.
     * @param sessionId
     * @param addressId Address id to delete.
     */
    addressSessionDeleteAddress(params: {
        "sessionId": string;
        "addressId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressDictionary(params: {
        "sessionId": string;
    }, options?: any): Promise<{
        [key: string]: NhAddressModel;
    }>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList(params: {
        "sessionId": string;
    }, options?: any): Promise<NhAddressModel[]>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList3(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhAddressModel>;
    /**
     *
     * @summary Adds an address to a user's account
     * @param sessionId User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressSessionPostAddress3(params: {
        "sessionId": string;
        "address": NhAddressModel;
    }, options?: any): Promise<ApiResultNhAddressModel>;
    /**
     *
     * @summary Updates a user's stored address.
     * @param sessionId Session id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressSessionPutAddress(params: {
        "sessionId": string;
        "addressId": string;
        "address": NhAddressModel;
    }, options?: any): Promise<NhAddressModel>;
    /**
     *
     * @summary Deletes a user's stored address.
     * @param userGuid Id of the user to delete the address from (for verification against the owner of the address Id,  specified in the request body &#39;address&#39;)
     * @param addressId Address id to delete.
     */
    addressUserDeleteAddress(params: {
        "userGuid": string;
        "addressId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param userGuid Id of the user to get addresses from.
     */
    addressUserGetAddressDictionary(params: {
        "userGuid": string;
    }, options?: any): Promise<{
        [key: string]: NhAddressModel;
    }>;
    /**
     *
     * @summary Adds an address to a user's account
     * @param userGuid User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressUserPostAddress(params: {
        "userGuid": string;
        "address": NhAddressModel;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Updates a user's stored address.
     * @param userGuid User id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressUserPutAddress(params: {
        "userGuid": string;
        "addressId": string;
        "address": NhAddressModel;
    }, options?: any): Promise<any>;
}
/**
 * AddressApi - factory interface
 */
export declare const AddressApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @summary Deletes a user's stored address.
     * @param sessionId
     * @param addressId Address id to delete.
     */
    addressSessionDeleteAddress(params: {
        "sessionId": string;
        "addressId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressDictionary(params: {
        "sessionId": string;
    }, options?: any): Promise<{
        [key: string]: NhAddressModel;
    }>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList(params: {
        "sessionId": string;
    }, options?: any): Promise<NhAddressModel[]>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList3(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhAddressModel>;
    /**
     *
     * @summary Adds an address to a user's account
     * @param sessionId User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressSessionPostAddress3(params: {
        "sessionId": string;
        "address": NhAddressModel;
    }, options?: any): Promise<ApiResultNhAddressModel>;
    /**
     *
     * @summary Updates a user's stored address.
     * @param sessionId Session id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressSessionPutAddress(params: {
        "sessionId": string;
        "addressId": string;
        "address": NhAddressModel;
    }, options?: any): Promise<NhAddressModel>;
    /**
     *
     * @summary Deletes a user's stored address.
     * @param userGuid Id of the user to delete the address from (for verification against the owner of the address Id,  specified in the request body &#39;address&#39;)
     * @param addressId Address id to delete.
     */
    addressUserDeleteAddress(params: {
        "userGuid": string;
        "addressId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param userGuid Id of the user to get addresses from.
     */
    addressUserGetAddressDictionary(params: {
        "userGuid": string;
    }, options?: any): Promise<{
        [key: string]: NhAddressModel;
    }>;
    /**
     *
     * @summary Adds an address to a user's account
     * @param userGuid User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressUserPostAddress(params: {
        "userGuid": string;
        "address": NhAddressModel;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Updates a user's stored address.
     * @param userGuid User id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressUserPutAddress(params: {
        "userGuid": string;
        "addressId": string;
        "address": NhAddressModel;
    }, options?: any): Promise<any>;
};
/**
 * AdjustmentApi - fetch parameter creator
 */
export declare const AdjustmentApiFetchParamCreator: {
    /**
     *
     * @param model
     */
    adjustmentCreateAdjustmentForSku(params: {
        "model": NhAdjustment;
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     */
    adjustmentExecAdjustment(params: {
        "id": string;
    }, options?: any): FetchArgs;
};
/**
 * AdjustmentApi - functional programming interface
 */
export declare const AdjustmentApiFp: {
    /**
     *
     * @param model
     */
    adjustmentCreateAdjustmentForSku(params: {
        "model": NhAdjustment;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhAdjustment>;
    /**
     *
     * @param id
     */
    adjustmentExecAdjustment(params: {
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferV2ManifestEntity[]>;
};
/**
 * AdjustmentApi - object-oriented interface
 */
export declare class AdjustmentApi extends BaseAPI {
    /**
     *
     * @param model
     */
    adjustmentCreateAdjustmentForSku(params: {
        "model": NhAdjustment;
    }, options?: any): Promise<NhAdjustment>;
    /**
     *
     * @param id
     */
    adjustmentExecAdjustment(params: {
        "id": string;
    }, options?: any): Promise<OfferV2ManifestEntity[]>;
}
/**
 * AdjustmentApi - factory interface
 */
export declare const AdjustmentApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param model
     */
    adjustmentCreateAdjustmentForSku(params: {
        "model": NhAdjustment;
    }, options?: any): Promise<NhAdjustment>;
    /**
     *
     * @param id
     */
    adjustmentExecAdjustment(params: {
        "id": string;
    }, options?: any): Promise<OfferV2ManifestEntity[]>;
};
/**
 * AdminDeliveryApi - fetch parameter creator
 */
export declare const AdminDeliveryApiFetchParamCreator: {
    /**
     *
     * @param model
     */
    adminDeliveryCreateDelivery(params: {
        "model": AdminSkuDelivery;
    }, options?: any): FetchArgs;
    /**
     *
     */
    adminDeliveryListDeliveries(options?: any): FetchArgs;
};
/**
 * AdminDeliveryApi - functional programming interface
 */
export declare const AdminDeliveryApiFp: {
    /**
     *
     * @param model
     */
    adminDeliveryCreateDelivery(params: {
        "model": AdminSkuDelivery;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AdminSkuDelivery>;
    /**
     *
     */
    adminDeliveryListDeliveries(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhSkuDelivery[]>;
};
/**
 * AdminDeliveryApi - object-oriented interface
 */
export declare class AdminDeliveryApi extends BaseAPI {
    /**
     *
     * @param model
     */
    adminDeliveryCreateDelivery(params: {
        "model": AdminSkuDelivery;
    }, options?: any): Promise<AdminSkuDelivery>;
    /**
     *
     */
    adminDeliveryListDeliveries(options?: any): Promise<NhSkuDelivery[]>;
}
/**
 * AdminDeliveryApi - factory interface
 */
export declare const AdminDeliveryApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param model
     */
    adminDeliveryCreateDelivery(params: {
        "model": AdminSkuDelivery;
    }, options?: any): Promise<AdminSkuDelivery>;
    /**
     *
     */
    adminDeliveryListDeliveries(options?: any): Promise<NhSkuDelivery[]>;
};
/**
 * AdminOrderApi - fetch parameter creator
 */
export declare const AdminOrderApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param fix
     * @param orderGuid
     */
    adminOrderArFindMisallocations(params: {
        "sessionId": string;
        "fix"?: boolean;
        "orderGuid"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Retrieves detail, including bottle info, about a specific order.
     * @param sessionId Admin session id.
     * @param id Order id.
     */
    adminOrderArOrderById(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderCaptureSingle(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param id
     * @param promoCode
     */
    adminOrderArOrderPromoApply(params: {
        "sessionId": string;
        "id": string;
        "promoCode": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Updates the order status of one or more order(s).
     * @param sessionId Admin session id.
     * @param details The orders to update (order id and status must be filled in).
     */
    adminOrderArOrderPut(params: {
        "sessionId": string;
        "details": NhOrderModel[];
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param id
     * @param background
     */
    adminOrderArOrderReject(params: {
        "sessionId": string;
        "id": string;
        "background"?: boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderRepick(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets a list of orders, with paging information. Can also filter the orders based on a search criterion. Bottle  information is not available.
     * @param sessionId Admin session id.
     * @param skip Skip.
     * @param take Take.
     * @param search Search.
     */
    adminOrderArOrderSearch(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param cardNo
     * @param amount
     */
    adminOrderFindChargeback(params: {
        "sessionId": string;
        "cardNo": string;
        "amount": number;
    }, options?: any): FetchArgs;
    /**
     *
     */
    adminOrderRunHourlyTasks(options?: any): FetchArgs;
};
/**
 * AdminOrderApi - functional programming interface
 */
export declare const AdminOrderApiFp: {
    /**
     *
     * @param sessionId
     * @param fix
     * @param orderGuid
     */
    adminOrderArFindMisallocations(params: {
        "sessionId": string;
        "fix"?: boolean;
        "orderGuid"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListMisallocation>;
    /**
     *
     * @summary Retrieves detail, including bottle info, about a specific order.
     * @param sessionId Admin session id.
     * @param id Order id.
     */
    adminOrderArOrderById(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhOrderModel>;
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderCaptureSingle(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListGuid>;
    /**
     *
     * @param sessionId
     * @param id
     * @param promoCode
     */
    adminOrderArOrderPromoApply(params: {
        "sessionId": string;
        "id": string;
        "promoCode": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhOrderModel>;
    /**
     *
     * @summary Updates the order status of one or more order(s).
     * @param sessionId Admin session id.
     * @param details The orders to update (order id and status must be filled in).
     */
    adminOrderArOrderPut(params: {
        "sessionId": string;
        "details": NhOrderModel[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultString>;
    /**
     *
     * @param sessionId
     * @param id
     * @param background
     */
    adminOrderArOrderReject(params: {
        "sessionId": string;
        "id": string;
        "background"?: boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderRepick(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultManifestList>;
    /**
     *
     * @summary Gets a list of orders, with paging information. Can also filter the orders based on a search criterion. Bottle  information is not available.
     * @param sessionId Admin session id.
     * @param skip Skip.
     * @param take Take.
     * @param search Search.
     */
    adminOrderArOrderSearch(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhOrderModel>;
    /**
     *
     * @param sessionId
     * @param cardNo
     * @param amount
     */
    adminOrderFindChargeback(params: {
        "sessionId": string;
        "cardNo": string;
        "amount": number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListChargebackSearchResult>;
    /**
     *
     */
    adminOrderRunHourlyTasks(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * AdminOrderApi - object-oriented interface
 */
export declare class AdminOrderApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param fix
     * @param orderGuid
     */
    adminOrderArFindMisallocations(params: {
        "sessionId": string;
        "fix"?: boolean;
        "orderGuid"?: string;
    }, options?: any): Promise<ApiResultListMisallocation>;
    /**
     *
     * @summary Retrieves detail, including bottle info, about a specific order.
     * @param sessionId Admin session id.
     * @param id Order id.
     */
    adminOrderArOrderById(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultNhOrderModel>;
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderCaptureSingle(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultListGuid>;
    /**
     *
     * @param sessionId
     * @param id
     * @param promoCode
     */
    adminOrderArOrderPromoApply(params: {
        "sessionId": string;
        "id": string;
        "promoCode": string;
    }, options?: any): Promise<ApiResultNhOrderModel>;
    /**
     *
     * @summary Updates the order status of one or more order(s).
     * @param sessionId Admin session id.
     * @param details The orders to update (order id and status must be filled in).
     */
    adminOrderArOrderPut(params: {
        "sessionId": string;
        "details": Array<NhOrderModel>;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @param sessionId
     * @param id
     * @param background
     */
    adminOrderArOrderReject(params: {
        "sessionId": string;
        "id": string;
        "background"?: boolean;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderRepick(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultManifestList>;
    /**
     *
     * @summary Gets a list of orders, with paging information. Can also filter the orders based on a search criterion. Bottle  information is not available.
     * @param sessionId Admin session id.
     * @param skip Skip.
     * @param take Take.
     * @param search Search.
     */
    adminOrderArOrderSearch(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): Promise<ApiResultListNhOrderModel>;
    /**
     *
     * @param sessionId
     * @param cardNo
     * @param amount
     */
    adminOrderFindChargeback(params: {
        "sessionId": string;
        "cardNo": string;
        "amount": number;
    }, options?: any): Promise<ApiResultListChargebackSearchResult>;
    /**
     *
     */
    adminOrderRunHourlyTasks(options?: any): Promise<any>;
}
/**
 * AdminOrderApi - factory interface
 */
export declare const AdminOrderApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param fix
     * @param orderGuid
     */
    adminOrderArFindMisallocations(params: {
        "sessionId": string;
        "fix"?: boolean;
        "orderGuid"?: string;
    }, options?: any): Promise<ApiResultListMisallocation>;
    /**
     *
     * @summary Retrieves detail, including bottle info, about a specific order.
     * @param sessionId Admin session id.
     * @param id Order id.
     */
    adminOrderArOrderById(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultNhOrderModel>;
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderCaptureSingle(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultListGuid>;
    /**
     *
     * @param sessionId
     * @param id
     * @param promoCode
     */
    adminOrderArOrderPromoApply(params: {
        "sessionId": string;
        "id": string;
        "promoCode": string;
    }, options?: any): Promise<ApiResultNhOrderModel>;
    /**
     *
     * @summary Updates the order status of one or more order(s).
     * @param sessionId Admin session id.
     * @param details The orders to update (order id and status must be filled in).
     */
    adminOrderArOrderPut(params: {
        "sessionId": string;
        "details": NhOrderModel[];
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @param sessionId
     * @param id
     * @param background
     */
    adminOrderArOrderReject(params: {
        "sessionId": string;
        "id": string;
        "background"?: boolean;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderRepick(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultManifestList>;
    /**
     *
     * @summary Gets a list of orders, with paging information. Can also filter the orders based on a search criterion. Bottle  information is not available.
     * @param sessionId Admin session id.
     * @param skip Skip.
     * @param take Take.
     * @param search Search.
     */
    adminOrderArOrderSearch(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): Promise<ApiResultListNhOrderModel>;
    /**
     *
     * @param sessionId
     * @param cardNo
     * @param amount
     */
    adminOrderFindChargeback(params: {
        "sessionId": string;
        "cardNo": string;
        "amount": number;
    }, options?: any): Promise<ApiResultListChargebackSearchResult>;
    /**
     *
     */
    adminOrderRunHourlyTasks(options?: any): Promise<any>;
};
/**
 * AdminPromoCodeApi - fetch parameter creator
 */
export declare const AdminPromoCodeApiFetchParamCreator: {
    /**
     *
     * @summary Deactivates a promo code so it can't be used.
     * @param sessionId Admin Session ID
     * @param code Promo code to deactivate.
     */
    adminPromoCodeDelete(params: {
        "sessionId": string;
        "code": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets a single promo code, or a list of promo codes.
     * @param sessionId Admin Session ID
     * @param search
     * @param skip
     * @param take
     */
    adminPromoCodeGet(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Creates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePost(params: {
        "sessionId": string;
        "model": NhPromoCodeModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Updates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePut(params: {
        "sessionId": string;
        "model": NhPromoCodeModel;
    }, options?: any): FetchArgs;
};
/**
 * AdminPromoCodeApi - functional programming interface
 */
export declare const AdminPromoCodeApiFp: {
    /**
     *
     * @summary Deactivates a promo code so it can't be used.
     * @param sessionId Admin Session ID
     * @param code Promo code to deactivate.
     */
    adminPromoCodeDelete(params: {
        "sessionId": string;
        "code": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultString>;
    /**
     *
     * @summary Gets a single promo code, or a list of promo codes.
     * @param sessionId Admin Session ID
     * @param search
     * @param skip
     * @param take
     */
    adminPromoCodeGet(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhPromoCodeModel>;
    /**
     *
     * @summary Creates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePost(params: {
        "sessionId": string;
        "model": NhPromoCodeModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhPromoCodeModel>;
    /**
     *
     * @summary Updates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePut(params: {
        "sessionId": string;
        "model": NhPromoCodeModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * AdminPromoCodeApi - object-oriented interface
 */
export declare class AdminPromoCodeApi extends BaseAPI {
    /**
     *
     * @summary Deactivates a promo code so it can't be used.
     * @param sessionId Admin Session ID
     * @param code Promo code to deactivate.
     */
    adminPromoCodeDelete(params: {
        "sessionId": string;
        "code": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @summary Gets a single promo code, or a list of promo codes.
     * @param sessionId Admin Session ID
     * @param search
     * @param skip
     * @param take
     */
    adminPromoCodeGet(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): Promise<ApiResultNhPromoCodeModel>;
    /**
     *
     * @summary Creates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePost(params: {
        "sessionId": string;
        "model": NhPromoCodeModel;
    }, options?: any): Promise<ApiResultNhPromoCodeModel>;
    /**
     *
     * @summary Updates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePut(params: {
        "sessionId": string;
        "model": NhPromoCodeModel;
    }, options?: any): Promise<any>;
}
/**
 * AdminPromoCodeApi - factory interface
 */
export declare const AdminPromoCodeApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @summary Deactivates a promo code so it can't be used.
     * @param sessionId Admin Session ID
     * @param code Promo code to deactivate.
     */
    adminPromoCodeDelete(params: {
        "sessionId": string;
        "code": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @summary Gets a single promo code, or a list of promo codes.
     * @param sessionId Admin Session ID
     * @param search
     * @param skip
     * @param take
     */
    adminPromoCodeGet(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): Promise<ApiResultNhPromoCodeModel>;
    /**
     *
     * @summary Creates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePost(params: {
        "sessionId": string;
        "model": NhPromoCodeModel;
    }, options?: any): Promise<ApiResultNhPromoCodeModel>;
    /**
     *
     * @summary Updates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePut(params: {
        "sessionId": string;
        "model": NhPromoCodeModel;
    }, options?: any): Promise<any>;
};
/**
 * AdminReferralApi - fetch parameter creator
 */
export declare const AdminReferralApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     */
    adminReferralGet(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param userId
     * @param skip
     * @param take
     */
    adminReferralGet_1(params: {
        "sessionId": string;
        "userId": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Sets the referral of user. Doesn't automatically give  the bonus; the bonus must manually be added by the admin if the referred user already made first purchase. If the  referred user later  makes the first purchase, then the system will automatically credit the appropriate awards.
     * @param userGuid User id
     * @param data Email address of user to credit with referral
     */
    adminReferralPost(params: {
        "userGuid": string;
        "data": AdminReferralModel;
    }, options?: any): FetchArgs;
};
/**
 * AdminReferralApi - functional programming interface
 */
export declare const AdminReferralApiFp: {
    /**
     *
     * @param sessionId
     */
    adminReferralGet(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListUserReferralModel>;
    /**
     *
     * @param sessionId
     * @param userId
     * @param skip
     * @param take
     */
    adminReferralGet_1(params: {
        "sessionId": string;
        "userId": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhReferModel[]>;
    /**
     *
     * @summary Sets the referral of user. Doesn't automatically give  the bonus; the bonus must manually be added by the admin if the referred user already made first purchase. If the  referred user later  makes the first purchase, then the system will automatically credit the appropriate awards.
     * @param userGuid User id
     * @param data Email address of user to credit with referral
     */
    adminReferralPost(params: {
        "userGuid": string;
        "data": AdminReferralModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * AdminReferralApi - object-oriented interface
 */
export declare class AdminReferralApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    adminReferralGet(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListUserReferralModel>;
    /**
     *
     * @param sessionId
     * @param userId
     * @param skip
     * @param take
     */
    adminReferralGet_1(params: {
        "sessionId": string;
        "userId": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): Promise<NhReferModel[]>;
    /**
     *
     * @summary Sets the referral of user. Doesn't automatically give  the bonus; the bonus must manually be added by the admin if the referred user already made first purchase. If the  referred user later  makes the first purchase, then the system will automatically credit the appropriate awards.
     * @param userGuid User id
     * @param data Email address of user to credit with referral
     */
    adminReferralPost(params: {
        "userGuid": string;
        "data": AdminReferralModel;
    }, options?: any): Promise<any>;
}
/**
 * AdminReferralApi - factory interface
 */
export declare const AdminReferralApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     */
    adminReferralGet(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListUserReferralModel>;
    /**
     *
     * @param sessionId
     * @param userId
     * @param skip
     * @param take
     */
    adminReferralGet_1(params: {
        "sessionId": string;
        "userId": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): Promise<NhReferModel[]>;
    /**
     *
     * @summary Sets the referral of user. Doesn't automatically give  the bonus; the bonus must manually be added by the admin if the referred user already made first purchase. If the  referred user later  makes the first purchase, then the system will automatically credit the appropriate awards.
     * @param userGuid User id
     * @param data Email address of user to credit with referral
     */
    adminReferralPost(params: {
        "userGuid": string;
        "data": AdminReferralModel;
    }, options?: any): Promise<any>;
};
/**
 * CampaignApi - fetch parameter creator
 */
export declare const CampaignApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param userId
     */
    campaignGet(params: {
        "id": number;
        "userId": number;
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     * @param model
     */
    campaignPostEntry(params: {
        "id": number;
        "model": CampaignEntryModel;
    }, options?: any): FetchArgs;
};
/**
 * CampaignApi - functional programming interface
 */
export declare const CampaignApiFp: {
    /**
     *
     * @param id
     * @param userId
     */
    campaignGet(params: {
        "id": number;
        "userId": number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CampaignApiModel>;
    /**
     *
     * @param id
     * @param model
     */
    campaignPostEntry(params: {
        "id": number;
        "model": CampaignEntryModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * CampaignApi - object-oriented interface
 */
export declare class CampaignApi extends BaseAPI {
    /**
     *
     * @param id
     * @param userId
     */
    campaignGet(params: {
        "id": number;
        "userId": number;
    }, options?: any): Promise<CampaignApiModel>;
    /**
     *
     * @param id
     * @param model
     */
    campaignPostEntry(params: {
        "id": number;
        "model": CampaignEntryModel;
    }, options?: any): Promise<any>;
}
/**
 * CampaignApi - factory interface
 */
export declare const CampaignApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param userId
     */
    campaignGet(params: {
        "id": number;
        "userId": number;
    }, options?: any): Promise<CampaignApiModel>;
    /**
     *
     * @param id
     * @param model
     */
    campaignPostEntry(params: {
        "id": number;
        "model": CampaignEntryModel;
    }, options?: any): Promise<any>;
};
/**
 * CheckoutApiApi - fetch parameter creator
 */
export declare const CheckoutApiApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiCheckDoubleDownEligible(params: {
        "sessionId": string;
        "orderGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Process a checkout operation from subscriptions.
     * @param sessionId Session ID.
     * @param offerSef
     * @param userSubscriptions List of Subscriptions
     */
    checkoutApiCreateOrdersFromSubscriptions(params: {
        "sessionId": string;
        "offerSef": string;
        "userSubscriptions": AutoSubscribeWithUserModel[];
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Process a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostBuyGiftCard(params: {
        "sessionId": string;
        "offerCheckoutInfo": CreditCheckoutModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiPostDoubleDown(params: {
        "sessionId": string;
        "orderGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": OfferCheckoutModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostShipmentFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": CloudCheckoutModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Simulate a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutBuyGiftCard(params: {
        "sessionId": string;
        "offerCheckoutInfo": CreditCheckoutModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": OfferCheckoutModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutShipmentFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": CloudCheckoutModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Check an order for referral.
     * @param sessionId Session ID.
     * @param orderId The order to check.
     */
    checkoutApiReferralCheck(params: {
        "sessionId": string;
        "orderId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Process a checkout operation as new user.
     * @param sessionId
     * @param model
     */
    checkoutApiSignupAndCheckout(params: {
        "sessionId": string;
        "model": NewUserCheckoutModel;
    }, options?: any): FetchArgs;
};
/**
 * CheckoutApiApi - functional programming interface
 */
export declare const CheckoutApiApiFp: {
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiCheckDoubleDownEligible(params: {
        "sessionId": string;
        "orderGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Process a checkout operation from subscriptions.
     * @param sessionId Session ID.
     * @param offerSef
     * @param userSubscriptions List of Subscriptions
     */
    checkoutApiCreateOrdersFromSubscriptions(params: {
        "sessionId": string;
        "offerSef": string;
        "userSubscriptions": AutoSubscribeWithUserModel[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @summary Process a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostBuyGiftCard(params: {
        "sessionId": string;
        "offerCheckoutInfo": CreditCheckoutModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultCreditOrderResult>;
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiPostDoubleDown(params: {
        "sessionId": string;
        "orderGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": OfferCheckoutModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostShipmentFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": CloudCheckoutModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultCloudCheckoutModel>;
    /**
     *
     * @summary Simulate a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutBuyGiftCard(params: {
        "sessionId": string;
        "offerCheckoutInfo": CreditCheckoutModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultCreditOrderResult>;
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": OfferCheckoutModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutShipmentFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": CloudCheckoutModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultCloudCheckoutModel>;
    /**
     *
     * @summary Check an order for referral.
     * @param sessionId Session ID.
     * @param orderId The order to check.
     */
    checkoutApiReferralCheck(params: {
        "sessionId": string;
        "orderId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<string>;
    /**
     *
     * @summary Process a checkout operation as new user.
     * @param sessionId
     * @param model
     */
    checkoutApiSignupAndCheckout(params: {
        "sessionId": string;
        "model": NewUserCheckoutModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOfferCheckoutModel>;
};
/**
 * CheckoutApiApi - object-oriented interface
 */
export declare class CheckoutApiApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiCheckDoubleDownEligible(params: {
        "sessionId": string;
        "orderGuid": string;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Process a checkout operation from subscriptions.
     * @param sessionId Session ID.
     * @param offerSef
     * @param userSubscriptions List of Subscriptions
     */
    checkoutApiCreateOrdersFromSubscriptions(params: {
        "sessionId": string;
        "offerSef": string;
        "userSubscriptions": Array<AutoSubscribeWithUserModel>;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @summary Process a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostBuyGiftCard(params: {
        "sessionId": string;
        "offerCheckoutInfo": CreditCheckoutModel;
    }, options?: any): Promise<ApiResultCreditOrderResult>;
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiPostDoubleDown(params: {
        "sessionId": string;
        "orderGuid": string;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": OfferCheckoutModel;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostShipmentFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": CloudCheckoutModel;
    }, options?: any): Promise<ApiResultCloudCheckoutModel>;
    /**
     *
     * @summary Simulate a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutBuyGiftCard(params: {
        "sessionId": string;
        "offerCheckoutInfo": CreditCheckoutModel;
    }, options?: any): Promise<ApiResultCreditOrderResult>;
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": OfferCheckoutModel;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutShipmentFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": CloudCheckoutModel;
    }, options?: any): Promise<ApiResultCloudCheckoutModel>;
    /**
     *
     * @summary Check an order for referral.
     * @param sessionId Session ID.
     * @param orderId The order to check.
     */
    checkoutApiReferralCheck(params: {
        "sessionId": string;
        "orderId": string;
    }, options?: any): Promise<string>;
    /**
     *
     * @summary Process a checkout operation as new user.
     * @param sessionId
     * @param model
     */
    checkoutApiSignupAndCheckout(params: {
        "sessionId": string;
        "model": NewUserCheckoutModel;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
}
/**
 * CheckoutApiApi - factory interface
 */
export declare const CheckoutApiApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiCheckDoubleDownEligible(params: {
        "sessionId": string;
        "orderGuid": string;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Process a checkout operation from subscriptions.
     * @param sessionId Session ID.
     * @param offerSef
     * @param userSubscriptions List of Subscriptions
     */
    checkoutApiCreateOrdersFromSubscriptions(params: {
        "sessionId": string;
        "offerSef": string;
        "userSubscriptions": AutoSubscribeWithUserModel[];
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @summary Process a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostBuyGiftCard(params: {
        "sessionId": string;
        "offerCheckoutInfo": CreditCheckoutModel;
    }, options?: any): Promise<ApiResultCreditOrderResult>;
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiPostDoubleDown(params: {
        "sessionId": string;
        "orderGuid": string;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": OfferCheckoutModel;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostShipmentFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": CloudCheckoutModel;
    }, options?: any): Promise<ApiResultCloudCheckoutModel>;
    /**
     *
     * @summary Simulate a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutBuyGiftCard(params: {
        "sessionId": string;
        "offerCheckoutInfo": CreditCheckoutModel;
    }, options?: any): Promise<ApiResultCreditOrderResult>;
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": OfferCheckoutModel;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutShipmentFromSessionV3(params: {
        "sessionId": string;
        "offerCheckoutInfo": CloudCheckoutModel;
    }, options?: any): Promise<ApiResultCloudCheckoutModel>;
    /**
     *
     * @summary Check an order for referral.
     * @param sessionId Session ID.
     * @param orderId The order to check.
     */
    checkoutApiReferralCheck(params: {
        "sessionId": string;
        "orderId": string;
    }, options?: any): Promise<string>;
    /**
     *
     * @summary Process a checkout operation as new user.
     * @param sessionId
     * @param model
     */
    checkoutApiSignupAndCheckout(params: {
        "sessionId": string;
        "model": NewUserCheckoutModel;
    }, options?: any): Promise<ApiResultOfferCheckoutModel>;
};
/**
 * DebugApi - fetch parameter creator
 */
export declare const DebugApiFetchParamCreator: {
    /**
     *
     */
    debugGetPoolInfo(options?: any): FetchArgs;
    /**
     *
     */
    debugGetPyFeatures(options?: any): FetchArgs;
};
/**
 * DebugApi - functional programming interface
 */
export declare const DebugApiFp: {
    /**
     *
     */
    debugGetPoolInfo(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     */
    debugGetPyFeatures(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * DebugApi - object-oriented interface
 */
export declare class DebugApi extends BaseAPI {
    /**
     *
     */
    debugGetPoolInfo(options?: any): Promise<any>;
    /**
     *
     */
    debugGetPyFeatures(options?: any): Promise<any>;
}
/**
 * DebugApi - factory interface
 */
export declare const DebugApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     */
    debugGetPoolInfo(options?: any): Promise<any>;
    /**
     *
     */
    debugGetPyFeatures(options?: any): Promise<any>;
};
/**
 * EmailMarketingApi - fetch parameter creator
 */
export declare const EmailMarketingApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGet(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGetAbandoned(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param send
     */
    emailMarketingHandleGetExpiring(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "send"?: boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param email
     * @param unsubCampaignId
     * @param unsubCampaignTitle
     * @param unsubReason
     */
    emailMarketingHandleUnsub(params: {
        "email": string;
        "unsubCampaignId": string;
        "unsubCampaignTitle": string;
        "unsubReason": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param page
     */
    emailMarketingImportDotmailerIds(params: {
        "page": number;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param toEmail
     * @param toName
     */
    emailMarketingSendTest(params: {
        "sessionId": string;
        "toEmail": string;
        "toName": string;
    }, options?: any): FetchArgs;
};
/**
 * EmailMarketingApi - functional programming interface
 */
export declare const EmailMarketingApiFp: {
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGet(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGetAbandoned(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param send
     */
    emailMarketingHandleGetExpiring(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "send"?: boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param email
     * @param unsubCampaignId
     * @param unsubCampaignTitle
     * @param unsubReason
     */
    emailMarketingHandleUnsub(params: {
        "email": string;
        "unsubCampaignId": string;
        "unsubCampaignTitle": string;
        "unsubReason": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param page
     */
    emailMarketingImportDotmailerIds(params: {
        "page": number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param sessionId
     * @param toEmail
     * @param toName
     */
    emailMarketingSendTest(params: {
        "sessionId": string;
        "toEmail": string;
        "toName": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * EmailMarketingApi - object-oriented interface
 */
export declare class EmailMarketingApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGet(params: {
        "sessionId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGetAbandoned(params: {
        "sessionId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param send
     */
    emailMarketingHandleGetExpiring(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "send"?: boolean;
    }, options?: any): Promise<any>;
    /**
     *
     * @param email
     * @param unsubCampaignId
     * @param unsubCampaignTitle
     * @param unsubReason
     */
    emailMarketingHandleUnsub(params: {
        "email": string;
        "unsubCampaignId": string;
        "unsubCampaignTitle": string;
        "unsubReason": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param page
     */
    emailMarketingImportDotmailerIds(params: {
        "page": number;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     * @param toEmail
     * @param toName
     */
    emailMarketingSendTest(params: {
        "sessionId": string;
        "toEmail": string;
        "toName": string;
    }, options?: any): Promise<any>;
}
/**
 * EmailMarketingApi - factory interface
 */
export declare const EmailMarketingApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGet(params: {
        "sessionId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGetAbandoned(params: {
        "sessionId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param send
     */
    emailMarketingHandleGetExpiring(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "send"?: boolean;
    }, options?: any): Promise<any>;
    /**
     *
     * @param email
     * @param unsubCampaignId
     * @param unsubCampaignTitle
     * @param unsubReason
     */
    emailMarketingHandleUnsub(params: {
        "email": string;
        "unsubCampaignId": string;
        "unsubCampaignTitle": string;
        "unsubReason": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param page
     */
    emailMarketingImportDotmailerIds(params: {
        "page": number;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     * @param toEmail
     * @param toName
     */
    emailMarketingSendTest(params: {
        "sessionId": string;
        "toEmail": string;
        "toName": string;
    }, options?: any): Promise<any>;
};
/**
 * InviteApi - fetch parameter creator
 */
export declare const InviteApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     */
    inviteGetInvitations(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param input
     */
    inviteInviteByEmail(params: {
        "sessionId": string;
        "input": InviteByEmailModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param contacts
     */
    inviteInviteContactsByEmail(params: {
        "sessionId": string;
        "contacts": InviteByEmailModel[];
    }, options?: any): FetchArgs;
};
/**
 * InviteApi - functional programming interface
 */
export declare const InviteApiFp: {
    /**
     *
     * @param sessionId
     */
    inviteGetInvitations(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListUserReferralModel>;
    /**
     *
     * @param sessionId
     * @param input
     */
    inviteInviteByEmail(params: {
        "sessionId": string;
        "input": InviteByEmailModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultInviteByEmailModel>;
    /**
     *
     * @param sessionId
     * @param contacts
     */
    inviteInviteContactsByEmail(params: {
        "sessionId": string;
        "contacts": InviteByEmailModel[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListInviteByEmailModel>;
};
/**
 * InviteApi - object-oriented interface
 */
export declare class InviteApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    inviteGetInvitations(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListUserReferralModel>;
    /**
     *
     * @param sessionId
     * @param input
     */
    inviteInviteByEmail(params: {
        "sessionId": string;
        "input": InviteByEmailModel;
    }, options?: any): Promise<ApiResultInviteByEmailModel>;
    /**
     *
     * @param sessionId
     * @param contacts
     */
    inviteInviteContactsByEmail(params: {
        "sessionId": string;
        "contacts": Array<InviteByEmailModel>;
    }, options?: any): Promise<ApiResultListInviteByEmailModel>;
}
/**
 * InviteApi - factory interface
 */
export declare const InviteApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     */
    inviteGetInvitations(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListUserReferralModel>;
    /**
     *
     * @param sessionId
     * @param input
     */
    inviteInviteByEmail(params: {
        "sessionId": string;
        "input": InviteByEmailModel;
    }, options?: any): Promise<ApiResultInviteByEmailModel>;
    /**
     *
     * @param sessionId
     * @param contacts
     */
    inviteInviteContactsByEmail(params: {
        "sessionId": string;
        "contacts": InviteByEmailModel[];
    }, options?: any): Promise<ApiResultListInviteByEmailModel>;
};
/**
 * InvoiceApi - fetch parameter creator
 */
export declare const InvoiceApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param record
     */
    invoiceCreateOrUpdateInvoiceIgnoringItems(params: {
        "sessionId": string;
        "record": NhInvoice;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     */
    invoiceDeleteInvoiceItem(params: {
        "sessionId": string;
        "invGuid": string;
        "invItemGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param sku
     */
    invoiceGetEligibleTransferToLink(params: {
        "sessionId": string;
        "invGuid": string;
        "sku": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param sort
     * @param asc
     */
    invoiceGetInvoiceItemsWithoutTransfer(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
        "sort"?: string;
        "asc"?: boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     */
    invoiceGetTransferItemsWithoutInvoice(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): FetchArgs;
    /**
     *
     * @param adminSessionId
     * @param invoiceGuid
     */
    invoiceInvoiceGetLinkedOffers(params: {
        "adminSessionId": string;
        "invoiceGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     * @param xiGuid
     */
    invoiceLinkInvoiceItemToTransfer(params: {
        "sessionId": string;
        "invGuid": string;
        "invItemGuid": string;
        "xiGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     * @param invoiceGuid
     */
    invoiceLinkOfferInvoice(params: {
        "adminSessionId": string;
        "offerGuid": string;
        "invoiceGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    invoiceListInvoice(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     */
    invoiceOfferGetLinkedInvoices(params: {
        "adminSessionId": string;
        "offerGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param model
     */
    invoiceSaveOrUpdateInvoiceItem(params: {
        "sessionId": string;
        "invGuid": string;
        "model": NhInvoiceItem;
    }, options?: any): FetchArgs;
};
/**
 * InvoiceApi - functional programming interface
 */
export declare const InvoiceApiFp: {
    /**
     *
     * @param sessionId
     * @param record
     */
    invoiceCreateOrUpdateInvoiceIgnoringItems(params: {
        "sessionId": string;
        "record": NhInvoice;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhInvoice>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     */
    invoiceDeleteInvoiceItem(params: {
        "sessionId": string;
        "invGuid": string;
        "invItemGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhInvoiceItem>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param sku
     */
    invoiceGetEligibleTransferToLink(params: {
        "sessionId": string;
        "invGuid": string;
        "sku": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListLinkTransferItem>;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param sort
     * @param asc
     */
    invoiceGetInvoiceItemsWithoutTransfer(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
        "sort"?: string;
        "asc"?: boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListLinkInvoiceItem>;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     */
    invoiceGetTransferItemsWithoutInvoice(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListLinkTransferItem>;
    /**
     *
     * @param adminSessionId
     * @param invoiceGuid
     */
    invoiceInvoiceGetLinkedOffers(params: {
        "adminSessionId": string;
        "invoiceGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultIEnumerableGuid>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     * @param xiGuid
     */
    invoiceLinkInvoiceItemToTransfer(params: {
        "sessionId": string;
        "invGuid": string;
        "invItemGuid": string;
        "xiGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhInvoiceItem>;
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     * @param invoiceGuid
     */
    invoiceLinkOfferInvoice(params: {
        "adminSessionId": string;
        "offerGuid": string;
        "invoiceGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultInt32>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    invoiceListInvoice(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhInvoice>;
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     */
    invoiceOfferGetLinkedInvoices(params: {
        "adminSessionId": string;
        "offerGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultIEnumerableGuid>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param model
     */
    invoiceSaveOrUpdateInvoiceItem(params: {
        "sessionId": string;
        "invGuid": string;
        "model": NhInvoiceItem;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhInvoiceItem>;
};
/**
 * InvoiceApi - object-oriented interface
 */
export declare class InvoiceApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param record
     */
    invoiceCreateOrUpdateInvoiceIgnoringItems(params: {
        "sessionId": string;
        "record": NhInvoice;
    }, options?: any): Promise<ApiResultNhInvoice>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     */
    invoiceDeleteInvoiceItem(params: {
        "sessionId": string;
        "invGuid": string;
        "invItemGuid": string;
    }, options?: any): Promise<ApiResultNhInvoiceItem>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param sku
     */
    invoiceGetEligibleTransferToLink(params: {
        "sessionId": string;
        "invGuid": string;
        "sku": string;
    }, options?: any): Promise<ApiResultListLinkTransferItem>;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param sort
     * @param asc
     */
    invoiceGetInvoiceItemsWithoutTransfer(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
        "sort"?: string;
        "asc"?: boolean;
    }, options?: any): Promise<ApiResultListLinkInvoiceItem>;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     */
    invoiceGetTransferItemsWithoutInvoice(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): Promise<ApiResultListLinkTransferItem>;
    /**
     *
     * @param adminSessionId
     * @param invoiceGuid
     */
    invoiceInvoiceGetLinkedOffers(params: {
        "adminSessionId": string;
        "invoiceGuid": string;
    }, options?: any): Promise<ApiResultIEnumerableGuid>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     * @param xiGuid
     */
    invoiceLinkInvoiceItemToTransfer(params: {
        "sessionId": string;
        "invGuid": string;
        "invItemGuid": string;
        "xiGuid": string;
    }, options?: any): Promise<ApiResultNhInvoiceItem>;
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     * @param invoiceGuid
     */
    invoiceLinkOfferInvoice(params: {
        "adminSessionId": string;
        "offerGuid": string;
        "invoiceGuid": string;
    }, options?: any): Promise<ApiResultInt32>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    invoiceListInvoice(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): Promise<ApiResultListNhInvoice>;
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     */
    invoiceOfferGetLinkedInvoices(params: {
        "adminSessionId": string;
        "offerGuid": string;
    }, options?: any): Promise<ApiResultIEnumerableGuid>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param model
     */
    invoiceSaveOrUpdateInvoiceItem(params: {
        "sessionId": string;
        "invGuid": string;
        "model": NhInvoiceItem;
    }, options?: any): Promise<ApiResultNhInvoiceItem>;
}
/**
 * InvoiceApi - factory interface
 */
export declare const InvoiceApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param record
     */
    invoiceCreateOrUpdateInvoiceIgnoringItems(params: {
        "sessionId": string;
        "record": NhInvoice;
    }, options?: any): Promise<ApiResultNhInvoice>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     */
    invoiceDeleteInvoiceItem(params: {
        "sessionId": string;
        "invGuid": string;
        "invItemGuid": string;
    }, options?: any): Promise<ApiResultNhInvoiceItem>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param sku
     */
    invoiceGetEligibleTransferToLink(params: {
        "sessionId": string;
        "invGuid": string;
        "sku": string;
    }, options?: any): Promise<ApiResultListLinkTransferItem>;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param sort
     * @param asc
     */
    invoiceGetInvoiceItemsWithoutTransfer(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
        "sort"?: string;
        "asc"?: boolean;
    }, options?: any): Promise<ApiResultListLinkInvoiceItem>;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     */
    invoiceGetTransferItemsWithoutInvoice(params: {
        "sessionId": string;
        "search": string;
        "skip"?: number;
        "take"?: number;
    }, options?: any): Promise<ApiResultListLinkTransferItem>;
    /**
     *
     * @param adminSessionId
     * @param invoiceGuid
     */
    invoiceInvoiceGetLinkedOffers(params: {
        "adminSessionId": string;
        "invoiceGuid": string;
    }, options?: any): Promise<ApiResultIEnumerableGuid>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     * @param xiGuid
     */
    invoiceLinkInvoiceItemToTransfer(params: {
        "sessionId": string;
        "invGuid": string;
        "invItemGuid": string;
        "xiGuid": string;
    }, options?: any): Promise<ApiResultNhInvoiceItem>;
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     * @param invoiceGuid
     */
    invoiceLinkOfferInvoice(params: {
        "adminSessionId": string;
        "offerGuid": string;
        "invoiceGuid": string;
    }, options?: any): Promise<ApiResultInt32>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    invoiceListInvoice(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): Promise<ApiResultListNhInvoice>;
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     */
    invoiceOfferGetLinkedInvoices(params: {
        "adminSessionId": string;
        "offerGuid": string;
    }, options?: any): Promise<ApiResultIEnumerableGuid>;
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param model
     */
    invoiceSaveOrUpdateInvoiceItem(params: {
        "sessionId": string;
        "invGuid": string;
        "model": NhInvoiceItem;
    }, options?: any): Promise<ApiResultNhInvoiceItem>;
};
/**
 * ItemDetailApi - fetch parameter creator
 */
export declare const ItemDetailApiFetchParamCreator: {
    /**
     *
     * @param content
     */
    itemDetailDelete(params: {
        "content": ItemDetailEntity;
    }, options?: any): FetchArgs;
    /**
     *
     * @param itemSef
     */
    itemDetailGetBySefOrSku(params: {
        "itemSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param details
     */
    itemDetailHttpBulkUpdateItemDetail(params: {
        "sessionId": string;
        "details": ItemDetailBulkUpdate;
    }, options?: any): FetchArgs;
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param brand
     * @param mlMin
     * @param mlMax
     * @param priceMin
     * @param priceMax
     * @param priceBucket
     */
    itemDetailListItemDetail(params: {
        "search"?: string;
        "skip"?: number;
        "take"?: number;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "brand"?: string;
        "mlMin"?: number;
        "mlMax"?: number;
        "priceMin"?: number;
        "priceMax"?: number;
        "priceBucket"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param onlyBuyable
     * @param priceMin
     * @param priceMax
     */
    itemDetailListItemDetailWithSku(params: {
        "search"?: string;
        "skip"?: number;
        "take"?: number;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "onlyBuyable"?: boolean;
        "priceMin"?: number;
        "priceMax"?: number;
    }, options?: any): FetchArgs;
    /**
     *
     * @param input
     */
    itemDetailMergeItemDetailHandler(params: {
        "input": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param content
     */
    itemDetailPost(params: {
        "content": ItemDetailEntity;
    }, options?: any): FetchArgs;
    /**
     *
     * @param file
     */
    itemDetailPostItemDetailUploadImage(params: {
        "file": any;
    }, options?: any): FetchArgs;
    /**
     *
     * @param content
     */
    itemDetailPostV3(params: {
        "content": ItemDetailEntity;
    }, options?: any): FetchArgs;
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPut(params: {
        "itemSef": string;
        "content": ItemDetailEntity;
    }, options?: any): FetchArgs;
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPutV3(params: {
        "itemSef": string;
        "content": ItemDetailEntity;
    }, options?: any): FetchArgs;
};
/**
 * ItemDetailApi - functional programming interface
 */
export declare const ItemDetailApiFp: {
    /**
     *
     * @param content
     */
    itemDetailDelete(params: {
        "content": ItemDetailEntity;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param itemSef
     */
    itemDetailGetBySefOrSku(params: {
        "itemSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ItemDetailEntity>;
    /**
     *
     * @param sessionId
     * @param details
     */
    itemDetailHttpBulkUpdateItemDetail(params: {
        "sessionId": string;
        "details": ItemDetailBulkUpdate;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListItemDetailEntity>;
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param brand
     * @param mlMin
     * @param mlMax
     * @param priceMin
     * @param priceMax
     * @param priceBucket
     */
    itemDetailListItemDetail(params: {
        "search"?: string;
        "skip"?: number;
        "take"?: number;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "brand"?: string;
        "mlMin"?: number;
        "mlMax"?: number;
        "priceMin"?: number;
        "priceMax"?: number;
        "priceBucket"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultAttributedItemList>;
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param onlyBuyable
     * @param priceMin
     * @param priceMax
     */
    itemDetailListItemDetailWithSku(params: {
        "search"?: string;
        "skip"?: number;
        "take"?: number;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "onlyBuyable"?: boolean;
        "priceMin"?: number;
        "priceMax"?: number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultAttributedItemList>;
    /**
     *
     * @param input
     */
    itemDetailMergeItemDetailHandler(params: {
        "input": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param content
     */
    itemDetailPost(params: {
        "content": ItemDetailEntity;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ItemDetailEntity>;
    /**
     *
     * @param file
     */
    itemDetailPostItemDetailUploadImage(params: {
        "file": any;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<string>;
    /**
     *
     * @param content
     */
    itemDetailPostV3(params: {
        "content": ItemDetailEntity;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultItemDetailEntity>;
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPut(params: {
        "itemSef": string;
        "content": ItemDetailEntity;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ItemDetailEntity>;
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPutV3(params: {
        "itemSef": string;
        "content": ItemDetailEntity;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultItemDetailEntity>;
};
/**
 * ItemDetailApi - object-oriented interface
 */
export declare class ItemDetailApi extends BaseAPI {
    /**
     *
     * @param content
     */
    itemDetailDelete(params: {
        "content": ItemDetailEntity;
    }, options?: any): Promise<any>;
    /**
     *
     * @param itemSef
     */
    itemDetailGetBySefOrSku(params: {
        "itemSef": string;
    }, options?: any): Promise<ItemDetailEntity>;
    /**
     *
     * @param sessionId
     * @param details
     */
    itemDetailHttpBulkUpdateItemDetail(params: {
        "sessionId": string;
        "details": ItemDetailBulkUpdate;
    }, options?: any): Promise<ApiResultListItemDetailEntity>;
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param brand
     * @param mlMin
     * @param mlMax
     * @param priceMin
     * @param priceMax
     * @param priceBucket
     */
    itemDetailListItemDetail(params: {
        "search"?: string;
        "skip"?: number;
        "take"?: number;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "brand"?: string;
        "mlMin"?: number;
        "mlMax"?: number;
        "priceMin"?: number;
        "priceMax"?: number;
        "priceBucket"?: string;
    }, options?: any): Promise<ApiResultAttributedItemList>;
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param onlyBuyable
     * @param priceMin
     * @param priceMax
     */
    itemDetailListItemDetailWithSku(params: {
        "search"?: string;
        "skip"?: number;
        "take"?: number;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "onlyBuyable"?: boolean;
        "priceMin"?: number;
        "priceMax"?: number;
    }, options?: any): Promise<ApiResultAttributedItemList>;
    /**
     *
     * @param input
     */
    itemDetailMergeItemDetailHandler(params: {
        "input": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param content
     */
    itemDetailPost(params: {
        "content": ItemDetailEntity;
    }, options?: any): Promise<ItemDetailEntity>;
    /**
     *
     * @param file
     */
    itemDetailPostItemDetailUploadImage(params: {
        "file": any;
    }, options?: any): Promise<string>;
    /**
     *
     * @param content
     */
    itemDetailPostV3(params: {
        "content": ItemDetailEntity;
    }, options?: any): Promise<ApiResultItemDetailEntity>;
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPut(params: {
        "itemSef": string;
        "content": ItemDetailEntity;
    }, options?: any): Promise<ItemDetailEntity>;
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPutV3(params: {
        "itemSef": string;
        "content": ItemDetailEntity;
    }, options?: any): Promise<ApiResultItemDetailEntity>;
}
/**
 * ItemDetailApi - factory interface
 */
export declare const ItemDetailApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param content
     */
    itemDetailDelete(params: {
        "content": ItemDetailEntity;
    }, options?: any): Promise<any>;
    /**
     *
     * @param itemSef
     */
    itemDetailGetBySefOrSku(params: {
        "itemSef": string;
    }, options?: any): Promise<ItemDetailEntity>;
    /**
     *
     * @param sessionId
     * @param details
     */
    itemDetailHttpBulkUpdateItemDetail(params: {
        "sessionId": string;
        "details": ItemDetailBulkUpdate;
    }, options?: any): Promise<ApiResultListItemDetailEntity>;
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param brand
     * @param mlMin
     * @param mlMax
     * @param priceMin
     * @param priceMax
     * @param priceBucket
     */
    itemDetailListItemDetail(params: {
        "search"?: string;
        "skip"?: number;
        "take"?: number;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "brand"?: string;
        "mlMin"?: number;
        "mlMax"?: number;
        "priceMin"?: number;
        "priceMax"?: number;
        "priceBucket"?: string;
    }, options?: any): Promise<ApiResultAttributedItemList>;
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param onlyBuyable
     * @param priceMin
     * @param priceMax
     */
    itemDetailListItemDetailWithSku(params: {
        "search"?: string;
        "skip"?: number;
        "take"?: number;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "onlyBuyable"?: boolean;
        "priceMin"?: number;
        "priceMax"?: number;
    }, options?: any): Promise<ApiResultAttributedItemList>;
    /**
     *
     * @param input
     */
    itemDetailMergeItemDetailHandler(params: {
        "input": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param content
     */
    itemDetailPost(params: {
        "content": ItemDetailEntity;
    }, options?: any): Promise<ItemDetailEntity>;
    /**
     *
     * @param file
     */
    itemDetailPostItemDetailUploadImage(params: {
        "file": any;
    }, options?: any): Promise<string>;
    /**
     *
     * @param content
     */
    itemDetailPostV3(params: {
        "content": ItemDetailEntity;
    }, options?: any): Promise<ApiResultItemDetailEntity>;
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPut(params: {
        "itemSef": string;
        "content": ItemDetailEntity;
    }, options?: any): Promise<ItemDetailEntity>;
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPutV3(params: {
        "itemSef": string;
        "content": ItemDetailEntity;
    }, options?: any): Promise<ApiResultItemDetailEntity>;
};
/**
 * KeyMetricsApi - fetch parameter creator
 */
export declare const KeyMetricsApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     */
    keyMetricsGet(params: {
        "sessionId": string;
        "startDate": Date;
        "endDate": Date;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportBuyToShip(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportOfferStats(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param reportName
     * @param startDate
     * @param endDate
     */
    keyMetricsGetAdminReportOfferStats_1(params: {
        "sessionId": string;
        "reportName": string;
        "startDate"?: Date;
        "endDate"?: Date;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromo(params: {
        "sessionId": string;
        "promoCode": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromoUsers(params: {
        "sessionId": string;
        "promoCode": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetCohortAnalysis(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param startMonth
     * @param startYear
     * @param minLifeSpend
     */
    keyMetricsGetCohortsByFirstOrder(params: {
        "sessionId": string;
        "startMonth": number;
        "startYear": number;
        "minLifeSpend": number;
    }, options?: any): FetchArgs;
};
/**
 * KeyMetricsApi - functional programming interface
 */
export declare const KeyMetricsApiFp: {
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     */
    keyMetricsGet(params: {
        "sessionId": string;
        "startDate": Date;
        "endDate": Date;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListKpiItem>;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportBuyToShip(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportOfferStats(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListString>;
    /**
     *
     * @param sessionId
     * @param reportName
     * @param startDate
     * @param endDate
     */
    keyMetricsGetAdminReportOfferStats_1(params: {
        "sessionId": string;
        "reportName": string;
        "startDate"?: Date;
        "endDate"?: Date;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListString>;
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromo(params: {
        "sessionId": string;
        "promoCode": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromoUsers(params: {
        "sessionId": string;
        "promoCode": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhUserModel>;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetCohortAnalysis(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhUserOrderCohort>;
    /**
     *
     * @param sessionId
     * @param startMonth
     * @param startYear
     * @param minLifeSpend
     */
    keyMetricsGetCohortsByFirstOrder(params: {
        "sessionId": string;
        "startMonth": number;
        "startYear": number;
        "minLifeSpend": number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultTimeSeriesCohortSummary>;
};
/**
 * KeyMetricsApi - object-oriented interface
 */
export declare class KeyMetricsApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     */
    keyMetricsGet(params: {
        "sessionId": string;
        "startDate": Date;
        "endDate": Date;
    }, options?: any): Promise<ApiResultListKpiItem>;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportBuyToShip(params: {
        "sessionId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportOfferStats(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListString>;
    /**
     *
     * @param sessionId
     * @param reportName
     * @param startDate
     * @param endDate
     */
    keyMetricsGetAdminReportOfferStats_1(params: {
        "sessionId": string;
        "reportName": string;
        "startDate"?: Date;
        "endDate"?: Date;
    }, options?: any): Promise<ApiResultListString>;
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromo(params: {
        "sessionId": string;
        "promoCode": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromoUsers(params: {
        "sessionId": string;
        "promoCode": string;
    }, options?: any): Promise<ApiResultListNhUserModel>;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetCohortAnalysis(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhUserOrderCohort>;
    /**
     *
     * @param sessionId
     * @param startMonth
     * @param startYear
     * @param minLifeSpend
     */
    keyMetricsGetCohortsByFirstOrder(params: {
        "sessionId": string;
        "startMonth": number;
        "startYear": number;
        "minLifeSpend": number;
    }, options?: any): Promise<ApiResultTimeSeriesCohortSummary>;
}
/**
 * KeyMetricsApi - factory interface
 */
export declare const KeyMetricsApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     */
    keyMetricsGet(params: {
        "sessionId": string;
        "startDate": Date;
        "endDate": Date;
    }, options?: any): Promise<ApiResultListKpiItem>;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportBuyToShip(params: {
        "sessionId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportOfferStats(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListString>;
    /**
     *
     * @param sessionId
     * @param reportName
     * @param startDate
     * @param endDate
     */
    keyMetricsGetAdminReportOfferStats_1(params: {
        "sessionId": string;
        "reportName": string;
        "startDate"?: Date;
        "endDate"?: Date;
    }, options?: any): Promise<ApiResultListString>;
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromo(params: {
        "sessionId": string;
        "promoCode": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromoUsers(params: {
        "sessionId": string;
        "promoCode": string;
    }, options?: any): Promise<ApiResultListNhUserModel>;
    /**
     *
     * @param sessionId
     */
    keyMetricsGetCohortAnalysis(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhUserOrderCohort>;
    /**
     *
     * @param sessionId
     * @param startMonth
     * @param startYear
     * @param minLifeSpend
     */
    keyMetricsGetCohortsByFirstOrder(params: {
        "sessionId": string;
        "startMonth": number;
        "startYear": number;
        "minLifeSpend": number;
    }, options?: any): Promise<ApiResultTimeSeriesCohortSummary>;
};
/**
 * ManifestAdminApi - fetch parameter creator
 */
export declare const ManifestAdminApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param manifestId
     * @param isSuspended
     * @param shouldCredit
     * @param reason
     * @param replaceWith
     * @param sendEmail
     * @param sendTo
     */
    manifestAdminGetSuspend(params: {
        "sessionId": string;
        "manifestId": string;
        "isSuspended": boolean;
        "shouldCredit": boolean;
        "reason": string;
        "replaceWith"?: string;
        "sendEmail"?: boolean;
        "sendTo"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param filters
     */
    manifestAdminGetUserManifests(params: {
        "sessionId": string;
        "filters": ManifestFilter;
    }, options?: any): FetchArgs;
};
/**
 * ManifestAdminApi - functional programming interface
 */
export declare const ManifestAdminApiFp: {
    /**
     *
     * @param sessionId
     * @param manifestId
     * @param isSuspended
     * @param shouldCredit
     * @param reason
     * @param replaceWith
     * @param sendEmail
     * @param sendTo
     */
    manifestAdminGetSuspend(params: {
        "sessionId": string;
        "manifestId": string;
        "isSuspended": boolean;
        "shouldCredit": boolean;
        "reason": string;
        "replaceWith"?: string;
        "sendEmail"?: boolean;
        "sendTo"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param filters
     */
    manifestAdminGetUserManifests(params: {
        "sessionId": string;
        "filters": ManifestFilter;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListPgCloudCellarRecord>;
};
/**
 * ManifestAdminApi - object-oriented interface
 */
export declare class ManifestAdminApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param manifestId
     * @param isSuspended
     * @param shouldCredit
     * @param reason
     * @param replaceWith
     * @param sendEmail
     * @param sendTo
     */
    manifestAdminGetSuspend(params: {
        "sessionId": string;
        "manifestId": string;
        "isSuspended": boolean;
        "shouldCredit": boolean;
        "reason": string;
        "replaceWith"?: string;
        "sendEmail"?: boolean;
        "sendTo"?: string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param filters
     */
    manifestAdminGetUserManifests(params: {
        "sessionId": string;
        "filters": ManifestFilter;
    }, options?: any): Promise<ApiResultListPgCloudCellarRecord>;
}
/**
 * ManifestAdminApi - factory interface
 */
export declare const ManifestAdminApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param manifestId
     * @param isSuspended
     * @param shouldCredit
     * @param reason
     * @param replaceWith
     * @param sendEmail
     * @param sendTo
     */
    manifestAdminGetSuspend(params: {
        "sessionId": string;
        "manifestId": string;
        "isSuspended": boolean;
        "shouldCredit": boolean;
        "reason": string;
        "replaceWith"?: string;
        "sendEmail"?: boolean;
        "sendTo"?: string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param filters
     */
    manifestAdminGetUserManifests(params: {
        "sessionId": string;
        "filters": ManifestFilter;
    }, options?: any): Promise<ApiResultListPgCloudCellarRecord>;
};
/**
 * MidtierCloudCellarApi - fetch parameter creator
 */
export declare const MidtierCloudCellarApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param sku
     * @param userEmail
     */
    midtierCloudCellarCloudCellarAdd(params: {
        "sessionId": string;
        "sku": string;
        "userEmail": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param search
     */
    midtierCloudCellarGetApiCloudcellarSearch(params: {
        "search": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userName
     * @param search
     * @param appellation
     * @param varietal
     * @param region
     * @param shipStatus
     */
    midtierCloudCellarGetV2(params: {
        "userName": string;
        "search"?: string;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "shipStatus"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param prize
     */
    midtierCloudCellarHandleClaimPrize(params: {
        "sessionId": string;
        "prize": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    midtierCloudCellarHandleGetLetters(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
};
/**
 * MidtierCloudCellarApi - functional programming interface
 */
export declare const MidtierCloudCellarApiFp: {
    /**
     *
     * @param sessionId
     * @param sku
     * @param userEmail
     */
    midtierCloudCellarCloudCellarAdd(params: {
        "sessionId": string;
        "sku": string;
        "userEmail": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultManifestList>;
    /**
     *
     * @param search
     */
    midtierCloudCellarGetApiCloudcellarSearch(params: {
        "search": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListPgCloudCellarRecord>;
    /**
     *
     * @param userName
     * @param search
     * @param appellation
     * @param varietal
     * @param region
     * @param shipStatus
     */
    midtierCloudCellarGetV2(params: {
        "userName": string;
        "search"?: string;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "shipStatus"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCellarV2>;
    /**
     *
     * @param sessionId
     * @param prize
     */
    midtierCloudCellarHandleClaimPrize(params: {
        "sessionId": string;
        "prize": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<WordGame>;
    /**
     *
     * @param sessionId
     */
    midtierCloudCellarHandleGetLetters(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<WordGame>;
};
/**
 * MidtierCloudCellarApi - object-oriented interface
 */
export declare class MidtierCloudCellarApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param sku
     * @param userEmail
     */
    midtierCloudCellarCloudCellarAdd(params: {
        "sessionId": string;
        "sku": string;
        "userEmail": string;
    }, options?: any): Promise<ApiResultManifestList>;
    /**
     *
     * @param search
     */
    midtierCloudCellarGetApiCloudcellarSearch(params: {
        "search": string;
    }, options?: any): Promise<ApiResultListPgCloudCellarRecord>;
    /**
     *
     * @param userName
     * @param search
     * @param appellation
     * @param varietal
     * @param region
     * @param shipStatus
     */
    midtierCloudCellarGetV2(params: {
        "userName": string;
        "search"?: string;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "shipStatus"?: string;
    }, options?: any): Promise<CloudCellarV2>;
    /**
     *
     * @param sessionId
     * @param prize
     */
    midtierCloudCellarHandleClaimPrize(params: {
        "sessionId": string;
        "prize": string;
    }, options?: any): Promise<WordGame>;
    /**
     *
     * @param sessionId
     */
    midtierCloudCellarHandleGetLetters(params: {
        "sessionId": string;
    }, options?: any): Promise<WordGame>;
}
/**
 * MidtierCloudCellarApi - factory interface
 */
export declare const MidtierCloudCellarApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param sku
     * @param userEmail
     */
    midtierCloudCellarCloudCellarAdd(params: {
        "sessionId": string;
        "sku": string;
        "userEmail": string;
    }, options?: any): Promise<ApiResultManifestList>;
    /**
     *
     * @param search
     */
    midtierCloudCellarGetApiCloudcellarSearch(params: {
        "search": string;
    }, options?: any): Promise<ApiResultListPgCloudCellarRecord>;
    /**
     *
     * @param userName
     * @param search
     * @param appellation
     * @param varietal
     * @param region
     * @param shipStatus
     */
    midtierCloudCellarGetV2(params: {
        "userName": string;
        "search"?: string;
        "appellation"?: string;
        "varietal"?: string;
        "region"?: string;
        "shipStatus"?: string;
    }, options?: any): Promise<CloudCellarV2>;
    /**
     *
     * @param sessionId
     * @param prize
     */
    midtierCloudCellarHandleClaimPrize(params: {
        "sessionId": string;
        "prize": string;
    }, options?: any): Promise<WordGame>;
    /**
     *
     * @param sessionId
     */
    midtierCloudCellarHandleGetLetters(params: {
        "sessionId": string;
    }, options?: any): Promise<WordGame>;
};
/**
 * OfferApi - fetch parameter creator
 */
export declare const OfferApiFetchParamCreator: {
    /**
     *
     * @param sku
     * @param sessionId
     * @param cogs
     * @param qty
     */
    offerApplySkuCogs(params: {
        "sku": string;
        "sessionId": string;
        "cogs": number;
        "qty": number;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param cacheKey
     */
    offerGetDetail(params: {
        "offerSef": string;
        "cacheKey"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     */
    offerGetLiveFeed(params: {
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sku
     * @param sessionId
     */
    offerGetManifestsBySku(params: {
        "sku": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     */
    offerHandleListAppellation(options?: any): FetchArgs;
    /**
     *
     */
    offerHandleListRegion(options?: any): FetchArgs;
    /**
     *
     * @param targetOfferSef
     * @param sourceOfferSef
     * @param sessionId
     */
    offerHttpCopyItemGroups(params: {
        "targetOfferSef": string;
        "sourceOfferSef": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpDeleteAdminV2OfferItemGroupById(params: {
        "offerSef": string;
        "id": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param search
     * @param sessionId
     * @param skip
     * @param take
     * @param subEnabled
     * @param category
     */
    offerHttpGetAdminV2Offer(params: {
        "search": string;
        "sessionId": string;
        "skip": number;
        "take": number;
        "subEnabled": boolean;
        "category": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpGetAdminV2OfferItemGroup(params: {
        "offerSef": string;
        "id": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferManifest(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferOverview(params: {
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSef(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferSkuList(params: {
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSkuSales(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param entity
     * @param sessionId
     */
    offerHttpPostAdminV2Offer(params: {
        "entity": OfferV2Entity;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param itemGroupToAdd
     * @param sessionId
     */
    offerHttpPostAdminV2OfferSkuList(params: {
        "offerSef": string;
        "itemGroupToAdd": NhItemGroupEntity;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param id
     * @param itemGroup
     * @param sessionId
     */
    offerHttpPutAdminV2OfferItemGroup(params: {
        "offerSef": string;
        "id": string;
        "itemGroup": NhItemGroupEntity;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param model
     * @param sessionId
     */
    offerHttpPutAdminV2OfferSef(params: {
        "offerSef": string;
        "model": OfferV2Entity;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     * @param skuFilter
     */
    offerHttpTaxRecords(params: {
        "sessionId": string;
        "startDate": string;
        "endDate": string;
        "skuFilter": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param sessionId
     * @param items
     * @param isTest
     */
    offerItemGroupBulkLoad(params: {
        "offerSef": string;
        "sessionId": string;
        "items": NhItemGroupViewEntity[];
        "isTest": boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param filter
     * @param skip
     * @param take
     * @param forcePopulate
     * @param search
     */
    offerOfferListHandler(params: {
        "sessionId"?: string;
        "filter"?: boolean;
        "skip"?: number;
        "take"?: number;
        "forcePopulate"?: boolean;
        "search"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSearch
     * @param sessionId
     */
    offerSearchOffers(params: {
        "offerSearch": OfferSearch;
        "sessionId": string;
    }, options?: any): FetchArgs;
};
/**
 * OfferApi - functional programming interface
 */
export declare const OfferApiFp: {
    /**
     *
     * @param sku
     * @param sessionId
     * @param cogs
     * @param qty
     */
    offerApplySkuCogs(params: {
        "sku": string;
        "sessionId": string;
        "cogs": number;
        "qty": number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultManifestList>;
    /**
     *
     * @param offerSef
     * @param cacheKey
     */
    offerGetDetail(params: {
        "offerSef": string;
        "cacheKey"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferV2Entity>;
    /**
     *
     * @param offerSef
     */
    offerGetLiveFeed(params: {
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<LiveFeedItem[]>;
    /**
     *
     * @param sku
     * @param sessionId
     */
    offerGetManifestsBySku(params: {
        "sku": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListOfferV2AdminManifest>;
    /**
     *
     */
    offerHandleListAppellation(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<string[]>;
    /**
     *
     */
    offerHandleListRegion(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<string[]>;
    /**
     *
     * @param targetOfferSef
     * @param sourceOfferSef
     * @param sessionId
     */
    offerHttpCopyItemGroups(params: {
        "targetOfferSef": string;
        "sourceOfferSef": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferV2Entity>;
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpDeleteAdminV2OfferItemGroupById(params: {
        "offerSef": string;
        "id": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param search
     * @param sessionId
     * @param skip
     * @param take
     * @param subEnabled
     * @param category
     */
    offerHttpGetAdminV2Offer(params: {
        "search": string;
        "sessionId": string;
        "skip": number;
        "take": number;
        "subEnabled": boolean;
        "category": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListOfferV2Entity>;
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpGetAdminV2OfferItemGroup(params: {
        "offerSef": string;
        "id": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhItemGroupEntity>;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferManifest(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListOfferV2AdminManifest>;
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferOverview(params: {
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AdminOfferOverviewModel>;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSef(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferV2Entity>;
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferSkuList(params: {
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhItemGroupEntity[]>;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSkuSales(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListSkuSale>;
    /**
     *
     * @param entity
     * @param sessionId
     */
    offerHttpPostAdminV2Offer(params: {
        "entity": OfferV2Entity;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOfferV2Entity>;
    /**
     *
     * @param offerSef
     * @param itemGroupToAdd
     * @param sessionId
     */
    offerHttpPostAdminV2OfferSkuList(params: {
        "offerSef": string;
        "itemGroupToAdd": NhItemGroupEntity;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhItemGroupEntity>;
    /**
     *
     * @param offerSef
     * @param id
     * @param itemGroup
     * @param sessionId
     */
    offerHttpPutAdminV2OfferItemGroup(params: {
        "offerSef": string;
        "id": string;
        "itemGroup": NhItemGroupEntity;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhItemGroupEntity>;
    /**
     *
     * @param offerSef
     * @param model
     * @param sessionId
     */
    offerHttpPutAdminV2OfferSef(params: {
        "offerSef": string;
        "model": OfferV2Entity;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOfferV2Entity>;
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     * @param skuFilter
     */
    offerHttpTaxRecords(params: {
        "sessionId": string;
        "startDate": string;
        "endDate": string;
        "skuFilter": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListTaxReportRecord>;
    /**
     *
     * @param offerSef
     * @param sessionId
     * @param items
     * @param isTest
     */
    offerItemGroupBulkLoad(params: {
        "offerSef": string;
        "sessionId": string;
        "items": NhItemGroupViewEntity[];
        "isTest": boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhItemGroupViewEntity>;
    /**
     *
     * @param sessionId
     * @param filter
     * @param skip
     * @param take
     * @param forcePopulate
     * @param search
     */
    offerOfferListHandler(params: {
        "sessionId"?: string;
        "filter"?: boolean;
        "skip"?: number;
        "take"?: number;
        "forcePopulate"?: boolean;
        "search"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferV2Entity[]>;
    /**
     *
     * @param offerSearch
     * @param sessionId
     */
    offerSearchOffers(params: {
        "offerSearch": OfferSearch;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListOfferV2Entity>;
};
/**
 * OfferApi - object-oriented interface
 */
export declare class OfferApi extends BaseAPI {
    /**
     *
     * @param sku
     * @param sessionId
     * @param cogs
     * @param qty
     */
    offerApplySkuCogs(params: {
        "sku": string;
        "sessionId": string;
        "cogs": number;
        "qty": number;
    }, options?: any): Promise<ApiResultManifestList>;
    /**
     *
     * @param offerSef
     * @param cacheKey
     */
    offerGetDetail(params: {
        "offerSef": string;
        "cacheKey"?: string;
    }, options?: any): Promise<OfferV2Entity>;
    /**
     *
     * @param offerSef
     */
    offerGetLiveFeed(params: {
        "offerSef": string;
    }, options?: any): Promise<LiveFeedItem[]>;
    /**
     *
     * @param sku
     * @param sessionId
     */
    offerGetManifestsBySku(params: {
        "sku": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListOfferV2AdminManifest>;
    /**
     *
     */
    offerHandleListAppellation(options?: any): Promise<string[]>;
    /**
     *
     */
    offerHandleListRegion(options?: any): Promise<string[]>;
    /**
     *
     * @param targetOfferSef
     * @param sourceOfferSef
     * @param sessionId
     */
    offerHttpCopyItemGroups(params: {
        "targetOfferSef": string;
        "sourceOfferSef": string;
        "sessionId": string;
    }, options?: any): Promise<OfferV2Entity>;
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpDeleteAdminV2OfferItemGroupById(params: {
        "offerSef": string;
        "id": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param search
     * @param sessionId
     * @param skip
     * @param take
     * @param subEnabled
     * @param category
     */
    offerHttpGetAdminV2Offer(params: {
        "search": string;
        "sessionId": string;
        "skip": number;
        "take": number;
        "subEnabled": boolean;
        "category": string;
    }, options?: any): Promise<ApiResultListOfferV2Entity>;
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpGetAdminV2OfferItemGroup(params: {
        "offerSef": string;
        "id": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhItemGroupEntity>;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferManifest(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListOfferV2AdminManifest>;
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferOverview(params: {
        "offerSef": string;
    }, options?: any): Promise<AdminOfferOverviewModel>;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSef(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): Promise<OfferV2Entity>;
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferSkuList(params: {
        "offerSef": string;
    }, options?: any): Promise<NhItemGroupEntity[]>;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSkuSales(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListSkuSale>;
    /**
     *
     * @param entity
     * @param sessionId
     */
    offerHttpPostAdminV2Offer(params: {
        "entity": OfferV2Entity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultOfferV2Entity>;
    /**
     *
     * @param offerSef
     * @param itemGroupToAdd
     * @param sessionId
     */
    offerHttpPostAdminV2OfferSkuList(params: {
        "offerSef": string;
        "itemGroupToAdd": NhItemGroupEntity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhItemGroupEntity>;
    /**
     *
     * @param offerSef
     * @param id
     * @param itemGroup
     * @param sessionId
     */
    offerHttpPutAdminV2OfferItemGroup(params: {
        "offerSef": string;
        "id": string;
        "itemGroup": NhItemGroupEntity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhItemGroupEntity>;
    /**
     *
     * @param offerSef
     * @param model
     * @param sessionId
     */
    offerHttpPutAdminV2OfferSef(params: {
        "offerSef": string;
        "model": OfferV2Entity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultOfferV2Entity>;
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     * @param skuFilter
     */
    offerHttpTaxRecords(params: {
        "sessionId": string;
        "startDate": string;
        "endDate": string;
        "skuFilter": string;
    }, options?: any): Promise<ApiResultListTaxReportRecord>;
    /**
     *
     * @param offerSef
     * @param sessionId
     * @param items
     * @param isTest
     */
    offerItemGroupBulkLoad(params: {
        "offerSef": string;
        "sessionId": string;
        "items": Array<NhItemGroupViewEntity>;
        "isTest": boolean;
    }, options?: any): Promise<ApiResultListNhItemGroupViewEntity>;
    /**
     *
     * @param sessionId
     * @param filter
     * @param skip
     * @param take
     * @param forcePopulate
     * @param search
     */
    offerOfferListHandler(params: {
        "sessionId"?: string;
        "filter"?: boolean;
        "skip"?: number;
        "take"?: number;
        "forcePopulate"?: boolean;
        "search"?: string;
    }, options?: any): Promise<OfferV2Entity[]>;
    /**
     *
     * @param offerSearch
     * @param sessionId
     */
    offerSearchOffers(params: {
        "offerSearch": OfferSearch;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListOfferV2Entity>;
}
/**
 * OfferApi - factory interface
 */
export declare const OfferApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sku
     * @param sessionId
     * @param cogs
     * @param qty
     */
    offerApplySkuCogs(params: {
        "sku": string;
        "sessionId": string;
        "cogs": number;
        "qty": number;
    }, options?: any): Promise<ApiResultManifestList>;
    /**
     *
     * @param offerSef
     * @param cacheKey
     */
    offerGetDetail(params: {
        "offerSef": string;
        "cacheKey"?: string;
    }, options?: any): Promise<OfferV2Entity>;
    /**
     *
     * @param offerSef
     */
    offerGetLiveFeed(params: {
        "offerSef": string;
    }, options?: any): Promise<LiveFeedItem[]>;
    /**
     *
     * @param sku
     * @param sessionId
     */
    offerGetManifestsBySku(params: {
        "sku": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListOfferV2AdminManifest>;
    /**
     *
     */
    offerHandleListAppellation(options?: any): Promise<string[]>;
    /**
     *
     */
    offerHandleListRegion(options?: any): Promise<string[]>;
    /**
     *
     * @param targetOfferSef
     * @param sourceOfferSef
     * @param sessionId
     */
    offerHttpCopyItemGroups(params: {
        "targetOfferSef": string;
        "sourceOfferSef": string;
        "sessionId": string;
    }, options?: any): Promise<OfferV2Entity>;
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpDeleteAdminV2OfferItemGroupById(params: {
        "offerSef": string;
        "id": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param search
     * @param sessionId
     * @param skip
     * @param take
     * @param subEnabled
     * @param category
     */
    offerHttpGetAdminV2Offer(params: {
        "search": string;
        "sessionId": string;
        "skip": number;
        "take": number;
        "subEnabled": boolean;
        "category": string;
    }, options?: any): Promise<ApiResultListOfferV2Entity>;
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpGetAdminV2OfferItemGroup(params: {
        "offerSef": string;
        "id": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhItemGroupEntity>;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferManifest(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListOfferV2AdminManifest>;
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferOverview(params: {
        "offerSef": string;
    }, options?: any): Promise<AdminOfferOverviewModel>;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSef(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): Promise<OfferV2Entity>;
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferSkuList(params: {
        "offerSef": string;
    }, options?: any): Promise<NhItemGroupEntity[]>;
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSkuSales(params: {
        "offerSef": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListSkuSale>;
    /**
     *
     * @param entity
     * @param sessionId
     */
    offerHttpPostAdminV2Offer(params: {
        "entity": OfferV2Entity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultOfferV2Entity>;
    /**
     *
     * @param offerSef
     * @param itemGroupToAdd
     * @param sessionId
     */
    offerHttpPostAdminV2OfferSkuList(params: {
        "offerSef": string;
        "itemGroupToAdd": NhItemGroupEntity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhItemGroupEntity>;
    /**
     *
     * @param offerSef
     * @param id
     * @param itemGroup
     * @param sessionId
     */
    offerHttpPutAdminV2OfferItemGroup(params: {
        "offerSef": string;
        "id": string;
        "itemGroup": NhItemGroupEntity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhItemGroupEntity>;
    /**
     *
     * @param offerSef
     * @param model
     * @param sessionId
     */
    offerHttpPutAdminV2OfferSef(params: {
        "offerSef": string;
        "model": OfferV2Entity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultOfferV2Entity>;
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     * @param skuFilter
     */
    offerHttpTaxRecords(params: {
        "sessionId": string;
        "startDate": string;
        "endDate": string;
        "skuFilter": string;
    }, options?: any): Promise<ApiResultListTaxReportRecord>;
    /**
     *
     * @param offerSef
     * @param sessionId
     * @param items
     * @param isTest
     */
    offerItemGroupBulkLoad(params: {
        "offerSef": string;
        "sessionId": string;
        "items": NhItemGroupViewEntity[];
        "isTest": boolean;
    }, options?: any): Promise<ApiResultListNhItemGroupViewEntity>;
    /**
     *
     * @param sessionId
     * @param filter
     * @param skip
     * @param take
     * @param forcePopulate
     * @param search
     */
    offerOfferListHandler(params: {
        "sessionId"?: string;
        "filter"?: boolean;
        "skip"?: number;
        "take"?: number;
        "forcePopulate"?: boolean;
        "search"?: string;
    }, options?: any): Promise<OfferV2Entity[]>;
    /**
     *
     * @param offerSearch
     * @param sessionId
     */
    offerSearchOffers(params: {
        "offerSearch": OfferSearch;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListOfferV2Entity>;
};
/**
 * OfferDetailApi - fetch parameter creator
 */
export declare const OfferDetailApiFetchParamCreator: {
    /**
     *
     * @param offerSef
     */
    offerDetailGetLiveFeedDetail(params: {
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferBottles(params: {
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferDetailBasic(params: {
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param file
     */
    offerDetailPostOfferUploadImage(params: {
        "file": any;
    }, options?: any): FetchArgs;
    /**
     *
     */
    offerDetailSitemapIndex(options?: any): FetchArgs;
};
/**
 * OfferDetailApi - functional programming interface
 */
export declare const OfferDetailApiFp: {
    /**
     *
     * @param offerSef
     */
    offerDetailGetLiveFeedDetail(params: {
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<LiveFeedItem[]>;
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferBottles(params: {
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhItemGroupViewEntity[]>;
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferDetailBasic(params: {
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferV2Entity>;
    /**
     *
     * @param file
     */
    offerDetailPostOfferUploadImage(params: {
        "file": any;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<string>;
    /**
     *
     */
    offerDetailSitemapIndex(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * OfferDetailApi - object-oriented interface
 */
export declare class OfferDetailApi extends BaseAPI {
    /**
     *
     * @param offerSef
     */
    offerDetailGetLiveFeedDetail(params: {
        "offerSef": string;
    }, options?: any): Promise<LiveFeedItem[]>;
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferBottles(params: {
        "offerSef": string;
    }, options?: any): Promise<NhItemGroupViewEntity[]>;
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferDetailBasic(params: {
        "offerSef": string;
    }, options?: any): Promise<OfferV2Entity>;
    /**
     *
     * @param file
     */
    offerDetailPostOfferUploadImage(params: {
        "file": any;
    }, options?: any): Promise<string>;
    /**
     *
     */
    offerDetailSitemapIndex(options?: any): Promise<any>;
}
/**
 * OfferDetailApi - factory interface
 */
export declare const OfferDetailApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param offerSef
     */
    offerDetailGetLiveFeedDetail(params: {
        "offerSef": string;
    }, options?: any): Promise<LiveFeedItem[]>;
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferBottles(params: {
        "offerSef": string;
    }, options?: any): Promise<NhItemGroupViewEntity[]>;
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferDetailBasic(params: {
        "offerSef": string;
    }, options?: any): Promise<OfferV2Entity>;
    /**
     *
     * @param file
     */
    offerDetailPostOfferUploadImage(params: {
        "file": any;
    }, options?: any): Promise<string>;
    /**
     *
     */
    offerDetailSitemapIndex(options?: any): Promise<any>;
};
/**
 * OrderStatusApi - fetch parameter creator
 */
export declare const OrderStatusApiFetchParamCreator: {
    /**
     *
     * @param orderId
     */
    orderStatusGetOrder(params: {
        "orderId": string;
    }, options?: any): FetchArgs;
};
/**
 * OrderStatusApi - functional programming interface
 */
export declare const OrderStatusApiFp: {
    /**
     *
     * @param orderId
     */
    orderStatusGetOrder(params: {
        "orderId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOrderViewModel>;
};
/**
 * OrderStatusApi - object-oriented interface
 */
export declare class OrderStatusApi extends BaseAPI {
    /**
     *
     * @param orderId
     */
    orderStatusGetOrder(params: {
        "orderId": string;
    }, options?: any): Promise<ApiResultOrderViewModel>;
}
/**
 * OrderStatusApi - factory interface
 */
export declare const OrderStatusApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param orderId
     */
    orderStatusGetOrder(params: {
        "orderId": string;
    }, options?: any): Promise<ApiResultOrderViewModel>;
};
/**
 * PageApi - fetch parameter creator
 */
export declare const PageApiFetchParamCreator: {
    /**
     *
     * @param search
     * @param onlyPublished
     */
    pageGetPage(params: {
        "search"?: string;
        "onlyPublished"?: boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     */
    pageGetPageById(params: {
        "id": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param section
     * @param id
     */
    pageGetPageBySection(params: {
        "section": string;
        "id": string;
    }, options?: any): FetchArgs;
    /**
     *
     */
    pageGetSections(options?: any): FetchArgs;
    /**
     *
     * @param file
     */
    pagePostIPageUploadImage(params: {
        "file": any;
    }, options?: any): FetchArgs;
    /**
     *
     * @param model
     */
    pagePublishPageVersion(params: {
        "model": Page;
    }, options?: any): FetchArgs;
};
/**
 * PageApi - functional programming interface
 */
export declare const PageApiFp: {
    /**
     *
     * @param search
     * @param onlyPublished
     */
    pageGetPage(params: {
        "search"?: string;
        "onlyPublished"?: boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListPage>;
    /**
     *
     * @param id
     */
    pageGetPageById(params: {
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultPage>;
    /**
     *
     * @param section
     * @param id
     */
    pageGetPageBySection(params: {
        "section": string;
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListPage>;
    /**
     *
     */
    pageGetSections(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListString>;
    /**
     *
     * @param file
     */
    pagePostIPageUploadImage(params: {
        "file": any;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<string>;
    /**
     *
     * @param model
     */
    pagePublishPageVersion(params: {
        "model": Page;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultPage>;
};
/**
 * PageApi - object-oriented interface
 */
export declare class PageApi extends BaseAPI {
    /**
     *
     * @param search
     * @param onlyPublished
     */
    pageGetPage(params: {
        "search"?: string;
        "onlyPublished"?: boolean;
    }, options?: any): Promise<ApiResultListPage>;
    /**
     *
     * @param id
     */
    pageGetPageById(params: {
        "id": string;
    }, options?: any): Promise<ApiResultPage>;
    /**
     *
     * @param section
     * @param id
     */
    pageGetPageBySection(params: {
        "section": string;
        "id": string;
    }, options?: any): Promise<ApiResultListPage>;
    /**
     *
     */
    pageGetSections(options?: any): Promise<ApiResultListString>;
    /**
     *
     * @param file
     */
    pagePostIPageUploadImage(params: {
        "file": any;
    }, options?: any): Promise<string>;
    /**
     *
     * @param model
     */
    pagePublishPageVersion(params: {
        "model": Page;
    }, options?: any): Promise<ApiResultPage>;
}
/**
 * PageApi - factory interface
 */
export declare const PageApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param search
     * @param onlyPublished
     */
    pageGetPage(params: {
        "search"?: string;
        "onlyPublished"?: boolean;
    }, options?: any): Promise<ApiResultListPage>;
    /**
     *
     * @param id
     */
    pageGetPageById(params: {
        "id": string;
    }, options?: any): Promise<ApiResultPage>;
    /**
     *
     * @param section
     * @param id
     */
    pageGetPageBySection(params: {
        "section": string;
        "id": string;
    }, options?: any): Promise<ApiResultListPage>;
    /**
     *
     */
    pageGetSections(options?: any): Promise<ApiResultListString>;
    /**
     *
     * @param file
     */
    pagePostIPageUploadImage(params: {
        "file": any;
    }, options?: any): Promise<string>;
    /**
     *
     * @param model
     */
    pagePublishPageVersion(params: {
        "model": Page;
    }, options?: any): Promise<ApiResultPage>;
};
/**
 * PaymentApi - fetch parameter creator
 */
export declare const PaymentApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     */
    paymentGetAddressAndPayment(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Convenience method to create both an address and payment entry. Will reuse existing address if a match already  exists in the user's profile.
     * @param sessionId Session identifier.
     * @param model Specify address and payment to add.
     */
    paymentPostAddressAndPayment(params: {
        "sessionId": string;
        "model": PaymentWithAddressModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Delete an authenticated user's payment profile. Also removes the profile from CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     */
    paymentSessionDeletePayment(params: {
        "sessionId": string;
        "paymentProfileId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Creates a new payment entity in the authenticated user's profile. Also creates the payment entity in CIM. The  Address entity should have already been created.
     * @param sessionId Session identifier.
     * @param ccinfo Ccinfo.
     */
    paymentSessionPostPayment(params: {
        "sessionId": string;
        "ccinfo": ApiBillingModelWithAuthnet;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Update a user's payment profile. Also updates CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     * @param newInfo New payment info.
     */
    paymentSessionUpdatePayment(params: {
        "sessionId": string;
        "paymentProfileId": string;
        "newInfo": ApiBillingModelWithAuthnet;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param id
     */
    paymentSetDefaultItem(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): FetchArgs;
};
/**
 * PaymentApi - functional programming interface
 */
export declare const PaymentApiFp: {
    /**
     *
     * @param sessionId
     */
    paymentGetAddressAndPayment(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListPaymentWithAddressModel>;
    /**
     *
     * @summary Convenience method to create both an address and payment entry. Will reuse existing address if a match already  exists in the user's profile.
     * @param sessionId Session identifier.
     * @param model Specify address and payment to add.
     */
    paymentPostAddressAndPayment(params: {
        "sessionId": string;
        "model": PaymentWithAddressModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultPaymentWithAddressModel>;
    /**
     *
     * @summary Delete an authenticated user's payment profile. Also removes the profile from CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     */
    paymentSessionDeletePayment(params: {
        "sessionId": string;
        "paymentProfileId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @summary Creates a new payment entity in the authenticated user's profile. Also creates the payment entity in CIM. The  Address entity should have already been created.
     * @param sessionId Session identifier.
     * @param ccinfo Ccinfo.
     */
    paymentSessionPostPayment(params: {
        "sessionId": string;
        "ccinfo": ApiBillingModelWithAuthnet;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultApiBillingModelWithAuthnet>;
    /**
     *
     * @summary Update a user's payment profile. Also updates CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     * @param newInfo New payment info.
     */
    paymentSessionUpdatePayment(params: {
        "sessionId": string;
        "paymentProfileId": string;
        "newInfo": ApiBillingModelWithAuthnet;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiBillingModelWithAuthnet>;
    /**
     *
     * @param sessionId
     * @param id
     */
    paymentSetDefaultItem(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
};
/**
 * PaymentApi - object-oriented interface
 */
export declare class PaymentApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    paymentGetAddressAndPayment(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListPaymentWithAddressModel>;
    /**
     *
     * @summary Convenience method to create both an address and payment entry. Will reuse existing address if a match already  exists in the user's profile.
     * @param sessionId Session identifier.
     * @param model Specify address and payment to add.
     */
    paymentPostAddressAndPayment(params: {
        "sessionId": string;
        "model": PaymentWithAddressModel;
    }, options?: any): Promise<ApiResultPaymentWithAddressModel>;
    /**
     *
     * @summary Delete an authenticated user's payment profile. Also removes the profile from CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     */
    paymentSessionDeletePayment(params: {
        "sessionId": string;
        "paymentProfileId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Creates a new payment entity in the authenticated user's profile. Also creates the payment entity in CIM. The  Address entity should have already been created.
     * @param sessionId Session identifier.
     * @param ccinfo Ccinfo.
     */
    paymentSessionPostPayment(params: {
        "sessionId": string;
        "ccinfo": ApiBillingModelWithAuthnet;
    }, options?: any): Promise<ApiResultApiBillingModelWithAuthnet>;
    /**
     *
     * @summary Update a user's payment profile. Also updates CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     * @param newInfo New payment info.
     */
    paymentSessionUpdatePayment(params: {
        "sessionId": string;
        "paymentProfileId": string;
        "newInfo": ApiBillingModelWithAuthnet;
    }, options?: any): Promise<ApiBillingModelWithAuthnet>;
    /**
     *
     * @param sessionId
     * @param id
     */
    paymentSetDefaultItem(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultBoolean>;
}
/**
 * PaymentApi - factory interface
 */
export declare const PaymentApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     */
    paymentGetAddressAndPayment(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListPaymentWithAddressModel>;
    /**
     *
     * @summary Convenience method to create both an address and payment entry. Will reuse existing address if a match already  exists in the user's profile.
     * @param sessionId Session identifier.
     * @param model Specify address and payment to add.
     */
    paymentPostAddressAndPayment(params: {
        "sessionId": string;
        "model": PaymentWithAddressModel;
    }, options?: any): Promise<ApiResultPaymentWithAddressModel>;
    /**
     *
     * @summary Delete an authenticated user's payment profile. Also removes the profile from CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     */
    paymentSessionDeletePayment(params: {
        "sessionId": string;
        "paymentProfileId": string;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Creates a new payment entity in the authenticated user's profile. Also creates the payment entity in CIM. The  Address entity should have already been created.
     * @param sessionId Session identifier.
     * @param ccinfo Ccinfo.
     */
    paymentSessionPostPayment(params: {
        "sessionId": string;
        "ccinfo": ApiBillingModelWithAuthnet;
    }, options?: any): Promise<ApiResultApiBillingModelWithAuthnet>;
    /**
     *
     * @summary Update a user's payment profile. Also updates CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     * @param newInfo New payment info.
     */
    paymentSessionUpdatePayment(params: {
        "sessionId": string;
        "paymentProfileId": string;
        "newInfo": ApiBillingModelWithAuthnet;
    }, options?: any): Promise<ApiBillingModelWithAuthnet>;
    /**
     *
     * @param sessionId
     * @param id
     */
    paymentSetDefaultItem(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultBoolean>;
};
/**
 * PromoGroupApi - fetch parameter creator
 */
export declare const PromoGroupApiFetchParamCreator: {
    /**
     *
     * @summary GET /api/promoGroup/
     * @param sessionId
     */
    promoGroupGet(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary GET /api/promoGroup/##
     * @param sessionId
     * @param id id of the promo group to enumerate promo codes
     */
    promoGroupGet_1(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): FetchArgs;
};
/**
 * PromoGroupApi - functional programming interface
 */
export declare const PromoGroupApiFp: {
    /**
     *
     * @summary GET /api/promoGroup/
     * @param sessionId
     */
    promoGroupGet(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<string[]>;
    /**
     *
     * @summary GET /api/promoGroup/##
     * @param sessionId
     * @param id id of the promo group to enumerate promo codes
     */
    promoGroupGet_1(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhPromoCodeModel[]>;
};
/**
 * PromoGroupApi - object-oriented interface
 */
export declare class PromoGroupApi extends BaseAPI {
    /**
     *
     * @summary GET /api/promoGroup/
     * @param sessionId
     */
    promoGroupGet(params: {
        "sessionId": string;
    }, options?: any): Promise<string[]>;
    /**
     *
     * @summary GET /api/promoGroup/##
     * @param sessionId
     * @param id id of the promo group to enumerate promo codes
     */
    promoGroupGet_1(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<NhPromoCodeModel[]>;
}
/**
 * PromoGroupApi - factory interface
 */
export declare const PromoGroupApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @summary GET /api/promoGroup/
     * @param sessionId
     */
    promoGroupGet(params: {
        "sessionId": string;
    }, options?: any): Promise<string[]>;
    /**
     *
     * @summary GET /api/promoGroup/##
     * @param sessionId
     * @param id id of the promo group to enumerate promo codes
     */
    promoGroupGet_1(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<NhPromoCodeModel[]>;
};
/**
 * PurchaseOrderApi - fetch parameter creator
 */
export declare const PurchaseOrderApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     */
    purchaseOrderGetPurchaseOrderList(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    purchaseOrderGetPurchaseOrders(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param sku
     */
    purchaseOrderGetPurchaseOrdersForSku(params: {
        "sessionId": string;
        "sku": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    purchaseOrderPostPurchaseOrder(params: {
        "sessionId": string;
        "model": PurchaseOrderModel;
    }, options?: any): FetchArgs;
};
/**
 * PurchaseOrderApi - functional programming interface
 */
export declare const PurchaseOrderApiFp: {
    /**
     *
     * @param sessionId
     */
    purchaseOrderGetPurchaseOrderList(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListString>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    purchaseOrderGetPurchaseOrders(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListPurchaseOrderModel>;
    /**
     *
     * @param sessionId
     * @param sku
     */
    purchaseOrderGetPurchaseOrdersForSku(params: {
        "sessionId": string;
        "sku": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListPurchaseOrderModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    purchaseOrderPostPurchaseOrder(params: {
        "sessionId": string;
        "model": PurchaseOrderModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultPurchaseOrderModel>;
};
/**
 * PurchaseOrderApi - object-oriented interface
 */
export declare class PurchaseOrderApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    purchaseOrderGetPurchaseOrderList(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListString>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    purchaseOrderGetPurchaseOrders(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): Promise<ApiResultListPurchaseOrderModel>;
    /**
     *
     * @param sessionId
     * @param sku
     */
    purchaseOrderGetPurchaseOrdersForSku(params: {
        "sessionId": string;
        "sku": string;
    }, options?: any): Promise<ApiResultListPurchaseOrderModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    purchaseOrderPostPurchaseOrder(params: {
        "sessionId": string;
        "model": PurchaseOrderModel;
    }, options?: any): Promise<ApiResultPurchaseOrderModel>;
}
/**
 * PurchaseOrderApi - factory interface
 */
export declare const PurchaseOrderApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     */
    purchaseOrderGetPurchaseOrderList(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListString>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    purchaseOrderGetPurchaseOrders(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
    }, options?: any): Promise<ApiResultListPurchaseOrderModel>;
    /**
     *
     * @param sessionId
     * @param sku
     */
    purchaseOrderGetPurchaseOrdersForSku(params: {
        "sessionId": string;
        "sku": string;
    }, options?: any): Promise<ApiResultListPurchaseOrderModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    purchaseOrderPostPurchaseOrder(params: {
        "sessionId": string;
        "model": PurchaseOrderModel;
    }, options?: any): Promise<ApiResultPurchaseOrderModel>;
};
/**
 * SessionApi - fetch parameter creator
 */
export declare const SessionApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param qty
     */
    sessionCartExpress(params: {
        "sessionId": string;
        "qty": number;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    sessionCartGet(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    sessionCartGetGrouped(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param item
     */
    sessionCartPut(params: {
        "sessionId": string;
        "item": CloudCheckoutItem;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    sessionChangeUserEmail(params: {
        "sessionId": string;
        "model": ChangeEmailModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param promo
     */
    sessionClaimPromo(params: {
        "sessionId": string;
        "promo": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    sessionExtend(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Generates a new session id
     */
    sessionGet(options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    sessionGetFeatures(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    sessionGetPromo(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCredit(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCreditHistory(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets the session user detail.
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserDetail(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserEmailPreferences(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets the list of en-route bottles that are overdue for the current user. You can then redeem any of these  bottles for credit by calling Routes.SessionUserEnRouteBottleRedeem
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserEnRouteBottleList(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param manifestGuid
     */
    sessionGetSessionUserEnRouteBottleRedeem(params: {
        "sessionId": string;
        "manifestGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionGetSupport(params: {
        "sessionId": string;
        "req": SupportRequest;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param propName
     */
    sessionGetUserProp(params: {
        "sessionId": string;
        "propName": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Get the session with the specified id.
     * @param sessionId Session identifier.
     */
    sessionGet_1(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param claimCode
     */
    sessionHandleSessionGiftRedeem(params: {
        "sessionId": string;
        "claimCode": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param features
     */
    sessionPostFeatures(params: {
        "sessionId": string;
        "features": FeatureRestriction[];
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param file
     */
    sessionPostSessionUploadImage(params: {
        "sessionId": string;
        "file": any;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionPostSessionUserEnRouteBottleRedeem(params: {
        "sessionId": string;
        "req": BottleRedeem;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    sessionPostSupportImg(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Store the session with the specified id.
     * @param sessionId Session identifier.
     * @param data Data.
     */
    sessionPut(params: {
        "sessionId": string;
        "data": SessionModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Puts the session user detail.
     * @param sessionId Session identifier.
     * @param model Model.
     */
    sessionPutSessionUserDetail(params: {
        "sessionId": string;
        "model": UserModelExtended;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionDelete(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionSignOut(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param includeShipment
     * @param includeOrder
     * @param includeCanceled
     * @param includeNonCanceled
     * @param query
     */
    sessionSessionUserOrdersAndShipments(params: {
        "sessionId": string;
        "skip": number;
        "take": number;
        "includeShipment": boolean;
        "includeOrder": boolean;
        "includeCanceled": boolean;
        "includeNonCanceled": boolean;
        "query": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param propName
     * @param key
     * @param newValue
     */
    sessionUpdateUserProp(params: {
        "sessionId": string;
        "propName": string;
        "key": string;
        "newValue": string;
    }, options?: any): FetchArgs;
};
/**
 * SessionApi - functional programming interface
 */
export declare const SessionApiFp: {
    /**
     *
     * @param sessionId
     * @param qty
     */
    sessionCartExpress(params: {
        "sessionId": string;
        "qty": number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param sessionId
     */
    sessionCartGet(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param sessionId
     */
    sessionCartGetGrouped(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultCloudCart>;
    /**
     *
     * @param sessionId
     * @param item
     */
    sessionCartPut(params: {
        "sessionId": string;
        "item": CloudCheckoutItem;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param sessionId
     * @param model
     */
    sessionChangeUserEmail(params: {
        "sessionId": string;
        "model": ChangeEmailModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhUserModel>;
    /**
     *
     * @param sessionId
     * @param promo
     */
    sessionClaimPromo(params: {
        "sessionId": string;
        "promo": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultPromoResult>;
    /**
     *
     * @param sessionId
     */
    sessionExtend(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultDateTime>;
    /**
     *
     * @summary Generates a new session id
     */
    sessionGet(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SessionModel>;
    /**
     *
     * @param sessionId
     */
    sessionGetFeatures(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListFeatureRestriction>;
    /**
     *
     * @param sessionId
     */
    sessionGetPromo(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhPromoCodeModel>;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCredit(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultDecimal>;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCreditHistory(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListUserCreditViewModel>;
    /**
     *
     * @summary Gets the session user detail.
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserDetail(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhUserModel>;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserEmailPreferences(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhUserEmailPreference>;
    /**
     *
     * @summary Gets the list of en-route bottles that are overdue for the current user. You can then redeem any of these  bottles for credit by calling Routes.SessionUserEnRouteBottleRedeem
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserEnRouteBottleList(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListPgCloudCellarRecord>;
    /**
     *
     * @param sessionId
     * @param manifestGuid
     */
    sessionGetSessionUserEnRouteBottleRedeem(params: {
        "sessionId": string;
        "manifestGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListPgCloudCellarRecord>;
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionGetSupport(params: {
        "sessionId": string;
        "req": SupportRequest;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSupportRequest>;
    /**
     *
     * @param sessionId
     * @param propName
     */
    sessionGetUserProp(params: {
        "sessionId": string;
        "propName": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultString>;
    /**
     *
     * @summary Get the session with the specified id.
     * @param sessionId Session identifier.
     */
    sessionGet_1(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SessionModel>;
    /**
     *
     * @param sessionId
     * @param claimCode
     */
    sessionHandleSessionGiftRedeem(params: {
        "sessionId": string;
        "claimCode": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultCheckoutPromoCodeModel>;
    /**
     *
     * @param sessionId
     * @param features
     */
    sessionPostFeatures(params: {
        "sessionId": string;
        "features": FeatureRestriction[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListFeatureRestriction>;
    /**
     *
     * @param sessionId
     * @param file
     */
    sessionPostSessionUploadImage(params: {
        "sessionId": string;
        "file": any;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<string>;
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionPostSessionUserEnRouteBottleRedeem(params: {
        "sessionId": string;
        "req": BottleRedeem;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBottleRedeem>;
    /**
     *
     * @param sessionId
     */
    sessionPostSupportImg(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultString>;
    /**
     *
     * @summary Store the session with the specified id.
     * @param sessionId Session identifier.
     * @param data Data.
     */
    sessionPut(params: {
        "sessionId": string;
        "data": SessionModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     * @summary Puts the session user detail.
     * @param sessionId Session identifier.
     * @param model Model.
     */
    sessionPutSessionUserDetail(params: {
        "sessionId": string;
        "model": UserModelExtended;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultUserModelExtended>;
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionDelete(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OkNegotiatedContentResultApiResultBoolean>;
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionSignOut(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param includeShipment
     * @param includeOrder
     * @param includeCanceled
     * @param includeNonCanceled
     * @param query
     */
    sessionSessionUserOrdersAndShipments(params: {
        "sessionId": string;
        "skip": number;
        "take": number;
        "includeShipment": boolean;
        "includeOrder": boolean;
        "includeCanceled": boolean;
        "includeNonCanceled": boolean;
        "query": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOrderListModel>;
    /**
     *
     * @param sessionId
     * @param propName
     * @param key
     * @param newValue
     */
    sessionUpdateUserProp(params: {
        "sessionId": string;
        "propName": string;
        "key": string;
        "newValue": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
};
/**
 * SessionApi - object-oriented interface
 */
export declare class SessionApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param qty
     */
    sessionCartExpress(params: {
        "sessionId": string;
        "qty": number;
    }, options?: any): Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param sessionId
     */
    sessionCartGet(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param sessionId
     */
    sessionCartGetGrouped(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultCloudCart>;
    /**
     *
     * @param sessionId
     * @param item
     */
    sessionCartPut(params: {
        "sessionId": string;
        "item": CloudCheckoutItem;
    }, options?: any): Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param sessionId
     * @param model
     */
    sessionChangeUserEmail(params: {
        "sessionId": string;
        "model": ChangeEmailModel;
    }, options?: any): Promise<ApiResultNhUserModel>;
    /**
     *
     * @param sessionId
     * @param promo
     */
    sessionClaimPromo(params: {
        "sessionId": string;
        "promo": string;
    }, options?: any): Promise<ApiResultPromoResult>;
    /**
     *
     * @param sessionId
     */
    sessionExtend(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultDateTime>;
    /**
     *
     * @summary Generates a new session id
     */
    sessionGet(options?: any): Promise<SessionModel>;
    /**
     *
     * @param sessionId
     */
    sessionGetFeatures(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListFeatureRestriction>;
    /**
     *
     * @param sessionId
     */
    sessionGetPromo(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhPromoCodeModel>;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCredit(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultDecimal>;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCreditHistory(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListUserCreditViewModel>;
    /**
     *
     * @summary Gets the session user detail.
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserDetail(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhUserModel>;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserEmailPreferences(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhUserEmailPreference>;
    /**
     *
     * @summary Gets the list of en-route bottles that are overdue for the current user. You can then redeem any of these  bottles for credit by calling Routes.SessionUserEnRouteBottleRedeem
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserEnRouteBottleList(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListPgCloudCellarRecord>;
    /**
     *
     * @param sessionId
     * @param manifestGuid
     */
    sessionGetSessionUserEnRouteBottleRedeem(params: {
        "sessionId": string;
        "manifestGuid": string;
    }, options?: any): Promise<ApiResultListPgCloudCellarRecord>;
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionGetSupport(params: {
        "sessionId": string;
        "req": SupportRequest;
    }, options?: any): Promise<ApiResultSupportRequest>;
    /**
     *
     * @param sessionId
     * @param propName
     */
    sessionGetUserProp(params: {
        "sessionId": string;
        "propName": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @summary Get the session with the specified id.
     * @param sessionId Session identifier.
     */
    sessionGet_1(params: {
        "sessionId": string;
    }, options?: any): Promise<SessionModel>;
    /**
     *
     * @param sessionId
     * @param claimCode
     */
    sessionHandleSessionGiftRedeem(params: {
        "sessionId": string;
        "claimCode": string;
    }, options?: any): Promise<ApiResultCheckoutPromoCodeModel>;
    /**
     *
     * @param sessionId
     * @param features
     */
    sessionPostFeatures(params: {
        "sessionId": string;
        "features": Array<FeatureRestriction>;
    }, options?: any): Promise<ApiResultListFeatureRestriction>;
    /**
     *
     * @param sessionId
     * @param file
     */
    sessionPostSessionUploadImage(params: {
        "sessionId": string;
        "file": any;
    }, options?: any): Promise<string>;
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionPostSessionUserEnRouteBottleRedeem(params: {
        "sessionId": string;
        "req": BottleRedeem;
    }, options?: any): Promise<ApiResultBottleRedeem>;
    /**
     *
     * @param sessionId
     */
    sessionPostSupportImg(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @summary Store the session with the specified id.
     * @param sessionId Session identifier.
     * @param data Data.
     */
    sessionPut(params: {
        "sessionId": string;
        "data": SessionModel;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Puts the session user detail.
     * @param sessionId Session identifier.
     * @param model Model.
     */
    sessionPutSessionUserDetail(params: {
        "sessionId": string;
        "model": UserModelExtended;
    }, options?: any): Promise<ApiResultUserModelExtended>;
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionDelete(params: {
        "sessionId": string;
    }, options?: any): Promise<OkNegotiatedContentResultApiResultBoolean>;
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionSignOut(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param includeShipment
     * @param includeOrder
     * @param includeCanceled
     * @param includeNonCanceled
     * @param query
     */
    sessionSessionUserOrdersAndShipments(params: {
        "sessionId": string;
        "skip": number;
        "take": number;
        "includeShipment": boolean;
        "includeOrder": boolean;
        "includeCanceled": boolean;
        "includeNonCanceled": boolean;
        "query": string;
    }, options?: any): Promise<ApiResultOrderListModel>;
    /**
     *
     * @param sessionId
     * @param propName
     * @param key
     * @param newValue
     */
    sessionUpdateUserProp(params: {
        "sessionId": string;
        "propName": string;
        "key": string;
        "newValue": string;
    }, options?: any): Promise<ApiResultBoolean>;
}
/**
 * SessionApi - factory interface
 */
export declare const SessionApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param qty
     */
    sessionCartExpress(params: {
        "sessionId": string;
        "qty": number;
    }, options?: any): Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param sessionId
     */
    sessionCartGet(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param sessionId
     */
    sessionCartGetGrouped(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultCloudCart>;
    /**
     *
     * @param sessionId
     * @param item
     */
    sessionCartPut(params: {
        "sessionId": string;
        "item": CloudCheckoutItem;
    }, options?: any): Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param sessionId
     * @param model
     */
    sessionChangeUserEmail(params: {
        "sessionId": string;
        "model": ChangeEmailModel;
    }, options?: any): Promise<ApiResultNhUserModel>;
    /**
     *
     * @param sessionId
     * @param promo
     */
    sessionClaimPromo(params: {
        "sessionId": string;
        "promo": string;
    }, options?: any): Promise<ApiResultPromoResult>;
    /**
     *
     * @param sessionId
     */
    sessionExtend(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultDateTime>;
    /**
     *
     * @summary Generates a new session id
     */
    sessionGet(options?: any): Promise<SessionModel>;
    /**
     *
     * @param sessionId
     */
    sessionGetFeatures(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListFeatureRestriction>;
    /**
     *
     * @param sessionId
     */
    sessionGetPromo(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhPromoCodeModel>;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCredit(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultDecimal>;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCreditHistory(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListUserCreditViewModel>;
    /**
     *
     * @summary Gets the session user detail.
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserDetail(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhUserModel>;
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserEmailPreferences(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhUserEmailPreference>;
    /**
     *
     * @summary Gets the list of en-route bottles that are overdue for the current user. You can then redeem any of these  bottles for credit by calling Routes.SessionUserEnRouteBottleRedeem
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserEnRouteBottleList(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListPgCloudCellarRecord>;
    /**
     *
     * @param sessionId
     * @param manifestGuid
     */
    sessionGetSessionUserEnRouteBottleRedeem(params: {
        "sessionId": string;
        "manifestGuid": string;
    }, options?: any): Promise<ApiResultListPgCloudCellarRecord>;
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionGetSupport(params: {
        "sessionId": string;
        "req": SupportRequest;
    }, options?: any): Promise<ApiResultSupportRequest>;
    /**
     *
     * @param sessionId
     * @param propName
     */
    sessionGetUserProp(params: {
        "sessionId": string;
        "propName": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @summary Get the session with the specified id.
     * @param sessionId Session identifier.
     */
    sessionGet_1(params: {
        "sessionId": string;
    }, options?: any): Promise<SessionModel>;
    /**
     *
     * @param sessionId
     * @param claimCode
     */
    sessionHandleSessionGiftRedeem(params: {
        "sessionId": string;
        "claimCode": string;
    }, options?: any): Promise<ApiResultCheckoutPromoCodeModel>;
    /**
     *
     * @param sessionId
     * @param features
     */
    sessionPostFeatures(params: {
        "sessionId": string;
        "features": FeatureRestriction[];
    }, options?: any): Promise<ApiResultListFeatureRestriction>;
    /**
     *
     * @param sessionId
     * @param file
     */
    sessionPostSessionUploadImage(params: {
        "sessionId": string;
        "file": any;
    }, options?: any): Promise<string>;
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionPostSessionUserEnRouteBottleRedeem(params: {
        "sessionId": string;
        "req": BottleRedeem;
    }, options?: any): Promise<ApiResultBottleRedeem>;
    /**
     *
     * @param sessionId
     */
    sessionPostSupportImg(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @summary Store the session with the specified id.
     * @param sessionId Session identifier.
     * @param data Data.
     */
    sessionPut(params: {
        "sessionId": string;
        "data": SessionModel;
    }, options?: any): Promise<any>;
    /**
     *
     * @summary Puts the session user detail.
     * @param sessionId Session identifier.
     * @param model Model.
     */
    sessionPutSessionUserDetail(params: {
        "sessionId": string;
        "model": UserModelExtended;
    }, options?: any): Promise<ApiResultUserModelExtended>;
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionDelete(params: {
        "sessionId": string;
    }, options?: any): Promise<OkNegotiatedContentResultApiResultBoolean>;
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionSignOut(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param includeShipment
     * @param includeOrder
     * @param includeCanceled
     * @param includeNonCanceled
     * @param query
     */
    sessionSessionUserOrdersAndShipments(params: {
        "sessionId": string;
        "skip": number;
        "take": number;
        "includeShipment": boolean;
        "includeOrder": boolean;
        "includeCanceled": boolean;
        "includeNonCanceled": boolean;
        "query": string;
    }, options?: any): Promise<ApiResultOrderListModel>;
    /**
     *
     * @param sessionId
     * @param propName
     * @param key
     * @param newValue
     */
    sessionUpdateUserProp(params: {
        "sessionId": string;
        "propName": string;
        "key": string;
        "newValue": string;
    }, options?: any): Promise<ApiResultBoolean>;
};
/**
 * ShipManagerApi - fetch parameter creator
 */
export declare const ShipManagerApiFetchParamCreator: {
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     * @param force
     */
    shipManagerAdminTrackingManualUpdateCpl(params: {
        "id": string;
        "trackingNumber": string;
        "status": string;
        "force"?: boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param id
     * @param onlyReturnSurplus
     */
    shipManagerCancelShipment(params: {
        "sessionId": string;
        "id": string;
        "onlyReturnSurplus": boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param isAdminHold
     * @param willCallOnly
     * @param startDate
     * @param endDate
     * @param backorder
     * @param sortCol
     * @param sortAsc
     */
    shipManagerGet(params: {
        "sessionId": string;
        "search": string;
        "skip": number;
        "take"?: number;
        "isAdminHold"?: boolean;
        "willCallOnly"?: boolean;
        "startDate"?: string;
        "endDate"?: string;
        "backorder"?: boolean;
        "sortCol"?: string;
        "sortAsc"?: boolean;
    }, options?: any): FetchArgs;
    /**
     *
     */
    shipManagerGetMissingShipments(options?: any): FetchArgs;
    /**
     *
     * @param shipmentId
     */
    shipManagerGetShipmentDetail(params: {
        "shipmentId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param search
     */
    shipManagerGetUpsEmail(params: {
        "sessionId": string;
        "search": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param model
     */
    shipManagerPostManifestsByIdShip(params: {
        "model": ShippingModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param email
     */
    shipManagerPostUpsEmail(params: {
        "email": ParsedShipmentEmail;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param searchModel
     */
    shipManagerSearch(params: {
        "sessionId": string;
        "searchModel": ShipmentSearch;
    }, options?: any): FetchArgs;
    /**
     *
     */
    shipManagerUpdateTracking(options?: any): FetchArgs;
    /**
     *
     * @param shipmentId
     */
    shipManagerUpdateTrackingById(params: {
        "shipmentId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     */
    shipManagerUpdateTrackingManually(params: {
        "id": string;
        "trackingNumber": string;
        "status": string;
    }, options?: any): FetchArgs;
};
/**
 * ShipManagerApi - functional programming interface
 */
export declare const ShipManagerApiFp: {
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     * @param force
     */
    shipManagerAdminTrackingManualUpdateCpl(params: {
        "id": string;
        "trackingNumber": string;
        "status": string;
        "force"?: boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultShippingModel>;
    /**
     *
     * @param sessionId
     * @param id
     * @param onlyReturnSurplus
     */
    shipManagerCancelShipment(params: {
        "sessionId": string;
        "id": string;
        "onlyReturnSurplus": boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param isAdminHold
     * @param willCallOnly
     * @param startDate
     * @param endDate
     * @param backorder
     * @param sortCol
     * @param sortAsc
     */
    shipManagerGet(params: {
        "sessionId": string;
        "search": string;
        "skip": number;
        "take"?: number;
        "isAdminHold"?: boolean;
        "willCallOnly"?: boolean;
        "startDate"?: string;
        "endDate"?: string;
        "backorder"?: boolean;
        "sortCol"?: string;
        "sortAsc"?: boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultIEnumerableShippingModel>;
    /**
     *
     */
    shipManagerGetMissingShipments(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListShippingModel>;
    /**
     *
     * @param shipmentId
     */
    shipManagerGetShipmentDetail(params: {
        "shipmentId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultOrderViewModel>;
    /**
     *
     * @param sessionId
     * @param search
     */
    shipManagerGetUpsEmail(params: {
        "sessionId": string;
        "search": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListParsedShipmentEmail>;
    /**
     *
     * @param model
     */
    shipManagerPostManifestsByIdShip(params: {
        "model": ShippingModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShippingModel>;
    /**
     *
     * @param email
     */
    shipManagerPostUpsEmail(params: {
        "email": ParsedShipmentEmail;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultShippingModel>;
    /**
     *
     * @param sessionId
     * @param searchModel
     */
    shipManagerSearch(params: {
        "sessionId": string;
        "searchModel": ShipmentSearch;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultIEnumerableShippingModel>;
    /**
     *
     */
    shipManagerUpdateTracking(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultString>;
    /**
     *
     * @param shipmentId
     */
    shipManagerUpdateTrackingById(params: {
        "shipmentId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultShippingModel>;
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     */
    shipManagerUpdateTrackingManually(params: {
        "id": string;
        "trackingNumber": string;
        "status": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultShippingModel>;
};
/**
 * ShipManagerApi - object-oriented interface
 */
export declare class ShipManagerApi extends BaseAPI {
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     * @param force
     */
    shipManagerAdminTrackingManualUpdateCpl(params: {
        "id": string;
        "trackingNumber": string;
        "status": string;
        "force"?: boolean;
    }, options?: any): Promise<ApiResultShippingModel>;
    /**
     *
     * @param sessionId
     * @param id
     * @param onlyReturnSurplus
     */
    shipManagerCancelShipment(params: {
        "sessionId": string;
        "id": string;
        "onlyReturnSurplus": boolean;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param isAdminHold
     * @param willCallOnly
     * @param startDate
     * @param endDate
     * @param backorder
     * @param sortCol
     * @param sortAsc
     */
    shipManagerGet(params: {
        "sessionId": string;
        "search": string;
        "skip": number;
        "take"?: number;
        "isAdminHold"?: boolean;
        "willCallOnly"?: boolean;
        "startDate"?: string;
        "endDate"?: string;
        "backorder"?: boolean;
        "sortCol"?: string;
        "sortAsc"?: boolean;
    }, options?: any): Promise<ApiResultIEnumerableShippingModel>;
    /**
     *
     */
    shipManagerGetMissingShipments(options?: any): Promise<ApiResultListShippingModel>;
    /**
     *
     * @param shipmentId
     */
    shipManagerGetShipmentDetail(params: {
        "shipmentId": string;
    }, options?: any): Promise<ApiResultOrderViewModel>;
    /**
     *
     * @param sessionId
     * @param search
     */
    shipManagerGetUpsEmail(params: {
        "sessionId": string;
        "search": string;
    }, options?: any): Promise<ApiResultListParsedShipmentEmail>;
    /**
     *
     * @param model
     */
    shipManagerPostManifestsByIdShip(params: {
        "model": ShippingModel;
    }, options?: any): Promise<ShippingModel>;
    /**
     *
     * @param email
     */
    shipManagerPostUpsEmail(params: {
        "email": ParsedShipmentEmail;
    }, options?: any): Promise<ApiResultShippingModel>;
    /**
     *
     * @param sessionId
     * @param searchModel
     */
    shipManagerSearch(params: {
        "sessionId": string;
        "searchModel": ShipmentSearch;
    }, options?: any): Promise<ApiResultIEnumerableShippingModel>;
    /**
     *
     */
    shipManagerUpdateTracking(options?: any): Promise<ApiResultString>;
    /**
     *
     * @param shipmentId
     */
    shipManagerUpdateTrackingById(params: {
        "shipmentId": string;
    }, options?: any): Promise<ApiResultShippingModel>;
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     */
    shipManagerUpdateTrackingManually(params: {
        "id": string;
        "trackingNumber": string;
        "status": string;
    }, options?: any): Promise<ApiResultShippingModel>;
}
/**
 * ShipManagerApi - factory interface
 */
export declare const ShipManagerApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     * @param force
     */
    shipManagerAdminTrackingManualUpdateCpl(params: {
        "id": string;
        "trackingNumber": string;
        "status": string;
        "force"?: boolean;
    }, options?: any): Promise<ApiResultShippingModel>;
    /**
     *
     * @param sessionId
     * @param id
     * @param onlyReturnSurplus
     */
    shipManagerCancelShipment(params: {
        "sessionId": string;
        "id": string;
        "onlyReturnSurplus": boolean;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param isAdminHold
     * @param willCallOnly
     * @param startDate
     * @param endDate
     * @param backorder
     * @param sortCol
     * @param sortAsc
     */
    shipManagerGet(params: {
        "sessionId": string;
        "search": string;
        "skip": number;
        "take"?: number;
        "isAdminHold"?: boolean;
        "willCallOnly"?: boolean;
        "startDate"?: string;
        "endDate"?: string;
        "backorder"?: boolean;
        "sortCol"?: string;
        "sortAsc"?: boolean;
    }, options?: any): Promise<ApiResultIEnumerableShippingModel>;
    /**
     *
     */
    shipManagerGetMissingShipments(options?: any): Promise<ApiResultListShippingModel>;
    /**
     *
     * @param shipmentId
     */
    shipManagerGetShipmentDetail(params: {
        "shipmentId": string;
    }, options?: any): Promise<ApiResultOrderViewModel>;
    /**
     *
     * @param sessionId
     * @param search
     */
    shipManagerGetUpsEmail(params: {
        "sessionId": string;
        "search": string;
    }, options?: any): Promise<ApiResultListParsedShipmentEmail>;
    /**
     *
     * @param model
     */
    shipManagerPostManifestsByIdShip(params: {
        "model": ShippingModel;
    }, options?: any): Promise<ShippingModel>;
    /**
     *
     * @param email
     */
    shipManagerPostUpsEmail(params: {
        "email": ParsedShipmentEmail;
    }, options?: any): Promise<ApiResultShippingModel>;
    /**
     *
     * @param sessionId
     * @param searchModel
     */
    shipManagerSearch(params: {
        "sessionId": string;
        "searchModel": ShipmentSearch;
    }, options?: any): Promise<ApiResultIEnumerableShippingModel>;
    /**
     *
     */
    shipManagerUpdateTracking(options?: any): Promise<ApiResultString>;
    /**
     *
     * @param shipmentId
     */
    shipManagerUpdateTrackingById(params: {
        "shipmentId": string;
    }, options?: any): Promise<ApiResultShippingModel>;
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     */
    shipManagerUpdateTrackingManually(params: {
        "id": string;
        "trackingNumber": string;
        "status": string;
    }, options?: any): Promise<ApiResultShippingModel>;
};
/**
 * SkuApi - fetch parameter creator
 */
export declare const SkuApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     * @param useAllStock
     */
    skuAddBackup(params: {
        "sessionId": string;
        "skuId": string;
        "replacementSku": string;
        "useAllStock"?: boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     */
    skuDeleteBackup(params: {
        "sessionId": string;
        "skuId": string;
        "replacementSku": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param skuId
     */
    skuGetBackup(params: {
        "sessionId": string;
        "skuId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param varietals
     */
    skuGetInstantBuy(params: {
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "varietals"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param adminSessionId
     * @param userGuid
     * @param qty
     */
    skuGetPlanForUser(params: {
        "adminSessionId": string;
        "userGuid": string;
        "qty": number;
    }, options?: any): FetchArgs;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sort
     * @param reverse
     * @param minSurplus
     * @param maxSurplus
     * @param minPrice
     * @param maxPrice
     * @param varietals
     * @param hasComment
     * @param hideZeroes
     * @param showDeprecated
     * @param includePallet
     * @param includeNonPallet
     * @param minNumOnActiveXfer
     * @param sessionId
     */
    skuGetSkuList(params: {
        "skip": number;
        "take": number;
        "search": string;
        "sort": string;
        "reverse": boolean;
        "minSurplus": number;
        "maxSurplus": number;
        "minPrice": number;
        "maxPrice": number;
        "varietals": string;
        "hasComment": boolean;
        "hideZeroes": boolean;
        "showDeprecated": boolean;
        "includePallet": boolean;
        "includeNonPallet": boolean;
        "minNumOnActiveXfer": number;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sessionId
     */
    skuGetSkuListDeficit(params: {
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "sessionId"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     */
    skuGetSkuListFreeLocations(options?: any): FetchArgs;
    /**
     *
     * @param sku
     */
    skuGetSkuStats(params: {
        "sku": string;
    }, options?: any): FetchArgs;
    /**
     *
     */
    skuGetSkuStatsByVarietal(options?: any): FetchArgs;
    /**
     *
     * @param content
     * @param sessionId
     */
    skuPost(params: {
        "content": SkuEntity;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param skuId
     * @param content
     * @param sessionId
     * @param updateCogsHistorically
     */
    skuPut(params: {
        "skuId": string;
        "content": SkuEntity;
        "sessionId": string;
        "updateCogsHistorically"?: boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param skuId
     * @param sessionId
     * @param allowCache
     */
    skuSkuDetailV3(params: {
        "skuId": string;
        "sessionId": string;
        "allowCache": boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param model
     * @param sessionId
     */
    skuSkuListAdvanced(params: {
        "model": SkuSearch;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param itemDetailSef
     */
    skuSkuListByItemDetail(params: {
        "itemDetailSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     */
    skuSkuSwapGet(options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPost(params: {
        "sessionId": string;
        "model": SkuSwapModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPut(params: {
        "sessionId": string;
        "model": SkuSwapModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param skuId
     */
    skuSkuV3GetOffers(params: {
        "skuId": string;
    }, options?: any): FetchArgs;
    /**
     *
     */
    skuUpdateSkuCache(options?: any): FetchArgs;
};
/**
 * SkuApi - functional programming interface
 */
export declare const SkuApiFp: {
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     * @param useAllStock
     */
    skuAddBackup(params: {
        "sessionId": string;
        "skuId": string;
        "replacementSku": string;
        "useAllStock"?: boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSkuBackup>;
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     */
    skuDeleteBackup(params: {
        "sessionId": string;
        "skuId": string;
        "replacementSku": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListSkuBackup>;
    /**
     *
     * @param sessionId
     * @param skuId
     */
    skuGetBackup(params: {
        "sessionId": string;
        "skuId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListSkuBackup>;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param varietals
     */
    skuGetInstantBuy(params: {
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "varietals"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AttributedItemList>;
    /**
     *
     * @param adminSessionId
     * @param userGuid
     * @param qty
     */
    skuGetPlanForUser(params: {
        "adminSessionId": string;
        "userGuid": string;
        "qty": number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sort
     * @param reverse
     * @param minSurplus
     * @param maxSurplus
     * @param minPrice
     * @param maxPrice
     * @param varietals
     * @param hasComment
     * @param hideZeroes
     * @param showDeprecated
     * @param includePallet
     * @param includeNonPallet
     * @param minNumOnActiveXfer
     * @param sessionId
     */
    skuGetSkuList(params: {
        "skip": number;
        "take": number;
        "search": string;
        "sort": string;
        "reverse": boolean;
        "minSurplus": number;
        "maxSurplus": number;
        "minPrice": number;
        "maxPrice": number;
        "varietals": string;
        "hasComment": boolean;
        "hideZeroes": boolean;
        "showDeprecated": boolean;
        "includePallet": boolean;
        "includeNonPallet": boolean;
        "minNumOnActiveXfer": number;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListSkuEntity>;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sessionId
     */
    skuGetSkuListDeficit(params: {
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "sessionId"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListSkuEntity>;
    /**
     *
     */
    skuGetSkuListFreeLocations(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OverallPlan>;
    /**
     *
     * @param sku
     */
    skuGetSkuStats(params: {
        "sku": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SurplusItemDateTime[]>;
    /**
     *
     */
    skuGetSkuStatsByVarietal(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SurplusItemString[]>;
    /**
     *
     * @param content
     * @param sessionId
     */
    skuPost(params: {
        "content": SkuEntity;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSkuEntity>;
    /**
     *
     * @param skuId
     * @param content
     * @param sessionId
     * @param updateCogsHistorically
     */
    skuPut(params: {
        "skuId": string;
        "content": SkuEntity;
        "sessionId": string;
        "updateCogsHistorically"?: boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSkuEntity>;
    /**
     *
     * @param skuId
     * @param sessionId
     * @param allowCache
     */
    skuSkuDetailV3(params: {
        "skuId": string;
        "sessionId": string;
        "allowCache": boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSkuEntity>;
    /**
     *
     * @param model
     * @param sessionId
     */
    skuSkuListAdvanced(params: {
        "model": SkuSearch;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListSkuEntity>;
    /**
     *
     * @param itemDetailSef
     */
    skuSkuListByItemDetail(params: {
        "itemDetailSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SkuEntity[]>;
    /**
     *
     */
    skuSkuSwapGet(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSkuSwapModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPost(params: {
        "sessionId": string;
        "model": SkuSwapModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSkuSwapModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPut(params: {
        "sessionId": string;
        "model": SkuSwapModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSkuSwapModel>;
    /**
     *
     * @param skuId
     */
    skuSkuV3GetOffers(params: {
        "skuId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListOfferV2Entity>;
    /**
     *
     */
    skuUpdateSkuCache(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
};
/**
 * SkuApi - object-oriented interface
 */
export declare class SkuApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     * @param useAllStock
     */
    skuAddBackup(params: {
        "sessionId": string;
        "skuId": string;
        "replacementSku": string;
        "useAllStock"?: boolean;
    }, options?: any): Promise<ApiResultSkuBackup>;
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     */
    skuDeleteBackup(params: {
        "sessionId": string;
        "skuId": string;
        "replacementSku": string;
    }, options?: any): Promise<ApiResultListSkuBackup>;
    /**
     *
     * @param sessionId
     * @param skuId
     */
    skuGetBackup(params: {
        "sessionId": string;
        "skuId": string;
    }, options?: any): Promise<ApiResultListSkuBackup>;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param varietals
     */
    skuGetInstantBuy(params: {
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "varietals"?: string;
    }, options?: any): Promise<AttributedItemList>;
    /**
     *
     * @param adminSessionId
     * @param userGuid
     * @param qty
     */
    skuGetPlanForUser(params: {
        "adminSessionId": string;
        "userGuid": string;
        "qty": number;
    }, options?: any): Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sort
     * @param reverse
     * @param minSurplus
     * @param maxSurplus
     * @param minPrice
     * @param maxPrice
     * @param varietals
     * @param hasComment
     * @param hideZeroes
     * @param showDeprecated
     * @param includePallet
     * @param includeNonPallet
     * @param minNumOnActiveXfer
     * @param sessionId
     */
    skuGetSkuList(params: {
        "skip": number;
        "take": number;
        "search": string;
        "sort": string;
        "reverse": boolean;
        "minSurplus": number;
        "maxSurplus": number;
        "minPrice": number;
        "maxPrice": number;
        "varietals": string;
        "hasComment": boolean;
        "hideZeroes": boolean;
        "showDeprecated": boolean;
        "includePallet": boolean;
        "includeNonPallet": boolean;
        "minNumOnActiveXfer": number;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListSkuEntity>;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sessionId
     */
    skuGetSkuListDeficit(params: {
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "sessionId"?: string;
    }, options?: any): Promise<ApiResultListSkuEntity>;
    /**
     *
     */
    skuGetSkuListFreeLocations(options?: any): Promise<OverallPlan>;
    /**
     *
     * @param sku
     */
    skuGetSkuStats(params: {
        "sku": string;
    }, options?: any): Promise<SurplusItemDateTime[]>;
    /**
     *
     */
    skuGetSkuStatsByVarietal(options?: any): Promise<SurplusItemString[]>;
    /**
     *
     * @param content
     * @param sessionId
     */
    skuPost(params: {
        "content": SkuEntity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultSkuEntity>;
    /**
     *
     * @param skuId
     * @param content
     * @param sessionId
     * @param updateCogsHistorically
     */
    skuPut(params: {
        "skuId": string;
        "content": SkuEntity;
        "sessionId": string;
        "updateCogsHistorically"?: boolean;
    }, options?: any): Promise<ApiResultSkuEntity>;
    /**
     *
     * @param skuId
     * @param sessionId
     * @param allowCache
     */
    skuSkuDetailV3(params: {
        "skuId": string;
        "sessionId": string;
        "allowCache": boolean;
    }, options?: any): Promise<ApiResultSkuEntity>;
    /**
     *
     * @param model
     * @param sessionId
     */
    skuSkuListAdvanced(params: {
        "model": SkuSearch;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListSkuEntity>;
    /**
     *
     * @param itemDetailSef
     */
    skuSkuListByItemDetail(params: {
        "itemDetailSef": string;
    }, options?: any): Promise<SkuEntity[]>;
    /**
     *
     */
    skuSkuSwapGet(options?: any): Promise<ApiResultSkuSwapModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPost(params: {
        "sessionId": string;
        "model": SkuSwapModel;
    }, options?: any): Promise<ApiResultSkuSwapModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPut(params: {
        "sessionId": string;
        "model": SkuSwapModel;
    }, options?: any): Promise<ApiResultSkuSwapModel>;
    /**
     *
     * @param skuId
     */
    skuSkuV3GetOffers(params: {
        "skuId": string;
    }, options?: any): Promise<ApiResultListOfferV2Entity>;
    /**
     *
     */
    skuUpdateSkuCache(options?: any): Promise<ApiResultBoolean>;
}
/**
 * SkuApi - factory interface
 */
export declare const SkuApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     * @param useAllStock
     */
    skuAddBackup(params: {
        "sessionId": string;
        "skuId": string;
        "replacementSku": string;
        "useAllStock"?: boolean;
    }, options?: any): Promise<ApiResultSkuBackup>;
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     */
    skuDeleteBackup(params: {
        "sessionId": string;
        "skuId": string;
        "replacementSku": string;
    }, options?: any): Promise<ApiResultListSkuBackup>;
    /**
     *
     * @param sessionId
     * @param skuId
     */
    skuGetBackup(params: {
        "sessionId": string;
        "skuId": string;
    }, options?: any): Promise<ApiResultListSkuBackup>;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param varietals
     */
    skuGetInstantBuy(params: {
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "varietals"?: string;
    }, options?: any): Promise<AttributedItemList>;
    /**
     *
     * @param adminSessionId
     * @param userGuid
     * @param qty
     */
    skuGetPlanForUser(params: {
        "adminSessionId": string;
        "userGuid": string;
        "qty": number;
    }, options?: any): Promise<ApiResultListCloudCheckoutItem>;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sort
     * @param reverse
     * @param minSurplus
     * @param maxSurplus
     * @param minPrice
     * @param maxPrice
     * @param varietals
     * @param hasComment
     * @param hideZeroes
     * @param showDeprecated
     * @param includePallet
     * @param includeNonPallet
     * @param minNumOnActiveXfer
     * @param sessionId
     */
    skuGetSkuList(params: {
        "skip": number;
        "take": number;
        "search": string;
        "sort": string;
        "reverse": boolean;
        "minSurplus": number;
        "maxSurplus": number;
        "minPrice": number;
        "maxPrice": number;
        "varietals": string;
        "hasComment": boolean;
        "hideZeroes": boolean;
        "showDeprecated": boolean;
        "includePallet": boolean;
        "includeNonPallet": boolean;
        "minNumOnActiveXfer": number;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListSkuEntity>;
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sessionId
     */
    skuGetSkuListDeficit(params: {
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "sessionId"?: string;
    }, options?: any): Promise<ApiResultListSkuEntity>;
    /**
     *
     */
    skuGetSkuListFreeLocations(options?: any): Promise<OverallPlan>;
    /**
     *
     * @param sku
     */
    skuGetSkuStats(params: {
        "sku": string;
    }, options?: any): Promise<SurplusItemDateTime[]>;
    /**
     *
     */
    skuGetSkuStatsByVarietal(options?: any): Promise<SurplusItemString[]>;
    /**
     *
     * @param content
     * @param sessionId
     */
    skuPost(params: {
        "content": SkuEntity;
        "sessionId": string;
    }, options?: any): Promise<ApiResultSkuEntity>;
    /**
     *
     * @param skuId
     * @param content
     * @param sessionId
     * @param updateCogsHistorically
     */
    skuPut(params: {
        "skuId": string;
        "content": SkuEntity;
        "sessionId": string;
        "updateCogsHistorically"?: boolean;
    }, options?: any): Promise<ApiResultSkuEntity>;
    /**
     *
     * @param skuId
     * @param sessionId
     * @param allowCache
     */
    skuSkuDetailV3(params: {
        "skuId": string;
        "sessionId": string;
        "allowCache": boolean;
    }, options?: any): Promise<ApiResultSkuEntity>;
    /**
     *
     * @param model
     * @param sessionId
     */
    skuSkuListAdvanced(params: {
        "model": SkuSearch;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListSkuEntity>;
    /**
     *
     * @param itemDetailSef
     */
    skuSkuListByItemDetail(params: {
        "itemDetailSef": string;
    }, options?: any): Promise<SkuEntity[]>;
    /**
     *
     */
    skuSkuSwapGet(options?: any): Promise<ApiResultSkuSwapModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPost(params: {
        "sessionId": string;
        "model": SkuSwapModel;
    }, options?: any): Promise<ApiResultSkuSwapModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPut(params: {
        "sessionId": string;
        "model": SkuSwapModel;
    }, options?: any): Promise<ApiResultSkuSwapModel>;
    /**
     *
     * @param skuId
     */
    skuSkuV3GetOffers(params: {
        "skuId": string;
    }, options?: any): Promise<ApiResultListOfferV2Entity>;
    /**
     *
     */
    skuUpdateSkuCache(options?: any): Promise<ApiResultBoolean>;
};
/**
 * SubscriptionApi - fetch parameter creator
 */
export declare const SubscriptionApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminBeginSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminCancelSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param userId
     */
    subscriptionAdminGetSubscription(params: {
        "sessionId": string;
        "userId"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionBeginSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionCancelSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    subscriptionGetSubscription(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
};
/**
 * SubscriptionApi - functional programming interface
 */
export declare const SubscriptionApiFp: {
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminBeginSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminCancelSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param userId
     */
    subscriptionAdminGetSubscription(params: {
        "sessionId": string;
        "userId"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionBeginSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionCancelSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     */
    subscriptionGetSubscription(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListAutoSubscribeWithUserModel>;
};
/**
 * SubscriptionApi - object-oriented interface
 */
export declare class SubscriptionApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminBeginSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminCancelSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param userId
     */
    subscriptionAdminGetSubscription(params: {
        "sessionId": string;
        "userId"?: string;
    }, options?: any): Promise<ApiResultListAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionBeginSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionCancelSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     */
    subscriptionGetSubscription(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListAutoSubscribeWithUserModel>;
}
/**
 * SubscriptionApi - factory interface
 */
export declare const SubscriptionApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminBeginSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminCancelSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param userId
     */
    subscriptionAdminGetSubscription(params: {
        "sessionId": string;
        "userId"?: string;
    }, options?: any): Promise<ApiResultListAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionBeginSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionCancelSubscription(params: {
        "sessionId": string;
        "model": AutoSubscribeWithUserModel;
    }, options?: any): Promise<ApiResultAutoSubscribeWithUserModel>;
    /**
     *
     * @param sessionId
     */
    subscriptionGetSubscription(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListAutoSubscribeWithUserModel>;
};
/**
 * TelegramBotApi - fetch parameter creator
 */
export declare const TelegramBotApiFetchParamCreator: {
    /**
     *
     * @param update
     */
    telegramBotPost(params: {
        "update": Update;
    }, options?: any): FetchArgs;
};
/**
 * TelegramBotApi - functional programming interface
 */
export declare const TelegramBotApiFp: {
    /**
     *
     * @param update
     */
    telegramBotPost(params: {
        "update": Update;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
};
/**
 * TelegramBotApi - object-oriented interface
 */
export declare class TelegramBotApi extends BaseAPI {
    /**
     *
     * @param update
     */
    telegramBotPost(params: {
        "update": Update;
    }, options?: any): Promise<any>;
}
/**
 * TelegramBotApi - factory interface
 */
export declare const TelegramBotApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param update
     */
    telegramBotPost(params: {
        "update": Update;
    }, options?: any): Promise<any>;
};
/**
 * TransactionalEmailApi - fetch parameter creator
 */
export declare const TransactionalEmailApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param id
     */
    transactionalEmailGetContent(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSendEmails(params: {
        "sessionId": string;
        "model": SendEmailModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSetContent(params: {
        "sessionId": string;
        "model": TransactionalEmailModel;
    }, options?: any): FetchArgs;
};
/**
 * TransactionalEmailApi - functional programming interface
 */
export declare const TransactionalEmailApiFp: {
    /**
     *
     * @param sessionId
     * @param id
     */
    transactionalEmailGetContent(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListTransactionalEmailModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSendEmails(params: {
        "sessionId": string;
        "model": SendEmailModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSendEmailModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSetContent(params: {
        "sessionId": string;
        "model": TransactionalEmailModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultTransactionalEmailModel>;
};
/**
 * TransactionalEmailApi - object-oriented interface
 */
export declare class TransactionalEmailApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param id
     */
    transactionalEmailGetContent(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultListTransactionalEmailModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSendEmails(params: {
        "sessionId": string;
        "model": SendEmailModel;
    }, options?: any): Promise<ApiResultSendEmailModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSetContent(params: {
        "sessionId": string;
        "model": TransactionalEmailModel;
    }, options?: any): Promise<ApiResultTransactionalEmailModel>;
}
/**
 * TransactionalEmailApi - factory interface
 */
export declare const TransactionalEmailApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param id
     */
    transactionalEmailGetContent(params: {
        "sessionId": string;
        "id": string;
    }, options?: any): Promise<ApiResultListTransactionalEmailModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSendEmails(params: {
        "sessionId": string;
        "model": SendEmailModel;
    }, options?: any): Promise<ApiResultSendEmailModel>;
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSetContent(params: {
        "sessionId": string;
        "model": TransactionalEmailModel;
    }, options?: any): Promise<ApiResultTransactionalEmailModel>;
};
/**
 * TransferApi - fetch parameter creator
 */
export declare const TransferApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param minDateCreated
     * @param maxDateCreated
     */
    transferListTransfer(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "minDateCreated"?: string;
        "maxDateCreated"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param xferGuid
     * @param model
     */
    transferSaveOrUpdateTransferItem(params: {
        "sessionId": string;
        "xferGuid": string;
        "model": NhTransferItem;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param record
     */
    transferSaveTransferIgnoringLinks(params: {
        "sessionId": string;
        "record": NhTransfer;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param transferXiGuid
     * @param skuHistoryGuid
     */
    transferSetReceiptLink(params: {
        "sessionId": string;
        "transferXiGuid": string;
        "skuHistoryGuid": string;
    }, options?: any): FetchArgs;
};
/**
 * TransferApi - functional programming interface
 */
export declare const TransferApiFp: {
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param minDateCreated
     * @param maxDateCreated
     */
    transferListTransfer(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "minDateCreated"?: string;
        "maxDateCreated"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhTransfer>;
    /**
     *
     * @param sessionId
     * @param xferGuid
     * @param model
     */
    transferSaveOrUpdateTransferItem(params: {
        "sessionId": string;
        "xferGuid": string;
        "model": NhTransferItem;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhTransferItem>;
    /**
     *
     * @param sessionId
     * @param record
     */
    transferSaveTransferIgnoringLinks(params: {
        "sessionId": string;
        "record": NhTransfer;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhTransfer>;
    /**
     *
     * @param sessionId
     * @param transferXiGuid
     * @param skuHistoryGuid
     */
    transferSetReceiptLink(params: {
        "sessionId": string;
        "transferXiGuid": string;
        "skuHistoryGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSkuHistory>;
};
/**
 * TransferApi - object-oriented interface
 */
export declare class TransferApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param minDateCreated
     * @param maxDateCreated
     */
    transferListTransfer(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "minDateCreated"?: string;
        "maxDateCreated"?: string;
    }, options?: any): Promise<ApiResultListNhTransfer>;
    /**
     *
     * @param sessionId
     * @param xferGuid
     * @param model
     */
    transferSaveOrUpdateTransferItem(params: {
        "sessionId": string;
        "xferGuid": string;
        "model": NhTransferItem;
    }, options?: any): Promise<ApiResultNhTransferItem>;
    /**
     *
     * @param sessionId
     * @param record
     */
    transferSaveTransferIgnoringLinks(params: {
        "sessionId": string;
        "record": NhTransfer;
    }, options?: any): Promise<ApiResultNhTransfer>;
    /**
     *
     * @param sessionId
     * @param transferXiGuid
     * @param skuHistoryGuid
     */
    transferSetReceiptLink(params: {
        "sessionId": string;
        "transferXiGuid": string;
        "skuHistoryGuid": string;
    }, options?: any): Promise<ApiResultSkuHistory>;
}
/**
 * TransferApi - factory interface
 */
export declare const TransferApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param minDateCreated
     * @param maxDateCreated
     */
    transferListTransfer(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "minDateCreated"?: string;
        "maxDateCreated"?: string;
    }, options?: any): Promise<ApiResultListNhTransfer>;
    /**
     *
     * @param sessionId
     * @param xferGuid
     * @param model
     */
    transferSaveOrUpdateTransferItem(params: {
        "sessionId": string;
        "xferGuid": string;
        "model": NhTransferItem;
    }, options?: any): Promise<ApiResultNhTransferItem>;
    /**
     *
     * @param sessionId
     * @param record
     */
    transferSaveTransferIgnoringLinks(params: {
        "sessionId": string;
        "record": NhTransfer;
    }, options?: any): Promise<ApiResultNhTransfer>;
    /**
     *
     * @param sessionId
     * @param transferXiGuid
     * @param skuHistoryGuid
     */
    transferSetReceiptLink(params: {
        "sessionId": string;
        "transferXiGuid": string;
        "skuHistoryGuid": string;
    }, options?: any): Promise<ApiResultSkuHistory>;
};
/**
 * UserApi - fetch parameter creator
 */
export declare const UserApiFetchParamCreator: {
    /**
     *
     * @param sessionId
     */
    userCanClaimFreeLetter(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param email
     */
    userCaptureEmail(params: {
        "sessionId": string;
        "email": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Change the password for the current user (based on sessionId)
     * @param sessionId
     * @param input
     */
    userChangePassword(params: {
        "sessionId": string;
        "input": PasswordChangeModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Change the password for the given user (based on userGuid); restricted to Admin only.
     * @param userGuid
     * @param input
     * @param sessionId
     */
    userChangePasswordAdmin(params: {
        "userGuid": string;
        "input": PasswordResetAdminModel;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    userClaimFreeLetter(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     */
    userRenew(params: {
        "userGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Initiate a password reset operation.
     * @param input
     */
    userResetPassword(params: {
        "input": PasswordResetModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param model
     */
    userSetEmailPreferences(params: {
        "userGuid": string;
        "model": NhUserEmailPreference;
    }, options?: any): FetchArgs;
    /**
     *
     * @param model
     */
    userSignIn(params: {
        "model": UserAuthModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param model
     */
    userSignIn3(params: {
        "model": UserAuthModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param model
     */
    userSignup(params: {
        "model": UserAuthModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param model
     */
    userSignup3(params: {
        "model": UserAuthModel;
    }, options?: any): FetchArgs;
};
/**
 * UserApi - functional programming interface
 */
export declare const UserApiFp: {
    /**
     *
     * @param sessionId
     */
    userCanClaimFreeLetter(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param email
     */
    userCaptureEmail(params: {
        "sessionId": string;
        "email": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultString>;
    /**
     *
     * @summary Change the password for the current user (based on sessionId)
     * @param sessionId
     * @param input
     */
    userChangePassword(params: {
        "sessionId": string;
        "input": PasswordChangeModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultPasswordChangeModel>;
    /**
     *
     * @summary Change the password for the given user (based on userGuid); restricted to Admin only.
     * @param userGuid
     * @param input
     * @param sessionId
     */
    userChangePasswordAdmin(params: {
        "userGuid": string;
        "input": PasswordResetAdminModel;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultString>;
    /**
     *
     * @param sessionId
     */
    userClaimFreeLetter(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultString>;
    /**
     *
     * @param userGuid
     */
    userRenew(params: {
        "userGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @summary Initiate a password reset operation.
     * @param input
     */
    userResetPassword(params: {
        "input": PasswordResetModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultString>;
    /**
     *
     * @param userGuid
     * @param model
     */
    userSetEmailPreferences(params: {
        "userGuid": string;
        "model": NhUserEmailPreference;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhUserEmailPreference>;
    /**
     *
     * @param model
     */
    userSignIn(params: {
        "model": UserAuthModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<UserAuthResultModel>;
    /**
     *
     * @param model
     */
    userSignIn3(params: {
        "model": UserAuthModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultUserAuthResultModel>;
    /**
     *
     * @param model
     */
    userSignup(params: {
        "model": UserAuthModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<UserAuthResultModel>;
    /**
     *
     * @param model
     */
    userSignup3(params: {
        "model": UserAuthModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultUserAuthResultModel>;
};
/**
 * UserApi - object-oriented interface
 */
export declare class UserApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    userCanClaimFreeLetter(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param email
     */
    userCaptureEmail(params: {
        "sessionId": string;
        "email": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @summary Change the password for the current user (based on sessionId)
     * @param sessionId
     * @param input
     */
    userChangePassword(params: {
        "sessionId": string;
        "input": PasswordChangeModel;
    }, options?: any): Promise<ApiResultPasswordChangeModel>;
    /**
     *
     * @summary Change the password for the given user (based on userGuid); restricted to Admin only.
     * @param userGuid
     * @param input
     * @param sessionId
     */
    userChangePasswordAdmin(params: {
        "userGuid": string;
        "input": PasswordResetAdminModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @param sessionId
     */
    userClaimFreeLetter(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @param userGuid
     */
    userRenew(params: {
        "userGuid": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @summary Initiate a password reset operation.
     * @param input
     */
    userResetPassword(params: {
        "input": PasswordResetModel;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @param userGuid
     * @param model
     */
    userSetEmailPreferences(params: {
        "userGuid": string;
        "model": NhUserEmailPreference;
    }, options?: any): Promise<ApiResultNhUserEmailPreference>;
    /**
     *
     * @param model
     */
    userSignIn(params: {
        "model": UserAuthModel;
    }, options?: any): Promise<UserAuthResultModel>;
    /**
     *
     * @param model
     */
    userSignIn3(params: {
        "model": UserAuthModel;
    }, options?: any): Promise<ApiResultUserAuthResultModel>;
    /**
     *
     * @param model
     */
    userSignup(params: {
        "model": UserAuthModel;
    }, options?: any): Promise<UserAuthResultModel>;
    /**
     *
     * @param model
     */
    userSignup3(params: {
        "model": UserAuthModel;
    }, options?: any): Promise<ApiResultUserAuthResultModel>;
}
/**
 * UserApi - factory interface
 */
export declare const UserApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param sessionId
     */
    userCanClaimFreeLetter(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param email
     */
    userCaptureEmail(params: {
        "sessionId": string;
        "email": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @summary Change the password for the current user (based on sessionId)
     * @param sessionId
     * @param input
     */
    userChangePassword(params: {
        "sessionId": string;
        "input": PasswordChangeModel;
    }, options?: any): Promise<ApiResultPasswordChangeModel>;
    /**
     *
     * @summary Change the password for the given user (based on userGuid); restricted to Admin only.
     * @param userGuid
     * @param input
     * @param sessionId
     */
    userChangePasswordAdmin(params: {
        "userGuid": string;
        "input": PasswordResetAdminModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @param sessionId
     */
    userClaimFreeLetter(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @param userGuid
     */
    userRenew(params: {
        "userGuid": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @summary Initiate a password reset operation.
     * @param input
     */
    userResetPassword(params: {
        "input": PasswordResetModel;
    }, options?: any): Promise<ApiResultString>;
    /**
     *
     * @param userGuid
     * @param model
     */
    userSetEmailPreferences(params: {
        "userGuid": string;
        "model": NhUserEmailPreference;
    }, options?: any): Promise<ApiResultNhUserEmailPreference>;
    /**
     *
     * @param model
     */
    userSignIn(params: {
        "model": UserAuthModel;
    }, options?: any): Promise<UserAuthResultModel>;
    /**
     *
     * @param model
     */
    userSignIn3(params: {
        "model": UserAuthModel;
    }, options?: any): Promise<ApiResultUserAuthResultModel>;
    /**
     *
     * @param model
     */
    userSignup(params: {
        "model": UserAuthModel;
    }, options?: any): Promise<UserAuthResultModel>;
    /**
     *
     * @param model
     */
    userSignup3(params: {
        "model": UserAuthModel;
    }, options?: any): Promise<ApiResultUserAuthResultModel>;
};
/**
 * UserAdminApi - fetch parameter creator
 */
export declare const UserAdminApiFetchParamCreator: {
    /**
     *
     * @param addressGuid
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressDeleteById(params: {
        "addressGuid": string;
        "userGuid": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressGet(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param addressGuid
     * @param sessionId
     */
    userAdminAddressGetById(params: {
        "addressGuid": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param emailOrId
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPostById(params: {
        "emailOrId": string;
        "addressModel": NhAddressModel;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param addressGuid
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPutById(params: {
        "addressGuid": string;
        "addressModel": NhAddressModel;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAdminRevokeWordGame(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     */
    userAdminAdminUpdateUserEmail(params: {
        "sessionId": string;
        "model": ChangeEmailModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param comment
     * @param sessionId
     */
    userAdminCreateAdminUserComment(params: {
        "userGuid": string;
        "comment": CommentJsonObject;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param sessionId
     */
    userAdminCreditDelete(params: {
        "userGuid": string;
        "creditGuid": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminCreditGet(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param newCredit
     * @param sessionId
     */
    userAdminCreditPost(params: {
        "userGuid": string;
        "newCredit": NhCreditModel;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param credit
     * @param sessionId
     */
    userAdminCreditPut(params: {
        "userGuid": string;
        "creditGuid": string;
        "credit": NhCreditModel;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param needsOutreach
     */
    userAdminGet(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "needsOutreach"?: boolean;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminGetById(params: {
        "sessionId": string;
        "userGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sku
     * @param sessionId
     */
    userAdminGetUsersbySku(params: {
        "sku": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param userId
     * @param qty
     */
    userAdminGiveExtraLettersToUser(params: {
        "sessionId": string;
        "userId": string;
        "qty": number;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param userId
     * @param letters
     */
    userAdminGiveSpecificLettersToUser(params: {
        "sessionId": string;
        "userId": string;
        "letters": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param claimCodes
     * @param sessionId
     */
    userAdminHandleAdminGiftRedeem(params: {
        "userGuid": string;
        "claimCodes": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param model
     */
    userAdminHandleAdminUserTicket(params: {
        "model": SupportTicket;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    userAdminHandleCreditsAboutToExpire(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminListAdminUserComment(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param oldUserGuid
     * @param newUserGuid
     * @param sessionId
     */
    userAdminMergeUsers(params: {
        "oldUserGuid": string;
        "newUserGuid": string;
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminPaymentsGet(params: {
        "sessionId": string;
        "userGuid": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param model
     * @param userGuid
     */
    userAdminPutById(params: {
        "sessionId": string;
        "model": UserModelExtended;
        "userGuid": string;
    }, options?: any): FetchArgs;
};
/**
 * UserAdminApi - functional programming interface
 */
export declare const UserAdminApiFp: {
    /**
     *
     * @param addressGuid
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressDeleteById(params: {
        "addressGuid": string;
        "userGuid": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressGet(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhAddressModel>;
    /**
     *
     * @param addressGuid
     * @param sessionId
     */
    userAdminAddressGetById(params: {
        "addressGuid": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhAddressModel>;
    /**
     *
     * @param emailOrId
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPostById(params: {
        "emailOrId": string;
        "addressModel": NhAddressModel;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhAddressModel>;
    /**
     *
     * @param addressGuid
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPutById(params: {
        "addressGuid": string;
        "addressModel": NhAddressModel;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhAddressModel>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAdminRevokeWordGame(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param model
     */
    userAdminAdminUpdateUserEmail(params: {
        "sessionId": string;
        "model": ChangeEmailModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhUserModel>;
    /**
     *
     * @param userGuid
     * @param comment
     * @param sessionId
     */
    userAdminCreateAdminUserComment(params: {
        "userGuid": string;
        "comment": CommentJsonObject;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListCommentJsonObject>;
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param sessionId
     */
    userAdminCreditDelete(params: {
        "userGuid": string;
        "creditGuid": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminCreditGet(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhCreditModel>;
    /**
     *
     * @param userGuid
     * @param newCredit
     * @param sessionId
     */
    userAdminCreditPost(params: {
        "userGuid": string;
        "newCredit": NhCreditModel;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhCreditModel>;
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param credit
     * @param sessionId
     */
    userAdminCreditPut(params: {
        "userGuid": string;
        "creditGuid": string;
        "credit": NhCreditModel;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhCreditModel>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param needsOutreach
     */
    userAdminGet(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "needsOutreach"?: boolean;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListUserModelExtended>;
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminGetById(params: {
        "sessionId": string;
        "userGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultNhUserModel>;
    /**
     *
     * @param sku
     * @param sessionId
     */
    userAdminGetUsersbySku(params: {
        "sku": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListNhUserModel>;
    /**
     *
     * @param sessionId
     * @param userId
     * @param qty
     */
    userAdminGiveExtraLettersToUser(params: {
        "sessionId": string;
        "userId": string;
        "qty": number;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param userId
     * @param letters
     */
    userAdminGiveSpecificLettersToUser(params: {
        "sessionId": string;
        "userId": string;
        "letters": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param userGuid
     * @param claimCodes
     * @param sessionId
     */
    userAdminHandleAdminGiftRedeem(params: {
        "userGuid": string;
        "claimCodes": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListCheckoutPromoCodeModel>;
    /**
     *
     * @param model
     */
    userAdminHandleAdminUserTicket(params: {
        "model": SupportTicket;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultSupportTicket>;
    /**
     *
     * @param sessionId
     */
    userAdminHandleCreditsAboutToExpire(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListMarketingExpiringCredits>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminListAdminUserComment(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListCommentJsonObject>;
    /**
     *
     * @param oldUserGuid
     * @param newUserGuid
     * @param sessionId
     */
    userAdminMergeUsers(params: {
        "oldUserGuid": string;
        "newUserGuid": string;
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminPaymentsGet(params: {
        "sessionId": string;
        "userGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListApiBillingModelWithCardNumber>;
    /**
     *
     * @param sessionId
     * @param model
     * @param userGuid
     */
    userAdminPutById(params: {
        "sessionId": string;
        "model": UserModelExtended;
        "userGuid": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultUserModelExtended>;
};
/**
 * UserAdminApi - object-oriented interface
 */
export declare class UserAdminApi extends BaseAPI {
    /**
     *
     * @param addressGuid
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressDeleteById(params: {
        "addressGuid": string;
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressGet(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhAddressModel>;
    /**
     *
     * @param addressGuid
     * @param sessionId
     */
    userAdminAddressGetById(params: {
        "addressGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhAddressModel>;
    /**
     *
     * @param emailOrId
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPostById(params: {
        "emailOrId": string;
        "addressModel": NhAddressModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhAddressModel>;
    /**
     *
     * @param addressGuid
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPutById(params: {
        "addressGuid": string;
        "addressModel": NhAddressModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhAddressModel>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAdminRevokeWordGame(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param model
     */
    userAdminAdminUpdateUserEmail(params: {
        "sessionId": string;
        "model": ChangeEmailModel;
    }, options?: any): Promise<ApiResultNhUserModel>;
    /**
     *
     * @param userGuid
     * @param comment
     * @param sessionId
     */
    userAdminCreateAdminUserComment(params: {
        "userGuid": string;
        "comment": CommentJsonObject;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListCommentJsonObject>;
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param sessionId
     */
    userAdminCreditDelete(params: {
        "userGuid": string;
        "creditGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminCreditGet(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhCreditModel>;
    /**
     *
     * @param userGuid
     * @param newCredit
     * @param sessionId
     */
    userAdminCreditPost(params: {
        "userGuid": string;
        "newCredit": NhCreditModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhCreditModel>;
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param credit
     * @param sessionId
     */
    userAdminCreditPut(params: {
        "userGuid": string;
        "creditGuid": string;
        "credit": NhCreditModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhCreditModel>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param needsOutreach
     */
    userAdminGet(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "needsOutreach"?: boolean;
    }, options?: any): Promise<ApiResultListUserModelExtended>;
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminGetById(params: {
        "sessionId": string;
        "userGuid": string;
    }, options?: any): Promise<ApiResultNhUserModel>;
    /**
     *
     * @param sku
     * @param sessionId
     */
    userAdminGetUsersbySku(params: {
        "sku": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhUserModel>;
    /**
     *
     * @param sessionId
     * @param userId
     * @param qty
     */
    userAdminGiveExtraLettersToUser(params: {
        "sessionId": string;
        "userId": string;
        "qty": number;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param userId
     * @param letters
     */
    userAdminGiveSpecificLettersToUser(params: {
        "sessionId": string;
        "userId": string;
        "letters": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param userGuid
     * @param claimCodes
     * @param sessionId
     */
    userAdminHandleAdminGiftRedeem(params: {
        "userGuid": string;
        "claimCodes": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListCheckoutPromoCodeModel>;
    /**
     *
     * @param model
     */
    userAdminHandleAdminUserTicket(params: {
        "model": SupportTicket;
    }, options?: any): Promise<ApiResultSupportTicket>;
    /**
     *
     * @param sessionId
     */
    userAdminHandleCreditsAboutToExpire(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListMarketingExpiringCredits>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminListAdminUserComment(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListCommentJsonObject>;
    /**
     *
     * @param oldUserGuid
     * @param newUserGuid
     * @param sessionId
     */
    userAdminMergeUsers(params: {
        "oldUserGuid": string;
        "newUserGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminPaymentsGet(params: {
        "sessionId": string;
        "userGuid": string;
    }, options?: any): Promise<ApiResultListApiBillingModelWithCardNumber>;
    /**
     *
     * @param sessionId
     * @param model
     * @param userGuid
     */
    userAdminPutById(params: {
        "sessionId": string;
        "model": UserModelExtended;
        "userGuid": string;
    }, options?: any): Promise<ApiResultUserModelExtended>;
}
/**
 * UserAdminApi - factory interface
 */
export declare const UserAdminApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param addressGuid
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressDeleteById(params: {
        "addressGuid": string;
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressGet(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhAddressModel>;
    /**
     *
     * @param addressGuid
     * @param sessionId
     */
    userAdminAddressGetById(params: {
        "addressGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhAddressModel>;
    /**
     *
     * @param emailOrId
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPostById(params: {
        "emailOrId": string;
        "addressModel": NhAddressModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhAddressModel>;
    /**
     *
     * @param addressGuid
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPutById(params: {
        "addressGuid": string;
        "addressModel": NhAddressModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhAddressModel>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAdminRevokeWordGame(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param model
     */
    userAdminAdminUpdateUserEmail(params: {
        "sessionId": string;
        "model": ChangeEmailModel;
    }, options?: any): Promise<ApiResultNhUserModel>;
    /**
     *
     * @param userGuid
     * @param comment
     * @param sessionId
     */
    userAdminCreateAdminUserComment(params: {
        "userGuid": string;
        "comment": CommentJsonObject;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListCommentJsonObject>;
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param sessionId
     */
    userAdminCreditDelete(params: {
        "userGuid": string;
        "creditGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminCreditGet(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhCreditModel>;
    /**
     *
     * @param userGuid
     * @param newCredit
     * @param sessionId
     */
    userAdminCreditPost(params: {
        "userGuid": string;
        "newCredit": NhCreditModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhCreditModel>;
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param credit
     * @param sessionId
     */
    userAdminCreditPut(params: {
        "userGuid": string;
        "creditGuid": string;
        "credit": NhCreditModel;
        "sessionId": string;
    }, options?: any): Promise<ApiResultNhCreditModel>;
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param needsOutreach
     */
    userAdminGet(params: {
        "sessionId": string;
        "skip"?: number;
        "take"?: number;
        "search"?: string;
        "needsOutreach"?: boolean;
    }, options?: any): Promise<ApiResultListUserModelExtended>;
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminGetById(params: {
        "sessionId": string;
        "userGuid": string;
    }, options?: any): Promise<ApiResultNhUserModel>;
    /**
     *
     * @param sku
     * @param sessionId
     */
    userAdminGetUsersbySku(params: {
        "sku": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListNhUserModel>;
    /**
     *
     * @param sessionId
     * @param userId
     * @param qty
     */
    userAdminGiveExtraLettersToUser(params: {
        "sessionId": string;
        "userId": string;
        "qty": number;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param userId
     * @param letters
     */
    userAdminGiveSpecificLettersToUser(params: {
        "sessionId": string;
        "userId": string;
        "letters": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param userGuid
     * @param claimCodes
     * @param sessionId
     */
    userAdminHandleAdminGiftRedeem(params: {
        "userGuid": string;
        "claimCodes": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListCheckoutPromoCodeModel>;
    /**
     *
     * @param model
     */
    userAdminHandleAdminUserTicket(params: {
        "model": SupportTicket;
    }, options?: any): Promise<ApiResultSupportTicket>;
    /**
     *
     * @param sessionId
     */
    userAdminHandleCreditsAboutToExpire(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListMarketingExpiringCredits>;
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminListAdminUserComment(params: {
        "userGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultListCommentJsonObject>;
    /**
     *
     * @param oldUserGuid
     * @param newUserGuid
     * @param sessionId
     */
    userAdminMergeUsers(params: {
        "oldUserGuid": string;
        "newUserGuid": string;
        "sessionId": string;
    }, options?: any): Promise<ApiResultBoolean>;
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminPaymentsGet(params: {
        "sessionId": string;
        "userGuid": string;
    }, options?: any): Promise<ApiResultListApiBillingModelWithCardNumber>;
    /**
     *
     * @param sessionId
     * @param model
     * @param userGuid
     */
    userAdminPutById(params: {
        "sessionId": string;
        "model": UserModelExtended;
        "userGuid": string;
    }, options?: any): Promise<ApiResultUserModelExtended>;
};
/**
 * V2GroupApi - fetch parameter creator
 */
export declare const V2GroupApiFetchParamCreator: {
    /**
     *
     * @param content
     */
    v2GroupDelete(params: {
        "content": GroupItemEntity[];
    }, options?: any): FetchArgs;
    /**
     *
     */
    v2GroupGet(options?: any): FetchArgs;
    /**
     *
     * @param id
     */
    v2GroupGet_1(params: {
        "id": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param content
     */
    v2GroupPost(params: {
        "content": GroupItemEntity[];
    }, options?: any): FetchArgs;
    /**
     *
     * @param content
     */
    v2GroupPut(params: {
        "content": GroupItemEntity[];
    }, options?: any): FetchArgs;
};
/**
 * V2GroupApi - functional programming interface
 */
export declare const V2GroupApiFp: {
    /**
     *
     * @param content
     */
    v2GroupDelete(params: {
        "content": GroupItemEntity[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any>;
    /**
     *
     */
    v2GroupGet(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<GroupItemEntity[]>;
    /**
     *
     * @param id
     */
    v2GroupGet_1(params: {
        "id": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<GroupItemEntity>;
    /**
     *
     * @param content
     */
    v2GroupPost(params: {
        "content": GroupItemEntity[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<GroupItemEntity[]>;
    /**
     *
     * @param content
     */
    v2GroupPut(params: {
        "content": GroupItemEntity[];
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<GroupItemEntity[]>;
};
/**
 * V2GroupApi - object-oriented interface
 */
export declare class V2GroupApi extends BaseAPI {
    /**
     *
     * @param content
     */
    v2GroupDelete(params: {
        "content": Array<GroupItemEntity>;
    }, options?: any): Promise<any>;
    /**
     *
     */
    v2GroupGet(options?: any): Promise<GroupItemEntity[]>;
    /**
     *
     * @param id
     */
    v2GroupGet_1(params: {
        "id": string;
    }, options?: any): Promise<GroupItemEntity>;
    /**
     *
     * @param content
     */
    v2GroupPost(params: {
        "content": Array<GroupItemEntity>;
    }, options?: any): Promise<GroupItemEntity[]>;
    /**
     *
     * @param content
     */
    v2GroupPut(params: {
        "content": Array<GroupItemEntity>;
    }, options?: any): Promise<GroupItemEntity[]>;
}
/**
 * V2GroupApi - factory interface
 */
export declare const V2GroupApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @param content
     */
    v2GroupDelete(params: {
        "content": GroupItemEntity[];
    }, options?: any): Promise<any>;
    /**
     *
     */
    v2GroupGet(options?: any): Promise<GroupItemEntity[]>;
    /**
     *
     * @param id
     */
    v2GroupGet_1(params: {
        "id": string;
    }, options?: any): Promise<GroupItemEntity>;
    /**
     *
     * @param content
     */
    v2GroupPost(params: {
        "content": GroupItemEntity[];
    }, options?: any): Promise<GroupItemEntity[]>;
    /**
     *
     * @param content
     */
    v2GroupPut(params: {
        "content": GroupItemEntity[];
    }, options?: any): Promise<GroupItemEntity[]>;
};
/**
 * WineGeniusApi - fetch parameter creator
 */
export declare const WineGeniusApiFetchParamCreator: {
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusDeleteSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param offerSef
     */
    wineGeniusGetSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    wineGeniusGetSessionWineGeniusData(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     */
    wineGeniusGetWineGeniusUsersForOffer(params: {
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    wineGeniusHandleGetMessages(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param vacationDateSet
     * @param vacationSuspendOn
     * @param vacationResumeOn
     * @param vacationVacationGuid
     */
    wineGeniusHandleGetVacation(params: {
        "sessionId": string;
        "vacationDateSet"?: Date;
        "vacationSuspendOn"?: Date;
        "vacationResumeOn"?: Date;
        "vacationVacationGuid"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param message
     */
    wineGeniusHandlePostMessage(params: {
        "sessionId": string;
        "message": WineGeniusMessage;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param vacation
     */
    wineGeniusHandlePostVacation(params: {
        "sessionId": string;
        "vacation": WineGeniusVacation;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     */
    wineGeniusListSessionOfferReservation(params: {
        "sessionId": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param offerSef
     * @param model
     */
    wineGeniusPostWineGeniusIncludeOrExclude(params: {
        "offerSef": string;
        "model": GeniusExcl;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusPutSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param data
     */
    wineGeniusSetSessionWineGeniusData(params: {
        "sessionId": string;
        "data": WineGeniusData;
    }, options?: any): FetchArgs;
    /**
     *
     * @param sessionId
     * @param postData
     */
    wineGeniusWineGeniusPost(params: {
        "sessionId": string;
        "postData": WineGeniusData;
    }, options?: any): FetchArgs;
};
/**
 * WineGeniusApi - functional programming interface
 */
export declare const WineGeniusApiFp: {
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusDeleteSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param sessionId
     * @param offerSef
     */
    wineGeniusGetSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param sessionId
     */
    wineGeniusGetSessionWineGeniusData(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultWineGeniusData>;
    /**
     *
     * @param offerSef
     */
    wineGeniusGetWineGeniusUsersForOffer(params: {
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListGeniusGuess>;
    /**
     *
     * @param sessionId
     */
    wineGeniusHandleGetMessages(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListWineGeniusMessage>;
    /**
     *
     * @param sessionId
     * @param vacationDateSet
     * @param vacationSuspendOn
     * @param vacationResumeOn
     * @param vacationVacationGuid
     */
    wineGeniusHandleGetVacation(params: {
        "sessionId": string;
        "vacationDateSet"?: Date;
        "vacationSuspendOn"?: Date;
        "vacationResumeOn"?: Date;
        "vacationVacationGuid"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListWineGeniusVacation>;
    /**
     *
     * @param sessionId
     * @param message
     */
    wineGeniusHandlePostMessage(params: {
        "sessionId": string;
        "message": WineGeniusMessage;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultWineGeniusMessage>;
    /**
     *
     * @param sessionId
     * @param vacation
     */
    wineGeniusHandlePostVacation(params: {
        "sessionId": string;
        "vacation": WineGeniusVacation;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultWineGeniusVacation>;
    /**
     *
     * @param sessionId
     */
    wineGeniusListSessionOfferReservation(params: {
        "sessionId": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param offerSef
     * @param model
     */
    wineGeniusPostWineGeniusIncludeOrExclude(params: {
        "offerSef": string;
        "model": GeniusExcl;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultGeniusExcl>;
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusPutSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param sessionId
     * @param data
     */
    wineGeniusSetSessionWineGeniusData(params: {
        "sessionId": string;
        "data": WineGeniusData;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultWineGeniusData>;
    /**
     *
     * @param sessionId
     * @param postData
     */
    wineGeniusWineGeniusPost(params: {
        "sessionId": string;
        "postData": WineGeniusData;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultWineGeniusData>;
};
/**
 * WineGeniusApi - object-oriented interface
 */
export declare class WineGeniusApi extends BaseAPI {
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusDeleteSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param sessionId
     * @param offerSef
     */
    wineGeniusGetSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param sessionId
     */
    wineGeniusGetSessionWineGeniusData(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultWineGeniusData>;
    /**
     *
     * @param offerSef
     */
    wineGeniusGetWineGeniusUsersForOffer(params: {
        "offerSef": string;
    }, options?: any): Promise<ApiResultListGeniusGuess>;
    /**
     *
     * @param sessionId
     */
    wineGeniusHandleGetMessages(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListWineGeniusMessage>;
    /**
     *
     * @param sessionId
     * @param vacationDateSet
     * @param vacationSuspendOn
     * @param vacationResumeOn
     * @param vacationVacationGuid
     */
    wineGeniusHandleGetVacation(params: {
        "sessionId": string;
        "vacationDateSet"?: Date;
        "vacationSuspendOn"?: Date;
        "vacationResumeOn"?: Date;
        "vacationVacationGuid"?: string;
    }, options?: any): Promise<ApiResultListWineGeniusVacation>;
    /**
     *
     * @param sessionId
     * @param message
     */
    wineGeniusHandlePostMessage(params: {
        "sessionId": string;
        "message": WineGeniusMessage;
    }, options?: any): Promise<ApiResultWineGeniusMessage>;
    /**
     *
     * @param sessionId
     * @param vacation
     */
    wineGeniusHandlePostVacation(params: {
        "sessionId": string;
        "vacation": WineGeniusVacation;
    }, options?: any): Promise<ApiResultWineGeniusVacation>;
    /**
     *
     * @param sessionId
     */
    wineGeniusListSessionOfferReservation(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param offerSef
     * @param model
     */
    wineGeniusPostWineGeniusIncludeOrExclude(params: {
        "offerSef": string;
        "model": GeniusExcl;
    }, options?: any): Promise<ApiResultGeniusExcl>;
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusPutSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param sessionId
     * @param data
     */
    wineGeniusSetSessionWineGeniusData(params: {
        "sessionId": string;
        "data": WineGeniusData;
    }, options?: any): Promise<ApiResultWineGeniusData>;
    /**
     *
     * @param sessionId
     * @param postData
     */
    wineGeniusWineGeniusPost(params: {
        "sessionId": string;
        "postData": WineGeniusData;
    }, options?: any): Promise<ApiResultWineGeniusData>;
}
/**
 * WineGeniusApi - factory interface
 */
export declare const WineGeniusApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusDeleteSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param sessionId
     * @param offerSef
     */
    wineGeniusGetSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param sessionId
     */
    wineGeniusGetSessionWineGeniusData(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultWineGeniusData>;
    /**
     *
     * @param offerSef
     */
    wineGeniusGetWineGeniusUsersForOffer(params: {
        "offerSef": string;
    }, options?: any): Promise<ApiResultListGeniusGuess>;
    /**
     *
     * @param sessionId
     */
    wineGeniusHandleGetMessages(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListWineGeniusMessage>;
    /**
     *
     * @param sessionId
     * @param vacationDateSet
     * @param vacationSuspendOn
     * @param vacationResumeOn
     * @param vacationVacationGuid
     */
    wineGeniusHandleGetVacation(params: {
        "sessionId": string;
        "vacationDateSet"?: Date;
        "vacationSuspendOn"?: Date;
        "vacationResumeOn"?: Date;
        "vacationVacationGuid"?: string;
    }, options?: any): Promise<ApiResultListWineGeniusVacation>;
    /**
     *
     * @param sessionId
     * @param message
     */
    wineGeniusHandlePostMessage(params: {
        "sessionId": string;
        "message": WineGeniusMessage;
    }, options?: any): Promise<ApiResultWineGeniusMessage>;
    /**
     *
     * @param sessionId
     * @param vacation
     */
    wineGeniusHandlePostVacation(params: {
        "sessionId": string;
        "vacation": WineGeniusVacation;
    }, options?: any): Promise<ApiResultWineGeniusVacation>;
    /**
     *
     * @param sessionId
     */
    wineGeniusListSessionOfferReservation(params: {
        "sessionId": string;
    }, options?: any): Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param offerSef
     * @param model
     */
    wineGeniusPostWineGeniusIncludeOrExclude(params: {
        "offerSef": string;
        "model": GeniusExcl;
    }, options?: any): Promise<ApiResultGeniusExcl>;
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusPutSessionOfferReservation(params: {
        "sessionId": string;
        "offerSef": string;
    }, options?: any): Promise<ApiResultListOrderGeniusState>;
    /**
     *
     * @param sessionId
     * @param data
     */
    wineGeniusSetSessionWineGeniusData(params: {
        "sessionId": string;
        "data": WineGeniusData;
    }, options?: any): Promise<ApiResultWineGeniusData>;
    /**
     *
     * @param sessionId
     * @param postData
     */
    wineGeniusWineGeniusPost(params: {
        "sessionId": string;
        "postData": WineGeniusData;
    }, options?: any): Promise<ApiResultWineGeniusData>;
};
/**
 * WineryApi - fetch parameter creator
 */
export declare const WineryApiFetchParamCreator: {
    /**
     *
     * @summary Gets a winery by its id.
     * @param winerySef
     */
    wineryHandleGetWinery(params: {
        "winerySef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets the list of wineries.
     * @param skip
     * @param take
     * @param filter
     * @param search
     */
    wineryHandleListWinery(params: {
        "skip"?: number;
        "take"?: number;
        "filter"?: string;
        "search"?: string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Gets the list of wines made by a winery.
     * @param winerySef
     */
    wineryHandleListWinery_1(params: {
        "winerySef": string;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Creates a new winery.
     * @param winery
     */
    wineryHandlePostWinery(params: {
        "winery": WineryModel;
    }, options?: any): FetchArgs;
    /**
     *
     * @summary Updates an existing winery.
     * @param winerySef
     * @param winery
     */
    wineryHandlePutWinery(params: {
        "winerySef": string;
        "winery": WineryModel;
    }, options?: any): FetchArgs;
};
/**
 * WineryApi - functional programming interface
 */
export declare const WineryApiFp: {
    /**
     *
     * @summary Gets a winery by its id.
     * @param winerySef
     */
    wineryHandleGetWinery(params: {
        "winerySef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultWineryModel>;
    /**
     *
     * @summary Gets the list of wineries.
     * @param skip
     * @param take
     * @param filter
     * @param search
     */
    wineryHandleListWinery(params: {
        "skip"?: number;
        "take"?: number;
        "filter"?: string;
        "search"?: string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListWineryModel>;
    /**
     *
     * @summary Gets the list of wines made by a winery.
     * @param winerySef
     */
    wineryHandleListWinery_1(params: {
        "winerySef": string;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultListWineryModel>;
    /**
     *
     * @summary Creates a new winery.
     * @param winery
     */
    wineryHandlePostWinery(params: {
        "winery": WineryModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultWineryModel>;
    /**
     *
     * @summary Updates an existing winery.
     * @param winerySef
     * @param winery
     */
    wineryHandlePutWinery(params: {
        "winerySef": string;
        "winery": WineryModel;
    }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ApiResultWineryModel>;
};
/**
 * WineryApi - object-oriented interface
 */
export declare class WineryApi extends BaseAPI {
    /**
     *
     * @summary Gets a winery by its id.
     * @param winerySef
     */
    wineryHandleGetWinery(params: {
        "winerySef": string;
    }, options?: any): Promise<ApiResultWineryModel>;
    /**
     *
     * @summary Gets the list of wineries.
     * @param skip
     * @param take
     * @param filter
     * @param search
     */
    wineryHandleListWinery(params: {
        "skip"?: number;
        "take"?: number;
        "filter"?: string;
        "search"?: string;
    }, options?: any): Promise<ApiResultListWineryModel>;
    /**
     *
     * @summary Gets the list of wines made by a winery.
     * @param winerySef
     */
    wineryHandleListWinery_1(params: {
        "winerySef": string;
    }, options?: any): Promise<ApiResultListWineryModel>;
    /**
     *
     * @summary Creates a new winery.
     * @param winery
     */
    wineryHandlePostWinery(params: {
        "winery": WineryModel;
    }, options?: any): Promise<ApiResultWineryModel>;
    /**
     *
     * @summary Updates an existing winery.
     * @param winerySef
     * @param winery
     */
    wineryHandlePutWinery(params: {
        "winerySef": string;
        "winery": WineryModel;
    }, options?: any): Promise<ApiResultWineryModel>;
}
/**
 * WineryApi - factory interface
 */
export declare const WineryApiFactory: (fetch?: FetchAPI, basePath?: string) => {
    /**
     *
     * @summary Gets a winery by its id.
     * @param winerySef
     */
    wineryHandleGetWinery(params: {
        "winerySef": string;
    }, options?: any): Promise<ApiResultWineryModel>;
    /**
     *
     * @summary Gets the list of wineries.
     * @param skip
     * @param take
     * @param filter
     * @param search
     */
    wineryHandleListWinery(params: {
        "skip"?: number;
        "take"?: number;
        "filter"?: string;
        "search"?: string;
    }, options?: any): Promise<ApiResultListWineryModel>;
    /**
     *
     * @summary Gets the list of wines made by a winery.
     * @param winerySef
     */
    wineryHandleListWinery_1(params: {
        "winerySef": string;
    }, options?: any): Promise<ApiResultListWineryModel>;
    /**
     *
     * @summary Creates a new winery.
     * @param winery
     */
    wineryHandlePostWinery(params: {
        "winery": WineryModel;
    }, options?: any): Promise<ApiResultWineryModel>;
    /**
     *
     * @summary Updates an existing winery.
     * @param winerySef
     * @param winery
     */
    wineryHandlePutWinery(params: {
        "winerySef": string;
        "winery": WineryModel;
    }, options?: any): Promise<ApiResultWineryModel>;
};
