"use strict";
/**
 * UCMidtier
 * java -jar ../swagger-codegen-cli.jar generate -i http://localhost:7071/azapi/swagger/v1 -l typescript-fetch -o .\tmp
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const querystring = require("querystring");
const url = require("url");
const assign = require('object-assign');
const isomorphicFetch = fetch;
function gBasePath() {
    let basePath = '';
    if (typeof process.env.PROD === 'string' && process.env.PROD.toLowerCase() === 'true') {
        basePath = 'https://www.undergroundcellar.com'; // Server-side
    }
    if (typeof process.env.BASE_PATH_MIDTIER === 'string') {
        basePath = process.env.BASE_PATH_MIDTIER; // Come from nextjs config
    }
    else if (typeof location === 'undefined' || !location) {
        basePath = 'http://localhost:7071'; // Server-side/localhost
    }
    else if (location.href.indexOf("localhost:") !== -1) {
        basePath = "http://localhost:7071"; // Client-side/localhost
    }
    return basePath;
}
exports.BASE_PATH = gBasePath();
class BaseAPI {
    constructor(fetch = isomorphicFetch, basePath = exports.BASE_PATH) {
        this.basePath = basePath;
        this.fetch = fetch;
    }
}
exports.BaseAPI = BaseAPI;
;
/**
 * AbandonedUserApi - fetch parameter creator
 */
exports.AbandonedUserApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Reclaim(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling abandonedUserAbandonedV3Reclaim");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling abandonedUserAbandonedV3Reclaim");
        }
        const baseUrl = `/api/admin/sku/abandoned/v3/reclaim`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Search(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling abandonedUserAbandonedV3Search");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling abandonedUserAbandonedV3Search");
        }
        const baseUrl = `/api/admin/sku/abandoned/v3/search`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Warn(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling abandonedUserAbandonedV3Warn");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling abandonedUserAbandonedV3Warn");
        }
        const baseUrl = `/api/admin/sku/abandoned/v3/warn`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AbandonedUserApi - functional programming interface
 */
exports.AbandonedUserApiFp = {
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Reclaim(params, options) {
        const fetchArgs = exports.AbandonedUserApiFetchParamCreator.abandonedUserAbandonedV3Reclaim(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Search(params, options) {
        const fetchArgs = exports.AbandonedUserApiFetchParamCreator.abandonedUserAbandonedV3Search(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Warn(params, options) {
        const fetchArgs = exports.AbandonedUserApiFetchParamCreator.abandonedUserAbandonedV3Warn(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AbandonedUserApi - object-oriented interface
 */
class AbandonedUserApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Reclaim(params, options) {
        return exports.AbandonedUserApiFp.abandonedUserAbandonedV3Reclaim(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Search(params, options) {
        return exports.AbandonedUserApiFp.abandonedUserAbandonedV3Search(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    abandonedUserAbandonedV3Warn(params, options) {
        return exports.AbandonedUserApiFp.abandonedUserAbandonedV3Warn(params, options)(this.fetch, this.basePath);
    }
}
exports.AbandonedUserApi = AbandonedUserApi;
;
/**
 * AbandonedUserApi - factory interface
 */
exports.AbandonedUserApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param model
         */
        abandonedUserAbandonedV3Reclaim(params, options) {
            return exports.AbandonedUserApiFp.abandonedUserAbandonedV3Reclaim(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        abandonedUserAbandonedV3Search(params, options) {
            return exports.AbandonedUserApiFp.abandonedUserAbandonedV3Search(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        abandonedUserAbandonedV3Warn(params, options) {
            return exports.AbandonedUserApiFp.abandonedUserAbandonedV3Warn(params, options)(fetch, basePath);
        },
    };
};
/**
 * AccessLogApi - fetch parameter creator
 */
exports.AccessLogApiFetchParamCreator = {
    /**
     *
     * @param lead
     */
    accessLogLog(params, options) {
        // verify required parameter "lead" is set
        if (params["lead"] == null) {
            throw new Error("Missing required parameter lead when calling accessLogLog");
        }
        const baseUrl = `/api/access/log`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["lead"]) {
            fetchOptions.body = JSON.stringify(params["lead"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param lead
     */
    accessLogPostLead(params, options) {
        // verify required parameter "lead" is set
        if (params["lead"] == null) {
            throw new Error("Missing required parameter lead when calling accessLogPostLead");
        }
        const baseUrl = `/api/access/lead`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["lead"]) {
            fetchOptions.body = JSON.stringify(params["lead"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AccessLogApi - functional programming interface
 */
exports.AccessLogApiFp = {
    /**
     *
     * @param lead
     */
    accessLogLog(params, options) {
        const fetchArgs = exports.AccessLogApiFetchParamCreator.accessLogLog(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param lead
     */
    accessLogPostLead(params, options) {
        const fetchArgs = exports.AccessLogApiFetchParamCreator.accessLogPostLead(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AccessLogApi - object-oriented interface
 */
class AccessLogApi extends BaseAPI {
    /**
     *
     * @param lead
     */
    accessLogLog(params, options) {
        return exports.AccessLogApiFp.accessLogLog(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param lead
     */
    accessLogPostLead(params, options) {
        return exports.AccessLogApiFp.accessLogPostLead(params, options)(this.fetch, this.basePath);
    }
}
exports.AccessLogApi = AccessLogApi;
;
/**
 * AccessLogApi - factory interface
 */
exports.AccessLogApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param lead
         */
        accessLogLog(params, options) {
            return exports.AccessLogApiFp.accessLogLog(params, options)(fetch, basePath);
        },
        /**
         *
         * @param lead
         */
        accessLogPostLead(params, options) {
            return exports.AccessLogApiFp.accessLogPostLead(params, options)(fetch, basePath);
        },
    };
};
/**
 * AddressApi - fetch parameter creator
 */
exports.AddressApiFetchParamCreator = {
    /**
     *
     * @summary Deletes a user's stored address.
     * @param sessionId
     * @param addressId Address id to delete.
     */
    addressSessionDeleteAddress(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling addressSessionDeleteAddress");
        }
        // verify required parameter "addressId" is set
        if (params["addressId"] == null) {
            throw new Error("Missing required parameter addressId when calling addressSessionDeleteAddress");
        }
        const baseUrl = `/api/session/user-address/{addressId}`
            .replace(`{${"addressId"}}`, `${params["addressId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressDictionary(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling addressSessionGetAddressDictionary");
        }
        const baseUrl = `/api/session/user-address`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling addressSessionGetAddressList");
        }
        const baseUrl = `/api/session/user-address/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList3(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling addressSessionGetAddressList3");
        }
        const baseUrl = `/api/v3/session/user-address`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Adds an address to a user's account
     * @param sessionId User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressSessionPostAddress3(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling addressSessionPostAddress3");
        }
        // verify required parameter "address" is set
        if (params["address"] == null) {
            throw new Error("Missing required parameter address when calling addressSessionPostAddress3");
        }
        const baseUrl = `/api/v3/session/user-address`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["address"]) {
            fetchOptions.body = JSON.stringify(params["address"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Updates a user's stored address.
     * @param sessionId Session id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressSessionPutAddress(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling addressSessionPutAddress");
        }
        // verify required parameter "addressId" is set
        if (params["addressId"] == null) {
            throw new Error("Missing required parameter addressId when calling addressSessionPutAddress");
        }
        // verify required parameter "address" is set
        if (params["address"] == null) {
            throw new Error("Missing required parameter address when calling addressSessionPutAddress");
        }
        const baseUrl = `/api/session/user-address/{addressId}`
            .replace(`{${"addressId"}}`, `${params["addressId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["address"]) {
            fetchOptions.body = JSON.stringify(params["address"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Deletes a user's stored address.
     * @param userGuid Id of the user to delete the address from (for verification against the owner of the address Id,  specified in the request body &#39;address&#39;)
     * @param addressId Address id to delete.
     */
    addressUserDeleteAddress(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling addressUserDeleteAddress");
        }
        // verify required parameter "addressId" is set
        if (params["addressId"] == null) {
            throw new Error("Missing required parameter addressId when calling addressUserDeleteAddress");
        }
        const baseUrl = `/api/user/{userGuid}/address/{addressId}`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`)
            .replace(`{${"addressId"}}`, `${params["addressId"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param userGuid Id of the user to get addresses from.
     */
    addressUserGetAddressDictionary(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling addressUserGetAddressDictionary");
        }
        const baseUrl = `/api/user/{userGuid}/address`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Adds an address to a user's account
     * @param userGuid User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressUserPostAddress(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling addressUserPostAddress");
        }
        // verify required parameter "address" is set
        if (params["address"] == null) {
            throw new Error("Missing required parameter address when calling addressUserPostAddress");
        }
        const baseUrl = `/api/user/{userGuid}/address`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["address"]) {
            fetchOptions.body = JSON.stringify(params["address"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Updates a user's stored address.
     * @param userGuid User id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressUserPutAddress(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling addressUserPutAddress");
        }
        // verify required parameter "addressId" is set
        if (params["addressId"] == null) {
            throw new Error("Missing required parameter addressId when calling addressUserPutAddress");
        }
        // verify required parameter "address" is set
        if (params["address"] == null) {
            throw new Error("Missing required parameter address when calling addressUserPutAddress");
        }
        const baseUrl = `/api/user/{userGuid}/address/{addressId}`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`)
            .replace(`{${"addressId"}}`, `${params["addressId"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["address"]) {
            fetchOptions.body = JSON.stringify(params["address"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AddressApi - functional programming interface
 */
exports.AddressApiFp = {
    /**
     *
     * @summary Deletes a user's stored address.
     * @param sessionId
     * @param addressId Address id to delete.
     */
    addressSessionDeleteAddress(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressSessionDeleteAddress(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressDictionary(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressSessionGetAddressDictionary(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressSessionGetAddressList(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList3(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressSessionGetAddressList3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Adds an address to a user's account
     * @param sessionId User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressSessionPostAddress3(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressSessionPostAddress3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Updates a user's stored address.
     * @param sessionId Session id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressSessionPutAddress(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressSessionPutAddress(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Deletes a user's stored address.
     * @param userGuid Id of the user to delete the address from (for verification against the owner of the address Id,  specified in the request body &#39;address&#39;)
     * @param addressId Address id to delete.
     */
    addressUserDeleteAddress(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressUserDeleteAddress(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param userGuid Id of the user to get addresses from.
     */
    addressUserGetAddressDictionary(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressUserGetAddressDictionary(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Adds an address to a user's account
     * @param userGuid User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressUserPostAddress(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressUserPostAddress(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Updates a user's stored address.
     * @param userGuid User id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressUserPutAddress(params, options) {
        const fetchArgs = exports.AddressApiFetchParamCreator.addressUserPutAddress(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AddressApi - object-oriented interface
 */
class AddressApi extends BaseAPI {
    /**
     *
     * @summary Deletes a user's stored address.
     * @param sessionId
     * @param addressId Address id to delete.
     */
    addressSessionDeleteAddress(params, options) {
        return exports.AddressApiFp.addressSessionDeleteAddress(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressDictionary(params, options) {
        return exports.AddressApiFp.addressSessionGetAddressDictionary(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList(params, options) {
        return exports.AddressApiFp.addressSessionGetAddressList(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param sessionId sessionId of the user to get addresses from.
     */
    addressSessionGetAddressList3(params, options) {
        return exports.AddressApiFp.addressSessionGetAddressList3(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Adds an address to a user's account
     * @param sessionId User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressSessionPostAddress3(params, options) {
        return exports.AddressApiFp.addressSessionPostAddress3(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Updates a user's stored address.
     * @param sessionId Session id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressSessionPutAddress(params, options) {
        return exports.AddressApiFp.addressSessionPutAddress(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Deletes a user's stored address.
     * @param userGuid Id of the user to delete the address from (for verification against the owner of the address Id,  specified in the request body &#39;address&#39;)
     * @param addressId Address id to delete.
     */
    addressUserDeleteAddress(params, options) {
        return exports.AddressApiFp.addressUserDeleteAddress(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets the addresses for a specified user.
     * @param userGuid Id of the user to get addresses from.
     */
    addressUserGetAddressDictionary(params, options) {
        return exports.AddressApiFp.addressUserGetAddressDictionary(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Adds an address to a user's account
     * @param userGuid User id to add the address to
     * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
     */
    addressUserPostAddress(params, options) {
        return exports.AddressApiFp.addressUserPostAddress(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Updates a user's stored address.
     * @param userGuid User id that owns the address
     * @param addressId specifies the address Id to update
     * @param address Address to update, with updated data.
     */
    addressUserPutAddress(params, options) {
        return exports.AddressApiFp.addressUserPutAddress(params, options)(this.fetch, this.basePath);
    }
}
exports.AddressApi = AddressApi;
;
/**
 * AddressApi - factory interface
 */
exports.AddressApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @summary Deletes a user's stored address.
         * @param sessionId
         * @param addressId Address id to delete.
         */
        addressSessionDeleteAddress(params, options) {
            return exports.AddressApiFp.addressSessionDeleteAddress(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets the addresses for a specified user.
         * @param sessionId sessionId of the user to get addresses from.
         */
        addressSessionGetAddressDictionary(params, options) {
            return exports.AddressApiFp.addressSessionGetAddressDictionary(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets the addresses for a specified user.
         * @param sessionId sessionId of the user to get addresses from.
         */
        addressSessionGetAddressList(params, options) {
            return exports.AddressApiFp.addressSessionGetAddressList(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets the addresses for a specified user.
         * @param sessionId sessionId of the user to get addresses from.
         */
        addressSessionGetAddressList3(params, options) {
            return exports.AddressApiFp.addressSessionGetAddressList3(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Adds an address to a user's account
         * @param sessionId User id to add the address to
         * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
         */
        addressSessionPostAddress3(params, options) {
            return exports.AddressApiFp.addressSessionPostAddress3(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Updates a user's stored address.
         * @param sessionId Session id that owns the address
         * @param addressId specifies the address Id to update
         * @param address Address to update, with updated data.
         */
        addressSessionPutAddress(params, options) {
            return exports.AddressApiFp.addressSessionPutAddress(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Deletes a user's stored address.
         * @param userGuid Id of the user to delete the address from (for verification against the owner of the address Id,  specified in the request body &#39;address&#39;)
         * @param addressId Address id to delete.
         */
        addressUserDeleteAddress(params, options) {
            return exports.AddressApiFp.addressUserDeleteAddress(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets the addresses for a specified user.
         * @param userGuid Id of the user to get addresses from.
         */
        addressUserGetAddressDictionary(params, options) {
            return exports.AddressApiFp.addressUserGetAddressDictionary(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Adds an address to a user's account
         * @param userGuid User id to add the address to
         * @param address Address data to add (you can leave the &#39;id&#39; field here empty/zero because it&#39;s auto-generated by  the database)
         */
        addressUserPostAddress(params, options) {
            return exports.AddressApiFp.addressUserPostAddress(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Updates a user's stored address.
         * @param userGuid User id that owns the address
         * @param addressId specifies the address Id to update
         * @param address Address to update, with updated data.
         */
        addressUserPutAddress(params, options) {
            return exports.AddressApiFp.addressUserPutAddress(params, options)(fetch, basePath);
        },
    };
};
/**
 * AdjustmentApi - fetch parameter creator
 */
exports.AdjustmentApiFetchParamCreator = {
    /**
     *
     * @param model
     */
    adjustmentCreateAdjustmentForSku(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling adjustmentCreateAdjustmentForSku");
        }
        const baseUrl = `/api/admin/adjustment/list`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     */
    adjustmentExecAdjustment(params, options) {
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling adjustmentExecAdjustment");
        }
        const baseUrl = `/api/admin/adjustment/exec/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdjustmentApi - functional programming interface
 */
exports.AdjustmentApiFp = {
    /**
     *
     * @param model
     */
    adjustmentCreateAdjustmentForSku(params, options) {
        const fetchArgs = exports.AdjustmentApiFetchParamCreator.adjustmentCreateAdjustmentForSku(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     */
    adjustmentExecAdjustment(params, options) {
        const fetchArgs = exports.AdjustmentApiFetchParamCreator.adjustmentExecAdjustment(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdjustmentApi - object-oriented interface
 */
class AdjustmentApi extends BaseAPI {
    /**
     *
     * @param model
     */
    adjustmentCreateAdjustmentForSku(params, options) {
        return exports.AdjustmentApiFp.adjustmentCreateAdjustmentForSku(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     */
    adjustmentExecAdjustment(params, options) {
        return exports.AdjustmentApiFp.adjustmentExecAdjustment(params, options)(this.fetch, this.basePath);
    }
}
exports.AdjustmentApi = AdjustmentApi;
;
/**
 * AdjustmentApi - factory interface
 */
exports.AdjustmentApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param model
         */
        adjustmentCreateAdjustmentForSku(params, options) {
            return exports.AdjustmentApiFp.adjustmentCreateAdjustmentForSku(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         */
        adjustmentExecAdjustment(params, options) {
            return exports.AdjustmentApiFp.adjustmentExecAdjustment(params, options)(fetch, basePath);
        },
    };
};
/**
 * AdminDeliveryApi - fetch parameter creator
 */
exports.AdminDeliveryApiFetchParamCreator = {
    /**
     *
     * @param model
     */
    adminDeliveryCreateDelivery(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling adminDeliveryCreateDelivery");
        }
        const baseUrl = `/api/admin/SkuDelivery`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    adminDeliveryListDeliveries(options) {
        const baseUrl = `/api/admin/SkuDelivery`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdminDeliveryApi - functional programming interface
 */
exports.AdminDeliveryApiFp = {
    /**
     *
     * @param model
     */
    adminDeliveryCreateDelivery(params, options) {
        const fetchArgs = exports.AdminDeliveryApiFetchParamCreator.adminDeliveryCreateDelivery(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    adminDeliveryListDeliveries(options) {
        const fetchArgs = exports.AdminDeliveryApiFetchParamCreator.adminDeliveryListDeliveries(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdminDeliveryApi - object-oriented interface
 */
class AdminDeliveryApi extends BaseAPI {
    /**
     *
     * @param model
     */
    adminDeliveryCreateDelivery(params, options) {
        return exports.AdminDeliveryApiFp.adminDeliveryCreateDelivery(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    adminDeliveryListDeliveries(options) {
        return exports.AdminDeliveryApiFp.adminDeliveryListDeliveries(options)(this.fetch, this.basePath);
    }
}
exports.AdminDeliveryApi = AdminDeliveryApi;
;
/**
 * AdminDeliveryApi - factory interface
 */
exports.AdminDeliveryApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param model
         */
        adminDeliveryCreateDelivery(params, options) {
            return exports.AdminDeliveryApiFp.adminDeliveryCreateDelivery(params, options)(fetch, basePath);
        },
        /**
         *
         */
        adminDeliveryListDeliveries(options) {
            return exports.AdminDeliveryApiFp.adminDeliveryListDeliveries(options)(fetch, basePath);
        },
    };
};
/**
 * AdminOrderApi - fetch parameter creator
 */
exports.AdminOrderApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param fix
     * @param orderGuid
     */
    adminOrderArFindMisallocations(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminOrderArFindMisallocations");
        }
        const baseUrl = `/api/admin/misallocations`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "fix": params["fix"],
            "orderGuid": params["orderGuid"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Retrieves detail, including bottle info, about a specific order.
     * @param sessionId Admin session id.
     * @param id Order id.
     */
    adminOrderArOrderById(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminOrderArOrderById");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling adminOrderArOrderById");
        }
        const baseUrl = `/api/admin/orders/byId/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderCaptureSingle(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminOrderArOrderCaptureSingle");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling adminOrderArOrderCaptureSingle");
        }
        const baseUrl = `/api/captureOrder/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     * @param promoCode
     */
    adminOrderArOrderPromoApply(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminOrderArOrderPromoApply");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling adminOrderArOrderPromoApply");
        }
        // verify required parameter "promoCode" is set
        if (params["promoCode"] == null) {
            throw new Error("Missing required parameter promoCode when calling adminOrderArOrderPromoApply");
        }
        const baseUrl = `/api/admin/orders/byId/{id}/promocode`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "promoCode": params["promoCode"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Updates the order status of one or more order(s).
     * @param sessionId Admin session id.
     * @param details The orders to update (order id and status must be filled in).
     */
    adminOrderArOrderPut(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminOrderArOrderPut");
        }
        // verify required parameter "details" is set
        if (params["details"] == null) {
            throw new Error("Missing required parameter details when calling adminOrderArOrderPut");
        }
        const baseUrl = `/api/admin/orders/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["details"]) {
            fetchOptions.body = JSON.stringify(params["details"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     * @param background
     */
    adminOrderArOrderReject(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminOrderArOrderReject");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling adminOrderArOrderReject");
        }
        const baseUrl = `/api/admin/orders/byId/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "background": params["background"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderRepick(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminOrderArOrderRepick");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling adminOrderArOrderRepick");
        }
        const baseUrl = `/api/admin/orders/byId/{id}/repick`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets a list of orders, with paging information. Can also filter the orders based on a search criterion. Bottle  information is not available.
     * @param sessionId Admin session id.
     * @param skip Skip.
     * @param take Take.
     * @param search Search.
     */
    adminOrderArOrderSearch(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminOrderArOrderSearch");
        }
        const baseUrl = `/api/admin/orders/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "skip": params["skip"],
            "take": params["take"],
            "search": params["search"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param cardNo
     * @param amount
     */
    adminOrderFindChargeback(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminOrderFindChargeback");
        }
        // verify required parameter "cardNo" is set
        if (params["cardNo"] == null) {
            throw new Error("Missing required parameter cardNo when calling adminOrderFindChargeback");
        }
        // verify required parameter "amount" is set
        if (params["amount"] == null) {
            throw new Error("Missing required parameter amount when calling adminOrderFindChargeback");
        }
        const baseUrl = `/api/admin/orders/researchChargeback`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "cardNo": params["cardNo"],
            "amount": params["amount"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    adminOrderRunHourlyTasks(options) {
        const baseUrl = `/api/hourly`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdminOrderApi - functional programming interface
 */
exports.AdminOrderApiFp = {
    /**
     *
     * @param sessionId
     * @param fix
     * @param orderGuid
     */
    adminOrderArFindMisallocations(params, options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderArFindMisallocations(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Retrieves detail, including bottle info, about a specific order.
     * @param sessionId Admin session id.
     * @param id Order id.
     */
    adminOrderArOrderById(params, options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderArOrderById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderCaptureSingle(params, options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderArOrderCaptureSingle(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     * @param promoCode
     */
    adminOrderArOrderPromoApply(params, options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderArOrderPromoApply(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Updates the order status of one or more order(s).
     * @param sessionId Admin session id.
     * @param details The orders to update (order id and status must be filled in).
     */
    adminOrderArOrderPut(params, options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderArOrderPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     * @param background
     */
    adminOrderArOrderReject(params, options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderArOrderReject(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderRepick(params, options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderArOrderRepick(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets a list of orders, with paging information. Can also filter the orders based on a search criterion. Bottle  information is not available.
     * @param sessionId Admin session id.
     * @param skip Skip.
     * @param take Take.
     * @param search Search.
     */
    adminOrderArOrderSearch(params, options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderArOrderSearch(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param cardNo
     * @param amount
     */
    adminOrderFindChargeback(params, options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderFindChargeback(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    adminOrderRunHourlyTasks(options) {
        const fetchArgs = exports.AdminOrderApiFetchParamCreator.adminOrderRunHourlyTasks(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdminOrderApi - object-oriented interface
 */
class AdminOrderApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param fix
     * @param orderGuid
     */
    adminOrderArFindMisallocations(params, options) {
        return exports.AdminOrderApiFp.adminOrderArFindMisallocations(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Retrieves detail, including bottle info, about a specific order.
     * @param sessionId Admin session id.
     * @param id Order id.
     */
    adminOrderArOrderById(params, options) {
        return exports.AdminOrderApiFp.adminOrderArOrderById(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderCaptureSingle(params, options) {
        return exports.AdminOrderApiFp.adminOrderArOrderCaptureSingle(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param id
     * @param promoCode
     */
    adminOrderArOrderPromoApply(params, options) {
        return exports.AdminOrderApiFp.adminOrderArOrderPromoApply(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Updates the order status of one or more order(s).
     * @param sessionId Admin session id.
     * @param details The orders to update (order id and status must be filled in).
     */
    adminOrderArOrderPut(params, options) {
        return exports.AdminOrderApiFp.adminOrderArOrderPut(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param id
     * @param background
     */
    adminOrderArOrderReject(params, options) {
        return exports.AdminOrderApiFp.adminOrderArOrderReject(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param id
     */
    adminOrderArOrderRepick(params, options) {
        return exports.AdminOrderApiFp.adminOrderArOrderRepick(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets a list of orders, with paging information. Can also filter the orders based on a search criterion. Bottle  information is not available.
     * @param sessionId Admin session id.
     * @param skip Skip.
     * @param take Take.
     * @param search Search.
     */
    adminOrderArOrderSearch(params, options) {
        return exports.AdminOrderApiFp.adminOrderArOrderSearch(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param cardNo
     * @param amount
     */
    adminOrderFindChargeback(params, options) {
        return exports.AdminOrderApiFp.adminOrderFindChargeback(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    adminOrderRunHourlyTasks(options) {
        return exports.AdminOrderApiFp.adminOrderRunHourlyTasks(options)(this.fetch, this.basePath);
    }
}
exports.AdminOrderApi = AdminOrderApi;
;
/**
 * AdminOrderApi - factory interface
 */
exports.AdminOrderApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param fix
         * @param orderGuid
         */
        adminOrderArFindMisallocations(params, options) {
            return exports.AdminOrderApiFp.adminOrderArFindMisallocations(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Retrieves detail, including bottle info, about a specific order.
         * @param sessionId Admin session id.
         * @param id Order id.
         */
        adminOrderArOrderById(params, options) {
            return exports.AdminOrderApiFp.adminOrderArOrderById(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param id
         */
        adminOrderArOrderCaptureSingle(params, options) {
            return exports.AdminOrderApiFp.adminOrderArOrderCaptureSingle(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param id
         * @param promoCode
         */
        adminOrderArOrderPromoApply(params, options) {
            return exports.AdminOrderApiFp.adminOrderArOrderPromoApply(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Updates the order status of one or more order(s).
         * @param sessionId Admin session id.
         * @param details The orders to update (order id and status must be filled in).
         */
        adminOrderArOrderPut(params, options) {
            return exports.AdminOrderApiFp.adminOrderArOrderPut(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param id
         * @param background
         */
        adminOrderArOrderReject(params, options) {
            return exports.AdminOrderApiFp.adminOrderArOrderReject(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param id
         */
        adminOrderArOrderRepick(params, options) {
            return exports.AdminOrderApiFp.adminOrderArOrderRepick(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets a list of orders, with paging information. Can also filter the orders based on a search criterion. Bottle  information is not available.
         * @param sessionId Admin session id.
         * @param skip Skip.
         * @param take Take.
         * @param search Search.
         */
        adminOrderArOrderSearch(params, options) {
            return exports.AdminOrderApiFp.adminOrderArOrderSearch(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param cardNo
         * @param amount
         */
        adminOrderFindChargeback(params, options) {
            return exports.AdminOrderApiFp.adminOrderFindChargeback(params, options)(fetch, basePath);
        },
        /**
         *
         */
        adminOrderRunHourlyTasks(options) {
            return exports.AdminOrderApiFp.adminOrderRunHourlyTasks(options)(fetch, basePath);
        },
    };
};
/**
 * AdminPromoCodeApi - fetch parameter creator
 */
exports.AdminPromoCodeApiFetchParamCreator = {
    /**
     *
     * @summary Deactivates a promo code so it can't be used.
     * @param sessionId Admin Session ID
     * @param code Promo code to deactivate.
     */
    adminPromoCodeDelete(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminPromoCodeDelete");
        }
        // verify required parameter "code" is set
        if (params["code"] == null) {
            throw new Error("Missing required parameter code when calling adminPromoCodeDelete");
        }
        const baseUrl = `/api/admin/promo`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "code": params["code"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets a single promo code, or a list of promo codes.
     * @param sessionId Admin Session ID
     * @param search
     * @param skip
     * @param take
     */
    adminPromoCodeGet(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminPromoCodeGet");
        }
        // verify required parameter "search" is set
        if (params["search"] == null) {
            throw new Error("Missing required parameter search when calling adminPromoCodeGet");
        }
        const baseUrl = `/api/admin/promo`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "search": params["search"],
            "skip": params["skip"],
            "take": params["take"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Creates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePost(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminPromoCodePost");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling adminPromoCodePost");
        }
        const baseUrl = `/api/admin/promo`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Updates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePut(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminPromoCodePut");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling adminPromoCodePut");
        }
        const baseUrl = `/api/admin/promo`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdminPromoCodeApi - functional programming interface
 */
exports.AdminPromoCodeApiFp = {
    /**
     *
     * @summary Deactivates a promo code so it can't be used.
     * @param sessionId Admin Session ID
     * @param code Promo code to deactivate.
     */
    adminPromoCodeDelete(params, options) {
        const fetchArgs = exports.AdminPromoCodeApiFetchParamCreator.adminPromoCodeDelete(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets a single promo code, or a list of promo codes.
     * @param sessionId Admin Session ID
     * @param search
     * @param skip
     * @param take
     */
    adminPromoCodeGet(params, options) {
        const fetchArgs = exports.AdminPromoCodeApiFetchParamCreator.adminPromoCodeGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Creates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePost(params, options) {
        const fetchArgs = exports.AdminPromoCodeApiFetchParamCreator.adminPromoCodePost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Updates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePut(params, options) {
        const fetchArgs = exports.AdminPromoCodeApiFetchParamCreator.adminPromoCodePut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdminPromoCodeApi - object-oriented interface
 */
class AdminPromoCodeApi extends BaseAPI {
    /**
     *
     * @summary Deactivates a promo code so it can't be used.
     * @param sessionId Admin Session ID
     * @param code Promo code to deactivate.
     */
    adminPromoCodeDelete(params, options) {
        return exports.AdminPromoCodeApiFp.adminPromoCodeDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets a single promo code, or a list of promo codes.
     * @param sessionId Admin Session ID
     * @param search
     * @param skip
     * @param take
     */
    adminPromoCodeGet(params, options) {
        return exports.AdminPromoCodeApiFp.adminPromoCodeGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Creates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePost(params, options) {
        return exports.AdminPromoCodeApiFp.adminPromoCodePost(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Updates a new promo code.
     * @param sessionId Admin Session ID
     * @param model
     */
    adminPromoCodePut(params, options) {
        return exports.AdminPromoCodeApiFp.adminPromoCodePut(params, options)(this.fetch, this.basePath);
    }
}
exports.AdminPromoCodeApi = AdminPromoCodeApi;
;
/**
 * AdminPromoCodeApi - factory interface
 */
exports.AdminPromoCodeApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @summary Deactivates a promo code so it can't be used.
         * @param sessionId Admin Session ID
         * @param code Promo code to deactivate.
         */
        adminPromoCodeDelete(params, options) {
            return exports.AdminPromoCodeApiFp.adminPromoCodeDelete(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets a single promo code, or a list of promo codes.
         * @param sessionId Admin Session ID
         * @param search
         * @param skip
         * @param take
         */
        adminPromoCodeGet(params, options) {
            return exports.AdminPromoCodeApiFp.adminPromoCodeGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Creates a new promo code.
         * @param sessionId Admin Session ID
         * @param model
         */
        adminPromoCodePost(params, options) {
            return exports.AdminPromoCodeApiFp.adminPromoCodePost(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Updates a new promo code.
         * @param sessionId Admin Session ID
         * @param model
         */
        adminPromoCodePut(params, options) {
            return exports.AdminPromoCodeApiFp.adminPromoCodePut(params, options)(fetch, basePath);
        },
    };
};
/**
 * AdminReferralApi - fetch parameter creator
 */
exports.AdminReferralApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     */
    adminReferralGet(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminReferralGet");
        }
        const baseUrl = `/api/admin/referral`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param userId
     * @param skip
     * @param take
     */
    adminReferralGet_1(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling adminReferralGet_1");
        }
        // verify required parameter "userId" is set
        if (params["userId"] == null) {
            throw new Error("Missing required parameter userId when calling adminReferralGet_1");
        }
        const baseUrl = `/api/admin/referrals/list/byUser/{userId}`
            .replace(`{${"userId"}}`, `${params["userId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "skip": params["skip"],
            "take": params["take"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Sets the referral of user. Doesn't automatically give  the bonus; the bonus must manually be added by the admin if the referred user already made first purchase. If the  referred user later  makes the first purchase, then the system will automatically credit the appropriate awards.
     * @param userGuid User id
     * @param data Email address of user to credit with referral
     */
    adminReferralPost(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling adminReferralPost");
        }
        // verify required parameter "data" is set
        if (params["data"] == null) {
            throw new Error("Missing required parameter data when calling adminReferralPost");
        }
        const baseUrl = `/api/admin/referral/{userGuid}`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["data"]) {
            fetchOptions.body = JSON.stringify(params["data"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * AdminReferralApi - functional programming interface
 */
exports.AdminReferralApiFp = {
    /**
     *
     * @param sessionId
     */
    adminReferralGet(params, options) {
        const fetchArgs = exports.AdminReferralApiFetchParamCreator.adminReferralGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param userId
     * @param skip
     * @param take
     */
    adminReferralGet_1(params, options) {
        const fetchArgs = exports.AdminReferralApiFetchParamCreator.adminReferralGet_1(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Sets the referral of user. Doesn't automatically give  the bonus; the bonus must manually be added by the admin if the referred user already made first purchase. If the  referred user later  makes the first purchase, then the system will automatically credit the appropriate awards.
     * @param userGuid User id
     * @param data Email address of user to credit with referral
     */
    adminReferralPost(params, options) {
        const fetchArgs = exports.AdminReferralApiFetchParamCreator.adminReferralPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * AdminReferralApi - object-oriented interface
 */
class AdminReferralApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    adminReferralGet(params, options) {
        return exports.AdminReferralApiFp.adminReferralGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param userId
     * @param skip
     * @param take
     */
    adminReferralGet_1(params, options) {
        return exports.AdminReferralApiFp.adminReferralGet_1(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Sets the referral of user. Doesn't automatically give  the bonus; the bonus must manually be added by the admin if the referred user already made first purchase. If the  referred user later  makes the first purchase, then the system will automatically credit the appropriate awards.
     * @param userGuid User id
     * @param data Email address of user to credit with referral
     */
    adminReferralPost(params, options) {
        return exports.AdminReferralApiFp.adminReferralPost(params, options)(this.fetch, this.basePath);
    }
}
exports.AdminReferralApi = AdminReferralApi;
;
/**
 * AdminReferralApi - factory interface
 */
exports.AdminReferralApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         */
        adminReferralGet(params, options) {
            return exports.AdminReferralApiFp.adminReferralGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param userId
         * @param skip
         * @param take
         */
        adminReferralGet_1(params, options) {
            return exports.AdminReferralApiFp.adminReferralGet_1(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Sets the referral of user. Doesn't automatically give  the bonus; the bonus must manually be added by the admin if the referred user already made first purchase. If the  referred user later  makes the first purchase, then the system will automatically credit the appropriate awards.
         * @param userGuid User id
         * @param data Email address of user to credit with referral
         */
        adminReferralPost(params, options) {
            return exports.AdminReferralApiFp.adminReferralPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * CampaignApi - fetch parameter creator
 */
exports.CampaignApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param userId
     */
    campaignGet(params, options) {
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling campaignGet");
        }
        // verify required parameter "userId" is set
        if (params["userId"] == null) {
            throw new Error("Missing required parameter userId when calling campaignGet");
        }
        const baseUrl = `/api/campaign/{id}/{userId}`
            .replace(`{${"id"}}`, `${params["id"]}`)
            .replace(`{${"userId"}}`, `${params["userId"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     * @param model
     */
    campaignPostEntry(params, options) {
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling campaignPostEntry");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling campaignPostEntry");
        }
        const baseUrl = `/api/campaign/{id}/entry`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CampaignApi - functional programming interface
 */
exports.CampaignApiFp = {
    /**
     *
     * @param id
     * @param userId
     */
    campaignGet(params, options) {
        const fetchArgs = exports.CampaignApiFetchParamCreator.campaignGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     * @param model
     */
    campaignPostEntry(params, options) {
        const fetchArgs = exports.CampaignApiFetchParamCreator.campaignPostEntry(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CampaignApi - object-oriented interface
 */
class CampaignApi extends BaseAPI {
    /**
     *
     * @param id
     * @param userId
     */
    campaignGet(params, options) {
        return exports.CampaignApiFp.campaignGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     * @param model
     */
    campaignPostEntry(params, options) {
        return exports.CampaignApiFp.campaignPostEntry(params, options)(this.fetch, this.basePath);
    }
}
exports.CampaignApi = CampaignApi;
;
/**
 * CampaignApi - factory interface
 */
exports.CampaignApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param userId
         */
        campaignGet(params, options) {
            return exports.CampaignApiFp.campaignGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         * @param model
         */
        campaignPostEntry(params, options) {
            return exports.CampaignApiFp.campaignPostEntry(params, options)(fetch, basePath);
        },
    };
};
/**
 * CheckoutApiApi - fetch parameter creator
 */
exports.CheckoutApiApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiCheckDoubleDownEligible(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiCheckDoubleDownEligible");
        }
        // verify required parameter "orderGuid" is set
        if (params["orderGuid"] == null) {
            throw new Error("Missing required parameter orderGuid when calling checkoutApiCheckDoubleDownEligible");
        }
        const baseUrl = `/api/session/user-orders/{orderGuid}/spin-again`
            .replace(`{${"orderGuid"}}`, `${params["orderGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Process a checkout operation from subscriptions.
     * @param sessionId Session ID.
     * @param offerSef
     * @param userSubscriptions List of Subscriptions
     */
    checkoutApiCreateOrdersFromSubscriptions(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiCreateOrdersFromSubscriptions");
        }
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling checkoutApiCreateOrdersFromSubscriptions");
        }
        // verify required parameter "userSubscriptions" is set
        if (params["userSubscriptions"] == null) {
            throw new Error("Missing required parameter userSubscriptions when calling checkoutApiCreateOrdersFromSubscriptions");
        }
        const baseUrl = `/api/v3/session/{offerSef}/checkout-subs`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["userSubscriptions"]) {
            fetchOptions.body = JSON.stringify(params["userSubscriptions"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Process a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostBuyGiftCard(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiPostBuyGiftCard");
        }
        // verify required parameter "offerCheckoutInfo" is set
        if (params["offerCheckoutInfo"] == null) {
            throw new Error("Missing required parameter offerCheckoutInfo when calling checkoutApiPostBuyGiftCard");
        }
        const baseUrl = `/api/v3/session/checkout-gc`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["offerCheckoutInfo"]) {
            fetchOptions.body = JSON.stringify(params["offerCheckoutInfo"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiPostDoubleDown(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiPostDoubleDown");
        }
        // verify required parameter "orderGuid" is set
        if (params["orderGuid"] == null) {
            throw new Error("Missing required parameter orderGuid when calling checkoutApiPostDoubleDown");
        }
        const baseUrl = `/api/session/user-orders/{orderGuid}/spin-again`
            .replace(`{${"orderGuid"}}`, `${params["orderGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostFromSessionV3(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiPostFromSessionV3");
        }
        // verify required parameter "offerCheckoutInfo" is set
        if (params["offerCheckoutInfo"] == null) {
            throw new Error("Missing required parameter offerCheckoutInfo when calling checkoutApiPostFromSessionV3");
        }
        const baseUrl = `/api/v3/session/checkout`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["offerCheckoutInfo"]) {
            fetchOptions.body = JSON.stringify(params["offerCheckoutInfo"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostShipmentFromSessionV3(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiPostShipmentFromSessionV3");
        }
        // verify required parameter "offerCheckoutInfo" is set
        if (params["offerCheckoutInfo"] == null) {
            throw new Error("Missing required parameter offerCheckoutInfo when calling checkoutApiPostShipmentFromSessionV3");
        }
        const baseUrl = `/api/v3/session/ship`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["offerCheckoutInfo"]) {
            fetchOptions.body = JSON.stringify(params["offerCheckoutInfo"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Simulate a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutBuyGiftCard(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiPutBuyGiftCard");
        }
        // verify required parameter "offerCheckoutInfo" is set
        if (params["offerCheckoutInfo"] == null) {
            throw new Error("Missing required parameter offerCheckoutInfo when calling checkoutApiPutBuyGiftCard");
        }
        const baseUrl = `/api/v3/session/checkout-gc`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["offerCheckoutInfo"]) {
            fetchOptions.body = JSON.stringify(params["offerCheckoutInfo"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutFromSessionV3(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiPutFromSessionV3");
        }
        // verify required parameter "offerCheckoutInfo" is set
        if (params["offerCheckoutInfo"] == null) {
            throw new Error("Missing required parameter offerCheckoutInfo when calling checkoutApiPutFromSessionV3");
        }
        const baseUrl = `/api/v3/session/checkout`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["offerCheckoutInfo"]) {
            fetchOptions.body = JSON.stringify(params["offerCheckoutInfo"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutShipmentFromSessionV3(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiPutShipmentFromSessionV3");
        }
        // verify required parameter "offerCheckoutInfo" is set
        if (params["offerCheckoutInfo"] == null) {
            throw new Error("Missing required parameter offerCheckoutInfo when calling checkoutApiPutShipmentFromSessionV3");
        }
        const baseUrl = `/api/v3/session/ship`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["offerCheckoutInfo"]) {
            fetchOptions.body = JSON.stringify(params["offerCheckoutInfo"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Check an order for referral.
     * @param sessionId Session ID.
     * @param orderId The order to check.
     */
    checkoutApiReferralCheck(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiReferralCheck");
        }
        // verify required parameter "orderId" is set
        if (params["orderId"] == null) {
            throw new Error("Missing required parameter orderId when calling checkoutApiReferralCheck");
        }
        const baseUrl = `/api/v3/session/referral-check`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "orderId": params["orderId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Process a checkout operation as new user.
     * @param sessionId
     * @param model
     */
    checkoutApiSignupAndCheckout(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling checkoutApiSignupAndCheckout");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling checkoutApiSignupAndCheckout");
        }
        const baseUrl = `/api/v3/session/newUserCheckout`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * CheckoutApiApi - functional programming interface
 */
exports.CheckoutApiApiFp = {
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiCheckDoubleDownEligible(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiCheckDoubleDownEligible(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Process a checkout operation from subscriptions.
     * @param sessionId Session ID.
     * @param offerSef
     * @param userSubscriptions List of Subscriptions
     */
    checkoutApiCreateOrdersFromSubscriptions(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiCreateOrdersFromSubscriptions(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Process a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostBuyGiftCard(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiPostBuyGiftCard(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiPostDoubleDown(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiPostDoubleDown(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostFromSessionV3(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiPostFromSessionV3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostShipmentFromSessionV3(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiPostShipmentFromSessionV3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Simulate a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutBuyGiftCard(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiPutBuyGiftCard(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutFromSessionV3(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiPutFromSessionV3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutShipmentFromSessionV3(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiPutShipmentFromSessionV3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Check an order for referral.
     * @param sessionId Session ID.
     * @param orderId The order to check.
     */
    checkoutApiReferralCheck(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiReferralCheck(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Process a checkout operation as new user.
     * @param sessionId
     * @param model
     */
    checkoutApiSignupAndCheckout(params, options) {
        const fetchArgs = exports.CheckoutApiApiFetchParamCreator.checkoutApiSignupAndCheckout(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * CheckoutApiApi - object-oriented interface
 */
class CheckoutApiApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiCheckDoubleDownEligible(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiCheckDoubleDownEligible(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Process a checkout operation from subscriptions.
     * @param sessionId Session ID.
     * @param offerSef
     * @param userSubscriptions List of Subscriptions
     */
    checkoutApiCreateOrdersFromSubscriptions(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiCreateOrdersFromSubscriptions(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Process a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostBuyGiftCard(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiPostBuyGiftCard(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param orderGuid
     */
    checkoutApiPostDoubleDown(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiPostDoubleDown(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostFromSessionV3(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiPostFromSessionV3(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Process a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPostShipmentFromSessionV3(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiPostShipmentFromSessionV3(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Simulate a checkout operation to buy a gift card.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutBuyGiftCard(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiPutBuyGiftCard(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutFromSessionV3(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiPutFromSessionV3(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Simulate a checkout operation.
     * @param sessionId Session ID.
     * @param offerCheckoutInfo The checkout information.
     */
    checkoutApiPutShipmentFromSessionV3(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiPutShipmentFromSessionV3(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Check an order for referral.
     * @param sessionId Session ID.
     * @param orderId The order to check.
     */
    checkoutApiReferralCheck(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiReferralCheck(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Process a checkout operation as new user.
     * @param sessionId
     * @param model
     */
    checkoutApiSignupAndCheckout(params, options) {
        return exports.CheckoutApiApiFp.checkoutApiSignupAndCheckout(params, options)(this.fetch, this.basePath);
    }
}
exports.CheckoutApiApi = CheckoutApiApi;
;
/**
 * CheckoutApiApi - factory interface
 */
exports.CheckoutApiApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param orderGuid
         */
        checkoutApiCheckDoubleDownEligible(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiCheckDoubleDownEligible(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Process a checkout operation from subscriptions.
         * @param sessionId Session ID.
         * @param offerSef
         * @param userSubscriptions List of Subscriptions
         */
        checkoutApiCreateOrdersFromSubscriptions(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiCreateOrdersFromSubscriptions(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Process a checkout operation to buy a gift card.
         * @param sessionId Session ID.
         * @param offerCheckoutInfo The checkout information.
         */
        checkoutApiPostBuyGiftCard(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiPostBuyGiftCard(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param orderGuid
         */
        checkoutApiPostDoubleDown(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiPostDoubleDown(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Process a checkout operation.
         * @param sessionId Session ID.
         * @param offerCheckoutInfo The checkout information.
         */
        checkoutApiPostFromSessionV3(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiPostFromSessionV3(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Process a checkout operation.
         * @param sessionId Session ID.
         * @param offerCheckoutInfo The checkout information.
         */
        checkoutApiPostShipmentFromSessionV3(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiPostShipmentFromSessionV3(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Simulate a checkout operation to buy a gift card.
         * @param sessionId Session ID.
         * @param offerCheckoutInfo The checkout information.
         */
        checkoutApiPutBuyGiftCard(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiPutBuyGiftCard(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Simulate a checkout operation.
         * @param sessionId
         * @param offerCheckoutInfo The checkout information.
         */
        checkoutApiPutFromSessionV3(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiPutFromSessionV3(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Simulate a checkout operation.
         * @param sessionId Session ID.
         * @param offerCheckoutInfo The checkout information.
         */
        checkoutApiPutShipmentFromSessionV3(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiPutShipmentFromSessionV3(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Check an order for referral.
         * @param sessionId Session ID.
         * @param orderId The order to check.
         */
        checkoutApiReferralCheck(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiReferralCheck(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Process a checkout operation as new user.
         * @param sessionId
         * @param model
         */
        checkoutApiSignupAndCheckout(params, options) {
            return exports.CheckoutApiApiFp.checkoutApiSignupAndCheckout(params, options)(fetch, basePath);
        },
    };
};
/**
 * DebugApi - fetch parameter creator
 */
exports.DebugApiFetchParamCreator = {
    /**
     *
     */
    debugGetPoolInfo(options) {
        const baseUrl = `/api/admin/debug/cpool`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    debugGetPyFeatures(options) {
        const baseUrl = `/api/admin/debug/pyfeatures`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * DebugApi - functional programming interface
 */
exports.DebugApiFp = {
    /**
     *
     */
    debugGetPoolInfo(options) {
        const fetchArgs = exports.DebugApiFetchParamCreator.debugGetPoolInfo(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    debugGetPyFeatures(options) {
        const fetchArgs = exports.DebugApiFetchParamCreator.debugGetPyFeatures(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * DebugApi - object-oriented interface
 */
class DebugApi extends BaseAPI {
    /**
     *
     */
    debugGetPoolInfo(options) {
        return exports.DebugApiFp.debugGetPoolInfo(options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    debugGetPyFeatures(options) {
        return exports.DebugApiFp.debugGetPyFeatures(options)(this.fetch, this.basePath);
    }
}
exports.DebugApi = DebugApi;
;
/**
 * DebugApi - factory interface
 */
exports.DebugApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         */
        debugGetPoolInfo(options) {
            return exports.DebugApiFp.debugGetPoolInfo(options)(fetch, basePath);
        },
        /**
         *
         */
        debugGetPyFeatures(options) {
            return exports.DebugApiFp.debugGetPyFeatures(options)(fetch, basePath);
        },
    };
};
/**
 * EmailMarketingApi - fetch parameter creator
 */
exports.EmailMarketingApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGet(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling emailMarketingHandleGet");
        }
        const baseUrl = `/api/admin/v2/email/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGetAbandoned(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling emailMarketingHandleGetAbandoned");
        }
        const baseUrl = `/api/admin/v2/email/list/abandonedCheckout`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param send
     */
    emailMarketingHandleGetExpiring(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling emailMarketingHandleGetExpiring");
        }
        const baseUrl = `/api/admin/v2/email/list/expiringCredits`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "skip": params["skip"],
            "take": params["take"],
            "send": params["send"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param email
     * @param unsubCampaignId
     * @param unsubCampaignTitle
     * @param unsubReason
     */
    emailMarketingHandleUnsub(params, options) {
        // verify required parameter "email" is set
        if (params["email"] == null) {
            throw new Error("Missing required parameter email when calling emailMarketingHandleUnsub");
        }
        // verify required parameter "unsubCampaignId" is set
        if (params["unsubCampaignId"] == null) {
            throw new Error("Missing required parameter unsubCampaignId when calling emailMarketingHandleUnsub");
        }
        // verify required parameter "unsubCampaignTitle" is set
        if (params["unsubCampaignTitle"] == null) {
            throw new Error("Missing required parameter unsubCampaignTitle when calling emailMarketingHandleUnsub");
        }
        // verify required parameter "unsubReason" is set
        if (params["unsubReason"] == null) {
            throw new Error("Missing required parameter unsubReason when calling emailMarketingHandleUnsub");
        }
        const baseUrl = `/api/admin/v2/email/list/unsub`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "email": params["email"],
            "unsubCampaignId": params["unsubCampaignId"],
            "unsubCampaignTitle": params["unsubCampaignTitle"],
            "unsubReason": params["unsubReason"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param page
     */
    emailMarketingImportDotmailerIds(params, options) {
        // verify required parameter "page" is set
        if (params["page"] == null) {
            throw new Error("Missing required parameter page when calling emailMarketingImportDotmailerIds");
        }
        const baseUrl = `/api/admin/v2/dotmailer/pull/{page}`
            .replace(`{${"page"}}`, `${params["page"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param toEmail
     * @param toName
     */
    emailMarketingSendTest(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling emailMarketingSendTest");
        }
        // verify required parameter "toEmail" is set
        if (params["toEmail"] == null) {
            throw new Error("Missing required parameter toEmail when calling emailMarketingSendTest");
        }
        // verify required parameter "toName" is set
        if (params["toName"] == null) {
            throw new Error("Missing required parameter toName when calling emailMarketingSendTest");
        }
        const baseUrl = `/api/admin/v2/email/test`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "toEmail": params["toEmail"],
            "toName": params["toName"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * EmailMarketingApi - functional programming interface
 */
exports.EmailMarketingApiFp = {
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGet(params, options) {
        const fetchArgs = exports.EmailMarketingApiFetchParamCreator.emailMarketingHandleGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGetAbandoned(params, options) {
        const fetchArgs = exports.EmailMarketingApiFetchParamCreator.emailMarketingHandleGetAbandoned(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param send
     */
    emailMarketingHandleGetExpiring(params, options) {
        const fetchArgs = exports.EmailMarketingApiFetchParamCreator.emailMarketingHandleGetExpiring(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param email
     * @param unsubCampaignId
     * @param unsubCampaignTitle
     * @param unsubReason
     */
    emailMarketingHandleUnsub(params, options) {
        const fetchArgs = exports.EmailMarketingApiFetchParamCreator.emailMarketingHandleUnsub(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param page
     */
    emailMarketingImportDotmailerIds(params, options) {
        const fetchArgs = exports.EmailMarketingApiFetchParamCreator.emailMarketingImportDotmailerIds(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param toEmail
     * @param toName
     */
    emailMarketingSendTest(params, options) {
        const fetchArgs = exports.EmailMarketingApiFetchParamCreator.emailMarketingSendTest(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * EmailMarketingApi - object-oriented interface
 */
class EmailMarketingApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGet(params, options) {
        return exports.EmailMarketingApiFp.emailMarketingHandleGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    emailMarketingHandleGetAbandoned(params, options) {
        return exports.EmailMarketingApiFp.emailMarketingHandleGetAbandoned(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param send
     */
    emailMarketingHandleGetExpiring(params, options) {
        return exports.EmailMarketingApiFp.emailMarketingHandleGetExpiring(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param email
     * @param unsubCampaignId
     * @param unsubCampaignTitle
     * @param unsubReason
     */
    emailMarketingHandleUnsub(params, options) {
        return exports.EmailMarketingApiFp.emailMarketingHandleUnsub(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param page
     */
    emailMarketingImportDotmailerIds(params, options) {
        return exports.EmailMarketingApiFp.emailMarketingImportDotmailerIds(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param toEmail
     * @param toName
     */
    emailMarketingSendTest(params, options) {
        return exports.EmailMarketingApiFp.emailMarketingSendTest(params, options)(this.fetch, this.basePath);
    }
}
exports.EmailMarketingApi = EmailMarketingApi;
;
/**
 * EmailMarketingApi - factory interface
 */
exports.EmailMarketingApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         */
        emailMarketingHandleGet(params, options) {
            return exports.EmailMarketingApiFp.emailMarketingHandleGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        emailMarketingHandleGetAbandoned(params, options) {
            return exports.EmailMarketingApiFp.emailMarketingHandleGetAbandoned(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param skip
         * @param take
         * @param send
         */
        emailMarketingHandleGetExpiring(params, options) {
            return exports.EmailMarketingApiFp.emailMarketingHandleGetExpiring(params, options)(fetch, basePath);
        },
        /**
         *
         * @param email
         * @param unsubCampaignId
         * @param unsubCampaignTitle
         * @param unsubReason
         */
        emailMarketingHandleUnsub(params, options) {
            return exports.EmailMarketingApiFp.emailMarketingHandleUnsub(params, options)(fetch, basePath);
        },
        /**
         *
         * @param page
         */
        emailMarketingImportDotmailerIds(params, options) {
            return exports.EmailMarketingApiFp.emailMarketingImportDotmailerIds(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param toEmail
         * @param toName
         */
        emailMarketingSendTest(params, options) {
            return exports.EmailMarketingApiFp.emailMarketingSendTest(params, options)(fetch, basePath);
        },
    };
};
/**
 * InviteApi - fetch parameter creator
 */
exports.InviteApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     */
    inviteGetInvitations(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling inviteGetInvitations");
        }
        const baseUrl = `/api/session/user-referral`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param input
     */
    inviteInviteByEmail(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling inviteInviteByEmail");
        }
        // verify required parameter "input" is set
        if (params["input"] == null) {
            throw new Error("Missing required parameter input when calling inviteInviteByEmail");
        }
        const baseUrl = `/api/session/user-referral`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["input"]) {
            fetchOptions.body = JSON.stringify(params["input"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param contacts
     */
    inviteInviteContactsByEmail(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling inviteInviteContactsByEmail");
        }
        // verify required parameter "contacts" is set
        if (params["contacts"] == null) {
            throw new Error("Missing required parameter contacts when calling inviteInviteContactsByEmail");
        }
        const baseUrl = `/api/invite/byOauth/invitations`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["contacts"]) {
            fetchOptions.body = JSON.stringify(params["contacts"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * InviteApi - functional programming interface
 */
exports.InviteApiFp = {
    /**
     *
     * @param sessionId
     */
    inviteGetInvitations(params, options) {
        const fetchArgs = exports.InviteApiFetchParamCreator.inviteGetInvitations(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param input
     */
    inviteInviteByEmail(params, options) {
        const fetchArgs = exports.InviteApiFetchParamCreator.inviteInviteByEmail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param contacts
     */
    inviteInviteContactsByEmail(params, options) {
        const fetchArgs = exports.InviteApiFetchParamCreator.inviteInviteContactsByEmail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * InviteApi - object-oriented interface
 */
class InviteApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    inviteGetInvitations(params, options) {
        return exports.InviteApiFp.inviteGetInvitations(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param input
     */
    inviteInviteByEmail(params, options) {
        return exports.InviteApiFp.inviteInviteByEmail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param contacts
     */
    inviteInviteContactsByEmail(params, options) {
        return exports.InviteApiFp.inviteInviteContactsByEmail(params, options)(this.fetch, this.basePath);
    }
}
exports.InviteApi = InviteApi;
;
/**
 * InviteApi - factory interface
 */
exports.InviteApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         */
        inviteGetInvitations(params, options) {
            return exports.InviteApiFp.inviteGetInvitations(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param input
         */
        inviteInviteByEmail(params, options) {
            return exports.InviteApiFp.inviteInviteByEmail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param contacts
         */
        inviteInviteContactsByEmail(params, options) {
            return exports.InviteApiFp.inviteInviteContactsByEmail(params, options)(fetch, basePath);
        },
    };
};
/**
 * InvoiceApi - fetch parameter creator
 */
exports.InvoiceApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param record
     */
    invoiceCreateOrUpdateInvoiceIgnoringItems(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling invoiceCreateOrUpdateInvoiceIgnoringItems");
        }
        // verify required parameter "record" is set
        if (params["record"] == null) {
            throw new Error("Missing required parameter record when calling invoiceCreateOrUpdateInvoiceIgnoringItems");
        }
        const baseUrl = `/api/admin/invoice/collection`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["record"]) {
            fetchOptions.body = JSON.stringify(params["record"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     */
    invoiceDeleteInvoiceItem(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling invoiceDeleteInvoiceItem");
        }
        // verify required parameter "invGuid" is set
        if (params["invGuid"] == null) {
            throw new Error("Missing required parameter invGuid when calling invoiceDeleteInvoiceItem");
        }
        // verify required parameter "invItemGuid" is set
        if (params["invItemGuid"] == null) {
            throw new Error("Missing required parameter invItemGuid when calling invoiceDeleteInvoiceItem");
        }
        const baseUrl = `/api/admin/invoice/detail/{invGuid}`
            .replace(`{${"invGuid"}}`, `${params["invGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "invItemGuid": params["invItemGuid"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param sku
     */
    invoiceGetEligibleTransferToLink(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling invoiceGetEligibleTransferToLink");
        }
        // verify required parameter "invGuid" is set
        if (params["invGuid"] == null) {
            throw new Error("Missing required parameter invGuid when calling invoiceGetEligibleTransferToLink");
        }
        // verify required parameter "sku" is set
        if (params["sku"] == null) {
            throw new Error("Missing required parameter sku when calling invoiceGetEligibleTransferToLink");
        }
        const baseUrl = `/api/admin/invoice/detail/{invGuid}`
            .replace(`{${"invGuid"}}`, `${params["invGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "sku": params["sku"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param sort
     * @param asc
     */
    invoiceGetInvoiceItemsWithoutTransfer(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling invoiceGetInvoiceItemsWithoutTransfer");
        }
        // verify required parameter "search" is set
        if (params["search"] == null) {
            throw new Error("Missing required parameter search when calling invoiceGetInvoiceItemsWithoutTransfer");
        }
        const baseUrl = `/api/admin/invoice/unmatched`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "search": params["search"],
            "skip": params["skip"],
            "take": params["take"],
            "sort": params["sort"],
            "asc": params["asc"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     */
    invoiceGetTransferItemsWithoutInvoice(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling invoiceGetTransferItemsWithoutInvoice");
        }
        // verify required parameter "search" is set
        if (params["search"] == null) {
            throw new Error("Missing required parameter search when calling invoiceGetTransferItemsWithoutInvoice");
        }
        const baseUrl = `/api/admin/transfer/unmatched`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "search": params["search"],
            "skip": params["skip"],
            "take": params["take"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param adminSessionId
     * @param invoiceGuid
     */
    invoiceInvoiceGetLinkedOffers(params, options) {
        // verify required parameter "adminSessionId" is set
        if (params["adminSessionId"] == null) {
            throw new Error("Missing required parameter adminSessionId when calling invoiceInvoiceGetLinkedOffers");
        }
        // verify required parameter "invoiceGuid" is set
        if (params["invoiceGuid"] == null) {
            throw new Error("Missing required parameter invoiceGuid when calling invoiceInvoiceGetLinkedOffers");
        }
        const baseUrl = `/api/admin/inv2offer/getOffer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "adminSessionId": params["adminSessionId"],
            "invoiceGuid": params["invoiceGuid"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     * @param xiGuid
     */
    invoiceLinkInvoiceItemToTransfer(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling invoiceLinkInvoiceItemToTransfer");
        }
        // verify required parameter "invGuid" is set
        if (params["invGuid"] == null) {
            throw new Error("Missing required parameter invGuid when calling invoiceLinkInvoiceItemToTransfer");
        }
        // verify required parameter "invItemGuid" is set
        if (params["invItemGuid"] == null) {
            throw new Error("Missing required parameter invItemGuid when calling invoiceLinkInvoiceItemToTransfer");
        }
        // verify required parameter "xiGuid" is set
        if (params["xiGuid"] == null) {
            throw new Error("Missing required parameter xiGuid when calling invoiceLinkInvoiceItemToTransfer");
        }
        const baseUrl = `/api/admin/invoice/detail/{invGuid}`
            .replace(`{${"invGuid"}}`, `${params["invGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "invItemGuid": params["invItemGuid"],
            "xiGuid": params["xiGuid"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     * @param invoiceGuid
     */
    invoiceLinkOfferInvoice(params, options) {
        // verify required parameter "adminSessionId" is set
        if (params["adminSessionId"] == null) {
            throw new Error("Missing required parameter adminSessionId when calling invoiceLinkOfferInvoice");
        }
        // verify required parameter "offerGuid" is set
        if (params["offerGuid"] == null) {
            throw new Error("Missing required parameter offerGuid when calling invoiceLinkOfferInvoice");
        }
        // verify required parameter "invoiceGuid" is set
        if (params["invoiceGuid"] == null) {
            throw new Error("Missing required parameter invoiceGuid when calling invoiceLinkOfferInvoice");
        }
        const baseUrl = `/api/admin/inv2offer/link`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "adminSessionId": params["adminSessionId"],
            "offerGuid": params["offerGuid"],
            "invoiceGuid": params["invoiceGuid"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    invoiceListInvoice(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling invoiceListInvoice");
        }
        const baseUrl = `/api/admin/invoice/collection`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "skip": params["skip"],
            "take": params["take"],
            "search": params["search"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     */
    invoiceOfferGetLinkedInvoices(params, options) {
        // verify required parameter "adminSessionId" is set
        if (params["adminSessionId"] == null) {
            throw new Error("Missing required parameter adminSessionId when calling invoiceOfferGetLinkedInvoices");
        }
        // verify required parameter "offerGuid" is set
        if (params["offerGuid"] == null) {
            throw new Error("Missing required parameter offerGuid when calling invoiceOfferGetLinkedInvoices");
        }
        const baseUrl = `/api/admin/inv2offer/getInvoice`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "adminSessionId": params["adminSessionId"],
            "offerGuid": params["offerGuid"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param model
     */
    invoiceSaveOrUpdateInvoiceItem(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling invoiceSaveOrUpdateInvoiceItem");
        }
        // verify required parameter "invGuid" is set
        if (params["invGuid"] == null) {
            throw new Error("Missing required parameter invGuid when calling invoiceSaveOrUpdateInvoiceItem");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling invoiceSaveOrUpdateInvoiceItem");
        }
        const baseUrl = `/api/admin/invoice/detail/{invGuid}`
            .replace(`{${"invGuid"}}`, `${params["invGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * InvoiceApi - functional programming interface
 */
exports.InvoiceApiFp = {
    /**
     *
     * @param sessionId
     * @param record
     */
    invoiceCreateOrUpdateInvoiceIgnoringItems(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceCreateOrUpdateInvoiceIgnoringItems(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     */
    invoiceDeleteInvoiceItem(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceDeleteInvoiceItem(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param sku
     */
    invoiceGetEligibleTransferToLink(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceGetEligibleTransferToLink(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param sort
     * @param asc
     */
    invoiceGetInvoiceItemsWithoutTransfer(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceGetInvoiceItemsWithoutTransfer(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     */
    invoiceGetTransferItemsWithoutInvoice(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceGetTransferItemsWithoutInvoice(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param adminSessionId
     * @param invoiceGuid
     */
    invoiceInvoiceGetLinkedOffers(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceInvoiceGetLinkedOffers(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     * @param xiGuid
     */
    invoiceLinkInvoiceItemToTransfer(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceLinkInvoiceItemToTransfer(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     * @param invoiceGuid
     */
    invoiceLinkOfferInvoice(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceLinkOfferInvoice(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    invoiceListInvoice(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceListInvoice(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     */
    invoiceOfferGetLinkedInvoices(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceOfferGetLinkedInvoices(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param model
     */
    invoiceSaveOrUpdateInvoiceItem(params, options) {
        const fetchArgs = exports.InvoiceApiFetchParamCreator.invoiceSaveOrUpdateInvoiceItem(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * InvoiceApi - object-oriented interface
 */
class InvoiceApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param record
     */
    invoiceCreateOrUpdateInvoiceIgnoringItems(params, options) {
        return exports.InvoiceApiFp.invoiceCreateOrUpdateInvoiceIgnoringItems(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     */
    invoiceDeleteInvoiceItem(params, options) {
        return exports.InvoiceApiFp.invoiceDeleteInvoiceItem(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param sku
     */
    invoiceGetEligibleTransferToLink(params, options) {
        return exports.InvoiceApiFp.invoiceGetEligibleTransferToLink(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param sort
     * @param asc
     */
    invoiceGetInvoiceItemsWithoutTransfer(params, options) {
        return exports.InvoiceApiFp.invoiceGetInvoiceItemsWithoutTransfer(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     */
    invoiceGetTransferItemsWithoutInvoice(params, options) {
        return exports.InvoiceApiFp.invoiceGetTransferItemsWithoutInvoice(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param adminSessionId
     * @param invoiceGuid
     */
    invoiceInvoiceGetLinkedOffers(params, options) {
        return exports.InvoiceApiFp.invoiceInvoiceGetLinkedOffers(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param invItemGuid
     * @param xiGuid
     */
    invoiceLinkInvoiceItemToTransfer(params, options) {
        return exports.InvoiceApiFp.invoiceLinkInvoiceItemToTransfer(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     * @param invoiceGuid
     */
    invoiceLinkOfferInvoice(params, options) {
        return exports.InvoiceApiFp.invoiceLinkOfferInvoice(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    invoiceListInvoice(params, options) {
        return exports.InvoiceApiFp.invoiceListInvoice(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param adminSessionId
     * @param offerGuid
     */
    invoiceOfferGetLinkedInvoices(params, options) {
        return exports.InvoiceApiFp.invoiceOfferGetLinkedInvoices(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param invGuid
     * @param model
     */
    invoiceSaveOrUpdateInvoiceItem(params, options) {
        return exports.InvoiceApiFp.invoiceSaveOrUpdateInvoiceItem(params, options)(this.fetch, this.basePath);
    }
}
exports.InvoiceApi = InvoiceApi;
;
/**
 * InvoiceApi - factory interface
 */
exports.InvoiceApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param record
         */
        invoiceCreateOrUpdateInvoiceIgnoringItems(params, options) {
            return exports.InvoiceApiFp.invoiceCreateOrUpdateInvoiceIgnoringItems(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param invGuid
         * @param invItemGuid
         */
        invoiceDeleteInvoiceItem(params, options) {
            return exports.InvoiceApiFp.invoiceDeleteInvoiceItem(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param invGuid
         * @param sku
         */
        invoiceGetEligibleTransferToLink(params, options) {
            return exports.InvoiceApiFp.invoiceGetEligibleTransferToLink(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param search
         * @param skip
         * @param take
         * @param sort
         * @param asc
         */
        invoiceGetInvoiceItemsWithoutTransfer(params, options) {
            return exports.InvoiceApiFp.invoiceGetInvoiceItemsWithoutTransfer(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param search
         * @param skip
         * @param take
         */
        invoiceGetTransferItemsWithoutInvoice(params, options) {
            return exports.InvoiceApiFp.invoiceGetTransferItemsWithoutInvoice(params, options)(fetch, basePath);
        },
        /**
         *
         * @param adminSessionId
         * @param invoiceGuid
         */
        invoiceInvoiceGetLinkedOffers(params, options) {
            return exports.InvoiceApiFp.invoiceInvoiceGetLinkedOffers(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param invGuid
         * @param invItemGuid
         * @param xiGuid
         */
        invoiceLinkInvoiceItemToTransfer(params, options) {
            return exports.InvoiceApiFp.invoiceLinkInvoiceItemToTransfer(params, options)(fetch, basePath);
        },
        /**
         *
         * @param adminSessionId
         * @param offerGuid
         * @param invoiceGuid
         */
        invoiceLinkOfferInvoice(params, options) {
            return exports.InvoiceApiFp.invoiceLinkOfferInvoice(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param skip
         * @param take
         * @param search
         */
        invoiceListInvoice(params, options) {
            return exports.InvoiceApiFp.invoiceListInvoice(params, options)(fetch, basePath);
        },
        /**
         *
         * @param adminSessionId
         * @param offerGuid
         */
        invoiceOfferGetLinkedInvoices(params, options) {
            return exports.InvoiceApiFp.invoiceOfferGetLinkedInvoices(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param invGuid
         * @param model
         */
        invoiceSaveOrUpdateInvoiceItem(params, options) {
            return exports.InvoiceApiFp.invoiceSaveOrUpdateInvoiceItem(params, options)(fetch, basePath);
        },
    };
};
/**
 * ItemDetailApi - fetch parameter creator
 */
exports.ItemDetailApiFetchParamCreator = {
    /**
     *
     * @param content
     */
    itemDetailDelete(params, options) {
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling itemDetailDelete");
        }
        const baseUrl = `/api/v2/itemdetail`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param itemSef
     */
    itemDetailGetBySefOrSku(params, options) {
        // verify required parameter "itemSef" is set
        if (params["itemSef"] == null) {
            throw new Error("Missing required parameter itemSef when calling itemDetailGetBySefOrSku");
        }
        const baseUrl = `/api/v2/itemdetail/{itemSef}`
            .replace(`{${"itemSef"}}`, `${params["itemSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param details
     */
    itemDetailHttpBulkUpdateItemDetail(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling itemDetailHttpBulkUpdateItemDetail");
        }
        // verify required parameter "details" is set
        if (params["details"] == null) {
            throw new Error("Missing required parameter details when calling itemDetailHttpBulkUpdateItemDetail");
        }
        const baseUrl = `/api/v2/admin/itemdetail/bulkUpdate`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["details"]) {
            fetchOptions.body = JSON.stringify(params["details"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param brand
     * @param mlMin
     * @param mlMax
     * @param priceMin
     * @param priceMax
     * @param priceBucket
     */
    itemDetailListItemDetail(params, options) {
        const baseUrl = `/api/v2/itemdetail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
            "skip": params["skip"],
            "take": params["take"],
            "appellation": params["appellation"],
            "varietal": params["varietal"],
            "region": params["region"],
            "brand": params["brand"],
            "mlMin": params["mlMin"],
            "mlMax": params["mlMax"],
            "priceMin": params["priceMin"],
            "priceMax": params["priceMax"],
            "priceBucket": params["priceBucket"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param onlyBuyable
     * @param priceMin
     * @param priceMax
     */
    itemDetailListItemDetailWithSku(params, options) {
        const baseUrl = `/api/v2/itemWithSku`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
            "skip": params["skip"],
            "take": params["take"],
            "appellation": params["appellation"],
            "varietal": params["varietal"],
            "region": params["region"],
            "onlyBuyable": params["onlyBuyable"],
            "priceMin": params["priceMin"],
            "priceMax": params["priceMax"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param input
     */
    itemDetailMergeItemDetailHandler(params, options) {
        // verify required parameter "input" is set
        if (params["input"] == null) {
            throw new Error("Missing required parameter input when calling itemDetailMergeItemDetailHandler");
        }
        const baseUrl = `/api/v2/itemdetail/merge`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "input": params["input"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param content
     */
    itemDetailPost(params, options) {
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling itemDetailPost");
        }
        const baseUrl = `/api/v2/itemdetail`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param file
     */
    itemDetailPostItemDetailUploadImage(params, options) {
        // verify required parameter "file" is set
        if (params["file"] == null) {
            throw new Error("Missing required parameter file when calling itemDetailPostItemDetailUploadImage");
        }
        const baseUrl = `/api/v2/itemdetail/uploadImage`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/x-www-form-urlencoded" };
        fetchOptions.body = querystring.stringify({
            "file": params["file"],
        });
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param content
     */
    itemDetailPostV3(params, options) {
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling itemDetailPostV3");
        }
        const baseUrl = `/api/v3/itemdetail`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPut(params, options) {
        // verify required parameter "itemSef" is set
        if (params["itemSef"] == null) {
            throw new Error("Missing required parameter itemSef when calling itemDetailPut");
        }
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling itemDetailPut");
        }
        const baseUrl = `/api/v2/itemdetail/{itemSef}`
            .replace(`{${"itemSef"}}`, `${params["itemSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPutV3(params, options) {
        // verify required parameter "itemSef" is set
        if (params["itemSef"] == null) {
            throw new Error("Missing required parameter itemSef when calling itemDetailPutV3");
        }
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling itemDetailPutV3");
        }
        const baseUrl = `/api/v3/itemdetail/{itemSef}`
            .replace(`{${"itemSef"}}`, `${params["itemSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * ItemDetailApi - functional programming interface
 */
exports.ItemDetailApiFp = {
    /**
     *
     * @param content
     */
    itemDetailDelete(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailDelete(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param itemSef
     */
    itemDetailGetBySefOrSku(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailGetBySefOrSku(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param details
     */
    itemDetailHttpBulkUpdateItemDetail(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailHttpBulkUpdateItemDetail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param brand
     * @param mlMin
     * @param mlMax
     * @param priceMin
     * @param priceMax
     * @param priceBucket
     */
    itemDetailListItemDetail(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailListItemDetail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param onlyBuyable
     * @param priceMin
     * @param priceMax
     */
    itemDetailListItemDetailWithSku(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailListItemDetailWithSku(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param input
     */
    itemDetailMergeItemDetailHandler(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailMergeItemDetailHandler(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param content
     */
    itemDetailPost(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param file
     */
    itemDetailPostItemDetailUploadImage(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailPostItemDetailUploadImage(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param content
     */
    itemDetailPostV3(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailPostV3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPut(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPutV3(params, options) {
        const fetchArgs = exports.ItemDetailApiFetchParamCreator.itemDetailPutV3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * ItemDetailApi - object-oriented interface
 */
class ItemDetailApi extends BaseAPI {
    /**
     *
     * @param content
     */
    itemDetailDelete(params, options) {
        return exports.ItemDetailApiFp.itemDetailDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param itemSef
     */
    itemDetailGetBySefOrSku(params, options) {
        return exports.ItemDetailApiFp.itemDetailGetBySefOrSku(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param details
     */
    itemDetailHttpBulkUpdateItemDetail(params, options) {
        return exports.ItemDetailApiFp.itemDetailHttpBulkUpdateItemDetail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param brand
     * @param mlMin
     * @param mlMax
     * @param priceMin
     * @param priceMax
     * @param priceBucket
     */
    itemDetailListItemDetail(params, options) {
        return exports.ItemDetailApiFp.itemDetailListItemDetail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param search
     * @param skip
     * @param take
     * @param appellation
     * @param varietal
     * @param region
     * @param onlyBuyable
     * @param priceMin
     * @param priceMax
     */
    itemDetailListItemDetailWithSku(params, options) {
        return exports.ItemDetailApiFp.itemDetailListItemDetailWithSku(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param input
     */
    itemDetailMergeItemDetailHandler(params, options) {
        return exports.ItemDetailApiFp.itemDetailMergeItemDetailHandler(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param content
     */
    itemDetailPost(params, options) {
        return exports.ItemDetailApiFp.itemDetailPost(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param file
     */
    itemDetailPostItemDetailUploadImage(params, options) {
        return exports.ItemDetailApiFp.itemDetailPostItemDetailUploadImage(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param content
     */
    itemDetailPostV3(params, options) {
        return exports.ItemDetailApiFp.itemDetailPostV3(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPut(params, options) {
        return exports.ItemDetailApiFp.itemDetailPut(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param itemSef
     * @param content
     */
    itemDetailPutV3(params, options) {
        return exports.ItemDetailApiFp.itemDetailPutV3(params, options)(this.fetch, this.basePath);
    }
}
exports.ItemDetailApi = ItemDetailApi;
;
/**
 * ItemDetailApi - factory interface
 */
exports.ItemDetailApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param content
         */
        itemDetailDelete(params, options) {
            return exports.ItemDetailApiFp.itemDetailDelete(params, options)(fetch, basePath);
        },
        /**
         *
         * @param itemSef
         */
        itemDetailGetBySefOrSku(params, options) {
            return exports.ItemDetailApiFp.itemDetailGetBySefOrSku(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param details
         */
        itemDetailHttpBulkUpdateItemDetail(params, options) {
            return exports.ItemDetailApiFp.itemDetailHttpBulkUpdateItemDetail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param search
         * @param skip
         * @param take
         * @param appellation
         * @param varietal
         * @param region
         * @param brand
         * @param mlMin
         * @param mlMax
         * @param priceMin
         * @param priceMax
         * @param priceBucket
         */
        itemDetailListItemDetail(params, options) {
            return exports.ItemDetailApiFp.itemDetailListItemDetail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param search
         * @param skip
         * @param take
         * @param appellation
         * @param varietal
         * @param region
         * @param onlyBuyable
         * @param priceMin
         * @param priceMax
         */
        itemDetailListItemDetailWithSku(params, options) {
            return exports.ItemDetailApiFp.itemDetailListItemDetailWithSku(params, options)(fetch, basePath);
        },
        /**
         *
         * @param input
         */
        itemDetailMergeItemDetailHandler(params, options) {
            return exports.ItemDetailApiFp.itemDetailMergeItemDetailHandler(params, options)(fetch, basePath);
        },
        /**
         *
         * @param content
         */
        itemDetailPost(params, options) {
            return exports.ItemDetailApiFp.itemDetailPost(params, options)(fetch, basePath);
        },
        /**
         *
         * @param file
         */
        itemDetailPostItemDetailUploadImage(params, options) {
            return exports.ItemDetailApiFp.itemDetailPostItemDetailUploadImage(params, options)(fetch, basePath);
        },
        /**
         *
         * @param content
         */
        itemDetailPostV3(params, options) {
            return exports.ItemDetailApiFp.itemDetailPostV3(params, options)(fetch, basePath);
        },
        /**
         *
         * @param itemSef
         * @param content
         */
        itemDetailPut(params, options) {
            return exports.ItemDetailApiFp.itemDetailPut(params, options)(fetch, basePath);
        },
        /**
         *
         * @param itemSef
         * @param content
         */
        itemDetailPutV3(params, options) {
            return exports.ItemDetailApiFp.itemDetailPutV3(params, options)(fetch, basePath);
        },
    };
};
/**
 * KeyMetricsApi - fetch parameter creator
 */
exports.KeyMetricsApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     */
    keyMetricsGet(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling keyMetricsGet");
        }
        // verify required parameter "startDate" is set
        if (params["startDate"] == null) {
            throw new Error("Missing required parameter startDate when calling keyMetricsGet");
        }
        // verify required parameter "endDate" is set
        if (params["endDate"] == null) {
            throw new Error("Missing required parameter endDate when calling keyMetricsGet");
        }
        const baseUrl = `/api/admin/keymetrics`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "startDate": params["startDate"],
            "endDate": params["endDate"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportBuyToShip(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling keyMetricsGetAdminReportBuyToShip");
        }
        const baseUrl = `/api/admin/report/buyToShip`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportOfferStats(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling keyMetricsGetAdminReportOfferStats");
        }
        const baseUrl = `/api/admin/report/names`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param reportName
     * @param startDate
     * @param endDate
     */
    keyMetricsGetAdminReportOfferStats_1(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling keyMetricsGetAdminReportOfferStats_1");
        }
        // verify required parameter "reportName" is set
        if (params["reportName"] == null) {
            throw new Error("Missing required parameter reportName when calling keyMetricsGetAdminReportOfferStats_1");
        }
        const baseUrl = `/api/admin/report/names/{reportName}`
            .replace(`{${"reportName"}}`, `${params["reportName"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "startDate": params["startDate"],
            "endDate": params["endDate"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromo(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling keyMetricsGetAdminReportPromo");
        }
        // verify required parameter "promoCode" is set
        if (params["promoCode"] == null) {
            throw new Error("Missing required parameter promoCode when calling keyMetricsGetAdminReportPromo");
        }
        const baseUrl = `/api/admin/report/promo`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "promoCode": params["promoCode"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromoUsers(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling keyMetricsGetAdminReportPromoUsers");
        }
        // verify required parameter "promoCode" is set
        if (params["promoCode"] == null) {
            throw new Error("Missing required parameter promoCode when calling keyMetricsGetAdminReportPromoUsers");
        }
        const baseUrl = `/api/admin/report/promo/users`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "promoCode": params["promoCode"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    keyMetricsGetCohortAnalysis(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling keyMetricsGetCohortAnalysis");
        }
        const baseUrl = `/api/admin/cohorts`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param startMonth
     * @param startYear
     * @param minLifeSpend
     */
    keyMetricsGetCohortsByFirstOrder(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling keyMetricsGetCohortsByFirstOrder");
        }
        // verify required parameter "startMonth" is set
        if (params["startMonth"] == null) {
            throw new Error("Missing required parameter startMonth when calling keyMetricsGetCohortsByFirstOrder");
        }
        // verify required parameter "startYear" is set
        if (params["startYear"] == null) {
            throw new Error("Missing required parameter startYear when calling keyMetricsGetCohortsByFirstOrder");
        }
        // verify required parameter "minLifeSpend" is set
        if (params["minLifeSpend"] == null) {
            throw new Error("Missing required parameter minLifeSpend when calling keyMetricsGetCohortsByFirstOrder");
        }
        const baseUrl = `/api/admin/cohorts/byFirstOrder`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "startMonth": params["startMonth"],
            "startYear": params["startYear"],
            "minLifeSpend": params["minLifeSpend"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * KeyMetricsApi - functional programming interface
 */
exports.KeyMetricsApiFp = {
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     */
    keyMetricsGet(params, options) {
        const fetchArgs = exports.KeyMetricsApiFetchParamCreator.keyMetricsGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportBuyToShip(params, options) {
        const fetchArgs = exports.KeyMetricsApiFetchParamCreator.keyMetricsGetAdminReportBuyToShip(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportOfferStats(params, options) {
        const fetchArgs = exports.KeyMetricsApiFetchParamCreator.keyMetricsGetAdminReportOfferStats(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param reportName
     * @param startDate
     * @param endDate
     */
    keyMetricsGetAdminReportOfferStats_1(params, options) {
        const fetchArgs = exports.KeyMetricsApiFetchParamCreator.keyMetricsGetAdminReportOfferStats_1(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromo(params, options) {
        const fetchArgs = exports.KeyMetricsApiFetchParamCreator.keyMetricsGetAdminReportPromo(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromoUsers(params, options) {
        const fetchArgs = exports.KeyMetricsApiFetchParamCreator.keyMetricsGetAdminReportPromoUsers(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    keyMetricsGetCohortAnalysis(params, options) {
        const fetchArgs = exports.KeyMetricsApiFetchParamCreator.keyMetricsGetCohortAnalysis(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param startMonth
     * @param startYear
     * @param minLifeSpend
     */
    keyMetricsGetCohortsByFirstOrder(params, options) {
        const fetchArgs = exports.KeyMetricsApiFetchParamCreator.keyMetricsGetCohortsByFirstOrder(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * KeyMetricsApi - object-oriented interface
 */
class KeyMetricsApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     */
    keyMetricsGet(params, options) {
        return exports.KeyMetricsApiFp.keyMetricsGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportBuyToShip(params, options) {
        return exports.KeyMetricsApiFp.keyMetricsGetAdminReportBuyToShip(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    keyMetricsGetAdminReportOfferStats(params, options) {
        return exports.KeyMetricsApiFp.keyMetricsGetAdminReportOfferStats(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param reportName
     * @param startDate
     * @param endDate
     */
    keyMetricsGetAdminReportOfferStats_1(params, options) {
        return exports.KeyMetricsApiFp.keyMetricsGetAdminReportOfferStats_1(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromo(params, options) {
        return exports.KeyMetricsApiFp.keyMetricsGetAdminReportPromo(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param promoCode
     */
    keyMetricsGetAdminReportPromoUsers(params, options) {
        return exports.KeyMetricsApiFp.keyMetricsGetAdminReportPromoUsers(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    keyMetricsGetCohortAnalysis(params, options) {
        return exports.KeyMetricsApiFp.keyMetricsGetCohortAnalysis(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param startMonth
     * @param startYear
     * @param minLifeSpend
     */
    keyMetricsGetCohortsByFirstOrder(params, options) {
        return exports.KeyMetricsApiFp.keyMetricsGetCohortsByFirstOrder(params, options)(this.fetch, this.basePath);
    }
}
exports.KeyMetricsApi = KeyMetricsApi;
;
/**
 * KeyMetricsApi - factory interface
 */
exports.KeyMetricsApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param startDate
         * @param endDate
         */
        keyMetricsGet(params, options) {
            return exports.KeyMetricsApiFp.keyMetricsGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        keyMetricsGetAdminReportBuyToShip(params, options) {
            return exports.KeyMetricsApiFp.keyMetricsGetAdminReportBuyToShip(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        keyMetricsGetAdminReportOfferStats(params, options) {
            return exports.KeyMetricsApiFp.keyMetricsGetAdminReportOfferStats(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param reportName
         * @param startDate
         * @param endDate
         */
        keyMetricsGetAdminReportOfferStats_1(params, options) {
            return exports.KeyMetricsApiFp.keyMetricsGetAdminReportOfferStats_1(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param promoCode
         */
        keyMetricsGetAdminReportPromo(params, options) {
            return exports.KeyMetricsApiFp.keyMetricsGetAdminReportPromo(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param promoCode
         */
        keyMetricsGetAdminReportPromoUsers(params, options) {
            return exports.KeyMetricsApiFp.keyMetricsGetAdminReportPromoUsers(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        keyMetricsGetCohortAnalysis(params, options) {
            return exports.KeyMetricsApiFp.keyMetricsGetCohortAnalysis(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param startMonth
         * @param startYear
         * @param minLifeSpend
         */
        keyMetricsGetCohortsByFirstOrder(params, options) {
            return exports.KeyMetricsApiFp.keyMetricsGetCohortsByFirstOrder(params, options)(fetch, basePath);
        },
    };
};
/**
 * ManifestAdminApi - fetch parameter creator
 */
exports.ManifestAdminApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param manifestId
     * @param isSuspended
     * @param shouldCredit
     * @param reason
     * @param replaceWith
     * @param sendEmail
     * @param sendTo
     */
    manifestAdminGetSuspend(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling manifestAdminGetSuspend");
        }
        // verify required parameter "manifestId" is set
        if (params["manifestId"] == null) {
            throw new Error("Missing required parameter manifestId when calling manifestAdminGetSuspend");
        }
        // verify required parameter "isSuspended" is set
        if (params["isSuspended"] == null) {
            throw new Error("Missing required parameter isSuspended when calling manifestAdminGetSuspend");
        }
        // verify required parameter "shouldCredit" is set
        if (params["shouldCredit"] == null) {
            throw new Error("Missing required parameter shouldCredit when calling manifestAdminGetSuspend");
        }
        // verify required parameter "reason" is set
        if (params["reason"] == null) {
            throw new Error("Missing required parameter reason when calling manifestAdminGetSuspend");
        }
        const baseUrl = `/api/admin/manifests/{manifestId}/suspend`
            .replace(`{${"manifestId"}}`, `${params["manifestId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "isSuspended": params["isSuspended"],
            "shouldCredit": params["shouldCredit"],
            "reason": params["reason"],
            "replaceWith": params["replaceWith"],
            "sendEmail": params["sendEmail"],
            "sendTo": params["sendTo"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param filters
     */
    manifestAdminGetUserManifests(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling manifestAdminGetUserManifests");
        }
        // verify required parameter "filters" is set
        if (params["filters"] == null) {
            throw new Error("Missing required parameter filters when calling manifestAdminGetUserManifests");
        }
        const baseUrl = `/api/admin/manifests/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["filters"]) {
            fetchOptions.body = JSON.stringify(params["filters"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * ManifestAdminApi - functional programming interface
 */
exports.ManifestAdminApiFp = {
    /**
     *
     * @param sessionId
     * @param manifestId
     * @param isSuspended
     * @param shouldCredit
     * @param reason
     * @param replaceWith
     * @param sendEmail
     * @param sendTo
     */
    manifestAdminGetSuspend(params, options) {
        const fetchArgs = exports.ManifestAdminApiFetchParamCreator.manifestAdminGetSuspend(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param filters
     */
    manifestAdminGetUserManifests(params, options) {
        const fetchArgs = exports.ManifestAdminApiFetchParamCreator.manifestAdminGetUserManifests(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * ManifestAdminApi - object-oriented interface
 */
class ManifestAdminApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param manifestId
     * @param isSuspended
     * @param shouldCredit
     * @param reason
     * @param replaceWith
     * @param sendEmail
     * @param sendTo
     */
    manifestAdminGetSuspend(params, options) {
        return exports.ManifestAdminApiFp.manifestAdminGetSuspend(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param filters
     */
    manifestAdminGetUserManifests(params, options) {
        return exports.ManifestAdminApiFp.manifestAdminGetUserManifests(params, options)(this.fetch, this.basePath);
    }
}
exports.ManifestAdminApi = ManifestAdminApi;
;
/**
 * ManifestAdminApi - factory interface
 */
exports.ManifestAdminApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param manifestId
         * @param isSuspended
         * @param shouldCredit
         * @param reason
         * @param replaceWith
         * @param sendEmail
         * @param sendTo
         */
        manifestAdminGetSuspend(params, options) {
            return exports.ManifestAdminApiFp.manifestAdminGetSuspend(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param filters
         */
        manifestAdminGetUserManifests(params, options) {
            return exports.ManifestAdminApiFp.manifestAdminGetUserManifests(params, options)(fetch, basePath);
        },
    };
};
/**
 * MidtierCloudCellarApi - fetch parameter creator
 */
exports.MidtierCloudCellarApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param sku
     * @param userEmail
     */
    midtierCloudCellarCloudCellarAdd(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling midtierCloudCellarCloudCellarAdd");
        }
        // verify required parameter "sku" is set
        if (params["sku"] == null) {
            throw new Error("Missing required parameter sku when calling midtierCloudCellarCloudCellarAdd");
        }
        // verify required parameter "userEmail" is set
        if (params["userEmail"] == null) {
            throw new Error("Missing required parameter userEmail when calling midtierCloudCellarCloudCellarAdd");
        }
        const baseUrl = `/api/v3/admin/cloudcellar/bulk`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "sku": params["sku"],
            "userEmail": params["userEmail"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param search
     */
    midtierCloudCellarGetApiCloudcellarSearch(params, options) {
        // verify required parameter "search" is set
        if (params["search"] == null) {
            throw new Error("Missing required parameter search when calling midtierCloudCellarGetApiCloudcellarSearch");
        }
        const baseUrl = `/api/v2/admin/cloudcellar`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userName
     * @param search
     * @param appellation
     * @param varietal
     * @param region
     * @param shipStatus
     */
    midtierCloudCellarGetV2(params, options) {
        // verify required parameter "userName" is set
        if (params["userName"] == null) {
            throw new Error("Missing required parameter userName when calling midtierCloudCellarGetV2");
        }
        const baseUrl = `/api/v2/cloudcellar/{userName}`
            .replace(`{${"userName"}}`, `${params["userName"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
            "appellation": params["appellation"],
            "varietal": params["varietal"],
            "region": params["region"],
            "shipStatus": params["shipStatus"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param prize
     */
    midtierCloudCellarHandleClaimPrize(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling midtierCloudCellarHandleClaimPrize");
        }
        // verify required parameter "prize" is set
        if (params["prize"] == null) {
            throw new Error("Missing required parameter prize when calling midtierCloudCellarHandleClaimPrize");
        }
        const baseUrl = `/api/session/wordgame/{prize}`
            .replace(`{${"prize"}}`, `${params["prize"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    midtierCloudCellarHandleGetLetters(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling midtierCloudCellarHandleGetLetters");
        }
        const baseUrl = `/api/session/wordgame`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * MidtierCloudCellarApi - functional programming interface
 */
exports.MidtierCloudCellarApiFp = {
    /**
     *
     * @param sessionId
     * @param sku
     * @param userEmail
     */
    midtierCloudCellarCloudCellarAdd(params, options) {
        const fetchArgs = exports.MidtierCloudCellarApiFetchParamCreator.midtierCloudCellarCloudCellarAdd(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param search
     */
    midtierCloudCellarGetApiCloudcellarSearch(params, options) {
        const fetchArgs = exports.MidtierCloudCellarApiFetchParamCreator.midtierCloudCellarGetApiCloudcellarSearch(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userName
     * @param search
     * @param appellation
     * @param varietal
     * @param region
     * @param shipStatus
     */
    midtierCloudCellarGetV2(params, options) {
        const fetchArgs = exports.MidtierCloudCellarApiFetchParamCreator.midtierCloudCellarGetV2(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param prize
     */
    midtierCloudCellarHandleClaimPrize(params, options) {
        const fetchArgs = exports.MidtierCloudCellarApiFetchParamCreator.midtierCloudCellarHandleClaimPrize(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    midtierCloudCellarHandleGetLetters(params, options) {
        const fetchArgs = exports.MidtierCloudCellarApiFetchParamCreator.midtierCloudCellarHandleGetLetters(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * MidtierCloudCellarApi - object-oriented interface
 */
class MidtierCloudCellarApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param sku
     * @param userEmail
     */
    midtierCloudCellarCloudCellarAdd(params, options) {
        return exports.MidtierCloudCellarApiFp.midtierCloudCellarCloudCellarAdd(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param search
     */
    midtierCloudCellarGetApiCloudcellarSearch(params, options) {
        return exports.MidtierCloudCellarApiFp.midtierCloudCellarGetApiCloudcellarSearch(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userName
     * @param search
     * @param appellation
     * @param varietal
     * @param region
     * @param shipStatus
     */
    midtierCloudCellarGetV2(params, options) {
        return exports.MidtierCloudCellarApiFp.midtierCloudCellarGetV2(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param prize
     */
    midtierCloudCellarHandleClaimPrize(params, options) {
        return exports.MidtierCloudCellarApiFp.midtierCloudCellarHandleClaimPrize(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    midtierCloudCellarHandleGetLetters(params, options) {
        return exports.MidtierCloudCellarApiFp.midtierCloudCellarHandleGetLetters(params, options)(this.fetch, this.basePath);
    }
}
exports.MidtierCloudCellarApi = MidtierCloudCellarApi;
;
/**
 * MidtierCloudCellarApi - factory interface
 */
exports.MidtierCloudCellarApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param sku
         * @param userEmail
         */
        midtierCloudCellarCloudCellarAdd(params, options) {
            return exports.MidtierCloudCellarApiFp.midtierCloudCellarCloudCellarAdd(params, options)(fetch, basePath);
        },
        /**
         *
         * @param search
         */
        midtierCloudCellarGetApiCloudcellarSearch(params, options) {
            return exports.MidtierCloudCellarApiFp.midtierCloudCellarGetApiCloudcellarSearch(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userName
         * @param search
         * @param appellation
         * @param varietal
         * @param region
         * @param shipStatus
         */
        midtierCloudCellarGetV2(params, options) {
            return exports.MidtierCloudCellarApiFp.midtierCloudCellarGetV2(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param prize
         */
        midtierCloudCellarHandleClaimPrize(params, options) {
            return exports.MidtierCloudCellarApiFp.midtierCloudCellarHandleClaimPrize(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        midtierCloudCellarHandleGetLetters(params, options) {
            return exports.MidtierCloudCellarApiFp.midtierCloudCellarHandleGetLetters(params, options)(fetch, basePath);
        },
    };
};
/**
 * OfferApi - fetch parameter creator
 */
exports.OfferApiFetchParamCreator = {
    /**
     *
     * @param sku
     * @param sessionId
     * @param cogs
     * @param qty
     */
    offerApplySkuCogs(params, options) {
        // verify required parameter "sku" is set
        if (params["sku"] == null) {
            throw new Error("Missing required parameter sku when calling offerApplySkuCogs");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerApplySkuCogs");
        }
        // verify required parameter "cogs" is set
        if (params["cogs"] == null) {
            throw new Error("Missing required parameter cogs when calling offerApplySkuCogs");
        }
        // verify required parameter "qty" is set
        if (params["qty"] == null) {
            throw new Error("Missing required parameter qty when calling offerApplySkuCogs");
        }
        const baseUrl = `/api/v2/admin/sku/manifests/{sku}/applyCogs`
            .replace(`{${"sku"}}`, `${params["sku"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "cogs": params["cogs"],
            "qty": params["qty"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param cacheKey
     */
    offerGetDetail(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerGetDetail");
        }
        const baseUrl = `/api/v2/offer/{offerSef}`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "cacheKey": params["cacheKey"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     */
    offerGetLiveFeed(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerGetLiveFeed");
        }
        const baseUrl = `/api/v2/offer/{offerSef}/feed`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sku
     * @param sessionId
     */
    offerGetManifestsBySku(params, options) {
        // verify required parameter "sku" is set
        if (params["sku"] == null) {
            throw new Error("Missing required parameter sku when calling offerGetManifestsBySku");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerGetManifestsBySku");
        }
        const baseUrl = `/api/v2/admin/sku/manifests/{sku}`
            .replace(`{${"sku"}}`, `${params["sku"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    offerHandleListAppellation(options) {
        const baseUrl = `/api/v2/appellation`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    offerHandleListRegion(options) {
        const baseUrl = `/api/v2/region`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param targetOfferSef
     * @param sourceOfferSef
     * @param sessionId
     */
    offerHttpCopyItemGroups(params, options) {
        // verify required parameter "targetOfferSef" is set
        if (params["targetOfferSef"] == null) {
            throw new Error("Missing required parameter targetOfferSef when calling offerHttpCopyItemGroups");
        }
        // verify required parameter "sourceOfferSef" is set
        if (params["sourceOfferSef"] == null) {
            throw new Error("Missing required parameter sourceOfferSef when calling offerHttpCopyItemGroups");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpCopyItemGroups");
        }
        const baseUrl = `/api/v2/admin/offer/{targetOfferSef}/importItemGroupsFrom/{sourceOfferSef}`
            .replace(`{${"targetOfferSef"}}`, `${params["targetOfferSef"]}`)
            .replace(`{${"sourceOfferSef"}}`, `${params["sourceOfferSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpDeleteAdminV2OfferItemGroupById(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpDeleteAdminV2OfferItemGroupById");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling offerHttpDeleteAdminV2OfferItemGroupById");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpDeleteAdminV2OfferItemGroupById");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}/itemgroup/{id}`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`)
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param search
     * @param sessionId
     * @param skip
     * @param take
     * @param subEnabled
     * @param category
     */
    offerHttpGetAdminV2Offer(params, options) {
        // verify required parameter "search" is set
        if (params["search"] == null) {
            throw new Error("Missing required parameter search when calling offerHttpGetAdminV2Offer");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpGetAdminV2Offer");
        }
        // verify required parameter "skip" is set
        if (params["skip"] == null) {
            throw new Error("Missing required parameter skip when calling offerHttpGetAdminV2Offer");
        }
        // verify required parameter "take" is set
        if (params["take"] == null) {
            throw new Error("Missing required parameter take when calling offerHttpGetAdminV2Offer");
        }
        // verify required parameter "subEnabled" is set
        if (params["subEnabled"] == null) {
            throw new Error("Missing required parameter subEnabled when calling offerHttpGetAdminV2Offer");
        }
        // verify required parameter "category" is set
        if (params["category"] == null) {
            throw new Error("Missing required parameter category when calling offerHttpGetAdminV2Offer");
        }
        const baseUrl = `/api/v2/admin/offer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
            "sessionId": params["sessionId"],
            "skip": params["skip"],
            "take": params["take"],
            "subEnabled": params["subEnabled"],
            "category": params["category"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpGetAdminV2OfferItemGroup(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpGetAdminV2OfferItemGroup");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling offerHttpGetAdminV2OfferItemGroup");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpGetAdminV2OfferItemGroup");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}/itemgroup/{id}`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`)
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferManifest(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpGetAdminV2OfferManifest");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpGetAdminV2OfferManifest");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}/manifest`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferOverview(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpGetAdminV2OfferOverview");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}/overview`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSef(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpGetAdminV2OfferSef");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpGetAdminV2OfferSef");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferSkuList(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpGetAdminV2OfferSkuList");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}/sku`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSkuSales(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpGetAdminV2OfferSkuSales");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpGetAdminV2OfferSkuSales");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}/sku/sales`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param entity
     * @param sessionId
     */
    offerHttpPostAdminV2Offer(params, options) {
        // verify required parameter "entity" is set
        if (params["entity"] == null) {
            throw new Error("Missing required parameter entity when calling offerHttpPostAdminV2Offer");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpPostAdminV2Offer");
        }
        const baseUrl = `/api/v2/admin/offer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["entity"]) {
            fetchOptions.body = JSON.stringify(params["entity"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param itemGroupToAdd
     * @param sessionId
     */
    offerHttpPostAdminV2OfferSkuList(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpPostAdminV2OfferSkuList");
        }
        // verify required parameter "itemGroupToAdd" is set
        if (params["itemGroupToAdd"] == null) {
            throw new Error("Missing required parameter itemGroupToAdd when calling offerHttpPostAdminV2OfferSkuList");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpPostAdminV2OfferSkuList");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}/sku`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["itemGroupToAdd"]) {
            fetchOptions.body = JSON.stringify(params["itemGroupToAdd"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param id
     * @param itemGroup
     * @param sessionId
     */
    offerHttpPutAdminV2OfferItemGroup(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpPutAdminV2OfferItemGroup");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling offerHttpPutAdminV2OfferItemGroup");
        }
        // verify required parameter "itemGroup" is set
        if (params["itemGroup"] == null) {
            throw new Error("Missing required parameter itemGroup when calling offerHttpPutAdminV2OfferItemGroup");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpPutAdminV2OfferItemGroup");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}/itemgroup/{id}`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`)
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["itemGroup"]) {
            fetchOptions.body = JSON.stringify(params["itemGroup"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param model
     * @param sessionId
     */
    offerHttpPutAdminV2OfferSef(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerHttpPutAdminV2OfferSef");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling offerHttpPutAdminV2OfferSef");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpPutAdminV2OfferSef");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     * @param skuFilter
     */
    offerHttpTaxRecords(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerHttpTaxRecords");
        }
        // verify required parameter "startDate" is set
        if (params["startDate"] == null) {
            throw new Error("Missing required parameter startDate when calling offerHttpTaxRecords");
        }
        // verify required parameter "endDate" is set
        if (params["endDate"] == null) {
            throw new Error("Missing required parameter endDate when calling offerHttpTaxRecords");
        }
        // verify required parameter "skuFilter" is set
        if (params["skuFilter"] == null) {
            throw new Error("Missing required parameter skuFilter when calling offerHttpTaxRecords");
        }
        const baseUrl = `/api/v2/admin/tax`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "startDate": params["startDate"],
            "endDate": params["endDate"],
            "skuFilter": params["skuFilter"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param sessionId
     * @param items
     * @param isTest
     */
    offerItemGroupBulkLoad(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerItemGroupBulkLoad");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerItemGroupBulkLoad");
        }
        // verify required parameter "items" is set
        if (params["items"] == null) {
            throw new Error("Missing required parameter items when calling offerItemGroupBulkLoad");
        }
        // verify required parameter "isTest" is set
        if (params["isTest"] == null) {
            throw new Error("Missing required parameter isTest when calling offerItemGroupBulkLoad");
        }
        const baseUrl = `/api/v2/admin/offer/{offerSef}/itemgroupbulk`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "isTest": params["isTest"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["items"]) {
            fetchOptions.body = JSON.stringify(params["items"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param filter
     * @param skip
     * @param take
     * @param forcePopulate
     * @param search
     */
    offerOfferListHandler(params, options) {
        const baseUrl = `/api/v2/offer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "filter": params["filter"],
            "skip": params["skip"],
            "take": params["take"],
            "forcePopulate": params["forcePopulate"],
            "search": params["search"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSearch
     * @param sessionId
     */
    offerSearchOffers(params, options) {
        // verify required parameter "offerSearch" is set
        if (params["offerSearch"] == null) {
            throw new Error("Missing required parameter offerSearch when calling offerSearchOffers");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling offerSearchOffers");
        }
        const baseUrl = `/api/v2/admin/offer/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["offerSearch"]) {
            fetchOptions.body = JSON.stringify(params["offerSearch"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * OfferApi - functional programming interface
 */
exports.OfferApiFp = {
    /**
     *
     * @param sku
     * @param sessionId
     * @param cogs
     * @param qty
     */
    offerApplySkuCogs(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerApplySkuCogs(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param cacheKey
     */
    offerGetDetail(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerGetDetail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     */
    offerGetLiveFeed(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerGetLiveFeed(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sku
     * @param sessionId
     */
    offerGetManifestsBySku(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerGetManifestsBySku(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    offerHandleListAppellation(options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHandleListAppellation(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    offerHandleListRegion(options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHandleListRegion(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param targetOfferSef
     * @param sourceOfferSef
     * @param sessionId
     */
    offerHttpCopyItemGroups(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpCopyItemGroups(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpDeleteAdminV2OfferItemGroupById(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpDeleteAdminV2OfferItemGroupById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param search
     * @param sessionId
     * @param skip
     * @param take
     * @param subEnabled
     * @param category
     */
    offerHttpGetAdminV2Offer(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpGetAdminV2Offer(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpGetAdminV2OfferItemGroup(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpGetAdminV2OfferItemGroup(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferManifest(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpGetAdminV2OfferManifest(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferOverview(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpGetAdminV2OfferOverview(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSef(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpGetAdminV2OfferSef(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferSkuList(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpGetAdminV2OfferSkuList(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSkuSales(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpGetAdminV2OfferSkuSales(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param entity
     * @param sessionId
     */
    offerHttpPostAdminV2Offer(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpPostAdminV2Offer(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param itemGroupToAdd
     * @param sessionId
     */
    offerHttpPostAdminV2OfferSkuList(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpPostAdminV2OfferSkuList(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param id
     * @param itemGroup
     * @param sessionId
     */
    offerHttpPutAdminV2OfferItemGroup(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpPutAdminV2OfferItemGroup(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param model
     * @param sessionId
     */
    offerHttpPutAdminV2OfferSef(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpPutAdminV2OfferSef(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     * @param skuFilter
     */
    offerHttpTaxRecords(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerHttpTaxRecords(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param sessionId
     * @param items
     * @param isTest
     */
    offerItemGroupBulkLoad(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerItemGroupBulkLoad(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param filter
     * @param skip
     * @param take
     * @param forcePopulate
     * @param search
     */
    offerOfferListHandler(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerOfferListHandler(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSearch
     * @param sessionId
     */
    offerSearchOffers(params, options) {
        const fetchArgs = exports.OfferApiFetchParamCreator.offerSearchOffers(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * OfferApi - object-oriented interface
 */
class OfferApi extends BaseAPI {
    /**
     *
     * @param sku
     * @param sessionId
     * @param cogs
     * @param qty
     */
    offerApplySkuCogs(params, options) {
        return exports.OfferApiFp.offerApplySkuCogs(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param cacheKey
     */
    offerGetDetail(params, options) {
        return exports.OfferApiFp.offerGetDetail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     */
    offerGetLiveFeed(params, options) {
        return exports.OfferApiFp.offerGetLiveFeed(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sku
     * @param sessionId
     */
    offerGetManifestsBySku(params, options) {
        return exports.OfferApiFp.offerGetManifestsBySku(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    offerHandleListAppellation(options) {
        return exports.OfferApiFp.offerHandleListAppellation(options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    offerHandleListRegion(options) {
        return exports.OfferApiFp.offerHandleListRegion(options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param targetOfferSef
     * @param sourceOfferSef
     * @param sessionId
     */
    offerHttpCopyItemGroups(params, options) {
        return exports.OfferApiFp.offerHttpCopyItemGroups(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpDeleteAdminV2OfferItemGroupById(params, options) {
        return exports.OfferApiFp.offerHttpDeleteAdminV2OfferItemGroupById(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param search
     * @param sessionId
     * @param skip
     * @param take
     * @param subEnabled
     * @param category
     */
    offerHttpGetAdminV2Offer(params, options) {
        return exports.OfferApiFp.offerHttpGetAdminV2Offer(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param id
     * @param sessionId
     */
    offerHttpGetAdminV2OfferItemGroup(params, options) {
        return exports.OfferApiFp.offerHttpGetAdminV2OfferItemGroup(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferManifest(params, options) {
        return exports.OfferApiFp.offerHttpGetAdminV2OfferManifest(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferOverview(params, options) {
        return exports.OfferApiFp.offerHttpGetAdminV2OfferOverview(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSef(params, options) {
        return exports.OfferApiFp.offerHttpGetAdminV2OfferSef(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     */
    offerHttpGetAdminV2OfferSkuList(params, options) {
        return exports.OfferApiFp.offerHttpGetAdminV2OfferSkuList(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param sessionId
     */
    offerHttpGetAdminV2OfferSkuSales(params, options) {
        return exports.OfferApiFp.offerHttpGetAdminV2OfferSkuSales(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param entity
     * @param sessionId
     */
    offerHttpPostAdminV2Offer(params, options) {
        return exports.OfferApiFp.offerHttpPostAdminV2Offer(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param itemGroupToAdd
     * @param sessionId
     */
    offerHttpPostAdminV2OfferSkuList(params, options) {
        return exports.OfferApiFp.offerHttpPostAdminV2OfferSkuList(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param id
     * @param itemGroup
     * @param sessionId
     */
    offerHttpPutAdminV2OfferItemGroup(params, options) {
        return exports.OfferApiFp.offerHttpPutAdminV2OfferItemGroup(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param model
     * @param sessionId
     */
    offerHttpPutAdminV2OfferSef(params, options) {
        return exports.OfferApiFp.offerHttpPutAdminV2OfferSef(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param startDate
     * @param endDate
     * @param skuFilter
     */
    offerHttpTaxRecords(params, options) {
        return exports.OfferApiFp.offerHttpTaxRecords(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param sessionId
     * @param items
     * @param isTest
     */
    offerItemGroupBulkLoad(params, options) {
        return exports.OfferApiFp.offerItemGroupBulkLoad(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param filter
     * @param skip
     * @param take
     * @param forcePopulate
     * @param search
     */
    offerOfferListHandler(params, options) {
        return exports.OfferApiFp.offerOfferListHandler(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSearch
     * @param sessionId
     */
    offerSearchOffers(params, options) {
        return exports.OfferApiFp.offerSearchOffers(params, options)(this.fetch, this.basePath);
    }
}
exports.OfferApi = OfferApi;
;
/**
 * OfferApi - factory interface
 */
exports.OfferApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sku
         * @param sessionId
         * @param cogs
         * @param qty
         */
        offerApplySkuCogs(params, options) {
            return exports.OfferApiFp.offerApplySkuCogs(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param cacheKey
         */
        offerGetDetail(params, options) {
            return exports.OfferApiFp.offerGetDetail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         */
        offerGetLiveFeed(params, options) {
            return exports.OfferApiFp.offerGetLiveFeed(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sku
         * @param sessionId
         */
        offerGetManifestsBySku(params, options) {
            return exports.OfferApiFp.offerGetManifestsBySku(params, options)(fetch, basePath);
        },
        /**
         *
         */
        offerHandleListAppellation(options) {
            return exports.OfferApiFp.offerHandleListAppellation(options)(fetch, basePath);
        },
        /**
         *
         */
        offerHandleListRegion(options) {
            return exports.OfferApiFp.offerHandleListRegion(options)(fetch, basePath);
        },
        /**
         *
         * @param targetOfferSef
         * @param sourceOfferSef
         * @param sessionId
         */
        offerHttpCopyItemGroups(params, options) {
            return exports.OfferApiFp.offerHttpCopyItemGroups(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param id
         * @param sessionId
         */
        offerHttpDeleteAdminV2OfferItemGroupById(params, options) {
            return exports.OfferApiFp.offerHttpDeleteAdminV2OfferItemGroupById(params, options)(fetch, basePath);
        },
        /**
         *
         * @param search
         * @param sessionId
         * @param skip
         * @param take
         * @param subEnabled
         * @param category
         */
        offerHttpGetAdminV2Offer(params, options) {
            return exports.OfferApiFp.offerHttpGetAdminV2Offer(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param id
         * @param sessionId
         */
        offerHttpGetAdminV2OfferItemGroup(params, options) {
            return exports.OfferApiFp.offerHttpGetAdminV2OfferItemGroup(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param sessionId
         */
        offerHttpGetAdminV2OfferManifest(params, options) {
            return exports.OfferApiFp.offerHttpGetAdminV2OfferManifest(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         */
        offerHttpGetAdminV2OfferOverview(params, options) {
            return exports.OfferApiFp.offerHttpGetAdminV2OfferOverview(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param sessionId
         */
        offerHttpGetAdminV2OfferSef(params, options) {
            return exports.OfferApiFp.offerHttpGetAdminV2OfferSef(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         */
        offerHttpGetAdminV2OfferSkuList(params, options) {
            return exports.OfferApiFp.offerHttpGetAdminV2OfferSkuList(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param sessionId
         */
        offerHttpGetAdminV2OfferSkuSales(params, options) {
            return exports.OfferApiFp.offerHttpGetAdminV2OfferSkuSales(params, options)(fetch, basePath);
        },
        /**
         *
         * @param entity
         * @param sessionId
         */
        offerHttpPostAdminV2Offer(params, options) {
            return exports.OfferApiFp.offerHttpPostAdminV2Offer(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param itemGroupToAdd
         * @param sessionId
         */
        offerHttpPostAdminV2OfferSkuList(params, options) {
            return exports.OfferApiFp.offerHttpPostAdminV2OfferSkuList(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param id
         * @param itemGroup
         * @param sessionId
         */
        offerHttpPutAdminV2OfferItemGroup(params, options) {
            return exports.OfferApiFp.offerHttpPutAdminV2OfferItemGroup(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param model
         * @param sessionId
         */
        offerHttpPutAdminV2OfferSef(params, options) {
            return exports.OfferApiFp.offerHttpPutAdminV2OfferSef(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param startDate
         * @param endDate
         * @param skuFilter
         */
        offerHttpTaxRecords(params, options) {
            return exports.OfferApiFp.offerHttpTaxRecords(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param sessionId
         * @param items
         * @param isTest
         */
        offerItemGroupBulkLoad(params, options) {
            return exports.OfferApiFp.offerItemGroupBulkLoad(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param filter
         * @param skip
         * @param take
         * @param forcePopulate
         * @param search
         */
        offerOfferListHandler(params, options) {
            return exports.OfferApiFp.offerOfferListHandler(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSearch
         * @param sessionId
         */
        offerSearchOffers(params, options) {
            return exports.OfferApiFp.offerSearchOffers(params, options)(fetch, basePath);
        },
    };
};
/**
 * OfferDetailApi - fetch parameter creator
 */
exports.OfferDetailApiFetchParamCreator = {
    /**
     *
     * @param offerSef
     */
    offerDetailGetLiveFeedDetail(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerDetailGetLiveFeedDetail");
        }
        const baseUrl = `/api/offer/detail/{offerSef}/feed`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferBottles(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerDetailGetOfferBottles");
        }
        const baseUrl = `/api/offer/detail/{offerSef}/bottles`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferDetailBasic(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling offerDetailGetOfferDetailBasic");
        }
        const baseUrl = `/api/offer/detail/{offerSef}/basic`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param file
     */
    offerDetailPostOfferUploadImage(params, options) {
        // verify required parameter "file" is set
        if (params["file"] == null) {
            throw new Error("Missing required parameter file when calling offerDetailPostOfferUploadImage");
        }
        const baseUrl = `/api/offer/detail/uploadImage`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/x-www-form-urlencoded" };
        fetchOptions.body = querystring.stringify({
            "file": params["file"],
        });
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    offerDetailSitemapIndex(options) {
        const baseUrl = `/api/offer/sitemapIndex`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * OfferDetailApi - functional programming interface
 */
exports.OfferDetailApiFp = {
    /**
     *
     * @param offerSef
     */
    offerDetailGetLiveFeedDetail(params, options) {
        const fetchArgs = exports.OfferDetailApiFetchParamCreator.offerDetailGetLiveFeedDetail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferBottles(params, options) {
        const fetchArgs = exports.OfferDetailApiFetchParamCreator.offerDetailGetOfferBottles(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferDetailBasic(params, options) {
        const fetchArgs = exports.OfferDetailApiFetchParamCreator.offerDetailGetOfferDetailBasic(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param file
     */
    offerDetailPostOfferUploadImage(params, options) {
        const fetchArgs = exports.OfferDetailApiFetchParamCreator.offerDetailPostOfferUploadImage(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    offerDetailSitemapIndex(options) {
        const fetchArgs = exports.OfferDetailApiFetchParamCreator.offerDetailSitemapIndex(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * OfferDetailApi - object-oriented interface
 */
class OfferDetailApi extends BaseAPI {
    /**
     *
     * @param offerSef
     */
    offerDetailGetLiveFeedDetail(params, options) {
        return exports.OfferDetailApiFp.offerDetailGetLiveFeedDetail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferBottles(params, options) {
        return exports.OfferDetailApiFp.offerDetailGetOfferBottles(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     */
    offerDetailGetOfferDetailBasic(params, options) {
        return exports.OfferDetailApiFp.offerDetailGetOfferDetailBasic(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param file
     */
    offerDetailPostOfferUploadImage(params, options) {
        return exports.OfferDetailApiFp.offerDetailPostOfferUploadImage(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    offerDetailSitemapIndex(options) {
        return exports.OfferDetailApiFp.offerDetailSitemapIndex(options)(this.fetch, this.basePath);
    }
}
exports.OfferDetailApi = OfferDetailApi;
;
/**
 * OfferDetailApi - factory interface
 */
exports.OfferDetailApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param offerSef
         */
        offerDetailGetLiveFeedDetail(params, options) {
            return exports.OfferDetailApiFp.offerDetailGetLiveFeedDetail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         */
        offerDetailGetOfferBottles(params, options) {
            return exports.OfferDetailApiFp.offerDetailGetOfferBottles(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         */
        offerDetailGetOfferDetailBasic(params, options) {
            return exports.OfferDetailApiFp.offerDetailGetOfferDetailBasic(params, options)(fetch, basePath);
        },
        /**
         *
         * @param file
         */
        offerDetailPostOfferUploadImage(params, options) {
            return exports.OfferDetailApiFp.offerDetailPostOfferUploadImage(params, options)(fetch, basePath);
        },
        /**
         *
         */
        offerDetailSitemapIndex(options) {
            return exports.OfferDetailApiFp.offerDetailSitemapIndex(options)(fetch, basePath);
        },
    };
};
/**
 * OrderStatusApi - fetch parameter creator
 */
exports.OrderStatusApiFetchParamCreator = {
    /**
     *
     * @param orderId
     */
    orderStatusGetOrder(params, options) {
        // verify required parameter "orderId" is set
        if (params["orderId"] == null) {
            throw new Error("Missing required parameter orderId when calling orderStatusGetOrder");
        }
        const baseUrl = `/api/order/{orderId}`
            .replace(`{${"orderId"}}`, `${params["orderId"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * OrderStatusApi - functional programming interface
 */
exports.OrderStatusApiFp = {
    /**
     *
     * @param orderId
     */
    orderStatusGetOrder(params, options) {
        const fetchArgs = exports.OrderStatusApiFetchParamCreator.orderStatusGetOrder(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * OrderStatusApi - object-oriented interface
 */
class OrderStatusApi extends BaseAPI {
    /**
     *
     * @param orderId
     */
    orderStatusGetOrder(params, options) {
        return exports.OrderStatusApiFp.orderStatusGetOrder(params, options)(this.fetch, this.basePath);
    }
}
exports.OrderStatusApi = OrderStatusApi;
;
/**
 * OrderStatusApi - factory interface
 */
exports.OrderStatusApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param orderId
         */
        orderStatusGetOrder(params, options) {
            return exports.OrderStatusApiFp.orderStatusGetOrder(params, options)(fetch, basePath);
        },
    };
};
/**
 * PageApi - fetch parameter creator
 */
exports.PageApiFetchParamCreator = {
    /**
     *
     * @param search
     * @param onlyPublished
     */
    pageGetPage(params, options) {
        const baseUrl = `/api/page`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
            "onlyPublished": params["onlyPublished"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     */
    pageGetPageById(params, options) {
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling pageGetPageById");
        }
        const baseUrl = `/api/page/id/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param section
     * @param id
     */
    pageGetPageBySection(params, options) {
        // verify required parameter "section" is set
        if (params["section"] == null) {
            throw new Error("Missing required parameter section when calling pageGetPageBySection");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling pageGetPageBySection");
        }
        const baseUrl = `/api/page/section/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "section": params["section"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    pageGetSections(options) {
        const baseUrl = `/api/page/section`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param file
     */
    pagePostIPageUploadImage(params, options) {
        // verify required parameter "file" is set
        if (params["file"] == null) {
            throw new Error("Missing required parameter file when calling pagePostIPageUploadImage");
        }
        const baseUrl = `/api/page/uploadimage`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/x-www-form-urlencoded" };
        fetchOptions.body = querystring.stringify({
            "file": params["file"],
        });
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param model
     */
    pagePublishPageVersion(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling pagePublishPageVersion");
        }
        const baseUrl = `/api/page`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * PageApi - functional programming interface
 */
exports.PageApiFp = {
    /**
     *
     * @param search
     * @param onlyPublished
     */
    pageGetPage(params, options) {
        const fetchArgs = exports.PageApiFetchParamCreator.pageGetPage(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     */
    pageGetPageById(params, options) {
        const fetchArgs = exports.PageApiFetchParamCreator.pageGetPageById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param section
     * @param id
     */
    pageGetPageBySection(params, options) {
        const fetchArgs = exports.PageApiFetchParamCreator.pageGetPageBySection(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    pageGetSections(options) {
        const fetchArgs = exports.PageApiFetchParamCreator.pageGetSections(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param file
     */
    pagePostIPageUploadImage(params, options) {
        const fetchArgs = exports.PageApiFetchParamCreator.pagePostIPageUploadImage(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param model
     */
    pagePublishPageVersion(params, options) {
        const fetchArgs = exports.PageApiFetchParamCreator.pagePublishPageVersion(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * PageApi - object-oriented interface
 */
class PageApi extends BaseAPI {
    /**
     *
     * @param search
     * @param onlyPublished
     */
    pageGetPage(params, options) {
        return exports.PageApiFp.pageGetPage(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     */
    pageGetPageById(params, options) {
        return exports.PageApiFp.pageGetPageById(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param section
     * @param id
     */
    pageGetPageBySection(params, options) {
        return exports.PageApiFp.pageGetPageBySection(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    pageGetSections(options) {
        return exports.PageApiFp.pageGetSections(options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param file
     */
    pagePostIPageUploadImage(params, options) {
        return exports.PageApiFp.pagePostIPageUploadImage(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param model
     */
    pagePublishPageVersion(params, options) {
        return exports.PageApiFp.pagePublishPageVersion(params, options)(this.fetch, this.basePath);
    }
}
exports.PageApi = PageApi;
;
/**
 * PageApi - factory interface
 */
exports.PageApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param search
         * @param onlyPublished
         */
        pageGetPage(params, options) {
            return exports.PageApiFp.pageGetPage(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         */
        pageGetPageById(params, options) {
            return exports.PageApiFp.pageGetPageById(params, options)(fetch, basePath);
        },
        /**
         *
         * @param section
         * @param id
         */
        pageGetPageBySection(params, options) {
            return exports.PageApiFp.pageGetPageBySection(params, options)(fetch, basePath);
        },
        /**
         *
         */
        pageGetSections(options) {
            return exports.PageApiFp.pageGetSections(options)(fetch, basePath);
        },
        /**
         *
         * @param file
         */
        pagePostIPageUploadImage(params, options) {
            return exports.PageApiFp.pagePostIPageUploadImage(params, options)(fetch, basePath);
        },
        /**
         *
         * @param model
         */
        pagePublishPageVersion(params, options) {
            return exports.PageApiFp.pagePublishPageVersion(params, options)(fetch, basePath);
        },
    };
};
/**
 * PaymentApi - fetch parameter creator
 */
exports.PaymentApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     */
    paymentGetAddressAndPayment(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling paymentGetAddressAndPayment");
        }
        const baseUrl = `/api/session/user-address-and-payment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Convenience method to create both an address and payment entry. Will reuse existing address if a match already  exists in the user's profile.
     * @param sessionId Session identifier.
     * @param model Specify address and payment to add.
     */
    paymentPostAddressAndPayment(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling paymentPostAddressAndPayment");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling paymentPostAddressAndPayment");
        }
        const baseUrl = `/api/session/user-address-and-payment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Delete an authenticated user's payment profile. Also removes the profile from CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     */
    paymentSessionDeletePayment(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling paymentSessionDeletePayment");
        }
        // verify required parameter "paymentProfileId" is set
        if (params["paymentProfileId"] == null) {
            throw new Error("Missing required parameter paymentProfileId when calling paymentSessionDeletePayment");
        }
        const baseUrl = `/api/session/user-payment/{paymentProfileId}`
            .replace(`{${"paymentProfileId"}}`, `${params["paymentProfileId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Creates a new payment entity in the authenticated user's profile. Also creates the payment entity in CIM. The  Address entity should have already been created.
     * @param sessionId Session identifier.
     * @param ccinfo Ccinfo.
     */
    paymentSessionPostPayment(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling paymentSessionPostPayment");
        }
        // verify required parameter "ccinfo" is set
        if (params["ccinfo"] == null) {
            throw new Error("Missing required parameter ccinfo when calling paymentSessionPostPayment");
        }
        const baseUrl = `/api/session/user-payment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["ccinfo"]) {
            fetchOptions.body = JSON.stringify(params["ccinfo"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Update a user's payment profile. Also updates CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     * @param newInfo New payment info.
     */
    paymentSessionUpdatePayment(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling paymentSessionUpdatePayment");
        }
        // verify required parameter "paymentProfileId" is set
        if (params["paymentProfileId"] == null) {
            throw new Error("Missing required parameter paymentProfileId when calling paymentSessionUpdatePayment");
        }
        // verify required parameter "newInfo" is set
        if (params["newInfo"] == null) {
            throw new Error("Missing required parameter newInfo when calling paymentSessionUpdatePayment");
        }
        const baseUrl = `/api/session/user-payment/{paymentProfileId}`
            .replace(`{${"paymentProfileId"}}`, `${params["paymentProfileId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["newInfo"]) {
            fetchOptions.body = JSON.stringify(params["newInfo"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     */
    paymentSetDefaultItem(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling paymentSetDefaultItem");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling paymentSetDefaultItem");
        }
        const baseUrl = `/api/session/set-default/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * PaymentApi - functional programming interface
 */
exports.PaymentApiFp = {
    /**
     *
     * @param sessionId
     */
    paymentGetAddressAndPayment(params, options) {
        const fetchArgs = exports.PaymentApiFetchParamCreator.paymentGetAddressAndPayment(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Convenience method to create both an address and payment entry. Will reuse existing address if a match already  exists in the user's profile.
     * @param sessionId Session identifier.
     * @param model Specify address and payment to add.
     */
    paymentPostAddressAndPayment(params, options) {
        const fetchArgs = exports.PaymentApiFetchParamCreator.paymentPostAddressAndPayment(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Delete an authenticated user's payment profile. Also removes the profile from CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     */
    paymentSessionDeletePayment(params, options) {
        const fetchArgs = exports.PaymentApiFetchParamCreator.paymentSessionDeletePayment(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Creates a new payment entity in the authenticated user's profile. Also creates the payment entity in CIM. The  Address entity should have already been created.
     * @param sessionId Session identifier.
     * @param ccinfo Ccinfo.
     */
    paymentSessionPostPayment(params, options) {
        const fetchArgs = exports.PaymentApiFetchParamCreator.paymentSessionPostPayment(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Update a user's payment profile. Also updates CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     * @param newInfo New payment info.
     */
    paymentSessionUpdatePayment(params, options) {
        const fetchArgs = exports.PaymentApiFetchParamCreator.paymentSessionUpdatePayment(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     */
    paymentSetDefaultItem(params, options) {
        const fetchArgs = exports.PaymentApiFetchParamCreator.paymentSetDefaultItem(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * PaymentApi - object-oriented interface
 */
class PaymentApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    paymentGetAddressAndPayment(params, options) {
        return exports.PaymentApiFp.paymentGetAddressAndPayment(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Convenience method to create both an address and payment entry. Will reuse existing address if a match already  exists in the user's profile.
     * @param sessionId Session identifier.
     * @param model Specify address and payment to add.
     */
    paymentPostAddressAndPayment(params, options) {
        return exports.PaymentApiFp.paymentPostAddressAndPayment(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Delete an authenticated user's payment profile. Also removes the profile from CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     */
    paymentSessionDeletePayment(params, options) {
        return exports.PaymentApiFp.paymentSessionDeletePayment(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Creates a new payment entity in the authenticated user's profile. Also creates the payment entity in CIM. The  Address entity should have already been created.
     * @param sessionId Session identifier.
     * @param ccinfo Ccinfo.
     */
    paymentSessionPostPayment(params, options) {
        return exports.PaymentApiFp.paymentSessionPostPayment(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Update a user's payment profile. Also updates CIM.
     * @param sessionId Session identifier.
     * @param paymentProfileId Payment profile identifier.
     * @param newInfo New payment info.
     */
    paymentSessionUpdatePayment(params, options) {
        return exports.PaymentApiFp.paymentSessionUpdatePayment(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param id
     */
    paymentSetDefaultItem(params, options) {
        return exports.PaymentApiFp.paymentSetDefaultItem(params, options)(this.fetch, this.basePath);
    }
}
exports.PaymentApi = PaymentApi;
;
/**
 * PaymentApi - factory interface
 */
exports.PaymentApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         */
        paymentGetAddressAndPayment(params, options) {
            return exports.PaymentApiFp.paymentGetAddressAndPayment(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Convenience method to create both an address and payment entry. Will reuse existing address if a match already  exists in the user's profile.
         * @param sessionId Session identifier.
         * @param model Specify address and payment to add.
         */
        paymentPostAddressAndPayment(params, options) {
            return exports.PaymentApiFp.paymentPostAddressAndPayment(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Delete an authenticated user's payment profile. Also removes the profile from CIM.
         * @param sessionId Session identifier.
         * @param paymentProfileId Payment profile identifier.
         */
        paymentSessionDeletePayment(params, options) {
            return exports.PaymentApiFp.paymentSessionDeletePayment(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Creates a new payment entity in the authenticated user's profile. Also creates the payment entity in CIM. The  Address entity should have already been created.
         * @param sessionId Session identifier.
         * @param ccinfo Ccinfo.
         */
        paymentSessionPostPayment(params, options) {
            return exports.PaymentApiFp.paymentSessionPostPayment(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Update a user's payment profile. Also updates CIM.
         * @param sessionId Session identifier.
         * @param paymentProfileId Payment profile identifier.
         * @param newInfo New payment info.
         */
        paymentSessionUpdatePayment(params, options) {
            return exports.PaymentApiFp.paymentSessionUpdatePayment(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param id
         */
        paymentSetDefaultItem(params, options) {
            return exports.PaymentApiFp.paymentSetDefaultItem(params, options)(fetch, basePath);
        },
    };
};
/**
 * PromoGroupApi - fetch parameter creator
 */
exports.PromoGroupApiFetchParamCreator = {
    /**
     *
     * @summary GET /api/promoGroup/
     * @param sessionId
     */
    promoGroupGet(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling promoGroupGet");
        }
        const baseUrl = `/api/promogroup`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary GET /api/promoGroup/##
     * @param sessionId
     * @param id id of the promo group to enumerate promo codes
     */
    promoGroupGet_1(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling promoGroupGet_1");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling promoGroupGet_1");
        }
        const baseUrl = `/api/promogroup/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * PromoGroupApi - functional programming interface
 */
exports.PromoGroupApiFp = {
    /**
     *
     * @summary GET /api/promoGroup/
     * @param sessionId
     */
    promoGroupGet(params, options) {
        const fetchArgs = exports.PromoGroupApiFetchParamCreator.promoGroupGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary GET /api/promoGroup/##
     * @param sessionId
     * @param id id of the promo group to enumerate promo codes
     */
    promoGroupGet_1(params, options) {
        const fetchArgs = exports.PromoGroupApiFetchParamCreator.promoGroupGet_1(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * PromoGroupApi - object-oriented interface
 */
class PromoGroupApi extends BaseAPI {
    /**
     *
     * @summary GET /api/promoGroup/
     * @param sessionId
     */
    promoGroupGet(params, options) {
        return exports.PromoGroupApiFp.promoGroupGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary GET /api/promoGroup/##
     * @param sessionId
     * @param id id of the promo group to enumerate promo codes
     */
    promoGroupGet_1(params, options) {
        return exports.PromoGroupApiFp.promoGroupGet_1(params, options)(this.fetch, this.basePath);
    }
}
exports.PromoGroupApi = PromoGroupApi;
;
/**
 * PromoGroupApi - factory interface
 */
exports.PromoGroupApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @summary GET /api/promoGroup/
         * @param sessionId
         */
        promoGroupGet(params, options) {
            return exports.PromoGroupApiFp.promoGroupGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary GET /api/promoGroup/##
         * @param sessionId
         * @param id id of the promo group to enumerate promo codes
         */
        promoGroupGet_1(params, options) {
            return exports.PromoGroupApiFp.promoGroupGet_1(params, options)(fetch, basePath);
        },
    };
};
/**
 * PurchaseOrderApi - fetch parameter creator
 */
exports.PurchaseOrderApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     */
    purchaseOrderGetPurchaseOrderList(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling purchaseOrderGetPurchaseOrderList");
        }
        const baseUrl = `/api/v2/admin/po/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    purchaseOrderGetPurchaseOrders(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling purchaseOrderGetPurchaseOrders");
        }
        const baseUrl = `/api/v2/admin/po`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "skip": params["skip"],
            "take": params["take"],
            "search": params["search"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param sku
     */
    purchaseOrderGetPurchaseOrdersForSku(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling purchaseOrderGetPurchaseOrdersForSku");
        }
        // verify required parameter "sku" is set
        if (params["sku"] == null) {
            throw new Error("Missing required parameter sku when calling purchaseOrderGetPurchaseOrdersForSku");
        }
        const baseUrl = `/api/v2/admin/po/sku/{sku}`
            .replace(`{${"sku"}}`, `${params["sku"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    purchaseOrderPostPurchaseOrder(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling purchaseOrderPostPurchaseOrder");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling purchaseOrderPostPurchaseOrder");
        }
        const baseUrl = `/api/v2/admin/po`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * PurchaseOrderApi - functional programming interface
 */
exports.PurchaseOrderApiFp = {
    /**
     *
     * @param sessionId
     */
    purchaseOrderGetPurchaseOrderList(params, options) {
        const fetchArgs = exports.PurchaseOrderApiFetchParamCreator.purchaseOrderGetPurchaseOrderList(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    purchaseOrderGetPurchaseOrders(params, options) {
        const fetchArgs = exports.PurchaseOrderApiFetchParamCreator.purchaseOrderGetPurchaseOrders(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param sku
     */
    purchaseOrderGetPurchaseOrdersForSku(params, options) {
        const fetchArgs = exports.PurchaseOrderApiFetchParamCreator.purchaseOrderGetPurchaseOrdersForSku(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    purchaseOrderPostPurchaseOrder(params, options) {
        const fetchArgs = exports.PurchaseOrderApiFetchParamCreator.purchaseOrderPostPurchaseOrder(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * PurchaseOrderApi - object-oriented interface
 */
class PurchaseOrderApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    purchaseOrderGetPurchaseOrderList(params, options) {
        return exports.PurchaseOrderApiFp.purchaseOrderGetPurchaseOrderList(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     */
    purchaseOrderGetPurchaseOrders(params, options) {
        return exports.PurchaseOrderApiFp.purchaseOrderGetPurchaseOrders(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param sku
     */
    purchaseOrderGetPurchaseOrdersForSku(params, options) {
        return exports.PurchaseOrderApiFp.purchaseOrderGetPurchaseOrdersForSku(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    purchaseOrderPostPurchaseOrder(params, options) {
        return exports.PurchaseOrderApiFp.purchaseOrderPostPurchaseOrder(params, options)(this.fetch, this.basePath);
    }
}
exports.PurchaseOrderApi = PurchaseOrderApi;
;
/**
 * PurchaseOrderApi - factory interface
 */
exports.PurchaseOrderApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         */
        purchaseOrderGetPurchaseOrderList(params, options) {
            return exports.PurchaseOrderApiFp.purchaseOrderGetPurchaseOrderList(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param skip
         * @param take
         * @param search
         */
        purchaseOrderGetPurchaseOrders(params, options) {
            return exports.PurchaseOrderApiFp.purchaseOrderGetPurchaseOrders(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param sku
         */
        purchaseOrderGetPurchaseOrdersForSku(params, options) {
            return exports.PurchaseOrderApiFp.purchaseOrderGetPurchaseOrdersForSku(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        purchaseOrderPostPurchaseOrder(params, options) {
            return exports.PurchaseOrderApiFp.purchaseOrderPostPurchaseOrder(params, options)(fetch, basePath);
        },
    };
};
/**
 * SessionApi - fetch parameter creator
 */
exports.SessionApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param qty
     */
    sessionCartExpress(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionCartExpress");
        }
        // verify required parameter "qty" is set
        if (params["qty"] == null) {
            throw new Error("Missing required parameter qty when calling sessionCartExpress");
        }
        const baseUrl = `/api/session/cart-express-pick`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "qty": params["qty"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionCartGet(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionCartGet");
        }
        const baseUrl = `/api/session/cart`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionCartGetGrouped(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionCartGetGrouped");
        }
        const baseUrl = `/api/session/cart-groups`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param item
     */
    sessionCartPut(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionCartPut");
        }
        // verify required parameter "item" is set
        if (params["item"] == null) {
            throw new Error("Missing required parameter item when calling sessionCartPut");
        }
        const baseUrl = `/api/session/cart`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["item"]) {
            fetchOptions.body = JSON.stringify(params["item"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    sessionChangeUserEmail(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionChangeUserEmail");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling sessionChangeUserEmail");
        }
        const baseUrl = `/api/session/changeUserEmail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param promo
     */
    sessionClaimPromo(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionClaimPromo");
        }
        // verify required parameter "promo" is set
        if (params["promo"] == null) {
            throw new Error("Missing required parameter promo when calling sessionClaimPromo");
        }
        const baseUrl = `/api/session/claim-promo`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "promo": params["promo"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionExtend(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionExtend");
        }
        const baseUrl = `/api/session/inactivity`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Generates a new session id
     */
    sessionGet(options) {
        const baseUrl = `/api/session`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetFeatures(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetFeatures");
        }
        const baseUrl = `/api/session/features`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetPromo(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetPromo");
        }
        const baseUrl = `/api/session/claim-promo`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCredit(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetSessionUserCredit");
        }
        const baseUrl = `/api/session/user-credit`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCreditHistory(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetSessionUserCreditHistory");
        }
        const baseUrl = `/api/session/user-credit/history`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets the session user detail.
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserDetail(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetSessionUserDetail");
        }
        const baseUrl = `/api/session/user-detail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserEmailPreferences(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetSessionUserEmailPreferences");
        }
        const baseUrl = `/api/session/user-email-preferences`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets the list of en-route bottles that are overdue for the current user. You can then redeem any of these  bottles for credit by calling Routes.SessionUserEnRouteBottleRedeem
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserEnRouteBottleList(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetSessionUserEnRouteBottleList");
        }
        const baseUrl = `/api/session/enroute/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param manifestGuid
     */
    sessionGetSessionUserEnRouteBottleRedeem(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetSessionUserEnRouteBottleRedeem");
        }
        // verify required parameter "manifestGuid" is set
        if (params["manifestGuid"] == null) {
            throw new Error("Missing required parameter manifestGuid when calling sessionGetSessionUserEnRouteBottleRedeem");
        }
        const baseUrl = `/api/session/enroute/redeem`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "manifestGuid": params["manifestGuid"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionGetSupport(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetSupport");
        }
        // verify required parameter "req" is set
        if (params["req"] == null) {
            throw new Error("Missing required parameter req when calling sessionGetSupport");
        }
        const baseUrl = `/api/session/support`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["req"]) {
            fetchOptions.body = JSON.stringify(params["req"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param propName
     */
    sessionGetUserProp(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGetUserProp");
        }
        // verify required parameter "propName" is set
        if (params["propName"] == null) {
            throw new Error("Missing required parameter propName when calling sessionGetUserProp");
        }
        const baseUrl = `/api/session/userProp/{propName}`
            .replace(`{${"propName"}}`, `${params["propName"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Get the session with the specified id.
     * @param sessionId Session identifier.
     */
    sessionGet_1(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionGet_1");
        }
        const baseUrl = `/api/session/byId`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param claimCode
     */
    sessionHandleSessionGiftRedeem(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionHandleSessionGiftRedeem");
        }
        // verify required parameter "claimCode" is set
        if (params["claimCode"] == null) {
            throw new Error("Missing required parameter claimCode when calling sessionHandleSessionGiftRedeem");
        }
        const baseUrl = `/api/session/gc/redeem`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "claimCode": params["claimCode"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param features
     */
    sessionPostFeatures(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionPostFeatures");
        }
        // verify required parameter "features" is set
        if (params["features"] == null) {
            throw new Error("Missing required parameter features when calling sessionPostFeatures");
        }
        const baseUrl = `/api/session/features`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["features"]) {
            fetchOptions.body = JSON.stringify(params["features"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param file
     */
    sessionPostSessionUploadImage(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionPostSessionUploadImage");
        }
        // verify required parameter "file" is set
        if (params["file"] == null) {
            throw new Error("Missing required parameter file when calling sessionPostSessionUploadImage");
        }
        const baseUrl = `/api/session/user-image`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/x-www-form-urlencoded" };
        fetchOptions.body = querystring.stringify({
            "file": params["file"],
        });
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionPostSessionUserEnRouteBottleRedeem(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionPostSessionUserEnRouteBottleRedeem");
        }
        // verify required parameter "req" is set
        if (params["req"] == null) {
            throw new Error("Missing required parameter req when calling sessionPostSessionUserEnRouteBottleRedeem");
        }
        const baseUrl = `/api/session/enroute/redeem`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["req"]) {
            fetchOptions.body = JSON.stringify(params["req"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionPostSupportImg(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionPostSupportImg");
        }
        const baseUrl = `/api/session/cs-image`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Store the session with the specified id.
     * @param sessionId Session identifier.
     * @param data Data.
     */
    sessionPut(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionPut");
        }
        // verify required parameter "data" is set
        if (params["data"] == null) {
            throw new Error("Missing required parameter data when calling sessionPut");
        }
        const baseUrl = `/api/session/byId`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["data"]) {
            fetchOptions.body = JSON.stringify(params["data"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Puts the session user detail.
     * @param sessionId Session identifier.
     * @param model Model.
     */
    sessionPutSessionUserDetail(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionPutSessionUserDetail");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling sessionPutSessionUserDetail");
        }
        const baseUrl = `/api/session/user-detail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionDelete(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionSessionDelete");
        }
        const baseUrl = `/api/session/byId`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionSignOut(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionSessionSignOut");
        }
        const baseUrl = `/api/session/signout`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param includeShipment
     * @param includeOrder
     * @param includeCanceled
     * @param includeNonCanceled
     * @param query
     */
    sessionSessionUserOrdersAndShipments(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionSessionUserOrdersAndShipments");
        }
        // verify required parameter "skip" is set
        if (params["skip"] == null) {
            throw new Error("Missing required parameter skip when calling sessionSessionUserOrdersAndShipments");
        }
        // verify required parameter "take" is set
        if (params["take"] == null) {
            throw new Error("Missing required parameter take when calling sessionSessionUserOrdersAndShipments");
        }
        // verify required parameter "includeShipment" is set
        if (params["includeShipment"] == null) {
            throw new Error("Missing required parameter includeShipment when calling sessionSessionUserOrdersAndShipments");
        }
        // verify required parameter "includeOrder" is set
        if (params["includeOrder"] == null) {
            throw new Error("Missing required parameter includeOrder when calling sessionSessionUserOrdersAndShipments");
        }
        // verify required parameter "includeCanceled" is set
        if (params["includeCanceled"] == null) {
            throw new Error("Missing required parameter includeCanceled when calling sessionSessionUserOrdersAndShipments");
        }
        // verify required parameter "includeNonCanceled" is set
        if (params["includeNonCanceled"] == null) {
            throw new Error("Missing required parameter includeNonCanceled when calling sessionSessionUserOrdersAndShipments");
        }
        // verify required parameter "query" is set
        if (params["query"] == null) {
            throw new Error("Missing required parameter query when calling sessionSessionUserOrdersAndShipments");
        }
        const baseUrl = `/api/session/user-order-and-shipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "skip": params["skip"],
            "take": params["take"],
            "includeShipment": params["includeShipment"],
            "includeOrder": params["includeOrder"],
            "includeCanceled": params["includeCanceled"],
            "includeNonCanceled": params["includeNonCanceled"],
            "query": params["query"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param propName
     * @param key
     * @param newValue
     */
    sessionUpdateUserProp(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling sessionUpdateUserProp");
        }
        // verify required parameter "propName" is set
        if (params["propName"] == null) {
            throw new Error("Missing required parameter propName when calling sessionUpdateUserProp");
        }
        // verify required parameter "key" is set
        if (params["key"] == null) {
            throw new Error("Missing required parameter key when calling sessionUpdateUserProp");
        }
        // verify required parameter "newValue" is set
        if (params["newValue"] == null) {
            throw new Error("Missing required parameter newValue when calling sessionUpdateUserProp");
        }
        const baseUrl = `/api/session/userProp/{propName}`
            .replace(`{${"propName"}}`, `${params["propName"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "key": params["key"],
            "newValue": params["newValue"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SessionApi - functional programming interface
 */
exports.SessionApiFp = {
    /**
     *
     * @param sessionId
     * @param qty
     */
    sessionCartExpress(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionCartExpress(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionCartGet(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionCartGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionCartGetGrouped(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionCartGetGrouped(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param item
     */
    sessionCartPut(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionCartPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    sessionChangeUserEmail(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionChangeUserEmail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param promo
     */
    sessionClaimPromo(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionClaimPromo(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionExtend(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionExtend(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Generates a new session id
     */
    sessionGet(options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGet(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetFeatures(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetFeatures(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetPromo(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetPromo(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCredit(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetSessionUserCredit(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCreditHistory(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetSessionUserCreditHistory(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets the session user detail.
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserDetail(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetSessionUserDetail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserEmailPreferences(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetSessionUserEmailPreferences(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets the list of en-route bottles that are overdue for the current user. You can then redeem any of these  bottles for credit by calling Routes.SessionUserEnRouteBottleRedeem
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserEnRouteBottleList(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetSessionUserEnRouteBottleList(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param manifestGuid
     */
    sessionGetSessionUserEnRouteBottleRedeem(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetSessionUserEnRouteBottleRedeem(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionGetSupport(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetSupport(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param propName
     */
    sessionGetUserProp(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGetUserProp(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Get the session with the specified id.
     * @param sessionId Session identifier.
     */
    sessionGet_1(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionGet_1(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param claimCode
     */
    sessionHandleSessionGiftRedeem(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionHandleSessionGiftRedeem(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param features
     */
    sessionPostFeatures(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionPostFeatures(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param file
     */
    sessionPostSessionUploadImage(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionPostSessionUploadImage(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionPostSessionUserEnRouteBottleRedeem(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionPostSessionUserEnRouteBottleRedeem(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    sessionPostSupportImg(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionPostSupportImg(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Store the session with the specified id.
     * @param sessionId Session identifier.
     * @param data Data.
     */
    sessionPut(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Puts the session user detail.
     * @param sessionId Session identifier.
     * @param model Model.
     */
    sessionPutSessionUserDetail(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionPutSessionUserDetail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionDelete(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionSessionDelete(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionSignOut(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionSessionSignOut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param includeShipment
     * @param includeOrder
     * @param includeCanceled
     * @param includeNonCanceled
     * @param query
     */
    sessionSessionUserOrdersAndShipments(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionSessionUserOrdersAndShipments(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param propName
     * @param key
     * @param newValue
     */
    sessionUpdateUserProp(params, options) {
        const fetchArgs = exports.SessionApiFetchParamCreator.sessionUpdateUserProp(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SessionApi - object-oriented interface
 */
class SessionApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param qty
     */
    sessionCartExpress(params, options) {
        return exports.SessionApiFp.sessionCartExpress(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    sessionCartGet(params, options) {
        return exports.SessionApiFp.sessionCartGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    sessionCartGetGrouped(params, options) {
        return exports.SessionApiFp.sessionCartGetGrouped(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param item
     */
    sessionCartPut(params, options) {
        return exports.SessionApiFp.sessionCartPut(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    sessionChangeUserEmail(params, options) {
        return exports.SessionApiFp.sessionChangeUserEmail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param promo
     */
    sessionClaimPromo(params, options) {
        return exports.SessionApiFp.sessionClaimPromo(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    sessionExtend(params, options) {
        return exports.SessionApiFp.sessionExtend(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Generates a new session id
     */
    sessionGet(options) {
        return exports.SessionApiFp.sessionGet(options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    sessionGetFeatures(params, options) {
        return exports.SessionApiFp.sessionGetFeatures(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    sessionGetPromo(params, options) {
        return exports.SessionApiFp.sessionGetPromo(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCredit(params, options) {
        return exports.SessionApiFp.sessionGetSessionUserCredit(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserCreditHistory(params, options) {
        return exports.SessionApiFp.sessionGetSessionUserCreditHistory(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets the session user detail.
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserDetail(params, options) {
        return exports.SessionApiFp.sessionGetSessionUserDetail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    sessionGetSessionUserEmailPreferences(params, options) {
        return exports.SessionApiFp.sessionGetSessionUserEmailPreferences(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets the list of en-route bottles that are overdue for the current user. You can then redeem any of these  bottles for credit by calling Routes.SessionUserEnRouteBottleRedeem
     * @param sessionId Session identifier.
     */
    sessionGetSessionUserEnRouteBottleList(params, options) {
        return exports.SessionApiFp.sessionGetSessionUserEnRouteBottleList(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param manifestGuid
     */
    sessionGetSessionUserEnRouteBottleRedeem(params, options) {
        return exports.SessionApiFp.sessionGetSessionUserEnRouteBottleRedeem(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionGetSupport(params, options) {
        return exports.SessionApiFp.sessionGetSupport(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param propName
     */
    sessionGetUserProp(params, options) {
        return exports.SessionApiFp.sessionGetUserProp(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Get the session with the specified id.
     * @param sessionId Session identifier.
     */
    sessionGet_1(params, options) {
        return exports.SessionApiFp.sessionGet_1(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param claimCode
     */
    sessionHandleSessionGiftRedeem(params, options) {
        return exports.SessionApiFp.sessionHandleSessionGiftRedeem(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param features
     */
    sessionPostFeatures(params, options) {
        return exports.SessionApiFp.sessionPostFeatures(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param file
     */
    sessionPostSessionUploadImage(params, options) {
        return exports.SessionApiFp.sessionPostSessionUploadImage(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param req
     */
    sessionPostSessionUserEnRouteBottleRedeem(params, options) {
        return exports.SessionApiFp.sessionPostSessionUserEnRouteBottleRedeem(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    sessionPostSupportImg(params, options) {
        return exports.SessionApiFp.sessionPostSupportImg(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Store the session with the specified id.
     * @param sessionId Session identifier.
     * @param data Data.
     */
    sessionPut(params, options) {
        return exports.SessionApiFp.sessionPut(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Puts the session user detail.
     * @param sessionId Session identifier.
     * @param model Model.
     */
    sessionPutSessionUserDetail(params, options) {
        return exports.SessionApiFp.sessionPutSessionUserDetail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionDelete(params, options) {
        return exports.SessionApiFp.sessionSessionDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Delete the session with the specified id, along with any other sessions which have expired.
     * @param sessionId Session identifier.
     */
    sessionSessionSignOut(params, options) {
        return exports.SessionApiFp.sessionSessionSignOut(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param includeShipment
     * @param includeOrder
     * @param includeCanceled
     * @param includeNonCanceled
     * @param query
     */
    sessionSessionUserOrdersAndShipments(params, options) {
        return exports.SessionApiFp.sessionSessionUserOrdersAndShipments(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param propName
     * @param key
     * @param newValue
     */
    sessionUpdateUserProp(params, options) {
        return exports.SessionApiFp.sessionUpdateUserProp(params, options)(this.fetch, this.basePath);
    }
}
exports.SessionApi = SessionApi;
;
/**
 * SessionApi - factory interface
 */
exports.SessionApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param qty
         */
        sessionCartExpress(params, options) {
            return exports.SessionApiFp.sessionCartExpress(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        sessionCartGet(params, options) {
            return exports.SessionApiFp.sessionCartGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        sessionCartGetGrouped(params, options) {
            return exports.SessionApiFp.sessionCartGetGrouped(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param item
         */
        sessionCartPut(params, options) {
            return exports.SessionApiFp.sessionCartPut(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        sessionChangeUserEmail(params, options) {
            return exports.SessionApiFp.sessionChangeUserEmail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param promo
         */
        sessionClaimPromo(params, options) {
            return exports.SessionApiFp.sessionClaimPromo(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        sessionExtend(params, options) {
            return exports.SessionApiFp.sessionExtend(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Generates a new session id
         */
        sessionGet(options) {
            return exports.SessionApiFp.sessionGet(options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        sessionGetFeatures(params, options) {
            return exports.SessionApiFp.sessionGetFeatures(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        sessionGetPromo(params, options) {
            return exports.SessionApiFp.sessionGetPromo(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        sessionGetSessionUserCredit(params, options) {
            return exports.SessionApiFp.sessionGetSessionUserCredit(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        sessionGetSessionUserCreditHistory(params, options) {
            return exports.SessionApiFp.sessionGetSessionUserCreditHistory(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets the session user detail.
         * @param sessionId Session identifier.
         */
        sessionGetSessionUserDetail(params, options) {
            return exports.SessionApiFp.sessionGetSessionUserDetail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        sessionGetSessionUserEmailPreferences(params, options) {
            return exports.SessionApiFp.sessionGetSessionUserEmailPreferences(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets the list of en-route bottles that are overdue for the current user. You can then redeem any of these  bottles for credit by calling Routes.SessionUserEnRouteBottleRedeem
         * @param sessionId Session identifier.
         */
        sessionGetSessionUserEnRouteBottleList(params, options) {
            return exports.SessionApiFp.sessionGetSessionUserEnRouteBottleList(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param manifestGuid
         */
        sessionGetSessionUserEnRouteBottleRedeem(params, options) {
            return exports.SessionApiFp.sessionGetSessionUserEnRouteBottleRedeem(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param req
         */
        sessionGetSupport(params, options) {
            return exports.SessionApiFp.sessionGetSupport(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param propName
         */
        sessionGetUserProp(params, options) {
            return exports.SessionApiFp.sessionGetUserProp(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Get the session with the specified id.
         * @param sessionId Session identifier.
         */
        sessionGet_1(params, options) {
            return exports.SessionApiFp.sessionGet_1(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param claimCode
         */
        sessionHandleSessionGiftRedeem(params, options) {
            return exports.SessionApiFp.sessionHandleSessionGiftRedeem(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param features
         */
        sessionPostFeatures(params, options) {
            return exports.SessionApiFp.sessionPostFeatures(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param file
         */
        sessionPostSessionUploadImage(params, options) {
            return exports.SessionApiFp.sessionPostSessionUploadImage(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param req
         */
        sessionPostSessionUserEnRouteBottleRedeem(params, options) {
            return exports.SessionApiFp.sessionPostSessionUserEnRouteBottleRedeem(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        sessionPostSupportImg(params, options) {
            return exports.SessionApiFp.sessionPostSupportImg(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Store the session with the specified id.
         * @param sessionId Session identifier.
         * @param data Data.
         */
        sessionPut(params, options) {
            return exports.SessionApiFp.sessionPut(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Puts the session user detail.
         * @param sessionId Session identifier.
         * @param model Model.
         */
        sessionPutSessionUserDetail(params, options) {
            return exports.SessionApiFp.sessionPutSessionUserDetail(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Delete the session with the specified id, along with any other sessions which have expired.
         * @param sessionId Session identifier.
         */
        sessionSessionDelete(params, options) {
            return exports.SessionApiFp.sessionSessionDelete(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Delete the session with the specified id, along with any other sessions which have expired.
         * @param sessionId Session identifier.
         */
        sessionSessionSignOut(params, options) {
            return exports.SessionApiFp.sessionSessionSignOut(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param skip
         * @param take
         * @param includeShipment
         * @param includeOrder
         * @param includeCanceled
         * @param includeNonCanceled
         * @param query
         */
        sessionSessionUserOrdersAndShipments(params, options) {
            return exports.SessionApiFp.sessionSessionUserOrdersAndShipments(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param propName
         * @param key
         * @param newValue
         */
        sessionUpdateUserProp(params, options) {
            return exports.SessionApiFp.sessionUpdateUserProp(params, options)(fetch, basePath);
        },
    };
};
/**
 * ShipManagerApi - fetch parameter creator
 */
exports.ShipManagerApiFetchParamCreator = {
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     * @param force
     */
    shipManagerAdminTrackingManualUpdateCpl(params, options) {
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling shipManagerAdminTrackingManualUpdateCpl");
        }
        // verify required parameter "trackingNumber" is set
        if (params["trackingNumber"] == null) {
            throw new Error("Missing required parameter trackingNumber when calling shipManagerAdminTrackingManualUpdateCpl");
        }
        // verify required parameter "status" is set
        if (params["status"] == null) {
            throw new Error("Missing required parameter status when calling shipManagerAdminTrackingManualUpdateCpl");
        }
        const baseUrl = `/api/admin/shipment/updateTrackingByCplId`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "trackingNumber": params["trackingNumber"],
            "status": params["status"],
            "force": params["force"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     * @param onlyReturnSurplus
     */
    shipManagerCancelShipment(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling shipManagerCancelShipment");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling shipManagerCancelShipment");
        }
        // verify required parameter "onlyReturnSurplus" is set
        if (params["onlyReturnSurplus"] == null) {
            throw new Error("Missing required parameter onlyReturnSurplus when calling shipManagerCancelShipment");
        }
        const baseUrl = `/api/admin/shipment/cancel/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "onlyReturnSurplus": params["onlyReturnSurplus"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param isAdminHold
     * @param willCallOnly
     * @param startDate
     * @param endDate
     * @param backorder
     * @param sortCol
     * @param sortAsc
     */
    shipManagerGet(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling shipManagerGet");
        }
        // verify required parameter "search" is set
        if (params["search"] == null) {
            throw new Error("Missing required parameter search when calling shipManagerGet");
        }
        // verify required parameter "skip" is set
        if (params["skip"] == null) {
            throw new Error("Missing required parameter skip when calling shipManagerGet");
        }
        const baseUrl = `/api/admin/shipment/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "search": params["search"],
            "skip": params["skip"],
            "take": params["take"],
            "isAdminHold": params["isAdminHold"],
            "willCallOnly": params["willCallOnly"],
            "startDate": params["startDate"],
            "endDate": params["endDate"],
            "backorder": params["backorder"],
            "sortCol": params["sortCol"],
            "sortAsc": params["sortAsc"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    shipManagerGetMissingShipments(options) {
        const baseUrl = `/api/admin/shipment/updateTracking/missing`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param shipmentId
     */
    shipManagerGetShipmentDetail(params, options) {
        // verify required parameter "shipmentId" is set
        if (params["shipmentId"] == null) {
            throw new Error("Missing required parameter shipmentId when calling shipManagerGetShipmentDetail");
        }
        const baseUrl = `/api/shipment/item/{shipmentId}`
            .replace(`{${"shipmentId"}}`, `${params["shipmentId"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param search
     */
    shipManagerGetUpsEmail(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling shipManagerGetUpsEmail");
        }
        // verify required parameter "search" is set
        if (params["search"] == null) {
            throw new Error("Missing required parameter search when calling shipManagerGetUpsEmail");
        }
        const baseUrl = `/api/ups-tracking`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "search": params["search"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param model
     */
    shipManagerPostManifestsByIdShip(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling shipManagerPostManifestsByIdShip");
        }
        const baseUrl = `/api/admin/manifests/ship`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param email
     */
    shipManagerPostUpsEmail(params, options) {
        // verify required parameter "email" is set
        if (params["email"] == null) {
            throw new Error("Missing required parameter email when calling shipManagerPostUpsEmail");
        }
        const baseUrl = `/api/ups-tracking`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["email"]) {
            fetchOptions.body = JSON.stringify(params["email"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param searchModel
     */
    shipManagerSearch(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling shipManagerSearch");
        }
        // verify required parameter "searchModel" is set
        if (params["searchModel"] == null) {
            throw new Error("Missing required parameter searchModel when calling shipManagerSearch");
        }
        const baseUrl = `/api/admin/shipment/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["searchModel"]) {
            fetchOptions.body = JSON.stringify(params["searchModel"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    shipManagerUpdateTracking(options) {
        const baseUrl = `/api/admin/shipment/updateTracking/all`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param shipmentId
     */
    shipManagerUpdateTrackingById(params, options) {
        // verify required parameter "shipmentId" is set
        if (params["shipmentId"] == null) {
            throw new Error("Missing required parameter shipmentId when calling shipManagerUpdateTrackingById");
        }
        const baseUrl = `/api/admin/shipment/updateTracking/id/{shipmentId}`
            .replace(`{${"shipmentId"}}`, `${params["shipmentId"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     */
    shipManagerUpdateTrackingManually(params, options) {
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling shipManagerUpdateTrackingManually");
        }
        // verify required parameter "trackingNumber" is set
        if (params["trackingNumber"] == null) {
            throw new Error("Missing required parameter trackingNumber when calling shipManagerUpdateTrackingManually");
        }
        // verify required parameter "status" is set
        if (params["status"] == null) {
            throw new Error("Missing required parameter status when calling shipManagerUpdateTrackingManually");
        }
        const baseUrl = `/api/admin/shipment/updateTrackingManually`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "trackingNumber": params["trackingNumber"],
            "status": params["status"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * ShipManagerApi - functional programming interface
 */
exports.ShipManagerApiFp = {
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     * @param force
     */
    shipManagerAdminTrackingManualUpdateCpl(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerAdminTrackingManualUpdateCpl(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param id
     * @param onlyReturnSurplus
     */
    shipManagerCancelShipment(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerCancelShipment(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param isAdminHold
     * @param willCallOnly
     * @param startDate
     * @param endDate
     * @param backorder
     * @param sortCol
     * @param sortAsc
     */
    shipManagerGet(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    shipManagerGetMissingShipments(options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerGetMissingShipments(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param shipmentId
     */
    shipManagerGetShipmentDetail(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerGetShipmentDetail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param search
     */
    shipManagerGetUpsEmail(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerGetUpsEmail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param model
     */
    shipManagerPostManifestsByIdShip(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerPostManifestsByIdShip(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param email
     */
    shipManagerPostUpsEmail(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerPostUpsEmail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param searchModel
     */
    shipManagerSearch(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerSearch(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    shipManagerUpdateTracking(options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerUpdateTracking(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param shipmentId
     */
    shipManagerUpdateTrackingById(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerUpdateTrackingById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     */
    shipManagerUpdateTrackingManually(params, options) {
        const fetchArgs = exports.ShipManagerApiFetchParamCreator.shipManagerUpdateTrackingManually(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * ShipManagerApi - object-oriented interface
 */
class ShipManagerApi extends BaseAPI {
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     * @param force
     */
    shipManagerAdminTrackingManualUpdateCpl(params, options) {
        return exports.ShipManagerApiFp.shipManagerAdminTrackingManualUpdateCpl(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param id
     * @param onlyReturnSurplus
     */
    shipManagerCancelShipment(params, options) {
        return exports.ShipManagerApiFp.shipManagerCancelShipment(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param search
     * @param skip
     * @param take
     * @param isAdminHold
     * @param willCallOnly
     * @param startDate
     * @param endDate
     * @param backorder
     * @param sortCol
     * @param sortAsc
     */
    shipManagerGet(params, options) {
        return exports.ShipManagerApiFp.shipManagerGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    shipManagerGetMissingShipments(options) {
        return exports.ShipManagerApiFp.shipManagerGetMissingShipments(options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param shipmentId
     */
    shipManagerGetShipmentDetail(params, options) {
        return exports.ShipManagerApiFp.shipManagerGetShipmentDetail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param search
     */
    shipManagerGetUpsEmail(params, options) {
        return exports.ShipManagerApiFp.shipManagerGetUpsEmail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param model
     */
    shipManagerPostManifestsByIdShip(params, options) {
        return exports.ShipManagerApiFp.shipManagerPostManifestsByIdShip(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param email
     */
    shipManagerPostUpsEmail(params, options) {
        return exports.ShipManagerApiFp.shipManagerPostUpsEmail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param searchModel
     */
    shipManagerSearch(params, options) {
        return exports.ShipManagerApiFp.shipManagerSearch(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    shipManagerUpdateTracking(options) {
        return exports.ShipManagerApiFp.shipManagerUpdateTracking(options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param shipmentId
     */
    shipManagerUpdateTrackingById(params, options) {
        return exports.ShipManagerApiFp.shipManagerUpdateTrackingById(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     * @param trackingNumber
     * @param status
     */
    shipManagerUpdateTrackingManually(params, options) {
        return exports.ShipManagerApiFp.shipManagerUpdateTrackingManually(params, options)(this.fetch, this.basePath);
    }
}
exports.ShipManagerApi = ShipManagerApi;
;
/**
 * ShipManagerApi - factory interface
 */
exports.ShipManagerApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param id
         * @param trackingNumber
         * @param status
         * @param force
         */
        shipManagerAdminTrackingManualUpdateCpl(params, options) {
            return exports.ShipManagerApiFp.shipManagerAdminTrackingManualUpdateCpl(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param id
         * @param onlyReturnSurplus
         */
        shipManagerCancelShipment(params, options) {
            return exports.ShipManagerApiFp.shipManagerCancelShipment(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param search
         * @param skip
         * @param take
         * @param isAdminHold
         * @param willCallOnly
         * @param startDate
         * @param endDate
         * @param backorder
         * @param sortCol
         * @param sortAsc
         */
        shipManagerGet(params, options) {
            return exports.ShipManagerApiFp.shipManagerGet(params, options)(fetch, basePath);
        },
        /**
         *
         */
        shipManagerGetMissingShipments(options) {
            return exports.ShipManagerApiFp.shipManagerGetMissingShipments(options)(fetch, basePath);
        },
        /**
         *
         * @param shipmentId
         */
        shipManagerGetShipmentDetail(params, options) {
            return exports.ShipManagerApiFp.shipManagerGetShipmentDetail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param search
         */
        shipManagerGetUpsEmail(params, options) {
            return exports.ShipManagerApiFp.shipManagerGetUpsEmail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param model
         */
        shipManagerPostManifestsByIdShip(params, options) {
            return exports.ShipManagerApiFp.shipManagerPostManifestsByIdShip(params, options)(fetch, basePath);
        },
        /**
         *
         * @param email
         */
        shipManagerPostUpsEmail(params, options) {
            return exports.ShipManagerApiFp.shipManagerPostUpsEmail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param searchModel
         */
        shipManagerSearch(params, options) {
            return exports.ShipManagerApiFp.shipManagerSearch(params, options)(fetch, basePath);
        },
        /**
         *
         */
        shipManagerUpdateTracking(options) {
            return exports.ShipManagerApiFp.shipManagerUpdateTracking(options)(fetch, basePath);
        },
        /**
         *
         * @param shipmentId
         */
        shipManagerUpdateTrackingById(params, options) {
            return exports.ShipManagerApiFp.shipManagerUpdateTrackingById(params, options)(fetch, basePath);
        },
        /**
         *
         * @param id
         * @param trackingNumber
         * @param status
         */
        shipManagerUpdateTrackingManually(params, options) {
            return exports.ShipManagerApiFp.shipManagerUpdateTrackingManually(params, options)(fetch, basePath);
        },
    };
};
/**
 * SkuApi - fetch parameter creator
 */
exports.SkuApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     * @param useAllStock
     */
    skuAddBackup(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuAddBackup");
        }
        // verify required parameter "skuId" is set
        if (params["skuId"] == null) {
            throw new Error("Missing required parameter skuId when calling skuAddBackup");
        }
        // verify required parameter "replacementSku" is set
        if (params["replacementSku"] == null) {
            throw new Error("Missing required parameter replacementSku when calling skuAddBackup");
        }
        const baseUrl = `/api/v3/admin/sku/byId/{skuId}/backup`
            .replace(`{${"skuId"}}`, `${params["skuId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "replacementSku": params["replacementSku"],
            "useAllStock": params["useAllStock"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     */
    skuDeleteBackup(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuDeleteBackup");
        }
        // verify required parameter "skuId" is set
        if (params["skuId"] == null) {
            throw new Error("Missing required parameter skuId when calling skuDeleteBackup");
        }
        // verify required parameter "replacementSku" is set
        if (params["replacementSku"] == null) {
            throw new Error("Missing required parameter replacementSku when calling skuDeleteBackup");
        }
        const baseUrl = `/api/v3/admin/sku/byId/{skuId}/backup`
            .replace(`{${"skuId"}}`, `${params["skuId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "replacementSku": params["replacementSku"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param skuId
     */
    skuGetBackup(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuGetBackup");
        }
        // verify required parameter "skuId" is set
        if (params["skuId"] == null) {
            throw new Error("Missing required parameter skuId when calling skuGetBackup");
        }
        const baseUrl = `/api/v3/admin/sku/byId/{skuId}/backup`
            .replace(`{${"skuId"}}`, `${params["skuId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param varietals
     */
    skuGetInstantBuy(params, options) {
        const baseUrl = `/api/v2/instantbuy`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "skip": params["skip"],
            "take": params["take"],
            "search": params["search"],
            "varietals": params["varietals"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param adminSessionId
     * @param userGuid
     * @param qty
     */
    skuGetPlanForUser(params, options) {
        // verify required parameter "adminSessionId" is set
        if (params["adminSessionId"] == null) {
            throw new Error("Missing required parameter adminSessionId when calling skuGetPlanForUser");
        }
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling skuGetPlanForUser");
        }
        // verify required parameter "qty" is set
        if (params["qty"] == null) {
            throw new Error("Missing required parameter qty when calling skuGetPlanForUser");
        }
        const baseUrl = `/api/v2/admin/sku/freeLocations/forUser`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "adminSessionId": params["adminSessionId"],
            "userGuid": params["userGuid"],
            "qty": params["qty"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sort
     * @param reverse
     * @param minSurplus
     * @param maxSurplus
     * @param minPrice
     * @param maxPrice
     * @param varietals
     * @param hasComment
     * @param hideZeroes
     * @param showDeprecated
     * @param includePallet
     * @param includeNonPallet
     * @param minNumOnActiveXfer
     * @param sessionId
     */
    skuGetSkuList(params, options) {
        // verify required parameter "skip" is set
        if (params["skip"] == null) {
            throw new Error("Missing required parameter skip when calling skuGetSkuList");
        }
        // verify required parameter "take" is set
        if (params["take"] == null) {
            throw new Error("Missing required parameter take when calling skuGetSkuList");
        }
        // verify required parameter "search" is set
        if (params["search"] == null) {
            throw new Error("Missing required parameter search when calling skuGetSkuList");
        }
        // verify required parameter "sort" is set
        if (params["sort"] == null) {
            throw new Error("Missing required parameter sort when calling skuGetSkuList");
        }
        // verify required parameter "reverse" is set
        if (params["reverse"] == null) {
            throw new Error("Missing required parameter reverse when calling skuGetSkuList");
        }
        // verify required parameter "minSurplus" is set
        if (params["minSurplus"] == null) {
            throw new Error("Missing required parameter minSurplus when calling skuGetSkuList");
        }
        // verify required parameter "maxSurplus" is set
        if (params["maxSurplus"] == null) {
            throw new Error("Missing required parameter maxSurplus when calling skuGetSkuList");
        }
        // verify required parameter "minPrice" is set
        if (params["minPrice"] == null) {
            throw new Error("Missing required parameter minPrice when calling skuGetSkuList");
        }
        // verify required parameter "maxPrice" is set
        if (params["maxPrice"] == null) {
            throw new Error("Missing required parameter maxPrice when calling skuGetSkuList");
        }
        // verify required parameter "varietals" is set
        if (params["varietals"] == null) {
            throw new Error("Missing required parameter varietals when calling skuGetSkuList");
        }
        // verify required parameter "hasComment" is set
        if (params["hasComment"] == null) {
            throw new Error("Missing required parameter hasComment when calling skuGetSkuList");
        }
        // verify required parameter "hideZeroes" is set
        if (params["hideZeroes"] == null) {
            throw new Error("Missing required parameter hideZeroes when calling skuGetSkuList");
        }
        // verify required parameter "showDeprecated" is set
        if (params["showDeprecated"] == null) {
            throw new Error("Missing required parameter showDeprecated when calling skuGetSkuList");
        }
        // verify required parameter "includePallet" is set
        if (params["includePallet"] == null) {
            throw new Error("Missing required parameter includePallet when calling skuGetSkuList");
        }
        // verify required parameter "includeNonPallet" is set
        if (params["includeNonPallet"] == null) {
            throw new Error("Missing required parameter includeNonPallet when calling skuGetSkuList");
        }
        // verify required parameter "minNumOnActiveXfer" is set
        if (params["minNumOnActiveXfer"] == null) {
            throw new Error("Missing required parameter minNumOnActiveXfer when calling skuGetSkuList");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuGetSkuList");
        }
        const baseUrl = `/api/v2/admin/sku`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "skip": params["skip"],
            "take": params["take"],
            "search": params["search"],
            "sort": params["sort"],
            "reverse": params["reverse"],
            "minSurplus": params["minSurplus"],
            "maxSurplus": params["maxSurplus"],
            "minPrice": params["minPrice"],
            "maxPrice": params["maxPrice"],
            "varietals": params["varietals"],
            "hasComment": params["hasComment"],
            "hideZeroes": params["hideZeroes"],
            "showDeprecated": params["showDeprecated"],
            "includePallet": params["includePallet"],
            "includeNonPallet": params["includeNonPallet"],
            "minNumOnActiveXfer": params["minNumOnActiveXfer"],
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sessionId
     */
    skuGetSkuListDeficit(params, options) {
        const baseUrl = `/api/v2/admin/sku/deficit`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "skip": params["skip"],
            "take": params["take"],
            "search": params["search"],
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    skuGetSkuListFreeLocations(options) {
        const baseUrl = `/api/v2/admin/sku/freeLocations`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sku
     */
    skuGetSkuStats(params, options) {
        // verify required parameter "sku" is set
        if (params["sku"] == null) {
            throw new Error("Missing required parameter sku when calling skuGetSkuStats");
        }
        const baseUrl = `/api/v2/admin/sku/stats/forSku/{sku}`
            .replace(`{${"sku"}}`, `${params["sku"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    skuGetSkuStatsByVarietal(options) {
        const baseUrl = `/api/v2/admin/sku/stats/byVarietal`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param content
     * @param sessionId
     */
    skuPost(params, options) {
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling skuPost");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuPost");
        }
        const baseUrl = `/api/v2/admin/sku/create`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param skuId
     * @param content
     * @param sessionId
     * @param updateCogsHistorically
     */
    skuPut(params, options) {
        // verify required parameter "skuId" is set
        if (params["skuId"] == null) {
            throw new Error("Missing required parameter skuId when calling skuPut");
        }
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling skuPut");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuPut");
        }
        const baseUrl = `/api/v2/admin/sku/byId/{skuId}`
            .replace(`{${"skuId"}}`, `${params["skuId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "updateCogsHistorically": params["updateCogsHistorically"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param skuId
     * @param sessionId
     * @param allowCache
     */
    skuSkuDetailV3(params, options) {
        // verify required parameter "skuId" is set
        if (params["skuId"] == null) {
            throw new Error("Missing required parameter skuId when calling skuSkuDetailV3");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuSkuDetailV3");
        }
        // verify required parameter "allowCache" is set
        if (params["allowCache"] == null) {
            throw new Error("Missing required parameter allowCache when calling skuSkuDetailV3");
        }
        const baseUrl = `/api/v3/admin/sku/byId/{skuId}`
            .replace(`{${"skuId"}}`, `${params["skuId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "allowCache": params["allowCache"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param model
     * @param sessionId
     */
    skuSkuListAdvanced(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling skuSkuListAdvanced");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuSkuListAdvanced");
        }
        const baseUrl = `/api/v2/admin/sku`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param itemDetailSef
     */
    skuSkuListByItemDetail(params, options) {
        // verify required parameter "itemDetailSef" is set
        if (params["itemDetailSef"] == null) {
            throw new Error("Missing required parameter itemDetailSef when calling skuSkuListByItemDetail");
        }
        const baseUrl = `/api/v2/sku/byItemDetail/{itemDetailSef}`
            .replace(`{${"itemDetailSef"}}`, `${params["itemDetailSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    skuSkuSwapGet(options) {
        const baseUrl = `/api/v2/admin/sku/swap`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPost(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuSkuSwapPost");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling skuSkuSwapPost");
        }
        const baseUrl = `/api/v2/admin/sku/swap`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPut(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling skuSkuSwapPut");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling skuSkuSwapPut");
        }
        const baseUrl = `/api/v2/admin/sku/swap`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param skuId
     */
    skuSkuV3GetOffers(params, options) {
        // verify required parameter "skuId" is set
        if (params["skuId"] == null) {
            throw new Error("Missing required parameter skuId when calling skuSkuV3GetOffers");
        }
        const baseUrl = `/api/v3/sku/byId/{skuId}/offers`
            .replace(`{${"skuId"}}`, `${params["skuId"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    skuUpdateSkuCache(options) {
        const baseUrl = `/api/v3/admin/sku/cacheupdate`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SkuApi - functional programming interface
 */
exports.SkuApiFp = {
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     * @param useAllStock
     */
    skuAddBackup(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuAddBackup(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     */
    skuDeleteBackup(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuDeleteBackup(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param skuId
     */
    skuGetBackup(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuGetBackup(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param varietals
     */
    skuGetInstantBuy(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuGetInstantBuy(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param adminSessionId
     * @param userGuid
     * @param qty
     */
    skuGetPlanForUser(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuGetPlanForUser(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sort
     * @param reverse
     * @param minSurplus
     * @param maxSurplus
     * @param minPrice
     * @param maxPrice
     * @param varietals
     * @param hasComment
     * @param hideZeroes
     * @param showDeprecated
     * @param includePallet
     * @param includeNonPallet
     * @param minNumOnActiveXfer
     * @param sessionId
     */
    skuGetSkuList(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuGetSkuList(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sessionId
     */
    skuGetSkuListDeficit(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuGetSkuListDeficit(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    skuGetSkuListFreeLocations(options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuGetSkuListFreeLocations(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sku
     */
    skuGetSkuStats(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuGetSkuStats(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    skuGetSkuStatsByVarietal(options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuGetSkuStatsByVarietal(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param content
     * @param sessionId
     */
    skuPost(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param skuId
     * @param content
     * @param sessionId
     * @param updateCogsHistorically
     */
    skuPut(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param skuId
     * @param sessionId
     * @param allowCache
     */
    skuSkuDetailV3(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuSkuDetailV3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param model
     * @param sessionId
     */
    skuSkuListAdvanced(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuSkuListAdvanced(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param itemDetailSef
     */
    skuSkuListByItemDetail(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuSkuListByItemDetail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    skuSkuSwapGet(options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuSkuSwapGet(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPost(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuSkuSwapPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPut(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuSkuSwapPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param skuId
     */
    skuSkuV3GetOffers(params, options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuSkuV3GetOffers(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    skuUpdateSkuCache(options) {
        const fetchArgs = exports.SkuApiFetchParamCreator.skuUpdateSkuCache(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SkuApi - object-oriented interface
 */
class SkuApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     * @param useAllStock
     */
    skuAddBackup(params, options) {
        return exports.SkuApiFp.skuAddBackup(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param skuId
     * @param replacementSku
     */
    skuDeleteBackup(params, options) {
        return exports.SkuApiFp.skuDeleteBackup(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param skuId
     */
    skuGetBackup(params, options) {
        return exports.SkuApiFp.skuGetBackup(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param varietals
     */
    skuGetInstantBuy(params, options) {
        return exports.SkuApiFp.skuGetInstantBuy(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param adminSessionId
     * @param userGuid
     * @param qty
     */
    skuGetPlanForUser(params, options) {
        return exports.SkuApiFp.skuGetPlanForUser(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sort
     * @param reverse
     * @param minSurplus
     * @param maxSurplus
     * @param minPrice
     * @param maxPrice
     * @param varietals
     * @param hasComment
     * @param hideZeroes
     * @param showDeprecated
     * @param includePallet
     * @param includeNonPallet
     * @param minNumOnActiveXfer
     * @param sessionId
     */
    skuGetSkuList(params, options) {
        return exports.SkuApiFp.skuGetSkuList(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param skip
     * @param take
     * @param search
     * @param sessionId
     */
    skuGetSkuListDeficit(params, options) {
        return exports.SkuApiFp.skuGetSkuListDeficit(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    skuGetSkuListFreeLocations(options) {
        return exports.SkuApiFp.skuGetSkuListFreeLocations(options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sku
     */
    skuGetSkuStats(params, options) {
        return exports.SkuApiFp.skuGetSkuStats(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    skuGetSkuStatsByVarietal(options) {
        return exports.SkuApiFp.skuGetSkuStatsByVarietal(options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param content
     * @param sessionId
     */
    skuPost(params, options) {
        return exports.SkuApiFp.skuPost(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param skuId
     * @param content
     * @param sessionId
     * @param updateCogsHistorically
     */
    skuPut(params, options) {
        return exports.SkuApiFp.skuPut(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param skuId
     * @param sessionId
     * @param allowCache
     */
    skuSkuDetailV3(params, options) {
        return exports.SkuApiFp.skuSkuDetailV3(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param model
     * @param sessionId
     */
    skuSkuListAdvanced(params, options) {
        return exports.SkuApiFp.skuSkuListAdvanced(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param itemDetailSef
     */
    skuSkuListByItemDetail(params, options) {
        return exports.SkuApiFp.skuSkuListByItemDetail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    skuSkuSwapGet(options) {
        return exports.SkuApiFp.skuSkuSwapGet(options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPost(params, options) {
        return exports.SkuApiFp.skuSkuSwapPost(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    skuSkuSwapPut(params, options) {
        return exports.SkuApiFp.skuSkuSwapPut(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param skuId
     */
    skuSkuV3GetOffers(params, options) {
        return exports.SkuApiFp.skuSkuV3GetOffers(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    skuUpdateSkuCache(options) {
        return exports.SkuApiFp.skuUpdateSkuCache(options)(this.fetch, this.basePath);
    }
}
exports.SkuApi = SkuApi;
;
/**
 * SkuApi - factory interface
 */
exports.SkuApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param skuId
         * @param replacementSku
         * @param useAllStock
         */
        skuAddBackup(params, options) {
            return exports.SkuApiFp.skuAddBackup(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param skuId
         * @param replacementSku
         */
        skuDeleteBackup(params, options) {
            return exports.SkuApiFp.skuDeleteBackup(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param skuId
         */
        skuGetBackup(params, options) {
            return exports.SkuApiFp.skuGetBackup(params, options)(fetch, basePath);
        },
        /**
         *
         * @param skip
         * @param take
         * @param search
         * @param varietals
         */
        skuGetInstantBuy(params, options) {
            return exports.SkuApiFp.skuGetInstantBuy(params, options)(fetch, basePath);
        },
        /**
         *
         * @param adminSessionId
         * @param userGuid
         * @param qty
         */
        skuGetPlanForUser(params, options) {
            return exports.SkuApiFp.skuGetPlanForUser(params, options)(fetch, basePath);
        },
        /**
         *
         * @param skip
         * @param take
         * @param search
         * @param sort
         * @param reverse
         * @param minSurplus
         * @param maxSurplus
         * @param minPrice
         * @param maxPrice
         * @param varietals
         * @param hasComment
         * @param hideZeroes
         * @param showDeprecated
         * @param includePallet
         * @param includeNonPallet
         * @param minNumOnActiveXfer
         * @param sessionId
         */
        skuGetSkuList(params, options) {
            return exports.SkuApiFp.skuGetSkuList(params, options)(fetch, basePath);
        },
        /**
         *
         * @param skip
         * @param take
         * @param search
         * @param sessionId
         */
        skuGetSkuListDeficit(params, options) {
            return exports.SkuApiFp.skuGetSkuListDeficit(params, options)(fetch, basePath);
        },
        /**
         *
         */
        skuGetSkuListFreeLocations(options) {
            return exports.SkuApiFp.skuGetSkuListFreeLocations(options)(fetch, basePath);
        },
        /**
         *
         * @param sku
         */
        skuGetSkuStats(params, options) {
            return exports.SkuApiFp.skuGetSkuStats(params, options)(fetch, basePath);
        },
        /**
         *
         */
        skuGetSkuStatsByVarietal(options) {
            return exports.SkuApiFp.skuGetSkuStatsByVarietal(options)(fetch, basePath);
        },
        /**
         *
         * @param content
         * @param sessionId
         */
        skuPost(params, options) {
            return exports.SkuApiFp.skuPost(params, options)(fetch, basePath);
        },
        /**
         *
         * @param skuId
         * @param content
         * @param sessionId
         * @param updateCogsHistorically
         */
        skuPut(params, options) {
            return exports.SkuApiFp.skuPut(params, options)(fetch, basePath);
        },
        /**
         *
         * @param skuId
         * @param sessionId
         * @param allowCache
         */
        skuSkuDetailV3(params, options) {
            return exports.SkuApiFp.skuSkuDetailV3(params, options)(fetch, basePath);
        },
        /**
         *
         * @param model
         * @param sessionId
         */
        skuSkuListAdvanced(params, options) {
            return exports.SkuApiFp.skuSkuListAdvanced(params, options)(fetch, basePath);
        },
        /**
         *
         * @param itemDetailSef
         */
        skuSkuListByItemDetail(params, options) {
            return exports.SkuApiFp.skuSkuListByItemDetail(params, options)(fetch, basePath);
        },
        /**
         *
         */
        skuSkuSwapGet(options) {
            return exports.SkuApiFp.skuSkuSwapGet(options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        skuSkuSwapPost(params, options) {
            return exports.SkuApiFp.skuSkuSwapPost(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        skuSkuSwapPut(params, options) {
            return exports.SkuApiFp.skuSkuSwapPut(params, options)(fetch, basePath);
        },
        /**
         *
         * @param skuId
         */
        skuSkuV3GetOffers(params, options) {
            return exports.SkuApiFp.skuSkuV3GetOffers(params, options)(fetch, basePath);
        },
        /**
         *
         */
        skuUpdateSkuCache(options) {
            return exports.SkuApiFp.skuUpdateSkuCache(options)(fetch, basePath);
        },
    };
};
/**
 * SubscriptionApi - fetch parameter creator
 */
exports.SubscriptionApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminBeginSubscription(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling subscriptionAdminBeginSubscription");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling subscriptionAdminBeginSubscription");
        }
        const baseUrl = `/api/admin/subscribe`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminCancelSubscription(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling subscriptionAdminCancelSubscription");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling subscriptionAdminCancelSubscription");
        }
        const baseUrl = `/api/admin/subscribe`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param userId
     */
    subscriptionAdminGetSubscription(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling subscriptionAdminGetSubscription");
        }
        const baseUrl = `/api/admin/subscribe`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "userId": params["userId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionBeginSubscription(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling subscriptionBeginSubscription");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling subscriptionBeginSubscription");
        }
        const baseUrl = `/api/session/subscribe`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionCancelSubscription(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling subscriptionCancelSubscription");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling subscriptionCancelSubscription");
        }
        const baseUrl = `/api/session/subscribe`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    subscriptionGetSubscription(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling subscriptionGetSubscription");
        }
        const baseUrl = `/api/session/subscribe`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * SubscriptionApi - functional programming interface
 */
exports.SubscriptionApiFp = {
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminBeginSubscription(params, options) {
        const fetchArgs = exports.SubscriptionApiFetchParamCreator.subscriptionAdminBeginSubscription(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminCancelSubscription(params, options) {
        const fetchArgs = exports.SubscriptionApiFetchParamCreator.subscriptionAdminCancelSubscription(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param userId
     */
    subscriptionAdminGetSubscription(params, options) {
        const fetchArgs = exports.SubscriptionApiFetchParamCreator.subscriptionAdminGetSubscription(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionBeginSubscription(params, options) {
        const fetchArgs = exports.SubscriptionApiFetchParamCreator.subscriptionBeginSubscription(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionCancelSubscription(params, options) {
        const fetchArgs = exports.SubscriptionApiFetchParamCreator.subscriptionCancelSubscription(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    subscriptionGetSubscription(params, options) {
        const fetchArgs = exports.SubscriptionApiFetchParamCreator.subscriptionGetSubscription(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * SubscriptionApi - object-oriented interface
 */
class SubscriptionApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminBeginSubscription(params, options) {
        return exports.SubscriptionApiFp.subscriptionAdminBeginSubscription(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionAdminCancelSubscription(params, options) {
        return exports.SubscriptionApiFp.subscriptionAdminCancelSubscription(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param userId
     */
    subscriptionAdminGetSubscription(params, options) {
        return exports.SubscriptionApiFp.subscriptionAdminGetSubscription(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionBeginSubscription(params, options) {
        return exports.SubscriptionApiFp.subscriptionBeginSubscription(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    subscriptionCancelSubscription(params, options) {
        return exports.SubscriptionApiFp.subscriptionCancelSubscription(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    subscriptionGetSubscription(params, options) {
        return exports.SubscriptionApiFp.subscriptionGetSubscription(params, options)(this.fetch, this.basePath);
    }
}
exports.SubscriptionApi = SubscriptionApi;
;
/**
 * SubscriptionApi - factory interface
 */
exports.SubscriptionApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param model
         */
        subscriptionAdminBeginSubscription(params, options) {
            return exports.SubscriptionApiFp.subscriptionAdminBeginSubscription(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        subscriptionAdminCancelSubscription(params, options) {
            return exports.SubscriptionApiFp.subscriptionAdminCancelSubscription(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param userId
         */
        subscriptionAdminGetSubscription(params, options) {
            return exports.SubscriptionApiFp.subscriptionAdminGetSubscription(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        subscriptionBeginSubscription(params, options) {
            return exports.SubscriptionApiFp.subscriptionBeginSubscription(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        subscriptionCancelSubscription(params, options) {
            return exports.SubscriptionApiFp.subscriptionCancelSubscription(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        subscriptionGetSubscription(params, options) {
            return exports.SubscriptionApiFp.subscriptionGetSubscription(params, options)(fetch, basePath);
        },
    };
};
/**
 * TelegramBotApi - fetch parameter creator
 */
exports.TelegramBotApiFetchParamCreator = {
    /**
     *
     * @param update
     */
    telegramBotPost(params, options) {
        // verify required parameter "update" is set
        if (params["update"] == null) {
            throw new Error("Missing required parameter update when calling telegramBotPost");
        }
        const baseUrl = `/api/telegram`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["update"]) {
            fetchOptions.body = JSON.stringify(params["update"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * TelegramBotApi - functional programming interface
 */
exports.TelegramBotApiFp = {
    /**
     *
     * @param update
     */
    telegramBotPost(params, options) {
        const fetchArgs = exports.TelegramBotApiFetchParamCreator.telegramBotPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * TelegramBotApi - object-oriented interface
 */
class TelegramBotApi extends BaseAPI {
    /**
     *
     * @param update
     */
    telegramBotPost(params, options) {
        return exports.TelegramBotApiFp.telegramBotPost(params, options)(this.fetch, this.basePath);
    }
}
exports.TelegramBotApi = TelegramBotApi;
;
/**
 * TelegramBotApi - factory interface
 */
exports.TelegramBotApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param update
         */
        telegramBotPost(params, options) {
            return exports.TelegramBotApiFp.telegramBotPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * TransactionalEmailApi - fetch parameter creator
 */
exports.TransactionalEmailApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param id
     */
    transactionalEmailGetContent(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling transactionalEmailGetContent");
        }
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling transactionalEmailGetContent");
        }
        const baseUrl = `/api/transactionalEmail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "id": params["id"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSendEmails(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling transactionalEmailSendEmails");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling transactionalEmailSendEmails");
        }
        const baseUrl = `/api/transactionalEmail/send`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSetContent(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling transactionalEmailSetContent");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling transactionalEmailSetContent");
        }
        const baseUrl = `/api/transactionalEmail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * TransactionalEmailApi - functional programming interface
 */
exports.TransactionalEmailApiFp = {
    /**
     *
     * @param sessionId
     * @param id
     */
    transactionalEmailGetContent(params, options) {
        const fetchArgs = exports.TransactionalEmailApiFetchParamCreator.transactionalEmailGetContent(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSendEmails(params, options) {
        const fetchArgs = exports.TransactionalEmailApiFetchParamCreator.transactionalEmailSendEmails(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSetContent(params, options) {
        const fetchArgs = exports.TransactionalEmailApiFetchParamCreator.transactionalEmailSetContent(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * TransactionalEmailApi - object-oriented interface
 */
class TransactionalEmailApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param id
     */
    transactionalEmailGetContent(params, options) {
        return exports.TransactionalEmailApiFp.transactionalEmailGetContent(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSendEmails(params, options) {
        return exports.TransactionalEmailApiFp.transactionalEmailSendEmails(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    transactionalEmailSetContent(params, options) {
        return exports.TransactionalEmailApiFp.transactionalEmailSetContent(params, options)(this.fetch, this.basePath);
    }
}
exports.TransactionalEmailApi = TransactionalEmailApi;
;
/**
 * TransactionalEmailApi - factory interface
 */
exports.TransactionalEmailApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param id
         */
        transactionalEmailGetContent(params, options) {
            return exports.TransactionalEmailApiFp.transactionalEmailGetContent(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        transactionalEmailSendEmails(params, options) {
            return exports.TransactionalEmailApiFp.transactionalEmailSendEmails(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        transactionalEmailSetContent(params, options) {
            return exports.TransactionalEmailApiFp.transactionalEmailSetContent(params, options)(fetch, basePath);
        },
    };
};
/**
 * TransferApi - fetch parameter creator
 */
exports.TransferApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param minDateCreated
     * @param maxDateCreated
     */
    transferListTransfer(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling transferListTransfer");
        }
        const baseUrl = `/api/admin/transfer/collection`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "skip": params["skip"],
            "take": params["take"],
            "search": params["search"],
            "minDateCreated": params["minDateCreated"],
            "maxDateCreated": params["maxDateCreated"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param xferGuid
     * @param model
     */
    transferSaveOrUpdateTransferItem(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling transferSaveOrUpdateTransferItem");
        }
        // verify required parameter "xferGuid" is set
        if (params["xferGuid"] == null) {
            throw new Error("Missing required parameter xferGuid when calling transferSaveOrUpdateTransferItem");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling transferSaveOrUpdateTransferItem");
        }
        const baseUrl = `/api/admin/transfer/detail/{xferGuid}`
            .replace(`{${"xferGuid"}}`, `${params["xferGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param record
     */
    transferSaveTransferIgnoringLinks(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling transferSaveTransferIgnoringLinks");
        }
        // verify required parameter "record" is set
        if (params["record"] == null) {
            throw new Error("Missing required parameter record when calling transferSaveTransferIgnoringLinks");
        }
        const baseUrl = `/api/admin/transfer/collection`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["record"]) {
            fetchOptions.body = JSON.stringify(params["record"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param transferXiGuid
     * @param skuHistoryGuid
     */
    transferSetReceiptLink(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling transferSetReceiptLink");
        }
        // verify required parameter "transferXiGuid" is set
        if (params["transferXiGuid"] == null) {
            throw new Error("Missing required parameter transferXiGuid when calling transferSetReceiptLink");
        }
        // verify required parameter "skuHistoryGuid" is set
        if (params["skuHistoryGuid"] == null) {
            throw new Error("Missing required parameter skuHistoryGuid when calling transferSetReceiptLink");
        }
        const baseUrl = `/api/admin/transfer/linkHistory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "transferXiGuid": params["transferXiGuid"],
            "skuHistoryGuid": params["skuHistoryGuid"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * TransferApi - functional programming interface
 */
exports.TransferApiFp = {
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param minDateCreated
     * @param maxDateCreated
     */
    transferListTransfer(params, options) {
        const fetchArgs = exports.TransferApiFetchParamCreator.transferListTransfer(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param xferGuid
     * @param model
     */
    transferSaveOrUpdateTransferItem(params, options) {
        const fetchArgs = exports.TransferApiFetchParamCreator.transferSaveOrUpdateTransferItem(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param record
     */
    transferSaveTransferIgnoringLinks(params, options) {
        const fetchArgs = exports.TransferApiFetchParamCreator.transferSaveTransferIgnoringLinks(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param transferXiGuid
     * @param skuHistoryGuid
     */
    transferSetReceiptLink(params, options) {
        const fetchArgs = exports.TransferApiFetchParamCreator.transferSetReceiptLink(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * TransferApi - object-oriented interface
 */
class TransferApi extends BaseAPI {
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param minDateCreated
     * @param maxDateCreated
     */
    transferListTransfer(params, options) {
        return exports.TransferApiFp.transferListTransfer(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param xferGuid
     * @param model
     */
    transferSaveOrUpdateTransferItem(params, options) {
        return exports.TransferApiFp.transferSaveOrUpdateTransferItem(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param record
     */
    transferSaveTransferIgnoringLinks(params, options) {
        return exports.TransferApiFp.transferSaveTransferIgnoringLinks(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param transferXiGuid
     * @param skuHistoryGuid
     */
    transferSetReceiptLink(params, options) {
        return exports.TransferApiFp.transferSetReceiptLink(params, options)(this.fetch, this.basePath);
    }
}
exports.TransferApi = TransferApi;
;
/**
 * TransferApi - factory interface
 */
exports.TransferApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         * @param skip
         * @param take
         * @param search
         * @param minDateCreated
         * @param maxDateCreated
         */
        transferListTransfer(params, options) {
            return exports.TransferApiFp.transferListTransfer(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param xferGuid
         * @param model
         */
        transferSaveOrUpdateTransferItem(params, options) {
            return exports.TransferApiFp.transferSaveOrUpdateTransferItem(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param record
         */
        transferSaveTransferIgnoringLinks(params, options) {
            return exports.TransferApiFp.transferSaveTransferIgnoringLinks(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param transferXiGuid
         * @param skuHistoryGuid
         */
        transferSetReceiptLink(params, options) {
            return exports.TransferApiFp.transferSetReceiptLink(params, options)(fetch, basePath);
        },
    };
};
/**
 * UserApi - fetch parameter creator
 */
exports.UserApiFetchParamCreator = {
    /**
     *
     * @param sessionId
     */
    userCanClaimFreeLetter(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userCanClaimFreeLetter");
        }
        const baseUrl = `/api/session/byId/freeletter`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param email
     */
    userCaptureEmail(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userCaptureEmail");
        }
        // verify required parameter "email" is set
        if (params["email"] == null) {
            throw new Error("Missing required parameter email when calling userCaptureEmail");
        }
        const baseUrl = `/api/user/captureDotmailerEmail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["email"]) {
            fetchOptions.body = JSON.stringify(params["email"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Change the password for the current user (based on sessionId)
     * @param sessionId
     * @param input
     */
    userChangePassword(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userChangePassword");
        }
        // verify required parameter "input" is set
        if (params["input"] == null) {
            throw new Error("Missing required parameter input when calling userChangePassword");
        }
        const baseUrl = `/api/session/user-passwd`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["input"]) {
            fetchOptions.body = JSON.stringify(params["input"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Change the password for the given user (based on userGuid); restricted to Admin only.
     * @param userGuid
     * @param input
     * @param sessionId
     */
    userChangePasswordAdmin(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userChangePasswordAdmin");
        }
        // verify required parameter "input" is set
        if (params["input"] == null) {
            throw new Error("Missing required parameter input when calling userChangePasswordAdmin");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userChangePasswordAdmin");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/setPassword`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["input"]) {
            fetchOptions.body = JSON.stringify(params["input"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    userClaimFreeLetter(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userClaimFreeLetter");
        }
        const baseUrl = `/api/session/byId/freeletter`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     */
    userRenew(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userRenew");
        }
        const baseUrl = `/api/userRenew/{userGuid}`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Initiate a password reset operation.
     * @param input
     */
    userResetPassword(params, options) {
        // verify required parameter "input" is set
        if (params["input"] == null) {
            throw new Error("Missing required parameter input when calling userResetPassword");
        }
        const baseUrl = `/api/resetpassword`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["input"]) {
            fetchOptions.body = JSON.stringify(params["input"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param model
     */
    userSetEmailPreferences(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userSetEmailPreferences");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling userSetEmailPreferences");
        }
        const baseUrl = `/api/v2/user/{userGuid}/email`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param model
     */
    userSignIn(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling userSignIn");
        }
        const baseUrl = `/api/user/auth`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param model
     */
    userSignIn3(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling userSignIn3");
        }
        const baseUrl = `/api/v3/user/auth`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param model
     */
    userSignup(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling userSignup");
        }
        const baseUrl = `/api/user`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param model
     */
    userSignup3(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling userSignup3");
        }
        const baseUrl = `/api/v3/user`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * UserApi - functional programming interface
 */
exports.UserApiFp = {
    /**
     *
     * @param sessionId
     */
    userCanClaimFreeLetter(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userCanClaimFreeLetter(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param email
     */
    userCaptureEmail(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userCaptureEmail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Change the password for the current user (based on sessionId)
     * @param sessionId
     * @param input
     */
    userChangePassword(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userChangePassword(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Change the password for the given user (based on userGuid); restricted to Admin only.
     * @param userGuid
     * @param input
     * @param sessionId
     */
    userChangePasswordAdmin(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userChangePasswordAdmin(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    userClaimFreeLetter(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userClaimFreeLetter(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     */
    userRenew(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userRenew(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Initiate a password reset operation.
     * @param input
     */
    userResetPassword(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userResetPassword(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param model
     */
    userSetEmailPreferences(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userSetEmailPreferences(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param model
     */
    userSignIn(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userSignIn(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param model
     */
    userSignIn3(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userSignIn3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param model
     */
    userSignup(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userSignup(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param model
     */
    userSignup3(params, options) {
        const fetchArgs = exports.UserApiFetchParamCreator.userSignup3(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * UserApi - object-oriented interface
 */
class UserApi extends BaseAPI {
    /**
     *
     * @param sessionId
     */
    userCanClaimFreeLetter(params, options) {
        return exports.UserApiFp.userCanClaimFreeLetter(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param email
     */
    userCaptureEmail(params, options) {
        return exports.UserApiFp.userCaptureEmail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Change the password for the current user (based on sessionId)
     * @param sessionId
     * @param input
     */
    userChangePassword(params, options) {
        return exports.UserApiFp.userChangePassword(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Change the password for the given user (based on userGuid); restricted to Admin only.
     * @param userGuid
     * @param input
     * @param sessionId
     */
    userChangePasswordAdmin(params, options) {
        return exports.UserApiFp.userChangePasswordAdmin(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    userClaimFreeLetter(params, options) {
        return exports.UserApiFp.userClaimFreeLetter(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     */
    userRenew(params, options) {
        return exports.UserApiFp.userRenew(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Initiate a password reset operation.
     * @param input
     */
    userResetPassword(params, options) {
        return exports.UserApiFp.userResetPassword(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param model
     */
    userSetEmailPreferences(params, options) {
        return exports.UserApiFp.userSetEmailPreferences(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param model
     */
    userSignIn(params, options) {
        return exports.UserApiFp.userSignIn(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param model
     */
    userSignIn3(params, options) {
        return exports.UserApiFp.userSignIn3(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param model
     */
    userSignup(params, options) {
        return exports.UserApiFp.userSignup(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param model
     */
    userSignup3(params, options) {
        return exports.UserApiFp.userSignup3(params, options)(this.fetch, this.basePath);
    }
}
exports.UserApi = UserApi;
;
/**
 * UserApi - factory interface
 */
exports.UserApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param sessionId
         */
        userCanClaimFreeLetter(params, options) {
            return exports.UserApiFp.userCanClaimFreeLetter(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param email
         */
        userCaptureEmail(params, options) {
            return exports.UserApiFp.userCaptureEmail(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Change the password for the current user (based on sessionId)
         * @param sessionId
         * @param input
         */
        userChangePassword(params, options) {
            return exports.UserApiFp.userChangePassword(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Change the password for the given user (based on userGuid); restricted to Admin only.
         * @param userGuid
         * @param input
         * @param sessionId
         */
        userChangePasswordAdmin(params, options) {
            return exports.UserApiFp.userChangePasswordAdmin(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        userClaimFreeLetter(params, options) {
            return exports.UserApiFp.userClaimFreeLetter(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         */
        userRenew(params, options) {
            return exports.UserApiFp.userRenew(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Initiate a password reset operation.
         * @param input
         */
        userResetPassword(params, options) {
            return exports.UserApiFp.userResetPassword(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param model
         */
        userSetEmailPreferences(params, options) {
            return exports.UserApiFp.userSetEmailPreferences(params, options)(fetch, basePath);
        },
        /**
         *
         * @param model
         */
        userSignIn(params, options) {
            return exports.UserApiFp.userSignIn(params, options)(fetch, basePath);
        },
        /**
         *
         * @param model
         */
        userSignIn3(params, options) {
            return exports.UserApiFp.userSignIn3(params, options)(fetch, basePath);
        },
        /**
         *
         * @param model
         */
        userSignup(params, options) {
            return exports.UserApiFp.userSignup(params, options)(fetch, basePath);
        },
        /**
         *
         * @param model
         */
        userSignup3(params, options) {
            return exports.UserApiFp.userSignup3(params, options)(fetch, basePath);
        },
    };
};
/**
 * UserAdminApi - fetch parameter creator
 */
exports.UserAdminApiFetchParamCreator = {
    /**
     *
     * @param addressGuid
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressDeleteById(params, options) {
        // verify required parameter "addressGuid" is set
        if (params["addressGuid"] == null) {
            throw new Error("Missing required parameter addressGuid when calling userAdminAddressDeleteById");
        }
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminAddressDeleteById");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminAddressDeleteById");
        }
        const baseUrl = `/api/admin/address/byGuid/{addressGuid}`
            .replace(`{${"addressGuid"}}`, `${params["addressGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "userGuid": params["userGuid"],
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressGet(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminAddressGet");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminAddressGet");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/addresses`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param addressGuid
     * @param sessionId
     */
    userAdminAddressGetById(params, options) {
        // verify required parameter "addressGuid" is set
        if (params["addressGuid"] == null) {
            throw new Error("Missing required parameter addressGuid when calling userAdminAddressGetById");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminAddressGetById");
        }
        const baseUrl = `/api/admin/address/byGuid/{addressGuid}`
            .replace(`{${"addressGuid"}}`, `${params["addressGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param emailOrId
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPostById(params, options) {
        // verify required parameter "emailOrId" is set
        if (params["emailOrId"] == null) {
            throw new Error("Missing required parameter emailOrId when calling userAdminAddressPostById");
        }
        // verify required parameter "addressModel" is set
        if (params["addressModel"] == null) {
            throw new Error("Missing required parameter addressModel when calling userAdminAddressPostById");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminAddressPostById");
        }
        const baseUrl = `/api/admin/address/byGuid/{emailOrId}`
            .replace(`{${"emailOrId"}}`, `${params["emailOrId"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["addressModel"]) {
            fetchOptions.body = JSON.stringify(params["addressModel"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param addressGuid
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPutById(params, options) {
        // verify required parameter "addressGuid" is set
        if (params["addressGuid"] == null) {
            throw new Error("Missing required parameter addressGuid when calling userAdminAddressPutById");
        }
        // verify required parameter "addressModel" is set
        if (params["addressModel"] == null) {
            throw new Error("Missing required parameter addressModel when calling userAdminAddressPutById");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminAddressPutById");
        }
        const baseUrl = `/api/admin/address/byGuid/{addressGuid}`
            .replace(`{${"addressGuid"}}`, `${params["addressGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["addressModel"]) {
            fetchOptions.body = JSON.stringify(params["addressModel"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAdminRevokeWordGame(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminAdminRevokeWordGame");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminAdminRevokeWordGame");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/wordgame`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    userAdminAdminUpdateUserEmail(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminAdminUpdateUserEmail");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling userAdminAdminUpdateUserEmail");
        }
        const baseUrl = `/api/admin/changeUserEmail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param comment
     * @param sessionId
     */
    userAdminCreateAdminUserComment(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminCreateAdminUserComment");
        }
        // verify required parameter "comment" is set
        if (params["comment"] == null) {
            throw new Error("Missing required parameter comment when calling userAdminCreateAdminUserComment");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminCreateAdminUserComment");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/comment`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["comment"]) {
            fetchOptions.body = JSON.stringify(params["comment"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param sessionId
     */
    userAdminCreditDelete(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminCreditDelete");
        }
        // verify required parameter "creditGuid" is set
        if (params["creditGuid"] == null) {
            throw new Error("Missing required parameter creditGuid when calling userAdminCreditDelete");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminCreditDelete");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/credits/{creditGuid}`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`)
            .replace(`{${"creditGuid"}}`, `${params["creditGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminCreditGet(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminCreditGet");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminCreditGet");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/credits`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param newCredit
     * @param sessionId
     */
    userAdminCreditPost(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminCreditPost");
        }
        // verify required parameter "newCredit" is set
        if (params["newCredit"] == null) {
            throw new Error("Missing required parameter newCredit when calling userAdminCreditPost");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminCreditPost");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/credits`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["newCredit"]) {
            fetchOptions.body = JSON.stringify(params["newCredit"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param credit
     * @param sessionId
     */
    userAdminCreditPut(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminCreditPut");
        }
        // verify required parameter "creditGuid" is set
        if (params["creditGuid"] == null) {
            throw new Error("Missing required parameter creditGuid when calling userAdminCreditPut");
        }
        // verify required parameter "credit" is set
        if (params["credit"] == null) {
            throw new Error("Missing required parameter credit when calling userAdminCreditPut");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminCreditPut");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/credits/{creditGuid}`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`)
            .replace(`{${"creditGuid"}}`, `${params["creditGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["credit"]) {
            fetchOptions.body = JSON.stringify(params["credit"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param needsOutreach
     */
    userAdminGet(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminGet");
        }
        const baseUrl = `/api/admin/user/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "skip": params["skip"],
            "take": params["take"],
            "search": params["search"],
            "needsOutreach": params["needsOutreach"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminGetById(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminGetById");
        }
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminGetById");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sku
     * @param sessionId
     */
    userAdminGetUsersbySku(params, options) {
        // verify required parameter "sku" is set
        if (params["sku"] == null) {
            throw new Error("Missing required parameter sku when calling userAdminGetUsersbySku");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminGetUsersbySku");
        }
        const baseUrl = `/api/admin/user/bySku/{sku}`
            .replace(`{${"sku"}}`, `${params["sku"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param userId
     * @param qty
     */
    userAdminGiveExtraLettersToUser(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminGiveExtraLettersToUser");
        }
        // verify required parameter "userId" is set
        if (params["userId"] == null) {
            throw new Error("Missing required parameter userId when calling userAdminGiveExtraLettersToUser");
        }
        // verify required parameter "qty" is set
        if (params["qty"] == null) {
            throw new Error("Missing required parameter qty when calling userAdminGiveExtraLettersToUser");
        }
        const baseUrl = `/api/session/byId/admin/give-extra-letters/{userId}/{qty}`
            .replace(`{${"userId"}}`, `${params["userId"]}`)
            .replace(`{${"qty"}}`, `${params["qty"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param userId
     * @param letters
     */
    userAdminGiveSpecificLettersToUser(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminGiveSpecificLettersToUser");
        }
        // verify required parameter "userId" is set
        if (params["userId"] == null) {
            throw new Error("Missing required parameter userId when calling userAdminGiveSpecificLettersToUser");
        }
        // verify required parameter "letters" is set
        if (params["letters"] == null) {
            throw new Error("Missing required parameter letters when calling userAdminGiveSpecificLettersToUser");
        }
        const baseUrl = `/api/session/byId/admin/give-specific-letters/{userId}/{letters}`
            .replace(`{${"userId"}}`, `${params["userId"]}`)
            .replace(`{${"letters"}}`, `${params["letters"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param claimCodes
     * @param sessionId
     */
    userAdminHandleAdminGiftRedeem(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminHandleAdminGiftRedeem");
        }
        // verify required parameter "claimCodes" is set
        if (params["claimCodes"] == null) {
            throw new Error("Missing required parameter claimCodes when calling userAdminHandleAdminGiftRedeem");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminHandleAdminGiftRedeem");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/redeemGc`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "claimCodes": params["claimCodes"],
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param model
     */
    userAdminHandleAdminUserTicket(params, options) {
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling userAdminHandleAdminUserTicket");
        }
        const baseUrl = `/api/admin/user/ticket`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    userAdminHandleCreditsAboutToExpire(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminHandleCreditsAboutToExpire");
        }
        const baseUrl = `/api/admin/creditsAboutToExpire`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminListAdminUserComment(params, options) {
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminListAdminUserComment");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminListAdminUserComment");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/comment`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param oldUserGuid
     * @param newUserGuid
     * @param sessionId
     */
    userAdminMergeUsers(params, options) {
        // verify required parameter "oldUserGuid" is set
        if (params["oldUserGuid"] == null) {
            throw new Error("Missing required parameter oldUserGuid when calling userAdminMergeUsers");
        }
        // verify required parameter "newUserGuid" is set
        if (params["newUserGuid"] == null) {
            throw new Error("Missing required parameter newUserGuid when calling userAdminMergeUsers");
        }
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminMergeUsers");
        }
        const baseUrl = `/api/admin/user/merge/{oldUserGuid}/into/{newUserGuid}`
            .replace(`{${"oldUserGuid"}}`, `${params["oldUserGuid"]}`)
            .replace(`{${"newUserGuid"}}`, `${params["newUserGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminPaymentsGet(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminPaymentsGet");
        }
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminPaymentsGet");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}/payments`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     * @param userGuid
     */
    userAdminPutById(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling userAdminPutById");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling userAdminPutById");
        }
        // verify required parameter "userGuid" is set
        if (params["userGuid"] == null) {
            throw new Error("Missing required parameter userGuid when calling userAdminPutById");
        }
        const baseUrl = `/api/admin/user/byGuid/{userGuid}`
            .replace(`{${"userGuid"}}`, `${params["userGuid"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * UserAdminApi - functional programming interface
 */
exports.UserAdminApiFp = {
    /**
     *
     * @param addressGuid
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressDeleteById(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminAddressDeleteById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressGet(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminAddressGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param addressGuid
     * @param sessionId
     */
    userAdminAddressGetById(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminAddressGetById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param emailOrId
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPostById(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminAddressPostById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param addressGuid
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPutById(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminAddressPutById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAdminRevokeWordGame(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminAdminRevokeWordGame(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     */
    userAdminAdminUpdateUserEmail(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminAdminUpdateUserEmail(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param comment
     * @param sessionId
     */
    userAdminCreateAdminUserComment(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminCreateAdminUserComment(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param sessionId
     */
    userAdminCreditDelete(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminCreditDelete(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminCreditGet(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminCreditGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param newCredit
     * @param sessionId
     */
    userAdminCreditPost(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminCreditPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param credit
     * @param sessionId
     */
    userAdminCreditPut(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminCreditPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param needsOutreach
     */
    userAdminGet(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminGetById(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminGetById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sku
     * @param sessionId
     */
    userAdminGetUsersbySku(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminGetUsersbySku(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param userId
     * @param qty
     */
    userAdminGiveExtraLettersToUser(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminGiveExtraLettersToUser(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param userId
     * @param letters
     */
    userAdminGiveSpecificLettersToUser(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminGiveSpecificLettersToUser(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param claimCodes
     * @param sessionId
     */
    userAdminHandleAdminGiftRedeem(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminHandleAdminGiftRedeem(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param model
     */
    userAdminHandleAdminUserTicket(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminHandleAdminUserTicket(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    userAdminHandleCreditsAboutToExpire(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminHandleCreditsAboutToExpire(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminListAdminUserComment(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminListAdminUserComment(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param oldUserGuid
     * @param newUserGuid
     * @param sessionId
     */
    userAdminMergeUsers(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminMergeUsers(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminPaymentsGet(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminPaymentsGet(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param model
     * @param userGuid
     */
    userAdminPutById(params, options) {
        const fetchArgs = exports.UserAdminApiFetchParamCreator.userAdminPutById(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * UserAdminApi - object-oriented interface
 */
class UserAdminApi extends BaseAPI {
    /**
     *
     * @param addressGuid
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressDeleteById(params, options) {
        return exports.UserAdminApiFp.userAdminAddressDeleteById(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAddressGet(params, options) {
        return exports.UserAdminApiFp.userAdminAddressGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param addressGuid
     * @param sessionId
     */
    userAdminAddressGetById(params, options) {
        return exports.UserAdminApiFp.userAdminAddressGetById(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param emailOrId
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPostById(params, options) {
        return exports.UserAdminApiFp.userAdminAddressPostById(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param addressGuid
     * @param addressModel
     * @param sessionId
     */
    userAdminAddressPutById(params, options) {
        return exports.UserAdminApiFp.userAdminAddressPutById(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminAdminRevokeWordGame(params, options) {
        return exports.UserAdminApiFp.userAdminAdminRevokeWordGame(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     */
    userAdminAdminUpdateUserEmail(params, options) {
        return exports.UserAdminApiFp.userAdminAdminUpdateUserEmail(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param comment
     * @param sessionId
     */
    userAdminCreateAdminUserComment(params, options) {
        return exports.UserAdminApiFp.userAdminCreateAdminUserComment(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param sessionId
     */
    userAdminCreditDelete(params, options) {
        return exports.UserAdminApiFp.userAdminCreditDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminCreditGet(params, options) {
        return exports.UserAdminApiFp.userAdminCreditGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param newCredit
     * @param sessionId
     */
    userAdminCreditPost(params, options) {
        return exports.UserAdminApiFp.userAdminCreditPost(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param creditGuid
     * @param credit
     * @param sessionId
     */
    userAdminCreditPut(params, options) {
        return exports.UserAdminApiFp.userAdminCreditPut(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param skip
     * @param take
     * @param search
     * @param needsOutreach
     */
    userAdminGet(params, options) {
        return exports.UserAdminApiFp.userAdminGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminGetById(params, options) {
        return exports.UserAdminApiFp.userAdminGetById(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sku
     * @param sessionId
     */
    userAdminGetUsersbySku(params, options) {
        return exports.UserAdminApiFp.userAdminGetUsersbySku(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param userId
     * @param qty
     */
    userAdminGiveExtraLettersToUser(params, options) {
        return exports.UserAdminApiFp.userAdminGiveExtraLettersToUser(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param userId
     * @param letters
     */
    userAdminGiveSpecificLettersToUser(params, options) {
        return exports.UserAdminApiFp.userAdminGiveSpecificLettersToUser(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param claimCodes
     * @param sessionId
     */
    userAdminHandleAdminGiftRedeem(params, options) {
        return exports.UserAdminApiFp.userAdminHandleAdminGiftRedeem(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param model
     */
    userAdminHandleAdminUserTicket(params, options) {
        return exports.UserAdminApiFp.userAdminHandleAdminUserTicket(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    userAdminHandleCreditsAboutToExpire(params, options) {
        return exports.UserAdminApiFp.userAdminHandleCreditsAboutToExpire(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param userGuid
     * @param sessionId
     */
    userAdminListAdminUserComment(params, options) {
        return exports.UserAdminApiFp.userAdminListAdminUserComment(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param oldUserGuid
     * @param newUserGuid
     * @param sessionId
     */
    userAdminMergeUsers(params, options) {
        return exports.UserAdminApiFp.userAdminMergeUsers(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param userGuid
     */
    userAdminPaymentsGet(params, options) {
        return exports.UserAdminApiFp.userAdminPaymentsGet(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param model
     * @param userGuid
     */
    userAdminPutById(params, options) {
        return exports.UserAdminApiFp.userAdminPutById(params, options)(this.fetch, this.basePath);
    }
}
exports.UserAdminApi = UserAdminApi;
;
/**
 * UserAdminApi - factory interface
 */
exports.UserAdminApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param addressGuid
         * @param userGuid
         * @param sessionId
         */
        userAdminAddressDeleteById(params, options) {
            return exports.UserAdminApiFp.userAdminAddressDeleteById(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param sessionId
         */
        userAdminAddressGet(params, options) {
            return exports.UserAdminApiFp.userAdminAddressGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param addressGuid
         * @param sessionId
         */
        userAdminAddressGetById(params, options) {
            return exports.UserAdminApiFp.userAdminAddressGetById(params, options)(fetch, basePath);
        },
        /**
         *
         * @param emailOrId
         * @param addressModel
         * @param sessionId
         */
        userAdminAddressPostById(params, options) {
            return exports.UserAdminApiFp.userAdminAddressPostById(params, options)(fetch, basePath);
        },
        /**
         *
         * @param addressGuid
         * @param addressModel
         * @param sessionId
         */
        userAdminAddressPutById(params, options) {
            return exports.UserAdminApiFp.userAdminAddressPutById(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param sessionId
         */
        userAdminAdminRevokeWordGame(params, options) {
            return exports.UserAdminApiFp.userAdminAdminRevokeWordGame(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         */
        userAdminAdminUpdateUserEmail(params, options) {
            return exports.UserAdminApiFp.userAdminAdminUpdateUserEmail(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param comment
         * @param sessionId
         */
        userAdminCreateAdminUserComment(params, options) {
            return exports.UserAdminApiFp.userAdminCreateAdminUserComment(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param creditGuid
         * @param sessionId
         */
        userAdminCreditDelete(params, options) {
            return exports.UserAdminApiFp.userAdminCreditDelete(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param sessionId
         */
        userAdminCreditGet(params, options) {
            return exports.UserAdminApiFp.userAdminCreditGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param newCredit
         * @param sessionId
         */
        userAdminCreditPost(params, options) {
            return exports.UserAdminApiFp.userAdminCreditPost(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param creditGuid
         * @param credit
         * @param sessionId
         */
        userAdminCreditPut(params, options) {
            return exports.UserAdminApiFp.userAdminCreditPut(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param skip
         * @param take
         * @param search
         * @param needsOutreach
         */
        userAdminGet(params, options) {
            return exports.UserAdminApiFp.userAdminGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param userGuid
         */
        userAdminGetById(params, options) {
            return exports.UserAdminApiFp.userAdminGetById(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sku
         * @param sessionId
         */
        userAdminGetUsersbySku(params, options) {
            return exports.UserAdminApiFp.userAdminGetUsersbySku(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param userId
         * @param qty
         */
        userAdminGiveExtraLettersToUser(params, options) {
            return exports.UserAdminApiFp.userAdminGiveExtraLettersToUser(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param userId
         * @param letters
         */
        userAdminGiveSpecificLettersToUser(params, options) {
            return exports.UserAdminApiFp.userAdminGiveSpecificLettersToUser(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param claimCodes
         * @param sessionId
         */
        userAdminHandleAdminGiftRedeem(params, options) {
            return exports.UserAdminApiFp.userAdminHandleAdminGiftRedeem(params, options)(fetch, basePath);
        },
        /**
         *
         * @param model
         */
        userAdminHandleAdminUserTicket(params, options) {
            return exports.UserAdminApiFp.userAdminHandleAdminUserTicket(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        userAdminHandleCreditsAboutToExpire(params, options) {
            return exports.UserAdminApiFp.userAdminHandleCreditsAboutToExpire(params, options)(fetch, basePath);
        },
        /**
         *
         * @param userGuid
         * @param sessionId
         */
        userAdminListAdminUserComment(params, options) {
            return exports.UserAdminApiFp.userAdminListAdminUserComment(params, options)(fetch, basePath);
        },
        /**
         *
         * @param oldUserGuid
         * @param newUserGuid
         * @param sessionId
         */
        userAdminMergeUsers(params, options) {
            return exports.UserAdminApiFp.userAdminMergeUsers(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param userGuid
         */
        userAdminPaymentsGet(params, options) {
            return exports.UserAdminApiFp.userAdminPaymentsGet(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param model
         * @param userGuid
         */
        userAdminPutById(params, options) {
            return exports.UserAdminApiFp.userAdminPutById(params, options)(fetch, basePath);
        },
    };
};
/**
 * V2GroupApi - fetch parameter creator
 */
exports.V2GroupApiFetchParamCreator = {
    /**
     *
     * @param content
     */
    v2GroupDelete(params, options) {
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling v2GroupDelete");
        }
        const baseUrl = `/api/v2/admin/grouping`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     */
    v2GroupGet(options) {
        const baseUrl = `/api/v2/admin/grouping`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param id
     */
    v2GroupGet_1(params, options) {
        // verify required parameter "id" is set
        if (params["id"] == null) {
            throw new Error("Missing required parameter id when calling v2GroupGet_1");
        }
        const baseUrl = `/api/v2/admin/grouping/{id}`
            .replace(`{${"id"}}`, `${params["id"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param content
     */
    v2GroupPost(params, options) {
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling v2GroupPost");
        }
        const baseUrl = `/api/v2/admin/grouping`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param content
     */
    v2GroupPut(params, options) {
        // verify required parameter "content" is set
        if (params["content"] == null) {
            throw new Error("Missing required parameter content when calling v2GroupPut");
        }
        const baseUrl = `/api/v2/admin/grouping`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["content"]) {
            fetchOptions.body = JSON.stringify(params["content"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * V2GroupApi - functional programming interface
 */
exports.V2GroupApiFp = {
    /**
     *
     * @param content
     */
    v2GroupDelete(params, options) {
        const fetchArgs = exports.V2GroupApiFetchParamCreator.v2GroupDelete(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     */
    v2GroupGet(options) {
        const fetchArgs = exports.V2GroupApiFetchParamCreator.v2GroupGet(options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param id
     */
    v2GroupGet_1(params, options) {
        const fetchArgs = exports.V2GroupApiFetchParamCreator.v2GroupGet_1(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param content
     */
    v2GroupPost(params, options) {
        const fetchArgs = exports.V2GroupApiFetchParamCreator.v2GroupPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param content
     */
    v2GroupPut(params, options) {
        const fetchArgs = exports.V2GroupApiFetchParamCreator.v2GroupPut(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * V2GroupApi - object-oriented interface
 */
class V2GroupApi extends BaseAPI {
    /**
     *
     * @param content
     */
    v2GroupDelete(params, options) {
        return exports.V2GroupApiFp.v2GroupDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     */
    v2GroupGet(options) {
        return exports.V2GroupApiFp.v2GroupGet(options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param id
     */
    v2GroupGet_1(params, options) {
        return exports.V2GroupApiFp.v2GroupGet_1(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param content
     */
    v2GroupPost(params, options) {
        return exports.V2GroupApiFp.v2GroupPost(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param content
     */
    v2GroupPut(params, options) {
        return exports.V2GroupApiFp.v2GroupPut(params, options)(this.fetch, this.basePath);
    }
}
exports.V2GroupApi = V2GroupApi;
;
/**
 * V2GroupApi - factory interface
 */
exports.V2GroupApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @param content
         */
        v2GroupDelete(params, options) {
            return exports.V2GroupApiFp.v2GroupDelete(params, options)(fetch, basePath);
        },
        /**
         *
         */
        v2GroupGet(options) {
            return exports.V2GroupApiFp.v2GroupGet(options)(fetch, basePath);
        },
        /**
         *
         * @param id
         */
        v2GroupGet_1(params, options) {
            return exports.V2GroupApiFp.v2GroupGet_1(params, options)(fetch, basePath);
        },
        /**
         *
         * @param content
         */
        v2GroupPost(params, options) {
            return exports.V2GroupApiFp.v2GroupPost(params, options)(fetch, basePath);
        },
        /**
         *
         * @param content
         */
        v2GroupPut(params, options) {
            return exports.V2GroupApiFp.v2GroupPut(params, options)(fetch, basePath);
        },
    };
};
/**
 * WineGeniusApi - fetch parameter creator
 */
exports.WineGeniusApiFetchParamCreator = {
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusDeleteSessionOfferReservation(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusDeleteSessionOfferReservation");
        }
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling wineGeniusDeleteSessionOfferReservation");
        }
        const baseUrl = `/api/session/winegenius/picks/forOffer/{offerSef}`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "DELETE" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param offerSef
     */
    wineGeniusGetSessionOfferReservation(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusGetSessionOfferReservation");
        }
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling wineGeniusGetSessionOfferReservation");
        }
        const baseUrl = `/api/session/winegenius/picks/forOffer/{offerSef}`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    wineGeniusGetSessionWineGeniusData(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusGetSessionWineGeniusData");
        }
        const baseUrl = `/api/session/winegenius/data`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     */
    wineGeniusGetWineGeniusUsersForOffer(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling wineGeniusGetWineGeniusUsersForOffer");
        }
        const baseUrl = `/api/v3/admin/genius/{offerSef}/orders`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    wineGeniusHandleGetMessages(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusHandleGetMessages");
        }
        const baseUrl = `/api/session/winegenius/message`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param vacationDateSet
     * @param vacationSuspendOn
     * @param vacationResumeOn
     * @param vacationVacationGuid
     */
    wineGeniusHandleGetVacation(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusHandleGetVacation");
        }
        const baseUrl = `/api/session/winegenius/vacation`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
            "vacation.dateSet": params["vacationDateSet"],
            "vacation.suspendOn": params["vacationSuspendOn"],
            "vacation.resumeOn": params["vacationResumeOn"],
            "vacation.vacationGuid": params["vacationVacationGuid"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param message
     */
    wineGeniusHandlePostMessage(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusHandlePostMessage");
        }
        // verify required parameter "message" is set
        if (params["message"] == null) {
            throw new Error("Missing required parameter message when calling wineGeniusHandlePostMessage");
        }
        const baseUrl = `/api/session/winegenius/message`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["message"]) {
            fetchOptions.body = JSON.stringify(params["message"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param vacation
     */
    wineGeniusHandlePostVacation(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusHandlePostVacation");
        }
        // verify required parameter "vacation" is set
        if (params["vacation"] == null) {
            throw new Error("Missing required parameter vacation when calling wineGeniusHandlePostVacation");
        }
        const baseUrl = `/api/session/winegenius/vacation`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["vacation"]) {
            fetchOptions.body = JSON.stringify(params["vacation"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     */
    wineGeniusListSessionOfferReservation(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusListSessionOfferReservation");
        }
        const baseUrl = `/api/session/winegenius/picks/list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param offerSef
     * @param model
     */
    wineGeniusPostWineGeniusIncludeOrExclude(params, options) {
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling wineGeniusPostWineGeniusIncludeOrExclude");
        }
        // verify required parameter "model" is set
        if (params["model"] == null) {
            throw new Error("Missing required parameter model when calling wineGeniusPostWineGeniusIncludeOrExclude");
        }
        const baseUrl = `/api/v3/admin/genius/{offerSef}/orders`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["model"]) {
            fetchOptions.body = JSON.stringify(params["model"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusPutSessionOfferReservation(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusPutSessionOfferReservation");
        }
        // verify required parameter "offerSef" is set
        if (params["offerSef"] == null) {
            throw new Error("Missing required parameter offerSef when calling wineGeniusPutSessionOfferReservation");
        }
        const baseUrl = `/api/session/winegenius/picks/forOffer/{offerSef}`
            .replace(`{${"offerSef"}}`, `${params["offerSef"]}`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param data
     */
    wineGeniusSetSessionWineGeniusData(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusSetSessionWineGeniusData");
        }
        // verify required parameter "data" is set
        if (params["data"] == null) {
            throw new Error("Missing required parameter data when calling wineGeniusSetSessionWineGeniusData");
        }
        const baseUrl = `/api/session/winegenius/data`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["data"]) {
            fetchOptions.body = JSON.stringify(params["data"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @param sessionId
     * @param postData
     */
    wineGeniusWineGeniusPost(params, options) {
        // verify required parameter "sessionId" is set
        if (params["sessionId"] == null) {
            throw new Error("Missing required parameter sessionId when calling wineGeniusWineGeniusPost");
        }
        // verify required parameter "postData" is set
        if (params["postData"] == null) {
            throw new Error("Missing required parameter postData when calling wineGeniusWineGeniusPost");
        }
        const baseUrl = `/api/session/winegenius/survey`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "sessionId": params["sessionId"],
        });
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["postData"]) {
            fetchOptions.body = JSON.stringify(params["postData"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * WineGeniusApi - functional programming interface
 */
exports.WineGeniusApiFp = {
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusDeleteSessionOfferReservation(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusDeleteSessionOfferReservation(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param offerSef
     */
    wineGeniusGetSessionOfferReservation(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusGetSessionOfferReservation(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    wineGeniusGetSessionWineGeniusData(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusGetSessionWineGeniusData(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     */
    wineGeniusGetWineGeniusUsersForOffer(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusGetWineGeniusUsersForOffer(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    wineGeniusHandleGetMessages(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusHandleGetMessages(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param vacationDateSet
     * @param vacationSuspendOn
     * @param vacationResumeOn
     * @param vacationVacationGuid
     */
    wineGeniusHandleGetVacation(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusHandleGetVacation(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param message
     */
    wineGeniusHandlePostMessage(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusHandlePostMessage(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param vacation
     */
    wineGeniusHandlePostVacation(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusHandlePostVacation(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     */
    wineGeniusListSessionOfferReservation(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusListSessionOfferReservation(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param offerSef
     * @param model
     */
    wineGeniusPostWineGeniusIncludeOrExclude(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusPostWineGeniusIncludeOrExclude(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusPutSessionOfferReservation(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusPutSessionOfferReservation(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param data
     */
    wineGeniusSetSessionWineGeniusData(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusSetSessionWineGeniusData(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @param sessionId
     * @param postData
     */
    wineGeniusWineGeniusPost(params, options) {
        const fetchArgs = exports.WineGeniusApiFetchParamCreator.wineGeniusWineGeniusPost(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * WineGeniusApi - object-oriented interface
 */
class WineGeniusApi extends BaseAPI {
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusDeleteSessionOfferReservation(params, options) {
        return exports.WineGeniusApiFp.wineGeniusDeleteSessionOfferReservation(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param offerSef
     */
    wineGeniusGetSessionOfferReservation(params, options) {
        return exports.WineGeniusApiFp.wineGeniusGetSessionOfferReservation(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    wineGeniusGetSessionWineGeniusData(params, options) {
        return exports.WineGeniusApiFp.wineGeniusGetSessionWineGeniusData(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     */
    wineGeniusGetWineGeniusUsersForOffer(params, options) {
        return exports.WineGeniusApiFp.wineGeniusGetWineGeniusUsersForOffer(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    wineGeniusHandleGetMessages(params, options) {
        return exports.WineGeniusApiFp.wineGeniusHandleGetMessages(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param vacationDateSet
     * @param vacationSuspendOn
     * @param vacationResumeOn
     * @param vacationVacationGuid
     */
    wineGeniusHandleGetVacation(params, options) {
        return exports.WineGeniusApiFp.wineGeniusHandleGetVacation(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param message
     */
    wineGeniusHandlePostMessage(params, options) {
        return exports.WineGeniusApiFp.wineGeniusHandlePostMessage(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param vacation
     */
    wineGeniusHandlePostVacation(params, options) {
        return exports.WineGeniusApiFp.wineGeniusHandlePostVacation(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     */
    wineGeniusListSessionOfferReservation(params, options) {
        return exports.WineGeniusApiFp.wineGeniusListSessionOfferReservation(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param offerSef
     * @param model
     */
    wineGeniusPostWineGeniusIncludeOrExclude(params, options) {
        return exports.WineGeniusApiFp.wineGeniusPostWineGeniusIncludeOrExclude(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Reveals the allocated items for an order, and finalizes the order.
     * @param sessionId
     * @param offerSef
     */
    wineGeniusPutSessionOfferReservation(params, options) {
        return exports.WineGeniusApiFp.wineGeniusPutSessionOfferReservation(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param data
     */
    wineGeniusSetSessionWineGeniusData(params, options) {
        return exports.WineGeniusApiFp.wineGeniusSetSessionWineGeniusData(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @param sessionId
     * @param postData
     */
    wineGeniusWineGeniusPost(params, options) {
        return exports.WineGeniusApiFp.wineGeniusWineGeniusPost(params, options)(this.fetch, this.basePath);
    }
}
exports.WineGeniusApi = WineGeniusApi;
;
/**
 * WineGeniusApi - factory interface
 */
exports.WineGeniusApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @summary Reveals the allocated items for an order, and finalizes the order.
         * @param sessionId
         * @param offerSef
         */
        wineGeniusDeleteSessionOfferReservation(params, options) {
            return exports.WineGeniusApiFp.wineGeniusDeleteSessionOfferReservation(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param offerSef
         */
        wineGeniusGetSessionOfferReservation(params, options) {
            return exports.WineGeniusApiFp.wineGeniusGetSessionOfferReservation(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        wineGeniusGetSessionWineGeniusData(params, options) {
            return exports.WineGeniusApiFp.wineGeniusGetSessionWineGeniusData(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         */
        wineGeniusGetWineGeniusUsersForOffer(params, options) {
            return exports.WineGeniusApiFp.wineGeniusGetWineGeniusUsersForOffer(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        wineGeniusHandleGetMessages(params, options) {
            return exports.WineGeniusApiFp.wineGeniusHandleGetMessages(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param vacationDateSet
         * @param vacationSuspendOn
         * @param vacationResumeOn
         * @param vacationVacationGuid
         */
        wineGeniusHandleGetVacation(params, options) {
            return exports.WineGeniusApiFp.wineGeniusHandleGetVacation(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param message
         */
        wineGeniusHandlePostMessage(params, options) {
            return exports.WineGeniusApiFp.wineGeniusHandlePostMessage(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param vacation
         */
        wineGeniusHandlePostVacation(params, options) {
            return exports.WineGeniusApiFp.wineGeniusHandlePostVacation(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         */
        wineGeniusListSessionOfferReservation(params, options) {
            return exports.WineGeniusApiFp.wineGeniusListSessionOfferReservation(params, options)(fetch, basePath);
        },
        /**
         *
         * @param offerSef
         * @param model
         */
        wineGeniusPostWineGeniusIncludeOrExclude(params, options) {
            return exports.WineGeniusApiFp.wineGeniusPostWineGeniusIncludeOrExclude(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Reveals the allocated items for an order, and finalizes the order.
         * @param sessionId
         * @param offerSef
         */
        wineGeniusPutSessionOfferReservation(params, options) {
            return exports.WineGeniusApiFp.wineGeniusPutSessionOfferReservation(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param data
         */
        wineGeniusSetSessionWineGeniusData(params, options) {
            return exports.WineGeniusApiFp.wineGeniusSetSessionWineGeniusData(params, options)(fetch, basePath);
        },
        /**
         *
         * @param sessionId
         * @param postData
         */
        wineGeniusWineGeniusPost(params, options) {
            return exports.WineGeniusApiFp.wineGeniusWineGeniusPost(params, options)(fetch, basePath);
        },
    };
};
/**
 * WineryApi - fetch parameter creator
 */
exports.WineryApiFetchParamCreator = {
    /**
     *
     * @summary Gets a winery by its id.
     * @param winerySef
     */
    wineryHandleGetWinery(params, options) {
        // verify required parameter "winerySef" is set
        if (params["winerySef"] == null) {
            throw new Error("Missing required parameter winerySef when calling wineryHandleGetWinery");
        }
        const baseUrl = `/api/v2/winery/{winerySef}`
            .replace(`{${"winerySef"}}`, `${params["winerySef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets the list of wineries.
     * @param skip
     * @param take
     * @param filter
     * @param search
     */
    wineryHandleListWinery(params, options) {
        const baseUrl = `/api/v2/winery`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "skip": params["skip"],
            "take": params["take"],
            "filter": params["filter"],
            "search": params["search"],
        });
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Gets the list of wines made by a winery.
     * @param winerySef
     */
    wineryHandleListWinery_1(params, options) {
        // verify required parameter "winerySef" is set
        if (params["winerySef"] == null) {
            throw new Error("Missing required parameter winerySef when calling wineryHandleListWinery_1");
        }
        const baseUrl = `/api/v2/winery/{winerySef}/items`
            .replace(`{${"winerySef"}}`, `${params["winerySef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "GET" }, options);
        let contentTypeHeader = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Creates a new winery.
     * @param winery
     */
    wineryHandlePostWinery(params, options) {
        // verify required parameter "winery" is set
        if (params["winery"] == null) {
            throw new Error("Missing required parameter winery when calling wineryHandlePostWinery");
        }
        const baseUrl = `/api/v2/winery`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "POST" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["winery"]) {
            fetchOptions.body = JSON.stringify(params["winery"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     *
     * @summary Updates an existing winery.
     * @param winerySef
     * @param winery
     */
    wineryHandlePutWinery(params, options) {
        // verify required parameter "winerySef" is set
        if (params["winerySef"] == null) {
            throw new Error("Missing required parameter winerySef when calling wineryHandlePutWinery");
        }
        // verify required parameter "winery" is set
        if (params["winery"] == null) {
            throw new Error("Missing required parameter winery when calling wineryHandlePutWinery");
        }
        const baseUrl = `/api/v2/winery/{winerySef}`
            .replace(`{${"winerySef"}}`, `${params["winerySef"]}`);
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions = assign({}, { method: "PUT" }, options);
        let contentTypeHeader = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["winery"]) {
            fetchOptions.body = JSON.stringify(params["winery"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};
/**
 * WineryApi - functional programming interface
 */
exports.WineryApiFp = {
    /**
     *
     * @summary Gets a winery by its id.
     * @param winerySef
     */
    wineryHandleGetWinery(params, options) {
        const fetchArgs = exports.WineryApiFetchParamCreator.wineryHandleGetWinery(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets the list of wineries.
     * @param skip
     * @param take
     * @param filter
     * @param search
     */
    wineryHandleListWinery(params, options) {
        const fetchArgs = exports.WineryApiFetchParamCreator.wineryHandleListWinery(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Gets the list of wines made by a winery.
     * @param winerySef
     */
    wineryHandleListWinery_1(params, options) {
        const fetchArgs = exports.WineryApiFetchParamCreator.wineryHandleListWinery_1(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Creates a new winery.
     * @param winery
     */
    wineryHandlePostWinery(params, options) {
        const fetchArgs = exports.WineryApiFetchParamCreator.wineryHandlePostWinery(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
    /**
     *
     * @summary Updates an existing winery.
     * @param winerySef
     * @param winery
     */
    wineryHandlePutWinery(params, options) {
        const fetchArgs = exports.WineryApiFetchParamCreator.wineryHandlePutWinery(params, options);
        return (fetch = isomorphicFetch, basePath = exports.BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                }
                else {
                    throw response;
                }
            });
        };
    },
};
/**
 * WineryApi - object-oriented interface
 */
class WineryApi extends BaseAPI {
    /**
     *
     * @summary Gets a winery by its id.
     * @param winerySef
     */
    wineryHandleGetWinery(params, options) {
        return exports.WineryApiFp.wineryHandleGetWinery(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets the list of wineries.
     * @param skip
     * @param take
     * @param filter
     * @param search
     */
    wineryHandleListWinery(params, options) {
        return exports.WineryApiFp.wineryHandleListWinery(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Gets the list of wines made by a winery.
     * @param winerySef
     */
    wineryHandleListWinery_1(params, options) {
        return exports.WineryApiFp.wineryHandleListWinery_1(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Creates a new winery.
     * @param winery
     */
    wineryHandlePostWinery(params, options) {
        return exports.WineryApiFp.wineryHandlePostWinery(params, options)(this.fetch, this.basePath);
    }
    /**
     *
     * @summary Updates an existing winery.
     * @param winerySef
     * @param winery
     */
    wineryHandlePutWinery(params, options) {
        return exports.WineryApiFp.wineryHandlePutWinery(params, options)(this.fetch, this.basePath);
    }
}
exports.WineryApi = WineryApi;
;
/**
 * WineryApi - factory interface
 */
exports.WineryApiFactory = function (fetch, basePath) {
    return {
        /**
         *
         * @summary Gets a winery by its id.
         * @param winerySef
         */
        wineryHandleGetWinery(params, options) {
            return exports.WineryApiFp.wineryHandleGetWinery(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets the list of wineries.
         * @param skip
         * @param take
         * @param filter
         * @param search
         */
        wineryHandleListWinery(params, options) {
            return exports.WineryApiFp.wineryHandleListWinery(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Gets the list of wines made by a winery.
         * @param winerySef
         */
        wineryHandleListWinery_1(params, options) {
            return exports.WineryApiFp.wineryHandleListWinery_1(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Creates a new winery.
         * @param winery
         */
        wineryHandlePostWinery(params, options) {
            return exports.WineryApiFp.wineryHandlePostWinery(params, options)(fetch, basePath);
        },
        /**
         *
         * @summary Updates an existing winery.
         * @param winerySef
         * @param winery
         */
        wineryHandlePutWinery(params, options) {
            return exports.WineryApiFp.wineryHandlePutWinery(params, options)(fetch, basePath);
        },
    };
};
//# sourceMappingURL=api.js.map