/**
 * UCMidtier Serverless
 * java -jar ../swagger-codegen-cli.jar generate -i http://localhost:7071/azapi/swagger/v1 -l typescript-fetch -o .\tmp
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

import * as querystring from "querystring";
import * as url from "url";

const assign = require('object-assign');
const isomorphicFetch = fetch;

interface Dictionary<T> { [index: string]: T; }
export interface FetchAPI { (url: string, init?: any): Promise<any>; }

function gBasePath() {
    let basePath = '';
    if (typeof process.env.PROD === 'string' && process.env.PROD.toLowerCase() === 'true') {
        basePath = 'https://www.undergroundcellar.com'; // Server-side
    } if (typeof process.env.BASE_PATH_AZAPI === 'string') {
        basePath = process.env.BASE_PATH_AZAPI; // Come from nextjs config
    } else if (typeof location === 'undefined' || !location) {
        basePath = 'http://localhost:7071' // Server-side/localhost
    } else if (location.href.indexOf("localhost:") !== -1) {
        basePath = "http://localhost:7071"; // Client-side/localhost
    }
    return basePath;
}

export const BASE_PATH = gBasePath();
export interface FetchArgs {
    url: string;
    options: any;
}

export class BaseAPI {
    basePath: string;
    fetch: FetchAPI;

    constructor(fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) {
        this.basePath = basePath;
        this.fetch = fetch;
    }
};

export type ActionTypes = "GiveCredit" | "RemoveCredit" | "AddSku" | "GiveRandomLetters" | "RejectOrder" | "SuspendManifest" | "SwapManifest";

export interface AddressPhone {
    "addressGuid"?: string;
    "phoneNumber"?: string;
}

export interface AddressPhoneListApiResult {
    "value"?: Array<AddressPhone>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface AddressValidationResult {
    "isValid"?: boolean;
    "validationMessages"?: Array<string>;
    "avsResult"?: string;
    "suggestedAddress"?: NhAddressModel;
}

export interface AddressValidationResultApiResult {
    "value"?: AddressValidationResult;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface AdminCloudRecord {
    "itemOrdered"?: AdminCloudRecordSku;
    "fulfilledWith"?: AdminCloudRecordSku;
    "retailPrice"?: number;
    "manifestId"?: string;
    "pricePaid"?: number;
    "swappedWith"?: Replacement;
    "suspendedDt"?: Date;
    "replacesManifestId"?: string;
    "inventoryNotIncludingHolds"?: { [key: string]: QtyComment; };
    "shipment"?: CloudShipmentSimple;
    "inventoryReserved"?: boolean;
    "totalHoldsForPendingShipments"?: number;
    "adminComment"?: string;
    "orderGuid"?: string;
    "orderDate"?: Date;
    "orderStatus"?: string;
    "paymentStatus"?: string;
    "isCanceled"?: boolean;
    "offerRef"?: OfferV2Base;
    "swapReason"?: string;
}

export interface AdminCloudRecordListApiResult {
    "value"?: Array<AdminCloudRecord>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface AdminCloudRecordSku {
    "sku"?: string;
    "displayName"?: string;
    "varietal"?: string;
    "region"?: string;
    "qtyOnActiveXfer"?: number;
    "cacheSurplus"?: number;
    "qtyOwed"?: number;
    "qtyInStock"?: number;
}

export interface ApiBillingModelWithAuthnet {
    "userGuid"?: string;
    "authNetUserProfileId"?: string;
    "authNetUserId"?: string;
    "authNetPaymentProfileId"?: string;
    "authNetShippingProfileId"?: string;
    "isDeleted"?: boolean;
    "isTest"?: boolean;
    "creationIp"?: string;
    "zipCode"?: string;
    "paymentMethodId"?: string;
    "billingAddressId"?: string;
    "cvv": string;
    "firstName": string;
    "lastName": string;
    "dateAdded"?: Date;
    "expiryYear"?: number;
    "expiryMonth"?: number;
    "cardNumber"?: string;
    "id"?: string;
    "isDefault"?: boolean;
    "cardType"?: string;
}

export interface AttributedItemList {
    "bottleCount"?: number;
    "addOnCount"?: number;
    "itemCount"?: number;
    "items"?: Array<CloudRecordGroup>;
    "varietals"?: Array<CloudGroup>;
    "regions"?: Array<CloudGroup>;
    "countries"?: Array<CloudGroup>;
    "subregions"?: Array<CloudGroup>;
    "appellations"?: Array<CloudGroup>;
    "types"?: Array<CloudGroup>;
    "producers"?: Array<CloudGroup>;
    "shipStatus"?: Array<CloudGroup>;
    "prices"?: Array<CloudGroup>;
}

export interface AutoSubscribeModel {
    "subscriptionId"?: string;
    "userGuid": string;
    "dateCreated": Date;
    "dateCanceled": Date;
    "lastRenew": Date;
    "nextRenew": Date;
    "intervalDay": number;
    "intervalMth": number;
    "renewAmtMaxDollars": number;
    "renewAmtMaxQty": number;
    "subscriptionBucket": string;
    "subscriptionPaymentId": string;
}

export interface AutoSubscribeModelApiResult {
    "value"?: AutoSubscribeModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface AutoSubscribeModelListApiResult {
    "value"?: Array<AutoSubscribeModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface AutoSubscribeWithUserModel {
    "firstName"?: string;
    "lastName"?: string;
    "email"?: string;
    "totalQty"?: number;
    "lifeSpend"?: number;
    "lastPurchaseDate"?: Date;
    "subscriptionId"?: string;
    "userGuid": string;
    "dateCreated": Date;
    "dateCanceled": Date;
    "lastRenew": Date;
    "nextRenew": Date;
    "intervalDay": number;
    "intervalMth": number;
    "renewAmtMaxDollars": number;
    "renewAmtMaxQty": number;
    "subscriptionBucket": string;
    "subscriptionPaymentId": string;
}

export interface AutoSubscribeWithUserModelListApiResult {
    "value"?: Array<AutoSubscribeWithUserModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface BasicUserInfo {
    "id"?: string;
    "firstName"?: string;
    "lastName"?: string;
    "eMail"?: string;
}

export interface Batch {
    "batchId"?: string;
    "shipmentGuids"?: Array<string>;
    "shipmentOrders"?: Array<OrderViewModel>;
    "isFinal"?: boolean;
    "isAlmostFinal"?: boolean;
    "canPrint"?: boolean;
}

export interface BatchInfo {
    "batchId"?: string;
    "batchCreated"?: Date;
    "batchPrintDate"?: Date;
    "batchComment"?: string;
    "batchFlag"?: number;
}

export interface BatchInfoListApiResult {
    "value"?: Array<BatchInfo>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface BatchListApiResult {
    "value"?: Array<Batch>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface BooleanApiResult {
    "value"?: boolean;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface BooleanFilter {
    "filterActive"?: boolean;
    "filterValue"?: boolean;
}

export interface ChargebackModel {
    "orderTimestamp"?: Date;
    "cardNo"?: string;
    "cardTyp"?: string;
    "cardFname"?: string;
    "cardLname"?: string;
    "orderTotalPrice"?: number;
    "orderUserNth"?: number;
    "xUserEmail"?: string;
    "userGuid"?: string;
    "orderGuid"?: string;
    "orderStatus"?: string;
    "orderPaymentStatus"?: string;
}

export interface ChargebackModelListApiResult {
    "value"?: Array<ChargebackModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface CloudCellarV2 {
    "firstName"?: string;
    "biography"?: string;
    "url"?: string;
    "userName"?: string;
    "lifetimeValueSpent"?: number;
    "lifetimeUpgradeReceived"?: number;
    "shippingSavings"?: number;
    "allItems"?: AttributedItemList;
    "userImg"?: string;
    "signupDate"?: Date;
}

export interface CloudCellarV2ApiResult {
    "value"?: CloudCellarV2;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface CloudCheckoutItem {
    "sku"?: string;
    "isQuick"?: boolean;
    "qty"?: number;
    "isShipAlone"?: boolean;
    "cloudItemDetail"?: PgCloudCellarRecord;
    "slotType"?: string;
    "partitionKey"?: string;
    "rowKey"?: string;
    "timestamp"?: Date;
    "eTag"?: string;
}

export interface CloudCheckoutItemListApiResult {
    "value"?: Array<CloudCheckoutItem>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface CloudGroup {
    "item1"?: string;
    "item2"?: number;
}

export interface CloudRecordGroup {
    "item"?: PgCloudCellarRecord;
    "paid"?: Array<number>;
    "wdQty"?: number;
    "qtyShipped"?: number;
    "qtyEnRoute"?: number;
    "qtyOffsite"?: number;
    "qtyManual"?: number;
    "qtyInCart"?: number;
    "qtySuspended"?: number;
    "qty"?: number;
    "isVip"?: boolean;
}

export interface CloudShipmentSimple {
    "shipmentId"?: string;
    "status"?: string;
    "dateRequested"?: Date;
    "dateDelivered"?: Date;
    "dateProcessed"?: Date;
    "tracking"?: string;
}

export interface CodeWithOrder {
    "code"?: PromoBase;
    "usedWithOrders"?: Array<OrderTime>;
    "redeemedForCredit"?: Array<CreditTime>;
    "isReferral"?: boolean;
    "isRedeemed"?: boolean;
    "dateRedeemed"?: Date;
}

export interface CodeWithOrderListApiResult {
    "value"?: Array<CodeWithOrder>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface CreditTime {
    "creditId"?: string;
    "creditDate"?: Date;
    "dateUsed"?: Date;
    "originalAmt"?: number;
}

export interface CustomerSupportAction {
    "id"?: string;
    "idType"?: IdTypes;
    "supportedActions"?: Array<ActionTypes>;
    "action"?: ActionTypes;
    "user"?: NhUserModel;
    "order"?: NhOrderModel;
    "manifest"?: OfferV2ManifestEntity;
    "shipment"?: ShippingModel;
}

export interface CustomerSupportActionListApiResult {
    "value"?: Array<CustomerSupportAction>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface DecimalFilter {
    "filterActive"?: boolean;
    "filterValue"?: number;
}

export interface EmailCampaign {
    "emailType"?: EmailType;
    "campaignId"?: number;
    "testEmail"?: string;
    "inputData"?: { [key: string]: string; };
}

export interface EmailCampaignListApiResult {
    "value"?: Array<EmailCampaign>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface EmailCapture {
    "email"?: string;
    "favoriteVarietal"?: string;
}

export type EmailType = "OrderConfirmation" | "FirstOrderConfirmation" | "NewUserWithNoPurchase" | "NoticeCloudcellarHas12Bottles" | "ShipmentConfirmation" | "WelcomeEmail" | "ClaimScramblePrize" | "ClaimScrambleLetters";

export interface FacilityQty {
    "facility"?: string;
    "qtyInStock"?: number;
    "qtyIn"?: number;
    "qtyOut"?: number;
    "qtyAvailableNow"?: number;
    "qtySelected"?: number;
    "qtyOnPendingShipment"?: number;
}

export type FreightCarrierEnum = "HANSON_TRUCKING" | "PACIFIC_COAST_TRANSPORT" | "GSO" | "KREITZ" | "SUPPLIER" | "DJK_IMPORTS" | "PHOENO_WINE_COMPANY" | "VIN2GLASS" | "K_AND_S" | "NWDS" | "ADVANTAGE" | "FEDEX";

export interface GroupItemEntity {
    "groupItemId"?: string;
    "referenceIdentity"?: string;
    "groupName"?: string;
    "groupType"?: GroupItemType;
    "dateAdded"?: Date;
}

export type GroupItemType = "promoGroup" | "emailGroup" | "utmGroup";

export interface GuidTrackingInfoDictionaryApiResult {
    "value"?: { [key: string]: TrackingInfo; };
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export type IdTypes = "Unknown" | "Order" | "User" | "Manifest" | "Shipment";

export interface IdentifyIdentifierPayload {
    "ids"?: Array<string>;
}

export interface Int32Filter {
    "filterActive"?: boolean;
    "filterValue"?: number;
}

export interface Inventory {
    "sku"?: string;
    "subinventory"?: Array<Subinventory>;
    "totals"?: Subinventory;
}

export interface InventoryHoldingShipment {
    "sku"?: string;
    "varietal"?: string;
    "srp"?: number;
    "friendlyName"?: string;
    "lastStockQty"?: number;
    "qtyOnHold"?: number;
    "numShipmentsAffected"?: number;
    "shipmentsAffected"?: Array<string>;
    "whereToFind"?: { [key: string]: number; };
}

export interface InventoryHoldingShipmentListApiResult {
    "value"?: Array<InventoryHoldingShipment>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface InventoryListApiResult {
    "value"?: Array<Inventory>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface ItemDetailEntity {
    "itemDetailGuid"?: string;
    "fancifulName"?: string;
    "region"?: string;
    "appel"?: string;
    "subAppel"?: string;
    "varietal"?: string;
    "vintage"?: number;
    "abv"?: number;
    "ml"?: number;
    "wineTastingNotes"?: string;
    "winemakerNotes"?: string;
    "retailPrice"?: number;
    "wineryGuid"?: string;
    "urlKey"?: string;
    "brand"?: string;
    "countryCode"?: string;
    "upc"?: string;
    "isWine"?: boolean;
    "isBeer"?: boolean;
    "isLiquor"?: boolean;
    "isSparkling"?: boolean;
    "isSmallProduction"?: boolean;
    "isCult"?: boolean;
    "ctWineId"?: number;
    "ctProducerId"?: number;
    "ctLikes"?: number;
    "ctTastingNotes"?: number;
    "ctReview"?: number;
    "ctCommunityScore"?: number;
    "ctQty"?: number;
    "wineVineyard"?: string;
    "wineDrinkStart"?: number;
    "wineDrinkEnd"?: number;
    "redirectTo"?: string;
    "priceBucket"?: string;
    "shipWeight"?: number;
    "category"?: string;
    "createdOn"?: Date;
    "createdBy"?: string;
    "opName"?: string;
    "displayDesc"?: string;
    "bottleImgCsv"?: string;
    "labelImgCsv"?: string;
    "displayName"?: string;
    "bottleImg"?: Array<string>;
    "labelImg"?: Array<string>;
}

export interface ManifestAllocation {
    "id"?: string;
    "createdAt"?: Date;
    "manifestId"?: string;
    "category"?: string;
    "type"?: string;
    "amount"?: number;
}

export interface ManualShipmentModel {
    "manifestGuids"?: Array<string>;
    "userGuid"?: string;
    "addressGuid"?: string;
    "addIcePack"?: boolean;
    "giftMessage"?: string;
}

export type MfBottleOwner = "phoeno" | "uc";

export interface NhAddressModel {
    "id"?: string;
    "firstName"?: string;
    "lastName"?: string;
    "companyName"?: string;
    "address1"?: string;
    "address2"?: string;
    "address3"?: string;
    "city"?: string;
    "isDefault"?: boolean;
    "cplId"?: string;
    "isDeleted"?: boolean;
    "avsResult"?: string;
    "avsResultCode"?: string;
    "state"?: string;
    "carrierPreference"?: string;
    "zip"?: string;
    "phone"?: string;
    "dateAdded"?: Date;
}

export interface NhAddressModelListApiResult {
    "value"?: Array<NhAddressModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface NhAdjViewRecord {
    "adjMfId"?: string;
    "adjOrder"?: string;
    "adjMfIdShipped"?: string;
    "adjMfIdAdded"?: string;
    "adjMfIdRemoved"?: string;
    "adjSku"?: string;
    "adjMfIdReplaced"?: string;
    "adjCreditIssuedId"?: string;
    "adjCreditIssuedAmt"?: number;
    "adjUser"?: string;
    "adjTaxAlloc"?: number;
    "adjTaxValue"?: number;
}

export interface NhCreditModel {
    "creditId"?: string;
    "comment"?: string;
    "creditAmt"?: number;
    "creditForReferredUser"?: string;
    "date"?: Date;
    "dateUsed"?: Date;
    "expiry"?: Date;
    "originalAmt"?: number;
    "isSuspended"?: boolean;
    "warningSent"?: Date;
    "creditForManifest"?: string;
    "creditForGiftCard"?: string;
    "splitFrom"?: string;
    "usedWithOrder"?: string;
    "refundForOrder"?: string;
    "usedWithShipment"?: string;
    "taxRefundState"?: string;
    "canUseUpgrade"?: boolean;
    "canUseShipment"?: boolean;
    "canUseSingle"?: boolean;
    "creditReason"?: string;
    "ownerUser"?: string;
}

export interface NhCreditModelListApiResult {
    "value"?: Array<NhCreditModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface NhOrderModel {
    "refundTransactionId"?: string;
    "isPromoEligible"?: boolean;
    "revealDate"?: Date;
    "isRevealed"?: boolean;
    "isTest"?: boolean;
    "nhUserGuid"?: string;
    "xUserEmail"?: string;
    "orderRejectDate"?: Date;
    "orderRecur"?: number;
    "cohortUserFirstPurchase"?: Date;
    "cohortUserMonth"?: number;
    "monthSinceFirstPurchase"?: number;
    "previousOrder"?: string;
    "paymentIntentId"?: string;
    "orderType"?: string;
    "orderBillingGuid"?: string;
    "billing"?: ApiBillingModelWithAuthnet;
    "skuList"?: string;
    "bottleList"?: string;
    "paymentAuthCode"?: string;
    "paymentAuthDate"?: Date;
    "transactionId"?: string;
    "promoCode"?: string;
    "allItems"?: AttributedItemList;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "orderGuid"?: string;
    "totalQuantity"?: number;
    "totalPrice"?: number;
    "discount"?: number;
    "creditDiscount"?: number;
    "tax"?: number;
    "timestamp"?: Date;
    "orderStatus"?: string;
    "paymentStatus"?: string;
    "offerId"?: string;
    "userNthOrder"?: number;
    "unitPrice"?: number;
    "mailChimpEId"?: string;
    "mailChimpCId"?: string;
    "orderSubscriptionId"?: string;
    "netsuiteSyncedAt"?: Date;
}

export interface NhTransfer {
    "xferGuid"?: string;
    "xferLabel"?: string;
    "xferSourceFacility"?: string;
    "xferDestinationFacility"?: string;
    "xferCreated"?: Date;
    "xferDue"?: Date;
    "xferCompleted"?: Date;
    "xferItems"?: Array<NhTransferItem>;
    "isComplete"?: boolean;
}

export interface NhTransferApiResult {
    "value"?: NhTransfer;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface NhTransferItem {
    "xiGuid"?: string;
    "xiSku"?: string;
    "xiLabel"?: string;
    "xiQtyOrdered"?: number;
    "xiQtyReceived"?: number;
    "xiQtyRemoved"?: number;
    "xiDue"?: Date;
    "xiComment"?: string;
    "xiLinkedSkuHistory"?: Array<SkuHistory>;
    "xiUnlinkedItemsIn"?: Array<SkuHistory>;
    "xiUnlinkedItemsOut"?: Array<SkuHistory>;
    "isLinked"?: boolean;
    "xInvoiceGuid"?: string;
    "distanceFromTarget"?: number;
}

export interface NhTransferListApiResult {
    "value"?: Array<NhTransfer>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface NhUserModel {
    "cacheAchievementPoints"?: number;
    "dotmailerId"?: number;
    "normalizedEmail"?: string;
    "xOrderCount"?: number;
    "xLifeSpend"?: number;
    "xLifeCredit"?: number;
    "xLifeQty"?: number;
    "xLifeDiscount"?: number;
    "suspendedAt"?: Date;
    "isAdmin"?: boolean;
    "userName"?: string;
    "lastOrder"?: Date;
    "profileImageUrl"?: string;
    "isPrivate"?: boolean;
    "defaultAddressId"?: string;
    "defaultPaymentId"?: string;
    "defaultShip"?: number;
    "defaultIce"?: boolean;
    "signupDate"?: Date;
    "lastLoginDate"?: Date;
    "lastPurchaseDate"?: Date;
    "outreachDate"?: Date;
    "sessionId"?: string;
    "password": string;
    "passwordV2"?: string;
    "facebookAccessToken"?: string;
    "facebookUserId"?: number;
    "googleUserId"?: string;
    "referralString"?: string;
    "is21"?: boolean;
    "referralGroup"?: GroupItemEntity;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmSite"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "referralCloudcellarName"?: string;
    "referralDomain"?: string;
    "userGuid"?: string;
    "email": string;
    "firstName": string;
    "lastName": string;
    "profileUrl"?: string;
    "birthday"?: Date;
    "isTestAccount"?: boolean;
}

export interface NhUserOrderCohort {
    "orderGuid"?: string;
    "userEmail"?: string;
    "orderQty"?: number;
    "unitPrice"?: number;
    "creditDiscount"?: number;
    "orderDiscount"?: number;
    "totalPrice"?: number;
    "orderUserNth"?: number;
    "orderPQ"?: number;
    "daysSinceSignup"?: number;
    "daysSinceFirstPurchase"?: number;
    "orderOfferGuid"?: string;
    "orderTax"?: number;
    "orderUtmSource"?: string;
    "orderUtmMedium"?: string;
    "orderUtmCampaign"?: string;
    "lastPurchaseDate"?: Date;
    "firstPurchaseDate"?: Date;
}

export interface NhUserOrderCohortListApiResult {
    "value"?: Array<NhUserOrderCohort>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface NpsScore {
    "surveyId"?: string;
    "score"?: number;
    "comment"?: string;
    "userId"?: string;
    "email"?: string;
    "timestamp"?: Date;
    "partition"?: string;
}

export interface NpsScoreListApiResult {
    "value"?: Array<NpsScore>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface OfferInfo {
    "offerGuid"?: string;
    "title"?: string;
    "subtitle"?: string;
    "offerImgCsv"?: string;
    "offerContent"?: string;
    "lifecycleUrl"?: string;
    "wineryNotes"?: string;
    "wineryName"?: string;
    "wineryAbout"?: string;
    "shippingAvailability"?: string;
    "minQtyAllow"?: number;
    "maxQtyAllow"?: number;
    "pricePerBottle"?: number;
    "expiryDate"?: Date;
    "plannedExpiryDate"?: Date;
    "startDate"?: Date;
    "url"?: string;
    "dateCreated"?: Date;
    "isApproved"?: boolean;
    "isSideDeal"?: boolean;
    "isFeatured"?: boolean;
    "priority"?: number;
    "metaTitle"?: string;
    "metaDescription"?: string;
    "metaKeywords"?: string;
    "buyText"?: string;
    "enableDoubleDown"?: boolean;
    "enableAutobuy"?: boolean;
    "adminNotes"?: string;
    "offerItemName"?: string;
    "offerItemNamePlural"?: string;
    "capturedDate"?: string;
    "enablePromo"?: boolean;
    "enableCredit"?: boolean;
    "enableTax"?: boolean;
    "scrambleRatio"?: number;
    "brandingPartner"?: string;
    "bottlesRemaining"?: number;
    "offerTotal"?: number;
    "offerTax"?: number;
    "offerPq"?: number;
    "offerDisc"?: number;
    "offerCred"?: number;
    "offerUniq"?: number;
    "cacheRefreshTime"?: Date;
    "allowRecurrence"?: boolean;
    "isClosed"?: boolean;
    "primaryVarietal"?: string;
    "primaryType"?: string;
    "secondaryType"?: string;
}

export interface OfferInfoListApiResult {
    "value"?: Array<OfferInfo>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface OfferV2Base {
    "lifecycleUrl"?: string;
    "offerGuid"?: string;
    "url"?: string;
    "title"?: string;
    "startDate"?: Date;
    "expiryDate"?: Date;
    "plannedExpiryDate"?: Date;
    "isApproved"?: boolean;
    "isClosed"?: boolean;
}

export interface OfferV2ManifestEntity {
    "manifestId"?: string;
    "sku"?: string;
    "retailPrice"?: number;
    "cashCollected"?: number;
    "taxableValue"?: number;
    "estimatedTaxAllocated"?: number;
    "shippingCaseGuid"?: string;
    "isCanceled"?: boolean;
    "itemGroupId"?: string;
    "pickIndex"?: number;
    "replacementForManifestGuid"?: string;
    "campaignId"?: number;
    "creditedForGuid"?: string;
    "unitDiscount"?: number;
    "suspendDate"?: Date;
    "addDate"?: Date;
    "mfOfferV2Id"?: string;
    "orderGuid"?: string;
    "fulfilledSku"?: string;
    "wasQuickShip"?: boolean;
    "adminComment"?: string;
    "reserveInventory"?: boolean;
    "swapReason"?: string;
    "bottleOwner"?: MfBottleOwner;
    "isSuspended"?: boolean;
    "friendlyName"?: string;
    "allocations"?: Array<ManifestAllocation>;
}

export interface OfferV2ManifestEntityListApiResult {
    "value"?: Array<OfferV2ManifestEntity>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface OrderTime {
    "orderGuid"?: string;
    "timestamp"?: Date;
}

export interface OrderViewModel {
    "orderId"?: string;
    "orderType"?: string;
    "offerSef"?: string;
    "offerTitle"?: string;
    "userEmail"?: string;
    "cplId"?: string;
    "date"?: Date;
    "credit"?: number;
    "discount"?: number;
    "subtotal"?: number;
    "tax"?: number;
    "amtCharged"?: number;
    "status"?: string;
    "paymentStatus"?: string;
    "unitPrice"?: number;
    "totalQty"?: number;
    "isRevealed"?: boolean;
    "cardNum"?: string;
    "cardType"?: string;
    "promo"?: string;
    "xTracking"?: string;
    "allItems"?: AttributedItemList;
    "adjustments"?: Array<NhAdjViewRecord>;
    "address"?: NhAddressModel;
    "shippingMethod"?: string;
    "dateProcessed"?: Date;
    "dateDelivered"?: Date;
    "giftMessage"?: string;
    "icePackQty"?: number;
    "packedAt"?: Date;
    "netSuiteSyncedAt"?: Date;
}

export interface OrderViewModelListApiResult {
    "value"?: Array<OrderViewModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export type PaymentTermsEnum = "N30S60" | "N30S60S90" | "N30S60S90S120" | "N30S60S90S120S150S180" | "CUSTOM" | "NET30" | "NET45" | "NET60" | "NET90" | "NET120" | "INSTALLMENTS" | "CC" | "COD";

export interface PgCloudCellarRecord {
    "isCounted"?: boolean;
    "varietal"?: string;
    "region"?: string;
    "appel"?: string;
    "states"?: Array<string>;
    "itemDetailGuid"?: string;
    "sku"?: string;
    "urlKey"?: string;
    "retailPrice"?: number;
    "qtyInStock"?: number;
    "qtyOffsite"?: number;
    "qtyVip"?: number;
    "isManual"?: boolean;
    "eta"?: Date;
    "isClearance"?: boolean;
    "isSuspended"?: boolean;
    "shipIncentive"?: number;
    "category"?: string;
    "skus"?: Array<SkuEntity>;
    "manifestGuid"?: string;
    "taxValue"?: number;
    "taxAllocated"?: number;
    "orderGuid"?: string;
    "winnerGuid"?: string;
    "orderDate"?: Date;
    "orderStatus"?: string;
    "paymentStatus"?: string;
    "offerGuid"?: string;
    "offerSef"?: string;
    "wineDrinkEnd"?: Date;
    "isAutographed"?: boolean;
    "isWine"?: boolean;
    "isBeer"?: boolean;
    "isCult"?: boolean;
    "shipAlone"?: boolean;
    "shipCase"?: string;
    "shipMethod"?: string;
    "shipPrice"?: number;
    "tracking"?: Array<TrackingInfo>;
    "shipDate"?: Date;
    "itemGroupId"?: string;
    "fancifulName"?: string;
    "brand"?: string;
    "vintage"?: number;
    "wineVineyard"?: string;
    "ml"?: number;
    "backupSku"?: string;
    "skuReplacementForManifestGuid"?: string;
    "suspendDate"?: Date;
    "slotType"?: string;
    "displayDesc"?: string;
    "bottleImgCsv"?: string;
    "labelImgCsv"?: string;
    "displayName"?: string;
    "bottleImg"?: Array<string>;
    "labelImg"?: Array<string>;
}

export interface PromoBase {
    "promoCode"?: string;
    "promoAmount"?: number;
    "date"?: Date;
    "startDate"?: Date;
    "expiry"?: Date;
    "amtPaid"?: number;
    "isExpired"?: boolean;
}

export interface PurchMetric {
    "lastOrder"?: Date;
    "range"?: string;
    "pq"?: number;
    "numFirstOrders"?: number;
    "numActiveBuyers"?: number;
    "totalQty"?: number;
    "totalDiscount"?: number;
    "totalCreditRdmp"?: number;
    "totalTax"?: number;
    "comment"?: string;
}

export interface PurchMetricListApiResult {
    "value"?: Array<PurchMetric>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface QrEmailTemplateModel {
    "firstName"?: string;
    "shipmentId"?: string;
    "trackingNumber"?: string;
    "templateId"?: string;
    "email"?: string;
    "bottleArray"?: { [key: string]: number; };
    "bottleCount"?: number;
}

export interface QtyComment {
    "qty"?: number;
    "comment"?: string;
}

export interface Replacement {
    "sku"?: string;
    "manifestId"?: string;
    "retailPrice"?: number;
}

export interface SessionModel {
    "sessionId"?: string;
    "sessionExpiration"?: Date;
    "sessionLastPage"?: string;
    "sessionFbrLhState"?: string;
    "sessionUserGuid"?: string;
    "sessionUserName"?: string;
    "sessionUserFname"?: string;
    "sessionUserImageurl"?: string;
    "sessionUserBalance"?: number;
    "sessionUserUrlProfile"?: string;
    "sessionUserReferralCloudName"?: string;
    "sessionLastQty"?: number;
    "sessionIsBeta"?: number;
    "sessionEmail"?: string;
    "sessionUserAgent"?: string;
    "sessionUtmSource"?: string;
    "sessionUtmMedium"?: string;
    "sessionUtmCampaign"?: string;
    "sessionUtmContent"?: string;
    "sessionUtmTerm"?: string;
    "sessionUtmPlacement"?: string;
    "sessionUtmDevice"?: string;
    "sessionUtmSite"?: string;
}

export interface SessionModelApiResult {
    "value"?: SessionModel;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface ShipAdminSetting {
    "shipmentGuid"?: string;
    "newShipMethod"?: string;
    "newComment"?: string;
    "refundFees"?: boolean;
    "setAdminHold"?: boolean;
    "setAdminHoldValue"?: boolean;
    "setAddressId"?: string;
    "setAddressPhone"?: string;
    "setWillCall"?: boolean;
    "setDateReturned"?: Date;
    "setPriority"?: number;
    "setTrackingNumber"?: string;
    "sendTrackingNumberEmail"?: boolean;
}

export interface ShipAdminSettingListApiResult {
    "value"?: Array<ShipAdminSetting>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface ShipmentId {
    "shippingCaseGuid"?: string;
}

export interface ShipmentIdListApiResult {
    "value"?: Array<ShipmentId>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface ShipmentInventory {
    "shipmentId"?: string;
    "shipmentItems"?: Array<ShipmentInventoryItem>;
    "canFulfillFrom"?: Array<string>;
}

export interface ShipmentInventoryItem {
    "sku"?: string;
    "qtyOnShipment"?: number;
    "qtyAvailable"?: number;
    "locations"?: Array<FacilityQty>;
    "canFulfillFrom"?: Array<string>;
}

export interface ShipmentInventoryListApiResult {
    "value"?: Array<ShipmentInventory>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface ShipmentReportingWeek {
    "from"?: Date;
    "to"?: Date;
    "requested"?: Array<CloudShipmentSimple>;
    "batched"?: Array<CloudShipmentSimple>;
    "delivered"?: Array<CloudShipmentSimple>;
    "avgDaysToBatch"?: number;
    "avgDaysToDeliver"?: number;
    "minDaysToBatch"?: number;
    "maxDaysToBatch"?: number;
    "minDaysToDeliver"?: number;
    "maxDaysToDeliver"?: number;
    "numRequested"?: number;
    "numDelivered"?: number;
    "numBatched"?: number;
}

export interface ShipmentReportingWeekListApiResult {
    "value"?: Array<ShipmentReportingWeek>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface ShippingModel {
    "shippingPrice"?: number;
    "tax"?: number;
    "iceGelPackPrice"?: number;
    "cplOrderId"?: string;
    "shippingCaseGuid"?: string;
    "shippingMethod"?: string;
    "shippingStatus"?: string;
    "replaceShipment"?: string;
    "tracking"?: Array<TrackingInfo>;
    "date"?: Date;
    "dateProcessed"?: Date;
    "dateDelivered"?: Date;
    "dateSuspended"?: Date;
    "dateReturned"?: Date;
    "shippedManifests"?: Array<OfferV2ManifestEntity>;
    "payment"?: ApiBillingModelWithAuthnet;
    "giftMessage"?: string;
    "qty"?: number;
    "transactionId"?: string;
    "isAdminHold"?: boolean;
    "willCall"?: boolean;
    "isTest"?: boolean;
    "weight"?: number;
    "shipCogs"?: number;
    "firstName"?: string;
    "lastName"?: string;
    "address1"?: string;
    "address2"?: string;
    "city"?: string;
    "state"?: string;
    "zip"?: string;
    "phone"?: string;
    "email"?: string;
    "requestedShipDate"?: Date;
    "xItemCount"?: number;
    "xTotalTax"?: number;
    "xTotalTaxValue"?: number;
    "shipEngineId"?: string;
    "shipEngineLabelId"?: string;
    "comment"?: string;
    "userId"?: string;
    "countSparkles"?: number;
    "cohortUserFirstPurchase"?: Date;
    "cohortUserMonth"?: number;
    "monthSinceFirstPurchase"?: number;
    "daysSinceFirstPurchase"?: number;
    "daysSinceLastPurchase"?: number;
    "daysSinceSignup"?: number;
    "priority"?: number;
    "discount"?: number;
    "discountCodeUsed"?: string;
    "packedAt"?: Date;
    "netSuiteSyncedAt"?: Date;
    "paymentIntentId"?: string;
    "totalPrice"?: number;
}

export interface ShippingModelListApiResult {
    "value"?: Array<ShippingModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface SkuEntity {
    "sku"?: string;
    "suggestedPrice"?: number;
    "supplierGuid"?: string;
    "isAutographed"?: boolean;
    "isDeprecated"?: boolean;
    "isTaxable"?: boolean;
    "isCountedInShipment"?: boolean;
    "isPalletProgram"?: boolean;
    "cacheLatestOrderDate"?: Date;
    "cacheNextDelivery"?: Date;
    "cacheNumAvailable"?: number;
    "scrambleLetters"?: string;
    "scrambleQtyAllowed"?: number;
    "allowedStatesCsv"?: string;
    "comment"?: string;
    "cogsUnit"?: number;
    "taxSetId"?: string;
    "velocity"?: number;
    "isDropShip"?: boolean;
    "shipAlone"?: boolean;
    "canBottleShop"?: boolean;
    "qtyOnPendingShipment"?: number;
    "nSuppliers"?: number;
    "allowedStates"?: Array<string>;
    "cacheNumOwed"?: number;
    "cacheNumShipped"?: number;
    "cacheSurplus"?: number;
    "margin"?: number;
    "numberOnActiveXfer"?: number;
    "qtyVip"?: number;
    "friendlyName"?: string;
    "qtyOffsite"?: number;
    "qtyReserved"?: number;
    "preSwap"?: string;
    "backupSwap"?: string;
    "fulfillQtyLo"?: number;
    "fulfillQtyHi"?: number;
    "xVarietal"?: string;
    "xRegion"?: string;
    "itemDetailGuid"?: string;
    "itemDetail"?: ItemDetailEntity;
    "skuWasSwap"?: boolean;
    "isInWineDirect"?: boolean;
    "category"?: string;
    "unlimitedAllocationUntil"?: Date;
    "dontBuyAfter"?: Date;
    "packSize"?: number;
    "createdOn"?: Date;
    "createdById"?: string;
    "createdBy"?: BasicUserInfo;
    "allocationStart"?: Date;
    "allocationTotal"?: number;
    "allocationRemaining"?: number;
    "allocationEnd"?: Date;
}

export interface SkuEntityListApiResult {
    "value"?: Array<SkuEntity>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface SkuHistory {
    "skuHistoryId"?: string;
    "sku"?: string;
    "snapshotTime"?: Date;
    "available"?: number;
    "owed"?: number;
    "dAvailable"?: number;
    "dOwed"?: number;
    "shipped"?: number;
    "dShipped"?: number;
    "loc"?: string;
    "xiGuid"?: string;
}

export interface SkuHistoryListApiResult {
    "value"?: Array<SkuHistory>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface SkuReserved {
    "offerGuid"?: string;
    "offerTitle"?: string;
    "sku"?: string;
    "displayName"?: string;
    "qtyReserved"?: number;
    "startingOn"?: Date;
    "endingOn"?: Date;
}

export interface SkuReservedListApiResult {
    "value"?: Array<SkuReserved>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface SkuSearch {
    "skip"?: number;
    "take"?: number;
    "search"?: string;
    "orderBy"?: string;
    "includeItemDetails"?: boolean;
    "minPrice"?: DecimalFilter;
    "maxPrice"?: DecimalFilter;
    "minStockQty"?: Int32Filter;
    "maxStockQty"?: Int32Filter;
    "minReservQty"?: Int32Filter;
    "maxReservQty"?: Int32Filter;
    "minSurplus"?: Int32Filter;
    "maxSurplus"?: Int32Filter;
    "allowedVarietals"?: Array<string>;
    "orderDescending"?: boolean;
    "hasComment"?: BooleanFilter;
    "zeroes"?: BooleanFilter;
    "pallet"?: BooleanFilter;
    "deprecated"?: BooleanFilter;
    "minNumOnActiveTransfers"?: Int32Filter;
    "minVelocity"?: DecimalFilter;
    "maxVelocity"?: DecimalFilter;
    "minOffsite"?: Int32Filter;
    "maxOffsite"?: Int32Filter;
    "belowLoThreshold"?: BooleanFilter;
    "aboveHiThreshold"?: BooleanFilter;
    "maxVip"?: Int32Filter;
    "minVip"?: Int32Filter;
    "allowedCategories"?: Array<string>;
}

export interface Stack {
    "in"?: string;
    "at"?: string;
}

export interface StockBalanceModel {
    "sku"?: string;
    "displayName"?: string;
    "size"?: string;
    "qtyOwed"?: number;
    "qtyOffsite"?: number;
    "qtyAvailable"?: number;
    "qtyPendingXfer"?: number;
    "sourceFacilityOptions"?: Array<FacilityQty>;
    "sourceFacilitySelected"?: FacilityQty;
    "targetFacilitySelected"?: FacilityQty;
    "targetQtyLo"?: number;
    "targetQtyHi"?: number;
    "retailPrice"?: number;
    "varietal"?: string;
}

export interface StockBalanceModelListApiResult {
    "value"?: Array<StockBalanceModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface StringDecimalDictionaryApiResult {
    "value"?: { [key: string]: number; };
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface StringListApiResult {
    "value"?: Array<string>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface StringPersonalizedValue {
    "name"?: string;
    "value"?: string;
}

export interface StringPersonalizedValueListApiResult {
    "value"?: Array<StringPersonalizedValue>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface StringStringArrayDictionaryApiResult {
    "value"?: { [key: string]: Array<string>; };
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface Subinventory {
    "loc"?: string;
    "asOf"?: Date;
    "qtyAvail"?: number;
    "qtyComingIn"?: number;
    "qtyShip"?: number;
    "comment"?: string;
    "id"?: string;
    "qtyReserv"?: number;
    "friendlyName"?: string;
}

export interface Supplier {
    "supplierGuid"?: string;
    "supplierName"?: string;
    "supplierContactName1"?: string;
    "supplierContactAlternateName"?: string;
    "supplierContact"?: string;
    "supplierPreferredPayment"?: string;
    "supplierPreferredCourier"?: string;
}

export interface SupplierItemV2 {
    "id"?: string;
    "createdOn"?: Date;
    "createdBy"?: string;
    "deprecatedOn"?: Date;
    "deprecatedBy"?: string;
    "supplier"?: string;
    "supplierName"?: string;
    "sku"?: string;
    "cogs"?: number;
    "srp"?: number;
    "url"?: string;
    "priority"?: number;
    "minimumOrderQty"?: number;
    "description"?: string;
}

export interface SupplierItemV2ApiResult {
    "value"?: SupplierItemV2;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface SupplierItemV2ListApiResult {
    "value"?: Array<SupplierItemV2>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface SupplierListApiResult {
    "value"?: Array<Supplier>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export type SupplierType = "UNKNOWN" | "WINERY_DIRECT" | "DISTRIBUTOR" | "BROKER" | "RETAILER" | "AUCTION";

export interface SupplierV2 {
    "id"?: string;
    "createdOn"?: Date;
    "createdBy"?: string;
    "deprecatedOn"?: Date;
    "deprecatedBy"?: string;
    "name"?: string;
    "type"?: SupplierType;
    "url"?: string;
    "onlineRetailer"?: boolean;
    "brokerPrimary"?: string;
    "brokerSecondary"?: string;
    "prioritizeBroker"?: boolean;
    "address"?: string;
    "city"?: string;
    "state"?: string;
    "zip"?: string;
    "contactFirstName"?: string;
    "contactLastName"?: string;
    "contactEmail"?: string;
    "contactPhone"?: string;
    "contactFirstNameSecondary"?: string;
    "contactLastNameSecondary"?: string;
    "contactEmailSecondary"?: string;
    "contactPhoneSecondary"?: string;
    "pickupBusinessName"?: string;
    "pickupAddress"?: string;
    "pickupCity"?: string;
    "pickupState"?: string;
    "pickupZip"?: string;
    "pickupFirstName"?: string;
    "pickupLastName"?: string;
    "pickupEmail"?: string;
    "pickupPhone"?: string;
    "freightCarrier"?: FreightCarrierEnum;
    "daysToShip"?: number;
    "buyerToPickUpInventory"?: boolean;
    "supplierPaysShipCost"?: boolean;
    "paymentTerms"?: PaymentTermsEnum;
    "paymentTermsCustom"?: string;
    "taxExempt"?: boolean;
    "notes"?: string;
    "netsuiteSynced"?: Date;
    "companyOwner"?: string;
    "billingFirstName"?: string;
    "billingLastName"?: string;
    "billingEmail"?: string;
    "billingPhone"?: string;
    "supplierCompletedOnBoarding"?: boolean;
    "rollupSupplier"?: string;
    "creditLimit"?: number;
}

export interface SupplierV2ApiResult {
    "value"?: SupplierV2;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface SupplierV2ListApiResult {
    "value"?: Array<SupplierV2>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface TrackingEvent {
    "timestamp"?: Date;
    "city"?: string;
    "stateOrProvince"?: string;
    "description"?: string;
}

export interface TrackingInfo {
    "id"?: string;
    "status"?: string;
    "events"?: Array<TrackingEvent>;
}

export interface TrackingInfoListApiResult {
    "value"?: Array<TrackingInfo>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}

export interface TransactionalEmailModel {
    "emailBody"?: string;
    "emailSubject"?: string;
    "comment"?: string;
    "testUserOnly"?: boolean;
    "partitionKey"?: string;
    "rowKey"?: string;
    "timestamp"?: Date;
    "eTag"?: string;
}

export interface TransactionalEmailModelListApiResult {
    "value"?: Array<TransactionalEmailModel>;
    "success"?: boolean;
    "message"?: string;
    "stackTrace"?: Array<Stack>;
}



/**
 * AddInventoryAndLinkToTransferApi - fetch parameter creator
 */
export const AddInventoryAndLinkToTransferApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param sku 
     * @param qty 
     * @param xiGuid 
     */
    apiSkuAddInventoryGet(params: {  "authToken"?: string; "sku"?: string; "qty"?: string; "xiGuid"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/sku/addInventory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "sku": params["sku"],
            "qty": params["qty"],
            "xiGuid": params["xiGuid"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * AddInventoryAndLinkToTransferApi - functional programming interface
 */
export const AddInventoryAndLinkToTransferApiFp = {
    /**
     * 
     * @param authToken 
     * @param sku 
     * @param qty 
     * @param xiGuid 
     */
    apiSkuAddInventoryGet(params: { "authToken"?: string; "sku"?: string; "qty"?: string; "xiGuid"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryListApiResult> {
        const fetchArgs = AddInventoryAndLinkToTransferApiFetchParamCreator.apiSkuAddInventoryGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * AddInventoryAndLinkToTransferApi - object-oriented interface
 */
export class AddInventoryAndLinkToTransferApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param sku 
     * @param qty 
     * @param xiGuid 
     */
    apiSkuAddInventoryGet(params: {  "authToken"?: string; "sku"?: string; "qty"?: string; "xiGuid"?: string; }, options?: any) {
        return AddInventoryAndLinkToTransferApiFp.apiSkuAddInventoryGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * AddInventoryAndLinkToTransferApi - factory interface
 */
export const AddInventoryAndLinkToTransferApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param sku 
         * @param qty 
         * @param xiGuid 
         */
        apiSkuAddInventoryGet(params: {  "authToken"?: string; "sku"?: string; "qty"?: string; "xiGuid"?: string; }, options?: any) {
            return AddInventoryAndLinkToTransferApiFp.apiSkuAddInventoryGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * AddressPreValidateApi - fetch parameter creator
 */
export const AddressPreValidateApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiAddressPreValidatePost(params: {  "authToken"?: string; "body"?: NhAddressModel; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/AddressPreValidate`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * AddressPreValidateApi - functional programming interface
 */
export const AddressPreValidateApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiAddressPreValidatePost(params: { "authToken"?: string; "body"?: NhAddressModel;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AddressValidationResultApiResult> {
        const fetchArgs = AddressPreValidateApiFetchParamCreator.apiAddressPreValidatePost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * AddressPreValidateApi - object-oriented interface
 */
export class AddressPreValidateApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiAddressPreValidatePost(params: {  "authToken"?: string; "body"?: NhAddressModel; }, options?: any) {
        return AddressPreValidateApiFp.apiAddressPreValidatePost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * AddressPreValidateApi - factory interface
 */
export const AddressPreValidateApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiAddressPreValidatePost(params: {  "authToken"?: string; "body"?: NhAddressModel; }, options?: any) {
            return AddressPreValidateApiFp.apiAddressPreValidatePost(params, options)(fetch, basePath);
        },
    };
};


/**
 * AdminCloudViewApi - fetch parameter creator
 */
export const AdminCloudViewApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param search 
     * @param varietal 
     * @param region 
     * @param appellation 
     * @param shipStatus 
     * @param includeVirtual 
     * @param includeGift 
     */
    apiXAdminCloudViewGet(params: {  "id"?: string; "authToken"?: string; "search"?: string; "varietal"?: string; "region"?: string; "appellation"?: string; "shipStatus"?: string; "includeVirtual"?: string; "includeGift"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/x-admin-cloud-view`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
            "search": params["search"],
            "varietal": params["varietal"],
            "region": params["region"],
            "appellation": params["appellation"],
            "shipStatus": params["shipStatus"],
            "includeVirtual": params["includeVirtual"],
            "includeGift": params["includeGift"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * AdminCloudViewApi - functional programming interface
 */
export const AdminCloudViewApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param search 
     * @param varietal 
     * @param region 
     * @param appellation 
     * @param shipStatus 
     * @param includeVirtual 
     * @param includeGift 
     */
    apiXAdminCloudViewGet(params: { "id"?: string; "authToken"?: string; "search"?: string; "varietal"?: string; "region"?: string; "appellation"?: string; "shipStatus"?: string; "includeVirtual"?: string; "includeGift"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AdminCloudRecordListApiResult> {
        const fetchArgs = AdminCloudViewApiFetchParamCreator.apiXAdminCloudViewGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * AdminCloudViewApi - object-oriented interface
 */
export class AdminCloudViewApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param search 
     * @param varietal 
     * @param region 
     * @param appellation 
     * @param shipStatus 
     * @param includeVirtual 
     * @param includeGift 
     */
    apiXAdminCloudViewGet(params: {  "id"?: string; "authToken"?: string; "search"?: string; "varietal"?: string; "region"?: string; "appellation"?: string; "shipStatus"?: string; "includeVirtual"?: string; "includeGift"?: string; }, options?: any) {
        return AdminCloudViewApiFp.apiXAdminCloudViewGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * AdminCloudViewApi - factory interface
 */
export const AdminCloudViewApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         * @param search 
         * @param varietal 
         * @param region 
         * @param appellation 
         * @param shipStatus 
         * @param includeVirtual 
         * @param includeGift 
         */
        apiXAdminCloudViewGet(params: {  "id"?: string; "authToken"?: string; "search"?: string; "varietal"?: string; "region"?: string; "appellation"?: string; "shipStatus"?: string; "includeVirtual"?: string; "includeGift"?: string; }, options?: any) {
            return AdminCloudViewApiFp.apiXAdminCloudViewGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * AdminGetShipmentInventoryApi - fetch parameter creator
 */
export const AdminGetShipmentInventoryApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminAdminGetShipmentInventoryPost(params: {  "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/AdminGetShipmentInventory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * AdminGetShipmentInventoryApi - functional programming interface
 */
export const AdminGetShipmentInventoryApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminAdminGetShipmentInventoryPost(params: { "authToken"?: string; "body"?: Array<ShipmentId>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentInventoryListApiResult> {
        const fetchArgs = AdminGetShipmentInventoryApiFetchParamCreator.apiV3AdminAdminGetShipmentInventoryPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * AdminGetShipmentInventoryApi - object-oriented interface
 */
export class AdminGetShipmentInventoryApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminAdminGetShipmentInventoryPost(params: {  "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
        return AdminGetShipmentInventoryApiFp.apiV3AdminAdminGetShipmentInventoryPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * AdminGetShipmentInventoryApi - factory interface
 */
export const AdminGetShipmentInventoryApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiV3AdminAdminGetShipmentInventoryPost(params: {  "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
            return AdminGetShipmentInventoryApiFp.apiV3AdminAdminGetShipmentInventoryPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * AdminShipmentBatchApi - fetch parameter creator
 */
export const AdminShipmentBatchApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchDelete(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/shipmentBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "DELETE" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchGet(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/shipmentBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchPost(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/shipmentBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchPut(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/shipmentBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "PUT" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * AdminShipmentBatchApi - functional programming interface
 */
export const AdminShipmentBatchApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchDelete(params: { "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchListApiResult> {
        const fetchArgs = AdminShipmentBatchApiFetchParamCreator.apiV3AdminShipmentBatchDelete(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchGet(params: { "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchListApiResult> {
        const fetchArgs = AdminShipmentBatchApiFetchParamCreator.apiV3AdminShipmentBatchGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchPost(params: { "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchListApiResult> {
        const fetchArgs = AdminShipmentBatchApiFetchParamCreator.apiV3AdminShipmentBatchPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchPut(params: { "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchListApiResult> {
        const fetchArgs = AdminShipmentBatchApiFetchParamCreator.apiV3AdminShipmentBatchPut(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * AdminShipmentBatchApi - object-oriented interface
 */
export class AdminShipmentBatchApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchDelete(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
        return AdminShipmentBatchApiFp.apiV3AdminShipmentBatchDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchGet(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
        return AdminShipmentBatchApiFp.apiV3AdminShipmentBatchGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchPost(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
        return AdminShipmentBatchApiFp.apiV3AdminShipmentBatchPost(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiV3AdminShipmentBatchPut(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
        return AdminShipmentBatchApiFp.apiV3AdminShipmentBatchPut(params, options)(this.fetch, this.basePath);
    }
};

/**
 * AdminShipmentBatchApi - factory interface
 */
export const AdminShipmentBatchApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         * @param body 
         */
        apiV3AdminShipmentBatchDelete(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
            return AdminShipmentBatchApiFp.apiV3AdminShipmentBatchDelete(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param id 
         * @param authToken 
         * @param body 
         */
        apiV3AdminShipmentBatchGet(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
            return AdminShipmentBatchApiFp.apiV3AdminShipmentBatchGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param id 
         * @param authToken 
         * @param body 
         */
        apiV3AdminShipmentBatchPost(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
            return AdminShipmentBatchApiFp.apiV3AdminShipmentBatchPost(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param id 
         * @param authToken 
         * @param body 
         */
        apiV3AdminShipmentBatchPut(params: {  "id"?: string; "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
            return AdminShipmentBatchApiFp.apiV3AdminShipmentBatchPut(params, options)(fetch, basePath);
        },
    };
};


/**
 * AdminSkuListAsyncApi - fetch parameter creator
 */
export const AdminSkuListAsyncApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiAsyncSkuListPost(params: {  "authToken"?: string; "body"?: SkuSearch; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/async-sku-list`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * AdminSkuListAsyncApi - functional programming interface
 */
export const AdminSkuListAsyncApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiAsyncSkuListPost(params: { "authToken"?: string; "body"?: SkuSearch;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SkuEntityListApiResult> {
        const fetchArgs = AdminSkuListAsyncApiFetchParamCreator.apiAsyncSkuListPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * AdminSkuListAsyncApi - object-oriented interface
 */
export class AdminSkuListAsyncApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiAsyncSkuListPost(params: {  "authToken"?: string; "body"?: SkuSearch; }, options?: any) {
        return AdminSkuListAsyncApiFp.apiAsyncSkuListPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * AdminSkuListAsyncApi - factory interface
 */
export const AdminSkuListAsyncApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiAsyncSkuListPost(params: {  "authToken"?: string; "body"?: SkuSearch; }, options?: any) {
            return AdminSkuListAsyncApiFp.apiAsyncSkuListPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * AdminUpdateShipmentApi - fetch parameter creator
 */
export const AdminUpdateShipmentApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminAdminUpdateShipmentPost(params: {  "authToken"?: string; "body"?: Array<ShipAdminSetting>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/AdminUpdateShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * AdminUpdateShipmentApi - functional programming interface
 */
export const AdminUpdateShipmentApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminAdminUpdateShipmentPost(params: { "authToken"?: string; "body"?: Array<ShipAdminSetting>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipAdminSettingListApiResult> {
        const fetchArgs = AdminUpdateShipmentApiFetchParamCreator.apiV3AdminAdminUpdateShipmentPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * AdminUpdateShipmentApi - object-oriented interface
 */
export class AdminUpdateShipmentApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminAdminUpdateShipmentPost(params: {  "authToken"?: string; "body"?: Array<ShipAdminSetting>; }, options?: any) {
        return AdminUpdateShipmentApiFp.apiV3AdminAdminUpdateShipmentPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * AdminUpdateShipmentApi - factory interface
 */
export const AdminUpdateShipmentApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiV3AdminAdminUpdateShipmentPost(params: {  "authToken"?: string; "body"?: Array<ShipAdminSetting>; }, options?: any) {
            return AdminUpdateShipmentApiFp.apiV3AdminAdminUpdateShipmentPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * BalanceStockAnalyzeApi - fetch parameter creator
 */
export const BalanceStockAnalyzeApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param facilityToEmpty 
     * @param excludeDays 
     */
    apiSkuBalancerAnalyzeGet(params: {  "authToken"?: string; "facilityToEmpty"?: string; "excludeDays"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/sku/balancer/analyze`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "facilityToEmpty": params["facilityToEmpty"],
            "excludeDays": params["excludeDays"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * BalanceStockAnalyzeApi - functional programming interface
 */
export const BalanceStockAnalyzeApiFp = {
    /**
     * 
     * @param authToken 
     * @param facilityToEmpty 
     * @param excludeDays 
     */
    apiSkuBalancerAnalyzeGet(params: { "authToken"?: string; "facilityToEmpty"?: string; "excludeDays"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StockBalanceModelListApiResult> {
        const fetchArgs = BalanceStockAnalyzeApiFetchParamCreator.apiSkuBalancerAnalyzeGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * BalanceStockAnalyzeApi - object-oriented interface
 */
export class BalanceStockAnalyzeApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param facilityToEmpty 
     * @param excludeDays 
     */
    apiSkuBalancerAnalyzeGet(params: {  "authToken"?: string; "facilityToEmpty"?: string; "excludeDays"?: string; }, options?: any) {
        return BalanceStockAnalyzeApiFp.apiSkuBalancerAnalyzeGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * BalanceStockAnalyzeApi - factory interface
 */
export const BalanceStockAnalyzeApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param facilityToEmpty 
         * @param excludeDays 
         */
        apiSkuBalancerAnalyzeGet(params: {  "authToken"?: string; "facilityToEmpty"?: string; "excludeDays"?: string; }, options?: any) {
            return BalanceStockAnalyzeApiFp.apiSkuBalancerAnalyzeGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * BalanceStockExecApi - fetch parameter creator
 */
export const BalanceStockExecApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiSkuBalancerExecPost(params: {  "authToken"?: string; "body"?: Array<StockBalanceModel>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/sku/balancer/exec`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * BalanceStockExecApi - functional programming interface
 */
export const BalanceStockExecApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiSkuBalancerExecPost(params: { "authToken"?: string; "body"?: Array<StockBalanceModel>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhTransferListApiResult> {
        const fetchArgs = BalanceStockExecApiFetchParamCreator.apiSkuBalancerExecPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * BalanceStockExecApi - object-oriented interface
 */
export class BalanceStockExecApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiSkuBalancerExecPost(params: {  "authToken"?: string; "body"?: Array<StockBalanceModel>; }, options?: any) {
        return BalanceStockExecApiFp.apiSkuBalancerExecPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * BalanceStockExecApi - factory interface
 */
export const BalanceStockExecApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiSkuBalancerExecPost(params: {  "authToken"?: string; "body"?: Array<StockBalanceModel>; }, options?: any) {
            return BalanceStockExecApiFp.apiSkuBalancerExecPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * BlingApi - fetch parameter creator
 */
export const BlingApiFetchParamCreator = {
    /**
     * 
     */
    apiBlingGet(options?: any): FetchArgs {
        const baseUrl = `/azapi/bling`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * BlingApi - functional programming interface
 */
export const BlingApiFp = {
    /**
     * 
     */
    apiBlingGet(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any> {
        const fetchArgs = BlingApiFetchParamCreator.apiBlingGet(options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * BlingApi - object-oriented interface
 */
export class BlingApi extends BaseAPI {
    /**
     * 
     */
    apiBlingGet(options?: any) {
        return BlingApiFp.apiBlingGet(options)(this.fetch, this.basePath);
    }
};

/**
 * BlingApi - factory interface
 */
export const BlingApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         */
        apiBlingGet(options?: any) {
            return BlingApiFp.apiBlingGet(options)(fetch, basePath);
        },
    };
};


/**
 * BulkAddToCloudcellarApi - fetch parameter creator
 */
export const BulkAddToCloudcellarApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiBulkAddToCloudcellarPost(params: {  "authToken"?: string; "body"?: any; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/BulkAddToCloudcellar`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * BulkAddToCloudcellarApi - functional programming interface
 */
export const BulkAddToCloudcellarApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiBulkAddToCloudcellarPost(params: { "authToken"?: string; "body"?: any;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StringStringArrayDictionaryApiResult> {
        const fetchArgs = BulkAddToCloudcellarApiFetchParamCreator.apiBulkAddToCloudcellarPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * BulkAddToCloudcellarApi - object-oriented interface
 */
export class BulkAddToCloudcellarApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiBulkAddToCloudcellarPost(params: {  "authToken"?: string; "body"?: any; }, options?: any) {
        return BulkAddToCloudcellarApiFp.apiBulkAddToCloudcellarPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * BulkAddToCloudcellarApi - factory interface
 */
export const BulkAddToCloudcellarApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiBulkAddToCloudcellarPost(params: {  "authToken"?: string; "body"?: any; }, options?: any) {
            return BulkAddToCloudcellarApiFp.apiBulkAddToCloudcellarPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * BulkCreateCreditsApi - fetch parameter creator
 */
export const BulkCreateCreditsApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminBulkCreateCreditsPost(params: {  "authToken"?: string; "body"?: Array<NhCreditModel>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/BulkCreateCredits`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * BulkCreateCreditsApi - functional programming interface
 */
export const BulkCreateCreditsApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminBulkCreateCreditsPost(params: { "authToken"?: string; "body"?: Array<NhCreditModel>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhCreditModelListApiResult> {
        const fetchArgs = BulkCreateCreditsApiFetchParamCreator.apiV3AdminBulkCreateCreditsPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * BulkCreateCreditsApi - object-oriented interface
 */
export class BulkCreateCreditsApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminBulkCreateCreditsPost(params: {  "authToken"?: string; "body"?: Array<NhCreditModel>; }, options?: any) {
        return BulkCreateCreditsApiFp.apiV3AdminBulkCreateCreditsPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * BulkCreateCreditsApi - factory interface
 */
export const BulkCreateCreditsApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiV3AdminBulkCreateCreditsPost(params: {  "authToken"?: string; "body"?: Array<NhCreditModel>; }, options?: any) {
            return BulkCreateCreditsApiFp.apiV3AdminBulkCreateCreditsPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * CaptureEmailApi - fetch parameter creator
 */
export const CaptureEmailApiFetchParamCreator = {
    /**
     * 
     * @param body 
     */
    apiMcsubscribePost(params: {  "body"?: EmailCapture; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/mcsubscribe`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * CaptureEmailApi - functional programming interface
 */
export const CaptureEmailApiFp = {
    /**
     * 
     * @param body 
     */
    apiMcsubscribePost(params: { "body"?: EmailCapture;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult> {
        const fetchArgs = CaptureEmailApiFetchParamCreator.apiMcsubscribePost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * CaptureEmailApi - object-oriented interface
 */
export class CaptureEmailApi extends BaseAPI {
    /**
     * 
     * @param body 
     */
    apiMcsubscribePost(params: {  "body"?: EmailCapture; }, options?: any) {
        return CaptureEmailApiFp.apiMcsubscribePost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * CaptureEmailApi - factory interface
 */
export const CaptureEmailApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param body 
         */
        apiMcsubscribePost(params: {  "body"?: EmailCapture; }, options?: any) {
            return CaptureEmailApiFp.apiMcsubscribePost(params, options)(fetch, basePath);
        },
    };
};


/**
 * CartExpressPreviewApi - fetch parameter creator
 */
export const CartExpressPreviewApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param qty 
     */
    apiCartExpressPreviewGet(params: {  "authToken"?: string; "qty"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CartExpressPreview`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "qty": params["qty"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * CartExpressPreviewApi - functional programming interface
 */
export const CartExpressPreviewApiFp = {
    /**
     * 
     * @param authToken 
     * @param qty 
     */
    apiCartExpressPreviewGet(params: { "authToken"?: string; "qty"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult> {
        const fetchArgs = CartExpressPreviewApiFetchParamCreator.apiCartExpressPreviewGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * CartExpressPreviewApi - object-oriented interface
 */
export class CartExpressPreviewApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param qty 
     */
    apiCartExpressPreviewGet(params: {  "authToken"?: string; "qty"?: string; }, options?: any) {
        return CartExpressPreviewApiFp.apiCartExpressPreviewGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * CartExpressPreviewApi - factory interface
 */
export const CartExpressPreviewApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param qty 
         */
        apiCartExpressPreviewGet(params: {  "authToken"?: string; "qty"?: string; }, options?: any) {
            return CartExpressPreviewApiFp.apiCartExpressPreviewGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * ClickUpWebhookApi - fetch parameter creator
 */
export const ClickUpWebhookApiFetchParamCreator = {
    /**
     * 
     */
    apiClickupPost(options?: any): FetchArgs {
        const baseUrl = `/azapi/clickup`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * ClickUpWebhookApi - functional programming interface
 */
export const ClickUpWebhookApiFp = {
    /**
     * 
     */
    apiClickupPost(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any> {
        const fetchArgs = ClickUpWebhookApiFetchParamCreator.apiClickupPost(options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * ClickUpWebhookApi - object-oriented interface
 */
export class ClickUpWebhookApi extends BaseAPI {
    /**
     * 
     */
    apiClickupPost(options?: any) {
        return ClickUpWebhookApiFp.apiClickupPost(options)(this.fetch, this.basePath);
    }
};

/**
 * ClickUpWebhookApi - factory interface
 */
export const ClickUpWebhookApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         */
        apiClickupPost(options?: any) {
            return ClickUpWebhookApiFp.apiClickupPost(options)(fetch, basePath);
        },
    };
};


/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - fetch parameter creator
 */
export const CloudCartServerlessDEPRECATED_DO_NOT_USEApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessGet(params: {  "authToken"?: string; "body"?: CloudCheckoutItem; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CloudCartServerless`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessPut(params: {  "authToken"?: string; "body"?: CloudCheckoutItem; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CloudCartServerless`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "PUT" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - functional programming interface
 */
export const CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessGet(params: { "authToken"?: string; "body"?: CloudCheckoutItem;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult> {
        const fetchArgs = CloudCartServerlessDEPRECATED_DO_NOT_USEApiFetchParamCreator.apiCloudCartServerlessGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessPut(params: { "authToken"?: string; "body"?: CloudCheckoutItem;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult> {
        const fetchArgs = CloudCartServerlessDEPRECATED_DO_NOT_USEApiFetchParamCreator.apiCloudCartServerlessPut(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - object-oriented interface
 */
export class CloudCartServerlessDEPRECATED_DO_NOT_USEApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessGet(params: {  "authToken"?: string; "body"?: CloudCheckoutItem; }, options?: any) {
        return CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp.apiCloudCartServerlessGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessPut(params: {  "authToken"?: string; "body"?: CloudCheckoutItem; }, options?: any) {
        return CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp.apiCloudCartServerlessPut(params, options)(this.fetch, this.basePath);
    }
};

/**
 * CloudCartServerlessDEPRECATED_DO_NOT_USEApi - factory interface
 */
export const CloudCartServerlessDEPRECATED_DO_NOT_USEApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiCloudCartServerlessGet(params: {  "authToken"?: string; "body"?: CloudCheckoutItem; }, options?: any) {
            return CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp.apiCloudCartServerlessGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiCloudCartServerlessPut(params: {  "authToken"?: string; "body"?: CloudCheckoutItem; }, options?: any) {
            return CloudCartServerlessDEPRECATED_DO_NOT_USEApiFp.apiCloudCartServerlessPut(params, options)(fetch, basePath);
        },
    };
};


/**
 * CloudCartServerlessV2Api - fetch parameter creator
 */
export const CloudCartServerlessV2ApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessV2Get(params: {  "authToken"?: string; "body"?: Array<CloudCheckoutItem>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CloudCartServerlessV2`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessV2Put(params: {  "authToken"?: string; "body"?: Array<CloudCheckoutItem>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CloudCartServerlessV2`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "PUT" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * CloudCartServerlessV2Api - functional programming interface
 */
export const CloudCartServerlessV2ApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessV2Get(params: { "authToken"?: string; "body"?: Array<CloudCheckoutItem>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult> {
        const fetchArgs = CloudCartServerlessV2ApiFetchParamCreator.apiCloudCartServerlessV2Get(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessV2Put(params: { "authToken"?: string; "body"?: Array<CloudCheckoutItem>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCheckoutItemListApiResult> {
        const fetchArgs = CloudCartServerlessV2ApiFetchParamCreator.apiCloudCartServerlessV2Put(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * CloudCartServerlessV2Api - object-oriented interface
 */
export class CloudCartServerlessV2Api extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessV2Get(params: {  "authToken"?: string; "body"?: Array<CloudCheckoutItem>; }, options?: any) {
        return CloudCartServerlessV2ApiFp.apiCloudCartServerlessV2Get(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCloudCartServerlessV2Put(params: {  "authToken"?: string; "body"?: Array<CloudCheckoutItem>; }, options?: any) {
        return CloudCartServerlessV2ApiFp.apiCloudCartServerlessV2Put(params, options)(this.fetch, this.basePath);
    }
};

/**
 * CloudCartServerlessV2Api - factory interface
 */
export const CloudCartServerlessV2ApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiCloudCartServerlessV2Get(params: {  "authToken"?: string; "body"?: Array<CloudCheckoutItem>; }, options?: any) {
            return CloudCartServerlessV2ApiFp.apiCloudCartServerlessV2Get(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiCloudCartServerlessV2Put(params: {  "authToken"?: string; "body"?: Array<CloudCheckoutItem>; }, options?: any) {
            return CloudCartServerlessV2ApiFp.apiCloudCartServerlessV2Put(params, options)(fetch, basePath);
        },
    };
};


/**
 * CloudCellarApi - fetch parameter creator
 */
export const CloudCellarApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param search 
     * @param varietal 
     * @param region 
     * @param appellation 
     * @param shipStatus 
     */
    apiCloudCellarGet(params: {  "id"?: string; "authToken"?: string; "search"?: string; "varietal"?: string; "region"?: string; "appellation"?: string; "shipStatus"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CloudCellar`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
            "search": params["search"],
            "varietal": params["varietal"],
            "region": params["region"],
            "appellation": params["appellation"],
            "shipStatus": params["shipStatus"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * CloudCellarApi - functional programming interface
 */
export const CloudCellarApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param search 
     * @param varietal 
     * @param region 
     * @param appellation 
     * @param shipStatus 
     */
    apiCloudCellarGet(params: { "id"?: string; "authToken"?: string; "search"?: string; "varietal"?: string; "region"?: string; "appellation"?: string; "shipStatus"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CloudCellarV2ApiResult> {
        const fetchArgs = CloudCellarApiFetchParamCreator.apiCloudCellarGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * CloudCellarApi - object-oriented interface
 */
export class CloudCellarApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param search 
     * @param varietal 
     * @param region 
     * @param appellation 
     * @param shipStatus 
     */
    apiCloudCellarGet(params: {  "id"?: string; "authToken"?: string; "search"?: string; "varietal"?: string; "region"?: string; "appellation"?: string; "shipStatus"?: string; }, options?: any) {
        return CloudCellarApiFp.apiCloudCellarGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * CloudCellarApi - factory interface
 */
export const CloudCellarApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         * @param search 
         * @param varietal 
         * @param region 
         * @param appellation 
         * @param shipStatus 
         */
        apiCloudCellarGet(params: {  "id"?: string; "authToken"?: string; "search"?: string; "varietal"?: string; "region"?: string; "appellation"?: string; "shipStatus"?: string; }, options?: any) {
            return CloudCellarApiFp.apiCloudCellarGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * CompShipmentApi - fetch parameter creator
 */
export const CompShipmentApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiCompShipmentGet(params: {  "id"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CompShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * CompShipmentApi - functional programming interface
 */
export const CompShipmentApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiCompShipmentGet(params: { "id"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StringListApiResult> {
        const fetchArgs = CompShipmentApiFetchParamCreator.apiCompShipmentGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * CompShipmentApi - object-oriented interface
 */
export class CompShipmentApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiCompShipmentGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
        return CompShipmentApiFp.apiCompShipmentGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * CompShipmentApi - factory interface
 */
export const CompShipmentApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         */
        apiCompShipmentGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
            return CompShipmentApiFp.apiCompShipmentGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * CreateManualShipmentApi - fetch parameter creator
 */
export const CreateManualShipmentApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCreateManualShipmentPost(params: {  "authToken"?: string; "body"?: ManualShipmentModel; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CreateManualShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * CreateManualShipmentApi - functional programming interface
 */
export const CreateManualShipmentApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCreateManualShipmentPost(params: { "authToken"?: string; "body"?: ManualShipmentModel;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult> {
        const fetchArgs = CreateManualShipmentApiFetchParamCreator.apiCreateManualShipmentPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * CreateManualShipmentApi - object-oriented interface
 */
export class CreateManualShipmentApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiCreateManualShipmentPost(params: {  "authToken"?: string; "body"?: ManualShipmentModel; }, options?: any) {
        return CreateManualShipmentApiFp.apiCreateManualShipmentPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * CreateManualShipmentApi - factory interface
 */
export const CreateManualShipmentApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiCreateManualShipmentPost(params: {  "authToken"?: string; "body"?: ManualShipmentModel; }, options?: any) {
            return CreateManualShipmentApiFp.apiCreateManualShipmentPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * CreateOrUpdateSubscriptionApi - fetch parameter creator
 */
export const CreateOrUpdateSubscriptionApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param orderGuid 
     * @param body 
     */
    apiCreateOrUpdateSubscriptionPost(params: {  "authToken"?: string; "orderGuid"?: string; "body"?: AutoSubscribeModel; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CreateOrUpdateSubscription`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "orderGuid": params["orderGuid"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param authToken 
     * @param orderGuid 
     * @param body 
     */
    apiCreateOrUpdateSubscriptionPut(params: {  "authToken"?: string; "orderGuid"?: string; "body"?: AutoSubscribeModel; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/CreateOrUpdateSubscription`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "orderGuid": params["orderGuid"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "PUT" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * CreateOrUpdateSubscriptionApi - functional programming interface
 */
export const CreateOrUpdateSubscriptionApiFp = {
    /**
     * 
     * @param authToken 
     * @param orderGuid 
     * @param body 
     */
    apiCreateOrUpdateSubscriptionPost(params: { "authToken"?: string; "orderGuid"?: string; "body"?: AutoSubscribeModel;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeModelApiResult> {
        const fetchArgs = CreateOrUpdateSubscriptionApiFetchParamCreator.apiCreateOrUpdateSubscriptionPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param authToken 
     * @param orderGuid 
     * @param body 
     */
    apiCreateOrUpdateSubscriptionPut(params: { "authToken"?: string; "orderGuid"?: string; "body"?: AutoSubscribeModel;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeModelApiResult> {
        const fetchArgs = CreateOrUpdateSubscriptionApiFetchParamCreator.apiCreateOrUpdateSubscriptionPut(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * CreateOrUpdateSubscriptionApi - object-oriented interface
 */
export class CreateOrUpdateSubscriptionApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param orderGuid 
     * @param body 
     */
    apiCreateOrUpdateSubscriptionPost(params: {  "authToken"?: string; "orderGuid"?: string; "body"?: AutoSubscribeModel; }, options?: any) {
        return CreateOrUpdateSubscriptionApiFp.apiCreateOrUpdateSubscriptionPost(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param authToken 
     * @param orderGuid 
     * @param body 
     */
    apiCreateOrUpdateSubscriptionPut(params: {  "authToken"?: string; "orderGuid"?: string; "body"?: AutoSubscribeModel; }, options?: any) {
        return CreateOrUpdateSubscriptionApiFp.apiCreateOrUpdateSubscriptionPut(params, options)(this.fetch, this.basePath);
    }
};

/**
 * CreateOrUpdateSubscriptionApi - factory interface
 */
export const CreateOrUpdateSubscriptionApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param orderGuid 
         * @param body 
         */
        apiCreateOrUpdateSubscriptionPost(params: {  "authToken"?: string; "orderGuid"?: string; "body"?: AutoSubscribeModel; }, options?: any) {
            return CreateOrUpdateSubscriptionApiFp.apiCreateOrUpdateSubscriptionPost(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param authToken 
         * @param orderGuid 
         * @param body 
         */
        apiCreateOrUpdateSubscriptionPut(params: {  "authToken"?: string; "orderGuid"?: string; "body"?: AutoSubscribeModel; }, options?: any) {
            return CreateOrUpdateSubscriptionApiFp.apiCreateOrUpdateSubscriptionPut(params, options)(fetch, basePath);
        },
    };
};


/**
 * DotmailerCampaignsDataApi - fetch parameter creator
 */
export const DotmailerCampaignsDataApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     */
    apiV3AdminDotmailerCampaignsGet(params: {  "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/DotmailerCampaigns`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * DotmailerCampaignsDataApi - functional programming interface
 */
export const DotmailerCampaignsDataApiFp = {
    /**
     * 
     * @param authToken 
     */
    apiV3AdminDotmailerCampaignsGet(params: { "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<EmailCampaignListApiResult> {
        const fetchArgs = DotmailerCampaignsDataApiFetchParamCreator.apiV3AdminDotmailerCampaignsGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * DotmailerCampaignsDataApi - object-oriented interface
 */
export class DotmailerCampaignsDataApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     */
    apiV3AdminDotmailerCampaignsGet(params: {  "authToken"?: string; }, options?: any) {
        return DotmailerCampaignsDataApiFp.apiV3AdminDotmailerCampaignsGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * DotmailerCampaignsDataApi - factory interface
 */
export const DotmailerCampaignsDataApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         */
        apiV3AdminDotmailerCampaignsGet(params: {  "authToken"?: string; }, options?: any) {
            return DotmailerCampaignsDataApiFp.apiV3AdminDotmailerCampaignsGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * FinalizeBatchApi - fetch parameter creator
 */
export const FinalizeBatchApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminFinalizeBatchPost(params: {  "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/finalizeBatch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * FinalizeBatchApi - functional programming interface
 */
export const FinalizeBatchApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminFinalizeBatchPost(params: { "authToken"?: string; "body"?: Array<ShipmentId>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentIdListApiResult> {
        const fetchArgs = FinalizeBatchApiFetchParamCreator.apiV3AdminFinalizeBatchPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * FinalizeBatchApi - object-oriented interface
 */
export class FinalizeBatchApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminFinalizeBatchPost(params: {  "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
        return FinalizeBatchApiFp.apiV3AdminFinalizeBatchPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * FinalizeBatchApi - factory interface
 */
export const FinalizeBatchApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiV3AdminFinalizeBatchPost(params: {  "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
            return FinalizeBatchApiFp.apiV3AdminFinalizeBatchPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * FindChargebackApi - fetch parameter creator
 */
export const FindChargebackApiFetchParamCreator = {
    /**
     * 
     * @param search 
     * @param authToken 
     */
    apiFindChargebackGet(params: {  "search"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/FindChargeback`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * FindChargebackApi - functional programming interface
 */
export const FindChargebackApiFp = {
    /**
     * 
     * @param search 
     * @param authToken 
     */
    apiFindChargebackGet(params: { "search"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ChargebackModelListApiResult> {
        const fetchArgs = FindChargebackApiFetchParamCreator.apiFindChargebackGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * FindChargebackApi - object-oriented interface
 */
export class FindChargebackApi extends BaseAPI {
    /**
     * 
     * @param search 
     * @param authToken 
     */
    apiFindChargebackGet(params: {  "search"?: string; "authToken"?: string; }, options?: any) {
        return FindChargebackApiFp.apiFindChargebackGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * FindChargebackApi - factory interface
 */
export const FindChargebackApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param search 
         * @param authToken 
         */
        apiFindChargebackGet(params: {  "search"?: string; "authToken"?: string; }, options?: any) {
            return FindChargebackApiFp.apiFindChargebackGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetAddressesByUserGuidOrEmailApi - fetch parameter creator
 */
export const GetAddressesByUserGuidOrEmailApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params: {  "id"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/GetAddressesByUserGuidOrEmail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetAddressesByUserGuidOrEmailApi - functional programming interface
 */
export const GetAddressesByUserGuidOrEmailApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params: { "id"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhAddressModelListApiResult> {
        const fetchArgs = GetAddressesByUserGuidOrEmailApiFetchParamCreator.apiV3GetAddressesByUserGuidOrEmailGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetAddressesByUserGuidOrEmailApi - object-oriented interface
 */
export class GetAddressesByUserGuidOrEmailApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiV3GetAddressesByUserGuidOrEmailGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
        return GetAddressesByUserGuidOrEmailApiFp.apiV3GetAddressesByUserGuidOrEmailGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetAddressesByUserGuidOrEmailApi - factory interface
 */
export const GetAddressesByUserGuidOrEmailApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         */
        apiV3GetAddressesByUserGuidOrEmailGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
            return GetAddressesByUserGuidOrEmailApiFp.apiV3GetAddressesByUserGuidOrEmailGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetAdminGiftListApi - fetch parameter creator
 */
export const GetAdminGiftListApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param id 
     */
    apiGetAdminGiftListGet(params: {  "authToken"?: string; "id"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/GetAdminGiftList`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetAdminGiftListApi - functional programming interface
 */
export const GetAdminGiftListApiFp = {
    /**
     * 
     * @param authToken 
     * @param id 
     */
    apiGetAdminGiftListGet(params: { "authToken"?: string; "id"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CodeWithOrderListApiResult> {
        const fetchArgs = GetAdminGiftListApiFetchParamCreator.apiGetAdminGiftListGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetAdminGiftListApi - object-oriented interface
 */
export class GetAdminGiftListApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param id 
     */
    apiGetAdminGiftListGet(params: {  "authToken"?: string; "id"?: string; }, options?: any) {
        return GetAdminGiftListApiFp.apiGetAdminGiftListGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetAdminGiftListApi - factory interface
 */
export const GetAdminGiftListApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param id 
         */
        apiGetAdminGiftListGet(params: {  "authToken"?: string; "id"?: string; }, options?: any) {
            return GetAdminGiftListApiFp.apiGetAdminGiftListGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - fetch parameter creator
 */
export const GetDotdigitalTriggeredCampaignExamplePayloadApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param id 
     * @param emailType 
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params: {  "authToken"?: string; "id"?: string; "emailType"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/GetDotdigitalTriggeredCampaignExamplePayload`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
            "emailType": params["emailType"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - functional programming interface
 */
export const GetDotdigitalTriggeredCampaignExamplePayloadApiFp = {
    /**
     * 
     * @param authToken 
     * @param id 
     * @param emailType 
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params: { "authToken"?: string; "id"?: string; "emailType"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StringPersonalizedValueListApiResult> {
        const fetchArgs = GetDotdigitalTriggeredCampaignExamplePayloadApiFetchParamCreator.apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - object-oriented interface
 */
export class GetDotdigitalTriggeredCampaignExamplePayloadApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param id 
     * @param emailType 
     */
    apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params: {  "authToken"?: string; "id"?: string; "emailType"?: string; }, options?: any) {
        return GetDotdigitalTriggeredCampaignExamplePayloadApiFp.apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetDotdigitalTriggeredCampaignExamplePayloadApi - factory interface
 */
export const GetDotdigitalTriggeredCampaignExamplePayloadApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param id 
         * @param emailType 
         */
        apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params: {  "authToken"?: string; "id"?: string; "emailType"?: string; }, options?: any) {
            return GetDotdigitalTriggeredCampaignExamplePayloadApiFp.apiV3AdminGetDotdigitalTriggeredCampaignExamplePayloadGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetGenericPeriodReportApi - fetch parameter creator
 */
export const GetGenericPeriodReportApiFetchParamCreator = {
    /**
     * 
     * @param report 
     * @param period 
     * @param nPeriods 
     * @param authToken 
     */
    apiApiAdminReportGenericPeriodReportGet(params: {  "report"?: string; "period"?: string; "nPeriods"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/api/admin/report/generic-period-report`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "report": params["report"],
            "period": params["period"],
            "nPeriods": params["nPeriods"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetGenericPeriodReportApi - functional programming interface
 */
export const GetGenericPeriodReportApiFp = {
    /**
     * 
     * @param report 
     * @param period 
     * @param nPeriods 
     * @param authToken 
     */
    apiApiAdminReportGenericPeriodReportGet(params: { "report"?: string; "period"?: string; "nPeriods"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<PurchMetricListApiResult> {
        const fetchArgs = GetGenericPeriodReportApiFetchParamCreator.apiApiAdminReportGenericPeriodReportGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetGenericPeriodReportApi - object-oriented interface
 */
export class GetGenericPeriodReportApi extends BaseAPI {
    /**
     * 
     * @param report 
     * @param period 
     * @param nPeriods 
     * @param authToken 
     */
    apiApiAdminReportGenericPeriodReportGet(params: {  "report"?: string; "period"?: string; "nPeriods"?: string; "authToken"?: string; }, options?: any) {
        return GetGenericPeriodReportApiFp.apiApiAdminReportGenericPeriodReportGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetGenericPeriodReportApi - factory interface
 */
export const GetGenericPeriodReportApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param report 
         * @param period 
         * @param nPeriods 
         * @param authToken 
         */
        apiApiAdminReportGenericPeriodReportGet(params: {  "report"?: string; "period"?: string; "nPeriods"?: string; "authToken"?: string; }, options?: any) {
            return GetGenericPeriodReportApiFp.apiApiAdminReportGenericPeriodReportGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetMetricsForMonthApi - fetch parameter creator
 */
export const GetMetricsForMonthApiFetchParamCreator = {
    /**
     * 
     * @param period 
     * @param authToken 
     */
    apiApiAdminReportMonthlyNorthStarGet(params: {  "period"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/api/admin/report/monthly-north-star`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "period": params["period"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetMetricsForMonthApi - functional programming interface
 */
export const GetMetricsForMonthApiFp = {
    /**
     * 
     * @param period 
     * @param authToken 
     */
    apiApiAdminReportMonthlyNorthStarGet(params: { "period"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<StringDecimalDictionaryApiResult> {
        const fetchArgs = GetMetricsForMonthApiFetchParamCreator.apiApiAdminReportMonthlyNorthStarGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetMetricsForMonthApi - object-oriented interface
 */
export class GetMetricsForMonthApi extends BaseAPI {
    /**
     * 
     * @param period 
     * @param authToken 
     */
    apiApiAdminReportMonthlyNorthStarGet(params: {  "period"?: string; "authToken"?: string; }, options?: any) {
        return GetMetricsForMonthApiFp.apiApiAdminReportMonthlyNorthStarGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetMetricsForMonthApi - factory interface
 */
export const GetMetricsForMonthApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param period 
         * @param authToken 
         */
        apiApiAdminReportMonthlyNorthStarGet(params: {  "period"?: string; "authToken"?: string; }, options?: any) {
            return GetMetricsForMonthApiFp.apiApiAdminReportMonthlyNorthStarGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetSessionGiftListApi - fetch parameter creator
 */
export const GetSessionGiftListApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     */
    apiGetSessionGiftListGet(params: {  "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/GetSessionGiftList`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetSessionGiftListApi - functional programming interface
 */
export const GetSessionGiftListApiFp = {
    /**
     * 
     * @param authToken 
     */
    apiGetSessionGiftListGet(params: { "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CodeWithOrderListApiResult> {
        const fetchArgs = GetSessionGiftListApiFetchParamCreator.apiGetSessionGiftListGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetSessionGiftListApi - object-oriented interface
 */
export class GetSessionGiftListApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     */
    apiGetSessionGiftListGet(params: {  "authToken"?: string; }, options?: any) {
        return GetSessionGiftListApiFp.apiGetSessionGiftListGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetSessionGiftListApi - factory interface
 */
export const GetSessionGiftListApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         */
        apiGetSessionGiftListGet(params: {  "authToken"?: string; }, options?: any) {
            return GetSessionGiftListApiFp.apiGetSessionGiftListGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetShipmentsByUserApi - fetch parameter creator
 */
export const GetShipmentsByUserApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiGetShipmentsByUserGet(params: {  "id"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/GetShipmentsByUser`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetShipmentsByUserApi - functional programming interface
 */
export const GetShipmentsByUserApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiGetShipmentsByUserGet(params: { "id"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OrderViewModelListApiResult> {
        const fetchArgs = GetShipmentsByUserApiFetchParamCreator.apiGetShipmentsByUserGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetShipmentsByUserApi - object-oriented interface
 */
export class GetShipmentsByUserApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiGetShipmentsByUserGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
        return GetShipmentsByUserApiFp.apiGetShipmentsByUserGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetShipmentsByUserApi - factory interface
 */
export const GetShipmentsByUserApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         */
        apiGetShipmentsByUserGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
            return GetShipmentsByUserApiFp.apiGetShipmentsByUserGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetShippingKeyMetricsWeeklyApi - fetch parameter creator
 */
export const GetShippingKeyMetricsWeeklyApiFetchParamCreator = {
    /**
     * 
     * @param startDate 
     * @param detailed 
     * @param authToken 
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params: {  "startDate"?: string; "detailed"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/api/admin/report/shipping-key-metrics-weekly`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "startDate": params["startDate"],
            "detailed": params["detailed"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetShippingKeyMetricsWeeklyApi - functional programming interface
 */
export const GetShippingKeyMetricsWeeklyApiFp = {
    /**
     * 
     * @param startDate 
     * @param detailed 
     * @param authToken 
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params: { "startDate"?: string; "detailed"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentReportingWeekListApiResult> {
        const fetchArgs = GetShippingKeyMetricsWeeklyApiFetchParamCreator.apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetShippingKeyMetricsWeeklyApi - object-oriented interface
 */
export class GetShippingKeyMetricsWeeklyApi extends BaseAPI {
    /**
     * 
     * @param startDate 
     * @param detailed 
     * @param authToken 
     */
    apiApiAdminReportShippingKeyMetricsWeeklyGet(params: {  "startDate"?: string; "detailed"?: string; "authToken"?: string; }, options?: any) {
        return GetShippingKeyMetricsWeeklyApiFp.apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetShippingKeyMetricsWeeklyApi - factory interface
 */
export const GetShippingKeyMetricsWeeklyApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param startDate 
         * @param detailed 
         * @param authToken 
         */
        apiApiAdminReportShippingKeyMetricsWeeklyGet(params: {  "startDate"?: string; "detailed"?: string; "authToken"?: string; }, options?: any) {
            return GetShippingKeyMetricsWeeklyApiFp.apiApiAdminReportShippingKeyMetricsWeeklyGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetSubscriptionFromOrderApi - fetch parameter creator
 */
export const GetSubscriptionFromOrderApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiGetSubscriptionFromOrderGet(params: {  "id"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/GetSubscriptionFromOrder`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetSubscriptionFromOrderApi - functional programming interface
 */
export const GetSubscriptionFromOrderApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiGetSubscriptionFromOrderGet(params: { "id"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeModelApiResult> {
        const fetchArgs = GetSubscriptionFromOrderApiFetchParamCreator.apiGetSubscriptionFromOrderGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetSubscriptionFromOrderApi - object-oriented interface
 */
export class GetSubscriptionFromOrderApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiGetSubscriptionFromOrderGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
        return GetSubscriptionFromOrderApiFp.apiGetSubscriptionFromOrderGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetSubscriptionFromOrderApi - factory interface
 */
export const GetSubscriptionFromOrderApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         */
        apiGetSubscriptionFromOrderGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
            return GetSubscriptionFromOrderApiFp.apiGetSubscriptionFromOrderGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetSubscriptionsByUserApi - fetch parameter creator
 */
export const GetSubscriptionsByUserApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiGetSubscriptionsByUserGet(params: {  "id"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/GetSubscriptionsByUser`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetSubscriptionsByUserApi - functional programming interface
 */
export const GetSubscriptionsByUserApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiGetSubscriptionsByUserGet(params: { "id"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeModelListApiResult> {
        const fetchArgs = GetSubscriptionsByUserApiFetchParamCreator.apiGetSubscriptionsByUserGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetSubscriptionsByUserApi - object-oriented interface
 */
export class GetSubscriptionsByUserApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiGetSubscriptionsByUserGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
        return GetSubscriptionsByUserApiFp.apiGetSubscriptionsByUserGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetSubscriptionsByUserApi - factory interface
 */
export const GetSubscriptionsByUserApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         */
        apiGetSubscriptionsByUserGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
            return GetSubscriptionsByUserApiFp.apiGetSubscriptionsByUserGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetSupplierApi - fetch parameter creator
 */
export const GetSupplierApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     */
    apiV3AdminSupplierGet(params: {  "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/supplier`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetSupplierApi - functional programming interface
 */
export const GetSupplierApiFp = {
    /**
     * 
     * @param authToken 
     */
    apiV3AdminSupplierGet(params: { "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierListApiResult> {
        const fetchArgs = GetSupplierApiFetchParamCreator.apiV3AdminSupplierGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetSupplierApi - object-oriented interface
 */
export class GetSupplierApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     */
    apiV3AdminSupplierGet(params: {  "authToken"?: string; }, options?: any) {
        return GetSupplierApiFp.apiV3AdminSupplierGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetSupplierApi - factory interface
 */
export const GetSupplierApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         */
        apiV3AdminSupplierGet(params: {  "authToken"?: string; }, options?: any) {
            return GetSupplierApiFp.apiV3AdminSupplierGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetTopPromoCreditUsersApi - fetch parameter creator
 */
export const GetTopPromoCreditUsersApiFetchParamCreator = {
    /**
     * 
     * @param period 
     * @param nPeriods 
     * @param authToken 
     */
    apiApiAdminReportPromoCreditUsersGet(params: {  "period"?: string; "nPeriods"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/api/admin/report/promo-credit-users`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "period": params["period"],
            "nPeriods": params["nPeriods"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetTopPromoCreditUsersApi - functional programming interface
 */
export const GetTopPromoCreditUsersApiFp = {
    /**
     * 
     * @param period 
     * @param nPeriods 
     * @param authToken 
     */
    apiApiAdminReportPromoCreditUsersGet(params: { "period"?: string; "nPeriods"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<PurchMetricListApiResult> {
        const fetchArgs = GetTopPromoCreditUsersApiFetchParamCreator.apiApiAdminReportPromoCreditUsersGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetTopPromoCreditUsersApi - object-oriented interface
 */
export class GetTopPromoCreditUsersApi extends BaseAPI {
    /**
     * 
     * @param period 
     * @param nPeriods 
     * @param authToken 
     */
    apiApiAdminReportPromoCreditUsersGet(params: {  "period"?: string; "nPeriods"?: string; "authToken"?: string; }, options?: any) {
        return GetTopPromoCreditUsersApiFp.apiApiAdminReportPromoCreditUsersGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetTopPromoCreditUsersApi - factory interface
 */
export const GetTopPromoCreditUsersApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param period 
         * @param nPeriods 
         * @param authToken 
         */
        apiApiAdminReportPromoCreditUsersGet(params: {  "period"?: string; "nPeriods"?: string; "authToken"?: string; }, options?: any) {
            return GetTopPromoCreditUsersApiFp.apiApiAdminReportPromoCreditUsersGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetUpdatedTrackingApi - fetch parameter creator
 */
export const GetUpdatedTrackingApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param id 
     */
    apiV3AdminGetUpdatedTrackingGet(params: {  "authToken"?: string; "id"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/GetUpdatedTracking`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetUpdatedTrackingApi - functional programming interface
 */
export const GetUpdatedTrackingApiFp = {
    /**
     * 
     * @param authToken 
     * @param id 
     */
    apiV3AdminGetUpdatedTrackingGet(params: { "authToken"?: string; "id"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<GuidTrackingInfoDictionaryApiResult> {
        const fetchArgs = GetUpdatedTrackingApiFetchParamCreator.apiV3AdminGetUpdatedTrackingGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetUpdatedTrackingApi - object-oriented interface
 */
export class GetUpdatedTrackingApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param id 
     */
    apiV3AdminGetUpdatedTrackingGet(params: {  "authToken"?: string; "id"?: string; }, options?: any) {
        return GetUpdatedTrackingApiFp.apiV3AdminGetUpdatedTrackingGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetUpdatedTrackingApi - factory interface
 */
export const GetUpdatedTrackingApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param id 
         */
        apiV3AdminGetUpdatedTrackingGet(params: {  "authToken"?: string; "id"?: string; }, options?: any) {
            return GetUpdatedTrackingApiFp.apiV3AdminGetUpdatedTrackingGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * GetUsersMatchingBucketApi - fetch parameter creator
 */
export const GetUsersMatchingBucketApiFetchParamCreator = {
    /**
     * 
     * @param search 
     * @param authToken 
     */
    apiGetUsersMatchingBucketGet(params: {  "search"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/GetUsersMatchingBucket`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "search": params["search"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * GetUsersMatchingBucketApi - functional programming interface
 */
export const GetUsersMatchingBucketApiFp = {
    /**
     * 
     * @param search 
     * @param authToken 
     */
    apiGetUsersMatchingBucketGet(params: { "search"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AutoSubscribeWithUserModelListApiResult> {
        const fetchArgs = GetUsersMatchingBucketApiFetchParamCreator.apiGetUsersMatchingBucketGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * GetUsersMatchingBucketApi - object-oriented interface
 */
export class GetUsersMatchingBucketApi extends BaseAPI {
    /**
     * 
     * @param search 
     * @param authToken 
     */
    apiGetUsersMatchingBucketGet(params: {  "search"?: string; "authToken"?: string; }, options?: any) {
        return GetUsersMatchingBucketApiFp.apiGetUsersMatchingBucketGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * GetUsersMatchingBucketApi - factory interface
 */
export const GetUsersMatchingBucketApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param search 
         * @param authToken 
         */
        apiGetUsersMatchingBucketGet(params: {  "search"?: string; "authToken"?: string; }, options?: any) {
            return GetUsersMatchingBucketApiFp.apiGetUsersMatchingBucketGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * HandleBatchApi - fetch parameter creator
 */
export const HandleBatchApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiBatchGet(params: {  "id"?: string; "authToken"?: string; "body"?: BatchInfo; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/batch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiBatchPost(params: {  "id"?: string; "authToken"?: string; "body"?: BatchInfo; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/batch`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * HandleBatchApi - functional programming interface
 */
export const HandleBatchApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiBatchGet(params: { "id"?: string; "authToken"?: string; "body"?: BatchInfo;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchInfoListApiResult> {
        const fetchArgs = HandleBatchApiFetchParamCreator.apiBatchGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiBatchPost(params: { "id"?: string; "authToken"?: string; "body"?: BatchInfo;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BatchInfoListApiResult> {
        const fetchArgs = HandleBatchApiFetchParamCreator.apiBatchPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * HandleBatchApi - object-oriented interface
 */
export class HandleBatchApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiBatchGet(params: {  "id"?: string; "authToken"?: string; "body"?: BatchInfo; }, options?: any) {
        return HandleBatchApiFp.apiBatchGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param id 
     * @param authToken 
     * @param body 
     */
    apiBatchPost(params: {  "id"?: string; "authToken"?: string; "body"?: BatchInfo; }, options?: any) {
        return HandleBatchApiFp.apiBatchPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * HandleBatchApi - factory interface
 */
export const HandleBatchApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         * @param body 
         */
        apiBatchGet(params: {  "id"?: string; "authToken"?: string; "body"?: BatchInfo; }, options?: any) {
            return HandleBatchApiFp.apiBatchGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param id 
         * @param authToken 
         * @param body 
         */
        apiBatchPost(params: {  "id"?: string; "authToken"?: string; "body"?: BatchInfo; }, options?: any) {
            return HandleBatchApiFp.apiBatchPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * HandleCmsApi - fetch parameter creator
 */
export const HandleCmsApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param body 
     */
    apiContentGet(params: {  "id"?: string; "body"?: TransactionalEmailModel; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/content`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param id 
     * @param body 
     */
    apiContentPost(params: {  "id"?: string; "body"?: TransactionalEmailModel; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/content`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * HandleCmsApi - functional programming interface
 */
export const HandleCmsApiFp = {
    /**
     * 
     * @param id 
     * @param body 
     */
    apiContentGet(params: { "id"?: string; "body"?: TransactionalEmailModel;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<TransactionalEmailModelListApiResult> {
        const fetchArgs = HandleCmsApiFetchParamCreator.apiContentGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param id 
     * @param body 
     */
    apiContentPost(params: { "id"?: string; "body"?: TransactionalEmailModel;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<TransactionalEmailModelListApiResult> {
        const fetchArgs = HandleCmsApiFetchParamCreator.apiContentPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * HandleCmsApi - object-oriented interface
 */
export class HandleCmsApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param body 
     */
    apiContentGet(params: {  "id"?: string; "body"?: TransactionalEmailModel; }, options?: any) {
        return HandleCmsApiFp.apiContentGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param id 
     * @param body 
     */
    apiContentPost(params: {  "id"?: string; "body"?: TransactionalEmailModel; }, options?: any) {
        return HandleCmsApiFp.apiContentPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * HandleCmsApi - factory interface
 */
export const HandleCmsApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param body 
         */
        apiContentGet(params: {  "id"?: string; "body"?: TransactionalEmailModel; }, options?: any) {
            return HandleCmsApiFp.apiContentGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param id 
         * @param body 
         */
        apiContentPost(params: {  "id"?: string; "body"?: TransactionalEmailModel; }, options?: any) {
            return HandleCmsApiFp.apiContentPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * HandleInventoryApi - fetch parameter creator
 */
export const HandleInventoryApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param stockUpdateMode 
     * @param backgroundJob 
     * @param body 
     */
    apiSkuInventoryGet(params: {  "id"?: string; "authToken"?: string; "stockUpdateMode"?: string; "backgroundJob"?: string; "body"?: Array<Inventory>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/sku/inventory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
            "stockUpdateMode": params["stockUpdateMode"],
            "backgroundJob": params["backgroundJob"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param stockUpdateMode 
     * @param backgroundJob 
     * @param body 
     */
    apiSkuInventoryPost(params: {  "id"?: string; "authToken"?: string; "stockUpdateMode"?: string; "backgroundJob"?: string; "body"?: Array<Inventory>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/sku/inventory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
            "stockUpdateMode": params["stockUpdateMode"],
            "backgroundJob": params["backgroundJob"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * HandleInventoryApi - functional programming interface
 */
export const HandleInventoryApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param stockUpdateMode 
     * @param backgroundJob 
     * @param body 
     */
    apiSkuInventoryGet(params: { "id"?: string; "authToken"?: string; "stockUpdateMode"?: string; "backgroundJob"?: string; "body"?: Array<Inventory>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryListApiResult> {
        const fetchArgs = HandleInventoryApiFetchParamCreator.apiSkuInventoryGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param id 
     * @param authToken 
     * @param stockUpdateMode 
     * @param backgroundJob 
     * @param body 
     */
    apiSkuInventoryPost(params: { "id"?: string; "authToken"?: string; "stockUpdateMode"?: string; "backgroundJob"?: string; "body"?: Array<Inventory>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryListApiResult> {
        const fetchArgs = HandleInventoryApiFetchParamCreator.apiSkuInventoryPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * HandleInventoryApi - object-oriented interface
 */
export class HandleInventoryApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     * @param stockUpdateMode 
     * @param backgroundJob 
     * @param body 
     */
    apiSkuInventoryGet(params: {  "id"?: string; "authToken"?: string; "stockUpdateMode"?: string; "backgroundJob"?: string; "body"?: Array<Inventory>; }, options?: any) {
        return HandleInventoryApiFp.apiSkuInventoryGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param id 
     * @param authToken 
     * @param stockUpdateMode 
     * @param backgroundJob 
     * @param body 
     */
    apiSkuInventoryPost(params: {  "id"?: string; "authToken"?: string; "stockUpdateMode"?: string; "backgroundJob"?: string; "body"?: Array<Inventory>; }, options?: any) {
        return HandleInventoryApiFp.apiSkuInventoryPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * HandleInventoryApi - factory interface
 */
export const HandleInventoryApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         * @param stockUpdateMode 
         * @param backgroundJob 
         * @param body 
         */
        apiSkuInventoryGet(params: {  "id"?: string; "authToken"?: string; "stockUpdateMode"?: string; "backgroundJob"?: string; "body"?: Array<Inventory>; }, options?: any) {
            return HandleInventoryApiFp.apiSkuInventoryGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param id 
         * @param authToken 
         * @param stockUpdateMode 
         * @param backgroundJob 
         * @param body 
         */
        apiSkuInventoryPost(params: {  "id"?: string; "authToken"?: string; "stockUpdateMode"?: string; "backgroundJob"?: string; "body"?: Array<Inventory>; }, options?: any) {
            return HandleInventoryApiFp.apiSkuInventoryPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * HandleInventoryHoldingShipmentApi - fetch parameter creator
 */
export const HandleInventoryHoldingShipmentApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     */
    apiSkuHandleInventoryHoldingShipmentGet(params: {  "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/sku/HandleInventoryHoldingShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * HandleInventoryHoldingShipmentApi - functional programming interface
 */
export const HandleInventoryHoldingShipmentApiFp = {
    /**
     * 
     * @param authToken 
     */
    apiSkuHandleInventoryHoldingShipmentGet(params: { "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryHoldingShipmentListApiResult> {
        const fetchArgs = HandleInventoryHoldingShipmentApiFetchParamCreator.apiSkuHandleInventoryHoldingShipmentGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * HandleInventoryHoldingShipmentApi - object-oriented interface
 */
export class HandleInventoryHoldingShipmentApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     */
    apiSkuHandleInventoryHoldingShipmentGet(params: {  "authToken"?: string; }, options?: any) {
        return HandleInventoryHoldingShipmentApiFp.apiSkuHandleInventoryHoldingShipmentGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * HandleInventoryHoldingShipmentApi - factory interface
 */
export const HandleInventoryHoldingShipmentApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         */
        apiSkuHandleInventoryHoldingShipmentGet(params: {  "authToken"?: string; }, options?: any) {
            return HandleInventoryHoldingShipmentApiFp.apiSkuHandleInventoryHoldingShipmentGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * HandleNpsApi - fetch parameter creator
 */
export const HandleNpsApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param body 
     */
    apiNpsGet(params: {  "id"?: string; "body"?: NpsScore; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/nps`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param id 
     * @param body 
     */
    apiNpsPost(params: {  "id"?: string; "body"?: NpsScore; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/nps`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * HandleNpsApi - functional programming interface
 */
export const HandleNpsApiFp = {
    /**
     * 
     * @param id 
     * @param body 
     */
    apiNpsGet(params: { "id"?: string; "body"?: NpsScore;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NpsScoreListApiResult> {
        const fetchArgs = HandleNpsApiFetchParamCreator.apiNpsGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param id 
     * @param body 
     */
    apiNpsPost(params: { "id"?: string; "body"?: NpsScore;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NpsScoreListApiResult> {
        const fetchArgs = HandleNpsApiFetchParamCreator.apiNpsPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * HandleNpsApi - object-oriented interface
 */
export class HandleNpsApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param body 
     */
    apiNpsGet(params: {  "id"?: string; "body"?: NpsScore; }, options?: any) {
        return HandleNpsApiFp.apiNpsGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param id 
     * @param body 
     */
    apiNpsPost(params: {  "id"?: string; "body"?: NpsScore; }, options?: any) {
        return HandleNpsApiFp.apiNpsPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * HandleNpsApi - factory interface
 */
export const HandleNpsApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param body 
         */
        apiNpsGet(params: {  "id"?: string; "body"?: NpsScore; }, options?: any) {
            return HandleNpsApiFp.apiNpsGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param id 
         * @param body 
         */
        apiNpsPost(params: {  "id"?: string; "body"?: NpsScore; }, options?: any) {
            return HandleNpsApiFp.apiNpsPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * IdentifyIdentifierApi - fetch parameter creator
 */
export const IdentifyIdentifierApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiIdentifyIdentifierPost(params: {  "authToken"?: string; "body"?: IdentifyIdentifierPayload; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/identifyIdentifier`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * IdentifyIdentifierApi - functional programming interface
 */
export const IdentifyIdentifierApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiIdentifyIdentifierPost(params: { "authToken"?: string; "body"?: IdentifyIdentifierPayload;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<CustomerSupportActionListApiResult> {
        const fetchArgs = IdentifyIdentifierApiFetchParamCreator.apiIdentifyIdentifierPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * IdentifyIdentifierApi - object-oriented interface
 */
export class IdentifyIdentifierApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiIdentifyIdentifierPost(params: {  "authToken"?: string; "body"?: IdentifyIdentifierPayload; }, options?: any) {
        return IdentifyIdentifierApiFp.apiIdentifyIdentifierPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * IdentifyIdentifierApi - factory interface
 */
export const IdentifyIdentifierApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiIdentifyIdentifierPost(params: {  "authToken"?: string; "body"?: IdentifyIdentifierPayload; }, options?: any) {
            return IdentifyIdentifierApiFp.apiIdentifyIdentifierPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * InventoryPerShipmentIdApi - fetch parameter creator
 */
export const InventoryPerShipmentIdApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiInventoryPerShipmentIdGet(params: {  "id"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/InventoryPerShipmentId`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * InventoryPerShipmentIdApi - functional programming interface
 */
export const InventoryPerShipmentIdApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiInventoryPerShipmentIdGet(params: { "id"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SkuHistoryListApiResult> {
        const fetchArgs = InventoryPerShipmentIdApiFetchParamCreator.apiInventoryPerShipmentIdGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * InventoryPerShipmentIdApi - object-oriented interface
 */
export class InventoryPerShipmentIdApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiInventoryPerShipmentIdGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
        return InventoryPerShipmentIdApiFp.apiInventoryPerShipmentIdGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * InventoryPerShipmentIdApi - factory interface
 */
export const InventoryPerShipmentIdApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         */
        apiInventoryPerShipmentIdGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
            return InventoryPerShipmentIdApiFp.apiInventoryPerShipmentIdGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * InventoryTransferApi - fetch parameter creator
 */
export const InventoryTransferApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param id 
     * @param body 
     */
    apiInventoryTransferGet(params: {  "authToken"?: string; "id"?: string; "body"?: NhTransfer; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/inventoryTransfer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param authToken 
     * @param id 
     * @param body 
     */
    apiInventoryTransferPost(params: {  "authToken"?: string; "id"?: string; "body"?: NhTransfer; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/inventoryTransfer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * InventoryTransferApi - functional programming interface
 */
export const InventoryTransferApiFp = {
    /**
     * 
     * @param authToken 
     * @param id 
     * @param body 
     */
    apiInventoryTransferGet(params: { "authToken"?: string; "id"?: string; "body"?: NhTransfer;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhTransferApiResult> {
        const fetchArgs = InventoryTransferApiFetchParamCreator.apiInventoryTransferGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param authToken 
     * @param id 
     * @param body 
     */
    apiInventoryTransferPost(params: { "authToken"?: string; "id"?: string; "body"?: NhTransfer;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhTransferApiResult> {
        const fetchArgs = InventoryTransferApiFetchParamCreator.apiInventoryTransferPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * InventoryTransferApi - object-oriented interface
 */
export class InventoryTransferApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param id 
     * @param body 
     */
    apiInventoryTransferGet(params: {  "authToken"?: string; "id"?: string; "body"?: NhTransfer; }, options?: any) {
        return InventoryTransferApiFp.apiInventoryTransferGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param authToken 
     * @param id 
     * @param body 
     */
    apiInventoryTransferPost(params: {  "authToken"?: string; "id"?: string; "body"?: NhTransfer; }, options?: any) {
        return InventoryTransferApiFp.apiInventoryTransferPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * InventoryTransferApi - factory interface
 */
export const InventoryTransferApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param id 
         * @param body 
         */
        apiInventoryTransferGet(params: {  "authToken"?: string; "id"?: string; "body"?: NhTransfer; }, options?: any) {
            return InventoryTransferApiFp.apiInventoryTransferGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param authToken 
         * @param id 
         * @param body 
         */
        apiInventoryTransferPost(params: {  "authToken"?: string; "id"?: string; "body"?: NhTransfer; }, options?: any) {
            return InventoryTransferApiFp.apiInventoryTransferPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * LinkHistoryItemApi - fetch parameter creator
 */
export const LinkHistoryItemApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param xiGuid 
     * @param skuHistoryGuid 
     */
    apiTransferItemLinkHistoryDelete(params: {  "authToken"?: string; "xiGuid"?: string; "skuHistoryGuid"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/transferItem/linkHistory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "xiGuid": params["xiGuid"],
            "skuHistoryGuid": params["skuHistoryGuid"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "DELETE" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param authToken 
     * @param xiGuid 
     * @param skuHistoryGuid 
     */
    apiTransferItemLinkHistoryGet(params: {  "authToken"?: string; "xiGuid"?: string; "skuHistoryGuid"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/transferItem/linkHistory`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "xiGuid": params["xiGuid"],
            "skuHistoryGuid": params["skuHistoryGuid"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * LinkHistoryItemApi - functional programming interface
 */
export const LinkHistoryItemApiFp = {
    /**
     * 
     * @param authToken 
     * @param xiGuid 
     * @param skuHistoryGuid 
     */
    apiTransferItemLinkHistoryDelete(params: { "authToken"?: string; "xiGuid"?: string; "skuHistoryGuid"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult> {
        const fetchArgs = LinkHistoryItemApiFetchParamCreator.apiTransferItemLinkHistoryDelete(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param authToken 
     * @param xiGuid 
     * @param skuHistoryGuid 
     */
    apiTransferItemLinkHistoryGet(params: { "authToken"?: string; "xiGuid"?: string; "skuHistoryGuid"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult> {
        const fetchArgs = LinkHistoryItemApiFetchParamCreator.apiTransferItemLinkHistoryGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * LinkHistoryItemApi - object-oriented interface
 */
export class LinkHistoryItemApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param xiGuid 
     * @param skuHistoryGuid 
     */
    apiTransferItemLinkHistoryDelete(params: {  "authToken"?: string; "xiGuid"?: string; "skuHistoryGuid"?: string; }, options?: any) {
        return LinkHistoryItemApiFp.apiTransferItemLinkHistoryDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param authToken 
     * @param xiGuid 
     * @param skuHistoryGuid 
     */
    apiTransferItemLinkHistoryGet(params: {  "authToken"?: string; "xiGuid"?: string; "skuHistoryGuid"?: string; }, options?: any) {
        return LinkHistoryItemApiFp.apiTransferItemLinkHistoryGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * LinkHistoryItemApi - factory interface
 */
export const LinkHistoryItemApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param xiGuid 
         * @param skuHistoryGuid 
         */
        apiTransferItemLinkHistoryDelete(params: {  "authToken"?: string; "xiGuid"?: string; "skuHistoryGuid"?: string; }, options?: any) {
            return LinkHistoryItemApiFp.apiTransferItemLinkHistoryDelete(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param authToken 
         * @param xiGuid 
         * @param skuHistoryGuid 
         */
        apiTransferItemLinkHistoryGet(params: {  "authToken"?: string; "xiGuid"?: string; "skuHistoryGuid"?: string; }, options?: any) {
            return LinkHistoryItemApiFp.apiTransferItemLinkHistoryGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * MakeSiteMapApi - fetch parameter creator
 */
export const MakeSiteMapApiFetchParamCreator = {
    /**
     * 
     */
    apiSitemapXmlGet(options?: any): FetchArgs {
        const baseUrl = `/azapi/sitemap.xml`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * MakeSiteMapApi - functional programming interface
 */
export const MakeSiteMapApiFp = {
    /**
     * 
     */
    apiSitemapXmlGet(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any> {
        const fetchArgs = MakeSiteMapApiFetchParamCreator.apiSitemapXmlGet(options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * MakeSiteMapApi - object-oriented interface
 */
export class MakeSiteMapApi extends BaseAPI {
    /**
     * 
     */
    apiSitemapXmlGet(options?: any) {
        return MakeSiteMapApiFp.apiSitemapXmlGet(options)(this.fetch, this.basePath);
    }
};

/**
 * MakeSiteMapApi - factory interface
 */
export const MakeSiteMapApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         */
        apiSitemapXmlGet(options?: any) {
            return MakeSiteMapApiFp.apiSitemapXmlGet(options)(fetch, basePath);
        },
    };
};


/**
 * OfferLambdaApi - fetch parameter creator
 */
export const OfferLambdaApiFetchParamCreator = {
    /**
     * 
     * @param offerSef 
     * @param skip 
     * @param take 
     * @param forcePopulate 
     * @param filter 
     * @param authToken 
     * @param body 
     */
    apiV4offerGet(params: {  "offerSef"?: string; "skip"?: string; "take"?: string; "forcePopulate"?: string; "filter"?: string; "authToken"?: string; "body"?: BatchInfo; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v4offer`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "offerSef": params["offerSef"],
            "skip": params["skip"],
            "take": params["take"],
            "forcePopulate": params["forcePopulate"],
            "filter": params["filter"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * OfferLambdaApi - functional programming interface
 */
export const OfferLambdaApiFp = {
    /**
     * 
     * @param offerSef 
     * @param skip 
     * @param take 
     * @param forcePopulate 
     * @param filter 
     * @param authToken 
     * @param body 
     */
    apiV4offerGet(params: { "offerSef"?: string; "skip"?: string; "take"?: string; "forcePopulate"?: string; "filter"?: string; "authToken"?: string; "body"?: BatchInfo;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferInfoListApiResult> {
        const fetchArgs = OfferLambdaApiFetchParamCreator.apiV4offerGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * OfferLambdaApi - object-oriented interface
 */
export class OfferLambdaApi extends BaseAPI {
    /**
     * 
     * @param offerSef 
     * @param skip 
     * @param take 
     * @param forcePopulate 
     * @param filter 
     * @param authToken 
     * @param body 
     */
    apiV4offerGet(params: {  "offerSef"?: string; "skip"?: string; "take"?: string; "forcePopulate"?: string; "filter"?: string; "authToken"?: string; "body"?: BatchInfo; }, options?: any) {
        return OfferLambdaApiFp.apiV4offerGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * OfferLambdaApi - factory interface
 */
export const OfferLambdaApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param offerSef 
         * @param skip 
         * @param take 
         * @param forcePopulate 
         * @param filter 
         * @param authToken 
         * @param body 
         */
        apiV4offerGet(params: {  "offerSef"?: string; "skip"?: string; "take"?: string; "forcePopulate"?: string; "filter"?: string; "authToken"?: string; "body"?: BatchInfo; }, options?: any) {
            return OfferLambdaApiFp.apiV4offerGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * OffersReservingSkuApi - fetch parameter creator
 */
export const OffersReservingSkuApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiOffersReservingSkuGet(params: {  "id"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/OffersReservingSku`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * OffersReservingSkuApi - functional programming interface
 */
export const OffersReservingSkuApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiOffersReservingSkuGet(params: { "id"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SkuReservedListApiResult> {
        const fetchArgs = OffersReservingSkuApiFetchParamCreator.apiOffersReservingSkuGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * OffersReservingSkuApi - object-oriented interface
 */
export class OffersReservingSkuApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiOffersReservingSkuGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
        return OffersReservingSkuApiFp.apiOffersReservingSkuGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * OffersReservingSkuApi - factory interface
 */
export const OffersReservingSkuApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         */
        apiOffersReservingSkuGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
            return OffersReservingSkuApiFp.apiOffersReservingSkuGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * RedeemGiftCardsApi - fetch parameter creator
 */
export const RedeemGiftCardsApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     */
    apiRedeemGiftCardsGet(params: {  "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/RedeemGiftCards`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * RedeemGiftCardsApi - functional programming interface
 */
export const RedeemGiftCardsApiFp = {
    /**
     * 
     * @param authToken 
     */
    apiRedeemGiftCardsGet(params: { "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<OfferV2ManifestEntityListApiResult> {
        const fetchArgs = RedeemGiftCardsApiFetchParamCreator.apiRedeemGiftCardsGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * RedeemGiftCardsApi - object-oriented interface
 */
export class RedeemGiftCardsApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     */
    apiRedeemGiftCardsGet(params: {  "authToken"?: string; }, options?: any) {
        return RedeemGiftCardsApiFp.apiRedeemGiftCardsGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * RedeemGiftCardsApi - factory interface
 */
export const RedeemGiftCardsApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         */
        apiRedeemGiftCardsGet(params: {  "authToken"?: string; }, options?: any) {
            return RedeemGiftCardsApiFp.apiRedeemGiftCardsGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * RemoveManifestsFromShipmentApi - fetch parameter creator
 */
export const RemoveManifestsFromShipmentApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param id 
     * @param body 
     */
    apiRemoveManifestsFromShipmentPost(params: {  "authToken"?: string; "id"?: string; "body"?: Array<ShipmentId>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/RemoveManifestsFromShipment`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "id": params["id"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * RemoveManifestsFromShipmentApi - functional programming interface
 */
export const RemoveManifestsFromShipmentApiFp = {
    /**
     * 
     * @param authToken 
     * @param id 
     * @param body 
     */
    apiRemoveManifestsFromShipmentPost(params: { "authToken"?: string; "id"?: string; "body"?: Array<ShipmentId>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentIdListApiResult> {
        const fetchArgs = RemoveManifestsFromShipmentApiFetchParamCreator.apiRemoveManifestsFromShipmentPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * RemoveManifestsFromShipmentApi - object-oriented interface
 */
export class RemoveManifestsFromShipmentApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param id 
     * @param body 
     */
    apiRemoveManifestsFromShipmentPost(params: {  "authToken"?: string; "id"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
        return RemoveManifestsFromShipmentApiFp.apiRemoveManifestsFromShipmentPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * RemoveManifestsFromShipmentApi - factory interface
 */
export const RemoveManifestsFromShipmentApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param id 
         * @param body 
         */
        apiRemoveManifestsFromShipmentPost(params: {  "authToken"?: string; "id"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
            return RemoveManifestsFromShipmentApiFp.apiRemoveManifestsFromShipmentPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * SendDotmailerEmailTestApi - fetch parameter creator
 */
export const SendDotmailerEmailTestApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSendDotmailerEmailTestPost(params: {  "authToken"?: string; "body"?: Array<EmailCampaign>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/SendDotmailerEmailTest`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SendDotmailerEmailTestApi - functional programming interface
 */
export const SendDotmailerEmailTestApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSendDotmailerEmailTestPost(params: { "authToken"?: string; "body"?: Array<EmailCampaign>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult> {
        const fetchArgs = SendDotmailerEmailTestApiFetchParamCreator.apiV3AdminSendDotmailerEmailTestPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SendDotmailerEmailTestApi - object-oriented interface
 */
export class SendDotmailerEmailTestApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSendDotmailerEmailTestPost(params: {  "authToken"?: string; "body"?: Array<EmailCampaign>; }, options?: any) {
        return SendDotmailerEmailTestApiFp.apiV3AdminSendDotmailerEmailTestPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SendDotmailerEmailTestApi - factory interface
 */
export const SendDotmailerEmailTestApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSendDotmailerEmailTestPost(params: {  "authToken"?: string; "body"?: Array<EmailCampaign>; }, options?: any) {
            return SendDotmailerEmailTestApiFp.apiV3AdminSendDotmailerEmailTestPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * SendQrEmailApi - fetch parameter creator
 */
export const SendQrEmailApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiSendQrEmailPost(params: {  "authToken"?: string; "body"?: QrEmailTemplateModel; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/SendQrEmail`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SendQrEmailApi - functional programming interface
 */
export const SendQrEmailApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiSendQrEmailPost(params: { "authToken"?: string; "body"?: QrEmailTemplateModel;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<BooleanApiResult> {
        const fetchArgs = SendQrEmailApiFetchParamCreator.apiSendQrEmailPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SendQrEmailApi - object-oriented interface
 */
export class SendQrEmailApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiSendQrEmailPost(params: {  "authToken"?: string; "body"?: QrEmailTemplateModel; }, options?: any) {
        return SendQrEmailApiFp.apiSendQrEmailPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SendQrEmailApi - factory interface
 */
export const SendQrEmailApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiSendQrEmailPost(params: {  "authToken"?: string; "body"?: QrEmailTemplateModel; }, options?: any) {
            return SendQrEmailApiFp.apiSendQrEmailPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * SessionFuncsGetApi - fetch parameter creator
 */
export const SessionFuncsGetApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     */
    apiSessionGet(params: {  "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/session`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SessionFuncsGetApi - functional programming interface
 */
export const SessionFuncsGetApiFp = {
    /**
     * 
     * @param authToken 
     */
    apiSessionGet(params: { "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SessionModelApiResult> {
        const fetchArgs = SessionFuncsGetApiFetchParamCreator.apiSessionGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SessionFuncsGetApi - object-oriented interface
 */
export class SessionFuncsGetApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     */
    apiSessionGet(params: {  "authToken"?: string; }, options?: any) {
        return SessionFuncsGetApiFp.apiSessionGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SessionFuncsGetApi - factory interface
 */
export const SessionFuncsGetApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         */
        apiSessionGet(params: {  "authToken"?: string; }, options?: any) {
            return SessionFuncsGetApiFp.apiSessionGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * SetAddressPhoneApi - fetch parameter creator
 */
export const SetAddressPhoneApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3SetAddressPhonePost(params: {  "authToken"?: string; "body"?: Array<AddressPhone>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/setAddressPhone`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SetAddressPhoneApi - functional programming interface
 */
export const SetAddressPhoneApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3SetAddressPhonePost(params: { "authToken"?: string; "body"?: Array<AddressPhone>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<AddressPhoneListApiResult> {
        const fetchArgs = SetAddressPhoneApiFetchParamCreator.apiV3SetAddressPhonePost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SetAddressPhoneApi - object-oriented interface
 */
export class SetAddressPhoneApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3SetAddressPhonePost(params: {  "authToken"?: string; "body"?: Array<AddressPhone>; }, options?: any) {
        return SetAddressPhoneApiFp.apiV3SetAddressPhonePost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SetAddressPhoneApi - factory interface
 */
export const SetAddressPhoneApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiV3SetAddressPhonePost(params: {  "authToken"?: string; "body"?: Array<AddressPhone>; }, options?: any) {
            return SetAddressPhoneApiFp.apiV3SetAddressPhonePost(params, options)(fetch, basePath);
        },
    };
};


/**
 * SetInventoryHoldForShipmentApi - fetch parameter creator
 */
export const SetInventoryHoldForShipmentApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminInventoryHoldPost(params: {  "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/inventoryHold`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SetInventoryHoldForShipmentApi - functional programming interface
 */
export const SetInventoryHoldForShipmentApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminInventoryHoldPost(params: { "authToken"?: string; "body"?: Array<ShipmentId>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShipmentIdListApiResult> {
        const fetchArgs = SetInventoryHoldForShipmentApiFetchParamCreator.apiV3AdminInventoryHoldPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SetInventoryHoldForShipmentApi - object-oriented interface
 */
export class SetInventoryHoldForShipmentApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminInventoryHoldPost(params: {  "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
        return SetInventoryHoldForShipmentApiFp.apiV3AdminInventoryHoldPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SetInventoryHoldForShipmentApi - factory interface
 */
export const SetInventoryHoldForShipmentApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiV3AdminInventoryHoldPost(params: {  "authToken"?: string; "body"?: Array<ShipmentId>; }, options?: any) {
            return SetInventoryHoldForShipmentApiFp.apiV3AdminInventoryHoldPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * ShipEngineWebhookApi - fetch parameter creator
 */
export const ShipEngineWebhookApiFetchParamCreator = {
    /**
     * 
     */
    apiShipEngineWebhookPost(options?: any): FetchArgs {
        const baseUrl = `/azapi/ShipEngineWebhook`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * ShipEngineWebhookApi - functional programming interface
 */
export const ShipEngineWebhookApiFp = {
    /**
     * 
     */
    apiShipEngineWebhookPost(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any> {
        const fetchArgs = ShipEngineWebhookApiFetchParamCreator.apiShipEngineWebhookPost(options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * ShipEngineWebhookApi - object-oriented interface
 */
export class ShipEngineWebhookApi extends BaseAPI {
    /**
     * 
     */
    apiShipEngineWebhookPost(options?: any) {
        return ShipEngineWebhookApiFp.apiShipEngineWebhookPost(options)(this.fetch, this.basePath);
    }
};

/**
 * ShipEngineWebhookApi - factory interface
 */
export const ShipEngineWebhookApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         */
        apiShipEngineWebhookPost(options?: any) {
            return ShipEngineWebhookApiFp.apiShipEngineWebhookPost(options)(fetch, basePath);
        },
    };
};


/**
 * ShipmentPostFinancialsApi - fetch parameter creator
 */
export const ShipmentPostFinancialsApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiShipmentPostFinancialsPost(params: {  "authToken"?: string; "body"?: Array<ShippingModel>; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/ShipmentPostFinancials`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * ShipmentPostFinancialsApi - functional programming interface
 */
export const ShipmentPostFinancialsApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiShipmentPostFinancialsPost(params: { "authToken"?: string; "body"?: Array<ShippingModel>;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<ShippingModelListApiResult> {
        const fetchArgs = ShipmentPostFinancialsApiFetchParamCreator.apiShipmentPostFinancialsPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * ShipmentPostFinancialsApi - object-oriented interface
 */
export class ShipmentPostFinancialsApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiShipmentPostFinancialsPost(params: {  "authToken"?: string; "body"?: Array<ShippingModel>; }, options?: any) {
        return ShipmentPostFinancialsApiFp.apiShipmentPostFinancialsPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * ShipmentPostFinancialsApi - factory interface
 */
export const ShipmentPostFinancialsApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiShipmentPostFinancialsPost(params: {  "authToken"?: string; "body"?: Array<ShippingModel>; }, options?: any) {
            return ShipmentPostFinancialsApiFp.apiShipmentPostFinancialsPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * SkuGetComplianceAddressesApi - fetch parameter creator
 */
export const SkuGetComplianceAddressesApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiSkuGetComplianceAddressesGet(params: {  "id"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/SkuGetComplianceAddresses`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SkuGetComplianceAddressesApi - functional programming interface
 */
export const SkuGetComplianceAddressesApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiSkuGetComplianceAddressesGet(params: { "id"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhAddressModelListApiResult> {
        const fetchArgs = SkuGetComplianceAddressesApiFetchParamCreator.apiSkuGetComplianceAddressesGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SkuGetComplianceAddressesApi - object-oriented interface
 */
export class SkuGetComplianceAddressesApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiSkuGetComplianceAddressesGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
        return SkuGetComplianceAddressesApiFp.apiSkuGetComplianceAddressesGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SkuGetComplianceAddressesApi - factory interface
 */
export const SkuGetComplianceAddressesApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         */
        apiSkuGetComplianceAddressesGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
            return SkuGetComplianceAddressesApiFp.apiSkuGetComplianceAddressesGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * SkuGetLocationOverviewApi - fetch parameter creator
 */
export const SkuGetLocationOverviewApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param search 
     */
    apiSkuGetLocationOverviewGet(params: {  "authToken"?: string; "search"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/SkuGetLocationOverview`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
            "search": params["search"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SkuGetLocationOverviewApi - functional programming interface
 */
export const SkuGetLocationOverviewApiFp = {
    /**
     * 
     * @param authToken 
     * @param search 
     */
    apiSkuGetLocationOverviewGet(params: { "authToken"?: string; "search"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<InventoryListApiResult> {
        const fetchArgs = SkuGetLocationOverviewApiFetchParamCreator.apiSkuGetLocationOverviewGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SkuGetLocationOverviewApi - object-oriented interface
 */
export class SkuGetLocationOverviewApi extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param search 
     */
    apiSkuGetLocationOverviewGet(params: {  "authToken"?: string; "search"?: string; }, options?: any) {
        return SkuGetLocationOverviewApiFp.apiSkuGetLocationOverviewGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SkuGetLocationOverviewApi - factory interface
 */
export const SkuGetLocationOverviewApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param search 
         */
        apiSkuGetLocationOverviewGet(params: {  "authToken"?: string; "search"?: string; }, options?: any) {
            return SkuGetLocationOverviewApiFp.apiSkuGetLocationOverviewGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * SupplierItemV2Api - fetch parameter creator
 */
export const SupplierItemV2ApiFetchParamCreator = {
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any): FetchArgs {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemGet");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem`
            .replace(`{${"supplierId"}}`, `${ params["supplierId"] }`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any): FetchArgs {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemPost");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem`
            .replace(`{${"supplierId"}}`, `${ params["supplierId"] }`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SupplierItemV2Api - functional programming interface
 */
export const SupplierItemV2ApiFp = {
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params: { "supplierId": string; "authToken"?: string; "body"?: SupplierItemV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ListApiResult> {
        const fetchArgs = SupplierItemV2ApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params: { "supplierId": string; "authToken"?: string; "body"?: SupplierItemV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ListApiResult> {
        const fetchArgs = SupplierItemV2ApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SupplierItemV2Api - object-oriented interface
 */
export class SupplierItemV2Api extends BaseAPI {
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemGet(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
        return SupplierItemV2ApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemPost(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
        return SupplierItemV2ApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SupplierItemV2Api - factory interface
 */
export const SupplierItemV2ApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param supplierId 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemGet(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
            return SupplierItemV2ApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param supplierId 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemPost(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
            return SupplierItemV2ApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemPost(params, options)(fetch, basePath);
        },
    };
};


/**
 * SupplierItemV2OneApi - fetch parameter creator
 */
export const SupplierItemV2OneApiFetchParamCreator = {
    /**
     * 
     * @param supplierId 
     * @param supplierItemId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params: {  "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any): FetchArgs {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete");
        }
        // verify required parameter "supplierItemId" is set
        if (params["supplierItemId"] == null) {
            throw new Error("Missing required parameter supplierItemId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem/{supplierItemId}`
            .replace(`{${"supplierId"}}`, `${ params["supplierId"] }`)
            .replace(`{${"supplierItemId"}}`, `${ params["supplierItemId"] }`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "DELETE" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param supplierId 
     * @param supplierItemId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params: {  "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any): FetchArgs {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet");
        }
        // verify required parameter "supplierItemId" is set
        if (params["supplierItemId"] == null) {
            throw new Error("Missing required parameter supplierItemId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem/{supplierItemId}`
            .replace(`{${"supplierId"}}`, `${ params["supplierId"] }`)
            .replace(`{${"supplierItemId"}}`, `${ params["supplierItemId"] }`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param supplierId 
     * @param supplierItemId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params: {  "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any): FetchArgs {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut");
        }
        // verify required parameter "supplierItemId" is set
        if (params["supplierItemId"] == null) {
            throw new Error("Missing required parameter supplierItemId when calling apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}/supplieritem/{supplierItemId}`
            .replace(`{${"supplierId"}}`, `${ params["supplierId"] }`)
            .replace(`{${"supplierItemId"}}`, `${ params["supplierItemId"] }`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "PUT" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SupplierItemV2OneApi - functional programming interface
 */
export const SupplierItemV2OneApiFp = {
    /**
     * 
     * @param supplierId 
     * @param supplierItemId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params: { "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierItemV2ApiResult> {
        const fetchArgs = SupplierItemV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param supplierId 
     * @param supplierItemId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params: { "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierItemV2ApiResult> {
        const fetchArgs = SupplierItemV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param supplierId 
     * @param supplierItemId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params: { "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierItemV2ApiResult> {
        const fetchArgs = SupplierItemV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SupplierItemV2OneApi - object-oriented interface
 */
export class SupplierItemV2OneApi extends BaseAPI {
    /**
     * 
     * @param supplierId 
     * @param supplierItemId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params: {  "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
        return SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param supplierId 
     * @param supplierItemId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params: {  "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
        return SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param supplierId 
     * @param supplierItemId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params: {  "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
        return SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SupplierItemV2OneApi - factory interface
 */
export const SupplierItemV2OneApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param supplierId 
         * @param supplierItemId 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params: {  "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
            return SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdDelete(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param supplierId 
         * @param supplierItemId 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params: {  "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
            return SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param supplierId 
         * @param supplierItemId 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params: {  "supplierId": string; "supplierItemId": string; "authToken"?: string; "body"?: SupplierItemV2; }, options?: any) {
            return SupplierItemV2OneApiFp.apiV3AdminSupplierv2SupplierIdSupplieritemSupplierItemIdPut(params, options)(fetch, basePath);
        },
    };
};


/**
 * SupplierItemsForSkuApi - fetch parameter creator
 */
export const SupplierItemsForSkuApiFetchParamCreator = {
    /**
     * 
     * @param sku 
     * @param authToken 
     */
    apiV3AdminSkuSkuSupplieritemGet(params: {  "sku": string; "authToken"?: string; }, options?: any): FetchArgs {
        // verify required parameter "sku" is set
        if (params["sku"] == null) {
            throw new Error("Missing required parameter sku when calling apiV3AdminSkuSkuSupplieritemGet");
        }
        const baseUrl = `/azapi/v3/admin/sku/{sku}/supplieritem`
            .replace(`{${"sku"}}`, `${ params["sku"] }`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SupplierItemsForSkuApi - functional programming interface
 */
export const SupplierItemsForSkuApiFp = {
    /**
     * 
     * @param sku 
     * @param authToken 
     */
    apiV3AdminSkuSkuSupplieritemGet(params: { "sku": string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierItemV2ListApiResult> {
        const fetchArgs = SupplierItemsForSkuApiFetchParamCreator.apiV3AdminSkuSkuSupplieritemGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SupplierItemsForSkuApi - object-oriented interface
 */
export class SupplierItemsForSkuApi extends BaseAPI {
    /**
     * 
     * @param sku 
     * @param authToken 
     */
    apiV3AdminSkuSkuSupplieritemGet(params: {  "sku": string; "authToken"?: string; }, options?: any) {
        return SupplierItemsForSkuApiFp.apiV3AdminSkuSkuSupplieritemGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SupplierItemsForSkuApi - factory interface
 */
export const SupplierItemsForSkuApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param sku 
         * @param authToken 
         */
        apiV3AdminSkuSkuSupplieritemGet(params: {  "sku": string; "authToken"?: string; }, options?: any) {
            return SupplierItemsForSkuApiFp.apiV3AdminSkuSkuSupplieritemGet(params, options)(fetch, basePath);
        },
    };
};


/**
 * SupplierV2Api - fetch parameter creator
 */
export const SupplierV2ApiFetchParamCreator = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2Get(params: {  "authToken"?: string; "body"?: SupplierV2; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/supplierv2`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2Post(params: {  "authToken"?: string; "body"?: SupplierV2; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/v3/admin/supplierv2`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SupplierV2Api - functional programming interface
 */
export const SupplierV2ApiFp = {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2Get(params: { "authToken"?: string; "body"?: SupplierV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ListApiResult> {
        const fetchArgs = SupplierV2ApiFetchParamCreator.apiV3AdminSupplierv2Get(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2Post(params: { "authToken"?: string; "body"?: SupplierV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ListApiResult> {
        const fetchArgs = SupplierV2ApiFetchParamCreator.apiV3AdminSupplierv2Post(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SupplierV2Api - object-oriented interface
 */
export class SupplierV2Api extends BaseAPI {
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2Get(params: {  "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
        return SupplierV2ApiFp.apiV3AdminSupplierv2Get(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2Post(params: {  "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
        return SupplierV2ApiFp.apiV3AdminSupplierv2Post(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SupplierV2Api - factory interface
 */
export const SupplierV2ApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2Get(params: {  "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
            return SupplierV2ApiFp.apiV3AdminSupplierv2Get(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2Post(params: {  "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
            return SupplierV2ApiFp.apiV3AdminSupplierv2Post(params, options)(fetch, basePath);
        },
    };
};


/**
 * SupplierV2OneApi - fetch parameter creator
 */
export const SupplierV2OneApiFetchParamCreator = {
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdDelete(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierV2; }, options?: any): FetchArgs {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdDelete");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}`
            .replace(`{${"supplierId"}}`, `${ params["supplierId"] }`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "DELETE" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdGet(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierV2; }, options?: any): FetchArgs {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdGet");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}`
            .replace(`{${"supplierId"}}`, `${ params["supplierId"] }`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdPut(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierV2; }, options?: any): FetchArgs {
        // verify required parameter "supplierId" is set
        if (params["supplierId"] == null) {
            throw new Error("Missing required parameter supplierId when calling apiV3AdminSupplierv2SupplierIdPut");
        }
        const baseUrl = `/azapi/v3/admin/supplierv2/{supplierId}`
            .replace(`{${"supplierId"}}`, `${ params["supplierId"] }`);
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "PUT" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        contentTypeHeader = { "Content-Type": "application/json" };
        if (params["body"]) {
            fetchOptions.body = JSON.stringify(params["body"] || {});
        }
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * SupplierV2OneApi - functional programming interface
 */
export const SupplierV2OneApiFp = {
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdDelete(params: { "supplierId": string; "authToken"?: string; "body"?: SupplierV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ApiResult> {
        const fetchArgs = SupplierV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdDelete(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdGet(params: { "supplierId": string; "authToken"?: string; "body"?: SupplierV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ApiResult> {
        const fetchArgs = SupplierV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdPut(params: { "supplierId": string; "authToken"?: string; "body"?: SupplierV2;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<SupplierV2ApiResult> {
        const fetchArgs = SupplierV2OneApiFetchParamCreator.apiV3AdminSupplierv2SupplierIdPut(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * SupplierV2OneApi - object-oriented interface
 */
export class SupplierV2OneApi extends BaseAPI {
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdDelete(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
        return SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdDelete(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdGet(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
        return SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdGet(params, options)(this.fetch, this.basePath);
    }
    /**
     * 
     * @param supplierId 
     * @param authToken 
     * @param body 
     */
    apiV3AdminSupplierv2SupplierIdPut(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
        return SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdPut(params, options)(this.fetch, this.basePath);
    }
};

/**
 * SupplierV2OneApi - factory interface
 */
export const SupplierV2OneApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param supplierId 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2SupplierIdDelete(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
            return SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdDelete(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param supplierId 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2SupplierIdGet(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
            return SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdGet(params, options)(fetch, basePath);
        },
        /**
         * 
         * @param supplierId 
         * @param authToken 
         * @param body 
         */
        apiV3AdminSupplierv2SupplierIdPut(params: {  "supplierId": string; "authToken"?: string; "body"?: SupplierV2; }, options?: any) {
            return SupplierV2OneApiFp.apiV3AdminSupplierv2SupplierIdPut(params, options)(fetch, basePath);
        },
    };
};


/**
 * TrackingWebhookApi - fetch parameter creator
 */
export const TrackingWebhookApiFetchParamCreator = {
    /**
     * 
     */
    apiTrackingWebhookPost(options?: any): FetchArgs {
        const baseUrl = `/azapi/TrackingWebhook`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * TrackingWebhookApi - functional programming interface
 */
export const TrackingWebhookApiFp = {
    /**
     * 
     */
    apiTrackingWebhookPost(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<TrackingInfoListApiResult> {
        const fetchArgs = TrackingWebhookApiFetchParamCreator.apiTrackingWebhookPost(options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * TrackingWebhookApi - object-oriented interface
 */
export class TrackingWebhookApi extends BaseAPI {
    /**
     * 
     */
    apiTrackingWebhookPost(options?: any) {
        return TrackingWebhookApiFp.apiTrackingWebhookPost(options)(this.fetch, this.basePath);
    }
};

/**
 * TrackingWebhookApi - factory interface
 */
export const TrackingWebhookApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         */
        apiTrackingWebhookPost(options?: any) {
            return TrackingWebhookApiFp.apiTrackingWebhookPost(options)(fetch, basePath);
        },
    };
};


/**
 * VstsWebhookApi - fetch parameter creator
 */
export const VstsWebhookApiFetchParamCreator = {
    /**
     * 
     */
    apiVstsPost(options?: any): FetchArgs {
        const baseUrl = `/azapi/vsts`;
        let urlObj = url.parse(baseUrl, true);
        let fetchOptions: RequestInit = assign({}, { method: "POST" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * VstsWebhookApi - functional programming interface
 */
export const VstsWebhookApiFp = {
    /**
     * 
     */
    apiVstsPost(options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<any> {
        const fetchArgs = VstsWebhookApiFetchParamCreator.apiVstsPost(options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * VstsWebhookApi - object-oriented interface
 */
export class VstsWebhookApi extends BaseAPI {
    /**
     * 
     */
    apiVstsPost(options?: any) {
        return VstsWebhookApiFp.apiVstsPost(options)(this.fetch, this.basePath);
    }
};

/**
 * VstsWebhookApi - factory interface
 */
export const VstsWebhookApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         */
        apiVstsPost(options?: any) {
            return VstsWebhookApiFp.apiVstsPost(options)(fetch, basePath);
        },
    };
};


/**
 * WhoUsedPromoGroupApi - fetch parameter creator
 */
export const WhoUsedPromoGroupApiFetchParamCreator = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiWhoUsedPromoGroupGet(params: {  "id"?: string; "authToken"?: string; }, options?: any): FetchArgs {
        const baseUrl = `/azapi/WhoUsedPromoGroup`;
        let urlObj = url.parse(baseUrl, true);
        urlObj.query = assign({}, urlObj.query, {
            "id": params["id"],
            "authToken": params["authToken"],
        });
        let fetchOptions: RequestInit = assign({}, { method: "GET" }, options);

        let contentTypeHeader: Dictionary<string> = {};
        if (contentTypeHeader) {
            fetchOptions.headers = assign({}, contentTypeHeader, fetchOptions.headers);
        }
        return {
            url: url.format(urlObj),
            options: fetchOptions,
        };
    },
};

/**
 * WhoUsedPromoGroupApi - functional programming interface
 */
export const WhoUsedPromoGroupApiFp = {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiWhoUsedPromoGroupGet(params: { "id"?: string; "authToken"?: string;  }, options?: any): (fetch?: FetchAPI, basePath?: string) => Promise<NhUserOrderCohortListApiResult> {
        const fetchArgs = WhoUsedPromoGroupApiFetchParamCreator.apiWhoUsedPromoGroupGet(params, options);
        return (fetch: FetchAPI = isomorphicFetch, basePath: string = BASE_PATH) => {
            return fetch(basePath + fetchArgs.url, fetchArgs.options).then((response) => {
                if (response.status >= 200 && response.status < 300) {
                    return response.json();
                } else {
                    throw response;
                }
            });
        };
    },
};

/**
 * WhoUsedPromoGroupApi - object-oriented interface
 */
export class WhoUsedPromoGroupApi extends BaseAPI {
    /**
     * 
     * @param id 
     * @param authToken 
     */
    apiWhoUsedPromoGroupGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
        return WhoUsedPromoGroupApiFp.apiWhoUsedPromoGroupGet(params, options)(this.fetch, this.basePath);
    }
};

/**
 * WhoUsedPromoGroupApi - factory interface
 */
export const WhoUsedPromoGroupApiFactory = function (fetch?: FetchAPI, basePath?: string) {
    return {
        /**
         * 
         * @param id 
         * @param authToken 
         */
        apiWhoUsedPromoGroupGet(params: {  "id"?: string; "authToken"?: string; }, options?: any) {
            return WhoUsedPromoGroupApiFp.apiWhoUsedPromoGroupGet(params, options)(fetch, basePath);
        },
    };
};

